<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2011 Nicole Cordes <cordes@cps-it.de>, CPS-IT GmbH
*
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 3 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

/**
 *
 * @author Nicole Cordes
 * @package
 * @subpackage
 */

class tx_countries_div implements t3lib_Singleton {

	/**
	 * Get proper backend language to use
	 *
	 * @static
	 * @return string
	 */
	public static function getLanguage() {
		switch (TYPO3_MODE) {
			case 'BE':
				if ($GLOBALS['LANG'] instanceof language) {
					$lang = strtolower($GLOBALS['LANG']->lang);
					return ($lang == 'default') ? 'en' : $lang;
				}
				break;
			case 'FE':
				if ($GLOBALS['TSFE'] instanceof tslib_fe) {
					return $GLOBALS['TSFE']->lang;
				}
				break;
		}

		return 'en';
	}

}

?>