#
# Table structure for table "countries"
#
DROP TABLE IF EXISTS countries;
CREATE TABLE countries (
	uid int(11) unsigned NOT NULL auto_increment,
	pid int(11) unsigned DEFAULT '0'NOT NULL,
	deleted tinyint(4) DEFAULT '0'NOT NULL,
	l18n_parent int(11) unsigned DEFAULT '0'NOT NULL,
	lang_iso2 char(2) DEFAULT ''NOT NULL,
	cn_title varchar(255) DEFAULT ''NOT NULL,
	cn_iso2 char(2) DEFAULT ''NOT NULL,

	PRIMARY KEY (uid),
	KEY language (l18n_parent,lang_iso2),
	KEY title (lang_iso2,cn_title)
);

INSERT INTO `countries` VALUES(1, 0, 0, 0, 'EN', 'Andorra', 'AD');
INSERT INTO `countries` VALUES(2, 0, 0, 0, 'EN', 'United Arab Emirates', 'AE');
INSERT INTO `countries` VALUES(3, 0, 0, 0, 'EN', 'Afghanistan', 'AF');
INSERT INTO `countries` VALUES(4, 0, 0, 0, 'EN', 'Antigua and Barbuda', 'AG');
INSERT INTO `countries` VALUES(5, 0, 0, 0, 'EN', 'Anguilla', 'AI');
INSERT INTO `countries` VALUES(6, 0, 0, 0, 'EN', 'Albania', 'AL');
INSERT INTO `countries` VALUES(7, 0, 0, 0, 'EN', 'Armenia', 'AM');
INSERT INTO `countries` VALUES(8, 0, 0, 0, 'EN', 'Angola', 'AO');
INSERT INTO `countries` VALUES(9, 0, 0, 0, 'EN', 'Antarctica', 'AQ');
INSERT INTO `countries` VALUES(10, 0, 0, 0, 'EN', 'Argentina', 'AR');
INSERT INTO `countries` VALUES(11, 0, 0, 0, 'EN', 'American Samoa', 'AS');
INSERT INTO `countries` VALUES(12, 0, 0, 0, 'EN', 'Austria', 'AT');
INSERT INTO `countries` VALUES(13, 0, 0, 0, 'EN', 'Australia', 'AU');
INSERT INTO `countries` VALUES(14, 0, 0, 0, 'EN', 'Aruba', 'AW');
INSERT INTO `countries` VALUES(15, 0, 0, 0, 'EN', 'Aland Islands (Åland Islands)', 'AX');
INSERT INTO `countries` VALUES(16, 0, 0, 0, 'EN', 'Azerbaijan', 'AZ');
INSERT INTO `countries` VALUES(17, 0, 0, 0, 'EN', 'Bosnia and Herzegovina', 'BA');
INSERT INTO `countries` VALUES(18, 0, 0, 0, 'EN', 'Barbados', 'BB');
INSERT INTO `countries` VALUES(19, 0, 0, 0, 'EN', 'Bangladesh', 'BD');
INSERT INTO `countries` VALUES(20, 0, 0, 0, 'EN', 'Belgium', 'BE');
INSERT INTO `countries` VALUES(21, 0, 0, 0, 'EN', 'Burkina Faso', 'BF');
INSERT INTO `countries` VALUES(22, 0, 0, 0, 'EN', 'Bulgaria', 'BG');
INSERT INTO `countries` VALUES(23, 0, 0, 0, 'EN', 'Bahrain', 'BH');
INSERT INTO `countries` VALUES(24, 0, 0, 0, 'EN', 'Burundi', 'BI');
INSERT INTO `countries` VALUES(25, 0, 0, 0, 'EN', 'Benin', 'BJ');
INSERT INTO `countries` VALUES(26, 0, 0, 0, 'EN', 'Saint Barthélemy', 'BL');
INSERT INTO `countries` VALUES(27, 0, 0, 0, 'EN', 'Bermuda', 'BM');
INSERT INTO `countries` VALUES(28, 0, 0, 0, 'EN', 'Brunei Darussalam', 'BN');
INSERT INTO `countries` VALUES(29, 0, 0, 0, 'EN', 'Bolivia, Plurinational State of', 'BO');
INSERT INTO `countries` VALUES(30, 0, 0, 0, 'EN', 'Bonaire, Sint Eustatius and Saba', 'BQ');
INSERT INTO `countries` VALUES(31, 0, 0, 0, 'EN', 'Brazil', 'BR');
INSERT INTO `countries` VALUES(32, 0, 0, 0, 'EN', 'Bahamas', 'BS');
INSERT INTO `countries` VALUES(33, 0, 0, 0, 'EN', 'Bhutan', 'BT');
INSERT INTO `countries` VALUES(34, 0, 0, 0, 'EN', 'Bouvet Island', 'BV');
INSERT INTO `countries` VALUES(35, 0, 0, 0, 'EN', 'Botswana', 'BW');
INSERT INTO `countries` VALUES(36, 0, 0, 0, 'EN', 'Belarus', 'BY');
INSERT INTO `countries` VALUES(37, 0, 0, 0, 'EN', 'Belize', 'BZ');
INSERT INTO `countries` VALUES(38, 0, 0, 0, 'EN', 'Canada', 'CA');
INSERT INTO `countries` VALUES(39, 0, 0, 0, 'EN', 'Cocos (Keeling) Islands', 'CC');
INSERT INTO `countries` VALUES(40, 0, 0, 0, 'EN', 'Congo, the Democratic Republic of the', 'CD');
INSERT INTO `countries` VALUES(41, 0, 0, 0, 'EN', 'Central African Republic', 'CF');
INSERT INTO `countries` VALUES(42, 0, 0, 0, 'EN', 'Congo', 'CG');
INSERT INTO `countries` VALUES(43, 0, 0, 0, 'EN', 'Switzerland', 'CH');
INSERT INTO `countries` VALUES(44, 0, 0, 0, 'EN', 'Cote d''Ivoire (Côte d''Ivoire)', 'CI');
INSERT INTO `countries` VALUES(45, 0, 0, 0, 'EN', 'Cook Islands', 'CK');
INSERT INTO `countries` VALUES(46, 0, 0, 0, 'EN', 'Chile', 'CL');
INSERT INTO `countries` VALUES(47, 0, 0, 0, 'EN', 'Cameroon', 'CM');
INSERT INTO `countries` VALUES(48, 0, 0, 0, 'EN', 'China', 'CN');
INSERT INTO `countries` VALUES(49, 0, 0, 0, 'EN', 'Colombia', 'CO');
INSERT INTO `countries` VALUES(50, 0, 0, 0, 'EN', 'Costa Rica', 'CR');
INSERT INTO `countries` VALUES(51, 0, 0, 0, 'EN', 'Cuba', 'CU');
INSERT INTO `countries` VALUES(52, 0, 0, 0, 'EN', 'Cape Verde', 'CV');
INSERT INTO `countries` VALUES(53, 0, 0, 0, 'EN', 'Curaçao', 'CW');
INSERT INTO `countries` VALUES(54, 0, 0, 0, 'EN', 'Christmas Island', 'CX');
INSERT INTO `countries` VALUES(55, 0, 0, 0, 'EN', 'Cyprus', 'CY');
INSERT INTO `countries` VALUES(56, 0, 0, 0, 'EN', 'Czech Republic', 'CZ');
INSERT INTO `countries` VALUES(57, 0, 0, 0, 'EN', 'Germany', 'DE');
INSERT INTO `countries` VALUES(58, 0, 0, 0, 'EN', 'Djibouti', 'DJ');
INSERT INTO `countries` VALUES(59, 0, 0, 0, 'EN', 'Denmark', 'DK');
INSERT INTO `countries` VALUES(60, 0, 0, 0, 'EN', 'Dominica', 'DM');
INSERT INTO `countries` VALUES(61, 0, 0, 0, 'EN', 'Dominican Republic', 'DO');
INSERT INTO `countries` VALUES(62, 0, 0, 0, 'EN', 'Algeria', 'DZ');
INSERT INTO `countries` VALUES(63, 0, 0, 0, 'EN', 'Ecuador', 'EC');
INSERT INTO `countries` VALUES(64, 0, 0, 0, 'EN', 'Estonia', 'EE');
INSERT INTO `countries` VALUES(65, 0, 0, 0, 'EN', 'Egypt', 'EG');
INSERT INTO `countries` VALUES(66, 0, 0, 0, 'EN', 'Western Sahara', 'EH');
INSERT INTO `countries` VALUES(67, 0, 0, 0, 'EN', 'Eritrea', 'ER');
INSERT INTO `countries` VALUES(68, 0, 0, 0, 'EN', 'Spain', 'ES');
INSERT INTO `countries` VALUES(69, 0, 0, 0, 'EN', 'Ethiopia', 'ET');
INSERT INTO `countries` VALUES(70, 0, 0, 0, 'EN', 'Finland', 'FI');
INSERT INTO `countries` VALUES(71, 0, 0, 0, 'EN', 'Fiji', 'FJ');
INSERT INTO `countries` VALUES(72, 0, 0, 0, 'EN', 'Falkland Islands (Malvinas)', 'FK');
INSERT INTO `countries` VALUES(73, 0, 0, 0, 'EN', 'Micronesia, Federated States of', 'FM');
INSERT INTO `countries` VALUES(74, 0, 0, 0, 'EN', 'Faroe Islands', 'FO');
INSERT INTO `countries` VALUES(75, 0, 0, 0, 'EN', 'France', 'FR');
INSERT INTO `countries` VALUES(76, 0, 0, 0, 'EN', 'Gabon', 'GA');
INSERT INTO `countries` VALUES(77, 0, 0, 0, 'EN', 'United Kingdom', 'GB');
INSERT INTO `countries` VALUES(78, 0, 0, 0, 'EN', 'Grenada', 'GD');
INSERT INTO `countries` VALUES(79, 0, 0, 0, 'EN', 'Georgia', 'GE');
INSERT INTO `countries` VALUES(80, 0, 0, 0, 'EN', 'French Guiana', 'GF');
INSERT INTO `countries` VALUES(81, 0, 0, 0, 'EN', 'Guernsey', 'GG');
INSERT INTO `countries` VALUES(82, 0, 0, 0, 'EN', 'Ghana', 'GH');
INSERT INTO `countries` VALUES(83, 0, 0, 0, 'EN', 'Gibraltar', 'GI');
INSERT INTO `countries` VALUES(84, 0, 0, 0, 'EN', 'Greenland', 'GL');
INSERT INTO `countries` VALUES(85, 0, 0, 0, 'EN', 'Gambia', 'GM');
INSERT INTO `countries` VALUES(86, 0, 0, 0, 'EN', 'Guinea', 'GN');
INSERT INTO `countries` VALUES(87, 0, 0, 0, 'EN', 'Guadeloupe', 'GP');
INSERT INTO `countries` VALUES(88, 0, 0, 0, 'EN', 'Equatorial Guinea', 'GQ');
INSERT INTO `countries` VALUES(89, 0, 0, 0, 'EN', 'Greece', 'GR');
INSERT INTO `countries` VALUES(90, 0, 0, 0, 'EN', 'South Georgia and the South Sandwich Islands', 'GS');
INSERT INTO `countries` VALUES(91, 0, 0, 0, 'EN', 'Guatemala', 'GT');
INSERT INTO `countries` VALUES(92, 0, 0, 0, 'EN', 'Guam', 'GU');
INSERT INTO `countries` VALUES(93, 0, 0, 0, 'EN', 'Guinea-Bissau', 'GW');
INSERT INTO `countries` VALUES(94, 0, 0, 0, 'EN', 'Guyana', 'GY');
INSERT INTO `countries` VALUES(95, 0, 0, 0, 'EN', 'Hong Kong', 'HK');
INSERT INTO `countries` VALUES(96, 0, 0, 0, 'EN', 'Heard Island and McDonald Islands', 'HM');
INSERT INTO `countries` VALUES(97, 0, 0, 0, 'EN', 'Honduras', 'HN');
INSERT INTO `countries` VALUES(98, 0, 0, 0, 'EN', 'Croatia', 'HR');
INSERT INTO `countries` VALUES(99, 0, 0, 0, 'EN', 'Haiti', 'HT');
INSERT INTO `countries` VALUES(100, 0, 0, 0, 'EN', 'Hungary', 'HU');
INSERT INTO `countries` VALUES(101, 0, 0, 0, 'EN', 'Indonesia', 'ID');
INSERT INTO `countries` VALUES(102, 0, 0, 0, 'EN', 'Ireland', 'IE');
INSERT INTO `countries` VALUES(103, 0, 0, 0, 'EN', 'Israel', 'IL');
INSERT INTO `countries` VALUES(104, 0, 0, 0, 'EN', 'Isle of Man', 'IM');
INSERT INTO `countries` VALUES(105, 0, 0, 0, 'EN', 'India', 'IN');
INSERT INTO `countries` VALUES(106, 0, 0, 0, 'EN', 'British Indian Ocean Territory', 'IO');
INSERT INTO `countries` VALUES(107, 0, 0, 0, 'EN', 'Iraq', 'IQ');
INSERT INTO `countries` VALUES(108, 0, 0, 0, 'EN', 'Iran, Islamic Republic of', 'IR');
INSERT INTO `countries` VALUES(109, 0, 0, 0, 'EN', 'Iceland', 'IS');
INSERT INTO `countries` VALUES(110, 0, 0, 0, 'EN', 'Italy', 'IT');
INSERT INTO `countries` VALUES(111, 0, 0, 0, 'EN', 'Jersey', 'JE');
INSERT INTO `countries` VALUES(112, 0, 0, 0, 'EN', 'Jamaica', 'JM');
INSERT INTO `countries` VALUES(113, 0, 0, 0, 'EN', 'Jordan', 'JO');
INSERT INTO `countries` VALUES(114, 0, 0, 0, 'EN', 'Japan', 'JP');
INSERT INTO `countries` VALUES(115, 0, 0, 0, 'EN', 'Kenya', 'KE');
INSERT INTO `countries` VALUES(116, 0, 0, 0, 'EN', 'Kyrgyzstan', 'KG');
INSERT INTO `countries` VALUES(117, 0, 0, 0, 'EN', 'Cambodia', 'KH');
INSERT INTO `countries` VALUES(118, 0, 0, 0, 'EN', 'Kiribati', 'KI');
INSERT INTO `countries` VALUES(119, 0, 0, 0, 'EN', 'Comoros', 'KM');
INSERT INTO `countries` VALUES(120, 0, 0, 0, 'EN', 'Saint Kitts and Nevis', 'KN');
INSERT INTO `countries` VALUES(121, 0, 0, 0, 'EN', 'Korea, Democratic People''s Republic of', 'KP');
INSERT INTO `countries` VALUES(122, 0, 0, 0, 'EN', 'Korea, Republic of', 'KR');
INSERT INTO `countries` VALUES(123, 0, 0, 0, 'EN', 'Kuwait', 'KW');
INSERT INTO `countries` VALUES(124, 0, 0, 0, 'EN', 'Cayman Islands', 'KY');
INSERT INTO `countries` VALUES(125, 0, 0, 0, 'EN', 'Kazakhstan', 'KZ');
INSERT INTO `countries` VALUES(126, 0, 0, 0, 'EN', 'Lao People''s Democratic Republic', 'LA');
INSERT INTO `countries` VALUES(127, 0, 0, 0, 'EN', 'Lebanon', 'LB');
INSERT INTO `countries` VALUES(128, 0, 0, 0, 'EN', 'Saint Lucia', 'LC');
INSERT INTO `countries` VALUES(129, 0, 0, 0, 'EN', 'Liechtenstein', 'LI');
INSERT INTO `countries` VALUES(130, 0, 0, 0, 'EN', 'Sri Lanka', 'LK');
INSERT INTO `countries` VALUES(131, 0, 0, 0, 'EN', 'Liberia', 'LR');
INSERT INTO `countries` VALUES(132, 0, 0, 0, 'EN', 'Lesotho', 'LS');
INSERT INTO `countries` VALUES(133, 0, 0, 0, 'EN', 'Lithuania', 'LT');
INSERT INTO `countries` VALUES(134, 0, 0, 0, 'EN', 'Luxembourg', 'LU');
INSERT INTO `countries` VALUES(135, 0, 0, 0, 'EN', 'Latvia', 'LV');
INSERT INTO `countries` VALUES(136, 0, 0, 0, 'EN', 'Libyan Arab Jamahiriya', 'LY');
INSERT INTO `countries` VALUES(137, 0, 0, 0, 'EN', 'Morocco', 'MA');
INSERT INTO `countries` VALUES(138, 0, 0, 0, 'EN', 'Monaco', 'MC');
INSERT INTO `countries` VALUES(139, 0, 0, 0, 'EN', 'Moldova, Republic of', 'MD');
INSERT INTO `countries` VALUES(140, 0, 0, 0, 'EN', 'Montenegro', 'ME');
INSERT INTO `countries` VALUES(141, 0, 0, 0, 'EN', 'Saint Martin (French part)', 'MF');
INSERT INTO `countries` VALUES(142, 0, 0, 0, 'EN', 'Madagascar', 'MG');
INSERT INTO `countries` VALUES(143, 0, 0, 0, 'EN', 'Marshall Islands', 'MH');
INSERT INTO `countries` VALUES(144, 0, 0, 0, 'EN', 'Macedonia, the former Yugoslav Republic of', 'MK');
INSERT INTO `countries` VALUES(145, 0, 0, 0, 'EN', 'Mali', 'ML');
INSERT INTO `countries` VALUES(146, 0, 0, 0, 'EN', 'Myanmar', 'MM');
INSERT INTO `countries` VALUES(147, 0, 0, 0, 'EN', 'Mongolia', 'MN');
INSERT INTO `countries` VALUES(148, 0, 0, 0, 'EN', 'Macao', 'MO');
INSERT INTO `countries` VALUES(149, 0, 0, 0, 'EN', 'Northern Mariana Islands', 'MP');
INSERT INTO `countries` VALUES(150, 0, 0, 0, 'EN', 'Martinique', 'MQ');
INSERT INTO `countries` VALUES(151, 0, 0, 0, 'EN', 'Mauritania', 'MR');
INSERT INTO `countries` VALUES(152, 0, 0, 0, 'EN', 'Montserrat', 'MS');
INSERT INTO `countries` VALUES(153, 0, 0, 0, 'EN', 'Malta', 'MT');
INSERT INTO `countries` VALUES(154, 0, 0, 0, 'EN', 'Mauritius', 'MU');
INSERT INTO `countries` VALUES(155, 0, 0, 0, 'EN', 'Maldives', 'MV');
INSERT INTO `countries` VALUES(156, 0, 0, 0, 'EN', 'Malawi', 'MW');
INSERT INTO `countries` VALUES(157, 0, 0, 0, 'EN', 'Mexico', 'MX');
INSERT INTO `countries` VALUES(158, 0, 0, 0, 'EN', 'Malaysia', 'MY');
INSERT INTO `countries` VALUES(159, 0, 0, 0, 'EN', 'Mozambique', 'MZ');
INSERT INTO `countries` VALUES(160, 0, 0, 0, 'EN', 'Namibia', 'NA');
INSERT INTO `countries` VALUES(161, 0, 0, 0, 'EN', 'New Caledonia', 'NC');
INSERT INTO `countries` VALUES(162, 0, 0, 0, 'EN', 'Niger', 'NE');
INSERT INTO `countries` VALUES(163, 0, 0, 0, 'EN', 'Norfolk Island', 'NF');
INSERT INTO `countries` VALUES(164, 0, 0, 0, 'EN', 'Nigeria', 'NG');
INSERT INTO `countries` VALUES(165, 0, 0, 0, 'EN', 'Nicaragua', 'NI');
INSERT INTO `countries` VALUES(166, 0, 0, 0, 'EN', 'Netherlands', 'NL');
INSERT INTO `countries` VALUES(167, 0, 0, 0, 'EN', 'Norway', 'NO');
INSERT INTO `countries` VALUES(168, 0, 0, 0, 'EN', 'Nepal', 'NP');
INSERT INTO `countries` VALUES(169, 0, 0, 0, 'EN', 'Nauru', 'NR');
INSERT INTO `countries` VALUES(170, 0, 0, 0, 'EN', 'Niue', 'NU');
INSERT INTO `countries` VALUES(171, 0, 0, 0, 'EN', 'New Zealand', 'NZ');
INSERT INTO `countries` VALUES(172, 0, 0, 0, 'EN', 'Oman', 'OM');
INSERT INTO `countries` VALUES(173, 0, 0, 0, 'EN', 'Panama', 'PA');
INSERT INTO `countries` VALUES(174, 0, 0, 0, 'EN', 'Peru', 'PE');
INSERT INTO `countries` VALUES(175, 0, 0, 0, 'EN', 'French Polynesia', 'PF');
INSERT INTO `countries` VALUES(176, 0, 0, 0, 'EN', 'Papua New Guinea', 'PG');
INSERT INTO `countries` VALUES(177, 0, 0, 0, 'EN', 'Philippines', 'PH');
INSERT INTO `countries` VALUES(178, 0, 0, 0, 'EN', 'Pakistan', 'PK');
INSERT INTO `countries` VALUES(179, 0, 0, 0, 'EN', 'Poland', 'PL');
INSERT INTO `countries` VALUES(180, 0, 0, 0, 'EN', 'Saint Pierre and Miquelon', 'PM');
INSERT INTO `countries` VALUES(181, 0, 0, 0, 'EN', 'Pitcairn', 'PN');
INSERT INTO `countries` VALUES(182, 0, 0, 0, 'EN', 'Puerto Rico', 'PR');
INSERT INTO `countries` VALUES(183, 0, 0, 0, 'EN', 'Palestinian Territory, Occupied', 'PS');
INSERT INTO `countries` VALUES(184, 0, 0, 0, 'EN', 'Portugal', 'PT');
INSERT INTO `countries` VALUES(185, 0, 0, 0, 'EN', 'Palau', 'PW');
INSERT INTO `countries` VALUES(186, 0, 0, 0, 'EN', 'Paraguay', 'PY');
INSERT INTO `countries` VALUES(187, 0, 0, 0, 'EN', 'Qatar', 'QA');
INSERT INTO `countries` VALUES(188, 0, 0, 0, 'EN', 'Reunion (Réunion)', 'RE');
INSERT INTO `countries` VALUES(189, 0, 0, 0, 'EN', 'Romania', 'RO');
INSERT INTO `countries` VALUES(190, 0, 0, 0, 'EN', 'Serbia', 'RS');
INSERT INTO `countries` VALUES(191, 0, 0, 0, 'EN', 'Russian Federation', 'RU');
INSERT INTO `countries` VALUES(192, 0, 0, 0, 'EN', 'Rwanda', 'RW');
INSERT INTO `countries` VALUES(193, 0, 0, 0, 'EN', 'Saudi Arabia', 'SA');
INSERT INTO `countries` VALUES(194, 0, 0, 0, 'EN', 'Solomon Islands', 'SB');
INSERT INTO `countries` VALUES(195, 0, 0, 0, 'EN', 'Seychelles', 'SC');
INSERT INTO `countries` VALUES(196, 0, 0, 0, 'EN', 'Sudan', 'SD');
INSERT INTO `countries` VALUES(197, 0, 0, 0, 'EN', 'Sweden', 'SE');
INSERT INTO `countries` VALUES(198, 0, 0, 0, 'EN', 'Singapore', 'SG');
INSERT INTO `countries` VALUES(199, 0, 0, 0, 'EN', 'Saint Helena, Ascension and Tristan da Cunha', 'SH');
INSERT INTO `countries` VALUES(200, 0, 0, 0, 'EN', 'Slovenia', 'SI');
INSERT INTO `countries` VALUES(201, 0, 0, 0, 'EN', 'Svalbard and Jan Mayen', 'SJ');
INSERT INTO `countries` VALUES(202, 0, 0, 0, 'EN', 'Slovakia', 'SK');
INSERT INTO `countries` VALUES(203, 0, 0, 0, 'EN', 'Sierra Leone', 'SL');
INSERT INTO `countries` VALUES(204, 0, 0, 0, 'EN', 'San Marino', 'SM');
INSERT INTO `countries` VALUES(205, 0, 0, 0, 'EN', 'Senegal', 'SN');
INSERT INTO `countries` VALUES(206, 0, 0, 0, 'EN', 'Somalia', 'SO');
INSERT INTO `countries` VALUES(207, 0, 0, 0, 'EN', 'Suriname', 'SR');
INSERT INTO `countries` VALUES(208, 0, 0, 0, 'EN', 'South Sudan', 'SS');
INSERT INTO `countries` VALUES(209, 0, 0, 0, 'EN', 'Sao Tome and Principe', 'ST');
INSERT INTO `countries` VALUES(210, 0, 0, 0, 'EN', 'El Salvador', 'SV');
INSERT INTO `countries` VALUES(211, 0, 0, 0, 'EN', 'Sint Maarten (Dutch part)', 'SX');
INSERT INTO `countries` VALUES(212, 0, 0, 0, 'EN', 'Syrian Arab Republic', 'SY');
INSERT INTO `countries` VALUES(213, 0, 0, 0, 'EN', 'Swaziland', 'SZ');
INSERT INTO `countries` VALUES(214, 0, 0, 0, 'EN', 'Turks and Caicos Islands', 'TC');
INSERT INTO `countries` VALUES(215, 0, 0, 0, 'EN', 'Chad', 'TD');
INSERT INTO `countries` VALUES(216, 0, 0, 0, 'EN', 'French Southern Territories', 'TF');
INSERT INTO `countries` VALUES(217, 0, 0, 0, 'EN', 'Togo', 'TG');
INSERT INTO `countries` VALUES(218, 0, 0, 0, 'EN', 'Thailand', 'TH');
INSERT INTO `countries` VALUES(219, 0, 0, 0, 'EN', 'Tajikistan', 'TJ');
INSERT INTO `countries` VALUES(220, 0, 0, 0, 'EN', 'Tokelau', 'TK');
INSERT INTO `countries` VALUES(221, 0, 0, 0, 'EN', 'Timor-Leste', 'TL');
INSERT INTO `countries` VALUES(222, 0, 0, 0, 'EN', 'Turkmenistan', 'TM');
INSERT INTO `countries` VALUES(223, 0, 0, 0, 'EN', 'Tunisia', 'TN');
INSERT INTO `countries` VALUES(224, 0, 0, 0, 'EN', 'Tonga', 'TO');
INSERT INTO `countries` VALUES(225, 0, 0, 0, 'EN', 'Turkey', 'TR');
INSERT INTO `countries` VALUES(226, 0, 0, 0, 'EN', 'Trinidad and Tobago', 'TT');
INSERT INTO `countries` VALUES(227, 0, 0, 0, 'EN', 'Tuvalu', 'TV');
INSERT INTO `countries` VALUES(228, 0, 0, 0, 'EN', 'Taiwan', 'TW');
INSERT INTO `countries` VALUES(229, 0, 0, 0, 'EN', 'Tanzania, United Republic of', 'TZ');
INSERT INTO `countries` VALUES(230, 0, 0, 0, 'EN', 'Ukraine', 'UA');
INSERT INTO `countries` VALUES(231, 0, 0, 0, 'EN', 'Uganda', 'UG');
INSERT INTO `countries` VALUES(232, 0, 0, 0, 'EN', 'United States Minor Outlying Islands', 'UM');
INSERT INTO `countries` VALUES(233, 0, 0, 0, 'EN', 'United States', 'US');
INSERT INTO `countries` VALUES(234, 0, 0, 0, 'EN', 'Uruguay', 'UY');
INSERT INTO `countries` VALUES(235, 0, 0, 0, 'EN', 'Uzbekistan', 'UZ');
INSERT INTO `countries` VALUES(236, 0, 0, 0, 'EN', 'Holy See (Vatican City State)', 'VA');
INSERT INTO `countries` VALUES(237, 0, 0, 0, 'EN', 'Saint Vincent and the Grenadines', 'VC');
INSERT INTO `countries` VALUES(238, 0, 0, 0, 'EN', 'Venezuela, Bolivarian Republic of', 'VE');
INSERT INTO `countries` VALUES(239, 0, 0, 0, 'EN', 'Virgin Islands, British', 'VG');
INSERT INTO `countries` VALUES(240, 0, 0, 0, 'EN', 'Virgin Islands, U.S.', 'VI');
INSERT INTO `countries` VALUES(241, 0, 0, 0, 'EN', 'Viet Nam', 'VN');
INSERT INTO `countries` VALUES(242, 0, 0, 0, 'EN', 'Vanuatu', 'VU');
INSERT INTO `countries` VALUES(243, 0, 0, 0, 'EN', 'Wallis and Futuna', 'WF');
INSERT INTO `countries` VALUES(244, 0, 0, 0, 'EN', 'Samoa', 'WS');
INSERT INTO `countries` VALUES(245, 0, 0, 0, 'EN', 'Yemen', 'YE');
INSERT INTO `countries` VALUES(246, 0, 0, 0, 'EN', 'Mayotte', 'YT');
INSERT INTO `countries` VALUES(247, 0, 0, 0, 'EN', 'South Africa', 'ZA');
INSERT INTO `countries` VALUES(248, 0, 0, 0, 'EN', 'Zambia', 'ZM');
INSERT INTO `countries` VALUES(249, 0, 0, 0, 'EN', 'Zimbabwe', 'ZW');
INSERT INTO `countries` VALUES(3736, 0, 0, 1, 'BG', 'Андора', 'AD');
INSERT INTO `countries` VALUES(3737, 0, 0, 2, 'BG', 'ОАЕ', 'AE');
INSERT INTO `countries` VALUES(3738, 0, 0, 3, 'BG', 'Афганистан', 'AF');
INSERT INTO `countries` VALUES(3739, 0, 0, 4, 'BG', 'Антигуа и Барбуда', 'AG');
INSERT INTO `countries` VALUES(3740, 0, 0, 5, 'BG', 'Ангуила', 'AI');
INSERT INTO `countries` VALUES(3741, 0, 0, 6, 'BG', 'Албания', 'AL');
INSERT INTO `countries` VALUES(3742, 0, 0, 7, 'BG', 'Армения', 'AM');
INSERT INTO `countries` VALUES(3743, 0, 0, 8, 'BG', 'Ангола', 'AO');
INSERT INTO `countries` VALUES(3744, 0, 0, 9, 'BG', 'Антарктида', 'AQ');
INSERT INTO `countries` VALUES(3745, 0, 0, 10, 'BG', 'Аржентина', 'AR');
INSERT INTO `countries` VALUES(3746, 0, 0, 11, 'BG', 'Американска Самоа', 'AS');
INSERT INTO `countries` VALUES(3747, 0, 0, 12, 'BG', 'Австрия', 'AT');
INSERT INTO `countries` VALUES(3748, 0, 0, 13, 'BG', 'Австралия', 'AU');
INSERT INTO `countries` VALUES(3749, 0, 0, 14, 'BG', 'Аруба', 'AW');
INSERT INTO `countries` VALUES(3750, 0, 0, 15, 'BG', 'Оланд', 'AX');
INSERT INTO `countries` VALUES(3751, 0, 0, 16, 'BG', 'Азербайджан', 'AZ');
INSERT INTO `countries` VALUES(3752, 0, 0, 17, 'BG', 'Босна и Херцеговина', 'BA');
INSERT INTO `countries` VALUES(3753, 0, 0, 18, 'BG', 'Барбадос', 'BB');
INSERT INTO `countries` VALUES(3754, 0, 0, 19, 'BG', 'Бангладеш', 'BD');
INSERT INTO `countries` VALUES(3755, 0, 0, 20, 'BG', 'Белгия', 'BE');
INSERT INTO `countries` VALUES(3756, 0, 0, 21, 'BG', 'Буркина Фасо', 'BF');
INSERT INTO `countries` VALUES(3757, 0, 0, 22, 'BG', 'България', 'BG');
INSERT INTO `countries` VALUES(3758, 0, 0, 23, 'BG', 'Бахрейн', 'BH');
INSERT INTO `countries` VALUES(3759, 0, 0, 24, 'BG', 'Бурунди', 'BI');
INSERT INTO `countries` VALUES(3760, 0, 0, 25, 'BG', 'Бенин', 'BJ');
INSERT INTO `countries` VALUES(3761, 0, 0, 26, 'BG', 'Сен Бартелми', 'BL');
INSERT INTO `countries` VALUES(3762, 0, 0, 27, 'BG', 'Бермудски острови', 'BM');
INSERT INTO `countries` VALUES(3763, 0, 0, 28, 'BG', 'Бруней', 'BN');
INSERT INTO `countries` VALUES(3764, 0, 0, 29, 'BG', 'Боливия', 'BO');
INSERT INTO `countries` VALUES(3765, 0, 0, 30, 'BG', 'Bonaire, Sint Eustatius and Saba', 'BQ');
INSERT INTO `countries` VALUES(3766, 0, 0, 31, 'BG', 'Бразилия', 'BR');
INSERT INTO `countries` VALUES(3767, 0, 0, 32, 'BG', 'Бахамски острови', 'BS');
INSERT INTO `countries` VALUES(3768, 0, 0, 33, 'BG', 'Бутан', 'BT');
INSERT INTO `countries` VALUES(3769, 0, 0, 34, 'BG', 'Буве', 'BV');
INSERT INTO `countries` VALUES(3770, 0, 0, 35, 'BG', 'Ботсвана', 'BW');
INSERT INTO `countries` VALUES(3771, 0, 0, 36, 'BG', 'Беларус', 'BY');
INSERT INTO `countries` VALUES(3772, 0, 0, 37, 'BG', 'Белиз', 'BZ');
INSERT INTO `countries` VALUES(3773, 0, 0, 38, 'BG', 'Канада', 'CA');
INSERT INTO `countries` VALUES(3774, 0, 0, 39, 'BG', 'Кокосови острови', 'CC');
INSERT INTO `countries` VALUES(3775, 0, 0, 40, 'BG', 'Демократична република Конго', 'CD');
INSERT INTO `countries` VALUES(3776, 0, 0, 41, 'BG', 'Централноафриканска република', 'CF');
INSERT INTO `countries` VALUES(3777, 0, 0, 42, 'BG', 'Република Конго', 'CG');
INSERT INTO `countries` VALUES(3778, 0, 0, 43, 'BG', 'Швейцария', 'CH');
INSERT INTO `countries` VALUES(3779, 0, 0, 44, 'BG', 'Кот д''Ивоар', 'CI');
INSERT INTO `countries` VALUES(3780, 0, 0, 45, 'BG', 'Острови Кук', 'CK');
INSERT INTO `countries` VALUES(3781, 0, 0, 46, 'BG', 'Чили', 'CL');
INSERT INTO `countries` VALUES(3782, 0, 0, 47, 'BG', 'Камерун', 'CM');
INSERT INTO `countries` VALUES(3783, 0, 0, 48, 'BG', 'Китай', 'CN');
INSERT INTO `countries` VALUES(3784, 0, 0, 49, 'BG', 'Колумбия', 'CO');
INSERT INTO `countries` VALUES(3785, 0, 0, 50, 'BG', 'Коста Рика', 'CR');
INSERT INTO `countries` VALUES(3786, 0, 0, 51, 'BG', 'Куба', 'CU');
INSERT INTO `countries` VALUES(3787, 0, 0, 52, 'BG', 'Кабо Верде', 'CV');
INSERT INTO `countries` VALUES(3788, 0, 0, 53, 'BG', 'Curaçao', 'CW');
INSERT INTO `countries` VALUES(3789, 0, 0, 54, 'BG', 'Коледен остров', 'CX');
INSERT INTO `countries` VALUES(3790, 0, 0, 55, 'BG', 'Кипър', 'CY');
INSERT INTO `countries` VALUES(3791, 0, 0, 56, 'BG', 'Чехия', 'CZ');
INSERT INTO `countries` VALUES(3792, 0, 0, 57, 'BG', 'Германия', 'DE');
INSERT INTO `countries` VALUES(3793, 0, 0, 58, 'BG', 'Джибути', 'DJ');
INSERT INTO `countries` VALUES(3794, 0, 0, 59, 'BG', 'Дания', 'DK');
INSERT INTO `countries` VALUES(3795, 0, 0, 60, 'BG', 'Доминика', 'DM');
INSERT INTO `countries` VALUES(3796, 0, 0, 61, 'BG', 'Доминиканска република', 'DO');
INSERT INTO `countries` VALUES(3797, 0, 0, 62, 'BG', 'Алжир', 'DZ');
INSERT INTO `countries` VALUES(3798, 0, 0, 63, 'BG', 'Еквадор', 'EC');
INSERT INTO `countries` VALUES(3799, 0, 0, 64, 'BG', 'Естония', 'EE');
INSERT INTO `countries` VALUES(3800, 0, 0, 65, 'BG', 'Египет', 'EG');
INSERT INTO `countries` VALUES(3801, 0, 0, 66, 'BG', 'Западна Сахара', 'EH');
INSERT INTO `countries` VALUES(3802, 0, 0, 67, 'BG', 'Еритрея', 'ER');
INSERT INTO `countries` VALUES(3803, 0, 0, 68, 'BG', 'Испания', 'ES');
INSERT INTO `countries` VALUES(3804, 0, 0, 69, 'BG', 'Етиопия', 'ET');
INSERT INTO `countries` VALUES(3805, 0, 0, 70, 'BG', 'Финландия', 'FI');
INSERT INTO `countries` VALUES(3806, 0, 0, 71, 'BG', 'Фиджи', 'FJ');
INSERT INTO `countries` VALUES(3807, 0, 0, 72, 'BG', 'Фолклендски острови', 'FK');
INSERT INTO `countries` VALUES(3808, 0, 0, 73, 'BG', 'Микронезия', 'FM');
INSERT INTO `countries` VALUES(3809, 0, 0, 74, 'BG', 'Ферьорски острови', 'FO');
INSERT INTO `countries` VALUES(3810, 0, 0, 75, 'BG', 'Франция', 'FR');
INSERT INTO `countries` VALUES(3811, 0, 0, 76, 'BG', 'Габон', 'GA');
INSERT INTO `countries` VALUES(3812, 0, 0, 77, 'BG', 'Великобритания', 'GB');
INSERT INTO `countries` VALUES(3813, 0, 0, 78, 'BG', 'Гренада', 'GD');
INSERT INTO `countries` VALUES(3814, 0, 0, 79, 'BG', 'Грузия', 'GE');
INSERT INTO `countries` VALUES(3815, 0, 0, 80, 'BG', 'Френска Гвиана', 'GF');
INSERT INTO `countries` VALUES(3816, 0, 0, 81, 'BG', 'Гърнси', 'GG');
INSERT INTO `countries` VALUES(3817, 0, 0, 82, 'BG', 'Гана', 'GH');
INSERT INTO `countries` VALUES(3818, 0, 0, 83, 'BG', 'Гибралтар', 'GI');
INSERT INTO `countries` VALUES(3819, 0, 0, 84, 'BG', 'Гренландия', 'GL');
INSERT INTO `countries` VALUES(3820, 0, 0, 85, 'BG', 'Гамбия', 'GM');
INSERT INTO `countries` VALUES(3821, 0, 0, 86, 'BG', 'Гвинея', 'GN');
INSERT INTO `countries` VALUES(3822, 0, 0, 87, 'BG', 'Гваделупа', 'GP');
INSERT INTO `countries` VALUES(3823, 0, 0, 88, 'BG', 'Екваториална Гвинея', 'GQ');
INSERT INTO `countries` VALUES(3824, 0, 0, 89, 'BG', 'Гърция', 'GR');
INSERT INTO `countries` VALUES(3825, 0, 0, 90, 'BG', 'Южна Джорджия и Южни Сандвичеви острови', 'GS');
INSERT INTO `countries` VALUES(3826, 0, 0, 91, 'BG', 'Гватемала', 'GT');
INSERT INTO `countries` VALUES(3827, 0, 0, 92, 'BG', 'Гуам', 'GU');
INSERT INTO `countries` VALUES(3828, 0, 0, 93, 'BG', 'Гвинея-Бисау', 'GW');
INSERT INTO `countries` VALUES(3829, 0, 0, 94, 'BG', 'Гвиана', 'GY');
INSERT INTO `countries` VALUES(3830, 0, 0, 95, 'BG', 'Хонконг', 'HK');
INSERT INTO `countries` VALUES(3831, 0, 0, 96, 'BG', 'Острови Хърд и Макдоналд', 'HM');
INSERT INTO `countries` VALUES(3832, 0, 0, 97, 'BG', 'Хондурас', 'HN');
INSERT INTO `countries` VALUES(3833, 0, 0, 98, 'BG', 'Хърватия', 'HR');
INSERT INTO `countries` VALUES(3834, 0, 0, 99, 'BG', 'Хаити', 'HT');
INSERT INTO `countries` VALUES(3835, 0, 0, 100, 'BG', 'Унгария', 'HU');
INSERT INTO `countries` VALUES(3836, 0, 0, 101, 'BG', 'Индонезия', 'ID');
INSERT INTO `countries` VALUES(3837, 0, 0, 102, 'BG', 'Ирландия', 'IE');
INSERT INTO `countries` VALUES(3838, 0, 0, 103, 'BG', 'Израел', 'IL');
INSERT INTO `countries` VALUES(3839, 0, 0, 104, 'BG', 'Ман', 'IM');
INSERT INTO `countries` VALUES(3840, 0, 0, 105, 'BG', 'Индия', 'IN');
INSERT INTO `countries` VALUES(3841, 0, 0, 106, 'BG', 'Британска индоокеанска територия', 'IO');
INSERT INTO `countries` VALUES(3842, 0, 0, 107, 'BG', 'Ирак', 'IQ');
INSERT INTO `countries` VALUES(3843, 0, 0, 108, 'BG', 'Иран', 'IR');
INSERT INTO `countries` VALUES(3844, 0, 0, 109, 'BG', 'Исландия', 'IS');
INSERT INTO `countries` VALUES(3845, 0, 0, 110, 'BG', 'Италия', 'IT');
INSERT INTO `countries` VALUES(3846, 0, 0, 111, 'BG', 'Джърси', 'JE');
INSERT INTO `countries` VALUES(3847, 0, 0, 112, 'BG', 'Ямайка', 'JM');
INSERT INTO `countries` VALUES(3848, 0, 0, 113, 'BG', 'Йордания', 'JO');
INSERT INTO `countries` VALUES(3849, 0, 0, 114, 'BG', 'Япония', 'JP');
INSERT INTO `countries` VALUES(3850, 0, 0, 115, 'BG', 'Кения', 'KE');
INSERT INTO `countries` VALUES(3851, 0, 0, 116, 'BG', 'Киргизстан', 'KG');
INSERT INTO `countries` VALUES(3852, 0, 0, 117, 'BG', 'Камбоджа', 'KH');
INSERT INTO `countries` VALUES(3853, 0, 0, 118, 'BG', 'Кирибати', 'KI');
INSERT INTO `countries` VALUES(3854, 0, 0, 119, 'BG', 'Коморски острови', 'KM');
INSERT INTO `countries` VALUES(3855, 0, 0, 120, 'BG', 'Сейнт Китс и Невис', 'KN');
INSERT INTO `countries` VALUES(3856, 0, 0, 121, 'BG', 'Северна Корея', 'KP');
INSERT INTO `countries` VALUES(3857, 0, 0, 122, 'BG', 'Южна Корея', 'KR');
INSERT INTO `countries` VALUES(3858, 0, 0, 123, 'BG', 'Кувейт', 'KW');
INSERT INTO `countries` VALUES(3859, 0, 0, 124, 'BG', 'Кайманови острови', 'KY');
INSERT INTO `countries` VALUES(3860, 0, 0, 125, 'BG', 'Казахстан', 'KZ');
INSERT INTO `countries` VALUES(3861, 0, 0, 126, 'BG', 'Лаос', 'LA');
INSERT INTO `countries` VALUES(3862, 0, 0, 127, 'BG', 'Ливан', 'LB');
INSERT INTO `countries` VALUES(3863, 0, 0, 128, 'BG', 'Сейнт Лусия', 'LC');
INSERT INTO `countries` VALUES(3864, 0, 0, 129, 'BG', 'Лихтенщайн', 'LI');
INSERT INTO `countries` VALUES(3865, 0, 0, 130, 'BG', 'Шри Ланка', 'LK');
INSERT INTO `countries` VALUES(3866, 0, 0, 131, 'BG', 'Либерия', 'LR');
INSERT INTO `countries` VALUES(3867, 0, 0, 132, 'BG', 'Лесото', 'LS');
INSERT INTO `countries` VALUES(3868, 0, 0, 133, 'BG', 'Литва', 'LT');
INSERT INTO `countries` VALUES(3869, 0, 0, 134, 'BG', 'Люксембург', 'LU');
INSERT INTO `countries` VALUES(3870, 0, 0, 135, 'BG', 'Латвия', 'LV');
INSERT INTO `countries` VALUES(3871, 0, 0, 136, 'BG', 'Либия', 'LY');
INSERT INTO `countries` VALUES(3872, 0, 0, 137, 'BG', 'Мароко', 'MA');
INSERT INTO `countries` VALUES(3873, 0, 0, 138, 'BG', 'Монако', 'MC');
INSERT INTO `countries` VALUES(3874, 0, 0, 139, 'BG', 'Молдова', 'MD');
INSERT INTO `countries` VALUES(3875, 0, 0, 140, 'BG', 'Черна гора', 'ME');
INSERT INTO `countries` VALUES(3876, 0, 0, 141, 'BG', 'Сен Мартен', 'MF');
INSERT INTO `countries` VALUES(3877, 0, 0, 142, 'BG', 'Мадагаскар', 'MG');
INSERT INTO `countries` VALUES(3878, 0, 0, 143, 'BG', 'Маршалови острови', 'MH');
INSERT INTO `countries` VALUES(3879, 0, 0, 144, 'BG', 'Република Македония', 'MK');
INSERT INTO `countries` VALUES(3880, 0, 0, 145, 'BG', 'Мали', 'ML');
INSERT INTO `countries` VALUES(3881, 0, 0, 146, 'BG', 'Мианмар', 'MM');
INSERT INTO `countries` VALUES(3882, 0, 0, 147, 'BG', 'Монголия', 'MN');
INSERT INTO `countries` VALUES(3883, 0, 0, 148, 'BG', 'Макао', 'MO');
INSERT INTO `countries` VALUES(3884, 0, 0, 149, 'BG', 'Северни Мариански острови', 'MP');
INSERT INTO `countries` VALUES(3885, 0, 0, 150, 'BG', 'Мартиника', 'MQ');
INSERT INTO `countries` VALUES(3886, 0, 0, 151, 'BG', 'Мавритания', 'MR');
INSERT INTO `countries` VALUES(3887, 0, 0, 152, 'BG', 'Монсерат', 'MS');
INSERT INTO `countries` VALUES(3888, 0, 0, 153, 'BG', 'Малта', 'MT');
INSERT INTO `countries` VALUES(3889, 0, 0, 154, 'BG', 'Мавриций', 'MU');
INSERT INTO `countries` VALUES(3890, 0, 0, 155, 'BG', 'Малдиви', 'MV');
INSERT INTO `countries` VALUES(3891, 0, 0, 156, 'BG', 'Малави', 'MW');
INSERT INTO `countries` VALUES(3892, 0, 0, 157, 'BG', 'Мексико', 'MX');
INSERT INTO `countries` VALUES(3893, 0, 0, 158, 'BG', 'Малайзия', 'MY');
INSERT INTO `countries` VALUES(3894, 0, 0, 159, 'BG', 'Мозамбик', 'MZ');
INSERT INTO `countries` VALUES(3895, 0, 0, 160, 'BG', 'Намибия', 'NA');
INSERT INTO `countries` VALUES(3896, 0, 0, 161, 'BG', 'Нова Каледония', 'NC');
INSERT INTO `countries` VALUES(3897, 0, 0, 162, 'BG', 'Нигер', 'NE');
INSERT INTO `countries` VALUES(3898, 0, 0, 163, 'BG', 'Остров Норфолк', 'NF');
INSERT INTO `countries` VALUES(3899, 0, 0, 164, 'BG', 'Нигерия', 'NG');
INSERT INTO `countries` VALUES(3900, 0, 0, 165, 'BG', 'Никарагуа', 'NI');
INSERT INTO `countries` VALUES(3901, 0, 0, 166, 'BG', 'Нидерландия', 'NL');
INSERT INTO `countries` VALUES(3902, 0, 0, 167, 'BG', 'Норвегия', 'NO');
INSERT INTO `countries` VALUES(3903, 0, 0, 168, 'BG', 'Непал', 'NP');
INSERT INTO `countries` VALUES(3904, 0, 0, 169, 'BG', 'Науру', 'NR');
INSERT INTO `countries` VALUES(3905, 0, 0, 170, 'BG', 'Ниуе', 'NU');
INSERT INTO `countries` VALUES(3906, 0, 0, 171, 'BG', 'Нова Зеландия', 'NZ');
INSERT INTO `countries` VALUES(3907, 0, 0, 172, 'BG', 'Оман', 'OM');
INSERT INTO `countries` VALUES(3908, 0, 0, 173, 'BG', 'Панама', 'PA');
INSERT INTO `countries` VALUES(3909, 0, 0, 174, 'BG', 'Перу', 'PE');
INSERT INTO `countries` VALUES(3910, 0, 0, 175, 'BG', 'Френска Полинезия', 'PF');
INSERT INTO `countries` VALUES(3911, 0, 0, 176, 'BG', 'Папуа Нова Гвинея', 'PG');
INSERT INTO `countries` VALUES(3912, 0, 0, 177, 'BG', 'Филипини', 'PH');
INSERT INTO `countries` VALUES(3913, 0, 0, 178, 'BG', 'Пакистан', 'PK');
INSERT INTO `countries` VALUES(3914, 0, 0, 179, 'BG', 'Полша', 'PL');
INSERT INTO `countries` VALUES(3915, 0, 0, 180, 'BG', 'Сен Пиер и Микелон', 'PM');
INSERT INTO `countries` VALUES(3916, 0, 0, 181, 'BG', 'Питкерн', 'PN');
INSERT INTO `countries` VALUES(3917, 0, 0, 182, 'BG', 'Пуерто Рико', 'PR');
INSERT INTO `countries` VALUES(3918, 0, 0, 183, 'BG', 'Палестина', 'PS');
INSERT INTO `countries` VALUES(3919, 0, 0, 184, 'BG', 'Португалия', 'PT');
INSERT INTO `countries` VALUES(3920, 0, 0, 185, 'BG', 'Палау', 'PW');
INSERT INTO `countries` VALUES(3921, 0, 0, 186, 'BG', 'Парагвай', 'PY');
INSERT INTO `countries` VALUES(3922, 0, 0, 187, 'BG', 'Катар', 'QA');
INSERT INTO `countries` VALUES(3923, 0, 0, 188, 'BG', 'Реюнион', 'RE');
INSERT INTO `countries` VALUES(3924, 0, 0, 189, 'BG', 'Румъния', 'RO');
INSERT INTO `countries` VALUES(3925, 0, 0, 190, 'BG', 'Сърбия', 'RS');
INSERT INTO `countries` VALUES(3926, 0, 0, 191, 'BG', 'Русия', 'RU');
INSERT INTO `countries` VALUES(3927, 0, 0, 192, 'BG', 'Руанда', 'RW');
INSERT INTO `countries` VALUES(3928, 0, 0, 193, 'BG', 'Саудитска Арабия', 'SA');
INSERT INTO `countries` VALUES(3929, 0, 0, 194, 'BG', 'Соломонови острови', 'SB');
INSERT INTO `countries` VALUES(3930, 0, 0, 195, 'BG', 'Сейшелски острови', 'SC');
INSERT INTO `countries` VALUES(3931, 0, 0, 196, 'BG', 'Судан', 'SD');
INSERT INTO `countries` VALUES(3932, 0, 0, 197, 'BG', 'Швеция', 'SE');
INSERT INTO `countries` VALUES(3933, 0, 0, 198, 'BG', 'Сингапур', 'SG');
INSERT INTO `countries` VALUES(3934, 0, 0, 199, 'BG', 'Света Елена', 'SH');
INSERT INTO `countries` VALUES(3935, 0, 0, 200, 'BG', 'Словения', 'SI');
INSERT INTO `countries` VALUES(3936, 0, 0, 201, 'BG', 'Свалбард и Ян Майен', 'SJ');
INSERT INTO `countries` VALUES(3937, 0, 0, 202, 'BG', 'Словакия', 'SK');
INSERT INTO `countries` VALUES(3938, 0, 0, 203, 'BG', 'Сиера Леоне', 'SL');
INSERT INTO `countries` VALUES(3939, 0, 0, 204, 'BG', 'Сан Марино', 'SM');
INSERT INTO `countries` VALUES(3940, 0, 0, 205, 'BG', 'Сенегал', 'SN');
INSERT INTO `countries` VALUES(3941, 0, 0, 206, 'BG', 'Сомалия', 'SO');
INSERT INTO `countries` VALUES(3942, 0, 0, 207, 'BG', 'Суринам', 'SR');
INSERT INTO `countries` VALUES(3943, 0, 0, 208, 'BG', 'South Sudan', 'SS');
INSERT INTO `countries` VALUES(3944, 0, 0, 209, 'BG', 'Сао Томе и Принсипи', 'ST');
INSERT INTO `countries` VALUES(3945, 0, 0, 210, 'BG', 'Ел Салвадор', 'SV');
INSERT INTO `countries` VALUES(3946, 0, 0, 211, 'BG', 'Sint Maarten (Dutch part)', 'SX');
INSERT INTO `countries` VALUES(3947, 0, 0, 212, 'BG', 'Сирия', 'SY');
INSERT INTO `countries` VALUES(3948, 0, 0, 213, 'BG', 'Свазиленд', 'SZ');
INSERT INTO `countries` VALUES(3949, 0, 0, 214, 'BG', 'Търкс и Кайкос', 'TC');
INSERT INTO `countries` VALUES(3950, 0, 0, 215, 'BG', 'Чад', 'TD');
INSERT INTO `countries` VALUES(3951, 0, 0, 216, 'BG', 'Френски южни и антарктически територии', 'TF');
INSERT INTO `countries` VALUES(3952, 0, 0, 217, 'BG', 'Того', 'TG');
INSERT INTO `countries` VALUES(3953, 0, 0, 218, 'BG', 'Тайланд', 'TH');
INSERT INTO `countries` VALUES(3954, 0, 0, 219, 'BG', 'Таджикистан', 'TJ');
INSERT INTO `countries` VALUES(3955, 0, 0, 220, 'BG', 'Токелау', 'TK');
INSERT INTO `countries` VALUES(3956, 0, 0, 221, 'BG', 'Източен Тимор', 'TL');
INSERT INTO `countries` VALUES(3957, 0, 0, 222, 'BG', 'Туркменистан', 'TM');
INSERT INTO `countries` VALUES(3958, 0, 0, 223, 'BG', 'Тунис', 'TN');
INSERT INTO `countries` VALUES(3959, 0, 0, 224, 'BG', 'Тонга', 'TO');
INSERT INTO `countries` VALUES(3960, 0, 0, 225, 'BG', 'Турция', 'TR');
INSERT INTO `countries` VALUES(3961, 0, 0, 226, 'BG', 'Тринидад и Тобаго', 'TT');
INSERT INTO `countries` VALUES(3962, 0, 0, 227, 'BG', 'Тувалу', 'TV');
INSERT INTO `countries` VALUES(3963, 0, 0, 228, 'BG', 'Тайван', 'TW');
INSERT INTO `countries` VALUES(3964, 0, 0, 229, 'BG', 'Танзания', 'TZ');
INSERT INTO `countries` VALUES(3965, 0, 0, 230, 'BG', 'Украйна', 'UA');
INSERT INTO `countries` VALUES(3966, 0, 0, 231, 'BG', 'Уганда', 'UG');
INSERT INTO `countries` VALUES(3967, 0, 0, 232, 'BG', 'Малки далечни острови на САЩ', 'UM');
INSERT INTO `countries` VALUES(3968, 0, 0, 233, 'BG', 'САЩ', 'US');
INSERT INTO `countries` VALUES(3969, 0, 0, 234, 'BG', 'Уругвай', 'UY');
INSERT INTO `countries` VALUES(3970, 0, 0, 235, 'BG', 'Узбекистан', 'UZ');
INSERT INTO `countries` VALUES(3971, 0, 0, 236, 'BG', 'Ватикан', 'VA');
INSERT INTO `countries` VALUES(3972, 0, 0, 237, 'BG', 'Сейнт Винсънт и Гренадини', 'VC');
INSERT INTO `countries` VALUES(3973, 0, 0, 238, 'BG', 'Венецуела', 'VE');
INSERT INTO `countries` VALUES(3974, 0, 0, 239, 'BG', 'Британски Вирджински острови', 'VG');
INSERT INTO `countries` VALUES(3975, 0, 0, 240, 'BG', 'Американски Вирджински острови', 'VI');
INSERT INTO `countries` VALUES(3976, 0, 0, 241, 'BG', 'Виетнам', 'VN');
INSERT INTO `countries` VALUES(3977, 0, 0, 242, 'BG', 'Вануату', 'VU');
INSERT INTO `countries` VALUES(3978, 0, 0, 243, 'BG', 'Уолис и Футуна', 'WF');
INSERT INTO `countries` VALUES(3979, 0, 0, 244, 'BG', 'Самоа', 'WS');
INSERT INTO `countries` VALUES(3980, 0, 0, 245, 'BG', 'Йемен', 'YE');
INSERT INTO `countries` VALUES(3981, 0, 0, 246, 'BG', 'Майот', 'YT');
INSERT INTO `countries` VALUES(3982, 0, 0, 247, 'BG', 'РЮА', 'ZA');
INSERT INTO `countries` VALUES(3983, 0, 0, 248, 'BG', 'Замбия', 'ZM');
INSERT INTO `countries` VALUES(3984, 0, 0, 249, 'BG', 'Зимбабве', 'ZW');
INSERT INTO `countries` VALUES(8218, 0, 0, 1, 'DE', 'Andorra', 'AD');
INSERT INTO `countries` VALUES(8219, 0, 0, 2, 'DE', 'Vereinigte Arabische Emirate', 'AE');
INSERT INTO `countries` VALUES(8220, 0, 0, 3, 'DE', 'Afghanistan', 'AF');
INSERT INTO `countries` VALUES(8221, 0, 0, 4, 'DE', 'Antigua und Barbuda', 'AG');
INSERT INTO `countries` VALUES(8222, 0, 0, 5, 'DE', 'Anguilla', 'AI');
INSERT INTO `countries` VALUES(8223, 0, 0, 6, 'DE', 'Albanien', 'AL');
INSERT INTO `countries` VALUES(8224, 0, 0, 7, 'DE', 'Armenien', 'AM');
INSERT INTO `countries` VALUES(8225, 0, 0, 8, 'DE', 'Angola', 'AO');
INSERT INTO `countries` VALUES(8226, 0, 0, 9, 'DE', 'Antarktika', 'AQ');
INSERT INTO `countries` VALUES(8227, 0, 0, 10, 'DE', 'Argentinien', 'AR');
INSERT INTO `countries` VALUES(8228, 0, 0, 11, 'DE', 'Amerikanisch-Samoa', 'AS');
INSERT INTO `countries` VALUES(8229, 0, 0, 12, 'DE', 'Österreich', 'AT');
INSERT INTO `countries` VALUES(8230, 0, 0, 13, 'DE', 'Australien', 'AU');
INSERT INTO `countries` VALUES(8231, 0, 0, 14, 'DE', 'Aruba', 'AW');
INSERT INTO `countries` VALUES(8232, 0, 0, 15, 'DE', 'Aland', 'AX');
INSERT INTO `countries` VALUES(8233, 0, 0, 16, 'DE', 'Aserbaidschan', 'AZ');
INSERT INTO `countries` VALUES(8234, 0, 0, 17, 'DE', 'Bosnien und Herzegowina', 'BA');
INSERT INTO `countries` VALUES(8235, 0, 0, 18, 'DE', 'Barbados', 'BB');
INSERT INTO `countries` VALUES(8236, 0, 0, 19, 'DE', 'Bangladesch', 'BD');
INSERT INTO `countries` VALUES(8237, 0, 0, 20, 'DE', 'Belgien', 'BE');
INSERT INTO `countries` VALUES(8238, 0, 0, 21, 'DE', 'Burkina Faso', 'BF');
INSERT INTO `countries` VALUES(8239, 0, 0, 22, 'DE', 'Bulgarien', 'BG');
INSERT INTO `countries` VALUES(8240, 0, 0, 23, 'DE', 'Bahrain', 'BH');
INSERT INTO `countries` VALUES(8241, 0, 0, 24, 'DE', 'Burundi', 'BI');
INSERT INTO `countries` VALUES(8242, 0, 0, 25, 'DE', 'Benin', 'BJ');
INSERT INTO `countries` VALUES(8243, 0, 0, 26, 'DE', 'Saint-Barthélemy', 'BL');
INSERT INTO `countries` VALUES(8244, 0, 0, 27, 'DE', 'Bermuda', 'BM');
INSERT INTO `countries` VALUES(8245, 0, 0, 28, 'DE', 'Brunei Darussalam', 'BN');
INSERT INTO `countries` VALUES(8246, 0, 0, 29, 'DE', 'Bolivien', 'BO');
INSERT INTO `countries` VALUES(8247, 0, 0, 30, 'DE', 'Bonaire, Sint Eustatius und Saba (Niederlande)', 'BQ');
INSERT INTO `countries` VALUES(8248, 0, 0, 31, 'DE', 'Brasilien', 'BR');
INSERT INTO `countries` VALUES(8249, 0, 0, 32, 'DE', 'Bahamas', 'BS');
INSERT INTO `countries` VALUES(8250, 0, 0, 33, 'DE', 'Bhutan', 'BT');
INSERT INTO `countries` VALUES(8251, 0, 0, 34, 'DE', 'Bouvetinsel', 'BV');
INSERT INTO `countries` VALUES(8252, 0, 0, 35, 'DE', 'Botswana', 'BW');
INSERT INTO `countries` VALUES(8253, 0, 0, 36, 'DE', 'Belarus (Weißrussland)', 'BY');
INSERT INTO `countries` VALUES(8254, 0, 0, 37, 'DE', 'Belize', 'BZ');
INSERT INTO `countries` VALUES(8255, 0, 0, 38, 'DE', 'Kanada', 'CA');
INSERT INTO `countries` VALUES(8256, 0, 0, 39, 'DE', 'Kokosinseln', 'CC');
INSERT INTO `countries` VALUES(8257, 0, 0, 40, 'DE', 'Kongo, Demokratische Republik (ehem. Zaire)', 'CD');
INSERT INTO `countries` VALUES(8258, 0, 0, 41, 'DE', 'Zentralafrikanische Republik', 'CF');
INSERT INTO `countries` VALUES(8259, 0, 0, 42, 'DE', 'Republik Kongo', 'CG');
INSERT INTO `countries` VALUES(8260, 0, 0, 43, 'DE', 'Schweiz (Confoederatio Helvetica)', 'CH');
INSERT INTO `countries` VALUES(8261, 0, 0, 44, 'DE', 'Elfenbeinküste', 'CI');
INSERT INTO `countries` VALUES(8262, 0, 0, 45, 'DE', 'Cookinseln', 'CK');
INSERT INTO `countries` VALUES(8263, 0, 0, 46, 'DE', 'Chile', 'CL');
INSERT INTO `countries` VALUES(8264, 0, 0, 47, 'DE', 'Kamerun', 'CM');
INSERT INTO `countries` VALUES(8265, 0, 0, 48, 'DE', 'China, Volksrepublik', 'CN');
INSERT INTO `countries` VALUES(8266, 0, 0, 49, 'DE', 'Kolumbien', 'CO');
INSERT INTO `countries` VALUES(8267, 0, 0, 50, 'DE', 'Costa Rica', 'CR');
INSERT INTO `countries` VALUES(8268, 0, 0, 51, 'DE', 'Kuba', 'CU');
INSERT INTO `countries` VALUES(8269, 0, 0, 52, 'DE', 'Kap Verde', 'CV');
INSERT INTO `countries` VALUES(8270, 0, 0, 53, 'DE', 'Curaçao', 'CW');
INSERT INTO `countries` VALUES(8271, 0, 0, 54, 'DE', 'Weihnachtsinsel', 'CX');
INSERT INTO `countries` VALUES(8272, 0, 0, 55, 'DE', 'Zypern', 'CY');
INSERT INTO `countries` VALUES(8273, 0, 0, 56, 'DE', 'Tschechische Republik', 'CZ');
INSERT INTO `countries` VALUES(8274, 0, 0, 57, 'DE', 'Deutschland', 'DE');
INSERT INTO `countries` VALUES(8275, 0, 0, 58, 'DE', 'Dschibuti', 'DJ');
INSERT INTO `countries` VALUES(8276, 0, 0, 59, 'DE', 'Dänemark', 'DK');
INSERT INTO `countries` VALUES(8277, 0, 0, 60, 'DE', 'Dominica', 'DM');
INSERT INTO `countries` VALUES(8278, 0, 0, 61, 'DE', 'Dominikanische Republik', 'DO');
INSERT INTO `countries` VALUES(8279, 0, 0, 62, 'DE', 'Algerien', 'DZ');
INSERT INTO `countries` VALUES(8280, 0, 0, 63, 'DE', 'Ecuador', 'EC');
INSERT INTO `countries` VALUES(8281, 0, 0, 64, 'DE', 'Estland', 'EE');
INSERT INTO `countries` VALUES(8282, 0, 0, 65, 'DE', 'Ägypten', 'EG');
INSERT INTO `countries` VALUES(8283, 0, 0, 66, 'DE', 'Westsahara', 'EH');
INSERT INTO `countries` VALUES(8284, 0, 0, 67, 'DE', 'Eritrea', 'ER');
INSERT INTO `countries` VALUES(8285, 0, 0, 68, 'DE', 'Spanien', 'ES');
INSERT INTO `countries` VALUES(8286, 0, 0, 69, 'DE', 'Äthiopien', 'ET');
INSERT INTO `countries` VALUES(8287, 0, 0, 70, 'DE', 'Finnland', 'FI');
INSERT INTO `countries` VALUES(8288, 0, 0, 71, 'DE', 'Fidschi', 'FJ');
INSERT INTO `countries` VALUES(8289, 0, 0, 72, 'DE', 'Falklandinseln', 'FK');
INSERT INTO `countries` VALUES(8290, 0, 0, 73, 'DE', 'Mikronesien', 'FM');
INSERT INTO `countries` VALUES(8291, 0, 0, 74, 'DE', 'Färöer', 'FO');
INSERT INTO `countries` VALUES(8292, 0, 0, 75, 'DE', 'Frankreich', 'FR');
INSERT INTO `countries` VALUES(8293, 0, 0, 76, 'DE', 'Gabun', 'GA');
INSERT INTO `countries` VALUES(8294, 0, 0, 77, 'DE', 'Vereinigtes Königreich Großbritannien und Nordirland', 'GB');
INSERT INTO `countries` VALUES(8295, 0, 0, 78, 'DE', 'Grenada', 'GD');
INSERT INTO `countries` VALUES(8296, 0, 0, 79, 'DE', 'Georgien', 'GE');
INSERT INTO `countries` VALUES(8297, 0, 0, 80, 'DE', 'Französisch-Guayana', 'GF');
INSERT INTO `countries` VALUES(8298, 0, 0, 81, 'DE', 'Guernsey (Kanalinsel)', 'GG');
INSERT INTO `countries` VALUES(8299, 0, 0, 82, 'DE', 'Ghana', 'GH');
INSERT INTO `countries` VALUES(8300, 0, 0, 83, 'DE', 'Gibraltar', 'GI');
INSERT INTO `countries` VALUES(8301, 0, 0, 84, 'DE', 'Grönland', 'GL');
INSERT INTO `countries` VALUES(8302, 0, 0, 85, 'DE', 'Gambia', 'GM');
INSERT INTO `countries` VALUES(8303, 0, 0, 86, 'DE', 'Guinea', 'GN');
INSERT INTO `countries` VALUES(8304, 0, 0, 87, 'DE', 'Guadeloupe', 'GP');
INSERT INTO `countries` VALUES(8305, 0, 0, 88, 'DE', 'Äquatorialguinea', 'GQ');
INSERT INTO `countries` VALUES(8306, 0, 0, 89, 'DE', 'Griechenland', 'GR');
INSERT INTO `countries` VALUES(8307, 0, 0, 90, 'DE', 'Südgeorgien und die Südlichen Sandwichinseln', 'GS');
INSERT INTO `countries` VALUES(8308, 0, 0, 91, 'DE', 'Guatemala', 'GT');
INSERT INTO `countries` VALUES(8309, 0, 0, 92, 'DE', 'Guam', 'GU');
INSERT INTO `countries` VALUES(8310, 0, 0, 93, 'DE', 'Guinea-Bissau', 'GW');
INSERT INTO `countries` VALUES(8311, 0, 0, 94, 'DE', 'Guyana', 'GY');
INSERT INTO `countries` VALUES(8312, 0, 0, 95, 'DE', 'Hongkong', 'HK');
INSERT INTO `countries` VALUES(8313, 0, 0, 96, 'DE', 'Heard und McDonaldinseln', 'HM');
INSERT INTO `countries` VALUES(8314, 0, 0, 97, 'DE', 'Honduras', 'HN');
INSERT INTO `countries` VALUES(8315, 0, 0, 98, 'DE', 'Kroatien', 'HR');
INSERT INTO `countries` VALUES(8316, 0, 0, 99, 'DE', 'Haiti', 'HT');
INSERT INTO `countries` VALUES(8317, 0, 0, 100, 'DE', 'Ungarn', 'HU');
INSERT INTO `countries` VALUES(8318, 0, 0, 101, 'DE', 'Indonesien', 'ID');
INSERT INTO `countries` VALUES(8319, 0, 0, 102, 'DE', 'Irland', 'IE');
INSERT INTO `countries` VALUES(8320, 0, 0, 103, 'DE', 'Israel', 'IL');
INSERT INTO `countries` VALUES(8321, 0, 0, 104, 'DE', 'Insel Man', 'IM');
INSERT INTO `countries` VALUES(8322, 0, 0, 105, 'DE', 'Indien', 'IN');
INSERT INTO `countries` VALUES(8323, 0, 0, 106, 'DE', 'Britisches Territorium im Indischen Ozean', 'IO');
INSERT INTO `countries` VALUES(8324, 0, 0, 107, 'DE', 'Irak', 'IQ');
INSERT INTO `countries` VALUES(8325, 0, 0, 108, 'DE', 'Iran, Islamische Republik', 'IR');
INSERT INTO `countries` VALUES(8326, 0, 0, 109, 'DE', 'Island', 'IS');
INSERT INTO `countries` VALUES(8327, 0, 0, 110, 'DE', 'Italien', 'IT');
INSERT INTO `countries` VALUES(8328, 0, 0, 111, 'DE', 'Jersey (Kanalinsel)', 'JE');
INSERT INTO `countries` VALUES(8329, 0, 0, 112, 'DE', 'Jamaika', 'JM');
INSERT INTO `countries` VALUES(8330, 0, 0, 113, 'DE', 'Jordanien', 'JO');
INSERT INTO `countries` VALUES(8331, 0, 0, 114, 'DE', 'Japan', 'JP');
INSERT INTO `countries` VALUES(8332, 0, 0, 115, 'DE', 'Kenia', 'KE');
INSERT INTO `countries` VALUES(8333, 0, 0, 116, 'DE', 'Kirgisistan', 'KG');
INSERT INTO `countries` VALUES(8334, 0, 0, 117, 'DE', 'Kambodscha', 'KH');
INSERT INTO `countries` VALUES(8335, 0, 0, 118, 'DE', 'Kiribati', 'KI');
INSERT INTO `countries` VALUES(8336, 0, 0, 119, 'DE', 'Komoren', 'KM');
INSERT INTO `countries` VALUES(8337, 0, 0, 120, 'DE', 'St. Kitts und Nevis', 'KN');
INSERT INTO `countries` VALUES(8338, 0, 0, 121, 'DE', 'Korea, Demokratische Volksrepublik (Nordkorea)', 'KP');
INSERT INTO `countries` VALUES(8339, 0, 0, 122, 'DE', 'Korea, Republik (Südkorea)', 'KR');
INSERT INTO `countries` VALUES(8340, 0, 0, 123, 'DE', 'Kuwait', 'KW');
INSERT INTO `countries` VALUES(8341, 0, 0, 124, 'DE', 'Kaimaninseln', 'KY');
INSERT INTO `countries` VALUES(8342, 0, 0, 125, 'DE', 'Kasachstan', 'KZ');
INSERT INTO `countries` VALUES(8343, 0, 0, 126, 'DE', 'Laos, Demokratische Volksrepublik', 'LA');
INSERT INTO `countries` VALUES(8344, 0, 0, 127, 'DE', 'Libanon', 'LB');
INSERT INTO `countries` VALUES(8345, 0, 0, 128, 'DE', 'St. Lucia', 'LC');
INSERT INTO `countries` VALUES(8346, 0, 0, 129, 'DE', 'Liechtenstein', 'LI');
INSERT INTO `countries` VALUES(8347, 0, 0, 130, 'DE', 'Sri Lanka', 'LK');
INSERT INTO `countries` VALUES(8348, 0, 0, 131, 'DE', 'Liberia', 'LR');
INSERT INTO `countries` VALUES(8349, 0, 0, 132, 'DE', 'Lesotho', 'LS');
INSERT INTO `countries` VALUES(8350, 0, 0, 133, 'DE', 'Litauen', 'LT');
INSERT INTO `countries` VALUES(8351, 0, 0, 134, 'DE', 'Luxemburg', 'LU');
INSERT INTO `countries` VALUES(8352, 0, 0, 135, 'DE', 'Lettland', 'LV');
INSERT INTO `countries` VALUES(8353, 0, 0, 136, 'DE', 'Libysch-Arabische Dschamahirija (Libyen)', 'LY');
INSERT INTO `countries` VALUES(8354, 0, 0, 137, 'DE', 'Marokko', 'MA');
INSERT INTO `countries` VALUES(8355, 0, 0, 138, 'DE', 'Monaco', 'MC');
INSERT INTO `countries` VALUES(8356, 0, 0, 139, 'DE', 'Moldawien (Republik Moldau)', 'MD');
INSERT INTO `countries` VALUES(8357, 0, 0, 140, 'DE', 'Montenegro', 'ME');
INSERT INTO `countries` VALUES(8358, 0, 0, 141, 'DE', 'Saint-Martin (franz. Teil)', 'MF');
INSERT INTO `countries` VALUES(8359, 0, 0, 142, 'DE', 'Madagaskar', 'MG');
INSERT INTO `countries` VALUES(8360, 0, 0, 143, 'DE', 'Marshallinseln', 'MH');
INSERT INTO `countries` VALUES(8361, 0, 0, 144, 'DE', 'Mazedonien, ehem. jugoslawische Republik [2b]', 'MK');
INSERT INTO `countries` VALUES(8362, 0, 0, 145, 'DE', 'Mali', 'ML');
INSERT INTO `countries` VALUES(8363, 0, 0, 146, 'DE', 'Myanmar (Burma)', 'MM');
INSERT INTO `countries` VALUES(8364, 0, 0, 147, 'DE', 'Mongolei', 'MN');
INSERT INTO `countries` VALUES(8365, 0, 0, 148, 'DE', 'Macao', 'MO');
INSERT INTO `countries` VALUES(8366, 0, 0, 149, 'DE', 'Nördliche Marianen', 'MP');
INSERT INTO `countries` VALUES(8367, 0, 0, 150, 'DE', 'Martinique', 'MQ');
INSERT INTO `countries` VALUES(8368, 0, 0, 151, 'DE', 'Mauretanien', 'MR');
INSERT INTO `countries` VALUES(8369, 0, 0, 152, 'DE', 'Montserrat', 'MS');
INSERT INTO `countries` VALUES(8370, 0, 0, 153, 'DE', 'Malta', 'MT');
INSERT INTO `countries` VALUES(8371, 0, 0, 154, 'DE', 'Mauritius', 'MU');
INSERT INTO `countries` VALUES(8372, 0, 0, 155, 'DE', 'Malediven', 'MV');
INSERT INTO `countries` VALUES(8373, 0, 0, 156, 'DE', 'Malawi', 'MW');
INSERT INTO `countries` VALUES(8374, 0, 0, 157, 'DE', 'Mexiko', 'MX');
INSERT INTO `countries` VALUES(8375, 0, 0, 158, 'DE', 'Malaysia', 'MY');
INSERT INTO `countries` VALUES(8376, 0, 0, 159, 'DE', 'Mosambik', 'MZ');
INSERT INTO `countries` VALUES(8377, 0, 0, 160, 'DE', 'Namibia', 'NA');
INSERT INTO `countries` VALUES(8378, 0, 0, 161, 'DE', 'Neukaledonien', 'NC');
INSERT INTO `countries` VALUES(8379, 0, 0, 162, 'DE', 'Niger', 'NE');
INSERT INTO `countries` VALUES(8380, 0, 0, 163, 'DE', 'Norfolkinsel', 'NF');
INSERT INTO `countries` VALUES(8381, 0, 0, 164, 'DE', 'Nigeria', 'NG');
INSERT INTO `countries` VALUES(8382, 0, 0, 165, 'DE', 'Nicaragua', 'NI');
INSERT INTO `countries` VALUES(8383, 0, 0, 166, 'DE', 'Niederlande', 'NL');
INSERT INTO `countries` VALUES(8384, 0, 0, 167, 'DE', 'Norwegen', 'NO');
INSERT INTO `countries` VALUES(8385, 0, 0, 168, 'DE', 'Nepal', 'NP');
INSERT INTO `countries` VALUES(8386, 0, 0, 169, 'DE', 'Nauru', 'NR');
INSERT INTO `countries` VALUES(8387, 0, 0, 170, 'DE', 'Niue', 'NU');
INSERT INTO `countries` VALUES(8388, 0, 0, 171, 'DE', 'Neuseeland', 'NZ');
INSERT INTO `countries` VALUES(8389, 0, 0, 172, 'DE', 'Oman', 'OM');
INSERT INTO `countries` VALUES(8390, 0, 0, 173, 'DE', 'Panama', 'PA');
INSERT INTO `countries` VALUES(8391, 0, 0, 174, 'DE', 'Peru', 'PE');
INSERT INTO `countries` VALUES(8392, 0, 0, 175, 'DE', 'Französisch-Polynesien', 'PF');
INSERT INTO `countries` VALUES(8393, 0, 0, 176, 'DE', 'Papua-Neuguinea', 'PG');
INSERT INTO `countries` VALUES(8394, 0, 0, 177, 'DE', 'Philippinen', 'PH');
INSERT INTO `countries` VALUES(8395, 0, 0, 178, 'DE', 'Pakistan', 'PK');
INSERT INTO `countries` VALUES(8396, 0, 0, 179, 'DE', 'Polen', 'PL');
INSERT INTO `countries` VALUES(8397, 0, 0, 180, 'DE', 'Saint-Pierre und Miquelon', 'PM');
INSERT INTO `countries` VALUES(8398, 0, 0, 181, 'DE', 'Pitcairninseln', 'PN');
INSERT INTO `countries` VALUES(8399, 0, 0, 182, 'DE', 'Puerto Rico', 'PR');
INSERT INTO `countries` VALUES(8400, 0, 0, 183, 'DE', 'Palästinensische Autonomiegebiete', 'PS');
INSERT INTO `countries` VALUES(8401, 0, 0, 184, 'DE', 'Portugal', 'PT');
INSERT INTO `countries` VALUES(8402, 0, 0, 185, 'DE', 'Palau', 'PW');
INSERT INTO `countries` VALUES(8403, 0, 0, 186, 'DE', 'Paraguay', 'PY');
INSERT INTO `countries` VALUES(8404, 0, 0, 187, 'DE', 'Katar', 'QA');
INSERT INTO `countries` VALUES(8405, 0, 0, 188, 'DE', 'Réunion', 'RE');
INSERT INTO `countries` VALUES(8406, 0, 0, 189, 'DE', 'Rumänien', 'RO');
INSERT INTO `countries` VALUES(8407, 0, 0, 190, 'DE', 'Serbien', 'RS');
INSERT INTO `countries` VALUES(8408, 0, 0, 191, 'DE', 'Russische Föderation', 'RU');
INSERT INTO `countries` VALUES(8409, 0, 0, 192, 'DE', 'Ruanda', 'RW');
INSERT INTO `countries` VALUES(8410, 0, 0, 193, 'DE', 'Saudi-Arabien', 'SA');
INSERT INTO `countries` VALUES(8411, 0, 0, 194, 'DE', 'Salomonen', 'SB');
INSERT INTO `countries` VALUES(8412, 0, 0, 195, 'DE', 'Seychellen', 'SC');
INSERT INTO `countries` VALUES(8413, 0, 0, 196, 'DE', 'Sudan', 'SD');
INSERT INTO `countries` VALUES(8414, 0, 0, 197, 'DE', 'Schweden', 'SE');
INSERT INTO `countries` VALUES(8415, 0, 0, 198, 'DE', 'Singapur', 'SG');
INSERT INTO `countries` VALUES(8416, 0, 0, 199, 'DE', 'St. Helena', 'SH');
INSERT INTO `countries` VALUES(8417, 0, 0, 200, 'DE', 'Slowenien', 'SI');
INSERT INTO `countries` VALUES(8418, 0, 0, 201, 'DE', 'Svalbard und Jan Mayen', 'SJ');
INSERT INTO `countries` VALUES(8419, 0, 0, 202, 'DE', 'Slowakei', 'SK');
INSERT INTO `countries` VALUES(8420, 0, 0, 203, 'DE', 'Sierra Leone', 'SL');
INSERT INTO `countries` VALUES(8421, 0, 0, 204, 'DE', 'San Marino', 'SM');
INSERT INTO `countries` VALUES(8422, 0, 0, 205, 'DE', 'Senegal', 'SN');
INSERT INTO `countries` VALUES(8423, 0, 0, 206, 'DE', 'Somalia', 'SO');
INSERT INTO `countries` VALUES(8424, 0, 0, 207, 'DE', 'Suriname', 'SR');
INSERT INTO `countries` VALUES(8425, 0, 0, 208, 'DE', 'Südsudan', 'SS');
INSERT INTO `countries` VALUES(8426, 0, 0, 209, 'DE', 'São Tomé und Príncipe', 'ST');
INSERT INTO `countries` VALUES(8427, 0, 0, 210, 'DE', 'El Salvador', 'SV');
INSERT INTO `countries` VALUES(8428, 0, 0, 211, 'DE', 'Sint Maarten (niederl. Teil)', 'SX');
INSERT INTO `countries` VALUES(8429, 0, 0, 212, 'DE', 'Syrien, Arabische Republik', 'SY');
INSERT INTO `countries` VALUES(8430, 0, 0, 213, 'DE', 'Swasiland', 'SZ');
INSERT INTO `countries` VALUES(8431, 0, 0, 214, 'DE', 'Turks- und Caicosinseln', 'TC');
INSERT INTO `countries` VALUES(8432, 0, 0, 215, 'DE', 'Tschad', 'TD');
INSERT INTO `countries` VALUES(8433, 0, 0, 216, 'DE', 'Französische Süd- und Antarktisgebiete', 'TF');
INSERT INTO `countries` VALUES(8434, 0, 0, 217, 'DE', 'Togo', 'TG');
INSERT INTO `countries` VALUES(8435, 0, 0, 218, 'DE', 'Thailand', 'TH');
INSERT INTO `countries` VALUES(8436, 0, 0, 219, 'DE', 'Tadschikistan', 'TJ');
INSERT INTO `countries` VALUES(8437, 0, 0, 220, 'DE', 'Tokelau', 'TK');
INSERT INTO `countries` VALUES(8438, 0, 0, 221, 'DE', 'Osttimor (Timor-Leste)', 'TL');
INSERT INTO `countries` VALUES(8439, 0, 0, 222, 'DE', 'Turkmenistan', 'TM');
INSERT INTO `countries` VALUES(8440, 0, 0, 223, 'DE', 'Tunesien', 'TN');
INSERT INTO `countries` VALUES(8441, 0, 0, 224, 'DE', 'Tonga', 'TO');
INSERT INTO `countries` VALUES(8442, 0, 0, 225, 'DE', 'Türkei', 'TR');
INSERT INTO `countries` VALUES(8443, 0, 0, 226, 'DE', 'Trinidad und Tobago', 'TT');
INSERT INTO `countries` VALUES(8444, 0, 0, 227, 'DE', 'Tuvalu', 'TV');
INSERT INTO `countries` VALUES(8445, 0, 0, 228, 'DE', 'Taiwan', 'TW');
INSERT INTO `countries` VALUES(8446, 0, 0, 229, 'DE', 'Tansania, Vereinigte Republik', 'TZ');
INSERT INTO `countries` VALUES(8447, 0, 0, 230, 'DE', 'Ukraine', 'UA');
INSERT INTO `countries` VALUES(8448, 0, 0, 231, 'DE', 'Uganda', 'UG');
INSERT INTO `countries` VALUES(8449, 0, 0, 232, 'DE', 'United States Minor Outlying Islands', 'UM');
INSERT INTO `countries` VALUES(8450, 0, 0, 233, 'DE', 'Vereinigte Staaten von Amerika', 'US');
INSERT INTO `countries` VALUES(8451, 0, 0, 234, 'DE', 'Uruguay', 'UY');
INSERT INTO `countries` VALUES(8452, 0, 0, 235, 'DE', 'Usbekistan', 'UZ');
INSERT INTO `countries` VALUES(8453, 0, 0, 236, 'DE', 'Vatikanstadt', 'VA');
INSERT INTO `countries` VALUES(8454, 0, 0, 237, 'DE', 'St. Vincent und die Grenadinen', 'VC');
INSERT INTO `countries` VALUES(8455, 0, 0, 238, 'DE', 'Venezuela', 'VE');
INSERT INTO `countries` VALUES(8456, 0, 0, 239, 'DE', 'Britische Jungferninseln', 'VG');
INSERT INTO `countries` VALUES(8457, 0, 0, 240, 'DE', 'Amerikanische Jungferninseln', 'VI');
INSERT INTO `countries` VALUES(8458, 0, 0, 241, 'DE', 'Vietnam', 'VN');
INSERT INTO `countries` VALUES(8459, 0, 0, 242, 'DE', 'Vanuatu', 'VU');
INSERT INTO `countries` VALUES(8460, 0, 0, 243, 'DE', 'Wallis und Futuna', 'WF');
INSERT INTO `countries` VALUES(8461, 0, 0, 244, 'DE', 'Samoa', 'WS');
INSERT INTO `countries` VALUES(8462, 0, 0, 245, 'DE', 'Jemen', 'YE');
INSERT INTO `countries` VALUES(8463, 0, 0, 246, 'DE', 'Mayotte', 'YT');
INSERT INTO `countries` VALUES(8464, 0, 0, 247, 'DE', 'Südafrika', 'ZA');
INSERT INTO `countries` VALUES(8465, 0, 0, 248, 'DE', 'Sambia', 'ZM');
INSERT INTO `countries` VALUES(8466, 0, 0, 249, 'DE', 'Simbabwe', 'ZW');
INSERT INTO `countries` VALUES(9961, 0, 0, 1, 'ES', 'Andorra', 'AD');
INSERT INTO `countries` VALUES(9962, 0, 0, 2, 'ES', 'Emiratos Árabes Unidos', 'AE');
INSERT INTO `countries` VALUES(9963, 0, 0, 3, 'ES', 'Afganistán', 'AF');
INSERT INTO `countries` VALUES(9964, 0, 0, 4, 'ES', 'Antigua y Barbuda', 'AG');
INSERT INTO `countries` VALUES(9965, 0, 0, 5, 'ES', 'Anguila', 'AI');
INSERT INTO `countries` VALUES(9966, 0, 0, 6, 'ES', 'Albania', 'AL');
INSERT INTO `countries` VALUES(9967, 0, 0, 7, 'ES', 'Armenia', 'AM');
INSERT INTO `countries` VALUES(9968, 0, 0, 8, 'ES', 'Angola', 'AO');
INSERT INTO `countries` VALUES(9969, 0, 0, 9, 'ES', 'Antarctica', 'AQ');
INSERT INTO `countries` VALUES(9970, 0, 0, 10, 'ES', 'Argentina', 'AR');
INSERT INTO `countries` VALUES(9971, 0, 0, 11, 'ES', 'Samoa Americana', 'AS');
INSERT INTO `countries` VALUES(9972, 0, 0, 12, 'ES', 'Austria', 'AT');
INSERT INTO `countries` VALUES(9973, 0, 0, 13, 'ES', 'Australia', 'AU');
INSERT INTO `countries` VALUES(9974, 0, 0, 14, 'ES', 'Aruba', 'AW');
INSERT INTO `countries` VALUES(9975, 0, 0, 15, 'ES', 'Åland', 'AX');
INSERT INTO `countries` VALUES(9976, 0, 0, 16, 'ES', 'Azerbaiyán', 'AZ');
INSERT INTO `countries` VALUES(9977, 0, 0, 17, 'ES', 'Bosnia y Herzegovina', 'BA');
INSERT INTO `countries` VALUES(9978, 0, 0, 18, 'ES', 'Barbados', 'BB');
INSERT INTO `countries` VALUES(9979, 0, 0, 19, 'ES', 'Bangladés', 'BD');
INSERT INTO `countries` VALUES(9980, 0, 0, 20, 'ES', 'Bélgica', 'BE');
INSERT INTO `countries` VALUES(9981, 0, 0, 21, 'ES', 'Burkina Faso', 'BF');
INSERT INTO `countries` VALUES(9982, 0, 0, 22, 'ES', 'Bulgaria', 'BG');
INSERT INTO `countries` VALUES(9983, 0, 0, 23, 'ES', 'Baréin', 'BH');
INSERT INTO `countries` VALUES(9984, 0, 0, 24, 'ES', 'Burundi', 'BI');
INSERT INTO `countries` VALUES(9985, 0, 0, 25, 'ES', 'Benín', 'BJ');
INSERT INTO `countries` VALUES(9986, 0, 0, 26, 'ES', 'San Bartolomé', 'BL');
INSERT INTO `countries` VALUES(9987, 0, 0, 27, 'ES', 'Bermudas', 'BM');
INSERT INTO `countries` VALUES(9988, 0, 0, 28, 'ES', 'Brunéi', 'BN');
INSERT INTO `countries` VALUES(9989, 0, 0, 29, 'ES', 'Bolivia', 'BO');
INSERT INTO `countries` VALUES(9990, 0, 0, 30, 'ES', 'Bonaire, Sint Eustatius and Saba', 'BQ');
INSERT INTO `countries` VALUES(9991, 0, 0, 31, 'ES', 'Brasil', 'BR');
INSERT INTO `countries` VALUES(9992, 0, 0, 32, 'ES', 'Bahamas', 'BS');
INSERT INTO `countries` VALUES(9993, 0, 0, 33, 'ES', 'Bután', 'BT');
INSERT INTO `countries` VALUES(9994, 0, 0, 34, 'ES', 'Isla Bouvet', 'BV');
INSERT INTO `countries` VALUES(9995, 0, 0, 35, 'ES', 'Botsuana', 'BW');
INSERT INTO `countries` VALUES(9996, 0, 0, 36, 'ES', 'Bielorrusia', 'BY');
INSERT INTO `countries` VALUES(9997, 0, 0, 37, 'ES', 'Belice', 'BZ');
INSERT INTO `countries` VALUES(9998, 0, 0, 38, 'ES', 'Canadá', 'CA');
INSERT INTO `countries` VALUES(9999, 0, 0, 39, 'ES', 'Islas Cocos', 'CC');
INSERT INTO `countries` VALUES(10000, 0, 0, 40, 'ES', 'Rep. Dem. del Congo', 'CD');
INSERT INTO `countries` VALUES(10001, 0, 0, 41, 'ES', 'República Centroafricana', 'CF');
INSERT INTO `countries` VALUES(10002, 0, 0, 42, 'ES', 'República del Congo', 'CG');
INSERT INTO `countries` VALUES(10003, 0, 0, 43, 'ES', 'Suiza', 'CH');
INSERT INTO `countries` VALUES(10004, 0, 0, 44, 'ES', 'Costa de Marfil', 'CI');
INSERT INTO `countries` VALUES(10005, 0, 0, 45, 'ES', 'Islas Cook', 'CK');
INSERT INTO `countries` VALUES(10006, 0, 0, 46, 'ES', 'Chile', 'CL');
INSERT INTO `countries` VALUES(10007, 0, 0, 47, 'ES', 'Camerún', 'CM');
INSERT INTO `countries` VALUES(10008, 0, 0, 48, 'ES', 'China', 'CN');
INSERT INTO `countries` VALUES(10009, 0, 0, 49, 'ES', 'Colombia', 'CO');
INSERT INTO `countries` VALUES(10010, 0, 0, 50, 'ES', 'Costa Rica', 'CR');
INSERT INTO `countries` VALUES(10011, 0, 0, 51, 'ES', 'Cuba', 'CU');
INSERT INTO `countries` VALUES(10012, 0, 0, 52, 'ES', 'Cabo Verde', 'CV');
INSERT INTO `countries` VALUES(10013, 0, 0, 53, 'ES', 'Curaçao', 'CW');
INSERT INTO `countries` VALUES(10014, 0, 0, 54, 'ES', 'Isla de Navidad', 'CX');
INSERT INTO `countries` VALUES(10015, 0, 0, 55, 'ES', 'Chipre', 'CY');
INSERT INTO `countries` VALUES(10016, 0, 0, 56, 'ES', 'República Checa', 'CZ');
INSERT INTO `countries` VALUES(10017, 0, 0, 57, 'ES', 'Alemania', 'DE');
INSERT INTO `countries` VALUES(10018, 0, 0, 58, 'ES', 'Yibuti', 'DJ');
INSERT INTO `countries` VALUES(10019, 0, 0, 59, 'ES', 'Dinamarca', 'DK');
INSERT INTO `countries` VALUES(10020, 0, 0, 60, 'ES', 'Dominica', 'DM');
INSERT INTO `countries` VALUES(10021, 0, 0, 61, 'ES', 'República Dominicana', 'DO');
INSERT INTO `countries` VALUES(10022, 0, 0, 62, 'ES', 'Argelia', 'DZ');
INSERT INTO `countries` VALUES(10023, 0, 0, 63, 'ES', 'Ecuador', 'EC');
INSERT INTO `countries` VALUES(10024, 0, 0, 64, 'ES', 'Estonia', 'EE');
INSERT INTO `countries` VALUES(10025, 0, 0, 65, 'ES', 'Egipto', 'EG');
INSERT INTO `countries` VALUES(10026, 0, 0, 66, 'ES', 'República Árabe Saharaui Democrática', 'EH');
INSERT INTO `countries` VALUES(10027, 0, 0, 67, 'ES', 'Eritrea', 'ER');
INSERT INTO `countries` VALUES(10028, 0, 0, 68, 'ES', 'España', 'ES');
INSERT INTO `countries` VALUES(10029, 0, 0, 69, 'ES', 'Etiopía', 'ET');
INSERT INTO `countries` VALUES(10030, 0, 0, 70, 'ES', 'Finlandia', 'FI');
INSERT INTO `countries` VALUES(10031, 0, 0, 71, 'ES', 'Fiyi', 'FJ');
INSERT INTO `countries` VALUES(10032, 0, 0, 72, 'ES', 'Islas Malvinas', 'FK');
INSERT INTO `countries` VALUES(10033, 0, 0, 73, 'ES', 'Micronesia', 'FM');
INSERT INTO `countries` VALUES(10034, 0, 0, 74, 'ES', 'Islas Feroe', 'FO');
INSERT INTO `countries` VALUES(10035, 0, 0, 75, 'ES', 'Francia', 'FR');
INSERT INTO `countries` VALUES(10036, 0, 0, 76, 'ES', 'Gabón', 'GA');
INSERT INTO `countries` VALUES(10037, 0, 0, 77, 'ES', 'Reino Unido', 'GB');
INSERT INTO `countries` VALUES(10038, 0, 0, 78, 'ES', 'Granada', 'GD');
INSERT INTO `countries` VALUES(10039, 0, 0, 79, 'ES', 'Georgia', 'GE');
INSERT INTO `countries` VALUES(10040, 0, 0, 80, 'ES', 'Guayana Francesa', 'GF');
INSERT INTO `countries` VALUES(10041, 0, 0, 81, 'ES', 'Guernsey', 'GG');
INSERT INTO `countries` VALUES(10042, 0, 0, 82, 'ES', 'Ghana', 'GH');
INSERT INTO `countries` VALUES(10043, 0, 0, 83, 'ES', 'Gibraltar', 'GI');
INSERT INTO `countries` VALUES(10044, 0, 0, 84, 'ES', 'Groenlandia', 'GL');
INSERT INTO `countries` VALUES(10045, 0, 0, 85, 'ES', 'Gambia', 'GM');
INSERT INTO `countries` VALUES(10046, 0, 0, 86, 'ES', 'Guinea', 'GN');
INSERT INTO `countries` VALUES(10047, 0, 0, 87, 'ES', 'Guadalupe', 'GP');
INSERT INTO `countries` VALUES(10048, 0, 0, 88, 'ES', 'Guinea Ecuatorial', 'GQ');
INSERT INTO `countries` VALUES(10049, 0, 0, 89, 'ES', 'Grecia', 'GR');
INSERT INTO `countries` VALUES(10050, 0, 0, 90, 'ES', 'Islas Georgias del Sur y Sandwich del Sur', 'GS');
INSERT INTO `countries` VALUES(10051, 0, 0, 91, 'ES', 'Guatemala', 'GT');
INSERT INTO `countries` VALUES(10052, 0, 0, 92, 'ES', 'Guam', 'GU');
INSERT INTO `countries` VALUES(10053, 0, 0, 93, 'ES', 'Guinea-Bissau', 'GW');
INSERT INTO `countries` VALUES(10054, 0, 0, 94, 'ES', 'Guyana', 'GY');
INSERT INTO `countries` VALUES(10055, 0, 0, 95, 'ES', 'Hong Kong', 'HK');
INSERT INTO `countries` VALUES(10056, 0, 0, 96, 'ES', 'Islas Heard y McDonald', 'HM');
INSERT INTO `countries` VALUES(10057, 0, 0, 97, 'ES', 'Honduras', 'HN');
INSERT INTO `countries` VALUES(10058, 0, 0, 98, 'ES', 'Croacia', 'HR');
INSERT INTO `countries` VALUES(10059, 0, 0, 99, 'ES', 'Haití', 'HT');
INSERT INTO `countries` VALUES(10060, 0, 0, 100, 'ES', 'Hungría', 'HU');
INSERT INTO `countries` VALUES(10061, 0, 0, 101, 'ES', 'Indonesia', 'ID');
INSERT INTO `countries` VALUES(10062, 0, 0, 102, 'ES', 'Irlanda', 'IE');
INSERT INTO `countries` VALUES(10063, 0, 0, 103, 'ES', 'Israel', 'IL');
INSERT INTO `countries` VALUES(10064, 0, 0, 104, 'ES', 'Isla de Man', 'IM');
INSERT INTO `countries` VALUES(10065, 0, 0, 105, 'ES', 'India', 'IN');
INSERT INTO `countries` VALUES(10066, 0, 0, 106, 'ES', 'Territorio Británico del Océano Índico', 'IO');
INSERT INTO `countries` VALUES(10067, 0, 0, 107, 'ES', 'Irak', 'IQ');
INSERT INTO `countries` VALUES(10068, 0, 0, 108, 'ES', 'Irán', 'IR');
INSERT INTO `countries` VALUES(10069, 0, 0, 109, 'ES', 'Islandia', 'IS');
INSERT INTO `countries` VALUES(10070, 0, 0, 110, 'ES', 'Italia', 'IT');
INSERT INTO `countries` VALUES(10071, 0, 0, 111, 'ES', 'Jersey', 'JE');
INSERT INTO `countries` VALUES(10072, 0, 0, 112, 'ES', 'Jamaica', 'JM');
INSERT INTO `countries` VALUES(10073, 0, 0, 113, 'ES', 'Jordania', 'JO');
INSERT INTO `countries` VALUES(10074, 0, 0, 114, 'ES', 'Japón', 'JP');
INSERT INTO `countries` VALUES(10075, 0, 0, 115, 'ES', 'Kenia', 'KE');
INSERT INTO `countries` VALUES(10076, 0, 0, 116, 'ES', 'Kirguistán', 'KG');
INSERT INTO `countries` VALUES(10077, 0, 0, 117, 'ES', 'Camboya', 'KH');
INSERT INTO `countries` VALUES(10078, 0, 0, 118, 'ES', 'Kiribati', 'KI');
INSERT INTO `countries` VALUES(10079, 0, 0, 119, 'ES', 'Comoras', 'KM');
INSERT INTO `countries` VALUES(10080, 0, 0, 120, 'ES', 'San Cristóbal y Nieves', 'KN');
INSERT INTO `countries` VALUES(10081, 0, 0, 121, 'ES', 'Corea del Norte', 'KP');
INSERT INTO `countries` VALUES(10082, 0, 0, 122, 'ES', 'Corea del Sur', 'KR');
INSERT INTO `countries` VALUES(10083, 0, 0, 123, 'ES', 'Kuwait', 'KW');
INSERT INTO `countries` VALUES(10084, 0, 0, 124, 'ES', 'Islas Caimán', 'KY');
INSERT INTO `countries` VALUES(10085, 0, 0, 125, 'ES', 'Kazajistán', 'KZ');
INSERT INTO `countries` VALUES(10086, 0, 0, 126, 'ES', 'Laos', 'LA');
INSERT INTO `countries` VALUES(10087, 0, 0, 127, 'ES', 'Líbano', 'LB');
INSERT INTO `countries` VALUES(10088, 0, 0, 128, 'ES', 'Santa Lucía', 'LC');
INSERT INTO `countries` VALUES(10089, 0, 0, 129, 'ES', 'Liechtenstein', 'LI');
INSERT INTO `countries` VALUES(10090, 0, 0, 130, 'ES', 'Sri Lanka', 'LK');
INSERT INTO `countries` VALUES(10091, 0, 0, 131, 'ES', 'Liberia', 'LR');
INSERT INTO `countries` VALUES(10092, 0, 0, 132, 'ES', 'Lesoto', 'LS');
INSERT INTO `countries` VALUES(10093, 0, 0, 133, 'ES', 'Lituania', 'LT');
INSERT INTO `countries` VALUES(10094, 0, 0, 134, 'ES', 'Luxemburgo', 'LU');
INSERT INTO `countries` VALUES(10095, 0, 0, 135, 'ES', 'Letonia', 'LV');
INSERT INTO `countries` VALUES(10096, 0, 0, 136, 'ES', 'Libia', 'LY');
INSERT INTO `countries` VALUES(10097, 0, 0, 137, 'ES', 'Marruecos', 'MA');
INSERT INTO `countries` VALUES(10098, 0, 0, 138, 'ES', 'Mónaco', 'MC');
INSERT INTO `countries` VALUES(10099, 0, 0, 139, 'ES', 'Moldavia', 'MD');
INSERT INTO `countries` VALUES(10100, 0, 0, 140, 'ES', 'Montenegro', 'ME');
INSERT INTO `countries` VALUES(10101, 0, 0, 141, 'ES', 'San Martín', 'MF');
INSERT INTO `countries` VALUES(10102, 0, 0, 142, 'ES', 'Madagascar', 'MG');
INSERT INTO `countries` VALUES(10103, 0, 0, 143, 'ES', 'Islas Marshall', 'MH');
INSERT INTO `countries` VALUES(10104, 0, 0, 144, 'ES', 'República de Macedonia', 'MK');
INSERT INTO `countries` VALUES(10105, 0, 0, 145, 'ES', 'Malí', 'ML');
INSERT INTO `countries` VALUES(10106, 0, 0, 146, 'ES', 'Birmania', 'MM');
INSERT INTO `countries` VALUES(10107, 0, 0, 147, 'ES', 'Mongolia', 'MN');
INSERT INTO `countries` VALUES(10108, 0, 0, 148, 'ES', 'Macao', 'MO');
INSERT INTO `countries` VALUES(10109, 0, 0, 149, 'ES', 'Islas Marianas del Norte', 'MP');
INSERT INTO `countries` VALUES(10110, 0, 0, 150, 'ES', 'Martinica', 'MQ');
INSERT INTO `countries` VALUES(10111, 0, 0, 151, 'ES', 'Mauritania', 'MR');
INSERT INTO `countries` VALUES(10112, 0, 0, 152, 'ES', 'Montserrat', 'MS');
INSERT INTO `countries` VALUES(10113, 0, 0, 153, 'ES', 'Malta', 'MT');
INSERT INTO `countries` VALUES(10114, 0, 0, 154, 'ES', 'Mauricio', 'MU');
INSERT INTO `countries` VALUES(10115, 0, 0, 155, 'ES', 'Maldivas', 'MV');
INSERT INTO `countries` VALUES(10116, 0, 0, 156, 'ES', 'Malaui', 'MW');
INSERT INTO `countries` VALUES(10117, 0, 0, 157, 'ES', 'México', 'MX');
INSERT INTO `countries` VALUES(10118, 0, 0, 158, 'ES', 'Malasia', 'MY');
INSERT INTO `countries` VALUES(10119, 0, 0, 159, 'ES', 'Mozambique', 'MZ');
INSERT INTO `countries` VALUES(10120, 0, 0, 160, 'ES', 'Namibia', 'NA');
INSERT INTO `countries` VALUES(10121, 0, 0, 161, 'ES', 'Nueva Caledonia', 'NC');
INSERT INTO `countries` VALUES(10122, 0, 0, 162, 'ES', 'Níger', 'NE');
INSERT INTO `countries` VALUES(10123, 0, 0, 163, 'ES', 'Norfolk', 'NF');
INSERT INTO `countries` VALUES(10124, 0, 0, 164, 'ES', 'Nigeria', 'NG');
INSERT INTO `countries` VALUES(10125, 0, 0, 165, 'ES', 'Nicaragua', 'NI');
INSERT INTO `countries` VALUES(10126, 0, 0, 166, 'ES', 'Países Bajos', 'NL');
INSERT INTO `countries` VALUES(10127, 0, 0, 167, 'ES', 'Noruega', 'NO');
INSERT INTO `countries` VALUES(10128, 0, 0, 168, 'ES', 'Nepal', 'NP');
INSERT INTO `countries` VALUES(10129, 0, 0, 169, 'ES', 'Nauru', 'NR');
INSERT INTO `countries` VALUES(10130, 0, 0, 170, 'ES', 'Niue', 'NU');
INSERT INTO `countries` VALUES(10131, 0, 0, 171, 'ES', 'Nueva Zelanda', 'NZ');
INSERT INTO `countries` VALUES(10132, 0, 0, 172, 'ES', 'Omán', 'OM');
INSERT INTO `countries` VALUES(10133, 0, 0, 173, 'ES', 'Panamá', 'PA');
INSERT INTO `countries` VALUES(10134, 0, 0, 174, 'ES', 'Perú', 'PE');
INSERT INTO `countries` VALUES(10135, 0, 0, 175, 'ES', 'Polinesia Francesa', 'PF');
INSERT INTO `countries` VALUES(10136, 0, 0, 176, 'ES', 'Papúa Nueva Guinea', 'PG');
INSERT INTO `countries` VALUES(10137, 0, 0, 177, 'ES', 'Filipinas', 'PH');
INSERT INTO `countries` VALUES(10138, 0, 0, 178, 'ES', 'Pakistán', 'PK');
INSERT INTO `countries` VALUES(10139, 0, 0, 179, 'ES', 'Polonia', 'PL');
INSERT INTO `countries` VALUES(10140, 0, 0, 180, 'ES', 'San Pedro y Miquelón', 'PM');
INSERT INTO `countries` VALUES(10141, 0, 0, 181, 'ES', 'Islas Pitcairn', 'PN');
INSERT INTO `countries` VALUES(10142, 0, 0, 182, 'ES', 'Puerto Rico', 'PR');
INSERT INTO `countries` VALUES(10143, 0, 0, 183, 'ES', 'Autoridad Nacional Palestina', 'PS');
INSERT INTO `countries` VALUES(10144, 0, 0, 184, 'ES', 'Portugal', 'PT');
INSERT INTO `countries` VALUES(10145, 0, 0, 185, 'ES', 'Palaos', 'PW');
INSERT INTO `countries` VALUES(10146, 0, 0, 186, 'ES', 'Paraguay', 'PY');
INSERT INTO `countries` VALUES(10147, 0, 0, 187, 'ES', 'Catar', 'QA');
INSERT INTO `countries` VALUES(10148, 0, 0, 188, 'ES', 'Reunión', 'RE');
INSERT INTO `countries` VALUES(10149, 0, 0, 189, 'ES', 'Rumania', 'RO');
INSERT INTO `countries` VALUES(10150, 0, 0, 190, 'ES', 'Serbia', 'RS');
INSERT INTO `countries` VALUES(10151, 0, 0, 191, 'ES', 'Rusia', 'RU');
INSERT INTO `countries` VALUES(10152, 0, 0, 192, 'ES', 'Ruanda', 'RW');
INSERT INTO `countries` VALUES(10153, 0, 0, 193, 'ES', 'Arabia Saudita', 'SA');
INSERT INTO `countries` VALUES(10154, 0, 0, 194, 'ES', 'Islas Salomón', 'SB');
INSERT INTO `countries` VALUES(10155, 0, 0, 195, 'ES', 'Seychelles', 'SC');
INSERT INTO `countries` VALUES(10156, 0, 0, 196, 'ES', 'Sudán', 'SD');
INSERT INTO `countries` VALUES(10157, 0, 0, 197, 'ES', 'Suecia', 'SE');
INSERT INTO `countries` VALUES(10158, 0, 0, 198, 'ES', 'Singapur', 'SG');
INSERT INTO `countries` VALUES(10159, 0, 0, 199, 'ES', 'Santa Helena, A. y T.', 'SH');
INSERT INTO `countries` VALUES(10160, 0, 0, 200, 'ES', 'Eslovenia', 'SI');
INSERT INTO `countries` VALUES(10161, 0, 0, 201, 'ES', 'Svalbard y Jan Mayen', 'SJ');
INSERT INTO `countries` VALUES(10162, 0, 0, 202, 'ES', 'Eslovaquia', 'SK');
INSERT INTO `countries` VALUES(10163, 0, 0, 203, 'ES', 'Sierra Leona', 'SL');
INSERT INTO `countries` VALUES(10164, 0, 0, 204, 'ES', 'San Marino', 'SM');
INSERT INTO `countries` VALUES(10165, 0, 0, 205, 'ES', 'Senegal', 'SN');
INSERT INTO `countries` VALUES(10166, 0, 0, 206, 'ES', 'Somalia', 'SO');
INSERT INTO `countries` VALUES(10167, 0, 0, 207, 'ES', 'Surinam', 'SR');
INSERT INTO `countries` VALUES(10168, 0, 0, 208, 'ES', 'South Sudan', 'SS');
INSERT INTO `countries` VALUES(10169, 0, 0, 209, 'ES', 'Santo Tomé y Príncipe', 'ST');
INSERT INTO `countries` VALUES(10170, 0, 0, 210, 'ES', 'El Salvador', 'SV');
INSERT INTO `countries` VALUES(10171, 0, 0, 211, 'ES', 'Sint Maarten (Dutch part)', 'SX');
INSERT INTO `countries` VALUES(10172, 0, 0, 212, 'ES', 'Siria', 'SY');
INSERT INTO `countries` VALUES(10173, 0, 0, 213, 'ES', 'Suazilandia', 'SZ');
INSERT INTO `countries` VALUES(10174, 0, 0, 214, 'ES', 'Islas Turcas y Caicos', 'TC');
INSERT INTO `countries` VALUES(10175, 0, 0, 215, 'ES', 'Chad', 'TD');
INSERT INTO `countries` VALUES(10176, 0, 0, 216, 'ES', 'Territorios Australes Franceses', 'TF');
INSERT INTO `countries` VALUES(10177, 0, 0, 217, 'ES', 'Togo', 'TG');
INSERT INTO `countries` VALUES(10178, 0, 0, 218, 'ES', 'Tailandia', 'TH');
INSERT INTO `countries` VALUES(10179, 0, 0, 219, 'ES', 'Tayikistán', 'TJ');
INSERT INTO `countries` VALUES(10180, 0, 0, 220, 'ES', 'Tokelau', 'TK');
INSERT INTO `countries` VALUES(10181, 0, 0, 221, 'ES', 'Timor Oriental', 'TL');
INSERT INTO `countries` VALUES(10182, 0, 0, 222, 'ES', 'Turkmenistán', 'TM');
INSERT INTO `countries` VALUES(10183, 0, 0, 223, 'ES', 'Túnez', 'TN');
INSERT INTO `countries` VALUES(10184, 0, 0, 224, 'ES', 'Tonga', 'TO');
INSERT INTO `countries` VALUES(10185, 0, 0, 225, 'ES', 'Turquía', 'TR');
INSERT INTO `countries` VALUES(10186, 0, 0, 226, 'ES', 'Trinidad y Tobago', 'TT');
INSERT INTO `countries` VALUES(10187, 0, 0, 227, 'ES', 'Tuvalu', 'TV');
INSERT INTO `countries` VALUES(10188, 0, 0, 228, 'ES', 'Taiwán', 'TW');
INSERT INTO `countries` VALUES(10189, 0, 0, 229, 'ES', 'Tanzania', 'TZ');
INSERT INTO `countries` VALUES(10190, 0, 0, 230, 'ES', 'Ucrania', 'UA');
INSERT INTO `countries` VALUES(10191, 0, 0, 231, 'ES', 'Uganda', 'UG');
INSERT INTO `countries` VALUES(10192, 0, 0, 232, 'ES', 'United States Minor Outlying Islands', 'UM');
INSERT INTO `countries` VALUES(10193, 0, 0, 233, 'ES', 'Estados Unidos', 'US');
INSERT INTO `countries` VALUES(10194, 0, 0, 234, 'ES', 'Uruguay', 'UY');
INSERT INTO `countries` VALUES(10195, 0, 0, 235, 'ES', 'Uzbekistán', 'UZ');
INSERT INTO `countries` VALUES(10196, 0, 0, 236, 'ES', 'Ciudad del Vaticano', 'VA');
INSERT INTO `countries` VALUES(10197, 0, 0, 237, 'ES', 'San Vicente y las Granadinas', 'VC');
INSERT INTO `countries` VALUES(10198, 0, 0, 238, 'ES', 'Venezuela', 'VE');
INSERT INTO `countries` VALUES(10199, 0, 0, 239, 'ES', 'Islas Vírgenes Británicas', 'VG');
INSERT INTO `countries` VALUES(10200, 0, 0, 240, 'ES', 'Islas Vírgenes de los Estados Unidos', 'VI');
INSERT INTO `countries` VALUES(10201, 0, 0, 241, 'ES', 'Vietnam', 'VN');
INSERT INTO `countries` VALUES(10202, 0, 0, 242, 'ES', 'Vanuatu', 'VU');
INSERT INTO `countries` VALUES(10203, 0, 0, 243, 'ES', 'Wallis y Futuna', 'WF');
INSERT INTO `countries` VALUES(10204, 0, 0, 244, 'ES', 'Samoa', 'WS');
INSERT INTO `countries` VALUES(10205, 0, 0, 245, 'ES', 'Yemen', 'YE');
INSERT INTO `countries` VALUES(10206, 0, 0, 246, 'ES', 'Mayotte', 'YT');
INSERT INTO `countries` VALUES(10207, 0, 0, 247, 'ES', 'Sudáfrica', 'ZA');
INSERT INTO `countries` VALUES(10208, 0, 0, 248, 'ES', 'Zambia', 'ZM');
INSERT INTO `countries` VALUES(10209, 0, 0, 249, 'ES', 'Zimbabue', 'ZW');
INSERT INTO `countries` VALUES(18676, 0, 0, 1, 'IT', 'Andorra', 'AD');
INSERT INTO `countries` VALUES(18677, 0, 0, 2, 'IT', 'Emirati Arabi Uniti', 'AE');
INSERT INTO `countries` VALUES(18678, 0, 0, 3, 'IT', 'Afghanistan', 'AF');
INSERT INTO `countries` VALUES(18679, 0, 0, 4, 'IT', 'Antigua e Barbuda', 'AG');
INSERT INTO `countries` VALUES(18680, 0, 0, 5, 'IT', 'Anguilla', 'AI');
INSERT INTO `countries` VALUES(18681, 0, 0, 6, 'IT', 'Albania', 'AL');
INSERT INTO `countries` VALUES(18682, 0, 0, 7, 'IT', 'Armenia', 'AM');
INSERT INTO `countries` VALUES(18683, 0, 0, 8, 'IT', 'Angola', 'AO');
INSERT INTO `countries` VALUES(18684, 0, 0, 9, 'IT', 'Antartide', 'AQ');
INSERT INTO `countries` VALUES(18685, 0, 0, 10, 'IT', 'Argentina', 'AR');
INSERT INTO `countries` VALUES(18686, 0, 0, 11, 'IT', 'Samoa americane', 'AS');
INSERT INTO `countries` VALUES(18687, 0, 0, 12, 'IT', 'Austria', 'AT');
INSERT INTO `countries` VALUES(18688, 0, 0, 13, 'IT', 'Australia', 'AU');
INSERT INTO `countries` VALUES(18689, 0, 0, 14, 'IT', 'Aruba', 'AW');
INSERT INTO `countries` VALUES(18690, 0, 0, 15, 'IT', 'Isole Åland', 'AX');
INSERT INTO `countries` VALUES(18691, 0, 0, 16, 'IT', 'Azerbaigian', 'AZ');
INSERT INTO `countries` VALUES(18692, 0, 0, 17, 'IT', 'Bosnia-Erzegovina', 'BA');
INSERT INTO `countries` VALUES(18693, 0, 0, 18, 'IT', 'Barbados', 'BB');
INSERT INTO `countries` VALUES(18694, 0, 0, 19, 'IT', 'Bangladesh', 'BD');
INSERT INTO `countries` VALUES(18695, 0, 0, 20, 'IT', 'Belgio', 'BE');
INSERT INTO `countries` VALUES(18696, 0, 0, 21, 'IT', 'Burkina Faso', 'BF');
INSERT INTO `countries` VALUES(18697, 0, 0, 22, 'IT', 'Bulgaria', 'BG');
INSERT INTO `countries` VALUES(18698, 0, 0, 23, 'IT', 'Bahrain', 'BH');
INSERT INTO `countries` VALUES(18699, 0, 0, 24, 'IT', 'Burundi', 'BI');
INSERT INTO `countries` VALUES(18700, 0, 0, 25, 'IT', 'Benin', 'BJ');
INSERT INTO `countries` VALUES(18701, 0, 0, 26, 'IT', 'Saint-Barthélemy', 'BL');
INSERT INTO `countries` VALUES(18702, 0, 0, 27, 'IT', 'Bermuda', 'BM');
INSERT INTO `countries` VALUES(18703, 0, 0, 28, 'IT', 'Brunei', 'BN');
INSERT INTO `countries` VALUES(18704, 0, 0, 29, 'IT', 'Bolivia', 'BO');
INSERT INTO `countries` VALUES(18705, 0, 0, 30, 'IT', 'Isole BES', 'BQ');
INSERT INTO `countries` VALUES(18706, 0, 0, 31, 'IT', 'Brasile', 'BR');
INSERT INTO `countries` VALUES(18707, 0, 0, 32, 'IT', 'Bahamas', 'BS');
INSERT INTO `countries` VALUES(18708, 0, 0, 33, 'IT', 'Bhutan', 'BT');
INSERT INTO `countries` VALUES(18709, 0, 0, 34, 'IT', 'Isola Bouvet', 'BV');
INSERT INTO `countries` VALUES(18710, 0, 0, 35, 'IT', 'Botswana', 'BW');
INSERT INTO `countries` VALUES(18711, 0, 0, 36, 'IT', 'Bielorussia', 'BY');
INSERT INTO `countries` VALUES(18712, 0, 0, 37, 'IT', 'Belize', 'BZ');
INSERT INTO `countries` VALUES(18713, 0, 0, 38, 'IT', 'Canada', 'CA');
INSERT INTO `countries` VALUES(18714, 0, 0, 39, 'IT', 'Isole Cocos e Keeling', 'CC');
INSERT INTO `countries` VALUES(18715, 0, 0, 40, 'IT', 'Rep. Dem. del Congo', 'CD');
INSERT INTO `countries` VALUES(18716, 0, 0, 41, 'IT', 'Repubblica Centrafricana', 'CF');
INSERT INTO `countries` VALUES(18717, 0, 0, 42, 'IT', 'Repubblica del Congo', 'CG');
INSERT INTO `countries` VALUES(18718, 0, 0, 43, 'IT', 'Svizzera', 'CH');
INSERT INTO `countries` VALUES(18719, 0, 0, 44, 'IT', 'Costa d''Avorio', 'CI');
INSERT INTO `countries` VALUES(18720, 0, 0, 45, 'IT', 'Isole Cook', 'CK');
INSERT INTO `countries` VALUES(18721, 0, 0, 46, 'IT', 'Cile', 'CL');
INSERT INTO `countries` VALUES(18722, 0, 0, 47, 'IT', 'Camerun', 'CM');
INSERT INTO `countries` VALUES(18723, 0, 0, 48, 'IT', 'Cina', 'CN');
INSERT INTO `countries` VALUES(18724, 0, 0, 49, 'IT', 'Colombia', 'CO');
INSERT INTO `countries` VALUES(18725, 0, 0, 50, 'IT', 'Costa Rica', 'CR');
INSERT INTO `countries` VALUES(18726, 0, 0, 51, 'IT', 'Cuba', 'CU');
INSERT INTO `countries` VALUES(18727, 0, 0, 52, 'IT', 'Capo Verde', 'CV');
INSERT INTO `countries` VALUES(18728, 0, 0, 53, 'IT', 'Curaçao', 'CW');
INSERT INTO `countries` VALUES(18729, 0, 0, 54, 'IT', 'Isola di Natale', 'CX');
INSERT INTO `countries` VALUES(18730, 0, 0, 55, 'IT', 'Cipro', 'CY');
INSERT INTO `countries` VALUES(18731, 0, 0, 56, 'IT', 'Repubblica Ceca', 'CZ');
INSERT INTO `countries` VALUES(18732, 0, 0, 57, 'IT', 'Germania', 'DE');
INSERT INTO `countries` VALUES(18733, 0, 0, 58, 'IT', 'Gibuti', 'DJ');
INSERT INTO `countries` VALUES(18734, 0, 0, 59, 'IT', 'Danimarca', 'DK');
INSERT INTO `countries` VALUES(18735, 0, 0, 60, 'IT', 'Dominica', 'DM');
INSERT INTO `countries` VALUES(18736, 0, 0, 61, 'IT', 'Repubblica Dominicana', 'DO');
INSERT INTO `countries` VALUES(18737, 0, 0, 62, 'IT', 'Algeria', 'DZ');
INSERT INTO `countries` VALUES(18738, 0, 0, 63, 'IT', 'Ecuador', 'EC');
INSERT INTO `countries` VALUES(18739, 0, 0, 64, 'IT', 'Estonia', 'EE');
INSERT INTO `countries` VALUES(18740, 0, 0, 65, 'IT', 'Egitto', 'EG');
INSERT INTO `countries` VALUES(18741, 0, 0, 66, 'IT', 'Sahara Occidentale', 'EH');
INSERT INTO `countries` VALUES(18742, 0, 0, 67, 'IT', 'Eritrea', 'ER');
INSERT INTO `countries` VALUES(18743, 0, 0, 68, 'IT', 'Spagna', 'ES');
INSERT INTO `countries` VALUES(18744, 0, 0, 69, 'IT', 'Etiopia', 'ET');
INSERT INTO `countries` VALUES(18745, 0, 0, 70, 'IT', 'Finlandia', 'FI');
INSERT INTO `countries` VALUES(18746, 0, 0, 71, 'IT', 'Figi', 'FJ');
INSERT INTO `countries` VALUES(18747, 0, 0, 72, 'IT', 'Isole Falkland', 'FK');
INSERT INTO `countries` VALUES(18748, 0, 0, 73, 'IT', 'Micronesia', 'FM');
INSERT INTO `countries` VALUES(18749, 0, 0, 74, 'IT', 'Isole Fær Øer', 'FO');
INSERT INTO `countries` VALUES(18750, 0, 0, 75, 'IT', 'Francia', 'FR');
INSERT INTO `countries` VALUES(18751, 0, 0, 76, 'IT', 'Gabon', 'GA');
INSERT INTO `countries` VALUES(18752, 0, 0, 77, 'IT', 'Regno Unito', 'GB');
INSERT INTO `countries` VALUES(18753, 0, 0, 78, 'IT', 'Grenada', 'GD');
INSERT INTO `countries` VALUES(18754, 0, 0, 79, 'IT', 'Georgia', 'GE');
INSERT INTO `countries` VALUES(18755, 0, 0, 80, 'IT', 'Guyana Francese', 'GF');
INSERT INTO `countries` VALUES(18756, 0, 0, 81, 'IT', 'Guernsey', 'GG');
INSERT INTO `countries` VALUES(18757, 0, 0, 82, 'IT', 'Ghana', 'GH');
INSERT INTO `countries` VALUES(18758, 0, 0, 83, 'IT', 'Gibilterra', 'GI');
INSERT INTO `countries` VALUES(18759, 0, 0, 84, 'IT', 'Groenlandia', 'GL');
INSERT INTO `countries` VALUES(18760, 0, 0, 85, 'IT', 'Gambia', 'GM');
INSERT INTO `countries` VALUES(18761, 0, 0, 86, 'IT', 'Guinea', 'GN');
INSERT INTO `countries` VALUES(18762, 0, 0, 87, 'IT', 'Guadalupa', 'GP');
INSERT INTO `countries` VALUES(18763, 0, 0, 88, 'IT', 'Guinea Equatoriale', 'GQ');
INSERT INTO `countries` VALUES(18764, 0, 0, 89, 'IT', 'Grecia', 'GR');
INSERT INTO `countries` VALUES(18765, 0, 0, 90, 'IT', 'Georgia del Sud e isole Sandwich', 'GS');
INSERT INTO `countries` VALUES(18766, 0, 0, 91, 'IT', 'Guatemala', 'GT');
INSERT INTO `countries` VALUES(18767, 0, 0, 92, 'IT', 'Guam', 'GU');
INSERT INTO `countries` VALUES(18768, 0, 0, 93, 'IT', 'Guinea-Bissau', 'GW');
INSERT INTO `countries` VALUES(18769, 0, 0, 94, 'IT', 'Guyana', 'GY');
INSERT INTO `countries` VALUES(18770, 0, 0, 95, 'IT', 'Hong Kong', 'HK');
INSERT INTO `countries` VALUES(18771, 0, 0, 96, 'IT', 'Isole Heard e McDonald', 'HM');
INSERT INTO `countries` VALUES(18772, 0, 0, 97, 'IT', 'Honduras', 'HN');
INSERT INTO `countries` VALUES(18773, 0, 0, 98, 'IT', 'Croazia', 'HR');
INSERT INTO `countries` VALUES(18774, 0, 0, 99, 'IT', 'Haiti', 'HT');
INSERT INTO `countries` VALUES(18775, 0, 0, 100, 'IT', 'Ungheria', 'HU');
INSERT INTO `countries` VALUES(18776, 0, 0, 101, 'IT', 'Indonesia', 'ID');
INSERT INTO `countries` VALUES(18777, 0, 0, 102, 'IT', 'Irlanda', 'IE');
INSERT INTO `countries` VALUES(18778, 0, 0, 103, 'IT', 'Israele', 'IL');
INSERT INTO `countries` VALUES(18779, 0, 0, 104, 'IT', 'Isola di Man', 'IM');
INSERT INTO `countries` VALUES(18780, 0, 0, 105, 'IT', 'India', 'IN');
INSERT INTO `countries` VALUES(18781, 0, 0, 106, 'IT', 'Territorio britannico dell''oceano Indiano', 'IO');
INSERT INTO `countries` VALUES(18782, 0, 0, 107, 'IT', 'Iraq', 'IQ');
INSERT INTO `countries` VALUES(18783, 0, 0, 108, 'IT', 'Iran', 'IR');
INSERT INTO `countries` VALUES(18784, 0, 0, 109, 'IT', 'Islanda', 'IS');
INSERT INTO `countries` VALUES(18785, 0, 0, 110, 'IT', 'Italia', 'IT');
INSERT INTO `countries` VALUES(18786, 0, 0, 111, 'IT', 'Jersey', 'JE');
INSERT INTO `countries` VALUES(18787, 0, 0, 112, 'IT', 'Giamaica', 'JM');
INSERT INTO `countries` VALUES(18788, 0, 0, 113, 'IT', 'Giordania', 'JO');
INSERT INTO `countries` VALUES(18789, 0, 0, 114, 'IT', 'Giappone', 'JP');
INSERT INTO `countries` VALUES(18790, 0, 0, 115, 'IT', 'Kenya', 'KE');
INSERT INTO `countries` VALUES(18791, 0, 0, 116, 'IT', 'Kirghizistan', 'KG');
INSERT INTO `countries` VALUES(18792, 0, 0, 117, 'IT', 'Cambogia', 'KH');
INSERT INTO `countries` VALUES(18793, 0, 0, 118, 'IT', 'Kiribati', 'KI');
INSERT INTO `countries` VALUES(18794, 0, 0, 119, 'IT', 'Comore', 'KM');
INSERT INTO `countries` VALUES(18795, 0, 0, 120, 'IT', 'Saint Kitts e Nevis', 'KN');
INSERT INTO `countries` VALUES(18796, 0, 0, 121, 'IT', 'Corea del Nord', 'KP');
INSERT INTO `countries` VALUES(18797, 0, 0, 122, 'IT', 'Corea del Sud', 'KR');
INSERT INTO `countries` VALUES(18798, 0, 0, 123, 'IT', 'Kuwait', 'KW');
INSERT INTO `countries` VALUES(18799, 0, 0, 124, 'IT', 'Isole Cayman', 'KY');
INSERT INTO `countries` VALUES(18800, 0, 0, 125, 'IT', 'Kazakistan', 'KZ');
INSERT INTO `countries` VALUES(18801, 0, 0, 126, 'IT', 'Laos', 'LA');
INSERT INTO `countries` VALUES(18802, 0, 0, 127, 'IT', 'Libano', 'LB');
INSERT INTO `countries` VALUES(18803, 0, 0, 128, 'IT', 'Santa Lucia', 'LC');
INSERT INTO `countries` VALUES(18804, 0, 0, 129, 'IT', 'Liechtenstein', 'LI');
INSERT INTO `countries` VALUES(18805, 0, 0, 130, 'IT', 'Sri Lanka', 'LK');
INSERT INTO `countries` VALUES(18806, 0, 0, 131, 'IT', 'Liberia', 'LR');
INSERT INTO `countries` VALUES(18807, 0, 0, 132, 'IT', 'Lesotho', 'LS');
INSERT INTO `countries` VALUES(18808, 0, 0, 133, 'IT', 'Lituania', 'LT');
INSERT INTO `countries` VALUES(18809, 0, 0, 134, 'IT', 'Lussemburgo', 'LU');
INSERT INTO `countries` VALUES(18810, 0, 0, 135, 'IT', 'Lettonia', 'LV');
INSERT INTO `countries` VALUES(18811, 0, 0, 136, 'IT', 'Libia', 'LY');
INSERT INTO `countries` VALUES(18812, 0, 0, 137, 'IT', 'Marocco', 'MA');
INSERT INTO `countries` VALUES(18813, 0, 0, 138, 'IT', 'Monaco', 'MC');
INSERT INTO `countries` VALUES(18814, 0, 0, 139, 'IT', 'Moldavia', 'MD');
INSERT INTO `countries` VALUES(18815, 0, 0, 140, 'IT', 'Montenegro', 'ME');
INSERT INTO `countries` VALUES(18816, 0, 0, 141, 'IT', 'Saint-Martin', 'MF');
INSERT INTO `countries` VALUES(18817, 0, 0, 142, 'IT', 'Madagascar', 'MG');
INSERT INTO `countries` VALUES(18818, 0, 0, 143, 'IT', 'Isole Marshall', 'MH');
INSERT INTO `countries` VALUES(18819, 0, 0, 144, 'IT', 'Macedonia', 'MK');
INSERT INTO `countries` VALUES(18820, 0, 0, 145, 'IT', 'Mali', 'ML');
INSERT INTO `countries` VALUES(18821, 0, 0, 146, 'IT', 'Birmania', 'MM');
INSERT INTO `countries` VALUES(18822, 0, 0, 147, 'IT', 'Mongolia', 'MN');
INSERT INTO `countries` VALUES(18823, 0, 0, 148, 'IT', 'Macao', 'MO');
INSERT INTO `countries` VALUES(18824, 0, 0, 149, 'IT', 'Isole Marianne Settentrionali', 'MP');
INSERT INTO `countries` VALUES(18825, 0, 0, 150, 'IT', 'Martinica', 'MQ');
INSERT INTO `countries` VALUES(18826, 0, 0, 151, 'IT', 'Mauritania', 'MR');
INSERT INTO `countries` VALUES(18827, 0, 0, 152, 'IT', 'Montserrat', 'MS');
INSERT INTO `countries` VALUES(18828, 0, 0, 153, 'IT', 'Malta', 'MT');
INSERT INTO `countries` VALUES(18829, 0, 0, 154, 'IT', 'Mauritius', 'MU');
INSERT INTO `countries` VALUES(18830, 0, 0, 155, 'IT', 'Maldive', 'MV');
INSERT INTO `countries` VALUES(18831, 0, 0, 156, 'IT', 'Malawi', 'MW');
INSERT INTO `countries` VALUES(18832, 0, 0, 157, 'IT', 'Messico', 'MX');
INSERT INTO `countries` VALUES(18833, 0, 0, 158, 'IT', 'Malesia', 'MY');
INSERT INTO `countries` VALUES(18834, 0, 0, 159, 'IT', 'Mozambico', 'MZ');
INSERT INTO `countries` VALUES(18835, 0, 0, 160, 'IT', 'Namibia', 'NA');
INSERT INTO `countries` VALUES(18836, 0, 0, 161, 'IT', 'Nuova Caledonia', 'NC');
INSERT INTO `countries` VALUES(18837, 0, 0, 162, 'IT', 'Niger', 'NE');
INSERT INTO `countries` VALUES(18838, 0, 0, 163, 'IT', 'Isola Norfolk', 'NF');
INSERT INTO `countries` VALUES(18839, 0, 0, 164, 'IT', 'Nigeria', 'NG');
INSERT INTO `countries` VALUES(18840, 0, 0, 165, 'IT', 'Nicaragua', 'NI');
INSERT INTO `countries` VALUES(18841, 0, 0, 166, 'IT', 'Paesi Bassi', 'NL');
INSERT INTO `countries` VALUES(18842, 0, 0, 167, 'IT', 'Norvegia', 'NO');
INSERT INTO `countries` VALUES(18843, 0, 0, 168, 'IT', 'Nepal', 'NP');
INSERT INTO `countries` VALUES(18844, 0, 0, 169, 'IT', 'Nauru', 'NR');
INSERT INTO `countries` VALUES(18845, 0, 0, 170, 'IT', 'Niue', 'NU');
INSERT INTO `countries` VALUES(18846, 0, 0, 171, 'IT', 'Nuova Zelanda', 'NZ');
INSERT INTO `countries` VALUES(18847, 0, 0, 172, 'IT', 'Oman', 'OM');
INSERT INTO `countries` VALUES(18848, 0, 0, 173, 'IT', 'Panamá', 'PA');
INSERT INTO `countries` VALUES(18849, 0, 0, 174, 'IT', 'Perù', 'PE');
INSERT INTO `countries` VALUES(18850, 0, 0, 175, 'IT', 'Polinesia francese', 'PF');
INSERT INTO `countries` VALUES(18851, 0, 0, 176, 'IT', 'Papua Nuova Guinea', 'PG');
INSERT INTO `countries` VALUES(18852, 0, 0, 177, 'IT', 'Filippine', 'PH');
INSERT INTO `countries` VALUES(18853, 0, 0, 178, 'IT', 'Pakistan', 'PK');
INSERT INTO `countries` VALUES(18854, 0, 0, 179, 'IT', 'Polonia', 'PL');
INSERT INTO `countries` VALUES(18855, 0, 0, 180, 'IT', 'Saint-Pierre e Miquelon', 'PM');
INSERT INTO `countries` VALUES(18856, 0, 0, 181, 'IT', 'Isole Pitcairn', 'PN');
INSERT INTO `countries` VALUES(18857, 0, 0, 182, 'IT', 'Porto Rico', 'PR');
INSERT INTO `countries` VALUES(18858, 0, 0, 183, 'IT', 'Palestina', 'PS');
INSERT INTO `countries` VALUES(18859, 0, 0, 184, 'IT', 'Portogallo', 'PT');
INSERT INTO `countries` VALUES(18860, 0, 0, 185, 'IT', 'Palau', 'PW');
INSERT INTO `countries` VALUES(18861, 0, 0, 186, 'IT', 'Paraguay', 'PY');
INSERT INTO `countries` VALUES(18862, 0, 0, 187, 'IT', 'Qatar', 'QA');
INSERT INTO `countries` VALUES(18863, 0, 0, 188, 'IT', 'Riunione', 'RE');
INSERT INTO `countries` VALUES(18864, 0, 0, 189, 'IT', 'Romania', 'RO');
INSERT INTO `countries` VALUES(18865, 0, 0, 190, 'IT', 'Serbia', 'RS');
INSERT INTO `countries` VALUES(18866, 0, 0, 191, 'IT', 'Russia', 'RU');
INSERT INTO `countries` VALUES(18867, 0, 0, 192, 'IT', 'Ruanda', 'RW');
INSERT INTO `countries` VALUES(18868, 0, 0, 193, 'IT', 'Arabia Saudita', 'SA');
INSERT INTO `countries` VALUES(18869, 0, 0, 194, 'IT', 'Isole Salomone', 'SB');
INSERT INTO `countries` VALUES(18870, 0, 0, 195, 'IT', 'Seychelles', 'SC');
INSERT INTO `countries` VALUES(18871, 0, 0, 196, 'IT', 'Sudan', 'SD');
INSERT INTO `countries` VALUES(18872, 0, 0, 197, 'IT', 'Svezia', 'SE');
INSERT INTO `countries` VALUES(18873, 0, 0, 198, 'IT', 'Singapore', 'SG');
INSERT INTO `countries` VALUES(18874, 0, 0, 199, 'IT', 'Sant''Elena', 'SH');
INSERT INTO `countries` VALUES(18875, 0, 0, 200, 'IT', 'Slovenia', 'SI');
INSERT INTO `countries` VALUES(18876, 0, 0, 201, 'IT', 'Svalbard e Jan Mayen', 'SJ');
INSERT INTO `countries` VALUES(18877, 0, 0, 202, 'IT', 'Slovacchia', 'SK');
INSERT INTO `countries` VALUES(18878, 0, 0, 203, 'IT', 'Sierra Leone', 'SL');
INSERT INTO `countries` VALUES(18879, 0, 0, 204, 'IT', 'San Marino', 'SM');
INSERT INTO `countries` VALUES(18880, 0, 0, 205, 'IT', 'Senegal', 'SN');
INSERT INTO `countries` VALUES(18881, 0, 0, 206, 'IT', 'Somalia', 'SO');
INSERT INTO `countries` VALUES(18882, 0, 0, 207, 'IT', 'Suriname', 'SR');
INSERT INTO `countries` VALUES(18883, 0, 0, 208, 'IT', 'Sudan del Sud', 'SS');
INSERT INTO `countries` VALUES(18884, 0, 0, 209, 'IT', 'São Tomé e Príncipe', 'ST');
INSERT INTO `countries` VALUES(18885, 0, 0, 210, 'IT', 'El Salvador', 'SV');
INSERT INTO `countries` VALUES(18886, 0, 0, 211, 'IT', 'Sint Maarten', 'SX');
INSERT INTO `countries` VALUES(18887, 0, 0, 212, 'IT', 'Siria', 'SY');
INSERT INTO `countries` VALUES(18888, 0, 0, 213, 'IT', 'Swaziland', 'SZ');
INSERT INTO `countries` VALUES(18889, 0, 0, 214, 'IT', 'Turks e Caicos', 'TC');
INSERT INTO `countries` VALUES(18890, 0, 0, 215, 'IT', 'Ciad', 'TD');
INSERT INTO `countries` VALUES(18891, 0, 0, 216, 'IT', 'Terre Australi e Antartiche Francesi', 'TF');
INSERT INTO `countries` VALUES(18892, 0, 0, 217, 'IT', 'Togo', 'TG');
INSERT INTO `countries` VALUES(18893, 0, 0, 218, 'IT', 'Thailandia', 'TH');
INSERT INTO `countries` VALUES(18894, 0, 0, 219, 'IT', 'Tagikistan', 'TJ');
INSERT INTO `countries` VALUES(18895, 0, 0, 220, 'IT', 'Tokelau', 'TK');
INSERT INTO `countries` VALUES(18896, 0, 0, 221, 'IT', 'Timor Est', 'TL');
INSERT INTO `countries` VALUES(18897, 0, 0, 222, 'IT', 'Turkmenistan', 'TM');
INSERT INTO `countries` VALUES(18898, 0, 0, 223, 'IT', 'Tunisia', 'TN');
INSERT INTO `countries` VALUES(18899, 0, 0, 224, 'IT', 'Tonga', 'TO');
INSERT INTO `countries` VALUES(18900, 0, 0, 225, 'IT', 'Turchia', 'TR');
INSERT INTO `countries` VALUES(18901, 0, 0, 226, 'IT', 'Trinidad e Tobago', 'TT');
INSERT INTO `countries` VALUES(18902, 0, 0, 227, 'IT', 'Tuvalu', 'TV');
INSERT INTO `countries` VALUES(18903, 0, 0, 228, 'IT', 'Taiwan', 'TW');
INSERT INTO `countries` VALUES(18904, 0, 0, 229, 'IT', 'Tanzania', 'TZ');
INSERT INTO `countries` VALUES(18905, 0, 0, 230, 'IT', 'Ucraina', 'UA');
INSERT INTO `countries` VALUES(18906, 0, 0, 231, 'IT', 'Uganda', 'UG');
INSERT INTO `countries` VALUES(18907, 0, 0, 232, 'IT', 'Isole minori degli Stati Uniti', 'UM');
INSERT INTO `countries` VALUES(18908, 0, 0, 233, 'IT', 'Stati Uniti d''America', 'US');
INSERT INTO `countries` VALUES(18909, 0, 0, 234, 'IT', 'Uruguay', 'UY');
INSERT INTO `countries` VALUES(18910, 0, 0, 235, 'IT', 'Uzbekistan', 'UZ');
INSERT INTO `countries` VALUES(18911, 0, 0, 236, 'IT', 'Città del Vaticano', 'VA');
INSERT INTO `countries` VALUES(18912, 0, 0, 237, 'IT', 'Saint Vincent e Grenadine', 'VC');
INSERT INTO `countries` VALUES(18913, 0, 0, 238, 'IT', 'Venezuela', 'VE');
INSERT INTO `countries` VALUES(18914, 0, 0, 239, 'IT', 'Isole Vergini britanniche', 'VG');
INSERT INTO `countries` VALUES(18915, 0, 0, 240, 'IT', 'Isole Vergini americane', 'VI');
INSERT INTO `countries` VALUES(18916, 0, 0, 241, 'IT', 'Vietnam', 'VN');
INSERT INTO `countries` VALUES(18917, 0, 0, 242, 'IT', 'Vanuatu', 'VU');
INSERT INTO `countries` VALUES(18918, 0, 0, 243, 'IT', 'Wallis e Futuna', 'WF');
INSERT INTO `countries` VALUES(18919, 0, 0, 244, 'IT', 'Samoa', 'WS');
INSERT INTO `countries` VALUES(18920, 0, 0, 245, 'IT', 'Yemen', 'YE');
INSERT INTO `countries` VALUES(18921, 0, 0, 246, 'IT', 'Mayotte', 'YT');
INSERT INTO `countries` VALUES(18922, 0, 0, 247, 'IT', 'Sudafrica', 'ZA');
INSERT INTO `countries` VALUES(18923, 0, 0, 248, 'IT', 'Zambia', 'ZM');
INSERT INTO `countries` VALUES(18924, 0, 0, 249, 'IT', 'Zimbabwe', 'ZW');
INSERT INTO `countries` VALUES(29881, 0, 0, 1, 'NL', 'Andorra', 'AD');
INSERT INTO `countries` VALUES(29882, 0, 0, 2, 'NL', 'Verenigde Arabische Emiraten', 'AE');
INSERT INTO `countries` VALUES(29883, 0, 0, 3, 'NL', 'Afghanistan', 'AF');
INSERT INTO `countries` VALUES(29884, 0, 0, 4, 'NL', 'Antigua en Barbuda', 'AG');
INSERT INTO `countries` VALUES(29885, 0, 0, 5, 'NL', 'Anguilla', 'AI');
INSERT INTO `countries` VALUES(29886, 0, 0, 6, 'NL', 'Albanië', 'AL');
INSERT INTO `countries` VALUES(29887, 0, 0, 7, 'NL', 'Armenië', 'AM');
INSERT INTO `countries` VALUES(29888, 0, 0, 8, 'NL', 'Angola', 'AO');
INSERT INTO `countries` VALUES(29889, 0, 0, 9, 'NL', 'Antarctica', 'AQ');
INSERT INTO `countries` VALUES(29890, 0, 0, 10, 'NL', 'Argentinië', 'AR');
INSERT INTO `countries` VALUES(29891, 0, 0, 11, 'NL', 'Amerikaans-Samoa', 'AS');
INSERT INTO `countries` VALUES(29892, 0, 0, 12, 'NL', 'Oostenrijk', 'AT');
INSERT INTO `countries` VALUES(29893, 0, 0, 13, 'NL', 'Australië', 'AU');
INSERT INTO `countries` VALUES(29894, 0, 0, 14, 'NL', 'Aruba', 'AW');
INSERT INTO `countries` VALUES(29895, 0, 0, 15, 'NL', 'Åland', 'AX');
INSERT INTO `countries` VALUES(29896, 0, 0, 16, 'NL', 'Azerbeidzjan', 'AZ');
INSERT INTO `countries` VALUES(29897, 0, 0, 17, 'NL', 'Bosnië en Herzegovina', 'BA');
INSERT INTO `countries` VALUES(29898, 0, 0, 18, 'NL', 'Barbados', 'BB');
INSERT INTO `countries` VALUES(29899, 0, 0, 19, 'NL', 'Bangladesh', 'BD');
INSERT INTO `countries` VALUES(29900, 0, 0, 20, 'NL', 'België', 'BE');
INSERT INTO `countries` VALUES(29901, 0, 0, 21, 'NL', 'Burkina Faso', 'BF');
INSERT INTO `countries` VALUES(29902, 0, 0, 22, 'NL', 'Bulgarije', 'BG');
INSERT INTO `countries` VALUES(29903, 0, 0, 23, 'NL', 'Bahrein', 'BH');
INSERT INTO `countries` VALUES(29904, 0, 0, 24, 'NL', 'Burundi', 'BI');
INSERT INTO `countries` VALUES(29905, 0, 0, 25, 'NL', 'Benin', 'BJ');
INSERT INTO `countries` VALUES(29906, 0, 0, 26, 'NL', 'Saint-Barthélemy', 'BL');
INSERT INTO `countries` VALUES(29907, 0, 0, 27, 'NL', 'Bermuda', 'BM');
INSERT INTO `countries` VALUES(29908, 0, 0, 28, 'NL', 'Brunei', 'BN');
INSERT INTO `countries` VALUES(29909, 0, 0, 29, 'NL', 'Bolivia', 'BO');
INSERT INTO `countries` VALUES(29910, 0, 0, 30, 'NL', 'Bonaire, Sint Eustatius en Saba', 'BQ');
INSERT INTO `countries` VALUES(29911, 0, 0, 31, 'NL', 'Brazilië', 'BR');
INSERT INTO `countries` VALUES(29912, 0, 0, 32, 'NL', 'Bahama''s', 'BS');
INSERT INTO `countries` VALUES(29913, 0, 0, 33, 'NL', 'Bhutan', 'BT');
INSERT INTO `countries` VALUES(29914, 0, 0, 34, 'NL', 'Bouvet', 'BV');
INSERT INTO `countries` VALUES(29915, 0, 0, 35, 'NL', 'Botswana', 'BW');
INSERT INTO `countries` VALUES(29916, 0, 0, 36, 'NL', 'Wit-Rusland', 'BY');
INSERT INTO `countries` VALUES(29917, 0, 0, 37, 'NL', 'Belize', 'BZ');
INSERT INTO `countries` VALUES(29918, 0, 0, 38, 'NL', 'Canada', 'CA');
INSERT INTO `countries` VALUES(29919, 0, 0, 39, 'NL', 'Cocoseilanden', 'CC');
INSERT INTO `countries` VALUES(29920, 0, 0, 40, 'NL', 'Congo-Kinshasa', 'CD');
INSERT INTO `countries` VALUES(29921, 0, 0, 41, 'NL', 'Centraal-Afrikaanse Republiek', 'CF');
INSERT INTO `countries` VALUES(29922, 0, 0, 42, 'NL', 'Congo-Brazzaville', 'CG');
INSERT INTO `countries` VALUES(29923, 0, 0, 43, 'NL', 'Zwitserland', 'CH');
INSERT INTO `countries` VALUES(29924, 0, 0, 44, 'NL', 'Ivoorkust', 'CI');
INSERT INTO `countries` VALUES(29925, 0, 0, 45, 'NL', 'Cookeilanden', 'CK');
INSERT INTO `countries` VALUES(29926, 0, 0, 46, 'NL', 'Chili', 'CL');
INSERT INTO `countries` VALUES(29927, 0, 0, 47, 'NL', 'Kameroen', 'CM');
INSERT INTO `countries` VALUES(29928, 0, 0, 48, 'NL', 'China', 'CN');
INSERT INTO `countries` VALUES(29929, 0, 0, 49, 'NL', 'Colombia', 'CO');
INSERT INTO `countries` VALUES(29930, 0, 0, 50, 'NL', 'Costa Rica', 'CR');
INSERT INTO `countries` VALUES(29931, 0, 0, 51, 'NL', 'Cuba', 'CU');
INSERT INTO `countries` VALUES(29932, 0, 0, 52, 'NL', 'Kaapverdië', 'CV');
INSERT INTO `countries` VALUES(29933, 0, 0, 53, 'NL', 'Curaçao', 'CW');
INSERT INTO `countries` VALUES(29934, 0, 0, 54, 'NL', 'Christmaseiland', 'CX');
INSERT INTO `countries` VALUES(29935, 0, 0, 55, 'NL', 'Cyprus', 'CY');
INSERT INTO `countries` VALUES(29936, 0, 0, 56, 'NL', 'Tsjechië', 'CZ');
INSERT INTO `countries` VALUES(29937, 0, 0, 57, 'NL', 'Duitsland', 'DE');
INSERT INTO `countries` VALUES(29938, 0, 0, 58, 'NL', 'Djibouti', 'DJ');
INSERT INTO `countries` VALUES(29939, 0, 0, 59, 'NL', 'Denemarken', 'DK');
INSERT INTO `countries` VALUES(29940, 0, 0, 60, 'NL', 'Dominica', 'DM');
INSERT INTO `countries` VALUES(29941, 0, 0, 61, 'NL', 'Dominicaanse Republiek', 'DO');
INSERT INTO `countries` VALUES(29942, 0, 0, 62, 'NL', 'Algerije', 'DZ');
INSERT INTO `countries` VALUES(29943, 0, 0, 63, 'NL', 'Ecuador', 'EC');
INSERT INTO `countries` VALUES(29944, 0, 0, 64, 'NL', 'Estland', 'EE');
INSERT INTO `countries` VALUES(29945, 0, 0, 65, 'NL', 'Egypte', 'EG');
INSERT INTO `countries` VALUES(29946, 0, 0, 66, 'NL', 'Westelijke Sahara', 'EH');
INSERT INTO `countries` VALUES(29947, 0, 0, 67, 'NL', 'Eritrea', 'ER');
INSERT INTO `countries` VALUES(29948, 0, 0, 68, 'NL', 'Spanje', 'ES');
INSERT INTO `countries` VALUES(29949, 0, 0, 69, 'NL', 'Ethiopië', 'ET');
INSERT INTO `countries` VALUES(29950, 0, 0, 70, 'NL', 'Finland', 'FI');
INSERT INTO `countries` VALUES(29951, 0, 0, 71, 'NL', 'Fiji', 'FJ');
INSERT INTO `countries` VALUES(29952, 0, 0, 72, 'NL', 'Falklandeilanden', 'FK');
INSERT INTO `countries` VALUES(29953, 0, 0, 73, 'NL', 'Micronesia', 'FM');
INSERT INTO `countries` VALUES(29954, 0, 0, 74, 'NL', 'Faeröer', 'FO');
INSERT INTO `countries` VALUES(29955, 0, 0, 75, 'NL', 'Frankrijk', 'FR');
INSERT INTO `countries` VALUES(29956, 0, 0, 76, 'NL', 'Gabon', 'GA');
INSERT INTO `countries` VALUES(29957, 0, 0, 77, 'NL', 'Verenigd Koninkrijk', 'GB');
INSERT INTO `countries` VALUES(29958, 0, 0, 78, 'NL', 'Grenada', 'GD');
INSERT INTO `countries` VALUES(29959, 0, 0, 79, 'NL', 'Georgië', 'GE');
INSERT INTO `countries` VALUES(29960, 0, 0, 80, 'NL', 'Frans-Guyana', 'GF');
INSERT INTO `countries` VALUES(29961, 0, 0, 81, 'NL', 'Guernsey', 'GG');
INSERT INTO `countries` VALUES(29962, 0, 0, 82, 'NL', 'Ghana', 'GH');
INSERT INTO `countries` VALUES(29963, 0, 0, 83, 'NL', 'Gibraltar', 'GI');
INSERT INTO `countries` VALUES(29964, 0, 0, 84, 'NL', 'Groenland', 'GL');
INSERT INTO `countries` VALUES(29965, 0, 0, 85, 'NL', 'Gambia', 'GM');
INSERT INTO `countries` VALUES(29966, 0, 0, 86, 'NL', 'Guinee', 'GN');
INSERT INTO `countries` VALUES(29967, 0, 0, 87, 'NL', 'Guadeloupe', 'GP');
INSERT INTO `countries` VALUES(29968, 0, 0, 88, 'NL', 'Equatoriaal-Guinea', 'GQ');
INSERT INTO `countries` VALUES(29969, 0, 0, 89, 'NL', 'Griekenland', 'GR');
INSERT INTO `countries` VALUES(29970, 0, 0, 90, 'NL', 'Zuid-Georgia en de Zuidelijke Sandwicheilanden', 'GS');
INSERT INTO `countries` VALUES(29971, 0, 0, 91, 'NL', 'Guatemala', 'GT');
INSERT INTO `countries` VALUES(29972, 0, 0, 92, 'NL', 'Guam', 'GU');
INSERT INTO `countries` VALUES(29973, 0, 0, 93, 'NL', 'Guinee-Bissau', 'GW');
INSERT INTO `countries` VALUES(29974, 0, 0, 94, 'NL', 'Guyana', 'GY');
INSERT INTO `countries` VALUES(29975, 0, 0, 95, 'NL', 'Hongkong', 'HK');
INSERT INTO `countries` VALUES(29976, 0, 0, 96, 'NL', 'Heard en McDonaldeilanden', 'HM');
INSERT INTO `countries` VALUES(29977, 0, 0, 97, 'NL', 'Honduras', 'HN');
INSERT INTO `countries` VALUES(29978, 0, 0, 98, 'NL', 'Kroatië', 'HR');
INSERT INTO `countries` VALUES(29979, 0, 0, 99, 'NL', 'Haïti', 'HT');
INSERT INTO `countries` VALUES(29980, 0, 0, 100, 'NL', 'Hongarije', 'HU');
INSERT INTO `countries` VALUES(29981, 0, 0, 101, 'NL', 'Indonesië', 'ID');
INSERT INTO `countries` VALUES(29982, 0, 0, 102, 'NL', 'Ierland', 'IE');
INSERT INTO `countries` VALUES(29983, 0, 0, 103, 'NL', 'Israël', 'IL');
INSERT INTO `countries` VALUES(29984, 0, 0, 104, 'NL', 'Man', 'IM');
INSERT INTO `countries` VALUES(29985, 0, 0, 105, 'NL', 'India', 'IN');
INSERT INTO `countries` VALUES(29986, 0, 0, 106, 'NL', 'Brits Indische Oceaanterritorium', 'IO');
INSERT INTO `countries` VALUES(29987, 0, 0, 107, 'NL', 'Irak', 'IQ');
INSERT INTO `countries` VALUES(29988, 0, 0, 108, 'NL', 'Iran', 'IR');
INSERT INTO `countries` VALUES(29989, 0, 0, 109, 'NL', 'IJsland', 'IS');
INSERT INTO `countries` VALUES(29990, 0, 0, 110, 'NL', 'Italië', 'IT');
INSERT INTO `countries` VALUES(29991, 0, 0, 111, 'NL', 'Jersey', 'JE');
INSERT INTO `countries` VALUES(29992, 0, 0, 112, 'NL', 'Jamaica', 'JM');
INSERT INTO `countries` VALUES(29993, 0, 0, 113, 'NL', 'Jordanië', 'JO');
INSERT INTO `countries` VALUES(29994, 0, 0, 114, 'NL', 'Japan', 'JP');
INSERT INTO `countries` VALUES(29995, 0, 0, 115, 'NL', 'Kenia', 'KE');
INSERT INTO `countries` VALUES(29996, 0, 0, 116, 'NL', 'Kirgizië', 'KG');
INSERT INTO `countries` VALUES(29997, 0, 0, 117, 'NL', 'Cambodja', 'KH');
INSERT INTO `countries` VALUES(29998, 0, 0, 118, 'NL', 'Kiribati', 'KI');
INSERT INTO `countries` VALUES(29999, 0, 0, 119, 'NL', 'Comoren', 'KM');
INSERT INTO `countries` VALUES(30000, 0, 0, 120, 'NL', 'Saint Kitts en Nevis', 'KN');
INSERT INTO `countries` VALUES(30001, 0, 0, 121, 'NL', 'Noord-Korea', 'KP');
INSERT INTO `countries` VALUES(30002, 0, 0, 122, 'NL', 'Zuid-Korea', 'KR');
INSERT INTO `countries` VALUES(30003, 0, 0, 123, 'NL', 'Koeweit', 'KW');
INSERT INTO `countries` VALUES(30004, 0, 0, 124, 'NL', 'Kaaimaneilanden', 'KY');
INSERT INTO `countries` VALUES(30005, 0, 0, 125, 'NL', 'Kazachstan', 'KZ');
INSERT INTO `countries` VALUES(30006, 0, 0, 126, 'NL', 'Laos', 'LA');
INSERT INTO `countries` VALUES(30007, 0, 0, 127, 'NL', 'Libanon', 'LB');
INSERT INTO `countries` VALUES(30008, 0, 0, 128, 'NL', 'Saint Lucia', 'LC');
INSERT INTO `countries` VALUES(30009, 0, 0, 129, 'NL', 'Liechtenstein', 'LI');
INSERT INTO `countries` VALUES(30010, 0, 0, 130, 'NL', 'Sri Lanka', 'LK');
INSERT INTO `countries` VALUES(30011, 0, 0, 131, 'NL', 'Liberia', 'LR');
INSERT INTO `countries` VALUES(30012, 0, 0, 132, 'NL', 'Lesotho', 'LS');
INSERT INTO `countries` VALUES(30013, 0, 0, 133, 'NL', 'Litouwen', 'LT');
INSERT INTO `countries` VALUES(30014, 0, 0, 134, 'NL', 'Luxemburg', 'LU');
INSERT INTO `countries` VALUES(30015, 0, 0, 135, 'NL', 'Letland', 'LV');
INSERT INTO `countries` VALUES(30016, 0, 0, 136, 'NL', 'Libië', 'LY');
INSERT INTO `countries` VALUES(30017, 0, 0, 137, 'NL', 'Marokko', 'MA');
INSERT INTO `countries` VALUES(30018, 0, 0, 138, 'NL', 'Monaco', 'MC');
INSERT INTO `countries` VALUES(30019, 0, 0, 139, 'NL', 'Moldavië', 'MD');
INSERT INTO `countries` VALUES(30020, 0, 0, 140, 'NL', 'Montenegro', 'ME');
INSERT INTO `countries` VALUES(30021, 0, 0, 141, 'NL', 'Sint-Maarten', 'MF');
INSERT INTO `countries` VALUES(30022, 0, 0, 142, 'NL', 'Madagaskar', 'MG');
INSERT INTO `countries` VALUES(30023, 0, 0, 143, 'NL', 'Marshalleilanden', 'MH');
INSERT INTO `countries` VALUES(30024, 0, 0, 144, 'NL', 'Macedonië', 'MK');
INSERT INTO `countries` VALUES(30025, 0, 0, 145, 'NL', 'Mali', 'ML');
INSERT INTO `countries` VALUES(30026, 0, 0, 146, 'NL', 'Myanmar', 'MM');
INSERT INTO `countries` VALUES(30027, 0, 0, 147, 'NL', 'Mongolië', 'MN');
INSERT INTO `countries` VALUES(30028, 0, 0, 148, 'NL', 'Macau', 'MO');
INSERT INTO `countries` VALUES(30029, 0, 0, 149, 'NL', 'Noordelijke Marianen', 'MP');
INSERT INTO `countries` VALUES(30030, 0, 0, 150, 'NL', 'Martinique', 'MQ');
INSERT INTO `countries` VALUES(30031, 0, 0, 151, 'NL', 'Mauritanië', 'MR');
INSERT INTO `countries` VALUES(30032, 0, 0, 152, 'NL', 'Montserrat', 'MS');
INSERT INTO `countries` VALUES(30033, 0, 0, 153, 'NL', 'Malta', 'MT');
INSERT INTO `countries` VALUES(30034, 0, 0, 154, 'NL', 'Mauritius', 'MU');
INSERT INTO `countries` VALUES(30035, 0, 0, 155, 'NL', 'Maldiven', 'MV');
INSERT INTO `countries` VALUES(30036, 0, 0, 156, 'NL', 'Malawi', 'MW');
INSERT INTO `countries` VALUES(30037, 0, 0, 157, 'NL', 'Mexico', 'MX');
INSERT INTO `countries` VALUES(30038, 0, 0, 158, 'NL', 'Maleisië', 'MY');
INSERT INTO `countries` VALUES(30039, 0, 0, 159, 'NL', 'Mozambique', 'MZ');
INSERT INTO `countries` VALUES(30040, 0, 0, 160, 'NL', 'Namibië', 'NA');
INSERT INTO `countries` VALUES(30041, 0, 0, 161, 'NL', 'Nieuw-Caledonië', 'NC');
INSERT INTO `countries` VALUES(30042, 0, 0, 162, 'NL', 'Niger', 'NE');
INSERT INTO `countries` VALUES(30043, 0, 0, 163, 'NL', 'Norfolk', 'NF');
INSERT INTO `countries` VALUES(30044, 0, 0, 164, 'NL', 'Nigeria', 'NG');
INSERT INTO `countries` VALUES(30045, 0, 0, 165, 'NL', 'Nicaragua', 'NI');
INSERT INTO `countries` VALUES(30046, 0, 0, 166, 'NL', 'Nederland', 'NL');
INSERT INTO `countries` VALUES(30047, 0, 0, 167, 'NL', 'Noorwegen', 'NO');
INSERT INTO `countries` VALUES(30048, 0, 0, 168, 'NL', 'Nepal', 'NP');
INSERT INTO `countries` VALUES(30049, 0, 0, 169, 'NL', 'Nauru', 'NR');
INSERT INTO `countries` VALUES(30050, 0, 0, 170, 'NL', 'Niue', 'NU');
INSERT INTO `countries` VALUES(30051, 0, 0, 171, 'NL', 'Nieuw-Zeeland', 'NZ');
INSERT INTO `countries` VALUES(30052, 0, 0, 172, 'NL', 'Oman', 'OM');
INSERT INTO `countries` VALUES(30053, 0, 0, 173, 'NL', 'Panama', 'PA');
INSERT INTO `countries` VALUES(30054, 0, 0, 174, 'NL', 'Peru', 'PE');
INSERT INTO `countries` VALUES(30055, 0, 0, 175, 'NL', 'Frans-Polynesië', 'PF');
INSERT INTO `countries` VALUES(30056, 0, 0, 176, 'NL', 'Papoea-Nieuw-Guinea', 'PG');
INSERT INTO `countries` VALUES(30057, 0, 0, 177, 'NL', 'Filipijnen', 'PH');
INSERT INTO `countries` VALUES(30058, 0, 0, 178, 'NL', 'Pakistan', 'PK');
INSERT INTO `countries` VALUES(30059, 0, 0, 179, 'NL', 'Polen', 'PL');
INSERT INTO `countries` VALUES(30060, 0, 0, 180, 'NL', 'Saint-Pierre en Miquelon', 'PM');
INSERT INTO `countries` VALUES(30061, 0, 0, 181, 'NL', 'Pitcairneilanden', 'PN');
INSERT INTO `countries` VALUES(30062, 0, 0, 182, 'NL', 'Puerto Rico', 'PR');
INSERT INTO `countries` VALUES(30063, 0, 0, 183, 'NL', 'Palestijnse Autoriteit', 'PS');
INSERT INTO `countries` VALUES(30064, 0, 0, 184, 'NL', 'Portugal', 'PT');
INSERT INTO `countries` VALUES(30065, 0, 0, 185, 'NL', 'Palau', 'PW');
INSERT INTO `countries` VALUES(30066, 0, 0, 186, 'NL', 'Paraguay', 'PY');
INSERT INTO `countries` VALUES(30067, 0, 0, 187, 'NL', 'Qatar', 'QA');
INSERT INTO `countries` VALUES(30068, 0, 0, 188, 'NL', 'Réunion', 'RE');
INSERT INTO `countries` VALUES(30069, 0, 0, 189, 'NL', 'Roemenië', 'RO');
INSERT INTO `countries` VALUES(30070, 0, 0, 190, 'NL', 'Servië', 'RS');
INSERT INTO `countries` VALUES(30071, 0, 0, 191, 'NL', 'Rusland', 'RU');
INSERT INTO `countries` VALUES(30072, 0, 0, 192, 'NL', 'Rwanda', 'RW');
INSERT INTO `countries` VALUES(30073, 0, 0, 193, 'NL', 'Saoedi-Arabië', 'SA');
INSERT INTO `countries` VALUES(30074, 0, 0, 194, 'NL', 'Salomonseilanden', 'SB');
INSERT INTO `countries` VALUES(30075, 0, 0, 195, 'NL', 'Seychellen', 'SC');
INSERT INTO `countries` VALUES(30076, 0, 0, 196, 'NL', 'Soedan', 'SD');
INSERT INTO `countries` VALUES(30077, 0, 0, 197, 'NL', 'Zweden', 'SE');
INSERT INTO `countries` VALUES(30078, 0, 0, 198, 'NL', 'Singapore', 'SG');
INSERT INTO `countries` VALUES(30079, 0, 0, 199, 'NL', 'Sint-Helena, Ascension en Tristan da Cunha', 'SH');
INSERT INTO `countries` VALUES(30080, 0, 0, 200, 'NL', 'Slovenië', 'SI');
INSERT INTO `countries` VALUES(30081, 0, 0, 201, 'NL', 'Spitsbergen en Jan Mayen', 'SJ');
INSERT INTO `countries` VALUES(30082, 0, 0, 202, 'NL', 'Slowakije', 'SK');
INSERT INTO `countries` VALUES(30083, 0, 0, 203, 'NL', 'Sierra Leone', 'SL');
INSERT INTO `countries` VALUES(30084, 0, 0, 204, 'NL', 'San Marino', 'SM');
INSERT INTO `countries` VALUES(30085, 0, 0, 205, 'NL', 'Senegal', 'SN');
INSERT INTO `countries` VALUES(30086, 0, 0, 206, 'NL', 'Somalië', 'SO');
INSERT INTO `countries` VALUES(30087, 0, 0, 207, 'NL', 'Suriname', 'SR');
INSERT INTO `countries` VALUES(30088, 0, 0, 208, 'NL', 'Zuid-Soedan', 'SS');
INSERT INTO `countries` VALUES(30089, 0, 0, 209, 'NL', 'Sao Tomé en Principe', 'ST');
INSERT INTO `countries` VALUES(30090, 0, 0, 210, 'NL', 'El Salvador', 'SV');
INSERT INTO `countries` VALUES(30091, 0, 0, 211, 'NL', 'Sint Maarten', 'SX');
INSERT INTO `countries` VALUES(30092, 0, 0, 212, 'NL', 'Syrië', 'SY');
INSERT INTO `countries` VALUES(30093, 0, 0, 213, 'NL', 'Swaziland', 'SZ');
INSERT INTO `countries` VALUES(30094, 0, 0, 214, 'NL', 'Turks- en Caicoseilanden', 'TC');
INSERT INTO `countries` VALUES(30095, 0, 0, 215, 'NL', 'Tsjaad', 'TD');
INSERT INTO `countries` VALUES(30096, 0, 0, 216, 'NL', 'Franse Zuidelijke en Antarctische Gebieden', 'TF');
INSERT INTO `countries` VALUES(30097, 0, 0, 217, 'NL', 'Togo', 'TG');
INSERT INTO `countries` VALUES(30098, 0, 0, 218, 'NL', 'Thailand', 'TH');
INSERT INTO `countries` VALUES(30099, 0, 0, 219, 'NL', 'Tadzjikistan', 'TJ');
INSERT INTO `countries` VALUES(30100, 0, 0, 220, 'NL', 'Tokelau-eilanden', 'TK');
INSERT INTO `countries` VALUES(30101, 0, 0, 221, 'NL', 'Oost-Timor', 'TL');
INSERT INTO `countries` VALUES(30102, 0, 0, 222, 'NL', 'Turkmenistan', 'TM');
INSERT INTO `countries` VALUES(30103, 0, 0, 223, 'NL', 'Tunesië', 'TN');
INSERT INTO `countries` VALUES(30104, 0, 0, 224, 'NL', 'Tonga', 'TO');
INSERT INTO `countries` VALUES(30105, 0, 0, 225, 'NL', 'Turkije', 'TR');
INSERT INTO `countries` VALUES(30106, 0, 0, 226, 'NL', 'Trinidad en Tobago', 'TT');
INSERT INTO `countries` VALUES(30107, 0, 0, 227, 'NL', 'Tuvalu', 'TV');
INSERT INTO `countries` VALUES(30108, 0, 0, 228, 'NL', 'Taiwan', 'TW');
INSERT INTO `countries` VALUES(30109, 0, 0, 229, 'NL', 'Tanzania', 'TZ');
INSERT INTO `countries` VALUES(30110, 0, 0, 230, 'NL', 'Oekraïne', 'UA');
INSERT INTO `countries` VALUES(30111, 0, 0, 231, 'NL', 'Oeganda', 'UG');
INSERT INTO `countries` VALUES(30112, 0, 0, 232, 'NL', 'Kleine Pacifische eilanden van de Verenigde Staten', 'UM');
INSERT INTO `countries` VALUES(30113, 0, 0, 233, 'NL', 'Verenigde Staten', 'US');
INSERT INTO `countries` VALUES(30114, 0, 0, 234, 'NL', 'Uruguay', 'UY');
INSERT INTO `countries` VALUES(30115, 0, 0, 235, 'NL', 'Oezbekistan', 'UZ');
INSERT INTO `countries` VALUES(30116, 0, 0, 236, 'NL', 'Vaticaanstad', 'VA');
INSERT INTO `countries` VALUES(30117, 0, 0, 237, 'NL', 'Saint Vincent en de Grenadines', 'VC');
INSERT INTO `countries` VALUES(30118, 0, 0, 238, 'NL', 'Venezuela', 'VE');
INSERT INTO `countries` VALUES(30119, 0, 0, 239, 'NL', 'Britse Maagdeneilanden', 'VG');
INSERT INTO `countries` VALUES(30120, 0, 0, 240, 'NL', 'Amerikaanse Maagdeneilanden', 'VI');
INSERT INTO `countries` VALUES(30121, 0, 0, 241, 'NL', 'Vietnam', 'VN');
INSERT INTO `countries` VALUES(30122, 0, 0, 242, 'NL', 'Vanuatu', 'VU');
INSERT INTO `countries` VALUES(30123, 0, 0, 243, 'NL', 'Wallis en Futuna', 'WF');
INSERT INTO `countries` VALUES(30124, 0, 0, 244, 'NL', 'Samoa', 'WS');
INSERT INTO `countries` VALUES(30125, 0, 0, 245, 'NL', 'Jemen', 'YE');
INSERT INTO `countries` VALUES(30126, 0, 0, 246, 'NL', 'Mayotte', 'YT');
INSERT INTO `countries` VALUES(30127, 0, 0, 247, 'NL', 'Zuid-Afrika', 'ZA');
INSERT INTO `countries` VALUES(30128, 0, 0, 248, 'NL', 'Zambia', 'ZM');
INSERT INTO `countries` VALUES(30129, 0, 0, 249, 'NL', 'Zimbabwe', 'ZW');
INSERT INTO `countries` VALUES(35110, 0, 0, 1, 'RU', 'Андорра', 'AD');
INSERT INTO `countries` VALUES(35111, 0, 0, 2, 'RU', 'ОАЭ', 'AE');
INSERT INTO `countries` VALUES(35112, 0, 0, 3, 'RU', 'Афганистан', 'AF');
INSERT INTO `countries` VALUES(35113, 0, 0, 4, 'RU', 'Антигуа и Барбуда', 'AG');
INSERT INTO `countries` VALUES(35114, 0, 0, 5, 'RU', 'Ангилья', 'AI');
INSERT INTO `countries` VALUES(35115, 0, 0, 6, 'RU', 'Албания', 'AL');
INSERT INTO `countries` VALUES(35116, 0, 0, 7, 'RU', 'Армения', 'AM');
INSERT INTO `countries` VALUES(35117, 0, 0, 8, 'RU', 'Ангола', 'AO');
INSERT INTO `countries` VALUES(35118, 0, 0, 9, 'RU', 'Антарктида', 'AQ');
INSERT INTO `countries` VALUES(35119, 0, 0, 10, 'RU', 'Аргентина', 'AR');
INSERT INTO `countries` VALUES(35120, 0, 0, 11, 'RU', 'Американское Самоа', 'AS');
INSERT INTO `countries` VALUES(35121, 0, 0, 12, 'RU', 'Австрия', 'AT');
INSERT INTO `countries` VALUES(35122, 0, 0, 13, 'RU', 'Австралия', 'AU');
INSERT INTO `countries` VALUES(35123, 0, 0, 14, 'RU', 'Аруба', 'AW');
INSERT INTO `countries` VALUES(35124, 0, 0, 15, 'RU', 'Аландские острова', 'AX');
INSERT INTO `countries` VALUES(35125, 0, 0, 16, 'RU', 'Азербайджан', 'AZ');
INSERT INTO `countries` VALUES(35126, 0, 0, 17, 'RU', 'Босния и Герцеговина', 'BA');
INSERT INTO `countries` VALUES(35127, 0, 0, 18, 'RU', 'Барбадос', 'BB');
INSERT INTO `countries` VALUES(35128, 0, 0, 19, 'RU', 'Бангладеш', 'BD');
INSERT INTO `countries` VALUES(35129, 0, 0, 20, 'RU', 'Бельгия', 'BE');
INSERT INTO `countries` VALUES(35130, 0, 0, 21, 'RU', 'Буркина Фасо', 'BF');
INSERT INTO `countries` VALUES(35131, 0, 0, 22, 'RU', 'Болгария', 'BG');
INSERT INTO `countries` VALUES(35132, 0, 0, 23, 'RU', 'Бахрейн', 'BH');
INSERT INTO `countries` VALUES(35133, 0, 0, 24, 'RU', 'Бурунди', 'BI');
INSERT INTO `countries` VALUES(35134, 0, 0, 25, 'RU', 'Бенин', 'BJ');
INSERT INTO `countries` VALUES(35135, 0, 0, 26, 'RU', 'Saint Barthélemy', 'BL');
INSERT INTO `countries` VALUES(35136, 0, 0, 27, 'RU', 'Бермуды', 'BM');
INSERT INTO `countries` VALUES(35137, 0, 0, 28, 'RU', 'Бруней', 'BN');
INSERT INTO `countries` VALUES(35138, 0, 0, 29, 'RU', 'Боливия', 'BO');
INSERT INTO `countries` VALUES(35139, 0, 0, 30, 'RU', 'Bonaire, Sint Eustatius and Saba', 'BQ');
INSERT INTO `countries` VALUES(35140, 0, 0, 31, 'RU', 'Бразилия', 'BR');
INSERT INTO `countries` VALUES(35141, 0, 0, 32, 'RU', 'Багамы', 'BS');
INSERT INTO `countries` VALUES(35142, 0, 0, 33, 'RU', 'Бутан', 'BT');
INSERT INTO `countries` VALUES(35143, 0, 0, 34, 'RU', 'Остров Буве', 'BV');
INSERT INTO `countries` VALUES(35144, 0, 0, 35, 'RU', 'Ботсвана', 'BW');
INSERT INTO `countries` VALUES(35145, 0, 0, 36, 'RU', 'Белоруссия', 'BY');
INSERT INTO `countries` VALUES(35146, 0, 0, 37, 'RU', 'Белиз', 'BZ');
INSERT INTO `countries` VALUES(35147, 0, 0, 38, 'RU', 'Канада', 'CA');
INSERT INTO `countries` VALUES(35148, 0, 0, 39, 'RU', 'Кокосовые острова', 'CC');
INSERT INTO `countries` VALUES(35149, 0, 0, 40, 'RU', 'ДР Конго', 'CD');
INSERT INTO `countries` VALUES(35150, 0, 0, 41, 'RU', 'ЦАР', 'CF');
INSERT INTO `countries` VALUES(35151, 0, 0, 42, 'RU', 'Республика Конго', 'CG');
INSERT INTO `countries` VALUES(35152, 0, 0, 43, 'RU', 'Швейцария', 'CH');
INSERT INTO `countries` VALUES(35153, 0, 0, 44, 'RU', 'Кот-д’Ивуар', 'CI');
INSERT INTO `countries` VALUES(35154, 0, 0, 45, 'RU', 'Острова Кука', 'CK');
INSERT INTO `countries` VALUES(35155, 0, 0, 46, 'RU', 'Чили', 'CL');
INSERT INTO `countries` VALUES(35156, 0, 0, 47, 'RU', 'Камерун', 'CM');
INSERT INTO `countries` VALUES(35157, 0, 0, 48, 'RU', 'КНР', 'CN');
INSERT INTO `countries` VALUES(35158, 0, 0, 49, 'RU', 'Колумбия', 'CO');
INSERT INTO `countries` VALUES(35159, 0, 0, 50, 'RU', 'Коста-Рика', 'CR');
INSERT INTO `countries` VALUES(35160, 0, 0, 51, 'RU', 'Куба', 'CU');
INSERT INTO `countries` VALUES(35161, 0, 0, 52, 'RU', 'Кабо-Верде', 'CV');
INSERT INTO `countries` VALUES(35162, 0, 0, 53, 'RU', 'Curaçao', 'CW');
INSERT INTO `countries` VALUES(35163, 0, 0, 54, 'RU', 'Остров Рождества', 'CX');
INSERT INTO `countries` VALUES(35164, 0, 0, 55, 'RU', 'Кипр', 'CY');
INSERT INTO `countries` VALUES(35165, 0, 0, 56, 'RU', 'Чехия', 'CZ');
INSERT INTO `countries` VALUES(35166, 0, 0, 57, 'RU', 'Германия', 'DE');
INSERT INTO `countries` VALUES(35167, 0, 0, 58, 'RU', 'Джибути', 'DJ');
INSERT INTO `countries` VALUES(35168, 0, 0, 59, 'RU', 'Дания', 'DK');
INSERT INTO `countries` VALUES(35169, 0, 0, 60, 'RU', 'Доминика', 'DM');
INSERT INTO `countries` VALUES(35170, 0, 0, 61, 'RU', 'Доминиканская Республика', 'DO');
INSERT INTO `countries` VALUES(35171, 0, 0, 62, 'RU', 'Алжир', 'DZ');
INSERT INTO `countries` VALUES(35172, 0, 0, 63, 'RU', 'Эквадор', 'EC');
INSERT INTO `countries` VALUES(35173, 0, 0, 64, 'RU', 'Эстония', 'EE');
INSERT INTO `countries` VALUES(35174, 0, 0, 65, 'RU', 'Египет', 'EG');
INSERT INTO `countries` VALUES(35175, 0, 0, 66, 'RU', 'Западная Сахара', 'EH');
INSERT INTO `countries` VALUES(35176, 0, 0, 67, 'RU', 'Эритрея', 'ER');
INSERT INTO `countries` VALUES(35177, 0, 0, 68, 'RU', 'Испания', 'ES');
INSERT INTO `countries` VALUES(35178, 0, 0, 69, 'RU', 'Эфиопия', 'ET');
INSERT INTO `countries` VALUES(35179, 0, 0, 70, 'RU', 'Финляндия', 'FI');
INSERT INTO `countries` VALUES(35180, 0, 0, 71, 'RU', 'Фиджи', 'FJ');
INSERT INTO `countries` VALUES(35181, 0, 0, 72, 'RU', 'Фолклендские острова', 'FK');
INSERT INTO `countries` VALUES(35182, 0, 0, 73, 'RU', 'Микронезия', 'FM');
INSERT INTO `countries` VALUES(35183, 0, 0, 74, 'RU', 'Фарерские острова', 'FO');
INSERT INTO `countries` VALUES(35184, 0, 0, 75, 'RU', 'Франция', 'FR');
INSERT INTO `countries` VALUES(35185, 0, 0, 76, 'RU', 'Габон', 'GA');
INSERT INTO `countries` VALUES(35186, 0, 0, 77, 'RU', 'Великобритания', 'GB');
INSERT INTO `countries` VALUES(35187, 0, 0, 78, 'RU', 'Гренада', 'GD');
INSERT INTO `countries` VALUES(35188, 0, 0, 79, 'RU', 'Грузия', 'GE');
INSERT INTO `countries` VALUES(35189, 0, 0, 80, 'RU', 'Французская Гвиана', 'GF');
INSERT INTO `countries` VALUES(35190, 0, 0, 81, 'RU', 'Guernsey', 'GG');
INSERT INTO `countries` VALUES(35191, 0, 0, 82, 'RU', 'Гана', 'GH');
INSERT INTO `countries` VALUES(35192, 0, 0, 83, 'RU', 'Гибралтар', 'GI');
INSERT INTO `countries` VALUES(35193, 0, 0, 84, 'RU', 'Гренландия', 'GL');
INSERT INTO `countries` VALUES(35194, 0, 0, 85, 'RU', 'Гамбия', 'GM');
INSERT INTO `countries` VALUES(35195, 0, 0, 86, 'RU', 'Гвинея', 'GN');
INSERT INTO `countries` VALUES(35196, 0, 0, 87, 'RU', 'Гваделупа', 'GP');
INSERT INTO `countries` VALUES(35197, 0, 0, 88, 'RU', 'Экваториальная Гвинея', 'GQ');
INSERT INTO `countries` VALUES(35198, 0, 0, 89, 'RU', 'Греция', 'GR');
INSERT INTO `countries` VALUES(35199, 0, 0, 90, 'RU', 'Южная Георгия и Южные Сандвичевы острова', 'GS');
INSERT INTO `countries` VALUES(35200, 0, 0, 91, 'RU', 'Гватемала', 'GT');
INSERT INTO `countries` VALUES(35201, 0, 0, 92, 'RU', 'Гуам', 'GU');
INSERT INTO `countries` VALUES(35202, 0, 0, 93, 'RU', 'Гвинея-Бисау', 'GW');
INSERT INTO `countries` VALUES(35203, 0, 0, 94, 'RU', 'Гайана', 'GY');
INSERT INTO `countries` VALUES(35204, 0, 0, 95, 'RU', 'Гонконг', 'HK');
INSERT INTO `countries` VALUES(35205, 0, 0, 96, 'RU', 'Херд и Макдональд', 'HM');
INSERT INTO `countries` VALUES(35206, 0, 0, 97, 'RU', 'Гондурас', 'HN');
INSERT INTO `countries` VALUES(35207, 0, 0, 98, 'RU', 'Хорватия', 'HR');
INSERT INTO `countries` VALUES(35208, 0, 0, 99, 'RU', 'Гаити', 'HT');
INSERT INTO `countries` VALUES(35209, 0, 0, 100, 'RU', 'Венгрия', 'HU');
INSERT INTO `countries` VALUES(35210, 0, 0, 101, 'RU', 'Индонезия', 'ID');
INSERT INTO `countries` VALUES(35211, 0, 0, 102, 'RU', 'Ирландия', 'IE');
INSERT INTO `countries` VALUES(35212, 0, 0, 103, 'RU', 'Израиль', 'IL');
INSERT INTO `countries` VALUES(35213, 0, 0, 104, 'RU', 'Isle of Man', 'IM');
INSERT INTO `countries` VALUES(35214, 0, 0, 105, 'RU', 'Индия', 'IN');
INSERT INTO `countries` VALUES(35215, 0, 0, 106, 'RU', 'Британская территория в Индийском океане', 'IO');
INSERT INTO `countries` VALUES(35216, 0, 0, 107, 'RU', 'Ирак', 'IQ');
INSERT INTO `countries` VALUES(35217, 0, 0, 108, 'RU', 'Иран', 'IR');
INSERT INTO `countries` VALUES(35218, 0, 0, 109, 'RU', 'Исландия', 'IS');
INSERT INTO `countries` VALUES(35219, 0, 0, 110, 'RU', 'Италия', 'IT');
INSERT INTO `countries` VALUES(35220, 0, 0, 111, 'RU', 'Jersey', 'JE');
INSERT INTO `countries` VALUES(35221, 0, 0, 112, 'RU', 'Ямайка', 'JM');
INSERT INTO `countries` VALUES(35222, 0, 0, 113, 'RU', 'Иордания', 'JO');
INSERT INTO `countries` VALUES(35223, 0, 0, 114, 'RU', 'Япония', 'JP');
INSERT INTO `countries` VALUES(35224, 0, 0, 115, 'RU', 'Кения', 'KE');
INSERT INTO `countries` VALUES(35225, 0, 0, 116, 'RU', 'Киргизия', 'KG');
INSERT INTO `countries` VALUES(35226, 0, 0, 117, 'RU', 'Камбоджа', 'KH');
INSERT INTO `countries` VALUES(35227, 0, 0, 118, 'RU', 'Кирибати', 'KI');
INSERT INTO `countries` VALUES(35228, 0, 0, 119, 'RU', 'Коморы', 'KM');
INSERT INTO `countries` VALUES(35229, 0, 0, 120, 'RU', 'Сент-Китс и Невис', 'KN');
INSERT INTO `countries` VALUES(35230, 0, 0, 121, 'RU', 'КНДР', 'KP');
INSERT INTO `countries` VALUES(35231, 0, 0, 122, 'RU', 'Республика Корея', 'KR');
INSERT INTO `countries` VALUES(35232, 0, 0, 123, 'RU', 'Кувейт', 'KW');
INSERT INTO `countries` VALUES(35233, 0, 0, 124, 'RU', 'Каймановы острова', 'KY');
INSERT INTO `countries` VALUES(35234, 0, 0, 125, 'RU', 'Казахстан', 'KZ');
INSERT INTO `countries` VALUES(35235, 0, 0, 126, 'RU', 'Лаос', 'LA');
INSERT INTO `countries` VALUES(35236, 0, 0, 127, 'RU', 'Ливан', 'LB');
INSERT INTO `countries` VALUES(35237, 0, 0, 128, 'RU', 'Сент-Люсия', 'LC');
INSERT INTO `countries` VALUES(35238, 0, 0, 129, 'RU', 'Лихтенштейн', 'LI');
INSERT INTO `countries` VALUES(35239, 0, 0, 130, 'RU', 'Шри-Ланка', 'LK');
INSERT INTO `countries` VALUES(35240, 0, 0, 131, 'RU', 'Либерия', 'LR');
INSERT INTO `countries` VALUES(35241, 0, 0, 132, 'RU', 'Лесото', 'LS');
INSERT INTO `countries` VALUES(35242, 0, 0, 133, 'RU', 'Литва', 'LT');
INSERT INTO `countries` VALUES(35243, 0, 0, 134, 'RU', 'Люксембург', 'LU');
INSERT INTO `countries` VALUES(35244, 0, 0, 135, 'RU', 'Латвия', 'LV');
INSERT INTO `countries` VALUES(35245, 0, 0, 136, 'RU', 'Ливия', 'LY');
INSERT INTO `countries` VALUES(35246, 0, 0, 137, 'RU', 'Марокко', 'MA');
INSERT INTO `countries` VALUES(35247, 0, 0, 138, 'RU', 'Монако', 'MC');
INSERT INTO `countries` VALUES(35248, 0, 0, 139, 'RU', 'Молдавия', 'MD');
INSERT INTO `countries` VALUES(35249, 0, 0, 140, 'RU', 'Черногория', 'ME');
INSERT INTO `countries` VALUES(35250, 0, 0, 141, 'RU', 'Saint Martin (French part)', 'MF');
INSERT INTO `countries` VALUES(35251, 0, 0, 142, 'RU', 'Мадагаскар', 'MG');
INSERT INTO `countries` VALUES(35252, 0, 0, 143, 'RU', 'Маршалловы Острова', 'MH');
INSERT INTO `countries` VALUES(35253, 0, 0, 144, 'RU', 'Македония', 'MK');
INSERT INTO `countries` VALUES(35254, 0, 0, 145, 'RU', 'Мали', 'ML');
INSERT INTO `countries` VALUES(35255, 0, 0, 146, 'RU', 'Мьянма', 'MM');
INSERT INTO `countries` VALUES(35256, 0, 0, 147, 'RU', 'Монголия', 'MN');
INSERT INTO `countries` VALUES(35257, 0, 0, 148, 'RU', 'Макао', 'MO');
INSERT INTO `countries` VALUES(35258, 0, 0, 149, 'RU', 'Северные Марианские острова', 'MP');
INSERT INTO `countries` VALUES(35259, 0, 0, 150, 'RU', 'Мартиника', 'MQ');
INSERT INTO `countries` VALUES(35260, 0, 0, 151, 'RU', 'Мавритания', 'MR');
INSERT INTO `countries` VALUES(35261, 0, 0, 152, 'RU', 'Монтсеррат', 'MS');
INSERT INTO `countries` VALUES(35262, 0, 0, 153, 'RU', 'Мальта', 'MT');
INSERT INTO `countries` VALUES(35263, 0, 0, 154, 'RU', 'Маврикий', 'MU');
INSERT INTO `countries` VALUES(35264, 0, 0, 155, 'RU', 'Мальдивы', 'MV');
INSERT INTO `countries` VALUES(35265, 0, 0, 156, 'RU', 'Малави', 'MW');
INSERT INTO `countries` VALUES(35266, 0, 0, 157, 'RU', 'Мексика', 'MX');
INSERT INTO `countries` VALUES(35267, 0, 0, 158, 'RU', 'Малайзия', 'MY');
INSERT INTO `countries` VALUES(35268, 0, 0, 159, 'RU', 'Мозамбик', 'MZ');
INSERT INTO `countries` VALUES(35269, 0, 0, 160, 'RU', 'Намибия', 'NA');
INSERT INTO `countries` VALUES(35270, 0, 0, 161, 'RU', 'Новая Каледония', 'NC');
INSERT INTO `countries` VALUES(35271, 0, 0, 162, 'RU', 'Нигер', 'NE');
INSERT INTO `countries` VALUES(35272, 0, 0, 163, 'RU', 'Остров Норфолк', 'NF');
INSERT INTO `countries` VALUES(35273, 0, 0, 164, 'RU', 'Нигерия', 'NG');
INSERT INTO `countries` VALUES(35274, 0, 0, 165, 'RU', 'Никарагуа', 'NI');
INSERT INTO `countries` VALUES(35275, 0, 0, 166, 'RU', 'Нидерланды', 'NL');
INSERT INTO `countries` VALUES(35276, 0, 0, 167, 'RU', 'Норвегия', 'NO');
INSERT INTO `countries` VALUES(35277, 0, 0, 168, 'RU', 'Непал', 'NP');
INSERT INTO `countries` VALUES(35278, 0, 0, 169, 'RU', 'Науру', 'NR');
INSERT INTO `countries` VALUES(35279, 0, 0, 170, 'RU', 'Ниуэ', 'NU');
INSERT INTO `countries` VALUES(35280, 0, 0, 171, 'RU', 'Новая Зеландия', 'NZ');
INSERT INTO `countries` VALUES(35281, 0, 0, 172, 'RU', 'Оман', 'OM');
INSERT INTO `countries` VALUES(35282, 0, 0, 173, 'RU', 'Панама', 'PA');
INSERT INTO `countries` VALUES(35283, 0, 0, 174, 'RU', 'Перу', 'PE');
INSERT INTO `countries` VALUES(35284, 0, 0, 175, 'RU', 'Французская Полинезия', 'PF');
INSERT INTO `countries` VALUES(35285, 0, 0, 176, 'RU', 'Папуа — Новая Гвинея', 'PG');
INSERT INTO `countries` VALUES(35286, 0, 0, 177, 'RU', 'Филиппины', 'PH');
INSERT INTO `countries` VALUES(35287, 0, 0, 178, 'RU', 'Пакистан', 'PK');
INSERT INTO `countries` VALUES(35288, 0, 0, 179, 'RU', 'Польша', 'PL');
INSERT INTO `countries` VALUES(35289, 0, 0, 180, 'RU', 'Сен-Пьер и Микелон', 'PM');
INSERT INTO `countries` VALUES(35290, 0, 0, 181, 'RU', 'Острова Питкэрн', 'PN');
INSERT INTO `countries` VALUES(35291, 0, 0, 182, 'RU', 'Пуэрто-Рико', 'PR');
INSERT INTO `countries` VALUES(35292, 0, 0, 183, 'RU', 'Палестина', 'PS');
INSERT INTO `countries` VALUES(35293, 0, 0, 184, 'RU', 'Португалия', 'PT');
INSERT INTO `countries` VALUES(35294, 0, 0, 185, 'RU', 'Палау', 'PW');
INSERT INTO `countries` VALUES(35295, 0, 0, 186, 'RU', 'Парагвай', 'PY');
INSERT INTO `countries` VALUES(35296, 0, 0, 187, 'RU', 'Катар', 'QA');
INSERT INTO `countries` VALUES(35297, 0, 0, 188, 'RU', 'Реюньон', 'RE');
INSERT INTO `countries` VALUES(35298, 0, 0, 189, 'RU', 'Румыния', 'RO');
INSERT INTO `countries` VALUES(35299, 0, 0, 190, 'RU', 'Сербия', 'RS');
INSERT INTO `countries` VALUES(35300, 0, 0, 191, 'RU', 'Россия', 'RU');
INSERT INTO `countries` VALUES(35301, 0, 0, 192, 'RU', 'Руанда', 'RW');
INSERT INTO `countries` VALUES(35302, 0, 0, 193, 'RU', 'Саудовская Аравия', 'SA');
INSERT INTO `countries` VALUES(35303, 0, 0, 194, 'RU', 'Соломоновы Острова', 'SB');
INSERT INTO `countries` VALUES(35304, 0, 0, 195, 'RU', 'Сейшельские Острова', 'SC');
INSERT INTO `countries` VALUES(35305, 0, 0, 196, 'RU', 'Судан', 'SD');
INSERT INTO `countries` VALUES(35306, 0, 0, 197, 'RU', 'Швеция', 'SE');
INSERT INTO `countries` VALUES(35307, 0, 0, 198, 'RU', 'Сингапур', 'SG');
INSERT INTO `countries` VALUES(35308, 0, 0, 199, 'RU', 'Острова Святой Елены, Вознесения и Тристан-да-Кунья', 'SH');
INSERT INTO `countries` VALUES(35309, 0, 0, 200, 'RU', 'Словения', 'SI');
INSERT INTO `countries` VALUES(35310, 0, 0, 201, 'RU', 'Шпицберген и Ян-Майен', 'SJ');
INSERT INTO `countries` VALUES(35311, 0, 0, 202, 'RU', 'Словакия', 'SK');
INSERT INTO `countries` VALUES(35312, 0, 0, 203, 'RU', 'Сьерра-Леоне', 'SL');
INSERT INTO `countries` VALUES(35313, 0, 0, 204, 'RU', 'Сан-Марино', 'SM');
INSERT INTO `countries` VALUES(35314, 0, 0, 205, 'RU', 'Сенегал', 'SN');
INSERT INTO `countries` VALUES(35315, 0, 0, 206, 'RU', 'Сомали', 'SO');
INSERT INTO `countries` VALUES(35316, 0, 0, 207, 'RU', 'Суринам', 'SR');
INSERT INTO `countries` VALUES(35317, 0, 0, 208, 'RU', 'South Sudan', 'SS');
INSERT INTO `countries` VALUES(35318, 0, 0, 209, 'RU', 'Сан-Томе и Принсипи', 'ST');
INSERT INTO `countries` VALUES(35319, 0, 0, 210, 'RU', 'Сальвадор', 'SV');
INSERT INTO `countries` VALUES(35320, 0, 0, 211, 'RU', 'Sint Maarten (Dutch part)', 'SX');
INSERT INTO `countries` VALUES(35321, 0, 0, 212, 'RU', 'Сирия', 'SY');
INSERT INTO `countries` VALUES(35322, 0, 0, 213, 'RU', 'Свазиленд', 'SZ');
INSERT INTO `countries` VALUES(35323, 0, 0, 214, 'RU', 'Тёркс и Кайкос', 'TC');
INSERT INTO `countries` VALUES(35324, 0, 0, 215, 'RU', 'Чад', 'TD');
INSERT INTO `countries` VALUES(35325, 0, 0, 216, 'RU', 'Французские Южные и Антарктические Территории', 'TF');
INSERT INTO `countries` VALUES(35326, 0, 0, 217, 'RU', 'Того', 'TG');
INSERT INTO `countries` VALUES(35327, 0, 0, 218, 'RU', 'Таиланд', 'TH');
INSERT INTO `countries` VALUES(35328, 0, 0, 219, 'RU', 'Таджикистан', 'TJ');
INSERT INTO `countries` VALUES(35329, 0, 0, 220, 'RU', 'Токелау', 'TK');
INSERT INTO `countries` VALUES(35330, 0, 0, 221, 'RU', 'Восточный Тимор', 'TL');
INSERT INTO `countries` VALUES(35331, 0, 0, 222, 'RU', 'Туркмения', 'TM');
INSERT INTO `countries` VALUES(35332, 0, 0, 223, 'RU', 'Тунис', 'TN');
INSERT INTO `countries` VALUES(35333, 0, 0, 224, 'RU', 'Тонга', 'TO');
INSERT INTO `countries` VALUES(35334, 0, 0, 225, 'RU', 'Турция', 'TR');
INSERT INTO `countries` VALUES(35335, 0, 0, 226, 'RU', 'Тринидад и Тобаго', 'TT');
INSERT INTO `countries` VALUES(35336, 0, 0, 227, 'RU', 'Тувалу', 'TV');
INSERT INTO `countries` VALUES(35337, 0, 0, 228, 'RU', 'Китайская Республика', 'TW');
INSERT INTO `countries` VALUES(35338, 0, 0, 229, 'RU', 'Танзания', 'TZ');
INSERT INTO `countries` VALUES(35339, 0, 0, 230, 'RU', 'Украина', 'UA');
INSERT INTO `countries` VALUES(35340, 0, 0, 231, 'RU', 'Уганда', 'UG');
INSERT INTO `countries` VALUES(35341, 0, 0, 232, 'RU', 'Внешние малые острова (США)', 'UM');
INSERT INTO `countries` VALUES(35342, 0, 0, 233, 'RU', 'США', 'US');
INSERT INTO `countries` VALUES(35343, 0, 0, 234, 'RU', 'Уругвай', 'UY');
INSERT INTO `countries` VALUES(35344, 0, 0, 235, 'RU', 'Узбекистан', 'UZ');
INSERT INTO `countries` VALUES(35345, 0, 0, 236, 'RU', 'Ватикан', 'VA');
INSERT INTO `countries` VALUES(35346, 0, 0, 237, 'RU', 'Сент-Винсент и Гренадины', 'VC');
INSERT INTO `countries` VALUES(35347, 0, 0, 238, 'RU', 'Венесуэла', 'VE');
INSERT INTO `countries` VALUES(35348, 0, 0, 239, 'RU', 'Британские Виргинские острова', 'VG');
INSERT INTO `countries` VALUES(35349, 0, 0, 240, 'RU', 'Американские Виргинские острова', 'VI');
INSERT INTO `countries` VALUES(35350, 0, 0, 241, 'RU', 'Вьетнам', 'VN');
INSERT INTO `countries` VALUES(35351, 0, 0, 242, 'RU', 'Вануату', 'VU');
INSERT INTO `countries` VALUES(35352, 0, 0, 243, 'RU', 'Уоллис и Футуна', 'WF');
INSERT INTO `countries` VALUES(35353, 0, 0, 244, 'RU', 'Самоа', 'WS');
INSERT INTO `countries` VALUES(35354, 0, 0, 245, 'RU', 'Йемен', 'YE');
INSERT INTO `countries` VALUES(35355, 0, 0, 246, 'RU', 'Майотта', 'YT');
INSERT INTO `countries` VALUES(35356, 0, 0, 247, 'RU', 'ЮАР', 'ZA');
INSERT INTO `countries` VALUES(35357, 0, 0, 248, 'RU', 'Замбия', 'ZM');
INSERT INTO `countries` VALUES(35358, 0, 0, 249, 'RU', 'Зимбабве', 'ZW');
INSERT INTO `countries` VALUES(37102, 0, 0, 1, 'SK', 'Andorra', 'AD');
INSERT INTO `countries` VALUES(37103, 0, 0, 2, 'SK', 'Spojené arabské emiráty', 'AE');
INSERT INTO `countries` VALUES(37104, 0, 0, 3, 'SK', 'Afganistan', 'AF');
INSERT INTO `countries` VALUES(37105, 0, 0, 4, 'SK', 'Antigua a Barbuda', 'AG');
INSERT INTO `countries` VALUES(37106, 0, 0, 5, 'SK', 'Anguilla', 'AI');
INSERT INTO `countries` VALUES(37107, 0, 0, 6, 'SK', 'Albánsko', 'AL');
INSERT INTO `countries` VALUES(37108, 0, 0, 7, 'SK', 'Arménsko', 'AM');
INSERT INTO `countries` VALUES(37109, 0, 0, 8, 'SK', 'Angola', 'AO');
INSERT INTO `countries` VALUES(37110, 0, 0, 9, 'SK', 'Antarktída', 'AQ');
INSERT INTO `countries` VALUES(37111, 0, 0, 10, 'SK', 'Argentína', 'AR');
INSERT INTO `countries` VALUES(37112, 0, 0, 11, 'SK', 'Americká Samoa', 'AS');
INSERT INTO `countries` VALUES(37113, 0, 0, 12, 'SK', 'Rakúsko', 'AT');
INSERT INTO `countries` VALUES(37114, 0, 0, 13, 'SK', 'Austrália', 'AU');
INSERT INTO `countries` VALUES(37115, 0, 0, 14, 'SK', 'Aruba', 'AW');
INSERT INTO `countries` VALUES(37116, 0, 0, 15, 'SK', 'Alandy', 'AX');
INSERT INTO `countries` VALUES(37117, 0, 0, 16, 'SK', 'Azerbajdžan', 'AZ');
INSERT INTO `countries` VALUES(37118, 0, 0, 17, 'SK', 'Bosna a Hercegovina', 'BA');
INSERT INTO `countries` VALUES(37119, 0, 0, 18, 'SK', 'Barbados', 'BB');
INSERT INTO `countries` VALUES(37120, 0, 0, 19, 'SK', 'Bangladéš', 'BD');
INSERT INTO `countries` VALUES(37121, 0, 0, 20, 'SK', 'Belgicko', 'BE');
INSERT INTO `countries` VALUES(37122, 0, 0, 21, 'SK', 'Burkina', 'BF');
INSERT INTO `countries` VALUES(37123, 0, 0, 22, 'SK', 'Bulharsko', 'BG');
INSERT INTO `countries` VALUES(37124, 0, 0, 23, 'SK', 'Bahrajn', 'BH');
INSERT INTO `countries` VALUES(37125, 0, 0, 24, 'SK', 'Burundi', 'BI');
INSERT INTO `countries` VALUES(37126, 0, 0, 25, 'SK', 'Benin', 'BJ');
INSERT INTO `countries` VALUES(37127, 0, 0, 26, 'SK', 'Svätý Bartolomej', 'BL');
INSERT INTO `countries` VALUES(37128, 0, 0, 27, 'SK', 'Bermudy', 'BM');
INSERT INTO `countries` VALUES(37129, 0, 0, 28, 'SK', 'Brunej', 'BN');
INSERT INTO `countries` VALUES(37130, 0, 0, 29, 'SK', 'Bolívia', 'BO');
INSERT INTO `countries` VALUES(37131, 0, 0, 30, 'SK', 'Bonaire, Sint Eustatius and Saba', 'BQ');
INSERT INTO `countries` VALUES(37132, 0, 0, 31, 'SK', 'Brazília', 'BR');
INSERT INTO `countries` VALUES(37133, 0, 0, 32, 'SK', 'Bahamy', 'BS');
INSERT INTO `countries` VALUES(37134, 0, 0, 33, 'SK', 'Bhután', 'BT');
INSERT INTO `countries` VALUES(37135, 0, 0, 34, 'SK', 'Bouvetov ostrov', 'BV');
INSERT INTO `countries` VALUES(37136, 0, 0, 35, 'SK', 'Botswana', 'BW');
INSERT INTO `countries` VALUES(37137, 0, 0, 36, 'SK', 'Bielorusko', 'BY');
INSERT INTO `countries` VALUES(37138, 0, 0, 37, 'SK', 'Belize', 'BZ');
INSERT INTO `countries` VALUES(37139, 0, 0, 38, 'SK', 'Kanada', 'CA');
INSERT INTO `countries` VALUES(37140, 0, 0, 39, 'SK', 'Kokosové ostrovy', 'CC');
INSERT INTO `countries` VALUES(37141, 0, 0, 40, 'SK', 'Konžská demokratická republika', 'CD');
INSERT INTO `countries` VALUES(37142, 0, 0, 41, 'SK', 'Stredoafrická republika', 'CF');
INSERT INTO `countries` VALUES(37143, 0, 0, 42, 'SK', 'Kongo', 'CG');
INSERT INTO `countries` VALUES(37144, 0, 0, 43, 'SK', 'Švajčiarsko', 'CH');
INSERT INTO `countries` VALUES(37145, 0, 0, 44, 'SK', 'Pobrežie Slonoviny', 'CI');
INSERT INTO `countries` VALUES(37146, 0, 0, 45, 'SK', 'Cookove ostrovy', 'CK');
INSERT INTO `countries` VALUES(37147, 0, 0, 46, 'SK', 'Čile', 'CL');
INSERT INTO `countries` VALUES(37148, 0, 0, 47, 'SK', 'Kamerun', 'CM');
INSERT INTO `countries` VALUES(37149, 0, 0, 48, 'SK', 'Čína', 'CN');
INSERT INTO `countries` VALUES(37150, 0, 0, 49, 'SK', 'Kolumbia', 'CO');
INSERT INTO `countries` VALUES(37151, 0, 0, 50, 'SK', 'Kostarika', 'CR');
INSERT INTO `countries` VALUES(37152, 0, 0, 51, 'SK', 'Kuba', 'CU');
INSERT INTO `countries` VALUES(37153, 0, 0, 52, 'SK', 'Kapverdy', 'CV');
INSERT INTO `countries` VALUES(37154, 0, 0, 53, 'SK', 'Curaçao', 'CW');
INSERT INTO `countries` VALUES(37155, 0, 0, 54, 'SK', 'Vianočný ostrov', 'CX');
INSERT INTO `countries` VALUES(37156, 0, 0, 55, 'SK', 'Cyprus', 'CY');
INSERT INTO `countries` VALUES(37157, 0, 0, 56, 'SK', 'Česko', 'CZ');
INSERT INTO `countries` VALUES(37158, 0, 0, 57, 'SK', 'Nemecko', 'DE');
INSERT INTO `countries` VALUES(37159, 0, 0, 58, 'SK', 'Džibutsko', 'DJ');
INSERT INTO `countries` VALUES(37160, 0, 0, 59, 'SK', 'Dánsko', 'DK');
INSERT INTO `countries` VALUES(37161, 0, 0, 60, 'SK', 'Dominika', 'DM');
INSERT INTO `countries` VALUES(37162, 0, 0, 61, 'SK', 'Dominikánska republika', 'DO');
INSERT INTO `countries` VALUES(37163, 0, 0, 62, 'SK', 'Alžírsko', 'DZ');
INSERT INTO `countries` VALUES(37164, 0, 0, 63, 'SK', 'Ekvádor', 'EC');
INSERT INTO `countries` VALUES(37165, 0, 0, 64, 'SK', 'Estónsko', 'EE');
INSERT INTO `countries` VALUES(37166, 0, 0, 65, 'SK', 'Egypt', 'EG');
INSERT INTO `countries` VALUES(37167, 0, 0, 66, 'SK', 'Západná Sahara', 'EH');
INSERT INTO `countries` VALUES(37168, 0, 0, 67, 'SK', 'Eritrea', 'ER');
INSERT INTO `countries` VALUES(37169, 0, 0, 68, 'SK', 'Španielsko', 'ES');
INSERT INTO `countries` VALUES(37170, 0, 0, 69, 'SK', 'Etiópia', 'ET');
INSERT INTO `countries` VALUES(37171, 0, 0, 70, 'SK', 'Fínsko', 'FI');
INSERT INTO `countries` VALUES(37172, 0, 0, 71, 'SK', 'Fidži', 'FJ');
INSERT INTO `countries` VALUES(37173, 0, 0, 72, 'SK', 'Falklandy', 'FK');
INSERT INTO `countries` VALUES(37174, 0, 0, 73, 'SK', 'Mikronézia', 'FM');
INSERT INTO `countries` VALUES(37175, 0, 0, 74, 'SK', 'Faerské ostrovy', 'FO');
INSERT INTO `countries` VALUES(37176, 0, 0, 75, 'SK', 'Francúzsko', 'FR');
INSERT INTO `countries` VALUES(37177, 0, 0, 76, 'SK', 'Gabon', 'GA');
INSERT INTO `countries` VALUES(37178, 0, 0, 77, 'SK', 'Spojené kráľovstvo', 'GB');
INSERT INTO `countries` VALUES(37179, 0, 0, 78, 'SK', 'Grenada', 'GD');
INSERT INTO `countries` VALUES(37180, 0, 0, 79, 'SK', 'Gruzínsko', 'GE');
INSERT INTO `countries` VALUES(37181, 0, 0, 80, 'SK', 'Francúzska Guyana', 'GF');
INSERT INTO `countries` VALUES(37182, 0, 0, 81, 'SK', 'Guernsey', 'GG');
INSERT INTO `countries` VALUES(37183, 0, 0, 82, 'SK', 'Ghana', 'GH');
INSERT INTO `countries` VALUES(37184, 0, 0, 83, 'SK', 'Gibraltár', 'GI');
INSERT INTO `countries` VALUES(37185, 0, 0, 84, 'SK', 'Grónsko', 'GL');
INSERT INTO `countries` VALUES(37186, 0, 0, 85, 'SK', 'Gambia', 'GM');
INSERT INTO `countries` VALUES(37187, 0, 0, 86, 'SK', 'Guinea', 'GN');
INSERT INTO `countries` VALUES(37188, 0, 0, 87, 'SK', 'Guadeloupe', 'GP');
INSERT INTO `countries` VALUES(37189, 0, 0, 88, 'SK', 'Rovníková Guinea', 'GQ');
INSERT INTO `countries` VALUES(37190, 0, 0, 89, 'SK', 'Grécko', 'GR');
INSERT INTO `countries` VALUES(37191, 0, 0, 90, 'SK', 'Južná Georgia a Južné Sandwichove ostrovy', 'GS');
INSERT INTO `countries` VALUES(37192, 0, 0, 91, 'SK', 'Guatemala', 'GT');
INSERT INTO `countries` VALUES(37193, 0, 0, 92, 'SK', 'Guam', 'GU');
INSERT INTO `countries` VALUES(37194, 0, 0, 93, 'SK', 'Guinea-Bissau', 'GW');
INSERT INTO `countries` VALUES(37195, 0, 0, 94, 'SK', 'Guyana', 'GY');
INSERT INTO `countries` VALUES(37196, 0, 0, 95, 'SK', 'Hongkong', 'HK');
INSERT INTO `countries` VALUES(37197, 0, 0, 96, 'SK', 'Heardov ostrov', 'HM');
INSERT INTO `countries` VALUES(37198, 0, 0, 97, 'SK', 'Honduras', 'HN');
INSERT INTO `countries` VALUES(37199, 0, 0, 98, 'SK', 'Chorvátsko', 'HR');
INSERT INTO `countries` VALUES(37200, 0, 0, 99, 'SK', 'Haiti', 'HT');
INSERT INTO `countries` VALUES(37201, 0, 0, 100, 'SK', 'Maďarsko', 'HU');
INSERT INTO `countries` VALUES(37202, 0, 0, 101, 'SK', 'Indonézia', 'ID');
INSERT INTO `countries` VALUES(37203, 0, 0, 102, 'SK', 'Írsko', 'IE');
INSERT INTO `countries` VALUES(37204, 0, 0, 103, 'SK', 'Izrael', 'IL');
INSERT INTO `countries` VALUES(37205, 0, 0, 104, 'SK', 'Ostrov Man', 'IM');
INSERT INTO `countries` VALUES(37206, 0, 0, 105, 'SK', 'India', 'IN');
INSERT INTO `countries` VALUES(37207, 0, 0, 106, 'SK', 'Britské indickooceánske územie', 'IO');
INSERT INTO `countries` VALUES(37208, 0, 0, 107, 'SK', 'Irak', 'IQ');
INSERT INTO `countries` VALUES(37209, 0, 0, 108, 'SK', 'Irán', 'IR');
INSERT INTO `countries` VALUES(37210, 0, 0, 109, 'SK', 'Island', 'IS');
INSERT INTO `countries` VALUES(37211, 0, 0, 110, 'SK', 'Taliansko', 'IT');
INSERT INTO `countries` VALUES(37212, 0, 0, 111, 'SK', 'Jersey', 'JE');
INSERT INTO `countries` VALUES(37213, 0, 0, 112, 'SK', 'Jamajka', 'JM');
INSERT INTO `countries` VALUES(37214, 0, 0, 113, 'SK', 'Jordánsko', 'JO');
INSERT INTO `countries` VALUES(37215, 0, 0, 114, 'SK', 'Japonsko', 'JP');
INSERT INTO `countries` VALUES(37216, 0, 0, 115, 'SK', 'Keňa', 'KE');
INSERT INTO `countries` VALUES(37217, 0, 0, 116, 'SK', 'Kirgizsko', 'KG');
INSERT INTO `countries` VALUES(37218, 0, 0, 117, 'SK', 'Kambodža', 'KH');
INSERT INTO `countries` VALUES(37219, 0, 0, 118, 'SK', 'Kiribati', 'KI');
INSERT INTO `countries` VALUES(37220, 0, 0, 119, 'SK', 'Komory', 'KM');
INSERT INTO `countries` VALUES(37221, 0, 0, 120, 'SK', 'Svätý Krištof a Nevis', 'KN');
INSERT INTO `countries` VALUES(37222, 0, 0, 121, 'SK', 'Kórejská ľudovodemokratická republika', 'KP');
INSERT INTO `countries` VALUES(37223, 0, 0, 122, 'SK', 'Kórejská republika', 'KR');
INSERT INTO `countries` VALUES(37224, 0, 0, 123, 'SK', 'Kuvajt', 'KW');
INSERT INTO `countries` VALUES(37225, 0, 0, 124, 'SK', 'Kajmanie ostrovy', 'KY');
INSERT INTO `countries` VALUES(37226, 0, 0, 125, 'SK', 'Kazachstan', 'KZ');
INSERT INTO `countries` VALUES(37227, 0, 0, 126, 'SK', 'Laos', 'LA');
INSERT INTO `countries` VALUES(37228, 0, 0, 127, 'SK', 'Libanon', 'LB');
INSERT INTO `countries` VALUES(37229, 0, 0, 128, 'SK', 'Svätá Lucia', 'LC');
INSERT INTO `countries` VALUES(37230, 0, 0, 129, 'SK', 'Lichtenštajnsko', 'LI');
INSERT INTO `countries` VALUES(37231, 0, 0, 130, 'SK', 'Srí Lanka', 'LK');
INSERT INTO `countries` VALUES(37232, 0, 0, 131, 'SK', 'Libéria', 'LR');
INSERT INTO `countries` VALUES(37233, 0, 0, 132, 'SK', 'Lesotho', 'LS');
INSERT INTO `countries` VALUES(37234, 0, 0, 133, 'SK', 'Litva', 'LT');
INSERT INTO `countries` VALUES(37235, 0, 0, 134, 'SK', 'Luxembursko', 'LU');
INSERT INTO `countries` VALUES(37236, 0, 0, 135, 'SK', 'Lotyšsko', 'LV');
INSERT INTO `countries` VALUES(37237, 0, 0, 136, 'SK', 'Líbya', 'LY');
INSERT INTO `countries` VALUES(37238, 0, 0, 137, 'SK', 'Maroko', 'MA');
INSERT INTO `countries` VALUES(37239, 0, 0, 138, 'SK', 'Monako', 'MC');
INSERT INTO `countries` VALUES(37240, 0, 0, 139, 'SK', 'Moldavsko', 'MD');
INSERT INTO `countries` VALUES(37241, 0, 0, 140, 'SK', 'Čierna Hora', 'ME');
INSERT INTO `countries` VALUES(37242, 0, 0, 141, 'SK', 'Saint Martin (French part)', 'MF');
INSERT INTO `countries` VALUES(37243, 0, 0, 142, 'SK', 'Madagaskar', 'MG');
INSERT INTO `countries` VALUES(37244, 0, 0, 143, 'SK', 'Marshallove ostrovy', 'MH');
INSERT INTO `countries` VALUES(37245, 0, 0, 144, 'SK', 'Macedónsko', 'MK');
INSERT INTO `countries` VALUES(37246, 0, 0, 145, 'SK', 'Mali', 'ML');
INSERT INTO `countries` VALUES(37247, 0, 0, 146, 'SK', 'Mjanmarsko', 'MM');
INSERT INTO `countries` VALUES(37248, 0, 0, 147, 'SK', 'Mongolsko', 'MN');
INSERT INTO `countries` VALUES(37249, 0, 0, 148, 'SK', 'Macao', 'MO');
INSERT INTO `countries` VALUES(37250, 0, 0, 149, 'SK', 'Severné Mariány', 'MP');
INSERT INTO `countries` VALUES(37251, 0, 0, 150, 'SK', 'Martinik', 'MQ');
INSERT INTO `countries` VALUES(37252, 0, 0, 151, 'SK', 'Mauritánia', 'MR');
INSERT INTO `countries` VALUES(37253, 0, 0, 152, 'SK', 'Montserrat', 'MS');
INSERT INTO `countries` VALUES(37254, 0, 0, 153, 'SK', 'Malta', 'MT');
INSERT INTO `countries` VALUES(37255, 0, 0, 154, 'SK', 'Maurícius', 'MU');
INSERT INTO `countries` VALUES(37256, 0, 0, 155, 'SK', 'Maldivy', 'MV');
INSERT INTO `countries` VALUES(37257, 0, 0, 156, 'SK', 'Malawi', 'MW');
INSERT INTO `countries` VALUES(37258, 0, 0, 157, 'SK', 'Mexiko', 'MX');
INSERT INTO `countries` VALUES(37259, 0, 0, 158, 'SK', 'Malajzia', 'MY');
INSERT INTO `countries` VALUES(37260, 0, 0, 159, 'SK', 'Mozambik', 'MZ');
INSERT INTO `countries` VALUES(37261, 0, 0, 160, 'SK', 'Namíbia', 'NA');
INSERT INTO `countries` VALUES(37262, 0, 0, 161, 'SK', 'Nová Kaledónia', 'NC');
INSERT INTO `countries` VALUES(37263, 0, 0, 162, 'SK', 'Niger', 'NE');
INSERT INTO `countries` VALUES(37264, 0, 0, 163, 'SK', 'Norfolk', 'NF');
INSERT INTO `countries` VALUES(37265, 0, 0, 164, 'SK', 'Nigéria', 'NG');
INSERT INTO `countries` VALUES(37266, 0, 0, 165, 'SK', 'Nikaragua', 'NI');
INSERT INTO `countries` VALUES(37267, 0, 0, 166, 'SK', 'Holandsko', 'NL');
INSERT INTO `countries` VALUES(37268, 0, 0, 167, 'SK', 'Nórsko', 'NO');
INSERT INTO `countries` VALUES(37269, 0, 0, 168, 'SK', 'Nepál', 'NP');
INSERT INTO `countries` VALUES(37270, 0, 0, 169, 'SK', 'Nauru', 'NR');
INSERT INTO `countries` VALUES(37271, 0, 0, 170, 'SK', 'Niue', 'NU');
INSERT INTO `countries` VALUES(37272, 0, 0, 171, 'SK', 'Nový Zéland', 'NZ');
INSERT INTO `countries` VALUES(37273, 0, 0, 172, 'SK', 'Omán', 'OM');
INSERT INTO `countries` VALUES(37274, 0, 0, 173, 'SK', 'Panama', 'PA');
INSERT INTO `countries` VALUES(37275, 0, 0, 174, 'SK', 'Peru', 'PE');
INSERT INTO `countries` VALUES(37276, 0, 0, 175, 'SK', 'Francúzska Polynézia', 'PF');
INSERT INTO `countries` VALUES(37277, 0, 0, 176, 'SK', 'Papua-Nová Guinea', 'PG');
INSERT INTO `countries` VALUES(37278, 0, 0, 177, 'SK', 'Filipíny', 'PH');
INSERT INTO `countries` VALUES(37279, 0, 0, 178, 'SK', 'Pakistan', 'PK');
INSERT INTO `countries` VALUES(37280, 0, 0, 179, 'SK', 'Poľsko', 'PL');
INSERT INTO `countries` VALUES(37281, 0, 0, 180, 'SK', 'Svätý Peter a Michal', 'PM');
INSERT INTO `countries` VALUES(37282, 0, 0, 181, 'SK', 'Pitcairnove ostrovy', 'PN');
INSERT INTO `countries` VALUES(37283, 0, 0, 182, 'SK', 'Portoriko', 'PR');
INSERT INTO `countries` VALUES(37284, 0, 0, 183, 'SK', 'Palestína', 'PS');
INSERT INTO `countries` VALUES(37285, 0, 0, 184, 'SK', 'Portugalsko', 'PT');
INSERT INTO `countries` VALUES(37286, 0, 0, 185, 'SK', 'Palau', 'PW');
INSERT INTO `countries` VALUES(37287, 0, 0, 186, 'SK', 'Paraguaj', 'PY');
INSERT INTO `countries` VALUES(37288, 0, 0, 187, 'SK', 'Katar', 'QA');
INSERT INTO `countries` VALUES(37289, 0, 0, 188, 'SK', 'Réunion', 'RE');
INSERT INTO `countries` VALUES(37290, 0, 0, 189, 'SK', 'Rumunsko', 'RO');
INSERT INTO `countries` VALUES(37291, 0, 0, 190, 'SK', 'Srbsko', 'RS');
INSERT INTO `countries` VALUES(37292, 0, 0, 191, 'SK', 'Rusko', 'RU');
INSERT INTO `countries` VALUES(37293, 0, 0, 192, 'SK', 'Rwanda', 'RW');
INSERT INTO `countries` VALUES(37294, 0, 0, 193, 'SK', 'Saudská Arábia', 'SA');
INSERT INTO `countries` VALUES(37295, 0, 0, 194, 'SK', 'Šalamúnove ostrovy', 'SB');
INSERT INTO `countries` VALUES(37296, 0, 0, 195, 'SK', 'Seychely', 'SC');
INSERT INTO `countries` VALUES(37297, 0, 0, 196, 'SK', 'Sudán', 'SD');
INSERT INTO `countries` VALUES(37298, 0, 0, 197, 'SK', 'Švédsko', 'SE');
INSERT INTO `countries` VALUES(37299, 0, 0, 198, 'SK', 'Singapur', 'SG');
INSERT INTO `countries` VALUES(37300, 0, 0, 199, 'SK', 'Svätá Helena', 'SH');
INSERT INTO `countries` VALUES(37301, 0, 0, 200, 'SK', 'Slovinsko', 'SI');
INSERT INTO `countries` VALUES(37302, 0, 0, 201, 'SK', 'Špicbergy a Jan Mayen', 'SJ');
INSERT INTO `countries` VALUES(37303, 0, 0, 202, 'SK', 'Slovensko', 'SK');
INSERT INTO `countries` VALUES(37304, 0, 0, 203, 'SK', 'Sierra Leone', 'SL');
INSERT INTO `countries` VALUES(37305, 0, 0, 204, 'SK', 'San Maríno', 'SM');
INSERT INTO `countries` VALUES(37306, 0, 0, 205, 'SK', 'Senegal', 'SN');
INSERT INTO `countries` VALUES(37307, 0, 0, 206, 'SK', 'Somálsko', 'SO');
INSERT INTO `countries` VALUES(37308, 0, 0, 207, 'SK', 'Surinam', 'SR');
INSERT INTO `countries` VALUES(37309, 0, 0, 208, 'SK', 'South Sudan', 'SS');
INSERT INTO `countries` VALUES(37310, 0, 0, 209, 'SK', 'Svätý Tomáš a Princov ostrov', 'ST');
INSERT INTO `countries` VALUES(37311, 0, 0, 210, 'SK', 'Salvádor', 'SV');
INSERT INTO `countries` VALUES(37312, 0, 0, 211, 'SK', 'Sint Maarten (Dutch part)', 'SX');
INSERT INTO `countries` VALUES(37313, 0, 0, 212, 'SK', 'Sýria', 'SY');
INSERT INTO `countries` VALUES(37314, 0, 0, 213, 'SK', 'Svazijsko', 'SZ');
INSERT INTO `countries` VALUES(37315, 0, 0, 214, 'SK', 'Turks a Caicos', 'TC');
INSERT INTO `countries` VALUES(37316, 0, 0, 215, 'SK', 'Čad', 'TD');
INSERT INTO `countries` VALUES(37317, 0, 0, 216, 'SK', 'Francúzske južné územia', 'TF');
INSERT INTO `countries` VALUES(37318, 0, 0, 217, 'SK', 'Togo', 'TG');
INSERT INTO `countries` VALUES(37319, 0, 0, 218, 'SK', 'Thajsko', 'TH');
INSERT INTO `countries` VALUES(37320, 0, 0, 219, 'SK', 'Tadžikistan', 'TJ');
INSERT INTO `countries` VALUES(37321, 0, 0, 220, 'SK', 'Tokelau', 'TK');
INSERT INTO `countries` VALUES(37322, 0, 0, 221, 'SK', 'Východný Timor', 'TL');
INSERT INTO `countries` VALUES(37323, 0, 0, 222, 'SK', 'Turkménsko', 'TM');
INSERT INTO `countries` VALUES(37324, 0, 0, 223, 'SK', 'Tunisko', 'TN');
INSERT INTO `countries` VALUES(37325, 0, 0, 224, 'SK', 'Tonga', 'TO');
INSERT INTO `countries` VALUES(37326, 0, 0, 225, 'SK', 'Turecko', 'TR');
INSERT INTO `countries` VALUES(37327, 0, 0, 226, 'SK', 'Trinidad a Tobago', 'TT');
INSERT INTO `countries` VALUES(37328, 0, 0, 227, 'SK', 'Tuvalu', 'TV');
INSERT INTO `countries` VALUES(37329, 0, 0, 228, 'SK', 'Taiwan', 'TW');
INSERT INTO `countries` VALUES(37330, 0, 0, 229, 'SK', 'Tanzánia', 'TZ');
INSERT INTO `countries` VALUES(37331, 0, 0, 230, 'SK', 'Ukrajina', 'UA');
INSERT INTO `countries` VALUES(37332, 0, 0, 231, 'SK', 'Uganda', 'UG');
INSERT INTO `countries` VALUES(37333, 0, 0, 232, 'SK', 'Menšie odľahlé ostrovy USA', 'UM');
INSERT INTO `countries` VALUES(37334, 0, 0, 233, 'SK', 'Spojené štáty', 'US');
INSERT INTO `countries` VALUES(37335, 0, 0, 234, 'SK', 'Uruguaj', 'UY');
INSERT INTO `countries` VALUES(37336, 0, 0, 235, 'SK', 'Uzbekistan', 'UZ');
INSERT INTO `countries` VALUES(37337, 0, 0, 236, 'SK', 'Vatikán', 'VA');
INSERT INTO `countries` VALUES(37338, 0, 0, 237, 'SK', 'Svätý Vincent a Grenadíny', 'VC');
INSERT INTO `countries` VALUES(37339, 0, 0, 238, 'SK', 'Venezuela', 'VE');
INSERT INTO `countries` VALUES(37340, 0, 0, 239, 'SK', 'Britské Panenské ostrovy', 'VG');
INSERT INTO `countries` VALUES(37341, 0, 0, 240, 'SK', 'Americké Panenské ostrovy', 'VI');
INSERT INTO `countries` VALUES(37342, 0, 0, 241, 'SK', 'Vietnam', 'VN');
INSERT INTO `countries` VALUES(37343, 0, 0, 242, 'SK', 'Vanuatu', 'VU');
INSERT INTO `countries` VALUES(37344, 0, 0, 243, 'SK', 'Wallis a Futuna', 'WF');
INSERT INTO `countries` VALUES(37345, 0, 0, 244, 'SK', 'Samoa', 'WS');
INSERT INTO `countries` VALUES(37346, 0, 0, 245, 'SK', 'Jemen', 'YE');
INSERT INTO `countries` VALUES(37347, 0, 0, 246, 'SK', 'Mayotte', 'YT');
INSERT INTO `countries` VALUES(37348, 0, 0, 247, 'SK', 'Južná Afrika', 'ZA');
INSERT INTO `countries` VALUES(37349, 0, 0, 248, 'SK', 'Zambia', 'ZM');
INSERT INTO `countries` VALUES(37350, 0, 0, 249, 'SK', 'Zimbabwe', 'ZW');
INSERT INTO `countries` VALUES(47311, 0, 0, 1, 'ZH', '安道尔', 'AD');
INSERT INTO `countries` VALUES(47312, 0, 0, 2, 'ZH', '阿联酋', 'AE');
INSERT INTO `countries` VALUES(47313, 0, 0, 3, 'ZH', '阿富汗', 'AF');
INSERT INTO `countries` VALUES(47314, 0, 0, 4, 'ZH', '安提瓜和巴布达', 'AG');
INSERT INTO `countries` VALUES(47315, 0, 0, 5, 'ZH', '安圭拉', 'AI');
INSERT INTO `countries` VALUES(47316, 0, 0, 6, 'ZH', '阿尔巴尼亚', 'AL');
INSERT INTO `countries` VALUES(47317, 0, 0, 7, 'ZH', '亚美尼亚', 'AM');
INSERT INTO `countries` VALUES(47318, 0, 0, 8, 'ZH', '安哥拉', 'AO');
INSERT INTO `countries` VALUES(47319, 0, 0, 9, 'ZH', '南极洲', 'AQ');
INSERT INTO `countries` VALUES(47320, 0, 0, 10, 'ZH', '阿根廷', 'AR');
INSERT INTO `countries` VALUES(47321, 0, 0, 11, 'ZH', '美属萨摩亚', 'AS');
INSERT INTO `countries` VALUES(47322, 0, 0, 12, 'ZH', '奥地利', 'AT');
INSERT INTO `countries` VALUES(47323, 0, 0, 13, 'ZH', '澳大利亚', 'AU');
INSERT INTO `countries` VALUES(47324, 0, 0, 14, 'ZH', '阿鲁巴', 'AW');
INSERT INTO `countries` VALUES(47325, 0, 0, 15, 'ZH', '奥兰群岛', 'AX');
INSERT INTO `countries` VALUES(47326, 0, 0, 16, 'ZH', '阿塞拜疆', 'AZ');
INSERT INTO `countries` VALUES(47327, 0, 0, 17, 'ZH', '波黑', 'BA');
INSERT INTO `countries` VALUES(47328, 0, 0, 18, 'ZH', '巴巴多斯', 'BB');
INSERT INTO `countries` VALUES(47329, 0, 0, 19, 'ZH', '孟加拉', 'BD');
INSERT INTO `countries` VALUES(47330, 0, 0, 20, 'ZH', '比利时', 'BE');
INSERT INTO `countries` VALUES(47331, 0, 0, 21, 'ZH', '布基纳法索', 'BF');
INSERT INTO `countries` VALUES(47332, 0, 0, 22, 'ZH', '保加利亚', 'BG');
INSERT INTO `countries` VALUES(47333, 0, 0, 23, 'ZH', '巴林', 'BH');
INSERT INTO `countries` VALUES(47334, 0, 0, 24, 'ZH', '布隆迪', 'BI');
INSERT INTO `countries` VALUES(47335, 0, 0, 25, 'ZH', '贝宁', 'BJ');
INSERT INTO `countries` VALUES(47336, 0, 0, 26, 'ZH', '圣巴泰勒米岛', 'BL');
INSERT INTO `countries` VALUES(47337, 0, 0, 27, 'ZH', '百慕大', 'BM');
INSERT INTO `countries` VALUES(47338, 0, 0, 28, 'ZH', '文莱', 'BN');
INSERT INTO `countries` VALUES(47339, 0, 0, 29, 'ZH', '玻利维亚', 'BO');
INSERT INTO `countries` VALUES(47340, 0, 0, 30, 'ZH', '荷兰加勒比区', 'BQ');
INSERT INTO `countries` VALUES(47341, 0, 0, 31, 'ZH', '巴西', 'BR');
INSERT INTO `countries` VALUES(47342, 0, 0, 32, 'ZH', '巴哈马', 'BS');
INSERT INTO `countries` VALUES(47343, 0, 0, 33, 'ZH', '不丹', 'BT');
INSERT INTO `countries` VALUES(47344, 0, 0, 34, 'ZH', '布韦岛', 'BV');
INSERT INTO `countries` VALUES(47345, 0, 0, 35, 'ZH', '博茨瓦纳', 'BW');
INSERT INTO `countries` VALUES(47346, 0, 0, 36, 'ZH', '白俄罗斯', 'BY');
INSERT INTO `countries` VALUES(47347, 0, 0, 37, 'ZH', '伯利兹', 'BZ');
INSERT INTO `countries` VALUES(47348, 0, 0, 38, 'ZH', '加拿大', 'CA');
INSERT INTO `countries` VALUES(47349, 0, 0, 39, 'ZH', '科科斯群岛', 'CC');
INSERT INTO `countries` VALUES(47350, 0, 0, 40, 'ZH', '刚果（金）', 'CD');
INSERT INTO `countries` VALUES(47351, 0, 0, 41, 'ZH', '中非', 'CF');
INSERT INTO `countries` VALUES(47352, 0, 0, 42, 'ZH', '刚果（布）', 'CG');
INSERT INTO `countries` VALUES(47353, 0, 0, 43, 'ZH', '瑞士', 'CH');
INSERT INTO `countries` VALUES(47354, 0, 0, 44, 'ZH', '科特迪瓦', 'CI');
INSERT INTO `countries` VALUES(47355, 0, 0, 45, 'ZH', '库克群岛', 'CK');
INSERT INTO `countries` VALUES(47356, 0, 0, 46, 'ZH', '智利', 'CL');
INSERT INTO `countries` VALUES(47357, 0, 0, 47, 'ZH', '喀麦隆', 'CM');
INSERT INTO `countries` VALUES(47358, 0, 0, 48, 'ZH', '中国', 'CN');
INSERT INTO `countries` VALUES(47359, 0, 0, 49, 'ZH', '哥伦比亚', 'CO');
INSERT INTO `countries` VALUES(47360, 0, 0, 50, 'ZH', '哥斯达黎加', 'CR');
INSERT INTO `countries` VALUES(47361, 0, 0, 51, 'ZH', '古巴', 'CU');
INSERT INTO `countries` VALUES(47362, 0, 0, 52, 'ZH', '佛得角', 'CV');
INSERT INTO `countries` VALUES(47363, 0, 0, 53, 'ZH', 'Curaçao', 'CW');
INSERT INTO `countries` VALUES(47364, 0, 0, 54, 'ZH', '圣诞岛', 'CX');
INSERT INTO `countries` VALUES(47365, 0, 0, 55, 'ZH', '塞浦路斯', 'CY');
INSERT INTO `countries` VALUES(47366, 0, 0, 56, 'ZH', '捷克', 'CZ');
INSERT INTO `countries` VALUES(47367, 0, 0, 57, 'ZH', '德国', 'DE');
INSERT INTO `countries` VALUES(47368, 0, 0, 58, 'ZH', '吉布提', 'DJ');
INSERT INTO `countries` VALUES(47369, 0, 0, 59, 'ZH', '丹麦', 'DK');
INSERT INTO `countries` VALUES(47370, 0, 0, 60, 'ZH', '多米尼克', 'DM');
INSERT INTO `countries` VALUES(47371, 0, 0, 61, 'ZH', '多米尼加', 'DO');
INSERT INTO `countries` VALUES(47372, 0, 0, 62, 'ZH', '阿尔及利亚', 'DZ');
INSERT INTO `countries` VALUES(47373, 0, 0, 63, 'ZH', '厄瓜多尔', 'EC');
INSERT INTO `countries` VALUES(47374, 0, 0, 64, 'ZH', '爱沙尼亚', 'EE');
INSERT INTO `countries` VALUES(47375, 0, 0, 65, 'ZH', '埃及', 'EG');
INSERT INTO `countries` VALUES(47376, 0, 0, 66, 'ZH', '西撒哈拉', 'EH');
INSERT INTO `countries` VALUES(47377, 0, 0, 67, 'ZH', '厄立特里亚', 'ER');
INSERT INTO `countries` VALUES(47378, 0, 0, 68, 'ZH', '西班牙', 'ES');
INSERT INTO `countries` VALUES(47379, 0, 0, 69, 'ZH', '埃塞俄比亚', 'ET');
INSERT INTO `countries` VALUES(47380, 0, 0, 70, 'ZH', '芬兰', 'FI');
INSERT INTO `countries` VALUES(47381, 0, 0, 71, 'ZH', '斐济群岛', 'FJ');
INSERT INTO `countries` VALUES(47382, 0, 0, 72, 'ZH', '马尔维纳斯群岛（福克兰）', 'FK');
INSERT INTO `countries` VALUES(47383, 0, 0, 73, 'ZH', '密克罗尼西亚联邦', 'FM');
INSERT INTO `countries` VALUES(47384, 0, 0, 74, 'ZH', '法罗群岛', 'FO');
INSERT INTO `countries` VALUES(47385, 0, 0, 75, 'ZH', '法国', 'FR');
INSERT INTO `countries` VALUES(47386, 0, 0, 76, 'ZH', '加蓬', 'GA');
INSERT INTO `countries` VALUES(47387, 0, 0, 77, 'ZH', '英国', 'GB');
INSERT INTO `countries` VALUES(47388, 0, 0, 78, 'ZH', '格林纳达', 'GD');
INSERT INTO `countries` VALUES(47389, 0, 0, 79, 'ZH', '格鲁吉亚', 'GE');
INSERT INTO `countries` VALUES(47390, 0, 0, 80, 'ZH', '法属圭亚那', 'GF');
INSERT INTO `countries` VALUES(47391, 0, 0, 81, 'ZH', '根西岛', 'GG');
INSERT INTO `countries` VALUES(47392, 0, 0, 82, 'ZH', '加纳', 'GH');
INSERT INTO `countries` VALUES(47393, 0, 0, 83, 'ZH', '直布罗陀', 'GI');
INSERT INTO `countries` VALUES(47394, 0, 0, 84, 'ZH', '格陵兰', 'GL');
INSERT INTO `countries` VALUES(47395, 0, 0, 85, 'ZH', '冈比亚', 'GM');
INSERT INTO `countries` VALUES(47396, 0, 0, 86, 'ZH', '几内亚', 'GN');
INSERT INTO `countries` VALUES(47397, 0, 0, 87, 'ZH', '瓜德罗普', 'GP');
INSERT INTO `countries` VALUES(47398, 0, 0, 88, 'ZH', '赤道几内亚', 'GQ');
INSERT INTO `countries` VALUES(47399, 0, 0, 89, 'ZH', '希腊', 'GR');
INSERT INTO `countries` VALUES(47400, 0, 0, 90, 'ZH', '南乔治亚岛和南桑威奇群岛', 'GS');
INSERT INTO `countries` VALUES(47401, 0, 0, 91, 'ZH', '危地马拉', 'GT');
INSERT INTO `countries` VALUES(47402, 0, 0, 92, 'ZH', '关岛', 'GU');
INSERT INTO `countries` VALUES(47403, 0, 0, 93, 'ZH', '几内亚比绍', 'GW');
INSERT INTO `countries` VALUES(47404, 0, 0, 94, 'ZH', '圭亚那', 'GY');
INSERT INTO `countries` VALUES(47405, 0, 0, 95, 'ZH', '香港', 'HK');
INSERT INTO `countries` VALUES(47406, 0, 0, 96, 'ZH', '赫德岛和麦克唐纳群岛', 'HM');
INSERT INTO `countries` VALUES(47407, 0, 0, 97, 'ZH', '洪都拉斯', 'HN');
INSERT INTO `countries` VALUES(47408, 0, 0, 98, 'ZH', '克罗地亚', 'HR');
INSERT INTO `countries` VALUES(47409, 0, 0, 99, 'ZH', '海地', 'HT');
INSERT INTO `countries` VALUES(47410, 0, 0, 100, 'ZH', '匈牙利', 'HU');
INSERT INTO `countries` VALUES(47411, 0, 0, 101, 'ZH', '印尼', 'ID');
INSERT INTO `countries` VALUES(47412, 0, 0, 102, 'ZH', '爱尔兰', 'IE');
INSERT INTO `countries` VALUES(47413, 0, 0, 103, 'ZH', '以色列', 'IL');
INSERT INTO `countries` VALUES(47414, 0, 0, 104, 'ZH', '马恩岛', 'IM');
INSERT INTO `countries` VALUES(47415, 0, 0, 105, 'ZH', '印度', 'IN');
INSERT INTO `countries` VALUES(47416, 0, 0, 106, 'ZH', '英属印度洋领地', 'IO');
INSERT INTO `countries` VALUES(47417, 0, 0, 107, 'ZH', '伊拉克', 'IQ');
INSERT INTO `countries` VALUES(47418, 0, 0, 108, 'ZH', '伊朗', 'IR');
INSERT INTO `countries` VALUES(47419, 0, 0, 109, 'ZH', '冰岛', 'IS');
INSERT INTO `countries` VALUES(47420, 0, 0, 110, 'ZH', '意大利', 'IT');
INSERT INTO `countries` VALUES(47421, 0, 0, 111, 'ZH', '泽西岛', 'JE');
INSERT INTO `countries` VALUES(47422, 0, 0, 112, 'ZH', '牙买加', 'JM');
INSERT INTO `countries` VALUES(47423, 0, 0, 113, 'ZH', '约旦', 'JO');
INSERT INTO `countries` VALUES(47424, 0, 0, 114, 'ZH', '日本', 'JP');
INSERT INTO `countries` VALUES(47425, 0, 0, 115, 'ZH', '肯尼亚', 'KE');
INSERT INTO `countries` VALUES(47426, 0, 0, 116, 'ZH', '吉尔吉斯斯坦', 'KG');
INSERT INTO `countries` VALUES(47427, 0, 0, 117, 'ZH', '柬埔寨', 'KH');
INSERT INTO `countries` VALUES(47428, 0, 0, 118, 'ZH', '基里巴斯', 'KI');
INSERT INTO `countries` VALUES(47429, 0, 0, 119, 'ZH', '科摩罗', 'KM');
INSERT INTO `countries` VALUES(47430, 0, 0, 120, 'ZH', '圣基茨和尼维斯', 'KN');
INSERT INTO `countries` VALUES(47431, 0, 0, 121, 'ZH', '朝鲜', 'KP');
INSERT INTO `countries` VALUES(47432, 0, 0, 122, 'ZH', '韩国', 'KR');
INSERT INTO `countries` VALUES(47433, 0, 0, 123, 'ZH', '科威特', 'KW');
INSERT INTO `countries` VALUES(47434, 0, 0, 124, 'ZH', '开曼群岛', 'KY');
INSERT INTO `countries` VALUES(47435, 0, 0, 125, 'ZH', '哈萨克斯坦', 'KZ');
INSERT INTO `countries` VALUES(47436, 0, 0, 126, 'ZH', '老挝', 'LA');
INSERT INTO `countries` VALUES(47437, 0, 0, 127, 'ZH', '黎巴嫩', 'LB');
INSERT INTO `countries` VALUES(47438, 0, 0, 128, 'ZH', '圣卢西亚', 'LC');
INSERT INTO `countries` VALUES(47439, 0, 0, 129, 'ZH', '列支敦士登', 'LI');
INSERT INTO `countries` VALUES(47440, 0, 0, 130, 'ZH', '斯里兰卡', 'LK');
INSERT INTO `countries` VALUES(47441, 0, 0, 131, 'ZH', '利比里亚', 'LR');
INSERT INTO `countries` VALUES(47442, 0, 0, 132, 'ZH', '莱索托', 'LS');
INSERT INTO `countries` VALUES(47443, 0, 0, 133, 'ZH', '立陶宛', 'LT');
INSERT INTO `countries` VALUES(47444, 0, 0, 134, 'ZH', '卢森堡', 'LU');
INSERT INTO `countries` VALUES(47445, 0, 0, 135, 'ZH', '拉脱维亚', 'LV');
INSERT INTO `countries` VALUES(47446, 0, 0, 136, 'ZH', '利比亚', 'LY');
INSERT INTO `countries` VALUES(47447, 0, 0, 137, 'ZH', '摩洛哥', 'MA');
INSERT INTO `countries` VALUES(47448, 0, 0, 138, 'ZH', '摩纳哥', 'MC');
INSERT INTO `countries` VALUES(47449, 0, 0, 139, 'ZH', '摩尔多瓦', 'MD');
INSERT INTO `countries` VALUES(47450, 0, 0, 140, 'ZH', '黑山', 'ME');
INSERT INTO `countries` VALUES(47451, 0, 0, 141, 'ZH', '法属圣马丁', 'MF');
INSERT INTO `countries` VALUES(47452, 0, 0, 142, 'ZH', '马达加斯加', 'MG');
INSERT INTO `countries` VALUES(47453, 0, 0, 143, 'ZH', '马绍尔群岛', 'MH');
INSERT INTO `countries` VALUES(47454, 0, 0, 144, 'ZH', '马其顿', 'MK');
INSERT INTO `countries` VALUES(47455, 0, 0, 145, 'ZH', '马里', 'ML');
INSERT INTO `countries` VALUES(47456, 0, 0, 146, 'ZH', '缅甸', 'MM');
INSERT INTO `countries` VALUES(47457, 0, 0, 147, 'ZH', '蒙古国；蒙古', 'MN');
INSERT INTO `countries` VALUES(47458, 0, 0, 148, 'ZH', '澳门', 'MO');
INSERT INTO `countries` VALUES(47459, 0, 0, 149, 'ZH', '北马里亚纳群岛', 'MP');
INSERT INTO `countries` VALUES(47460, 0, 0, 150, 'ZH', '马提尼克', 'MQ');
INSERT INTO `countries` VALUES(47461, 0, 0, 151, 'ZH', '毛里塔尼亚', 'MR');
INSERT INTO `countries` VALUES(47462, 0, 0, 152, 'ZH', '蒙塞拉特岛', 'MS');
INSERT INTO `countries` VALUES(47463, 0, 0, 153, 'ZH', '马耳他', 'MT');
INSERT INTO `countries` VALUES(47464, 0, 0, 154, 'ZH', '毛里求斯', 'MU');
INSERT INTO `countries` VALUES(47465, 0, 0, 155, 'ZH', '马尔代夫', 'MV');
INSERT INTO `countries` VALUES(47466, 0, 0, 156, 'ZH', '马拉维', 'MW');
INSERT INTO `countries` VALUES(47467, 0, 0, 157, 'ZH', '墨西哥', 'MX');
INSERT INTO `countries` VALUES(47468, 0, 0, 158, 'ZH', '马来西亚', 'MY');
INSERT INTO `countries` VALUES(47469, 0, 0, 159, 'ZH', '莫桑比克', 'MZ');
INSERT INTO `countries` VALUES(47470, 0, 0, 160, 'ZH', '纳米比亚', 'NA');
INSERT INTO `countries` VALUES(47471, 0, 0, 161, 'ZH', '新喀里多尼亚', 'NC');
INSERT INTO `countries` VALUES(47472, 0, 0, 162, 'ZH', '尼日尔', 'NE');
INSERT INTO `countries` VALUES(47473, 0, 0, 163, 'ZH', '诺福克岛', 'NF');
INSERT INTO `countries` VALUES(47474, 0, 0, 164, 'ZH', '尼日利亚', 'NG');
INSERT INTO `countries` VALUES(47475, 0, 0, 165, 'ZH', '尼加拉瓜', 'NI');
INSERT INTO `countries` VALUES(47476, 0, 0, 166, 'ZH', '荷兰', 'NL');
INSERT INTO `countries` VALUES(47477, 0, 0, 167, 'ZH', '挪威', 'NO');
INSERT INTO `countries` VALUES(47478, 0, 0, 168, 'ZH', '尼泊尔', 'NP');
INSERT INTO `countries` VALUES(47479, 0, 0, 169, 'ZH', '瑙鲁', 'NR');
INSERT INTO `countries` VALUES(47480, 0, 0, 170, 'ZH', '纽埃', 'NU');
INSERT INTO `countries` VALUES(47481, 0, 0, 171, 'ZH', '新西兰', 'NZ');
INSERT INTO `countries` VALUES(47482, 0, 0, 172, 'ZH', '阿曼', 'OM');
INSERT INTO `countries` VALUES(47483, 0, 0, 173, 'ZH', '巴拿马', 'PA');
INSERT INTO `countries` VALUES(47484, 0, 0, 174, 'ZH', '秘鲁', 'PE');
INSERT INTO `countries` VALUES(47485, 0, 0, 175, 'ZH', '法属波利尼西亚', 'PF');
INSERT INTO `countries` VALUES(47486, 0, 0, 176, 'ZH', '巴布亚新几内亚', 'PG');
INSERT INTO `countries` VALUES(47487, 0, 0, 177, 'ZH', '菲律宾', 'PH');
INSERT INTO `countries` VALUES(47488, 0, 0, 178, 'ZH', '巴基斯坦', 'PK');
INSERT INTO `countries` VALUES(47489, 0, 0, 179, 'ZH', '波兰', 'PL');
INSERT INTO `countries` VALUES(47490, 0, 0, 180, 'ZH', '圣皮埃尔和密克隆', 'PM');
INSERT INTO `countries` VALUES(47491, 0, 0, 181, 'ZH', '皮特凯恩群岛', 'PN');
INSERT INTO `countries` VALUES(47492, 0, 0, 182, 'ZH', '波多黎各', 'PR');
INSERT INTO `countries` VALUES(47493, 0, 0, 183, 'ZH', '巴勒斯坦', 'PS');
INSERT INTO `countries` VALUES(47494, 0, 0, 184, 'ZH', '葡萄牙', 'PT');
INSERT INTO `countries` VALUES(47495, 0, 0, 185, 'ZH', '帕劳', 'PW');
INSERT INTO `countries` VALUES(47496, 0, 0, 186, 'ZH', '巴拉圭', 'PY');
INSERT INTO `countries` VALUES(47497, 0, 0, 187, 'ZH', '卡塔尔', 'QA');
INSERT INTO `countries` VALUES(47498, 0, 0, 188, 'ZH', '留尼汪', 'RE');
INSERT INTO `countries` VALUES(47499, 0, 0, 189, 'ZH', '罗马尼亚', 'RO');
INSERT INTO `countries` VALUES(47500, 0, 0, 190, 'ZH', '塞尔维亚', 'RS');
INSERT INTO `countries` VALUES(47501, 0, 0, 191, 'ZH', '俄罗斯', 'RU');
INSERT INTO `countries` VALUES(47502, 0, 0, 192, 'ZH', '卢旺达', 'RW');
INSERT INTO `countries` VALUES(47503, 0, 0, 193, 'ZH', '沙特阿拉伯', 'SA');
INSERT INTO `countries` VALUES(47504, 0, 0, 194, 'ZH', '所罗门群岛', 'SB');
INSERT INTO `countries` VALUES(47505, 0, 0, 195, 'ZH', '塞舌尔', 'SC');
INSERT INTO `countries` VALUES(47506, 0, 0, 196, 'ZH', '苏丹', 'SD');
INSERT INTO `countries` VALUES(47507, 0, 0, 197, 'ZH', '瑞典', 'SE');
INSERT INTO `countries` VALUES(47508, 0, 0, 198, 'ZH', '新加坡', 'SG');
INSERT INTO `countries` VALUES(47509, 0, 0, 199, 'ZH', '圣赫勒拿', 'SH');
INSERT INTO `countries` VALUES(47510, 0, 0, 200, 'ZH', '斯洛文尼亚', 'SI');
INSERT INTO `countries` VALUES(47511, 0, 0, 201, 'ZH', '斯瓦尔巴群岛和扬马延岛', 'SJ');
INSERT INTO `countries` VALUES(47512, 0, 0, 202, 'ZH', '斯洛伐克', 'SK');
INSERT INTO `countries` VALUES(47513, 0, 0, 203, 'ZH', '塞拉利昂', 'SL');
INSERT INTO `countries` VALUES(47514, 0, 0, 204, 'ZH', '圣马力诺', 'SM');
INSERT INTO `countries` VALUES(47515, 0, 0, 205, 'ZH', '塞内加尔', 'SN');
INSERT INTO `countries` VALUES(47516, 0, 0, 206, 'ZH', '索马里', 'SO');
INSERT INTO `countries` VALUES(47517, 0, 0, 207, 'ZH', '苏里南', 'SR');
INSERT INTO `countries` VALUES(47518, 0, 0, 208, 'ZH', '南苏丹', 'SS');
INSERT INTO `countries` VALUES(47519, 0, 0, 209, 'ZH', '圣多美和普林西比', 'ST');
INSERT INTO `countries` VALUES(47520, 0, 0, 210, 'ZH', '萨尔瓦多', 'SV');
INSERT INTO `countries` VALUES(47521, 0, 0, 211, 'ZH', 'Sint Maarten (Dutch part)', 'SX');
INSERT INTO `countries` VALUES(47522, 0, 0, 212, 'ZH', '叙利亚', 'SY');
INSERT INTO `countries` VALUES(47523, 0, 0, 213, 'ZH', '斯威士兰', 'SZ');
INSERT INTO `countries` VALUES(47524, 0, 0, 214, 'ZH', '特克斯和凯科斯群岛', 'TC');
INSERT INTO `countries` VALUES(47525, 0, 0, 215, 'ZH', '乍得', 'TD');
INSERT INTO `countries` VALUES(47526, 0, 0, 216, 'ZH', '法属南部领地', 'TF');
INSERT INTO `countries` VALUES(47527, 0, 0, 217, 'ZH', '多哥', 'TG');
INSERT INTO `countries` VALUES(47528, 0, 0, 218, 'ZH', '泰国', 'TH');
INSERT INTO `countries` VALUES(47529, 0, 0, 219, 'ZH', '塔吉克斯坦', 'TJ');
INSERT INTO `countries` VALUES(47530, 0, 0, 220, 'ZH', '托克劳', 'TK');
INSERT INTO `countries` VALUES(47531, 0, 0, 221, 'ZH', '东帝汶', 'TL');
INSERT INTO `countries` VALUES(47532, 0, 0, 222, 'ZH', '土库曼斯坦', 'TM');
INSERT INTO `countries` VALUES(47533, 0, 0, 223, 'ZH', '突尼斯', 'TN');
INSERT INTO `countries` VALUES(47534, 0, 0, 224, 'ZH', '汤加', 'TO');
INSERT INTO `countries` VALUES(47535, 0, 0, 225, 'ZH', '土耳其', 'TR');
INSERT INTO `countries` VALUES(47536, 0, 0, 226, 'ZH', '特立尼达和多巴哥', 'TT');
INSERT INTO `countries` VALUES(47537, 0, 0, 227, 'ZH', '图瓦卢', 'TV');
INSERT INTO `countries` VALUES(47538, 0, 0, 228, 'ZH', '台湾', 'TW');
INSERT INTO `countries` VALUES(47539, 0, 0, 229, 'ZH', '坦桑尼亚', 'TZ');
INSERT INTO `countries` VALUES(47540, 0, 0, 230, 'ZH', '乌克兰', 'UA');
INSERT INTO `countries` VALUES(47541, 0, 0, 231, 'ZH', '乌干达', 'UG');
INSERT INTO `countries` VALUES(47542, 0, 0, 232, 'ZH', '美国本土外小岛屿', 'UM');
INSERT INTO `countries` VALUES(47543, 0, 0, 233, 'ZH', '美国', 'US');
INSERT INTO `countries` VALUES(47544, 0, 0, 234, 'ZH', '乌拉圭', 'UY');
INSERT INTO `countries` VALUES(47545, 0, 0, 235, 'ZH', '乌兹别克斯坦', 'UZ');
INSERT INTO `countries` VALUES(47546, 0, 0, 236, 'ZH', '梵蒂冈', 'VA');
INSERT INTO `countries` VALUES(47547, 0, 0, 237, 'ZH', '圣文森特和格林纳丁斯', 'VC');
INSERT INTO `countries` VALUES(47548, 0, 0, 238, 'ZH', '委内瑞拉', 'VE');
INSERT INTO `countries` VALUES(47549, 0, 0, 239, 'ZH', '英属维尔京群岛', 'VG');
INSERT INTO `countries` VALUES(47550, 0, 0, 240, 'ZH', '美属维尔京群岛', 'VI');
INSERT INTO `countries` VALUES(47551, 0, 0, 241, 'ZH', '越南', 'VN');
INSERT INTO `countries` VALUES(47552, 0, 0, 242, 'ZH', '瓦努阿图', 'VU');
INSERT INTO `countries` VALUES(47553, 0, 0, 243, 'ZH', '瓦利斯和富图纳', 'WF');
INSERT INTO `countries` VALUES(47554, 0, 0, 244, 'ZH', '萨摩亚', 'WS');
INSERT INTO `countries` VALUES(47555, 0, 0, 245, 'ZH', '也门', 'YE');
INSERT INTO `countries` VALUES(47556, 0, 0, 246, 'ZH', '马约特', 'YT');
INSERT INTO `countries` VALUES(47557, 0, 0, 247, 'ZH', '南非', 'ZA');
INSERT INTO `countries` VALUES(47558, 0, 0, 248, 'ZH', '赞比亚', 'ZM');
INSERT INTO `countries` VALUES(47559, 0, 0, 249, 'ZH', '津巴布韦', 'ZW');



#
# Table structure for table "subdivisions"
#
DROP TABLE IF EXISTS subdivisions;
CREATE TABLE subdivisions (
	uid int(11) unsigned NOT NULL auto_increment,
	pid int(11) unsigned DEFAULT '0'NOT NULL,
	deleted tinyint(4) DEFAULT '0'NOT NULL,
	l18n_parent int(11) unsigned DEFAULT '0'NOT NULL,
	lang_iso2 char(2) DEFAULT ''NOT NULL,
	sd_title varchar(255) DEFAULT ''NOT NULL,
	sd_iso2 char(2) DEFAULT ''NOT NULL,
	sd_code varchar(3) DEFAULT ''NOT NULL,

	PRIMARY KEY (uid),
	KEY language (l18n_parent,lang_iso2),
	KEY title (lang_iso2,sd_title)
);

INSERT INTO `subdivisions` VALUES ('619604', '0', '0', '3340', 'SK', 'Banskobystrický kraj', 'SK', 'BC');
INSERT INTO `subdivisions` VALUES ('619605', '0', '0', '3341', 'SK', 'Bratislavský kraj', 'SK', 'BL');
INSERT INTO `subdivisions` VALUES ('619606', '0', '0', '3342', 'SK', 'Košický kraj', 'SK', 'KI');
INSERT INTO `subdivisions` VALUES ('619607', '0', '0', '3343', 'SK', 'Nitriansky kraj', 'SK', 'NI');
INSERT INTO `subdivisions` VALUES ('619608', '0', '0', '3344', 'SK', 'Prešovský kraj', 'SK', 'PV');
INSERT INTO `subdivisions` VALUES ('619609', '0', '0', '3345', 'SK', 'Trnavský kraj', 'SK', 'TA');
INSERT INTO `subdivisions` VALUES ('619610', '0', '0', '3346', 'SK', 'Trenčiansky kraj', 'SK', 'TC');
INSERT INTO `subdivisions` VALUES ('619611', '0', '0', '3347', 'SK', 'Žilinský kraj', 'SK', 'ZI');
INSERT INTO `subdivisions` VALUES ('617076', '0', '0', '812', 'SK', 'Brandenbursko', 'DE', 'BB');
INSERT INTO `subdivisions` VALUES ('617077', '0', '0', '813', 'SK', 'Berlín', 'DE', 'BE');
INSERT INTO `subdivisions` VALUES ('617078', '0', '0', '814', 'SK', 'Bádensko-Württembersko', 'DE', 'BW');
INSERT INTO `subdivisions` VALUES ('617079', '0', '0', '815', 'SK', 'Bavorsko', 'DE', 'BY');
INSERT INTO `subdivisions` VALUES ('617080', '0', '0', '816', 'SK', 'Brémy', 'DE', 'HB');
INSERT INTO `subdivisions` VALUES ('617081', '0', '0', '817', 'SK', 'Hesensko', 'DE', 'HE');
INSERT INTO `subdivisions` VALUES ('617082', '0', '0', '818', 'SK', 'Hamburg', 'DE', 'HH');
INSERT INTO `subdivisions` VALUES ('617083', '0', '0', '819', 'SK', 'Meklenbursko-Predpomoransko', 'DE', 'MV');
INSERT INTO `subdivisions` VALUES ('617084', '0', '0', '820', 'SK', 'Dolné Sasko', 'DE', 'NI');
INSERT INTO `subdivisions` VALUES ('617085', '0', '0', '821', 'SK', 'Severné Porýnie-Vestfálsko', 'DE', 'NW');
INSERT INTO `subdivisions` VALUES ('617086', '0', '0', '822', 'SK', 'Porýnie-Falcko', 'DE', 'RP');
INSERT INTO `subdivisions` VALUES ('617087', '0', '0', '823', 'SK', 'Šlezvicko-Holštajnsko', 'DE', 'SH');
INSERT INTO `subdivisions` VALUES ('617088', '0', '0', '824', 'SK', 'Sársko', 'DE', 'SL');
INSERT INTO `subdivisions` VALUES ('617089', '0', '0', '825', 'SK', 'Sasko', 'DE', 'SN');
INSERT INTO `subdivisions` VALUES ('617090', '0', '0', '826', 'SK', 'Sasko-Anhaltsko', 'DE', 'ST');
INSERT INTO `subdivisions` VALUES ('617091', '0', '0', '827', 'SK', 'Durínsko', 'DE', 'TH');
INSERT INTO `subdivisions` VALUES ('569647', '0', '0', '2827', 'RU', 'Адыгея', 'RU', 'AD');
INSERT INTO `subdivisions` VALUES ('569648', '0', '0', '2828', 'RU', 'Республика Алтай', 'RU', 'AL');
INSERT INTO `subdivisions` VALUES ('569649', '0', '0', '2829', 'RU', 'Алтайский край', 'RU', 'ALT');
INSERT INTO `subdivisions` VALUES ('569650', '0', '0', '2830', 'RU', 'Амурская область', 'RU', 'AMU');
INSERT INTO `subdivisions` VALUES ('569651', '0', '0', '2831', 'RU', 'Архангельская область', 'RU', 'ARK');
INSERT INTO `subdivisions` VALUES ('569652', '0', '0', '2832', 'RU', 'Астраханская область', 'RU', 'AST');
INSERT INTO `subdivisions` VALUES ('569653', '0', '0', '2833', 'RU', 'Башкортостан', 'RU', 'BA');
INSERT INTO `subdivisions` VALUES ('569654', '0', '0', '2834', 'RU', 'Белгородская область', 'RU', 'BEL');
INSERT INTO `subdivisions` VALUES ('569655', '0', '0', '2835', 'RU', 'Брянская область', 'RU', 'BRY');
INSERT INTO `subdivisions` VALUES ('569656', '0', '0', '2836', 'RU', 'Бурятия', 'RU', 'BU');
INSERT INTO `subdivisions` VALUES ('569657', '0', '0', '2837', 'RU', 'Чечня', 'RU', 'CE');
INSERT INTO `subdivisions` VALUES ('569658', '0', '0', '2838', 'RU', 'Челябинская область', 'RU', 'CHE');
INSERT INTO `subdivisions` VALUES ('569659', '0', '0', '2839', 'RU', 'Чукотский автономный округ', 'RU', 'CHU');
INSERT INTO `subdivisions` VALUES ('569660', '0', '0', '2840', 'RU', 'Чувашия', 'RU', 'CU');
INSERT INTO `subdivisions` VALUES ('569661', '0', '0', '2841', 'RU', 'Дагестан', 'RU', 'DA');
INSERT INTO `subdivisions` VALUES ('569662', '0', '0', '2842', 'RU', 'Ингушетия', 'RU', 'IN');
INSERT INTO `subdivisions` VALUES ('569663', '0', '0', '2843', 'RU', 'Иркутская область', 'RU', 'IRK');
INSERT INTO `subdivisions` VALUES ('569664', '0', '0', '2844', 'RU', 'Ивановская область', 'RU', 'IVA');
INSERT INTO `subdivisions` VALUES ('569665', '0', '0', '2845', 'RU', 'Камчатский край', 'RU', 'KAM');
INSERT INTO `subdivisions` VALUES ('569666', '0', '0', '2846', 'RU', 'Кабардино-Балкария', 'RU', 'KB');
INSERT INTO `subdivisions` VALUES ('569667', '0', '0', '2847', 'RU', 'Карачаево-Черкессия', 'RU', 'KC');
INSERT INTO `subdivisions` VALUES ('569668', '0', '0', '2848', 'RU', 'Краснодарский край', 'RU', 'KDA');
INSERT INTO `subdivisions` VALUES ('569669', '0', '0', '2849', 'RU', 'Кемеровская область', 'RU', 'KEM');
INSERT INTO `subdivisions` VALUES ('569670', '0', '0', '2850', 'RU', 'Калининградская область', 'RU', 'KGD');
INSERT INTO `subdivisions` VALUES ('569671', '0', '0', '2851', 'RU', 'Курганская область', 'RU', 'KGN');
INSERT INTO `subdivisions` VALUES ('569672', '0', '0', '2852', 'RU', 'Хабаровский край', 'RU', 'KHA');
INSERT INTO `subdivisions` VALUES ('569673', '0', '0', '2853', 'RU', 'Ханты-Мансийский автономный округ', 'RU', 'KHM');
INSERT INTO `subdivisions` VALUES ('569674', '0', '0', '2854', 'RU', 'Кировская область', 'RU', 'KIR');
INSERT INTO `subdivisions` VALUES ('569675', '0', '0', '2855', 'RU', 'Хакасия', 'RU', 'KK');
INSERT INTO `subdivisions` VALUES ('569676', '0', '0', '2856', 'RU', 'Калмыкия', 'RU', 'KL');
INSERT INTO `subdivisions` VALUES ('569677', '0', '0', '2857', 'RU', 'Калужская область', 'RU', 'KLU');
INSERT INTO `subdivisions` VALUES ('569678', '0', '0', '2858', 'RU', 'Коми', 'RU', 'KO');
INSERT INTO `subdivisions` VALUES ('569679', '0', '0', '2859', 'RU', 'Костромская область', 'RU', 'KOS');
INSERT INTO `subdivisions` VALUES ('569680', '0', '0', '2860', 'RU', 'Карелия', 'RU', 'KR');
INSERT INTO `subdivisions` VALUES ('569681', '0', '0', '2861', 'RU', 'Курская область', 'RU', 'KRS');
INSERT INTO `subdivisions` VALUES ('569682', '0', '0', '2862', 'RU', 'Красноярский край', 'RU', 'KYA');
INSERT INTO `subdivisions` VALUES ('569683', '0', '0', '2863', 'RU', 'Ленинградская область', 'RU', 'LEN');
INSERT INTO `subdivisions` VALUES ('569684', '0', '0', '2864', 'RU', 'Липецкая область', 'RU', 'LIP');
INSERT INTO `subdivisions` VALUES ('569685', '0', '0', '2865', 'RU', 'Магаданская область', 'RU', 'MAG');
INSERT INTO `subdivisions` VALUES ('569686', '0', '0', '2866', 'RU', 'Марий Эл', 'RU', 'ME');
INSERT INTO `subdivisions` VALUES ('569687', '0', '0', '2867', 'RU', 'Мордовия', 'RU', 'MO');
INSERT INTO `subdivisions` VALUES ('569688', '0', '0', '2868', 'RU', 'Московская область', 'RU', 'MOS');
INSERT INTO `subdivisions` VALUES ('569689', '0', '0', '2869', 'RU', 'Москва', 'RU', 'MOW');
INSERT INTO `subdivisions` VALUES ('569690', '0', '0', '2870', 'RU', 'Мурманская область', 'RU', 'MUR');
INSERT INTO `subdivisions` VALUES ('569691', '0', '0', '2871', 'RU', 'Ненецкий автономный округ', 'RU', 'NEN');
INSERT INTO `subdivisions` VALUES ('569692', '0', '0', '2872', 'RU', 'Новгородская область', 'RU', 'NGR');
INSERT INTO `subdivisions` VALUES ('569693', '0', '0', '2873', 'RU', 'Нижегородская область', 'RU', 'NIZ');
INSERT INTO `subdivisions` VALUES ('569694', '0', '0', '2874', 'RU', 'Новосибирская область', 'RU', 'NVS');
INSERT INTO `subdivisions` VALUES ('569695', '0', '0', '2875', 'RU', 'Омская область', 'RU', 'OMS');
INSERT INTO `subdivisions` VALUES ('569696', '0', '0', '2876', 'RU', 'Оренбургская область', 'RU', 'ORE');
INSERT INTO `subdivisions` VALUES ('569697', '0', '0', '2877', 'RU', 'Орловская область', 'RU', 'ORL');
INSERT INTO `subdivisions` VALUES ('569698', '0', '0', '2878', 'RU', 'Пермский край', 'RU', 'PER');
INSERT INTO `subdivisions` VALUES ('569699', '0', '0', '2879', 'RU', 'Пензенская область', 'RU', 'PNZ');
INSERT INTO `subdivisions` VALUES ('569700', '0', '0', '2880', 'RU', 'Приморский край', 'RU', 'PRI');
INSERT INTO `subdivisions` VALUES ('569701', '0', '0', '2881', 'RU', 'Псковская область', 'RU', 'PSK');
INSERT INTO `subdivisions` VALUES ('569702', '0', '0', '2882', 'RU', 'Ростовская область', 'RU', 'ROS');
INSERT INTO `subdivisions` VALUES ('569703', '0', '0', '2883', 'RU', 'Рязанская область', 'RU', 'RYA');
INSERT INTO `subdivisions` VALUES ('569704', '0', '0', '2884', 'RU', 'Якутия', 'RU', 'SA');
INSERT INTO `subdivisions` VALUES ('569705', '0', '0', '2885', 'RU', 'Сахалинская область', 'RU', 'SAK');
INSERT INTO `subdivisions` VALUES ('569706', '0', '0', '2886', 'RU', 'Самарская область', 'RU', 'SAM');
INSERT INTO `subdivisions` VALUES ('569707', '0', '0', '2887', 'RU', 'Саратовская область', 'RU', 'SAR');
INSERT INTO `subdivisions` VALUES ('569708', '0', '0', '2888', 'RU', 'Северная Осетия', 'RU', 'SE');
INSERT INTO `subdivisions` VALUES ('569709', '0', '0', '2889', 'RU', 'Смоленская область', 'RU', 'SMO');
INSERT INTO `subdivisions` VALUES ('569710', '0', '0', '2890', 'RU', 'Санкт-Петербург', 'RU', 'SPE');
INSERT INTO `subdivisions` VALUES ('569711', '0', '0', '2891', 'RU', 'Ставропольский край', 'RU', 'STA');
INSERT INTO `subdivisions` VALUES ('569712', '0', '0', '2892', 'RU', 'Свердловская область', 'RU', 'SVE');
INSERT INTO `subdivisions` VALUES ('569713', '0', '0', '2893', 'RU', 'Татарстан', 'RU', 'TA');
INSERT INTO `subdivisions` VALUES ('569714', '0', '0', '2894', 'RU', 'Тамбовская область', 'RU', 'TAM');
INSERT INTO `subdivisions` VALUES ('569715', '0', '0', '2895', 'RU', 'Томская область', 'RU', 'TOM');
INSERT INTO `subdivisions` VALUES ('569716', '0', '0', '2896', 'RU', 'Тульская область', 'RU', 'TUL');
INSERT INTO `subdivisions` VALUES ('569717', '0', '0', '2897', 'RU', 'Тверская область', 'RU', 'TVE');
INSERT INTO `subdivisions` VALUES ('569718', '0', '0', '2898', 'RU', 'Тува', 'RU', 'TY');
INSERT INTO `subdivisions` VALUES ('569719', '0', '0', '2899', 'RU', 'Тюменская область', 'RU', 'TYU');
INSERT INTO `subdivisions` VALUES ('569720', '0', '0', '2900', 'RU', 'Удмуртия', 'RU', 'UD');
INSERT INTO `subdivisions` VALUES ('569721', '0', '0', '2901', 'RU', 'Ульяновская область', 'RU', 'ULY');
INSERT INTO `subdivisions` VALUES ('569722', '0', '0', '2902', 'RU', 'Волгоградская область', 'RU', 'VGG');
INSERT INTO `subdivisions` VALUES ('569723', '0', '0', '2903', 'RU', 'Владимирская область', 'RU', 'VLA');
INSERT INTO `subdivisions` VALUES ('569724', '0', '0', '2904', 'RU', 'Вологодская область', 'RU', 'VLG');
INSERT INTO `subdivisions` VALUES ('569725', '0', '0', '2905', 'RU', 'Воронежская область', 'RU', 'VOR');
INSERT INTO `subdivisions` VALUES ('569726', '0', '0', '2906', 'RU', 'Ямало-Ненецкий автономный округ', 'RU', 'YAN');
INSERT INTO `subdivisions` VALUES ('569727', '0', '0', '2907', 'RU', 'Ярославская область', 'RU', 'YAR');
INSERT INTO `subdivisions` VALUES ('569728', '0', '0', '2908', 'RU', 'Еврейская автономная область', 'RU', 'YEV');
INSERT INTO `subdivisions` VALUES ('569729', '0', '0', '2909', 'RU', 'Забайкальский край', 'RU', 'ZAB');
INSERT INTO `subdivisions` VALUES ('498940', '0', '0', '2620', 'NL', 'Drenthe', 'NL', 'DR');
INSERT INTO `subdivisions` VALUES ('498941', '0', '0', '2621', 'NL', 'Flevoland', 'NL', 'FL');
INSERT INTO `subdivisions` VALUES ('498942', '0', '0', '2622', 'NL', 'Fryslân', 'NL', 'FR');
INSERT INTO `subdivisions` VALUES ('498943', '0', '0', '2623', 'NL', 'Gelderland', 'NL', 'GE');
INSERT INTO `subdivisions` VALUES ('498944', '0', '0', '2624', 'NL', 'Groningen', 'NL', 'GR');
INSERT INTO `subdivisions` VALUES ('498945', '0', '0', '2625', 'NL', 'Limburg', 'NL', 'LI');
INSERT INTO `subdivisions` VALUES ('498946', '0', '0', '2626', 'NL', 'Noord-Brabant', 'NL', 'NB');
INSERT INTO `subdivisions` VALUES ('498947', '0', '0', '2627', 'NL', 'Noord-Holland', 'NL', 'NH');
INSERT INTO `subdivisions` VALUES ('498948', '0', '0', '2628', 'NL', 'Overijssel', 'NL', 'OV');
INSERT INTO `subdivisions` VALUES ('498949', '0', '0', '2629', 'NL', 'Utrecht', 'NL', 'UT');
INSERT INTO `subdivisions` VALUES ('498950', '0', '0', '2630', 'NL', 'Zeeland', 'NL', 'ZE');
INSERT INTO `subdivisions` VALUES ('498951', '0', '0', '2631', 'NL', 'Zuid-Holland', 'NL', 'ZH');
INSERT INTO `subdivisions` VALUES ('497132', '0', '0', '812', 'NL', 'Brandenburg', 'DE', 'BB');
INSERT INTO `subdivisions` VALUES ('497133', '0', '0', '813', 'NL', 'Berlijn', 'DE', 'BE');
INSERT INTO `subdivisions` VALUES ('497134', '0', '0', '814', 'NL', 'Baden-Württemberg', 'DE', 'BW');
INSERT INTO `subdivisions` VALUES ('497135', '0', '0', '815', 'NL', 'Beieren', 'DE', 'BY');
INSERT INTO `subdivisions` VALUES ('497136', '0', '0', '816', 'NL', 'Bremen', 'DE', 'HB');
INSERT INTO `subdivisions` VALUES ('497137', '0', '0', '817', 'NL', 'Hessen', 'DE', 'HE');
INSERT INTO `subdivisions` VALUES ('497138', '0', '0', '818', 'NL', 'Hamburg', 'DE', 'HH');
INSERT INTO `subdivisions` VALUES ('497139', '0', '0', '819', 'NL', 'Mecklenburg-Voor-Pommeren', 'DE', 'MV');
INSERT INTO `subdivisions` VALUES ('497140', '0', '0', '820', 'NL', 'Nedersaksen', 'DE', 'NI');
INSERT INTO `subdivisions` VALUES ('497141', '0', '0', '821', 'NL', 'Noordrijn-Westfalen', 'DE', 'NW');
INSERT INTO `subdivisions` VALUES ('497142', '0', '0', '822', 'NL', 'Rijnland-Palts', 'DE', 'RP');
INSERT INTO `subdivisions` VALUES ('497143', '0', '0', '823', 'NL', 'Sleeswijk-Holstein', 'DE', 'SH');
INSERT INTO `subdivisions` VALUES ('497144', '0', '0', '824', 'NL', 'Saarland', 'DE', 'SL');
INSERT INTO `subdivisions` VALUES ('497145', '0', '0', '825', 'NL', 'Saksen', 'DE', 'SN');
INSERT INTO `subdivisions` VALUES ('497146', '0', '0', '826', 'NL', 'Saksen-Anhalt', 'DE', 'ST');
INSERT INTO `subdivisions` VALUES ('497147', '0', '0', '827', 'NL', 'Thüringen', 'DE', 'TH');
INSERT INTO `subdivisions` VALUES ('496475', '0', '0', '155', 'NL', 'Nieuw-Zuid-Wales', 'AU', 'NSW');
INSERT INTO `subdivisions` VALUES ('496476', '0', '0', '156', 'NL', 'Australisch Hoofdstedelijk Territorium', 'AU', 'ACT');
INSERT INTO `subdivisions` VALUES ('496477', '0', '0', '157', 'NL', 'Noordelijk Territorium', 'AU', 'NT');
INSERT INTO `subdivisions` VALUES ('496478', '0', '0', '158', 'NL', 'Queensland', 'AU', 'QLD');
INSERT INTO `subdivisions` VALUES ('496479', '0', '0', '159', 'NL', 'Zuid-Australië', 'AU', 'SA');
INSERT INTO `subdivisions` VALUES ('496480', '0', '0', '160', 'NL', 'Tasmanië', 'AU', 'TAS');
INSERT INTO `subdivisions` VALUES ('496481', '0', '0', '161', 'NL', 'Victoria', 'AU', 'VIC');
INSERT INTO `subdivisions` VALUES ('496482', '0', '0', '162', 'NL', 'West-Australië', 'AU', 'WA');
INSERT INTO `subdivisions` VALUES ('496466', '0', '0', '146', 'NL', 'Burgenland', 'AT', '1');
INSERT INTO `subdivisions` VALUES ('496467', '0', '0', '147', 'NL', 'Karinthië', 'AT', '2');
INSERT INTO `subdivisions` VALUES ('496468', '0', '0', '148', 'NL', 'Neder-Oostenrijk', 'AT', '3');
INSERT INTO `subdivisions` VALUES ('496469', '0', '0', '149', 'NL', 'Opper-Oostenrijk', 'AT', '4');
INSERT INTO `subdivisions` VALUES ('496470', '0', '0', '150', 'NL', 'Salzburg', 'AT', '5');
INSERT INTO `subdivisions` VALUES ('496471', '0', '0', '151', 'NL', 'Stiermarken', 'AT', '6');
INSERT INTO `subdivisions` VALUES ('496472', '0', '0', '152', 'NL', 'Tirol', 'AT', '7');
INSERT INTO `subdivisions` VALUES ('496473', '0', '0', '153', 'NL', 'Vorarlberg', 'AT', '8');
INSERT INTO `subdivisions` VALUES ('496474', '0', '0', '154', 'NL', 'Wenen', 'AT', '9');
INSERT INTO `subdivisions` VALUES ('311941', '0', '0', '1741', 'IT', 'Piemonte', 'IT', '21');
INSERT INTO `subdivisions` VALUES ('311942', '0', '0', '1742', 'IT', 'Valle d\'Aosta', 'IT', '23');
INSERT INTO `subdivisions` VALUES ('311943', '0', '0', '1743', 'IT', 'Lombardia', 'IT', '25');
INSERT INTO `subdivisions` VALUES ('311944', '0', '0', '1744', 'IT', 'Trentino-Alto Adige', 'IT', '32');
INSERT INTO `subdivisions` VALUES ('311945', '0', '0', '1745', 'IT', 'Veneto', 'IT', '34');
INSERT INTO `subdivisions` VALUES ('311946', '0', '0', '1746', 'IT', 'Friuli-Venezia Giulia', 'IT', '36');
INSERT INTO `subdivisions` VALUES ('311947', '0', '0', '1747', 'IT', 'Liguria', 'IT', '42');
INSERT INTO `subdivisions` VALUES ('311948', '0', '0', '1748', 'IT', 'Emilia-Romagna', 'IT', '45');
INSERT INTO `subdivisions` VALUES ('311949', '0', '0', '1749', 'IT', 'Toscana', 'IT', '52');
INSERT INTO `subdivisions` VALUES ('311950', '0', '0', '1750', 'IT', 'Umbria', 'IT', '55');
INSERT INTO `subdivisions` VALUES ('311951', '0', '0', '1751', 'IT', 'Marche', 'IT', '57');
INSERT INTO `subdivisions` VALUES ('311952', '0', '0', '1752', 'IT', 'Lazio', 'IT', '62');
INSERT INTO `subdivisions` VALUES ('311953', '0', '0', '1753', 'IT', 'Abruzzo', 'IT', '65');
INSERT INTO `subdivisions` VALUES ('311954', '0', '0', '1754', 'IT', 'Molise', 'IT', '67');
INSERT INTO `subdivisions` VALUES ('311955', '0', '0', '1755', 'IT', 'Campania', 'IT', '72');
INSERT INTO `subdivisions` VALUES ('311956', '0', '0', '1756', 'IT', 'Puglia', 'IT', '75');
INSERT INTO `subdivisions` VALUES ('311957', '0', '0', '1757', 'IT', 'Basilicata', 'IT', '77');
INSERT INTO `subdivisions` VALUES ('311958', '0', '0', '1758', 'IT', 'Calabria', 'IT', '78');
INSERT INTO `subdivisions` VALUES ('311959', '0', '0', '1759', 'IT', 'Sicilia', 'IT', '82');
INSERT INTO `subdivisions` VALUES ('311960', '0', '0', '1760', 'IT', 'Sardegna', 'IT', '88');
INSERT INTO `subdivisions` VALUES ('311248', '0', '0', '1048', 'IT', 'Ain', 'FR', '01');
INSERT INTO `subdivisions` VALUES ('311249', '0', '0', '1049', 'IT', 'Aisne', 'FR', '02');
INSERT INTO `subdivisions` VALUES ('311250', '0', '0', '1050', 'IT', 'Allier', 'FR', '03');
INSERT INTO `subdivisions` VALUES ('311251', '0', '0', '1051', 'IT', 'Alpi dell\'Alta Provenza', 'FR', '04');
INSERT INTO `subdivisions` VALUES ('311252', '0', '0', '1052', 'IT', 'Alte Alpi', 'FR', '05');
INSERT INTO `subdivisions` VALUES ('311253', '0', '0', '1053', 'IT', 'Alpes-Maritimes', 'FR', '06');
INSERT INTO `subdivisions` VALUES ('311254', '0', '0', '1054', 'IT', 'Ardèche', 'FR', '07');
INSERT INTO `subdivisions` VALUES ('311255', '0', '0', '1055', 'IT', 'Ardenne', 'FR', '08');
INSERT INTO `subdivisions` VALUES ('311256', '0', '0', '1056', 'IT', 'Ariège', 'FR', '09');
INSERT INTO `subdivisions` VALUES ('311257', '0', '0', '1057', 'IT', 'Aube', 'FR', '10');
INSERT INTO `subdivisions` VALUES ('311258', '0', '0', '1058', 'IT', 'Aude', 'FR', '11');
INSERT INTO `subdivisions` VALUES ('311259', '0', '0', '1059', 'IT', 'Aveyron', 'FR', '12');
INSERT INTO `subdivisions` VALUES ('311260', '0', '0', '1060', 'IT', 'Bocche del Rodano', 'FR', '13');
INSERT INTO `subdivisions` VALUES ('311261', '0', '0', '1061', 'IT', 'Calvados', 'FR', '14');
INSERT INTO `subdivisions` VALUES ('311262', '0', '0', '1062', 'IT', 'Cantal', 'FR', '15');
INSERT INTO `subdivisions` VALUES ('311263', '0', '0', '1063', 'IT', 'Charente', 'FR', '16');
INSERT INTO `subdivisions` VALUES ('311264', '0', '0', '1064', 'IT', 'Charente Marittima', 'FR', '17');
INSERT INTO `subdivisions` VALUES ('311265', '0', '0', '1065', 'IT', 'Cher', 'FR', '18');
INSERT INTO `subdivisions` VALUES ('311266', '0', '0', '1066', 'IT', 'Corrèze', 'FR', '19');
INSERT INTO `subdivisions` VALUES ('311267', '0', '0', '1067', 'IT', 'Corsica del Sud', 'FR', '20A');
INSERT INTO `subdivisions` VALUES ('311268', '0', '0', '1068', 'IT', 'Alta Corsica', 'FR', '20B');
INSERT INTO `subdivisions` VALUES ('311269', '0', '0', '1069', 'IT', 'Côte-d\'Or', 'FR', '21');
INSERT INTO `subdivisions` VALUES ('311270', '0', '0', '1070', 'IT', 'Côtes-d\'Armor', 'FR', '22');
INSERT INTO `subdivisions` VALUES ('311271', '0', '0', '1071', 'IT', 'Creuse', 'FR', '23');
INSERT INTO `subdivisions` VALUES ('311272', '0', '0', '1072', 'IT', 'Dordogna', 'FR', '24');
INSERT INTO `subdivisions` VALUES ('311273', '0', '0', '1073', 'IT', 'Doubs', 'FR', '25');
INSERT INTO `subdivisions` VALUES ('311274', '0', '0', '1074', 'IT', 'Drôme', 'FR', '26');
INSERT INTO `subdivisions` VALUES ('311275', '0', '0', '1075', 'IT', 'Eure', 'FR', '27');
INSERT INTO `subdivisions` VALUES ('311276', '0', '0', '1076', 'IT', 'Eure-et-Loir', 'FR', '28');
INSERT INTO `subdivisions` VALUES ('311277', '0', '0', '1077', 'IT', 'Finistère', 'FR', '29');
INSERT INTO `subdivisions` VALUES ('311278', '0', '0', '1078', 'IT', 'Gard', 'FR', '30');
INSERT INTO `subdivisions` VALUES ('311279', '0', '0', '1079', 'IT', 'Alta Garonna', 'FR', '31');
INSERT INTO `subdivisions` VALUES ('311280', '0', '0', '1080', 'IT', 'Gers', 'FR', '32');
INSERT INTO `subdivisions` VALUES ('311281', '0', '0', '1081', 'IT', 'Gironda', 'FR', '33');
INSERT INTO `subdivisions` VALUES ('311282', '0', '0', '1082', 'IT', 'Hérault', 'FR', '34');
INSERT INTO `subdivisions` VALUES ('311283', '0', '0', '1083', 'IT', 'Ille-et-Vilaine', 'FR', '35');
INSERT INTO `subdivisions` VALUES ('311284', '0', '0', '1084', 'IT', 'Indre', 'FR', '36');
INSERT INTO `subdivisions` VALUES ('311285', '0', '0', '1085', 'IT', 'Indre e Loira', 'FR', '37');
INSERT INTO `subdivisions` VALUES ('311286', '0', '0', '1086', 'IT', 'Isère', 'FR', '38');
INSERT INTO `subdivisions` VALUES ('311287', '0', '0', '1087', 'IT', 'Giura', 'FR', '39');
INSERT INTO `subdivisions` VALUES ('311288', '0', '0', '1088', 'IT', 'Landes', 'FR', '40');
INSERT INTO `subdivisions` VALUES ('311289', '0', '0', '1089', 'IT', 'Loir-et-Cher', 'FR', '41');
INSERT INTO `subdivisions` VALUES ('311290', '0', '0', '1090', 'IT', 'Loira', 'FR', '42');
INSERT INTO `subdivisions` VALUES ('311291', '0', '0', '1091', 'IT', 'Alta Loira', 'FR', '43');
INSERT INTO `subdivisions` VALUES ('311292', '0', '0', '1092', 'IT', 'Loira Atlantica', 'FR', '44');
INSERT INTO `subdivisions` VALUES ('311293', '0', '0', '1093', 'IT', 'Loiret', 'FR', '45');
INSERT INTO `subdivisions` VALUES ('311294', '0', '0', '1094', 'IT', 'Lot', 'FR', '46');
INSERT INTO `subdivisions` VALUES ('311295', '0', '0', '1095', 'IT', 'Lot e Garonna', 'FR', '47');
INSERT INTO `subdivisions` VALUES ('311296', '0', '0', '1096', 'IT', 'Lozère', 'FR', '48');
INSERT INTO `subdivisions` VALUES ('311297', '0', '0', '1097', 'IT', 'Maine e Loira', 'FR', '49');
INSERT INTO `subdivisions` VALUES ('311298', '0', '0', '1098', 'IT', 'Manica', 'FR', '50');
INSERT INTO `subdivisions` VALUES ('311299', '0', '0', '1099', 'IT', 'Marna', 'FR', '51');
INSERT INTO `subdivisions` VALUES ('311300', '0', '0', '1100', 'IT', 'Alta Marna', 'FR', '52');
INSERT INTO `subdivisions` VALUES ('311301', '0', '0', '1101', 'IT', 'Mayenne', 'FR', '53');
INSERT INTO `subdivisions` VALUES ('311302', '0', '0', '1102', 'IT', 'Meurthe e Mosella', 'FR', '54');
INSERT INTO `subdivisions` VALUES ('311303', '0', '0', '1103', 'IT', 'Mosa', 'FR', '55');
INSERT INTO `subdivisions` VALUES ('311304', '0', '0', '1104', 'IT', 'Morbihan', 'FR', '56');
INSERT INTO `subdivisions` VALUES ('311305', '0', '0', '1105', 'IT', 'Mosella', 'FR', '57');
INSERT INTO `subdivisions` VALUES ('311306', '0', '0', '1106', 'IT', 'Nièvre', 'FR', '58');
INSERT INTO `subdivisions` VALUES ('311307', '0', '0', '1107', 'IT', 'Nord', 'FR', '59');
INSERT INTO `subdivisions` VALUES ('311308', '0', '0', '1108', 'IT', 'Oise', 'FR', '60');
INSERT INTO `subdivisions` VALUES ('311309', '0', '0', '1109', 'IT', 'Orne', 'FR', '61');
INSERT INTO `subdivisions` VALUES ('311310', '0', '0', '1110', 'IT', 'Pas-de-Calais', 'FR', '62');
INSERT INTO `subdivisions` VALUES ('311311', '0', '0', '1111', 'IT', 'Puy-de-Dôme', 'FR', '63');
INSERT INTO `subdivisions` VALUES ('311312', '0', '0', '1112', 'IT', 'Pirenei Atlantici', 'FR', '64');
INSERT INTO `subdivisions` VALUES ('311313', '0', '0', '1113', 'IT', 'Alti Pirenei', 'FR', '65');
INSERT INTO `subdivisions` VALUES ('311314', '0', '0', '1114', 'IT', 'Pirenei Orientali', 'FR', '66');
INSERT INTO `subdivisions` VALUES ('311315', '0', '0', '1115', 'IT', 'Basso Reno', 'FR', '67');
INSERT INTO `subdivisions` VALUES ('311316', '0', '0', '1116', 'IT', 'Alto Reno', 'FR', '68');
INSERT INTO `subdivisions` VALUES ('311317', '0', '0', '1117', 'IT', 'Rodano', 'FR', '69');
INSERT INTO `subdivisions` VALUES ('311318', '0', '0', '1118', 'IT', 'Alta Saona', 'FR', '70');
INSERT INTO `subdivisions` VALUES ('311319', '0', '0', '1119', 'IT', 'Saona e Loira', 'FR', '71');
INSERT INTO `subdivisions` VALUES ('311320', '0', '0', '1120', 'IT', 'Sarthe', 'FR', '72');
INSERT INTO `subdivisions` VALUES ('311321', '0', '0', '1121', 'IT', 'Savoia', 'FR', '73');
INSERT INTO `subdivisions` VALUES ('311322', '0', '0', '1122', 'IT', 'Alta Savoia', 'FR', '74');
INSERT INTO `subdivisions` VALUES ('311323', '0', '0', '1123', 'IT', 'Parigi', 'FR', '75');
INSERT INTO `subdivisions` VALUES ('311324', '0', '0', '1124', 'IT', 'Senna Marittima', 'FR', '76');
INSERT INTO `subdivisions` VALUES ('311325', '0', '0', '1125', 'IT', 'Senna e Marna', 'FR', '77');
INSERT INTO `subdivisions` VALUES ('311326', '0', '0', '1126', 'IT', 'Yvelines', 'FR', '78');
INSERT INTO `subdivisions` VALUES ('311327', '0', '0', '1127', 'IT', 'Deux-Sèvres', 'FR', '79');
INSERT INTO `subdivisions` VALUES ('311328', '0', '0', '1128', 'IT', 'Somme', 'FR', '80');
INSERT INTO `subdivisions` VALUES ('311329', '0', '0', '1129', 'IT', 'Tarn', 'FR', '81');
INSERT INTO `subdivisions` VALUES ('311330', '0', '0', '1130', 'IT', 'Tarn e Garonna', 'FR', '82');
INSERT INTO `subdivisions` VALUES ('311331', '0', '0', '1131', 'IT', 'Varo', 'FR', '83');
INSERT INTO `subdivisions` VALUES ('311332', '0', '0', '1132', 'IT', 'Vaucluse', 'FR', '84');
INSERT INTO `subdivisions` VALUES ('311333', '0', '0', '1133', 'IT', 'Vandea', 'FR', '85');
INSERT INTO `subdivisions` VALUES ('311334', '0', '0', '1134', 'IT', 'Vienne', 'FR', '86');
INSERT INTO `subdivisions` VALUES ('311335', '0', '0', '1135', 'IT', 'Alta Vienne', 'FR', '87');
INSERT INTO `subdivisions` VALUES ('311336', '0', '0', '1136', 'IT', 'Vosgi', 'FR', '88');
INSERT INTO `subdivisions` VALUES ('311337', '0', '0', '1137', 'IT', 'Yonne', 'FR', '89');
INSERT INTO `subdivisions` VALUES ('311338', '0', '0', '1138', 'IT', 'Territorio di Belfort', 'FR', '90');
INSERT INTO `subdivisions` VALUES ('311339', '0', '0', '1139', 'IT', 'Essonne', 'FR', '91');
INSERT INTO `subdivisions` VALUES ('311340', '0', '0', '1140', 'IT', 'Hauts-de-Seine', 'FR', '92');
INSERT INTO `subdivisions` VALUES ('311341', '0', '0', '1141', 'IT', 'Senna-Saint-Denis', 'FR', '93');
INSERT INTO `subdivisions` VALUES ('311342', '0', '0', '1142', 'IT', 'Valle della Marna', 'FR', '94');
INSERT INTO `subdivisions` VALUES ('311343', '0', '0', '1143', 'IT', 'Val-d\'Oise', 'FR', '95');
INSERT INTO `subdivisions` VALUES ('311012', '0', '0', '812', 'IT', 'Brandeburgo', 'DE', 'BB');
INSERT INTO `subdivisions` VALUES ('311013', '0', '0', '813', 'IT', 'Berlino', 'DE', 'BE');
INSERT INTO `subdivisions` VALUES ('311014', '0', '0', '814', 'IT', 'Baden-Württemberg', 'DE', 'BW');
INSERT INTO `subdivisions` VALUES ('311015', '0', '0', '815', 'IT', 'Baviera', 'DE', 'BY');
INSERT INTO `subdivisions` VALUES ('311016', '0', '0', '816', 'IT', 'Brema', 'DE', 'HB');
INSERT INTO `subdivisions` VALUES ('311017', '0', '0', '817', 'IT', 'Assia', 'DE', 'HE');
INSERT INTO `subdivisions` VALUES ('311018', '0', '0', '818', 'IT', 'Amburgo', 'DE', 'HH');
INSERT INTO `subdivisions` VALUES ('311019', '0', '0', '819', 'IT', 'Meclemburgo-Pomerania Anteriore', 'DE', 'MV');
INSERT INTO `subdivisions` VALUES ('311020', '0', '0', '820', 'IT', 'Bassa Sassonia', 'DE', 'NI');
INSERT INTO `subdivisions` VALUES ('311021', '0', '0', '821', 'IT', 'Renania Settentrionale-Vestfalia', 'DE', 'NW');
INSERT INTO `subdivisions` VALUES ('311022', '0', '0', '822', 'IT', 'Renania-Palatinato', 'DE', 'RP');
INSERT INTO `subdivisions` VALUES ('311023', '0', '0', '823', 'IT', 'Schleswig-Holstein', 'DE', 'SH');
INSERT INTO `subdivisions` VALUES ('311024', '0', '0', '824', 'IT', 'Saarland', 'DE', 'SL');
INSERT INTO `subdivisions` VALUES ('311025', '0', '0', '825', 'IT', 'Sassonia', 'DE', 'SN');
INSERT INTO `subdivisions` VALUES ('311026', '0', '0', '826', 'IT', 'Sassonia-Anhalt', 'DE', 'ST');
INSERT INTO `subdivisions` VALUES ('311027', '0', '0', '827', 'IT', 'Turingia', 'DE', 'TH');
INSERT INTO `subdivisions` VALUES ('310811', '0', '0', '611', 'IT', 'Argovia', 'CH', 'AG');
INSERT INTO `subdivisions` VALUES ('310812', '0', '0', '612', 'IT', 'Appenzello Interno', 'CH', 'AI');
INSERT INTO `subdivisions` VALUES ('310813', '0', '0', '613', 'IT', 'Appenzello Esterno', 'CH', 'AR');
INSERT INTO `subdivisions` VALUES ('310814', '0', '0', '614', 'IT', 'Berna', 'CH', 'BE');
INSERT INTO `subdivisions` VALUES ('310815', '0', '0', '615', 'IT', 'Basilea Campagna', 'CH', 'BL');
INSERT INTO `subdivisions` VALUES ('310816', '0', '0', '616', 'IT', 'Basilea Città', 'CH', 'BS');
INSERT INTO `subdivisions` VALUES ('310817', '0', '0', '617', 'IT', 'Friburgo', 'CH', 'FR');
INSERT INTO `subdivisions` VALUES ('310818', '0', '0', '618', 'IT', 'Ginevra', 'CH', 'GE');
INSERT INTO `subdivisions` VALUES ('310819', '0', '0', '619', 'IT', 'Glarona', 'CH', 'GL');
INSERT INTO `subdivisions` VALUES ('310820', '0', '0', '620', 'IT', 'Grigioni', 'CH', 'GR');
INSERT INTO `subdivisions` VALUES ('310821', '0', '0', '621', 'IT', 'Giura', 'CH', 'JU');
INSERT INTO `subdivisions` VALUES ('310822', '0', '0', '622', 'IT', 'Lucerna', 'CH', 'LU');
INSERT INTO `subdivisions` VALUES ('310823', '0', '0', '623', 'IT', 'Neuchâtel', 'CH', 'NE');
INSERT INTO `subdivisions` VALUES ('310824', '0', '0', '624', 'IT', 'Nidvaldo', 'CH', 'NW');
INSERT INTO `subdivisions` VALUES ('310825', '0', '0', '625', 'IT', 'Obvaldo', 'CH', 'OW');
INSERT INTO `subdivisions` VALUES ('310826', '0', '0', '626', 'IT', 'San Gallo', 'CH', 'SG');
INSERT INTO `subdivisions` VALUES ('310827', '0', '0', '627', 'IT', 'Sciaffusa', 'CH', 'SH');
INSERT INTO `subdivisions` VALUES ('310828', '0', '0', '628', 'IT', 'Soletta', 'CH', 'SO');
INSERT INTO `subdivisions` VALUES ('310829', '0', '0', '629', 'IT', 'Svitto', 'CH', 'SZ');
INSERT INTO `subdivisions` VALUES ('310830', '0', '0', '630', 'IT', 'Turgovia', 'CH', 'TG');
INSERT INTO `subdivisions` VALUES ('310831', '0', '0', '631', 'IT', 'Ticino', 'CH', 'TI');
INSERT INTO `subdivisions` VALUES ('310832', '0', '0', '632', 'IT', 'Uri', 'CH', 'UR');
INSERT INTO `subdivisions` VALUES ('310833', '0', '0', '633', 'IT', 'Vaud', 'CH', 'VD');
INSERT INTO `subdivisions` VALUES ('310834', '0', '0', '634', 'IT', 'Vallese', 'CH', 'VS');
INSERT INTO `subdivisions` VALUES ('310835', '0', '0', '635', 'IT', 'Zugo', 'CH', 'ZG');
INSERT INTO `subdivisions` VALUES ('310836', '0', '0', '636', 'IT', 'Zurigo', 'CH', 'ZH');
INSERT INTO `subdivisions` VALUES ('166443', '0', '0', '1003', 'ES', 'Andalucía', 'ES', 'AN');
INSERT INTO `subdivisions` VALUES ('166444', '0', '0', '1004', 'ES', 'Aragón', 'ES', 'AR');
INSERT INTO `subdivisions` VALUES ('166445', '0', '0', '1005', 'ES', 'Principado de Asturias', 'ES', 'AS');
INSERT INTO `subdivisions` VALUES ('166446', '0', '0', '1006', 'ES', 'Cantabria', 'ES', 'CB');
INSERT INTO `subdivisions` VALUES ('166447', '0', '0', '1007', 'ES', 'Ceuta', 'ES', 'CE');
INSERT INTO `subdivisions` VALUES ('166448', '0', '0', '1008', 'ES', 'Castilla y León', 'ES', 'CL');
INSERT INTO `subdivisions` VALUES ('166449', '0', '0', '1009', 'ES', 'Castilla-La Mancha', 'ES', 'CM');
INSERT INTO `subdivisions` VALUES ('166450', '0', '0', '1010', 'ES', 'Islas Canarias', 'ES', 'CN');
INSERT INTO `subdivisions` VALUES ('166451', '0', '0', '1011', 'ES', 'Cataluña', 'ES', 'CT');
INSERT INTO `subdivisions` VALUES ('166452', '0', '0', '1012', 'ES', 'Extremadura', 'ES', 'EX');
INSERT INTO `subdivisions` VALUES ('166453', '0', '0', '1013', 'ES', 'Galicia', 'ES', 'GA');
INSERT INTO `subdivisions` VALUES ('166454', '0', '0', '1014', 'ES', 'Islas Baleares', 'ES', 'IB');
INSERT INTO `subdivisions` VALUES ('166455', '0', '0', '1015', 'ES', 'Región de Murcia', 'ES', 'MC');
INSERT INTO `subdivisions` VALUES ('166456', '0', '0', '1016', 'ES', 'Comunidad de Madrid', 'ES', 'MD');
INSERT INTO `subdivisions` VALUES ('166457', '0', '0', '1017', 'ES', 'Melilla', 'ES', 'ML');
INSERT INTO `subdivisions` VALUES ('166458', '0', '0', '1018', 'ES', 'Comunidad Foral de Navarra', 'ES', 'NC');
INSERT INTO `subdivisions` VALUES ('166459', '0', '0', '1019', 'ES', 'País Vasco', 'ES', 'PV');
INSERT INTO `subdivisions` VALUES ('166460', '0', '0', '1020', 'ES', 'La Rioja', 'ES', 'RI');
INSERT INTO `subdivisions` VALUES ('166461', '0', '0', '1021', 'ES', 'Comunidad Valenciana', 'ES', 'VC');
INSERT INTO `subdivisions` VALUES ('166252', '0', '0', '812', 'ES', 'Brandeburgo', 'DE', 'BB');
INSERT INTO `subdivisions` VALUES ('166253', '0', '0', '813', 'ES', 'Berlín', 'DE', 'BE');
INSERT INTO `subdivisions` VALUES ('166254', '0', '0', '814', 'ES', 'Baden-Wurtemberg', 'DE', 'BW');
INSERT INTO `subdivisions` VALUES ('166255', '0', '0', '815', 'ES', 'Baviera', 'DE', 'BY');
INSERT INTO `subdivisions` VALUES ('166256', '0', '0', '816', 'ES', 'Bremen', 'DE', 'HB');
INSERT INTO `subdivisions` VALUES ('166257', '0', '0', '817', 'ES', 'Hesse', 'DE', 'HE');
INSERT INTO `subdivisions` VALUES ('166258', '0', '0', '818', 'ES', 'Hamburgo', 'DE', 'HH');
INSERT INTO `subdivisions` VALUES ('166259', '0', '0', '819', 'ES', 'Mecklemburgo-Pomerania Occidental', 'DE', 'MV');
INSERT INTO `subdivisions` VALUES ('166260', '0', '0', '820', 'ES', 'Baja Sajonia', 'DE', 'NI');
INSERT INTO `subdivisions` VALUES ('166261', '0', '0', '821', 'ES', 'Renania del Norte-Westfalia', 'DE', 'NW');
INSERT INTO `subdivisions` VALUES ('166262', '0', '0', '822', 'ES', 'Renania-Palatinado', 'DE', 'RP');
INSERT INTO `subdivisions` VALUES ('166263', '0', '0', '823', 'ES', 'Schleswig-Holstein', 'DE', 'SH');
INSERT INTO `subdivisions` VALUES ('166264', '0', '0', '824', 'ES', 'Sarre', 'DE', 'SL');
INSERT INTO `subdivisions` VALUES ('166265', '0', '0', '825', 'ES', 'Sajonia', 'DE', 'SN');
INSERT INTO `subdivisions` VALUES ('166266', '0', '0', '826', 'ES', 'Sajonia-Anhalt', 'DE', 'ST');
INSERT INTO `subdivisions` VALUES ('166267', '0', '0', '827', 'ES', 'Turingia', 'DE', 'TH');
INSERT INTO `subdivisions` VALUES ('4127', '0', '0', '0', 'EN', 'Bulawayo', 'ZW', 'BU');
INSERT INTO `subdivisions` VALUES ('4128', '0', '0', '0', 'EN', 'Harare', 'ZW', 'HA');
INSERT INTO `subdivisions` VALUES ('4129', '0', '0', '0', 'EN', 'Manicaland', 'ZW', 'MA');
INSERT INTO `subdivisions` VALUES ('4130', '0', '0', '0', 'EN', 'Mashonaland Central', 'ZW', 'MC');
INSERT INTO `subdivisions` VALUES ('4131', '0', '0', '0', 'EN', 'Mashonaland East', 'ZW', 'ME');
INSERT INTO `subdivisions` VALUES ('4132', '0', '0', '0', 'EN', 'Midlands', 'ZW', 'MI');
INSERT INTO `subdivisions` VALUES ('4133', '0', '0', '0', 'EN', 'Matabeleland North', 'ZW', 'MN');
INSERT INTO `subdivisions` VALUES ('4134', '0', '0', '0', 'EN', 'Matabeleland South', 'ZW', 'MS');
INSERT INTO `subdivisions` VALUES ('4135', '0', '0', '0', 'EN', 'Masvingo', 'ZW', 'MV');
INSERT INTO `subdivisions` VALUES ('4136', '0', '0', '0', 'EN', 'Mashonaland West', 'ZW', 'MW');
INSERT INTO `subdivisions` VALUES ('4118', '0', '0', '0', 'EN', 'Western', 'ZM', '01');
INSERT INTO `subdivisions` VALUES ('4119', '0', '0', '0', 'EN', 'Central', 'ZM', '02');
INSERT INTO `subdivisions` VALUES ('4120', '0', '0', '0', 'EN', 'Eastern', 'ZM', '03');
INSERT INTO `subdivisions` VALUES ('4121', '0', '0', '0', 'EN', 'Luapula', 'ZM', '04');
INSERT INTO `subdivisions` VALUES ('4122', '0', '0', '0', 'EN', 'Northern', 'ZM', '05');
INSERT INTO `subdivisions` VALUES ('4123', '0', '0', '0', 'EN', 'NorthWestern', 'ZM', '06');
INSERT INTO `subdivisions` VALUES ('4124', '0', '0', '0', 'EN', 'Southern', 'ZM', '07');
INSERT INTO `subdivisions` VALUES ('4125', '0', '0', '0', 'EN', 'Copperbelt', 'ZM', '08');
INSERT INTO `subdivisions` VALUES ('4126', '0', '0', '0', 'EN', 'Lusaka', 'ZM', '09');
INSERT INTO `subdivisions` VALUES ('4109', '0', '0', '0', 'EN', 'Eastern Cape', 'ZA', 'EC');
INSERT INTO `subdivisions` VALUES ('4110', '0', '0', '0', 'EN', 'Free State', 'ZA', 'FS');
INSERT INTO `subdivisions` VALUES ('4111', '0', '0', '0', 'EN', 'Gauteng', 'ZA', 'GP');
INSERT INTO `subdivisions` VALUES ('4112', '0', '0', '0', 'EN', 'Limpopo', 'ZA', 'LP');
INSERT INTO `subdivisions` VALUES ('4113', '0', '0', '0', 'EN', 'Mpumalanga', 'ZA', 'MP');
INSERT INTO `subdivisions` VALUES ('4114', '0', '0', '0', 'EN', 'Northern Cape', 'ZA', 'NC');
INSERT INTO `subdivisions` VALUES ('4115', '0', '0', '0', 'EN', 'NorthWest', 'ZA', 'NW');
INSERT INTO `subdivisions` VALUES ('4116', '0', '0', '0', 'EN', 'Western Cape', 'ZA', 'WC');
INSERT INTO `subdivisions` VALUES ('4117', '0', '0', '0', 'EN', 'KwaZulu-Natal', 'ZA', 'ZN');
INSERT INTO `subdivisions` VALUES ('4088', '0', '0', '0', 'EN', 'Abyān', 'YE', 'AB');
INSERT INTO `subdivisions` VALUES ('4089', '0', '0', '0', 'EN', 'Adan', 'YE', 'AD');
INSERT INTO `subdivisions` VALUES ('4090', '0', '0', '0', 'EN', 'Amrān', 'YE', 'AM');
INSERT INTO `subdivisions` VALUES ('4091', '0', '0', '0', 'EN', 'Al Bayḑā\'', 'YE', 'BA');
INSERT INTO `subdivisions` VALUES ('4092', '0', '0', '0', 'EN', 'AdḐāli\'', 'YE', 'DA');
INSERT INTO `subdivisions` VALUES ('4093', '0', '0', '0', 'EN', 'Dhamār', 'YE', 'DH');
INSERT INTO `subdivisions` VALUES ('4094', '0', '0', '0', 'EN', 'Hadramawt', 'YE', 'HD');
INSERT INTO `subdivisions` VALUES ('4095', '0', '0', '0', 'EN', 'Hajjah', 'YE', 'HJ');
INSERT INTO `subdivisions` VALUES ('4096', '0', '0', '0', 'EN', 'Al Hudaydah', 'YE', 'HU');
INSERT INTO `subdivisions` VALUES ('4097', '0', '0', '0', 'EN', 'Ibb', 'YE', 'IB');
INSERT INTO `subdivisions` VALUES ('4098', '0', '0', '0', 'EN', 'Al Jawf', 'YE', 'JA');
INSERT INTO `subdivisions` VALUES ('4099', '0', '0', '0', 'EN', 'Laḩij', 'YE', 'LA');
INSERT INTO `subdivisions` VALUES ('4100', '0', '0', '0', 'EN', 'Ma\'rib', 'YE', 'MA');
INSERT INTO `subdivisions` VALUES ('4101', '0', '0', '0', 'EN', 'Al Mahrah', 'YE', 'MR');
INSERT INTO `subdivisions` VALUES ('4102', '0', '0', '0', 'EN', 'Al Maḩwīt', 'YE', 'MW');
INSERT INTO `subdivisions` VALUES ('4103', '0', '0', '0', 'EN', 'Raymah', 'YE', 'RA');
INSERT INTO `subdivisions` VALUES ('4104', '0', '0', '0', 'EN', 'San‘ā\'', 'YE', 'SA');
INSERT INTO `subdivisions` VALUES ('4105', '0', '0', '0', 'EN', 'Sadah', 'YE', 'SD');
INSERT INTO `subdivisions` VALUES ('4106', '0', '0', '0', 'EN', 'Shabwah', 'YE', 'SH');
INSERT INTO `subdivisions` VALUES ('4107', '0', '0', '0', 'EN', 'San‘ā\'', 'YE', 'SN');
INSERT INTO `subdivisions` VALUES ('4108', '0', '0', '0', 'EN', 'Tā‘izz', 'YE', 'TA');
INSERT INTO `subdivisions` VALUES ('4077', '0', '0', '0', 'EN', 'A\'ana', 'WS', 'AA');
INSERT INTO `subdivisions` VALUES ('4078', '0', '0', '0', 'EN', 'Aiga-i-le-Tai', 'WS', 'AL');
INSERT INTO `subdivisions` VALUES ('4079', '0', '0', '0', 'EN', 'Atua', 'WS', 'AT');
INSERT INTO `subdivisions` VALUES ('4080', '0', '0', '0', 'EN', 'Fa\'asaleleaga', 'WS', 'FA');
INSERT INTO `subdivisions` VALUES ('4081', '0', '0', '0', 'EN', 'Gaga\'emauga', 'WS', 'GE');
INSERT INTO `subdivisions` VALUES ('4082', '0', '0', '0', 'EN', 'Gagaifomauga', 'WS', 'GI');
INSERT INTO `subdivisions` VALUES ('4083', '0', '0', '0', 'EN', 'Palauli', 'WS', 'PA');
INSERT INTO `subdivisions` VALUES ('4084', '0', '0', '0', 'EN', 'Satupa\'itea', 'WS', 'SA');
INSERT INTO `subdivisions` VALUES ('4085', '0', '0', '0', 'EN', 'Tuamasaga', 'WS', 'TU');
INSERT INTO `subdivisions` VALUES ('4086', '0', '0', '0', 'EN', 'Va\'a-o-Fonoti', 'WS', 'VF');
INSERT INTO `subdivisions` VALUES ('4087', '0', '0', '0', 'EN', 'Vaisigano', 'WS', 'VS');
INSERT INTO `subdivisions` VALUES ('4071', '0', '0', '0', 'EN', 'Malampa', 'VU', 'MAP');
INSERT INTO `subdivisions` VALUES ('4072', '0', '0', '0', 'EN', 'Pénama', 'VU', 'PAM');
INSERT INTO `subdivisions` VALUES ('4073', '0', '0', '0', 'EN', 'Sanma', 'VU', 'SAM');
INSERT INTO `subdivisions` VALUES ('4074', '0', '0', '0', 'EN', 'Shéfa', 'VU', 'SEE');
INSERT INTO `subdivisions` VALUES ('4075', '0', '0', '0', 'EN', 'Taféa', 'VU', 'TAE');
INSERT INTO `subdivisions` VALUES ('4076', '0', '0', '0', 'EN', 'Torba', 'VU', 'TOB');
INSERT INTO `subdivisions` VALUES ('4007', '0', '0', '0', 'EN', 'Lai Chau', 'VN', '01');
INSERT INTO `subdivisions` VALUES ('4008', '0', '0', '0', 'EN', 'Lao Cai', 'VN', '02');
INSERT INTO `subdivisions` VALUES ('4009', '0', '0', '0', 'EN', 'Ha Giang', 'VN', '03');
INSERT INTO `subdivisions` VALUES ('4010', '0', '0', '0', 'EN', 'Cao Bang', 'VN', '04');
INSERT INTO `subdivisions` VALUES ('4011', '0', '0', '0', 'EN', 'Son La', 'VN', '05');
INSERT INTO `subdivisions` VALUES ('4012', '0', '0', '0', 'EN', 'Yen Bai', 'VN', '06');
INSERT INTO `subdivisions` VALUES ('4013', '0', '0', '0', 'EN', 'Tuyen Quang', 'VN', '07');
INSERT INTO `subdivisions` VALUES ('4014', '0', '0', '0', 'EN', 'Lang Son', 'VN', '09');
INSERT INTO `subdivisions` VALUES ('4015', '0', '0', '0', 'EN', 'Quang Ninh', 'VN', '13');
INSERT INTO `subdivisions` VALUES ('4016', '0', '0', '0', 'EN', 'Hoa Binh', 'VN', '14');
INSERT INTO `subdivisions` VALUES ('4017', '0', '0', '0', 'EN', 'Ha Tay', 'VN', '15');
INSERT INTO `subdivisions` VALUES ('4018', '0', '0', '0', 'EN', 'Ninh Binh', 'VN', '18');
INSERT INTO `subdivisions` VALUES ('4019', '0', '0', '0', 'EN', 'Thai Binh', 'VN', '20');
INSERT INTO `subdivisions` VALUES ('4020', '0', '0', '0', 'EN', 'Thanh Hoa', 'VN', '21');
INSERT INTO `subdivisions` VALUES ('4021', '0', '0', '0', 'EN', 'Nghe An', 'VN', '22');
INSERT INTO `subdivisions` VALUES ('4022', '0', '0', '0', 'EN', 'Ha Tinh', 'VN', '23');
INSERT INTO `subdivisions` VALUES ('4023', '0', '0', '0', 'EN', 'Quang Binh', 'VN', '24');
INSERT INTO `subdivisions` VALUES ('4024', '0', '0', '0', 'EN', 'Quang Tri', 'VN', '25');
INSERT INTO `subdivisions` VALUES ('4025', '0', '0', '0', 'EN', 'Thua Thien-Hue', 'VN', '26');
INSERT INTO `subdivisions` VALUES ('4026', '0', '0', '0', 'EN', 'Quang Nam', 'VN', '27');
INSERT INTO `subdivisions` VALUES ('4027', '0', '0', '0', 'EN', 'Kon Tum', 'VN', '28');
INSERT INTO `subdivisions` VALUES ('4028', '0', '0', '0', 'EN', 'Quang Ngai', 'VN', '29');
INSERT INTO `subdivisions` VALUES ('4029', '0', '0', '0', 'EN', 'Gia Lai', 'VN', '30');
INSERT INTO `subdivisions` VALUES ('4030', '0', '0', '0', 'EN', 'Binh Dinh', 'VN', '31');
INSERT INTO `subdivisions` VALUES ('4031', '0', '0', '0', 'EN', 'Phu Yen', 'VN', '32');
INSERT INTO `subdivisions` VALUES ('4032', '0', '0', '0', 'EN', 'Dac Lac', 'VN', '33');
INSERT INTO `subdivisions` VALUES ('4033', '0', '0', '0', 'EN', 'Khanh Hoa', 'VN', '34');
INSERT INTO `subdivisions` VALUES ('4034', '0', '0', '0', 'EN', 'Lam Dong', 'VN', '35');
INSERT INTO `subdivisions` VALUES ('4035', '0', '0', '0', 'EN', 'Ninh Thuan', 'VN', '36');
INSERT INTO `subdivisions` VALUES ('4036', '0', '0', '0', 'EN', 'Tay Ninh', 'VN', '37');
INSERT INTO `subdivisions` VALUES ('4037', '0', '0', '0', 'EN', 'Dong Nai', 'VN', '39');
INSERT INTO `subdivisions` VALUES ('4038', '0', '0', '0', 'EN', 'Binh Thuan', 'VN', '40');
INSERT INTO `subdivisions` VALUES ('4039', '0', '0', '0', 'EN', 'Long An', 'VN', '41');
INSERT INTO `subdivisions` VALUES ('4040', '0', '0', '0', 'EN', 'Ba Ria-Vung Tau', 'VN', '43');
INSERT INTO `subdivisions` VALUES ('4041', '0', '0', '0', 'EN', 'An Giang', 'VN', '44');
INSERT INTO `subdivisions` VALUES ('4042', '0', '0', '0', 'EN', 'Dong Thap', 'VN', '45');
INSERT INTO `subdivisions` VALUES ('4043', '0', '0', '0', 'EN', 'Tien Giang', 'VN', '46');
INSERT INTO `subdivisions` VALUES ('4044', '0', '0', '0', 'EN', 'Kien Giang', 'VN', '47');
INSERT INTO `subdivisions` VALUES ('4045', '0', '0', '0', 'EN', 'Vinh Long', 'VN', '49');
INSERT INTO `subdivisions` VALUES ('4046', '0', '0', '0', 'EN', 'Ben Tre', 'VN', '50');
INSERT INTO `subdivisions` VALUES ('4047', '0', '0', '0', 'EN', 'Tra Vinh', 'VN', '51');
INSERT INTO `subdivisions` VALUES ('4048', '0', '0', '0', 'EN', 'Soc Trang', 'VN', '52');
INSERT INTO `subdivisions` VALUES ('4049', '0', '0', '0', 'EN', 'Bac Kan', 'VN', '53');
INSERT INTO `subdivisions` VALUES ('4050', '0', '0', '0', 'EN', 'Bac Giang', 'VN', '54');
INSERT INTO `subdivisions` VALUES ('4051', '0', '0', '0', 'EN', 'Bac Lieu', 'VN', '55');
INSERT INTO `subdivisions` VALUES ('4052', '0', '0', '0', 'EN', 'Bac Ninh', 'VN', '56');
INSERT INTO `subdivisions` VALUES ('4053', '0', '0', '0', 'EN', 'Binh Duong', 'VN', '57');
INSERT INTO `subdivisions` VALUES ('4054', '0', '0', '0', 'EN', 'Binh Phuoc', 'VN', '58');
INSERT INTO `subdivisions` VALUES ('4055', '0', '0', '0', 'EN', 'Ca Mau', 'VN', '59');
INSERT INTO `subdivisions` VALUES ('4056', '0', '0', '0', 'EN', 'Hai Duong', 'VN', '61');
INSERT INTO `subdivisions` VALUES ('4057', '0', '0', '0', 'EN', 'Ha Nam', 'VN', '63');
INSERT INTO `subdivisions` VALUES ('4058', '0', '0', '0', 'EN', 'Hung Yen', 'VN', '66');
INSERT INTO `subdivisions` VALUES ('4059', '0', '0', '0', 'EN', 'Nam Dinh', 'VN', '67');
INSERT INTO `subdivisions` VALUES ('4060', '0', '0', '0', 'EN', 'Phu Tho', 'VN', '68');
INSERT INTO `subdivisions` VALUES ('4061', '0', '0', '0', 'EN', 'Thai Nguyen', 'VN', '69');
INSERT INTO `subdivisions` VALUES ('4062', '0', '0', '0', 'EN', 'Vinh Phuc', 'VN', '70');
INSERT INTO `subdivisions` VALUES ('4063', '0', '0', '0', 'EN', 'Dien Bien', 'VN', '71');
INSERT INTO `subdivisions` VALUES ('4064', '0', '0', '0', 'EN', 'Dak Nong', 'VN', '72');
INSERT INTO `subdivisions` VALUES ('4065', '0', '0', '0', 'EN', 'Hau Giang', 'VN', '73');
INSERT INTO `subdivisions` VALUES ('4066', '0', '0', '0', 'EN', 'Can Tho', 'VN', 'CT');
INSERT INTO `subdivisions` VALUES ('4067', '0', '0', '0', 'EN', 'Da Nang', 'VN', 'DN');
INSERT INTO `subdivisions` VALUES ('4068', '0', '0', '0', 'EN', 'Ha Noi', 'VN', 'HN');
INSERT INTO `subdivisions` VALUES ('4069', '0', '0', '0', 'EN', 'Hai Phong', 'VN', 'HP');
INSERT INTO `subdivisions` VALUES ('4070', '0', '0', '0', 'EN', 'Ho Chi Minh [Sai Gon]', 'VN', 'SG');
INSERT INTO `subdivisions` VALUES ('3982', '0', '0', '0', 'EN', 'Distrito Capital', 'VE', 'A');
INSERT INTO `subdivisions` VALUES ('3983', '0', '0', '0', 'EN', 'Anzoátegui', 'VE', 'B');
INSERT INTO `subdivisions` VALUES ('3984', '0', '0', '0', 'EN', 'Apure', 'VE', 'C');
INSERT INTO `subdivisions` VALUES ('3985', '0', '0', '0', 'EN', 'Aragua', 'VE', 'D');
INSERT INTO `subdivisions` VALUES ('3986', '0', '0', '0', 'EN', 'Barinas', 'VE', 'E');
INSERT INTO `subdivisions` VALUES ('3987', '0', '0', '0', 'EN', 'Bolívar', 'VE', 'F');
INSERT INTO `subdivisions` VALUES ('3988', '0', '0', '0', 'EN', 'Carabobo', 'VE', 'G');
INSERT INTO `subdivisions` VALUES ('3989', '0', '0', '0', 'EN', 'Cojedes', 'VE', 'H');
INSERT INTO `subdivisions` VALUES ('3990', '0', '0', '0', 'EN', 'Falcón', 'VE', 'I');
INSERT INTO `subdivisions` VALUES ('3991', '0', '0', '0', 'EN', 'Guárico', 'VE', 'J');
INSERT INTO `subdivisions` VALUES ('3992', '0', '0', '0', 'EN', 'Lara', 'VE', 'K');
INSERT INTO `subdivisions` VALUES ('3993', '0', '0', '0', 'EN', 'Merida !Mérida', 'VE', 'L');
INSERT INTO `subdivisions` VALUES ('3994', '0', '0', '0', 'EN', 'Miranda', 'VE', 'M');
INSERT INTO `subdivisions` VALUES ('3995', '0', '0', '0', 'EN', 'Monagas', 'VE', 'N');
INSERT INTO `subdivisions` VALUES ('3996', '0', '0', '0', 'EN', 'Nueva Esparta', 'VE', 'O');
INSERT INTO `subdivisions` VALUES ('3997', '0', '0', '0', 'EN', 'Portuguesa', 'VE', 'P');
INSERT INTO `subdivisions` VALUES ('3998', '0', '0', '0', 'EN', 'Sucre', 'VE', 'R');
INSERT INTO `subdivisions` VALUES ('3999', '0', '0', '0', 'EN', 'Tachira !Táchira', 'VE', 'S');
INSERT INTO `subdivisions` VALUES ('4000', '0', '0', '0', 'EN', 'Trujillo', 'VE', 'T');
INSERT INTO `subdivisions` VALUES ('4001', '0', '0', '0', 'EN', 'Yaracuy', 'VE', 'U');
INSERT INTO `subdivisions` VALUES ('4002', '0', '0', '0', 'EN', 'Zulia', 'VE', 'V');
INSERT INTO `subdivisions` VALUES ('4003', '0', '0', '0', 'EN', 'Dependencias Federales', 'VE', 'W');
INSERT INTO `subdivisions` VALUES ('4004', '0', '0', '0', 'EN', 'Vargas', 'VE', 'X');
INSERT INTO `subdivisions` VALUES ('4005', '0', '0', '0', 'EN', 'Delta Amacuro', 'VE', 'Y');
INSERT INTO `subdivisions` VALUES ('4006', '0', '0', '0', 'EN', 'Amazonas', 'VE', 'Z');
INSERT INTO `subdivisions` VALUES ('3976', '0', '0', '0', 'EN', 'Charlotte', 'VC', '01');
INSERT INTO `subdivisions` VALUES ('3977', '0', '0', '0', 'EN', 'Saint Andrew', 'VC', '02');
INSERT INTO `subdivisions` VALUES ('3978', '0', '0', '0', 'EN', 'Saint David', 'VC', '03');
INSERT INTO `subdivisions` VALUES ('3979', '0', '0', '0', 'EN', 'Saint George', 'VC', '04');
INSERT INTO `subdivisions` VALUES ('3980', '0', '0', '0', 'EN', 'Saint Patrick', 'VC', '05');
INSERT INTO `subdivisions` VALUES ('3981', '0', '0', '0', 'EN', 'Grenadines', 'VC', '06');
INSERT INTO `subdivisions` VALUES ('3962', '0', '0', '0', 'EN', 'Andijon', 'UZ', 'AN');
INSERT INTO `subdivisions` VALUES ('3963', '0', '0', '0', 'EN', 'Buxoro', 'UZ', 'BU');
INSERT INTO `subdivisions` VALUES ('3964', '0', '0', '0', 'EN', 'Fargʻona', 'UZ', 'FA');
INSERT INTO `subdivisions` VALUES ('3965', '0', '0', '0', 'EN', 'Jizzax', 'UZ', 'JI');
INSERT INTO `subdivisions` VALUES ('3966', '0', '0', '0', 'EN', 'Namangan', 'UZ', 'NG');
INSERT INTO `subdivisions` VALUES ('3967', '0', '0', '0', 'EN', 'Navoiy', 'UZ', 'NW');
INSERT INTO `subdivisions` VALUES ('3968', '0', '0', '0', 'EN', 'Qashqadaryo', 'UZ', 'QA');
INSERT INTO `subdivisions` VALUES ('3969', '0', '0', '0', 'EN', 'Karakalpakistan', 'UZ', 'QR');
INSERT INTO `subdivisions` VALUES ('3970', '0', '0', '0', 'EN', 'Samarqand', 'UZ', 'SA');
INSERT INTO `subdivisions` VALUES ('3971', '0', '0', '0', 'EN', 'Sirdaryo', 'UZ', 'SI');
INSERT INTO `subdivisions` VALUES ('3972', '0', '0', '0', 'EN', 'Surxondaryo', 'UZ', 'SU');
INSERT INTO `subdivisions` VALUES ('3973', '0', '0', '0', 'EN', 'Taschkent', 'UZ', 'TK');
INSERT INTO `subdivisions` VALUES ('3974', '0', '0', '0', 'EN', 'Taschkent', 'UZ', 'TO');
INSERT INTO `subdivisions` VALUES ('3975', '0', '0', '0', 'EN', 'Xorazm', 'UZ', 'XO');
INSERT INTO `subdivisions` VALUES ('3943', '0', '0', '0', 'EN', 'Artigas', 'UY', 'AR');
INSERT INTO `subdivisions` VALUES ('3944', '0', '0', '0', 'EN', 'Canelones', 'UY', 'CA');
INSERT INTO `subdivisions` VALUES ('3945', '0', '0', '0', 'EN', 'Cerro Largo', 'UY', 'CL');
INSERT INTO `subdivisions` VALUES ('3946', '0', '0', '0', 'EN', 'Colonia', 'UY', 'CO');
INSERT INTO `subdivisions` VALUES ('3947', '0', '0', '0', 'EN', 'Durazno', 'UY', 'DU');
INSERT INTO `subdivisions` VALUES ('3948', '0', '0', '0', 'EN', 'Florida', 'UY', 'FD');
INSERT INTO `subdivisions` VALUES ('3949', '0', '0', '0', 'EN', 'Flores', 'UY', 'FS');
INSERT INTO `subdivisions` VALUES ('3950', '0', '0', '0', 'EN', 'Lavalleja', 'UY', 'LA');
INSERT INTO `subdivisions` VALUES ('3951', '0', '0', '0', 'EN', 'Maldonado', 'UY', 'MA');
INSERT INTO `subdivisions` VALUES ('3952', '0', '0', '0', 'EN', 'Montevideo', 'UY', 'MO');
INSERT INTO `subdivisions` VALUES ('3953', '0', '0', '0', 'EN', 'Paysandú', 'UY', 'PA');
INSERT INTO `subdivisions` VALUES ('3954', '0', '0', '0', 'EN', 'Rio Negro ! Río Negro', 'UY', 'RN');
INSERT INTO `subdivisions` VALUES ('3955', '0', '0', '0', 'EN', 'Rocha', 'UY', 'RO');
INSERT INTO `subdivisions` VALUES ('3956', '0', '0', '0', 'EN', 'Rivera', 'UY', 'RV');
INSERT INTO `subdivisions` VALUES ('3957', '0', '0', '0', 'EN', 'Salto', 'UY', 'SA');
INSERT INTO `subdivisions` VALUES ('3958', '0', '0', '0', 'EN', 'San José', 'UY', 'SJ');
INSERT INTO `subdivisions` VALUES ('3959', '0', '0', '0', 'EN', 'Soriano', 'UY', 'SO');
INSERT INTO `subdivisions` VALUES ('3960', '0', '0', '0', 'EN', 'Tacuarembó', 'UY', 'TA');
INSERT INTO `subdivisions` VALUES ('3961', '0', '0', '0', 'EN', 'Treinta y Tres', 'UY', 'TT');
INSERT INTO `subdivisions` VALUES ('3886', '0', '0', '0', 'EN', 'Alaska', 'US', 'AK');
INSERT INTO `subdivisions` VALUES ('3887', '0', '0', '0', 'EN', 'Alabama', 'US', 'AL');
INSERT INTO `subdivisions` VALUES ('3888', '0', '0', '0', 'EN', 'Arkansas', 'US', 'AR');
INSERT INTO `subdivisions` VALUES ('3889', '0', '0', '0', 'EN', 'American Samoa', 'US', 'AS');
INSERT INTO `subdivisions` VALUES ('3890', '0', '0', '0', 'EN', 'Arizona', 'US', 'AZ');
INSERT INTO `subdivisions` VALUES ('3891', '0', '0', '0', 'EN', 'California', 'US', 'CA');
INSERT INTO `subdivisions` VALUES ('3892', '0', '0', '0', 'EN', 'Colorado', 'US', 'CO');
INSERT INTO `subdivisions` VALUES ('3893', '0', '0', '0', 'EN', 'Connecticut', 'US', 'CT');
INSERT INTO `subdivisions` VALUES ('3894', '0', '0', '0', 'EN', 'District of Columbia', 'US', 'DC');
INSERT INTO `subdivisions` VALUES ('3895', '0', '0', '0', 'EN', 'Delaware', 'US', 'DE');
INSERT INTO `subdivisions` VALUES ('3896', '0', '0', '0', 'EN', 'Florida', 'US', 'FL');
INSERT INTO `subdivisions` VALUES ('3897', '0', '0', '0', 'EN', 'Georgia', 'US', 'GA');
INSERT INTO `subdivisions` VALUES ('3898', '0', '0', '0', 'EN', 'Guam', 'US', 'GU');
INSERT INTO `subdivisions` VALUES ('3899', '0', '0', '0', 'EN', 'Hawaii', 'US', 'HI');
INSERT INTO `subdivisions` VALUES ('3900', '0', '0', '0', 'EN', 'Iowa', 'US', 'IA');
INSERT INTO `subdivisions` VALUES ('3901', '0', '0', '0', 'EN', 'Idaho', 'US', 'ID');
INSERT INTO `subdivisions` VALUES ('3902', '0', '0', '0', 'EN', 'Illinois', 'US', 'IL');
INSERT INTO `subdivisions` VALUES ('3903', '0', '0', '0', 'EN', 'Indiana', 'US', 'IN');
INSERT INTO `subdivisions` VALUES ('3904', '0', '0', '0', 'EN', 'Kansas', 'US', 'KS');
INSERT INTO `subdivisions` VALUES ('3905', '0', '0', '0', 'EN', 'Kentucky', 'US', 'KY');
INSERT INTO `subdivisions` VALUES ('3906', '0', '0', '0', 'EN', 'Louisiana', 'US', 'LA');
INSERT INTO `subdivisions` VALUES ('3907', '0', '0', '0', 'EN', 'Massachusetts', 'US', 'MA');
INSERT INTO `subdivisions` VALUES ('3908', '0', '0', '0', 'EN', 'Maryland', 'US', 'MD');
INSERT INTO `subdivisions` VALUES ('3909', '0', '0', '0', 'EN', 'Maine', 'US', 'ME');
INSERT INTO `subdivisions` VALUES ('3910', '0', '0', '0', 'EN', 'Michigan', 'US', 'MI');
INSERT INTO `subdivisions` VALUES ('3911', '0', '0', '0', 'EN', 'Minnesota', 'US', 'MN');
INSERT INTO `subdivisions` VALUES ('3912', '0', '0', '0', 'EN', 'Missouri', 'US', 'MO');
INSERT INTO `subdivisions` VALUES ('3913', '0', '0', '0', 'EN', 'Northern Mariana Islands', 'US', 'MP');
INSERT INTO `subdivisions` VALUES ('3914', '0', '0', '0', 'EN', 'Mississippi', 'US', 'MS');
INSERT INTO `subdivisions` VALUES ('3915', '0', '0', '0', 'EN', 'Montana', 'US', 'MT');
INSERT INTO `subdivisions` VALUES ('3916', '0', '0', '0', 'EN', 'North Carolina', 'US', 'NC');
INSERT INTO `subdivisions` VALUES ('3917', '0', '0', '0', 'EN', 'North Dakota', 'US', 'ND');
INSERT INTO `subdivisions` VALUES ('3918', '0', '0', '0', 'EN', 'Nebraska', 'US', 'NE');
INSERT INTO `subdivisions` VALUES ('3919', '0', '0', '0', 'EN', 'New Hampshire', 'US', 'NH');
INSERT INTO `subdivisions` VALUES ('3920', '0', '0', '0', 'EN', 'New Jersey', 'US', 'NJ');
INSERT INTO `subdivisions` VALUES ('3921', '0', '0', '0', 'EN', 'New Mexico', 'US', 'NM');
INSERT INTO `subdivisions` VALUES ('3922', '0', '0', '0', 'EN', 'Nevada', 'US', 'NV');
INSERT INTO `subdivisions` VALUES ('3923', '0', '0', '0', 'EN', 'New York', 'US', 'NY');
INSERT INTO `subdivisions` VALUES ('3924', '0', '0', '0', 'EN', 'Ohio', 'US', 'OH');
INSERT INTO `subdivisions` VALUES ('3925', '0', '0', '0', 'EN', 'Oklahoma', 'US', 'OK');
INSERT INTO `subdivisions` VALUES ('3926', '0', '0', '0', 'EN', 'Oregon', 'US', 'OR');
INSERT INTO `subdivisions` VALUES ('3927', '0', '0', '0', 'EN', 'Pennsylvania', 'US', 'PA');
INSERT INTO `subdivisions` VALUES ('3928', '0', '0', '0', 'EN', 'Puerto Rico', 'US', 'PR');
INSERT INTO `subdivisions` VALUES ('3929', '0', '0', '0', 'EN', 'Rhode Island', 'US', 'RI');
INSERT INTO `subdivisions` VALUES ('3930', '0', '0', '0', 'EN', 'South Carolina', 'US', 'SC');
INSERT INTO `subdivisions` VALUES ('3931', '0', '0', '0', 'EN', 'South Dakota', 'US', 'SD');
INSERT INTO `subdivisions` VALUES ('3932', '0', '0', '0', 'EN', 'Tennessee', 'US', 'TN');
INSERT INTO `subdivisions` VALUES ('3933', '0', '0', '0', 'EN', 'Texas', 'US', 'TX');
INSERT INTO `subdivisions` VALUES ('3934', '0', '0', '0', 'EN', 'United States Minor Outlying Islands', 'US', 'UM');
INSERT INTO `subdivisions` VALUES ('3935', '0', '0', '0', 'EN', 'Utah', 'US', 'UT');
INSERT INTO `subdivisions` VALUES ('3936', '0', '0', '0', 'EN', 'Virginia', 'US', 'VA');
INSERT INTO `subdivisions` VALUES ('3937', '0', '0', '0', 'EN', 'Virgin Islands, U.S.', 'US', 'VI');
INSERT INTO `subdivisions` VALUES ('3938', '0', '0', '0', 'EN', 'Vermont', 'US', 'VT');
INSERT INTO `subdivisions` VALUES ('3939', '0', '0', '0', 'EN', 'Washington', 'US', 'WA');
INSERT INTO `subdivisions` VALUES ('3940', '0', '0', '0', 'EN', 'Wisconsin', 'US', 'WI');
INSERT INTO `subdivisions` VALUES ('3941', '0', '0', '0', 'EN', 'West Virginia', 'US', 'WV');
INSERT INTO `subdivisions` VALUES ('3942', '0', '0', '0', 'EN', 'Wyoming', 'US', 'WY');
INSERT INTO `subdivisions` VALUES ('3877', '0', '0', '0', 'EN', 'Johnston Atoll', 'UM', '67');
INSERT INTO `subdivisions` VALUES ('3878', '0', '0', '0', 'EN', 'Midway Islands', 'UM', '71');
INSERT INTO `subdivisions` VALUES ('3879', '0', '0', '0', 'EN', 'Navassa Island', 'UM', '76');
INSERT INTO `subdivisions` VALUES ('3880', '0', '0', '0', 'EN', 'Wake Island', 'UM', '79');
INSERT INTO `subdivisions` VALUES ('3881', '0', '0', '0', 'EN', 'Baker Island', 'UM', '81');
INSERT INTO `subdivisions` VALUES ('3882', '0', '0', '0', 'EN', 'Howland Island', 'UM', '84');
INSERT INTO `subdivisions` VALUES ('3883', '0', '0', '0', 'EN', 'Jarvis Island', 'UM', '86');
INSERT INTO `subdivisions` VALUES ('3884', '0', '0', '0', 'EN', 'Kingman Reef', 'UM', '89');
INSERT INTO `subdivisions` VALUES ('3885', '0', '0', '0', 'EN', 'Palmyra Atoll', 'UM', '95');
INSERT INTO `subdivisions` VALUES ('3797', '0', '0', '0', 'EN', 'Kalangala', 'UG', '101');
INSERT INTO `subdivisions` VALUES ('3798', '0', '0', '0', 'EN', 'Kampala', 'UG', '102');
INSERT INTO `subdivisions` VALUES ('3799', '0', '0', '0', 'EN', 'Kiboga', 'UG', '103');
INSERT INTO `subdivisions` VALUES ('3800', '0', '0', '0', 'EN', 'Luwero', 'UG', '104');
INSERT INTO `subdivisions` VALUES ('3801', '0', '0', '0', 'EN', 'Masaka', 'UG', '105');
INSERT INTO `subdivisions` VALUES ('3802', '0', '0', '0', 'EN', 'Mpigi', 'UG', '106');
INSERT INTO `subdivisions` VALUES ('3803', '0', '0', '0', 'EN', 'Mubende', 'UG', '107');
INSERT INTO `subdivisions` VALUES ('3804', '0', '0', '0', 'EN', 'Mukono', 'UG', '108');
INSERT INTO `subdivisions` VALUES ('3805', '0', '0', '0', 'EN', 'Nakasongola', 'UG', '109');
INSERT INTO `subdivisions` VALUES ('3806', '0', '0', '0', 'EN', 'Rakai', 'UG', '110');
INSERT INTO `subdivisions` VALUES ('3807', '0', '0', '0', 'EN', 'Sembabule', 'UG', '111');
INSERT INTO `subdivisions` VALUES ('3808', '0', '0', '0', 'EN', 'Kayunga', 'UG', '112');
INSERT INTO `subdivisions` VALUES ('3809', '0', '0', '0', 'EN', 'Wakiso', 'UG', '113');
INSERT INTO `subdivisions` VALUES ('3810', '0', '0', '0', 'EN', 'Mityana', 'UG', '114');
INSERT INTO `subdivisions` VALUES ('3811', '0', '0', '0', 'EN', 'Nakaseke', 'UG', '115');
INSERT INTO `subdivisions` VALUES ('3812', '0', '0', '0', 'EN', 'Lyantonde', 'UG', '116');
INSERT INTO `subdivisions` VALUES ('3813', '0', '0', '0', 'EN', 'Bugiri', 'UG', '201');
INSERT INTO `subdivisions` VALUES ('3814', '0', '0', '0', 'EN', 'Busia', 'UG', '202');
INSERT INTO `subdivisions` VALUES ('3815', '0', '0', '0', 'EN', 'Iganga', 'UG', '203');
INSERT INTO `subdivisions` VALUES ('3816', '0', '0', '0', 'EN', 'Jinja', 'UG', '204');
INSERT INTO `subdivisions` VALUES ('3817', '0', '0', '0', 'EN', 'Kamuli', 'UG', '205');
INSERT INTO `subdivisions` VALUES ('3818', '0', '0', '0', 'EN', 'Kapchorwa', 'UG', '206');
INSERT INTO `subdivisions` VALUES ('3819', '0', '0', '0', 'EN', 'Katakwi', 'UG', '207');
INSERT INTO `subdivisions` VALUES ('3820', '0', '0', '0', 'EN', 'Kumi', 'UG', '208');
INSERT INTO `subdivisions` VALUES ('3821', '0', '0', '0', 'EN', 'Mbale', 'UG', '209');
INSERT INTO `subdivisions` VALUES ('3822', '0', '0', '0', 'EN', 'Pallisa', 'UG', '210');
INSERT INTO `subdivisions` VALUES ('3823', '0', '0', '0', 'EN', 'Soroti', 'UG', '211');
INSERT INTO `subdivisions` VALUES ('3824', '0', '0', '0', 'EN', 'Tororo', 'UG', '212');
INSERT INTO `subdivisions` VALUES ('3825', '0', '0', '0', 'EN', 'Kaberamaido', 'UG', '213');
INSERT INTO `subdivisions` VALUES ('3826', '0', '0', '0', 'EN', 'Mayuge', 'UG', '214');
INSERT INTO `subdivisions` VALUES ('3827', '0', '0', '0', 'EN', 'Sironko', 'UG', '215');
INSERT INTO `subdivisions` VALUES ('3828', '0', '0', '0', 'EN', 'Amuria', 'UG', '216');
INSERT INTO `subdivisions` VALUES ('3829', '0', '0', '0', 'EN', 'Budaka', 'UG', '217');
INSERT INTO `subdivisions` VALUES ('3830', '0', '0', '0', 'EN', 'Bukwa', 'UG', '218');
INSERT INTO `subdivisions` VALUES ('3831', '0', '0', '0', 'EN', 'Butaleja', 'UG', '219');
INSERT INTO `subdivisions` VALUES ('3832', '0', '0', '0', 'EN', 'Kaliro', 'UG', '220');
INSERT INTO `subdivisions` VALUES ('3833', '0', '0', '0', 'EN', 'Manafwa', 'UG', '221');
INSERT INTO `subdivisions` VALUES ('3834', '0', '0', '0', 'EN', 'Namutumba', 'UG', '222');
INSERT INTO `subdivisions` VALUES ('3835', '0', '0', '0', 'EN', 'Bududa', 'UG', '223');
INSERT INTO `subdivisions` VALUES ('3836', '0', '0', '0', 'EN', 'Bukedea', 'UG', '224');
INSERT INTO `subdivisions` VALUES ('3837', '0', '0', '0', 'EN', 'Adjumani', 'UG', '301');
INSERT INTO `subdivisions` VALUES ('3838', '0', '0', '0', 'EN', 'Apac', 'UG', '302');
INSERT INTO `subdivisions` VALUES ('3839', '0', '0', '0', 'EN', 'Arua', 'UG', '303');
INSERT INTO `subdivisions` VALUES ('3840', '0', '0', '0', 'EN', 'Gulu', 'UG', '304');
INSERT INTO `subdivisions` VALUES ('3841', '0', '0', '0', 'EN', 'Kitgum', 'UG', '305');
INSERT INTO `subdivisions` VALUES ('3842', '0', '0', '0', 'EN', 'Kotido', 'UG', '306');
INSERT INTO `subdivisions` VALUES ('3843', '0', '0', '0', 'EN', 'Lira', 'UG', '307');
INSERT INTO `subdivisions` VALUES ('3844', '0', '0', '0', 'EN', 'Moroto', 'UG', '308');
INSERT INTO `subdivisions` VALUES ('3845', '0', '0', '0', 'EN', 'Moyo', 'UG', '309');
INSERT INTO `subdivisions` VALUES ('3846', '0', '0', '0', 'EN', 'Nebbi', 'UG', '310');
INSERT INTO `subdivisions` VALUES ('3847', '0', '0', '0', 'EN', 'Nakapiripirit', 'UG', '311');
INSERT INTO `subdivisions` VALUES ('3848', '0', '0', '0', 'EN', 'Pader', 'UG', '312');
INSERT INTO `subdivisions` VALUES ('3849', '0', '0', '0', 'EN', 'Yumbe', 'UG', '313');
INSERT INTO `subdivisions` VALUES ('3850', '0', '0', '0', 'EN', 'Amolatar', 'UG', '314');
INSERT INTO `subdivisions` VALUES ('3851', '0', '0', '0', 'EN', 'Kaabong', 'UG', '315');
INSERT INTO `subdivisions` VALUES ('3852', '0', '0', '0', 'EN', 'Koboko', 'UG', '316');
INSERT INTO `subdivisions` VALUES ('3853', '0', '0', '0', 'EN', 'Abim', 'UG', '317');
INSERT INTO `subdivisions` VALUES ('3854', '0', '0', '0', 'EN', 'Dokolo', 'UG', '318');
INSERT INTO `subdivisions` VALUES ('3855', '0', '0', '0', 'EN', 'Amuru', 'UG', '319');
INSERT INTO `subdivisions` VALUES ('3856', '0', '0', '0', 'EN', 'Maracha', 'UG', '320');
INSERT INTO `subdivisions` VALUES ('3857', '0', '0', '0', 'EN', 'Oyam', 'UG', '321');
INSERT INTO `subdivisions` VALUES ('3858', '0', '0', '0', 'EN', 'Bundibugyo', 'UG', '401');
INSERT INTO `subdivisions` VALUES ('3859', '0', '0', '0', 'EN', 'Bushenyi', 'UG', '402');
INSERT INTO `subdivisions` VALUES ('3860', '0', '0', '0', 'EN', 'Hoima', 'UG', '403');
INSERT INTO `subdivisions` VALUES ('3861', '0', '0', '0', 'EN', 'Kabale', 'UG', '404');
INSERT INTO `subdivisions` VALUES ('3862', '0', '0', '0', 'EN', 'Kabarole', 'UG', '405');
INSERT INTO `subdivisions` VALUES ('3863', '0', '0', '0', 'EN', 'Kasese', 'UG', '406');
INSERT INTO `subdivisions` VALUES ('3864', '0', '0', '0', 'EN', 'Kibaale', 'UG', '407');
INSERT INTO `subdivisions` VALUES ('3865', '0', '0', '0', 'EN', 'Kisoro', 'UG', '408');
INSERT INTO `subdivisions` VALUES ('3866', '0', '0', '0', 'EN', 'Masindi', 'UG', '409');
INSERT INTO `subdivisions` VALUES ('3867', '0', '0', '0', 'EN', 'Mbarara', 'UG', '410');
INSERT INTO `subdivisions` VALUES ('3868', '0', '0', '0', 'EN', 'Ntungamo', 'UG', '411');
INSERT INTO `subdivisions` VALUES ('3869', '0', '0', '0', 'EN', 'Rukungiri', 'UG', '412');
INSERT INTO `subdivisions` VALUES ('3870', '0', '0', '0', 'EN', 'Kamwenge', 'UG', '413');
INSERT INTO `subdivisions` VALUES ('3871', '0', '0', '0', 'EN', 'Kanungu', 'UG', '414');
INSERT INTO `subdivisions` VALUES ('3872', '0', '0', '0', 'EN', 'Kyenjojo', 'UG', '415');
INSERT INTO `subdivisions` VALUES ('3873', '0', '0', '0', 'EN', 'Ibanda', 'UG', '416');
INSERT INTO `subdivisions` VALUES ('3874', '0', '0', '0', 'EN', 'Isingiro', 'UG', '417');
INSERT INTO `subdivisions` VALUES ('3875', '0', '0', '0', 'EN', 'Kiruhura', 'UG', '418');
INSERT INTO `subdivisions` VALUES ('3876', '0', '0', '0', 'EN', 'Buliisa', 'UG', '419');
INSERT INTO `subdivisions` VALUES ('3770', '0', '0', '0', 'EN', 'Oblast Winnyzja', 'UA', '05');
INSERT INTO `subdivisions` VALUES ('3771', '0', '0', '0', 'EN', 'Oblast Wolhynien', 'UA', '07');
INSERT INTO `subdivisions` VALUES ('3772', '0', '0', '0', 'EN', 'Oblast Luhansk', 'UA', '09');
INSERT INTO `subdivisions` VALUES ('3773', '0', '0', '0', 'EN', 'Oblast Dnipropetrowsk', 'UA', '12');
INSERT INTO `subdivisions` VALUES ('3774', '0', '0', '0', 'EN', 'Oblast Donezk', 'UA', '14');
INSERT INTO `subdivisions` VALUES ('3775', '0', '0', '0', 'EN', 'Oblast Schytomyr', 'UA', '18');
INSERT INTO `subdivisions` VALUES ('3776', '0', '0', '0', 'EN', 'Oblast Riwne', 'UA', '19');
INSERT INTO `subdivisions` VALUES ('3777', '0', '0', '0', 'EN', 'Oblast Transkarpatien', 'UA', '21');
INSERT INTO `subdivisions` VALUES ('3778', '0', '0', '0', 'EN', 'Oblast Saporischja', 'UA', '23');
INSERT INTO `subdivisions` VALUES ('3779', '0', '0', '0', 'EN', 'Oblast Iwano-Frankiwsk', 'UA', '26');
INSERT INTO `subdivisions` VALUES ('3780', '0', '0', '0', 'EN', 'Kiew', 'UA', '30');
INSERT INTO `subdivisions` VALUES ('3781', '0', '0', '0', 'EN', 'Oblast Kiew', 'UA', '32');
INSERT INTO `subdivisions` VALUES ('3782', '0', '0', '0', 'EN', 'Oblast Kirowohrad', 'UA', '35');
INSERT INTO `subdivisions` VALUES ('3783', '0', '0', '0', 'EN', 'Sewastopol', 'UA', '40');
INSERT INTO `subdivisions` VALUES ('3784', '0', '0', '0', 'EN', 'Krim', 'UA', '43');
INSERT INTO `subdivisions` VALUES ('3785', '0', '0', '0', 'EN', 'Oblast Lwiw', 'UA', '46');
INSERT INTO `subdivisions` VALUES ('3786', '0', '0', '0', 'EN', 'Oblast Mykolajiw', 'UA', '48');
INSERT INTO `subdivisions` VALUES ('3787', '0', '0', '0', 'EN', 'Oblast Odessa', 'UA', '51');
INSERT INTO `subdivisions` VALUES ('3788', '0', '0', '0', 'EN', 'Oblast Poltawa', 'UA', '53');
INSERT INTO `subdivisions` VALUES ('3789', '0', '0', '0', 'EN', 'Oblast Sumy', 'UA', '59');
INSERT INTO `subdivisions` VALUES ('3790', '0', '0', '0', 'EN', 'Oblast Ternopil', 'UA', '61');
INSERT INTO `subdivisions` VALUES ('3791', '0', '0', '0', 'EN', 'Oblast Charkiw', 'UA', '63');
INSERT INTO `subdivisions` VALUES ('3792', '0', '0', '0', 'EN', 'Oblast Cherson', 'UA', '65');
INSERT INTO `subdivisions` VALUES ('3793', '0', '0', '0', 'EN', 'Oblast Chmelnyzkyj', 'UA', '68');
INSERT INTO `subdivisions` VALUES ('3794', '0', '0', '0', 'EN', 'Oblast Tscherkassy', 'UA', '71');
INSERT INTO `subdivisions` VALUES ('3795', '0', '0', '0', 'EN', 'Oblast Tschernihiw', 'UA', '74');
INSERT INTO `subdivisions` VALUES ('3796', '0', '0', '0', 'EN', 'Oblast Tscherniwzi', 'UA', '77');
INSERT INTO `subdivisions` VALUES ('3744', '0', '0', '0', 'EN', 'Arusha', 'TZ', '01');
INSERT INTO `subdivisions` VALUES ('3745', '0', '0', '0', 'EN', 'Dar es Salaam', 'TZ', '02');
INSERT INTO `subdivisions` VALUES ('3746', '0', '0', '0', 'EN', 'Dodoma', 'TZ', '03');
INSERT INTO `subdivisions` VALUES ('3747', '0', '0', '0', 'EN', 'Iringa', 'TZ', '04');
INSERT INTO `subdivisions` VALUES ('3748', '0', '0', '0', 'EN', 'Kagera', 'TZ', '05');
INSERT INTO `subdivisions` VALUES ('3749', '0', '0', '0', 'EN', 'Kaskazini Pemba', 'TZ', '06');
INSERT INTO `subdivisions` VALUES ('3750', '0', '0', '0', 'EN', 'Kaskazini Unguja', 'TZ', '07');
INSERT INTO `subdivisions` VALUES ('3751', '0', '0', '0', 'EN', 'Kigoma', 'TZ', '08');
INSERT INTO `subdivisions` VALUES ('3752', '0', '0', '0', 'EN', 'Kilimanjaro', 'TZ', '09');
INSERT INTO `subdivisions` VALUES ('3753', '0', '0', '0', 'EN', 'Kusini Pemba', 'TZ', '10');
INSERT INTO `subdivisions` VALUES ('3754', '0', '0', '0', 'EN', 'Kusini Unguja', 'TZ', '11');
INSERT INTO `subdivisions` VALUES ('3755', '0', '0', '0', 'EN', 'Lindi', 'TZ', '12');
INSERT INTO `subdivisions` VALUES ('3756', '0', '0', '0', 'EN', 'Mara', 'TZ', '13');
INSERT INTO `subdivisions` VALUES ('3757', '0', '0', '0', 'EN', 'Mbeya', 'TZ', '14');
INSERT INTO `subdivisions` VALUES ('3758', '0', '0', '0', 'EN', 'Mjini Magharibi', 'TZ', '15');
INSERT INTO `subdivisions` VALUES ('3759', '0', '0', '0', 'EN', 'Morogoro', 'TZ', '16');
INSERT INTO `subdivisions` VALUES ('3760', '0', '0', '0', 'EN', 'Mtwara', 'TZ', '17');
INSERT INTO `subdivisions` VALUES ('3761', '0', '0', '0', 'EN', 'Mwanza', 'TZ', '18');
INSERT INTO `subdivisions` VALUES ('3762', '0', '0', '0', 'EN', 'Pwani', 'TZ', '19');
INSERT INTO `subdivisions` VALUES ('3763', '0', '0', '0', 'EN', 'Rukwa', 'TZ', '20');
INSERT INTO `subdivisions` VALUES ('3764', '0', '0', '0', 'EN', 'Ruvuma', 'TZ', '21');
INSERT INTO `subdivisions` VALUES ('3765', '0', '0', '0', 'EN', 'Shinyanga', 'TZ', '22');
INSERT INTO `subdivisions` VALUES ('3766', '0', '0', '0', 'EN', 'Singida', 'TZ', '23');
INSERT INTO `subdivisions` VALUES ('3767', '0', '0', '0', 'EN', 'Tabora', 'TZ', '24');
INSERT INTO `subdivisions` VALUES ('3768', '0', '0', '0', 'EN', 'Tanga', 'TZ', '25');
INSERT INTO `subdivisions` VALUES ('3769', '0', '0', '0', 'EN', 'Manyara', 'TZ', '26');
INSERT INTO `subdivisions` VALUES ('3721', '0', '0', '0', 'EN', 'Changhua', 'TW', 'CHA');
INSERT INTO `subdivisions` VALUES ('3722', '0', '0', '0', 'EN', 'Chiayi', 'TW', 'CYI');
INSERT INTO `subdivisions` VALUES ('3723', '0', '0', '0', 'EN', 'Chiayi', 'TW', 'CYQ');
INSERT INTO `subdivisions` VALUES ('3724', '0', '0', '0', 'EN', 'Hsinchu', 'TW', 'HSQ');
INSERT INTO `subdivisions` VALUES ('3725', '0', '0', '0', 'EN', 'Hsinchu', 'TW', 'HSZ');
INSERT INTO `subdivisions` VALUES ('3726', '0', '0', '0', 'EN', 'Hualien', 'TW', 'HUA');
INSERT INTO `subdivisions` VALUES ('3727', '0', '0', '0', 'EN', 'Ilan', 'TW', 'ILA');
INSERT INTO `subdivisions` VALUES ('3728', '0', '0', '0', 'EN', 'Keelung', 'TW', 'KEE');
INSERT INTO `subdivisions` VALUES ('3729', '0', '0', '0', 'EN', 'Kaohsiung', 'TW', 'KHH');
INSERT INTO `subdivisions` VALUES ('3730', '0', '0', '0', 'EN', 'Kaohsiung', 'TW', 'KHQ');
INSERT INTO `subdivisions` VALUES ('3731', '0', '0', '0', 'EN', 'Miaoli', 'TW', 'MIA');
INSERT INTO `subdivisions` VALUES ('3732', '0', '0', '0', 'EN', 'Nantou', 'TW', 'NAN');
INSERT INTO `subdivisions` VALUES ('3733', '0', '0', '0', 'EN', 'Penghu', 'TW', 'PEN');
INSERT INTO `subdivisions` VALUES ('3734', '0', '0', '0', 'EN', 'Pingtung', 'TW', 'PIF');
INSERT INTO `subdivisions` VALUES ('3735', '0', '0', '0', 'EN', 'Taoyuan', 'TW', 'TAO');
INSERT INTO `subdivisions` VALUES ('3736', '0', '0', '0', 'EN', 'Tainan', 'TW', 'TNN');
INSERT INTO `subdivisions` VALUES ('3737', '0', '0', '0', 'EN', 'Tainan', 'TW', 'TNQ');
INSERT INTO `subdivisions` VALUES ('3738', '0', '0', '0', 'EN', 'Taipei', 'TW', 'TPE');
INSERT INTO `subdivisions` VALUES ('3739', '0', '0', '0', 'EN', 'Taipei', 'TW', 'TPQ');
INSERT INTO `subdivisions` VALUES ('3740', '0', '0', '0', 'EN', 'Taitung', 'TW', 'TTT');
INSERT INTO `subdivisions` VALUES ('3741', '0', '0', '0', 'EN', 'Taichung', 'TW', 'TXG');
INSERT INTO `subdivisions` VALUES ('3742', '0', '0', '0', 'EN', 'Taichung', 'TW', 'TXQ');
INSERT INTO `subdivisions` VALUES ('3743', '0', '0', '0', 'EN', 'Yunlin', 'TW', 'YUN');
INSERT INTO `subdivisions` VALUES ('3713', '0', '0', '0', 'EN', 'Funafuti', 'TV', 'FUN');
INSERT INTO `subdivisions` VALUES ('3714', '0', '0', '0', 'EN', 'Niutao', 'TV', 'NIT');
INSERT INTO `subdivisions` VALUES ('3715', '0', '0', '0', 'EN', 'Nukufetau', 'TV', 'NKF');
INSERT INTO `subdivisions` VALUES ('3716', '0', '0', '0', 'EN', 'Nukulaelae', 'TV', 'NKL');
INSERT INTO `subdivisions` VALUES ('3717', '0', '0', '0', 'EN', 'Nanumea', 'TV', 'NMA');
INSERT INTO `subdivisions` VALUES ('3718', '0', '0', '0', 'EN', 'Nanumanga', 'TV', 'NMG');
INSERT INTO `subdivisions` VALUES ('3719', '0', '0', '0', 'EN', 'Nui', 'TV', 'NUI');
INSERT INTO `subdivisions` VALUES ('3720', '0', '0', '0', 'EN', 'Vaitupu', 'TV', 'VAI');
INSERT INTO `subdivisions` VALUES ('3697', '0', '0', '0', 'EN', 'Arima', 'TT', 'ARI');
INSERT INTO `subdivisions` VALUES ('3698', '0', '0', '0', 'EN', 'Chaguanas', 'TT', 'CHA');
INSERT INTO `subdivisions` VALUES ('3699', '0', '0', '0', 'EN', 'Couva-Tabaquite-Talparo', 'TT', 'CTT');
INSERT INTO `subdivisions` VALUES ('3700', '0', '0', '0', 'EN', 'Diego Martin', 'TT', 'DMN');
INSERT INTO `subdivisions` VALUES ('3701', '0', '0', '0', 'EN', 'Eastern Tobago', 'TT', 'ETO');
INSERT INTO `subdivisions` VALUES ('3702', '0', '0', '0', 'EN', 'Penal-Debe', 'TT', 'PED');
INSERT INTO `subdivisions` VALUES ('3703', '0', '0', '0', 'EN', 'Port of Spain', 'TT', 'POS');
INSERT INTO `subdivisions` VALUES ('3704', '0', '0', '0', 'EN', 'Princes Town', 'TT', 'PRT');
INSERT INTO `subdivisions` VALUES ('3705', '0', '0', '0', 'EN', 'Point Fortin', 'TT', 'PTF');
INSERT INTO `subdivisions` VALUES ('3706', '0', '0', '0', 'EN', 'Rio Claro-Mayaro', 'TT', 'RCM');
INSERT INTO `subdivisions` VALUES ('3707', '0', '0', '0', 'EN', 'San Fernando', 'TT', 'SFO');
INSERT INTO `subdivisions` VALUES ('3708', '0', '0', '0', 'EN', 'Sangre Grande', 'TT', 'SGE');
INSERT INTO `subdivisions` VALUES ('3709', '0', '0', '0', 'EN', 'Siparia', 'TT', 'SIP');
INSERT INTO `subdivisions` VALUES ('3710', '0', '0', '0', 'EN', 'San Juan-Laventille', 'TT', 'SJL');
INSERT INTO `subdivisions` VALUES ('3711', '0', '0', '0', 'EN', 'Tunapuna-Piarco', 'TT', 'TUP');
INSERT INTO `subdivisions` VALUES ('3712', '0', '0', '0', 'EN', 'Western Tobago', 'TT', 'WTO');
INSERT INTO `subdivisions` VALUES ('3616', '0', '0', '0', 'EN', 'Adana', 'TR', '01');
INSERT INTO `subdivisions` VALUES ('3617', '0', '0', '0', 'EN', 'Adıyaman', 'TR', '02');
INSERT INTO `subdivisions` VALUES ('3618', '0', '0', '0', 'EN', 'Afyonkarahisar', 'TR', '03');
INSERT INTO `subdivisions` VALUES ('3619', '0', '0', '0', 'EN', 'Ağrı', 'TR', '04');
INSERT INTO `subdivisions` VALUES ('3620', '0', '0', '0', 'EN', 'Amasya', 'TR', '05');
INSERT INTO `subdivisions` VALUES ('3621', '0', '0', '0', 'EN', 'Ankara', 'TR', '06');
INSERT INTO `subdivisions` VALUES ('3622', '0', '0', '0', 'EN', 'Antalya', 'TR', '07');
INSERT INTO `subdivisions` VALUES ('3623', '0', '0', '0', 'EN', 'Artvin', 'TR', '08');
INSERT INTO `subdivisions` VALUES ('3624', '0', '0', '0', 'EN', 'Aydın', 'TR', '09');
INSERT INTO `subdivisions` VALUES ('3625', '0', '0', '0', 'EN', 'Balıkesir', 'TR', '10');
INSERT INTO `subdivisions` VALUES ('3626', '0', '0', '0', 'EN', 'Bilecik', 'TR', '11');
INSERT INTO `subdivisions` VALUES ('3627', '0', '0', '0', 'EN', 'Bingöl', 'TR', '12');
INSERT INTO `subdivisions` VALUES ('3628', '0', '0', '0', 'EN', 'Bitlis', 'TR', '13');
INSERT INTO `subdivisions` VALUES ('3629', '0', '0', '0', 'EN', 'Bolu', 'TR', '14');
INSERT INTO `subdivisions` VALUES ('3630', '0', '0', '0', 'EN', 'Burdur', 'TR', '15');
INSERT INTO `subdivisions` VALUES ('3631', '0', '0', '0', 'EN', 'Bursa', 'TR', '16');
INSERT INTO `subdivisions` VALUES ('3632', '0', '0', '0', 'EN', 'Çanakkale', 'TR', '17');
INSERT INTO `subdivisions` VALUES ('3633', '0', '0', '0', 'EN', 'Çankırı', 'TR', '18');
INSERT INTO `subdivisions` VALUES ('3634', '0', '0', '0', 'EN', 'Çorum', 'TR', '19');
INSERT INTO `subdivisions` VALUES ('3635', '0', '0', '0', 'EN', 'Denizli', 'TR', '20');
INSERT INTO `subdivisions` VALUES ('3636', '0', '0', '0', 'EN', 'Diyarbakır', 'TR', '21');
INSERT INTO `subdivisions` VALUES ('3637', '0', '0', '0', 'EN', 'Edirne', 'TR', '22');
INSERT INTO `subdivisions` VALUES ('3638', '0', '0', '0', 'EN', 'Elazığ', 'TR', '23');
INSERT INTO `subdivisions` VALUES ('3639', '0', '0', '0', 'EN', 'Erzincan', 'TR', '24');
INSERT INTO `subdivisions` VALUES ('3640', '0', '0', '0', 'EN', 'Erzurum', 'TR', '25');
INSERT INTO `subdivisions` VALUES ('3641', '0', '0', '0', 'EN', 'Eskişehir', 'TR', '26');
INSERT INTO `subdivisions` VALUES ('3642', '0', '0', '0', 'EN', 'Gaziantep', 'TR', '27');
INSERT INTO `subdivisions` VALUES ('3643', '0', '0', '0', 'EN', 'Giresun', 'TR', '28');
INSERT INTO `subdivisions` VALUES ('3644', '0', '0', '0', 'EN', 'Gümüşhane', 'TR', '29');
INSERT INTO `subdivisions` VALUES ('3645', '0', '0', '0', 'EN', 'Hakkâri', 'TR', '30');
INSERT INTO `subdivisions` VALUES ('3646', '0', '0', '0', 'EN', 'Hatay', 'TR', '31');
INSERT INTO `subdivisions` VALUES ('3647', '0', '0', '0', 'EN', 'Isparta', 'TR', '32');
INSERT INTO `subdivisions` VALUES ('3648', '0', '0', '0', 'EN', 'Mersin', 'TR', '33');
INSERT INTO `subdivisions` VALUES ('3649', '0', '0', '0', 'EN', 'İstanbul', 'TR', '34');
INSERT INTO `subdivisions` VALUES ('3650', '0', '0', '0', 'EN', 'İzmir', 'TR', '35');
INSERT INTO `subdivisions` VALUES ('3651', '0', '0', '0', 'EN', 'Kars', 'TR', '36');
INSERT INTO `subdivisions` VALUES ('3652', '0', '0', '0', 'EN', 'Kastamonu', 'TR', '37');
INSERT INTO `subdivisions` VALUES ('3653', '0', '0', '0', 'EN', 'Kayseri', 'TR', '38');
INSERT INTO `subdivisions` VALUES ('3654', '0', '0', '0', 'EN', 'Kırklareli', 'TR', '39');
INSERT INTO `subdivisions` VALUES ('3655', '0', '0', '0', 'EN', 'Kırşehir', 'TR', '40');
INSERT INTO `subdivisions` VALUES ('3656', '0', '0', '0', 'EN', 'Kocaeli', 'TR', '41');
INSERT INTO `subdivisions` VALUES ('3657', '0', '0', '0', 'EN', 'Konya', 'TR', '42');
INSERT INTO `subdivisions` VALUES ('3658', '0', '0', '0', 'EN', 'Kütahya', 'TR', '43');
INSERT INTO `subdivisions` VALUES ('3659', '0', '0', '0', 'EN', 'Malatya', 'TR', '44');
INSERT INTO `subdivisions` VALUES ('3660', '0', '0', '0', 'EN', 'Manisa', 'TR', '45');
INSERT INTO `subdivisions` VALUES ('3661', '0', '0', '0', 'EN', 'Kahramanmaraş', 'TR', '46');
INSERT INTO `subdivisions` VALUES ('3662', '0', '0', '0', 'EN', 'Mardin', 'TR', '47');
INSERT INTO `subdivisions` VALUES ('3663', '0', '0', '0', 'EN', 'Muğla', 'TR', '48');
INSERT INTO `subdivisions` VALUES ('3664', '0', '0', '0', 'EN', 'Muş', 'TR', '49');
INSERT INTO `subdivisions` VALUES ('3665', '0', '0', '0', 'EN', 'Nevşehir', 'TR', '50');
INSERT INTO `subdivisions` VALUES ('3666', '0', '0', '0', 'EN', 'Niğde', 'TR', '51');
INSERT INTO `subdivisions` VALUES ('3667', '0', '0', '0', 'EN', 'Ordu', 'TR', '52');
INSERT INTO `subdivisions` VALUES ('3668', '0', '0', '0', 'EN', 'Rize', 'TR', '53');
INSERT INTO `subdivisions` VALUES ('3669', '0', '0', '0', 'EN', 'Sakarya', 'TR', '54');
INSERT INTO `subdivisions` VALUES ('3670', '0', '0', '0', 'EN', 'Samsun', 'TR', '55');
INSERT INTO `subdivisions` VALUES ('3671', '0', '0', '0', 'EN', 'Siirt', 'TR', '56');
INSERT INTO `subdivisions` VALUES ('3672', '0', '0', '0', 'EN', 'Sinop', 'TR', '57');
INSERT INTO `subdivisions` VALUES ('3673', '0', '0', '0', 'EN', 'Sivas', 'TR', '58');
INSERT INTO `subdivisions` VALUES ('3674', '0', '0', '0', 'EN', 'Tekirdağ', 'TR', '59');
INSERT INTO `subdivisions` VALUES ('3675', '0', '0', '0', 'EN', 'Tokat', 'TR', '60');
INSERT INTO `subdivisions` VALUES ('3676', '0', '0', '0', 'EN', 'Trabzon', 'TR', '61');
INSERT INTO `subdivisions` VALUES ('3677', '0', '0', '0', 'EN', 'Tunceli', 'TR', '62');
INSERT INTO `subdivisions` VALUES ('3678', '0', '0', '0', 'EN', 'Şanlıurfa', 'TR', '63');
INSERT INTO `subdivisions` VALUES ('3679', '0', '0', '0', 'EN', 'Uşak', 'TR', '64');
INSERT INTO `subdivisions` VALUES ('3680', '0', '0', '0', 'EN', 'Van', 'TR', '65');
INSERT INTO `subdivisions` VALUES ('3681', '0', '0', '0', 'EN', 'Yozgat', 'TR', '66');
INSERT INTO `subdivisions` VALUES ('3682', '0', '0', '0', 'EN', 'Zonguldak', 'TR', '67');
INSERT INTO `subdivisions` VALUES ('3683', '0', '0', '0', 'EN', 'Aksaray', 'TR', '68');
INSERT INTO `subdivisions` VALUES ('3684', '0', '0', '0', 'EN', 'Bayburt', 'TR', '69');
INSERT INTO `subdivisions` VALUES ('3685', '0', '0', '0', 'EN', 'Karaman', 'TR', '70');
INSERT INTO `subdivisions` VALUES ('3686', '0', '0', '0', 'EN', 'Kırıkkale', 'TR', '71');
INSERT INTO `subdivisions` VALUES ('3687', '0', '0', '0', 'EN', 'Batman', 'TR', '72');
INSERT INTO `subdivisions` VALUES ('3688', '0', '0', '0', 'EN', 'Şırnak', 'TR', '73');
INSERT INTO `subdivisions` VALUES ('3689', '0', '0', '0', 'EN', 'Bartın', 'TR', '74');
INSERT INTO `subdivisions` VALUES ('3690', '0', '0', '0', 'EN', 'Ardahan', 'TR', '75');
INSERT INTO `subdivisions` VALUES ('3691', '0', '0', '0', 'EN', 'Iğdır', 'TR', '76');
INSERT INTO `subdivisions` VALUES ('3692', '0', '0', '0', 'EN', 'Yalova', 'TR', '77');
INSERT INTO `subdivisions` VALUES ('3693', '0', '0', '0', 'EN', 'Karabük', 'TR', '78');
INSERT INTO `subdivisions` VALUES ('3694', '0', '0', '0', 'EN', 'Kilis', 'TR', '79');
INSERT INTO `subdivisions` VALUES ('3695', '0', '0', '0', 'EN', 'Osmaniye', 'TR', '80');
INSERT INTO `subdivisions` VALUES ('3696', '0', '0', '0', 'EN', 'Düzce', 'TR', '81');
INSERT INTO `subdivisions` VALUES ('3611', '0', '0', '0', 'EN', '\'Eua', 'TO', '01');
INSERT INTO `subdivisions` VALUES ('3612', '0', '0', '0', 'EN', 'Ha\'apai', 'TO', '02');
INSERT INTO `subdivisions` VALUES ('3613', '0', '0', '0', 'EN', 'Niuas', 'TO', '03');
INSERT INTO `subdivisions` VALUES ('3614', '0', '0', '0', 'EN', 'Tongatapu', 'TO', '04');
INSERT INTO `subdivisions` VALUES ('3615', '0', '0', '0', 'EN', 'Vava\'u', 'TO', '05');
INSERT INTO `subdivisions` VALUES ('3587', '0', '0', '0', 'EN', 'Tunis', 'TN', '11');
INSERT INTO `subdivisions` VALUES ('3588', '0', '0', '0', 'EN', 'Ariana', 'TN', '12');
INSERT INTO `subdivisions` VALUES ('3589', '0', '0', '0', 'EN', 'Ben Arous', 'TN', '13');
INSERT INTO `subdivisions` VALUES ('3590', '0', '0', '0', 'EN', 'La Manouba', 'TN', '14');
INSERT INTO `subdivisions` VALUES ('3591', '0', '0', '0', 'EN', 'Nabeul', 'TN', '21');
INSERT INTO `subdivisions` VALUES ('3592', '0', '0', '0', 'EN', 'Zaghouan', 'TN', '22');
INSERT INTO `subdivisions` VALUES ('3593', '0', '0', '0', 'EN', 'Bizerte', 'TN', '23');
INSERT INTO `subdivisions` VALUES ('3594', '0', '0', '0', 'EN', 'Béja', 'TN', '31');
INSERT INTO `subdivisions` VALUES ('3595', '0', '0', '0', 'EN', 'Jendouba', 'TN', '32');
INSERT INTO `subdivisions` VALUES ('3596', '0', '0', '0', 'EN', 'Le Kef', 'TN', '33');
INSERT INTO `subdivisions` VALUES ('3597', '0', '0', '0', 'EN', 'Siliana', 'TN', '34');
INSERT INTO `subdivisions` VALUES ('3598', '0', '0', '0', 'EN', 'Kairouan', 'TN', '41');
INSERT INTO `subdivisions` VALUES ('3599', '0', '0', '0', 'EN', 'Kasserine', 'TN', '42');
INSERT INTO `subdivisions` VALUES ('3600', '0', '0', '0', 'EN', 'Sidi Bouzid', 'TN', '43');
INSERT INTO `subdivisions` VALUES ('3601', '0', '0', '0', 'EN', 'Sousse', 'TN', '51');
INSERT INTO `subdivisions` VALUES ('3602', '0', '0', '0', 'EN', 'Monastir', 'TN', '52');
INSERT INTO `subdivisions` VALUES ('3603', '0', '0', '0', 'EN', 'Mahdia', 'TN', '53');
INSERT INTO `subdivisions` VALUES ('3604', '0', '0', '0', 'EN', 'Sfax', 'TN', '61');
INSERT INTO `subdivisions` VALUES ('3605', '0', '0', '0', 'EN', 'Gafsa', 'TN', '71');
INSERT INTO `subdivisions` VALUES ('3606', '0', '0', '0', 'EN', 'Tozeur', 'TN', '72');
INSERT INTO `subdivisions` VALUES ('3607', '0', '0', '0', 'EN', 'Kebili', 'TN', '73');
INSERT INTO `subdivisions` VALUES ('3608', '0', '0', '0', 'EN', 'Gabès', 'TN', '81');
INSERT INTO `subdivisions` VALUES ('3609', '0', '0', '0', 'EN', 'Medenine', 'TN', '82');
INSERT INTO `subdivisions` VALUES ('3610', '0', '0', '0', 'EN', 'Tataouine', 'TN', '83');
INSERT INTO `subdivisions` VALUES ('3581', '0', '0', '0', 'EN', 'Ahal', 'TM', 'A');
INSERT INTO `subdivisions` VALUES ('3582', '0', '0', '0', 'EN', 'Balkan', 'TM', 'B');
INSERT INTO `subdivisions` VALUES ('3583', '0', '0', '0', 'EN', 'Daşoguz', 'TM', 'D');
INSERT INTO `subdivisions` VALUES ('3584', '0', '0', '0', 'EN', 'Lebap', 'TM', 'L');
INSERT INTO `subdivisions` VALUES ('3585', '0', '0', '0', 'EN', 'Mary', 'TM', 'M');
INSERT INTO `subdivisions` VALUES ('3586', '0', '0', '0', 'EN', 'Aşgabat', 'TM', 'S');
INSERT INTO `subdivisions` VALUES ('3568', '0', '0', '0', 'EN', 'Aileu', 'TL', 'AL');
INSERT INTO `subdivisions` VALUES ('3569', '0', '0', '0', 'EN', 'Ainaro', 'TL', 'AN');
INSERT INTO `subdivisions` VALUES ('3570', '0', '0', '0', 'EN', 'Baucau', 'TL', 'BA');
INSERT INTO `subdivisions` VALUES ('3571', '0', '0', '0', 'EN', 'Bobonaro', 'TL', 'BO');
INSERT INTO `subdivisions` VALUES ('3572', '0', '0', '0', 'EN', 'Cova Lima', 'TL', 'CO');
INSERT INTO `subdivisions` VALUES ('3573', '0', '0', '0', 'EN', 'Díli', 'TL', 'DI');
INSERT INTO `subdivisions` VALUES ('3574', '0', '0', '0', 'EN', 'Ermera', 'TL', 'ER');
INSERT INTO `subdivisions` VALUES ('3575', '0', '0', '0', 'EN', 'Lautem', 'TL', 'LA');
INSERT INTO `subdivisions` VALUES ('3576', '0', '0', '0', 'EN', 'Liquiça', 'TL', 'LI');
INSERT INTO `subdivisions` VALUES ('3577', '0', '0', '0', 'EN', 'Manufahi', 'TL', 'MF');
INSERT INTO `subdivisions` VALUES ('3578', '0', '0', '0', 'EN', 'Manatuto', 'TL', 'MT');
INSERT INTO `subdivisions` VALUES ('3579', '0', '0', '0', 'EN', 'Oecussi', 'TL', 'OE');
INSERT INTO `subdivisions` VALUES ('3580', '0', '0', '0', 'EN', 'Viqueque', 'TL', 'VI');
INSERT INTO `subdivisions` VALUES ('3565', '0', '0', '0', 'EN', 'Kŭhistoni Badakhshon', 'TJ', 'GB');
INSERT INTO `subdivisions` VALUES ('3566', '0', '0', '0', 'EN', 'Khatlon', 'TJ', 'KT');
INSERT INTO `subdivisions` VALUES ('3567', '0', '0', '0', 'EN', 'Sughd', 'TJ', 'SU');
INSERT INTO `subdivisions` VALUES ('3488', '0', '0', '0', 'EN', 'Bangkok', 'TH', '10');
INSERT INTO `subdivisions` VALUES ('3489', '0', '0', '0', 'EN', 'Samut Prakan', 'TH', '11');
INSERT INTO `subdivisions` VALUES ('3490', '0', '0', '0', 'EN', 'Nonthaburi', 'TH', '12');
INSERT INTO `subdivisions` VALUES ('3491', '0', '0', '0', 'EN', 'Pathum Thani', 'TH', '13');
INSERT INTO `subdivisions` VALUES ('3492', '0', '0', '0', 'EN', 'Phra Nakhon Si Ayutthaya', 'TH', '14');
INSERT INTO `subdivisions` VALUES ('3493', '0', '0', '0', 'EN', 'Ang Thong', 'TH', '15');
INSERT INTO `subdivisions` VALUES ('3494', '0', '0', '0', 'EN', 'Lop Buri', 'TH', '16');
INSERT INTO `subdivisions` VALUES ('3495', '0', '0', '0', 'EN', 'Sing Buri', 'TH', '17');
INSERT INTO `subdivisions` VALUES ('3496', '0', '0', '0', 'EN', 'Chai Nat', 'TH', '18');
INSERT INTO `subdivisions` VALUES ('3497', '0', '0', '0', 'EN', 'Saraburi', 'TH', '19');
INSERT INTO `subdivisions` VALUES ('3498', '0', '0', '0', 'EN', 'Chon Buri', 'TH', '20');
INSERT INTO `subdivisions` VALUES ('3499', '0', '0', '0', 'EN', 'Rayong', 'TH', '21');
INSERT INTO `subdivisions` VALUES ('3500', '0', '0', '0', 'EN', 'Chanthaburi', 'TH', '22');
INSERT INTO `subdivisions` VALUES ('3501', '0', '0', '0', 'EN', 'Trat', 'TH', '23');
INSERT INTO `subdivisions` VALUES ('3502', '0', '0', '0', 'EN', 'Chachoengsao', 'TH', '24');
INSERT INTO `subdivisions` VALUES ('3503', '0', '0', '0', 'EN', 'Prachin Buri', 'TH', '25');
INSERT INTO `subdivisions` VALUES ('3504', '0', '0', '0', 'EN', 'Nakhon Nayok', 'TH', '26');
INSERT INTO `subdivisions` VALUES ('3505', '0', '0', '0', 'EN', 'Sa Kaeo', 'TH', '27');
INSERT INTO `subdivisions` VALUES ('3506', '0', '0', '0', 'EN', 'Nakhon Ratchasima', 'TH', '30');
INSERT INTO `subdivisions` VALUES ('3507', '0', '0', '0', 'EN', 'Buri Ram', 'TH', '31');
INSERT INTO `subdivisions` VALUES ('3508', '0', '0', '0', 'EN', 'Surin', 'TH', '32');
INSERT INTO `subdivisions` VALUES ('3509', '0', '0', '0', 'EN', 'Si Sa Ket', 'TH', '33');
INSERT INTO `subdivisions` VALUES ('3510', '0', '0', '0', 'EN', 'Ubon Ratchathani', 'TH', '34');
INSERT INTO `subdivisions` VALUES ('3511', '0', '0', '0', 'EN', 'Yasothon', 'TH', '35');
INSERT INTO `subdivisions` VALUES ('3512', '0', '0', '0', 'EN', 'Chaiyaphum', 'TH', '36');
INSERT INTO `subdivisions` VALUES ('3513', '0', '0', '0', 'EN', 'Amnat Charoen', 'TH', '37');
INSERT INTO `subdivisions` VALUES ('3514', '0', '0', '0', 'EN', 'Nong Bua Lam Phu', 'TH', '39');
INSERT INTO `subdivisions` VALUES ('3515', '0', '0', '0', 'EN', 'Khon Kaen', 'TH', '40');
INSERT INTO `subdivisions` VALUES ('3516', '0', '0', '0', 'EN', 'Udon Thani', 'TH', '41');
INSERT INTO `subdivisions` VALUES ('3517', '0', '0', '0', 'EN', 'Loei', 'TH', '42');
INSERT INTO `subdivisions` VALUES ('3518', '0', '0', '0', 'EN', 'Nong Khai', 'TH', '43');
INSERT INTO `subdivisions` VALUES ('3519', '0', '0', '0', 'EN', 'Maha Sarakham', 'TH', '44');
INSERT INTO `subdivisions` VALUES ('3520', '0', '0', '0', 'EN', 'Roi Et', 'TH', '45');
INSERT INTO `subdivisions` VALUES ('3521', '0', '0', '0', 'EN', 'Kalasin', 'TH', '46');
INSERT INTO `subdivisions` VALUES ('3522', '0', '0', '0', 'EN', 'Sakon Nakhon', 'TH', '47');
INSERT INTO `subdivisions` VALUES ('3523', '0', '0', '0', 'EN', 'Nakhon Phanom', 'TH', '48');
INSERT INTO `subdivisions` VALUES ('3524', '0', '0', '0', 'EN', 'Mukdahan', 'TH', '49');
INSERT INTO `subdivisions` VALUES ('3525', '0', '0', '0', 'EN', 'Chiang Mai', 'TH', '50');
INSERT INTO `subdivisions` VALUES ('3526', '0', '0', '0', 'EN', 'Lamphun', 'TH', '51');
INSERT INTO `subdivisions` VALUES ('3527', '0', '0', '0', 'EN', 'Lampang', 'TH', '52');
INSERT INTO `subdivisions` VALUES ('3528', '0', '0', '0', 'EN', 'Uttaradit', 'TH', '53');
INSERT INTO `subdivisions` VALUES ('3529', '0', '0', '0', 'EN', 'Phrae', 'TH', '54');
INSERT INTO `subdivisions` VALUES ('3530', '0', '0', '0', 'EN', 'Nan', 'TH', '55');
INSERT INTO `subdivisions` VALUES ('3531', '0', '0', '0', 'EN', 'Phayao', 'TH', '56');
INSERT INTO `subdivisions` VALUES ('3532', '0', '0', '0', 'EN', 'Chiang Rai', 'TH', '57');
INSERT INTO `subdivisions` VALUES ('3533', '0', '0', '0', 'EN', 'Mae Hong Son', 'TH', '58');
INSERT INTO `subdivisions` VALUES ('3534', '0', '0', '0', 'EN', 'Nakhon Sawan', 'TH', '60');
INSERT INTO `subdivisions` VALUES ('3535', '0', '0', '0', 'EN', 'Uthai Thani', 'TH', '61');
INSERT INTO `subdivisions` VALUES ('3536', '0', '0', '0', 'EN', 'Kamphaeng Phet', 'TH', '62');
INSERT INTO `subdivisions` VALUES ('3537', '0', '0', '0', 'EN', 'Tak', 'TH', '63');
INSERT INTO `subdivisions` VALUES ('3538', '0', '0', '0', 'EN', 'Sukhothai', 'TH', '64');
INSERT INTO `subdivisions` VALUES ('3539', '0', '0', '0', 'EN', 'Phitsanulok', 'TH', '65');
INSERT INTO `subdivisions` VALUES ('3540', '0', '0', '0', 'EN', 'Phichit', 'TH', '66');
INSERT INTO `subdivisions` VALUES ('3541', '0', '0', '0', 'EN', 'Phetchabun', 'TH', '67');
INSERT INTO `subdivisions` VALUES ('3542', '0', '0', '0', 'EN', 'Ratchaburi', 'TH', '70');
INSERT INTO `subdivisions` VALUES ('3543', '0', '0', '0', 'EN', 'Kanchanaburi', 'TH', '71');
INSERT INTO `subdivisions` VALUES ('3544', '0', '0', '0', 'EN', 'Suphan Buri', 'TH', '72');
INSERT INTO `subdivisions` VALUES ('3545', '0', '0', '0', 'EN', 'Nakhon Pathom', 'TH', '73');
INSERT INTO `subdivisions` VALUES ('3546', '0', '0', '0', 'EN', 'Samut Sakhon', 'TH', '74');
INSERT INTO `subdivisions` VALUES ('3547', '0', '0', '0', 'EN', 'Samut Songkhram', 'TH', '75');
INSERT INTO `subdivisions` VALUES ('3548', '0', '0', '0', 'EN', 'Phetchaburi', 'TH', '76');
INSERT INTO `subdivisions` VALUES ('3549', '0', '0', '0', 'EN', 'Prachuap Khiri Khan', 'TH', '77');
INSERT INTO `subdivisions` VALUES ('3550', '0', '0', '0', 'EN', 'Nakhon Si Thammarat', 'TH', '80');
INSERT INTO `subdivisions` VALUES ('3551', '0', '0', '0', 'EN', 'Krabi', 'TH', '81');
INSERT INTO `subdivisions` VALUES ('3552', '0', '0', '0', 'EN', 'Phangnga', 'TH', '82');
INSERT INTO `subdivisions` VALUES ('3553', '0', '0', '0', 'EN', 'Phuket', 'TH', '83');
INSERT INTO `subdivisions` VALUES ('3554', '0', '0', '0', 'EN', 'Surat Thani', 'TH', '84');
INSERT INTO `subdivisions` VALUES ('3555', '0', '0', '0', 'EN', 'Ranong', 'TH', '85');
INSERT INTO `subdivisions` VALUES ('3556', '0', '0', '0', 'EN', 'Chumphon', 'TH', '86');
INSERT INTO `subdivisions` VALUES ('3557', '0', '0', '0', 'EN', 'Songkhla', 'TH', '90');
INSERT INTO `subdivisions` VALUES ('3558', '0', '0', '0', 'EN', 'Satun', 'TH', '91');
INSERT INTO `subdivisions` VALUES ('3559', '0', '0', '0', 'EN', 'Trang', 'TH', '92');
INSERT INTO `subdivisions` VALUES ('3560', '0', '0', '0', 'EN', 'Phatthalung', 'TH', '93');
INSERT INTO `subdivisions` VALUES ('3561', '0', '0', '0', 'EN', 'Pattani', 'TH', '94');
INSERT INTO `subdivisions` VALUES ('3562', '0', '0', '0', 'EN', 'Yala', 'TH', '95');
INSERT INTO `subdivisions` VALUES ('3563', '0', '0', '0', 'EN', 'Narathiwat', 'TH', '96');
INSERT INTO `subdivisions` VALUES ('3564', '0', '0', '0', 'EN', 'Pattaya', 'TH', 'S');
INSERT INTO `subdivisions` VALUES ('3483', '0', '0', '0', 'EN', 'Centre', 'TG', 'C');
INSERT INTO `subdivisions` VALUES ('3484', '0', '0', '0', 'EN', 'Kara', 'TG', 'K');
INSERT INTO `subdivisions` VALUES ('3485', '0', '0', '0', 'EN', 'Maritime', 'TG', 'M');
INSERT INTO `subdivisions` VALUES ('3486', '0', '0', '0', 'EN', 'Plateaux', 'TG', 'P');
INSERT INTO `subdivisions` VALUES ('3487', '0', '0', '0', 'EN', 'Savannes', 'TG', 'S');
INSERT INTO `subdivisions` VALUES ('3461', '0', '0', '0', 'EN', 'Al Baṭḩah', 'TD', 'BA');
INSERT INTO `subdivisions` VALUES ('3462', '0', '0', '0', 'EN', 'Baḩr al Ghazāl', 'TD', 'BG');
INSERT INTO `subdivisions` VALUES ('3463', '0', '0', '0', 'EN', 'Būrkū', 'TD', 'BO');
INSERT INTO `subdivisions` VALUES ('3464', '0', '0', '0', 'EN', 'Shārī Bāqirmī', 'TD', 'CB');
INSERT INTO `subdivisions` VALUES ('3465', '0', '0', '0', 'EN', 'Innīdī', 'TD', 'EN');
INSERT INTO `subdivisions` VALUES ('3466', '0', '0', '0', 'EN', 'Qīrā', 'TD', 'GR');
INSERT INTO `subdivisions` VALUES ('3467', '0', '0', '0', 'EN', 'Ḥajjar Lamīs', 'TD', 'HL');
INSERT INTO `subdivisions` VALUES ('3468', '0', '0', '0', 'EN', 'Kānim', 'TD', 'KA');
INSERT INTO `subdivisions` VALUES ('3469', '0', '0', '0', 'EN', 'Al Buḩayrah', 'TD', 'LC');
INSERT INTO `subdivisions` VALUES ('3470', '0', '0', '0', 'EN', 'Lūqūn al Gharbī', 'TD', 'LO');
INSERT INTO `subdivisions` VALUES ('3471', '0', '0', '0', 'EN', 'Lūqūn ash Sharqī', 'TD', 'LR');
INSERT INTO `subdivisions` VALUES ('3472', '0', '0', '0', 'EN', 'Māndūl', 'TD', 'MA');
INSERT INTO `subdivisions` VALUES ('3473', '0', '0', '0', 'EN', 'Shārī al Awsaṭ', 'TD', 'MC');
INSERT INTO `subdivisions` VALUES ('3474', '0', '0', '0', 'EN', 'Māyū Kībbī ash Sharqī', 'TD', 'ME');
INSERT INTO `subdivisions` VALUES ('3475', '0', '0', '0', 'EN', 'Māyū Kībbī al Gharbī', 'TD', 'MO');
INSERT INTO `subdivisions` VALUES ('3476', '0', '0', '0', 'EN', 'Madīnat Injamīnā', 'TD', 'ND');
INSERT INTO `subdivisions` VALUES ('3477', '0', '0', '0', 'EN', 'Waddāy', 'TD', 'OD');
INSERT INTO `subdivisions` VALUES ('3478', '0', '0', '0', 'EN', 'Salāmāt', 'TD', 'SA');
INSERT INTO `subdivisions` VALUES ('3479', '0', '0', '0', 'EN', 'Sīlā', 'TD', 'SI');
INSERT INTO `subdivisions` VALUES ('3480', '0', '0', '0', 'EN', 'Tānjilī', 'TD', 'TA');
INSERT INTO `subdivisions` VALUES ('3481', '0', '0', '0', 'EN', 'Tibastī', 'TD', 'TI');
INSERT INTO `subdivisions` VALUES ('3482', '0', '0', '0', 'EN', 'Wādī Fīrā', 'TD', 'WF');
INSERT INTO `subdivisions` VALUES ('3447', '0', '0', '0', 'EN', 'Ambergris Cays', 'TC', 'AC');
INSERT INTO `subdivisions` VALUES ('3448', '0', '0', '0', 'EN', 'Dellis Cay', 'TC', 'DC');
INSERT INTO `subdivisions` VALUES ('3449', '0', '0', '0', 'EN', 'East Caicos', 'TC', 'EC');
INSERT INTO `subdivisions` VALUES ('3450', '0', '0', '0', 'EN', 'French Cay', 'TC', 'FC');
INSERT INTO `subdivisions` VALUES ('3451', '0', '0', '0', 'EN', 'Grand Turk', 'TC', 'GT');
INSERT INTO `subdivisions` VALUES ('3452', '0', '0', '0', 'EN', 'Little Water Cay', 'TC', 'LW');
INSERT INTO `subdivisions` VALUES ('3453', '0', '0', '0', 'EN', 'Middle Caicos', 'TC', 'MC');
INSERT INTO `subdivisions` VALUES ('3454', '0', '0', '0', 'EN', 'North Caicos', 'TC', 'NC');
INSERT INTO `subdivisions` VALUES ('3455', '0', '0', '0', 'EN', 'Pine Cay', 'TC', 'PN');
INSERT INTO `subdivisions` VALUES ('3456', '0', '0', '0', 'EN', 'Providenciales', 'TC', 'PR');
INSERT INTO `subdivisions` VALUES ('3457', '0', '0', '0', 'EN', 'Parrot Cay', 'TC', 'RC');
INSERT INTO `subdivisions` VALUES ('3458', '0', '0', '0', 'EN', 'South Caicos', 'TC', 'SC');
INSERT INTO `subdivisions` VALUES ('3459', '0', '0', '0', 'EN', 'Salt Cay', 'TC', 'SL');
INSERT INTO `subdivisions` VALUES ('3460', '0', '0', '0', 'EN', 'West Caicos', 'TC', 'WC');
INSERT INTO `subdivisions` VALUES ('3443', '0', '0', '0', 'EN', 'Hhohho', 'SZ', 'HH');
INSERT INTO `subdivisions` VALUES ('3444', '0', '0', '0', 'EN', 'Lubombo', 'SZ', 'LU');
INSERT INTO `subdivisions` VALUES ('3445', '0', '0', '0', 'EN', 'Manzini', 'SZ', 'MA');
INSERT INTO `subdivisions` VALUES ('3446', '0', '0', '0', 'EN', 'Shiselweni', 'SZ', 'SH');
INSERT INTO `subdivisions` VALUES ('3429', '0', '0', '0', 'EN', 'Dimashq', 'SY', 'DI');
INSERT INTO `subdivisions` VALUES ('3430', '0', '0', '0', 'EN', 'Darٰā', 'SY', 'DR');
INSERT INTO `subdivisions` VALUES ('3431', '0', '0', '0', 'EN', 'Dayr az Zawr', 'SY', 'DY');
INSERT INTO `subdivisions` VALUES ('3432', '0', '0', '0', 'EN', 'Al Ḩasakah', 'SY', 'HA');
INSERT INTO `subdivisions` VALUES ('3433', '0', '0', '0', 'EN', 'Ḩimş', 'SY', 'HI');
INSERT INTO `subdivisions` VALUES ('3434', '0', '0', '0', 'EN', 'Ḩalab', 'SY', 'HL');
INSERT INTO `subdivisions` VALUES ('3435', '0', '0', '0', 'EN', 'Ḩamāh', 'SY', 'HM');
INSERT INTO `subdivisions` VALUES ('3436', '0', '0', '0', 'EN', 'Idlib', 'SY', 'ID');
INSERT INTO `subdivisions` VALUES ('3437', '0', '0', '0', 'EN', 'Al Lādhiqīyah', 'SY', 'LA');
INSERT INTO `subdivisions` VALUES ('3438', '0', '0', '0', 'EN', 'Al Qunayţirah', 'SY', 'QU');
INSERT INTO `subdivisions` VALUES ('3439', '0', '0', '0', 'EN', 'Ar Raqqah', 'SY', 'RA');
INSERT INTO `subdivisions` VALUES ('3440', '0', '0', '0', 'EN', 'Rīf Dimashq', 'SY', 'RD');
INSERT INTO `subdivisions` VALUES ('3441', '0', '0', '0', 'EN', 'As Suwaydā\'', 'SY', 'SU');
INSERT INTO `subdivisions` VALUES ('3442', '0', '0', '0', 'EN', 'Ţarţūs', 'SY', 'TA');
INSERT INTO `subdivisions` VALUES ('3415', '0', '0', '0', 'EN', 'Ahuachapán', 'SV', 'AH');
INSERT INTO `subdivisions` VALUES ('3416', '0', '0', '0', 'EN', 'Cabañas', 'SV', 'CA');
INSERT INTO `subdivisions` VALUES ('3417', '0', '0', '0', 'EN', 'Chalatenango', 'SV', 'CH');
INSERT INTO `subdivisions` VALUES ('3418', '0', '0', '0', 'EN', 'Cuscatlán', 'SV', 'CU');
INSERT INTO `subdivisions` VALUES ('3419', '0', '0', '0', 'EN', 'La Libertad', 'SV', 'LI');
INSERT INTO `subdivisions` VALUES ('3420', '0', '0', '0', 'EN', 'Morazán', 'SV', 'MO');
INSERT INTO `subdivisions` VALUES ('3421', '0', '0', '0', 'EN', 'La Paz', 'SV', 'PA');
INSERT INTO `subdivisions` VALUES ('3422', '0', '0', '0', 'EN', 'Santa Ana', 'SV', 'SA');
INSERT INTO `subdivisions` VALUES ('3423', '0', '0', '0', 'EN', 'San Miguel', 'SV', 'SM');
INSERT INTO `subdivisions` VALUES ('3424', '0', '0', '0', 'EN', 'Sonsonate', 'SV', 'SO');
INSERT INTO `subdivisions` VALUES ('3425', '0', '0', '0', 'EN', 'San Salvador', 'SV', 'SS');
INSERT INTO `subdivisions` VALUES ('3426', '0', '0', '0', 'EN', 'San Vicente', 'SV', 'SV');
INSERT INTO `subdivisions` VALUES ('3427', '0', '0', '0', 'EN', 'La Unión', 'SV', 'UN');
INSERT INTO `subdivisions` VALUES ('3428', '0', '0', '0', 'EN', 'Usulután', 'SV', 'US');
INSERT INTO `subdivisions` VALUES ('3413', '0', '0', '0', 'EN', 'Príncipe', 'ST', 'P');
INSERT INTO `subdivisions` VALUES ('3414', '0', '0', '0', 'EN', 'São Tomé', 'ST', 'S');
INSERT INTO `subdivisions` VALUES ('3403', '0', '0', '0', 'EN', 'Northern Bahr el-Ghazal', 'SS', 'BN');
INSERT INTO `subdivisions` VALUES ('3404', '0', '0', '0', 'EN', 'Western Bahr el-Ghazal', 'SS', 'BW');
INSERT INTO `subdivisions` VALUES ('3405', '0', '0', '0', 'EN', 'Central Equatoria', 'SS', 'EC');
INSERT INTO `subdivisions` VALUES ('3406', '0', '0', '0', 'EN', 'Eastern Equatoria', 'SS', 'EE');
INSERT INTO `subdivisions` VALUES ('3407', '0', '0', '0', 'EN', 'Western Equatoria', 'SS', 'EW');
INSERT INTO `subdivisions` VALUES ('3408', '0', '0', '0', 'EN', 'Jonglei', 'SS', 'JG');
INSERT INTO `subdivisions` VALUES ('3409', '0', '0', '0', 'EN', 'Lakes', 'SS', 'LK');
INSERT INTO `subdivisions` VALUES ('3410', '0', '0', '0', 'EN', 'Upper Nile', 'SS', 'NU');
INSERT INTO `subdivisions` VALUES ('3411', '0', '0', '0', 'EN', 'Unity', 'SS', 'UY');
INSERT INTO `subdivisions` VALUES ('3412', '0', '0', '0', 'EN', 'Warrap', 'SS', 'WR');
INSERT INTO `subdivisions` VALUES ('3393', '0', '0', '0', 'EN', 'Brokopondo', 'SR', 'BR');
INSERT INTO `subdivisions` VALUES ('3394', '0', '0', '0', 'EN', 'Commewijne', 'SR', 'CM');
INSERT INTO `subdivisions` VALUES ('3395', '0', '0', '0', 'EN', 'Coronie', 'SR', 'CR');
INSERT INTO `subdivisions` VALUES ('3396', '0', '0', '0', 'EN', 'Marowijne', 'SR', 'MA');
INSERT INTO `subdivisions` VALUES ('3397', '0', '0', '0', 'EN', 'Nickerie', 'SR', 'NI');
INSERT INTO `subdivisions` VALUES ('3398', '0', '0', '0', 'EN', 'Paramaribo', 'SR', 'PM');
INSERT INTO `subdivisions` VALUES ('3399', '0', '0', '0', 'EN', 'Para', 'SR', 'PR');
INSERT INTO `subdivisions` VALUES ('3400', '0', '0', '0', 'EN', 'Saramacca', 'SR', 'SA');
INSERT INTO `subdivisions` VALUES ('3401', '0', '0', '0', 'EN', 'Sipaliwini', 'SR', 'SI');
INSERT INTO `subdivisions` VALUES ('3402', '0', '0', '0', 'EN', 'Wanica', 'SR', 'WA');
INSERT INTO `subdivisions` VALUES ('3375', '0', '0', '0', 'EN', 'Awdal', 'SO', 'AW');
INSERT INTO `subdivisions` VALUES ('3376', '0', '0', '0', 'EN', 'Bakool', 'SO', 'BK');
INSERT INTO `subdivisions` VALUES ('3377', '0', '0', '0', 'EN', 'Banaadir', 'SO', 'BN');
INSERT INTO `subdivisions` VALUES ('3378', '0', '0', '0', 'EN', 'Bari', 'SO', 'BR');
INSERT INTO `subdivisions` VALUES ('3379', '0', '0', '0', 'EN', 'Bay', 'SO', 'BY');
INSERT INTO `subdivisions` VALUES ('3380', '0', '0', '0', 'EN', 'Galguduud', 'SO', 'GA');
INSERT INTO `subdivisions` VALUES ('3381', '0', '0', '0', 'EN', 'Gedo', 'SO', 'GE');
INSERT INTO `subdivisions` VALUES ('3382', '0', '0', '0', 'EN', 'Hiiraan', 'SO', 'HI');
INSERT INTO `subdivisions` VALUES ('3383', '0', '0', '0', 'EN', 'Jubbada Dhexe', 'SO', 'JD');
INSERT INTO `subdivisions` VALUES ('3384', '0', '0', '0', 'EN', 'Jubbada Hoose', 'SO', 'JH');
INSERT INTO `subdivisions` VALUES ('3385', '0', '0', '0', 'EN', 'Mudug', 'SO', 'MU');
INSERT INTO `subdivisions` VALUES ('3386', '0', '0', '0', 'EN', 'Nugaal', 'SO', 'NU');
INSERT INTO `subdivisions` VALUES ('3387', '0', '0', '0', 'EN', 'Sanaag', 'SO', 'SA');
INSERT INTO `subdivisions` VALUES ('3388', '0', '0', '0', 'EN', 'Shabeellaha Dhexe', 'SO', 'SD');
INSERT INTO `subdivisions` VALUES ('3389', '0', '0', '0', 'EN', 'Shabeellaha Hoose', 'SO', 'SH');
INSERT INTO `subdivisions` VALUES ('3390', '0', '0', '0', 'EN', 'Sool', 'SO', 'SO');
INSERT INTO `subdivisions` VALUES ('3391', '0', '0', '0', 'EN', 'Togdheer', 'SO', 'TO');
INSERT INTO `subdivisions` VALUES ('3392', '0', '0', '0', 'EN', 'Woqooyi Galbeed', 'SO', 'WO');
INSERT INTO `subdivisions` VALUES ('3361', '0', '0', '0', 'EN', 'Diourbel', 'SN', 'DB');
INSERT INTO `subdivisions` VALUES ('3362', '0', '0', '0', 'EN', 'Dakar', 'SN', 'DK');
INSERT INTO `subdivisions` VALUES ('3363', '0', '0', '0', 'EN', 'Fatick', 'SN', 'FK');
INSERT INTO `subdivisions` VALUES ('3364', '0', '0', '0', 'EN', 'Kaffrine', 'SN', 'KA');
INSERT INTO `subdivisions` VALUES ('3365', '0', '0', '0', 'EN', 'Kolda', 'SN', 'KD');
INSERT INTO `subdivisions` VALUES ('3366', '0', '0', '0', 'EN', 'Kédougou', 'SN', 'KE');
INSERT INTO `subdivisions` VALUES ('3367', '0', '0', '0', 'EN', 'Kaolack', 'SN', 'KL');
INSERT INTO `subdivisions` VALUES ('3368', '0', '0', '0', 'EN', 'Louga', 'SN', 'LG');
INSERT INTO `subdivisions` VALUES ('3369', '0', '0', '0', 'EN', 'Matam', 'SN', 'MT');
INSERT INTO `subdivisions` VALUES ('3370', '0', '0', '0', 'EN', 'Sédhiou', 'SN', 'SE');
INSERT INTO `subdivisions` VALUES ('3371', '0', '0', '0', 'EN', 'Saint-Louis', 'SN', 'SL');
INSERT INTO `subdivisions` VALUES ('3372', '0', '0', '0', 'EN', 'Tambacounda', 'SN', 'TC');
INSERT INTO `subdivisions` VALUES ('3373', '0', '0', '0', 'EN', 'Thiès', 'SN', 'TH');
INSERT INTO `subdivisions` VALUES ('3374', '0', '0', '0', 'EN', 'Ziguinchor', 'SN', 'ZG');
INSERT INTO `subdivisions` VALUES ('3352', '0', '0', '0', 'EN', 'Acquaviva', 'SM', '01');
INSERT INTO `subdivisions` VALUES ('3353', '0', '0', '0', 'EN', 'Chiesanuova', 'SM', '02');
INSERT INTO `subdivisions` VALUES ('3354', '0', '0', '0', 'EN', 'Domagnano', 'SM', '03');
INSERT INTO `subdivisions` VALUES ('3355', '0', '0', '0', 'EN', 'Faetano', 'SM', '04');
INSERT INTO `subdivisions` VALUES ('3356', '0', '0', '0', 'EN', 'Fiorentino', 'SM', '05');
INSERT INTO `subdivisions` VALUES ('3357', '0', '0', '0', 'EN', 'Borgo Maggiore', 'SM', '06');
INSERT INTO `subdivisions` VALUES ('3358', '0', '0', '0', 'EN', 'San Marino', 'SM', '07');
INSERT INTO `subdivisions` VALUES ('3359', '0', '0', '0', 'EN', 'Montegiardino', 'SM', '08');
INSERT INTO `subdivisions` VALUES ('3360', '0', '0', '0', 'EN', 'Serravalle', 'SM', '09');
INSERT INTO `subdivisions` VALUES ('3348', '0', '0', '0', 'EN', 'Eastern', 'SL', 'E');
INSERT INTO `subdivisions` VALUES ('3349', '0', '0', '0', 'EN', 'Northern', 'SL', 'N');
INSERT INTO `subdivisions` VALUES ('3350', '0', '0', '0', 'EN', 'Southern', 'SL', 'S');
INSERT INTO `subdivisions` VALUES ('3351', '0', '0', '0', 'EN', 'Western Area (Freetown)', 'SL', 'W');
INSERT INTO `subdivisions` VALUES ('3340', '0', '0', '0', 'EN', 'Banskobystrický kraj', 'SK', 'BC');
INSERT INTO `subdivisions` VALUES ('3341', '0', '0', '0', 'EN', 'Bratislavský kraj', 'SK', 'BL');
INSERT INTO `subdivisions` VALUES ('3342', '0', '0', '0', 'EN', 'Košický kraj', 'SK', 'KI');
INSERT INTO `subdivisions` VALUES ('3343', '0', '0', '0', 'EN', 'Nitriansky kraj', 'SK', 'NI');
INSERT INTO `subdivisions` VALUES ('3344', '0', '0', '0', 'EN', 'Prešovský kraj', 'SK', 'PV');
INSERT INTO `subdivisions` VALUES ('3345', '0', '0', '0', 'EN', 'Trnavský kraj', 'SK', 'TA');
INSERT INTO `subdivisions` VALUES ('3346', '0', '0', '0', 'EN', 'Trenčiansky kraj', 'SK', 'TC');
INSERT INTO `subdivisions` VALUES ('3347', '0', '0', '0', 'EN', 'Žilinský kraj', 'SK', 'ZI');
INSERT INTO `subdivisions` VALUES ('3130', '0', '0', '0', 'EN', 'Ajdovščina', 'SI', '001');
INSERT INTO `subdivisions` VALUES ('3131', '0', '0', '0', 'EN', 'Beltinci', 'SI', '002');
INSERT INTO `subdivisions` VALUES ('3132', '0', '0', '0', 'EN', 'Bled', 'SI', '003');
INSERT INTO `subdivisions` VALUES ('3133', '0', '0', '0', 'EN', 'Bohinj', 'SI', '004');
INSERT INTO `subdivisions` VALUES ('3134', '0', '0', '0', 'EN', 'Borovnica', 'SI', '005');
INSERT INTO `subdivisions` VALUES ('3135', '0', '0', '0', 'EN', 'Bovec', 'SI', '006');
INSERT INTO `subdivisions` VALUES ('3136', '0', '0', '0', 'EN', 'Brda', 'SI', '007');
INSERT INTO `subdivisions` VALUES ('3137', '0', '0', '0', 'EN', 'Brezovica', 'SI', '008');
INSERT INTO `subdivisions` VALUES ('3138', '0', '0', '0', 'EN', 'Brežice', 'SI', '009');
INSERT INTO `subdivisions` VALUES ('3139', '0', '0', '0', 'EN', 'Tišina', 'SI', '010');
INSERT INTO `subdivisions` VALUES ('3140', '0', '0', '0', 'EN', 'Celje', 'SI', '011');
INSERT INTO `subdivisions` VALUES ('3141', '0', '0', '0', 'EN', 'Cerklje na Gorenjskem', 'SI', '012');
INSERT INTO `subdivisions` VALUES ('3142', '0', '0', '0', 'EN', 'Cerknica', 'SI', '013');
INSERT INTO `subdivisions` VALUES ('3143', '0', '0', '0', 'EN', 'Cerkno', 'SI', '014');
INSERT INTO `subdivisions` VALUES ('3144', '0', '0', '0', 'EN', 'Črenšovci', 'SI', '015');
INSERT INTO `subdivisions` VALUES ('3145', '0', '0', '0', 'EN', 'Črna na Koroškem', 'SI', '016');
INSERT INTO `subdivisions` VALUES ('3146', '0', '0', '0', 'EN', 'Črnomelj', 'SI', '017');
INSERT INTO `subdivisions` VALUES ('3147', '0', '0', '0', 'EN', 'Destrnik', 'SI', '018');
INSERT INTO `subdivisions` VALUES ('3148', '0', '0', '0', 'EN', 'Divača', 'SI', '019');
INSERT INTO `subdivisions` VALUES ('3149', '0', '0', '0', 'EN', 'Dobrepolje', 'SI', '020');
INSERT INTO `subdivisions` VALUES ('3150', '0', '0', '0', 'EN', 'Dobrova-Polhov Gradec', 'SI', '021');
INSERT INTO `subdivisions` VALUES ('3151', '0', '0', '0', 'EN', 'Dol pri Ljubljani', 'SI', '022');
INSERT INTO `subdivisions` VALUES ('3152', '0', '0', '0', 'EN', 'Domžale', 'SI', '023');
INSERT INTO `subdivisions` VALUES ('3153', '0', '0', '0', 'EN', 'Dornava', 'SI', '024');
INSERT INTO `subdivisions` VALUES ('3154', '0', '0', '0', 'EN', 'Dravograd', 'SI', '025');
INSERT INTO `subdivisions` VALUES ('3155', '0', '0', '0', 'EN', 'Duplek', 'SI', '026');
INSERT INTO `subdivisions` VALUES ('3156', '0', '0', '0', 'EN', 'Gorenja vas-Poljane', 'SI', '027');
INSERT INTO `subdivisions` VALUES ('3157', '0', '0', '0', 'EN', 'Gorišnica', 'SI', '028');
INSERT INTO `subdivisions` VALUES ('3158', '0', '0', '0', 'EN', 'Gornja Radgona', 'SI', '029');
INSERT INTO `subdivisions` VALUES ('3159', '0', '0', '0', 'EN', 'Gornji Grad', 'SI', '030');
INSERT INTO `subdivisions` VALUES ('3160', '0', '0', '0', 'EN', 'Gornji Petrovci', 'SI', '031');
INSERT INTO `subdivisions` VALUES ('3161', '0', '0', '0', 'EN', 'Grosuplje', 'SI', '032');
INSERT INTO `subdivisions` VALUES ('3162', '0', '0', '0', 'EN', 'Šalovci', 'SI', '033');
INSERT INTO `subdivisions` VALUES ('3163', '0', '0', '0', 'EN', 'Hrastnik', 'SI', '034');
INSERT INTO `subdivisions` VALUES ('3164', '0', '0', '0', 'EN', 'Hrpelje-Kozina', 'SI', '035');
INSERT INTO `subdivisions` VALUES ('3165', '0', '0', '0', 'EN', 'Idrija', 'SI', '036');
INSERT INTO `subdivisions` VALUES ('3166', '0', '0', '0', 'EN', 'Ig', 'SI', '037');
INSERT INTO `subdivisions` VALUES ('3167', '0', '0', '0', 'EN', 'Ilirska Bistrica', 'SI', '038');
INSERT INTO `subdivisions` VALUES ('3168', '0', '0', '0', 'EN', 'Ivančna Gorica', 'SI', '039');
INSERT INTO `subdivisions` VALUES ('3169', '0', '0', '0', 'EN', 'Izola/Isola', 'SI', '040');
INSERT INTO `subdivisions` VALUES ('3170', '0', '0', '0', 'EN', 'Jesenice', 'SI', '041');
INSERT INTO `subdivisions` VALUES ('3171', '0', '0', '0', 'EN', 'Juršinci', 'SI', '042');
INSERT INTO `subdivisions` VALUES ('3172', '0', '0', '0', 'EN', 'Kamnik', 'SI', '043');
INSERT INTO `subdivisions` VALUES ('3173', '0', '0', '0', 'EN', 'Kanal', 'SI', '044');
INSERT INTO `subdivisions` VALUES ('3174', '0', '0', '0', 'EN', 'Kidričevo', 'SI', '045');
INSERT INTO `subdivisions` VALUES ('3175', '0', '0', '0', 'EN', 'Kobarid', 'SI', '046');
INSERT INTO `subdivisions` VALUES ('3176', '0', '0', '0', 'EN', 'Kobilje', 'SI', '047');
INSERT INTO `subdivisions` VALUES ('3177', '0', '0', '0', 'EN', 'Kočevje', 'SI', '048');
INSERT INTO `subdivisions` VALUES ('3178', '0', '0', '0', 'EN', 'Komen', 'SI', '049');
INSERT INTO `subdivisions` VALUES ('3179', '0', '0', '0', 'EN', 'Koper/Capodistria', 'SI', '050');
INSERT INTO `subdivisions` VALUES ('3180', '0', '0', '0', 'EN', 'Kozje', 'SI', '051');
INSERT INTO `subdivisions` VALUES ('3181', '0', '0', '0', 'EN', 'Kranj', 'SI', '052');
INSERT INTO `subdivisions` VALUES ('3182', '0', '0', '0', 'EN', 'Kranjska Gora', 'SI', '053');
INSERT INTO `subdivisions` VALUES ('3183', '0', '0', '0', 'EN', 'Krško', 'SI', '054');
INSERT INTO `subdivisions` VALUES ('3184', '0', '0', '0', 'EN', 'Kungota', 'SI', '055');
INSERT INTO `subdivisions` VALUES ('3185', '0', '0', '0', 'EN', 'Kuzma', 'SI', '056');
INSERT INTO `subdivisions` VALUES ('3186', '0', '0', '0', 'EN', 'Laško', 'SI', '057');
INSERT INTO `subdivisions` VALUES ('3187', '0', '0', '0', 'EN', 'Lenart', 'SI', '058');
INSERT INTO `subdivisions` VALUES ('3188', '0', '0', '0', 'EN', 'Lendava/Lendva', 'SI', '059');
INSERT INTO `subdivisions` VALUES ('3189', '0', '0', '0', 'EN', 'Litija', 'SI', '060');
INSERT INTO `subdivisions` VALUES ('3190', '0', '0', '0', 'EN', 'Ljubljana', 'SI', '061');
INSERT INTO `subdivisions` VALUES ('3191', '0', '0', '0', 'EN', 'Ljubno', 'SI', '062');
INSERT INTO `subdivisions` VALUES ('3192', '0', '0', '0', 'EN', 'Ljutomer', 'SI', '063');
INSERT INTO `subdivisions` VALUES ('3193', '0', '0', '0', 'EN', 'Logatec', 'SI', '064');
INSERT INTO `subdivisions` VALUES ('3194', '0', '0', '0', 'EN', 'Loška dolina', 'SI', '065');
INSERT INTO `subdivisions` VALUES ('3195', '0', '0', '0', 'EN', 'Loški Potok', 'SI', '066');
INSERT INTO `subdivisions` VALUES ('3196', '0', '0', '0', 'EN', 'Luče', 'SI', '067');
INSERT INTO `subdivisions` VALUES ('3197', '0', '0', '0', 'EN', 'Lukovica', 'SI', '068');
INSERT INTO `subdivisions` VALUES ('3198', '0', '0', '0', 'EN', 'Majšperk', 'SI', '069');
INSERT INTO `subdivisions` VALUES ('3199', '0', '0', '0', 'EN', 'Maribor', 'SI', '070');
INSERT INTO `subdivisions` VALUES ('3200', '0', '0', '0', 'EN', 'Medvode', 'SI', '071');
INSERT INTO `subdivisions` VALUES ('3201', '0', '0', '0', 'EN', 'Mengeš', 'SI', '072');
INSERT INTO `subdivisions` VALUES ('3202', '0', '0', '0', 'EN', 'Metlika', 'SI', '073');
INSERT INTO `subdivisions` VALUES ('3203', '0', '0', '0', 'EN', 'Mežica', 'SI', '074');
INSERT INTO `subdivisions` VALUES ('3204', '0', '0', '0', 'EN', 'Miren-Kostanjevica', 'SI', '075');
INSERT INTO `subdivisions` VALUES ('3205', '0', '0', '0', 'EN', 'Mislinja', 'SI', '076');
INSERT INTO `subdivisions` VALUES ('3206', '0', '0', '0', 'EN', 'Moravče', 'SI', '077');
INSERT INTO `subdivisions` VALUES ('3207', '0', '0', '0', 'EN', 'Moravske Toplice', 'SI', '078');
INSERT INTO `subdivisions` VALUES ('3208', '0', '0', '0', 'EN', 'Mozirje', 'SI', '079');
INSERT INTO `subdivisions` VALUES ('3209', '0', '0', '0', 'EN', 'Murska Sobota', 'SI', '080');
INSERT INTO `subdivisions` VALUES ('3210', '0', '0', '0', 'EN', 'Muta', 'SI', '081');
INSERT INTO `subdivisions` VALUES ('3211', '0', '0', '0', 'EN', 'Naklo', 'SI', '082');
INSERT INTO `subdivisions` VALUES ('3212', '0', '0', '0', 'EN', 'Nazarje', 'SI', '083');
INSERT INTO `subdivisions` VALUES ('3213', '0', '0', '0', 'EN', 'Nova Gorica', 'SI', '084');
INSERT INTO `subdivisions` VALUES ('3214', '0', '0', '0', 'EN', 'Novo mesto', 'SI', '085');
INSERT INTO `subdivisions` VALUES ('3215', '0', '0', '0', 'EN', 'Odranci', 'SI', '086');
INSERT INTO `subdivisions` VALUES ('3216', '0', '0', '0', 'EN', 'Ormož', 'SI', '087');
INSERT INTO `subdivisions` VALUES ('3217', '0', '0', '0', 'EN', 'Osilnica', 'SI', '088');
INSERT INTO `subdivisions` VALUES ('3218', '0', '0', '0', 'EN', 'Pesnica', 'SI', '089');
INSERT INTO `subdivisions` VALUES ('3219', '0', '0', '0', 'EN', 'Piran/Pirano', 'SI', '090');
INSERT INTO `subdivisions` VALUES ('3220', '0', '0', '0', 'EN', 'Pivka', 'SI', '091');
INSERT INTO `subdivisions` VALUES ('3221', '0', '0', '0', 'EN', 'Podčetrtek', 'SI', '092');
INSERT INTO `subdivisions` VALUES ('3222', '0', '0', '0', 'EN', 'Podvelka', 'SI', '093');
INSERT INTO `subdivisions` VALUES ('3223', '0', '0', '0', 'EN', 'Postojna', 'SI', '094');
INSERT INTO `subdivisions` VALUES ('3224', '0', '0', '0', 'EN', 'Preddvor', 'SI', '095');
INSERT INTO `subdivisions` VALUES ('3225', '0', '0', '0', 'EN', 'Ptuj', 'SI', '096');
INSERT INTO `subdivisions` VALUES ('3226', '0', '0', '0', 'EN', 'Puconci', 'SI', '097');
INSERT INTO `subdivisions` VALUES ('3227', '0', '0', '0', 'EN', 'Rače-Fram', 'SI', '098');
INSERT INTO `subdivisions` VALUES ('3228', '0', '0', '0', 'EN', 'Radeče', 'SI', '099');
INSERT INTO `subdivisions` VALUES ('3229', '0', '0', '0', 'EN', 'Radenci', 'SI', '100');
INSERT INTO `subdivisions` VALUES ('3230', '0', '0', '0', 'EN', 'Radlje ob Dravi', 'SI', '101');
INSERT INTO `subdivisions` VALUES ('3231', '0', '0', '0', 'EN', 'Radovljica', 'SI', '102');
INSERT INTO `subdivisions` VALUES ('3232', '0', '0', '0', 'EN', 'Ravne na Koroškem', 'SI', '103');
INSERT INTO `subdivisions` VALUES ('3233', '0', '0', '0', 'EN', 'Ribnica', 'SI', '104');
INSERT INTO `subdivisions` VALUES ('3234', '0', '0', '0', 'EN', 'Rogašovci', 'SI', '105');
INSERT INTO `subdivisions` VALUES ('3235', '0', '0', '0', 'EN', 'Rogaška Slatina', 'SI', '106');
INSERT INTO `subdivisions` VALUES ('3236', '0', '0', '0', 'EN', 'Rogatec', 'SI', '107');
INSERT INTO `subdivisions` VALUES ('3237', '0', '0', '0', 'EN', 'Ruše', 'SI', '108');
INSERT INTO `subdivisions` VALUES ('3238', '0', '0', '0', 'EN', 'Semič', 'SI', '109');
INSERT INTO `subdivisions` VALUES ('3239', '0', '0', '0', 'EN', 'Sevnica', 'SI', '110');
INSERT INTO `subdivisions` VALUES ('3240', '0', '0', '0', 'EN', 'Sežana', 'SI', '111');
INSERT INTO `subdivisions` VALUES ('3241', '0', '0', '0', 'EN', 'Slovenj Gradec', 'SI', '112');
INSERT INTO `subdivisions` VALUES ('3242', '0', '0', '0', 'EN', 'Slovenska Bistrica', 'SI', '113');
INSERT INTO `subdivisions` VALUES ('3243', '0', '0', '0', 'EN', 'Slovenske Konjice', 'SI', '114');
INSERT INTO `subdivisions` VALUES ('3244', '0', '0', '0', 'EN', 'Starše', 'SI', '115');
INSERT INTO `subdivisions` VALUES ('3245', '0', '0', '0', 'EN', 'Sveti Jurij', 'SI', '116');
INSERT INTO `subdivisions` VALUES ('3246', '0', '0', '0', 'EN', 'Šenčur', 'SI', '117');
INSERT INTO `subdivisions` VALUES ('3247', '0', '0', '0', 'EN', 'Šentilj', 'SI', '118');
INSERT INTO `subdivisions` VALUES ('3248', '0', '0', '0', 'EN', 'Šentjernej', 'SI', '119');
INSERT INTO `subdivisions` VALUES ('3249', '0', '0', '0', 'EN', 'Šentjur pri Celju', 'SI', '120');
INSERT INTO `subdivisions` VALUES ('3250', '0', '0', '0', 'EN', 'Škocjan', 'SI', '121');
INSERT INTO `subdivisions` VALUES ('3251', '0', '0', '0', 'EN', 'Škofja Loka', 'SI', '122');
INSERT INTO `subdivisions` VALUES ('3252', '0', '0', '0', 'EN', 'Škofljica', 'SI', '123');
INSERT INTO `subdivisions` VALUES ('3253', '0', '0', '0', 'EN', 'Šmarje pri Jelšah', 'SI', '124');
INSERT INTO `subdivisions` VALUES ('3254', '0', '0', '0', 'EN', 'Šmartno ob Paki', 'SI', '125');
INSERT INTO `subdivisions` VALUES ('3255', '0', '0', '0', 'EN', 'Šoštanj', 'SI', '126');
INSERT INTO `subdivisions` VALUES ('3256', '0', '0', '0', 'EN', 'Štore', 'SI', '127');
INSERT INTO `subdivisions` VALUES ('3257', '0', '0', '0', 'EN', 'Tolmin', 'SI', '128');
INSERT INTO `subdivisions` VALUES ('3258', '0', '0', '0', 'EN', 'Trbovlje', 'SI', '129');
INSERT INTO `subdivisions` VALUES ('3259', '0', '0', '0', 'EN', 'Trebnje', 'SI', '130');
INSERT INTO `subdivisions` VALUES ('3260', '0', '0', '0', 'EN', 'Tržič', 'SI', '131');
INSERT INTO `subdivisions` VALUES ('3261', '0', '0', '0', 'EN', 'Turnišče', 'SI', '132');
INSERT INTO `subdivisions` VALUES ('3262', '0', '0', '0', 'EN', 'Velenje', 'SI', '133');
INSERT INTO `subdivisions` VALUES ('3263', '0', '0', '0', 'EN', 'Velike Lašče', 'SI', '134');
INSERT INTO `subdivisions` VALUES ('3264', '0', '0', '0', 'EN', 'Videm', 'SI', '135');
INSERT INTO `subdivisions` VALUES ('3265', '0', '0', '0', 'EN', 'Vipava', 'SI', '136');
INSERT INTO `subdivisions` VALUES ('3266', '0', '0', '0', 'EN', 'Vitanje', 'SI', '137');
INSERT INTO `subdivisions` VALUES ('3267', '0', '0', '0', 'EN', 'Vodice', 'SI', '138');
INSERT INTO `subdivisions` VALUES ('3268', '0', '0', '0', 'EN', 'Vojnik', 'SI', '139');
INSERT INTO `subdivisions` VALUES ('3269', '0', '0', '0', 'EN', 'Vrhnika', 'SI', '140');
INSERT INTO `subdivisions` VALUES ('3270', '0', '0', '0', 'EN', 'Vuzenica', 'SI', '141');
INSERT INTO `subdivisions` VALUES ('3271', '0', '0', '0', 'EN', 'Zagorje ob Savi', 'SI', '142');
INSERT INTO `subdivisions` VALUES ('3272', '0', '0', '0', 'EN', 'Zavrč', 'SI', '143');
INSERT INTO `subdivisions` VALUES ('3273', '0', '0', '0', 'EN', 'Zreče', 'SI', '144');
INSERT INTO `subdivisions` VALUES ('3274', '0', '0', '0', 'EN', 'Železniki', 'SI', '146');
INSERT INTO `subdivisions` VALUES ('3275', '0', '0', '0', 'EN', 'Žiri', 'SI', '147');
INSERT INTO `subdivisions` VALUES ('3276', '0', '0', '0', 'EN', 'Benedikt', 'SI', '148');
INSERT INTO `subdivisions` VALUES ('3277', '0', '0', '0', 'EN', 'Bistrica ob Sotli', 'SI', '149');
INSERT INTO `subdivisions` VALUES ('3278', '0', '0', '0', 'EN', 'Bloke', 'SI', '150');
INSERT INTO `subdivisions` VALUES ('3279', '0', '0', '0', 'EN', 'Braslovče', 'SI', '151');
INSERT INTO `subdivisions` VALUES ('3280', '0', '0', '0', 'EN', 'Cankova', 'SI', '152');
INSERT INTO `subdivisions` VALUES ('3281', '0', '0', '0', 'EN', 'Cerkvenjak', 'SI', '153');
INSERT INTO `subdivisions` VALUES ('3282', '0', '0', '0', 'EN', 'Dobje', 'SI', '154');
INSERT INTO `subdivisions` VALUES ('3283', '0', '0', '0', 'EN', 'Dobrna', 'SI', '155');
INSERT INTO `subdivisions` VALUES ('3284', '0', '0', '0', 'EN', 'Dobrovnik/Dobronak', 'SI', '156');
INSERT INTO `subdivisions` VALUES ('3285', '0', '0', '0', 'EN', 'Dolenjske Toplice', 'SI', '157');
INSERT INTO `subdivisions` VALUES ('3286', '0', '0', '0', 'EN', 'Grad', 'SI', '158');
INSERT INTO `subdivisions` VALUES ('3287', '0', '0', '0', 'EN', 'Hajdina', 'SI', '159');
INSERT INTO `subdivisions` VALUES ('3288', '0', '0', '0', 'EN', 'Hoče-Slivnica', 'SI', '160');
INSERT INTO `subdivisions` VALUES ('3289', '0', '0', '0', 'EN', 'Hodoš/Hodos', 'SI', '161');
INSERT INTO `subdivisions` VALUES ('3290', '0', '0', '0', 'EN', 'Horjul', 'SI', '162');
INSERT INTO `subdivisions` VALUES ('3291', '0', '0', '0', 'EN', 'Jezersko', 'SI', '163');
INSERT INTO `subdivisions` VALUES ('3292', '0', '0', '0', 'EN', 'Komenda', 'SI', '164');
INSERT INTO `subdivisions` VALUES ('3293', '0', '0', '0', 'EN', 'Kostel', 'SI', '165');
INSERT INTO `subdivisions` VALUES ('3294', '0', '0', '0', 'EN', 'Križevci', 'SI', '166');
INSERT INTO `subdivisions` VALUES ('3295', '0', '0', '0', 'EN', 'Lovrenc na Pohorju', 'SI', '167');
INSERT INTO `subdivisions` VALUES ('3296', '0', '0', '0', 'EN', 'Markovci', 'SI', '168');
INSERT INTO `subdivisions` VALUES ('3297', '0', '0', '0', 'EN', 'Miklavž na Dravskem polju', 'SI', '169');
INSERT INTO `subdivisions` VALUES ('3298', '0', '0', '0', 'EN', 'Mirna Peč', 'SI', '170');
INSERT INTO `subdivisions` VALUES ('3299', '0', '0', '0', 'EN', 'Oplotnica', 'SI', '171');
INSERT INTO `subdivisions` VALUES ('3300', '0', '0', '0', 'EN', 'Podlehnik', 'SI', '172');
INSERT INTO `subdivisions` VALUES ('3301', '0', '0', '0', 'EN', 'Polzela', 'SI', '173');
INSERT INTO `subdivisions` VALUES ('3302', '0', '0', '0', 'EN', 'Prebold', 'SI', '174');
INSERT INTO `subdivisions` VALUES ('3303', '0', '0', '0', 'EN', 'Prevalje', 'SI', '175');
INSERT INTO `subdivisions` VALUES ('3304', '0', '0', '0', 'EN', 'Razkrižje', 'SI', '176');
INSERT INTO `subdivisions` VALUES ('3305', '0', '0', '0', 'EN', 'Ribnica na Pohorju', 'SI', '177');
INSERT INTO `subdivisions` VALUES ('3306', '0', '0', '0', 'EN', 'Selnica ob Dravi', 'SI', '178');
INSERT INTO `subdivisions` VALUES ('3307', '0', '0', '0', 'EN', 'Sodražica', 'SI', '179');
INSERT INTO `subdivisions` VALUES ('3308', '0', '0', '0', 'EN', 'Solčava', 'SI', '180');
INSERT INTO `subdivisions` VALUES ('3309', '0', '0', '0', 'EN', 'Sveta Ana', 'SI', '181');
INSERT INTO `subdivisions` VALUES ('3310', '0', '0', '0', 'EN', 'Sveti Andraž v Slovenskih goricah', 'SI', '182');
INSERT INTO `subdivisions` VALUES ('3311', '0', '0', '0', 'EN', 'Šempeter-Vrtojba', 'SI', '183');
INSERT INTO `subdivisions` VALUES ('3312', '0', '0', '0', 'EN', 'Tabor', 'SI', '184');
INSERT INTO `subdivisions` VALUES ('3313', '0', '0', '0', 'EN', 'Trnovska vas', 'SI', '185');
INSERT INTO `subdivisions` VALUES ('3314', '0', '0', '0', 'EN', 'Trzin', 'SI', '186');
INSERT INTO `subdivisions` VALUES ('3315', '0', '0', '0', 'EN', 'Velika Polana', 'SI', '187');
INSERT INTO `subdivisions` VALUES ('3316', '0', '0', '0', 'EN', 'Veržej', 'SI', '188');
INSERT INTO `subdivisions` VALUES ('3317', '0', '0', '0', 'EN', 'Vransko', 'SI', '189');
INSERT INTO `subdivisions` VALUES ('3318', '0', '0', '0', 'EN', 'Žalec', 'SI', '190');
INSERT INTO `subdivisions` VALUES ('3319', '0', '0', '0', 'EN', 'Žetale', 'SI', '191');
INSERT INTO `subdivisions` VALUES ('3320', '0', '0', '0', 'EN', 'Žirovnica', 'SI', '192');
INSERT INTO `subdivisions` VALUES ('3321', '0', '0', '0', 'EN', 'Žužemberk', 'SI', '193');
INSERT INTO `subdivisions` VALUES ('3322', '0', '0', '0', 'EN', 'Šmartno pri Litiji', 'SI', '194');
INSERT INTO `subdivisions` VALUES ('3323', '0', '0', '0', 'EN', 'Apače', 'SI', '195');
INSERT INTO `subdivisions` VALUES ('3324', '0', '0', '0', 'EN', 'Cirkulane', 'SI', '196');
INSERT INTO `subdivisions` VALUES ('3325', '0', '0', '0', 'EN', 'Kostanjevica na Krki', 'SI', '197');
INSERT INTO `subdivisions` VALUES ('3326', '0', '0', '0', 'EN', 'Makole', 'SI', '198');
INSERT INTO `subdivisions` VALUES ('3327', '0', '0', '0', 'EN', 'Mokronog-Trebelno', 'SI', '199');
INSERT INTO `subdivisions` VALUES ('3328', '0', '0', '0', 'EN', 'Poljčane', 'SI', '200');
INSERT INTO `subdivisions` VALUES ('3329', '0', '0', '0', 'EN', 'Renče-Vogrsko', 'SI', '201');
INSERT INTO `subdivisions` VALUES ('3330', '0', '0', '0', 'EN', 'Središče ob Dravi', 'SI', '202');
INSERT INTO `subdivisions` VALUES ('3331', '0', '0', '0', 'EN', 'Straža', 'SI', '203');
INSERT INTO `subdivisions` VALUES ('3332', '0', '0', '0', 'EN', 'Sveta Trojica v Slovenskih goricah', 'SI', '204');
INSERT INTO `subdivisions` VALUES ('3333', '0', '0', '0', 'EN', 'Sveti Tomaž', 'SI', '205');
INSERT INTO `subdivisions` VALUES ('3334', '0', '0', '0', 'EN', 'Šmarješke Toplice', 'SI', '206');
INSERT INTO `subdivisions` VALUES ('3335', '0', '0', '0', 'EN', 'Gorje', 'SI', '207');
INSERT INTO `subdivisions` VALUES ('3336', '0', '0', '0', 'EN', 'Log-Dragomer', 'SI', '208');
INSERT INTO `subdivisions` VALUES ('3337', '0', '0', '0', 'EN', 'Rečica ob Savinji', 'SI', '209');
INSERT INTO `subdivisions` VALUES ('3338', '0', '0', '0', 'EN', 'Sveti Jurij v Slovenskih goricah', 'SI', '210');
INSERT INTO `subdivisions` VALUES ('3339', '0', '0', '0', 'EN', 'Šentrupert', 'SI', '211');
INSERT INTO `subdivisions` VALUES ('3127', '0', '0', '0', 'EN', 'Ascension', 'SH', 'AC');
INSERT INTO `subdivisions` VALUES ('3128', '0', '0', '0', 'EN', 'Saint Helena', 'SH', 'HL');
INSERT INTO `subdivisions` VALUES ('3129', '0', '0', '0', 'EN', 'Tristan da Cunha', 'SH', 'TA');
INSERT INTO `subdivisions` VALUES ('3122', '0', '0', '0', 'EN', 'Central Singapore', 'SG', '01');
INSERT INTO `subdivisions` VALUES ('3123', '0', '0', '0', 'EN', 'North East', 'SG', '02');
INSERT INTO `subdivisions` VALUES ('3124', '0', '0', '0', 'EN', 'North West', 'SG', '03');
INSERT INTO `subdivisions` VALUES ('3125', '0', '0', '0', 'EN', 'South East', 'SG', '04');
INSERT INTO `subdivisions` VALUES ('3126', '0', '0', '0', 'EN', 'South West', 'SG', '05');
INSERT INTO `subdivisions` VALUES ('3101', '0', '0', '0', 'EN', 'Stockholms län', 'SE', 'AB');
INSERT INTO `subdivisions` VALUES ('3102', '0', '0', '0', 'EN', 'Västerbottens län', 'SE', 'AC');
INSERT INTO `subdivisions` VALUES ('3103', '0', '0', '0', 'EN', 'Norrbottens län', 'SE', 'BD');
INSERT INTO `subdivisions` VALUES ('3104', '0', '0', '0', 'EN', 'Uppsala län', 'SE', 'C');
INSERT INTO `subdivisions` VALUES ('3105', '0', '0', '0', 'EN', 'Södermanlands län', 'SE', 'D');
INSERT INTO `subdivisions` VALUES ('3106', '0', '0', '0', 'EN', 'Östergötlands län', 'SE', 'E');
INSERT INTO `subdivisions` VALUES ('3107', '0', '0', '0', 'EN', 'Jönköpings län', 'SE', 'F');
INSERT INTO `subdivisions` VALUES ('3108', '0', '0', '0', 'EN', 'Kronobergs län', 'SE', 'G');
INSERT INTO `subdivisions` VALUES ('3109', '0', '0', '0', 'EN', 'Kalmar län', 'SE', 'H');
INSERT INTO `subdivisions` VALUES ('3110', '0', '0', '0', 'EN', 'Gotlands län', 'SE', 'I');
INSERT INTO `subdivisions` VALUES ('3111', '0', '0', '0', 'EN', 'Blekinge län', 'SE', 'K');
INSERT INTO `subdivisions` VALUES ('3112', '0', '0', '0', 'EN', 'Skåne län', 'SE', 'M');
INSERT INTO `subdivisions` VALUES ('3113', '0', '0', '0', 'EN', 'Hallands län', 'SE', 'N');
INSERT INTO `subdivisions` VALUES ('3114', '0', '0', '0', 'EN', 'Västra Götalands län', 'SE', 'O');
INSERT INTO `subdivisions` VALUES ('3115', '0', '0', '0', 'EN', 'Värmlands län', 'SE', 'S');
INSERT INTO `subdivisions` VALUES ('3116', '0', '0', '0', 'EN', 'Örebro län', 'SE', 'T');
INSERT INTO `subdivisions` VALUES ('3117', '0', '0', '0', 'EN', 'Västmanlands län', 'SE', 'U');
INSERT INTO `subdivisions` VALUES ('3118', '0', '0', '0', 'EN', 'Dalarnas län', 'SE', 'W');
INSERT INTO `subdivisions` VALUES ('3119', '0', '0', '0', 'EN', 'Gävleborgs län', 'SE', 'X');
INSERT INTO `subdivisions` VALUES ('3120', '0', '0', '0', 'EN', 'Västernorrlands län', 'SE', 'Y');
INSERT INTO `subdivisions` VALUES ('3121', '0', '0', '0', 'EN', 'Jämtlands län', 'SE', 'Z');
INSERT INTO `subdivisions` VALUES ('3084', '0', '0', '0', 'EN', 'Zalingei', 'SD', 'DC');
INSERT INTO `subdivisions` VALUES ('3085', '0', '0', '0', 'EN', 'Sharq Dārfūr', 'SD', 'DE');
INSERT INTO `subdivisions` VALUES ('3086', '0', '0', '0', 'EN', 'Shamāl Dārfūr', 'SD', 'DN');
INSERT INTO `subdivisions` VALUES ('3087', '0', '0', '0', 'EN', 'Janūb Dārfūr', 'SD', 'DS');
INSERT INTO `subdivisions` VALUES ('3088', '0', '0', '0', 'EN', 'Gharb Dārfūr', 'SD', 'DW');
INSERT INTO `subdivisions` VALUES ('3089', '0', '0', '0', 'EN', 'Al Qaḑārif', 'SD', 'GD');
INSERT INTO `subdivisions` VALUES ('3090', '0', '0', '0', 'EN', 'Al Jazīrah', 'SD', 'GZ');
INSERT INTO `subdivisions` VALUES ('3091', '0', '0', '0', 'EN', 'Kassalā', 'SD', 'KA');
INSERT INTO `subdivisions` VALUES ('3092', '0', '0', '0', 'EN', 'Al Kharţūm', 'SD', 'KH');
INSERT INTO `subdivisions` VALUES ('3093', '0', '0', '0', 'EN', 'Shamāl Kurdufān', 'SD', 'KN');
INSERT INTO `subdivisions` VALUES ('3094', '0', '0', '0', 'EN', 'Janūb Kurdufān', 'SD', 'KS');
INSERT INTO `subdivisions` VALUES ('3095', '0', '0', '0', 'EN', 'An Nīl al Azraq', 'SD', 'NB');
INSERT INTO `subdivisions` VALUES ('3096', '0', '0', '0', 'EN', 'Ash Shamālīyah', 'SD', 'NO');
INSERT INTO `subdivisions` VALUES ('3097', '0', '0', '0', 'EN', 'An Nīl', 'SD', 'NR');
INSERT INTO `subdivisions` VALUES ('3098', '0', '0', '0', 'EN', 'An Nīl al Abyaḑ', 'SD', 'NW');
INSERT INTO `subdivisions` VALUES ('3099', '0', '0', '0', 'EN', 'Al Baḩr al Aḩmar', 'SD', 'RS');
INSERT INTO `subdivisions` VALUES ('3100', '0', '0', '0', 'EN', 'Sinnār', 'SD', 'SI');
INSERT INTO `subdivisions` VALUES ('3059', '0', '0', '0', 'EN', 'Anse aux Pins', 'SC', '01');
INSERT INTO `subdivisions` VALUES ('3060', '0', '0', '0', 'EN', 'Anse Boileau', 'SC', '02');
INSERT INTO `subdivisions` VALUES ('3061', '0', '0', '0', 'EN', 'Anse Etoile', 'SC', '03');
INSERT INTO `subdivisions` VALUES ('3062', '0', '0', '0', 'EN', 'Au Cap', 'SC', '04');
INSERT INTO `subdivisions` VALUES ('3063', '0', '0', '0', 'EN', 'Anse Royale', 'SC', '05');
INSERT INTO `subdivisions` VALUES ('3064', '0', '0', '0', 'EN', 'Baie Lazare', 'SC', '06');
INSERT INTO `subdivisions` VALUES ('3065', '0', '0', '0', 'EN', 'Baie Sainte Anne', 'SC', '07');
INSERT INTO `subdivisions` VALUES ('3066', '0', '0', '0', 'EN', 'Beau Vallon', 'SC', '08');
INSERT INTO `subdivisions` VALUES ('3067', '0', '0', '0', 'EN', 'Bel Air', 'SC', '09');
INSERT INTO `subdivisions` VALUES ('3068', '0', '0', '0', 'EN', 'Bel Ombre', 'SC', '10');
INSERT INTO `subdivisions` VALUES ('3069', '0', '0', '0', 'EN', 'Cascade', 'SC', '11');
INSERT INTO `subdivisions` VALUES ('3070', '0', '0', '0', 'EN', 'Glacis', 'SC', '12');
INSERT INTO `subdivisions` VALUES ('3071', '0', '0', '0', 'EN', 'Grand Anse Mahe', 'SC', '13');
INSERT INTO `subdivisions` VALUES ('3072', '0', '0', '0', 'EN', 'Grand Anse Praslin', 'SC', '14');
INSERT INTO `subdivisions` VALUES ('3073', '0', '0', '0', 'EN', 'La Digue', 'SC', '15');
INSERT INTO `subdivisions` VALUES ('3074', '0', '0', '0', 'EN', 'English River', 'SC', '16');
INSERT INTO `subdivisions` VALUES ('3075', '0', '0', '0', 'EN', 'Mont Buxton', 'SC', '17');
INSERT INTO `subdivisions` VALUES ('3076', '0', '0', '0', 'EN', 'Mont Fleuri', 'SC', '18');
INSERT INTO `subdivisions` VALUES ('3077', '0', '0', '0', 'EN', 'Plaisance', 'SC', '19');
INSERT INTO `subdivisions` VALUES ('3078', '0', '0', '0', 'EN', 'Pointe Larue', 'SC', '20');
INSERT INTO `subdivisions` VALUES ('3079', '0', '0', '0', 'EN', 'Port Glaud', 'SC', '21');
INSERT INTO `subdivisions` VALUES ('3080', '0', '0', '0', 'EN', 'Saint Louis', 'SC', '22');
INSERT INTO `subdivisions` VALUES ('3081', '0', '0', '0', 'EN', 'Takamaka', 'SC', '23');
INSERT INTO `subdivisions` VALUES ('3082', '0', '0', '0', 'EN', 'Les Mamelles', 'SC', '24');
INSERT INTO `subdivisions` VALUES ('3083', '0', '0', '0', 'EN', 'Roche Caiman', 'SC', '25');
INSERT INTO `subdivisions` VALUES ('3049', '0', '0', '0', 'EN', 'Central', 'SB', 'CE');
INSERT INTO `subdivisions` VALUES ('3050', '0', '0', '0', 'EN', 'Choiseul', 'SB', 'CH');
INSERT INTO `subdivisions` VALUES ('3051', '0', '0', '0', 'EN', 'Capital Territory (Honiara)', 'SB', 'CT');
INSERT INTO `subdivisions` VALUES ('3052', '0', '0', '0', 'EN', 'Guadalcanal', 'SB', 'GU');
INSERT INTO `subdivisions` VALUES ('3053', '0', '0', '0', 'EN', 'Isabel', 'SB', 'IS');
INSERT INTO `subdivisions` VALUES ('3054', '0', '0', '0', 'EN', 'Makira', 'SB', 'MK');
INSERT INTO `subdivisions` VALUES ('3055', '0', '0', '0', 'EN', 'Malaita', 'SB', 'ML');
INSERT INTO `subdivisions` VALUES ('3056', '0', '0', '0', 'EN', 'Rennell and Bellona', 'SB', 'RB');
INSERT INTO `subdivisions` VALUES ('3057', '0', '0', '0', 'EN', 'Temotu', 'SB', 'TE');
INSERT INTO `subdivisions` VALUES ('3058', '0', '0', '0', 'EN', 'Western', 'SB', 'WE');
INSERT INTO `subdivisions` VALUES ('3036', '0', '0', '0', 'EN', 'Ar Riyāḑ', 'SA', '01');
INSERT INTO `subdivisions` VALUES ('3037', '0', '0', '0', 'EN', 'Makkah', 'SA', '02');
INSERT INTO `subdivisions` VALUES ('3038', '0', '0', '0', 'EN', 'Al Madīnah', 'SA', '03');
INSERT INTO `subdivisions` VALUES ('3039', '0', '0', '0', 'EN', 'Ash Sharqīyah', 'SA', '04');
INSERT INTO `subdivisions` VALUES ('3040', '0', '0', '0', 'EN', 'Al Qaşīm', 'SA', '05');
INSERT INTO `subdivisions` VALUES ('3041', '0', '0', '0', 'EN', 'Ḩā\'il', 'SA', '06');
INSERT INTO `subdivisions` VALUES ('3042', '0', '0', '0', 'EN', 'Tabūk', 'SA', '07');
INSERT INTO `subdivisions` VALUES ('3043', '0', '0', '0', 'EN', 'Al Ḩudūd ash Shamālīyah', 'SA', '08');
INSERT INTO `subdivisions` VALUES ('3044', '0', '0', '0', 'EN', 'Jīzān', 'SA', '09');
INSERT INTO `subdivisions` VALUES ('3045', '0', '0', '0', 'EN', 'Najrān', 'SA', '10');
INSERT INTO `subdivisions` VALUES ('3046', '0', '0', '0', 'EN', 'Al Bāḩah', 'SA', '11');
INSERT INTO `subdivisions` VALUES ('3047', '0', '0', '0', 'EN', 'Al Jawf', 'SA', '12');
INSERT INTO `subdivisions` VALUES ('3048', '0', '0', '0', 'EN', 'Āsīr', 'SA', '14');
INSERT INTO `subdivisions` VALUES ('3031', '0', '0', '0', 'EN', 'Ville de Kigali', 'RW', '01');
INSERT INTO `subdivisions` VALUES ('3032', '0', '0', '0', 'EN', 'Est', 'RW', '02');
INSERT INTO `subdivisions` VALUES ('3033', '0', '0', '0', 'EN', 'Nord', 'RW', '03');
INSERT INTO `subdivisions` VALUES ('3034', '0', '0', '0', 'EN', 'Ouest', 'RW', '04');
INSERT INTO `subdivisions` VALUES ('3035', '0', '0', '0', 'EN', 'Sud', 'RW', '05');
INSERT INTO `subdivisions` VALUES ('2948', '0', '0', '0', 'EN', 'Adygeya, Respublika', 'RU', 'AD');
INSERT INTO `subdivisions` VALUES ('2949', '0', '0', '0', 'EN', 'Altay, Respublika', 'RU', 'AL');
INSERT INTO `subdivisions` VALUES ('2950', '0', '0', '0', 'EN', 'Altayskiy kray', 'RU', 'ALT');
INSERT INTO `subdivisions` VALUES ('2951', '0', '0', '0', 'EN', 'Amurskaya oblast\'', 'RU', 'AMU');
INSERT INTO `subdivisions` VALUES ('2952', '0', '0', '0', 'EN', 'Arkhangel\'skaya oblast\'', 'RU', 'ARK');
INSERT INTO `subdivisions` VALUES ('2953', '0', '0', '0', 'EN', 'Astrakhanskaya oblast\'', 'RU', 'AST');
INSERT INTO `subdivisions` VALUES ('2954', '0', '0', '0', 'EN', 'Bashkortostan, Respublika', 'RU', 'BA');
INSERT INTO `subdivisions` VALUES ('2955', '0', '0', '0', 'EN', 'Belgorodskaya oblast\'', 'RU', 'BEL');
INSERT INTO `subdivisions` VALUES ('2956', '0', '0', '0', 'EN', 'Bryanskaya oblast\'', 'RU', 'BRY');
INSERT INTO `subdivisions` VALUES ('2957', '0', '0', '0', 'EN', 'Buryatiya, Respublika', 'RU', 'BU');
INSERT INTO `subdivisions` VALUES ('2958', '0', '0', '0', 'EN', 'Chechenskaya Respublika', 'RU', 'CE');
INSERT INTO `subdivisions` VALUES ('2959', '0', '0', '0', 'EN', 'Chelyabinskaya oblast\'', 'RU', 'CHE');
INSERT INTO `subdivisions` VALUES ('2960', '0', '0', '0', 'EN', 'Chukotskiy avtonomnyy okrug', 'RU', 'CHU');
INSERT INTO `subdivisions` VALUES ('2961', '0', '0', '0', 'EN', 'Chuvashskaya Respublika', 'RU', 'CU');
INSERT INTO `subdivisions` VALUES ('2962', '0', '0', '0', 'EN', 'Dagestan, Respublika', 'RU', 'DA');
INSERT INTO `subdivisions` VALUES ('2963', '0', '0', '0', 'EN', 'Ingushetiya, Respublika', 'RU', 'IN');
INSERT INTO `subdivisions` VALUES ('2964', '0', '0', '0', 'EN', 'Irkutskaya oblast\'', 'RU', 'IRK');
INSERT INTO `subdivisions` VALUES ('2965', '0', '0', '0', 'EN', 'Ivanovskaya oblast\'', 'RU', 'IVA');
INSERT INTO `subdivisions` VALUES ('2966', '0', '0', '0', 'EN', 'Kamchatskiy kray', 'RU', 'KAM');
INSERT INTO `subdivisions` VALUES ('2967', '0', '0', '0', 'EN', 'Kabardino-Balkarskaya Respublika', 'RU', 'KB');
INSERT INTO `subdivisions` VALUES ('2968', '0', '0', '0', 'EN', 'Karachayevo-Cherkesskaya Respublika', 'RU', 'KC');
INSERT INTO `subdivisions` VALUES ('2969', '0', '0', '0', 'EN', 'Krasnodarskiy kray', 'RU', 'KDA');
INSERT INTO `subdivisions` VALUES ('2970', '0', '0', '0', 'EN', 'Kemerovskaya oblast\'', 'RU', 'KEM');
INSERT INTO `subdivisions` VALUES ('2971', '0', '0', '0', 'EN', 'Kaliningradskaya oblast\'', 'RU', 'KGD');
INSERT INTO `subdivisions` VALUES ('2972', '0', '0', '0', 'EN', 'Kurganskaya oblast\'', 'RU', 'KGN');
INSERT INTO `subdivisions` VALUES ('2973', '0', '0', '0', 'EN', 'Khabarovskiy kray', 'RU', 'KHA');
INSERT INTO `subdivisions` VALUES ('2974', '0', '0', '0', 'EN', 'Khanty-Mansiyskiy avtonomnyy okrug-Yugra', 'RU', 'KHM');
INSERT INTO `subdivisions` VALUES ('2975', '0', '0', '0', 'EN', 'Kirovskaya oblast\'', 'RU', 'KIR');
INSERT INTO `subdivisions` VALUES ('2976', '0', '0', '0', 'EN', 'Khakasiya, Respublika', 'RU', 'KK');
INSERT INTO `subdivisions` VALUES ('2977', '0', '0', '0', 'EN', 'Kalmykiya, Respublika', 'RU', 'KL');
INSERT INTO `subdivisions` VALUES ('2978', '0', '0', '0', 'EN', 'Kaluzhskaya oblast\'', 'RU', 'KLU');
INSERT INTO `subdivisions` VALUES ('2979', '0', '0', '0', 'EN', 'Komi, Respublika', 'RU', 'KO');
INSERT INTO `subdivisions` VALUES ('2980', '0', '0', '0', 'EN', 'Kostromskaya oblast\'', 'RU', 'KOS');
INSERT INTO `subdivisions` VALUES ('2981', '0', '0', '0', 'EN', 'Kareliya, Respublika', 'RU', 'KR');
INSERT INTO `subdivisions` VALUES ('2982', '0', '0', '0', 'EN', 'Kurskaya oblast\'', 'RU', 'KRS');
INSERT INTO `subdivisions` VALUES ('2983', '0', '0', '0', 'EN', 'Krasnoyarskiy kray', 'RU', 'KYA');
INSERT INTO `subdivisions` VALUES ('2984', '0', '0', '0', 'EN', 'Leningradskaya oblast\'', 'RU', 'LEN');
INSERT INTO `subdivisions` VALUES ('2985', '0', '0', '0', 'EN', 'Lipetskaya oblast\'', 'RU', 'LIP');
INSERT INTO `subdivisions` VALUES ('2986', '0', '0', '0', 'EN', 'Magadanskaya oblast\'', 'RU', 'MAG');
INSERT INTO `subdivisions` VALUES ('2987', '0', '0', '0', 'EN', 'Mariy El, Respublika', 'RU', 'ME');
INSERT INTO `subdivisions` VALUES ('2988', '0', '0', '0', 'EN', 'Mordoviya, Respublika', 'RU', 'MO');
INSERT INTO `subdivisions` VALUES ('2989', '0', '0', '0', 'EN', 'Moskovskaya oblast\'', 'RU', 'MOS');
INSERT INTO `subdivisions` VALUES ('2990', '0', '0', '0', 'EN', 'Moskva', 'RU', 'MOW');
INSERT INTO `subdivisions` VALUES ('2991', '0', '0', '0', 'EN', 'Murmanskaya oblast\'', 'RU', 'MUR');
INSERT INTO `subdivisions` VALUES ('2992', '0', '0', '0', 'EN', 'Nenetskiy avtonomnyy okrug', 'RU', 'NEN');
INSERT INTO `subdivisions` VALUES ('2993', '0', '0', '0', 'EN', 'Novgorodskaya oblast\'', 'RU', 'NGR');
INSERT INTO `subdivisions` VALUES ('2994', '0', '0', '0', 'EN', 'Nizhegorodskaya oblast\'', 'RU', 'NIZ');
INSERT INTO `subdivisions` VALUES ('2995', '0', '0', '0', 'EN', 'Novosibirskaya oblast\'', 'RU', 'NVS');
INSERT INTO `subdivisions` VALUES ('2996', '0', '0', '0', 'EN', 'Omskaya oblast\'', 'RU', 'OMS');
INSERT INTO `subdivisions` VALUES ('2997', '0', '0', '0', 'EN', 'Orenburgskaya oblast\'', 'RU', 'ORE');
INSERT INTO `subdivisions` VALUES ('2998', '0', '0', '0', 'EN', 'Orlovskaya oblast\'', 'RU', 'ORL');
INSERT INTO `subdivisions` VALUES ('2999', '0', '0', '0', 'EN', 'Permskiy kray', 'RU', 'PER');
INSERT INTO `subdivisions` VALUES ('3000', '0', '0', '0', 'EN', 'Penzenskaya oblast\'', 'RU', 'PNZ');
INSERT INTO `subdivisions` VALUES ('3001', '0', '0', '0', 'EN', 'Primorskiy kray', 'RU', 'PRI');
INSERT INTO `subdivisions` VALUES ('3002', '0', '0', '0', 'EN', 'Pskovskaya oblast\'', 'RU', 'PSK');
INSERT INTO `subdivisions` VALUES ('3003', '0', '0', '0', 'EN', 'Rostovskaya oblast\'', 'RU', 'ROS');
INSERT INTO `subdivisions` VALUES ('3004', '0', '0', '0', 'EN', 'Ryazanskaya oblast\'', 'RU', 'RYA');
INSERT INTO `subdivisions` VALUES ('3005', '0', '0', '0', 'EN', 'Sakha, Respublika [Yakutiya]', 'RU', 'SA');
INSERT INTO `subdivisions` VALUES ('3006', '0', '0', '0', 'EN', 'Sakhalinskaya oblast\'', 'RU', 'SAK');
INSERT INTO `subdivisions` VALUES ('3007', '0', '0', '0', 'EN', 'Samarskaya oblast\'', 'RU', 'SAM');
INSERT INTO `subdivisions` VALUES ('3008', '0', '0', '0', 'EN', 'Saratovskaya oblast\'', 'RU', 'SAR');
INSERT INTO `subdivisions` VALUES ('3009', '0', '0', '0', 'EN', 'Severnaya Osetiya-Alaniya, Respublika', 'RU', 'SE');
INSERT INTO `subdivisions` VALUES ('3010', '0', '0', '0', 'EN', 'Smolenskaya oblast\'', 'RU', 'SMO');
INSERT INTO `subdivisions` VALUES ('3011', '0', '0', '0', 'EN', 'Sankt-Peterburg', 'RU', 'SPE');
INSERT INTO `subdivisions` VALUES ('3012', '0', '0', '0', 'EN', 'Stavropol\'skiy kray', 'RU', 'STA');
INSERT INTO `subdivisions` VALUES ('3013', '0', '0', '0', 'EN', 'Sverdlovskaya oblast\'', 'RU', 'SVE');
INSERT INTO `subdivisions` VALUES ('3014', '0', '0', '0', 'EN', 'Tatarstan, Respublika', 'RU', 'TA');
INSERT INTO `subdivisions` VALUES ('3015', '0', '0', '0', 'EN', 'Tambovskaya oblast\'', 'RU', 'TAM');
INSERT INTO `subdivisions` VALUES ('3016', '0', '0', '0', 'EN', 'Tomskaya oblast\'', 'RU', 'TOM');
INSERT INTO `subdivisions` VALUES ('3017', '0', '0', '0', 'EN', 'Tul\'skaya oblast\'', 'RU', 'TUL');
INSERT INTO `subdivisions` VALUES ('3018', '0', '0', '0', 'EN', 'Tverskaya oblast\'', 'RU', 'TVE');
INSERT INTO `subdivisions` VALUES ('3019', '0', '0', '0', 'EN', 'Tyva, Respublika [Tuva]', 'RU', 'TY');
INSERT INTO `subdivisions` VALUES ('3020', '0', '0', '0', 'EN', 'Tyumenskaya oblast\'', 'RU', 'TYU');
INSERT INTO `subdivisions` VALUES ('3021', '0', '0', '0', 'EN', 'Udmurtskaya Respublika', 'RU', 'UD');
INSERT INTO `subdivisions` VALUES ('3022', '0', '0', '0', 'EN', 'Ul\'yanovskaya oblast\'', 'RU', 'ULY');
INSERT INTO `subdivisions` VALUES ('3023', '0', '0', '0', 'EN', 'Volgogradskaya oblast\'', 'RU', 'VGG');
INSERT INTO `subdivisions` VALUES ('3024', '0', '0', '0', 'EN', 'Vladimirskaya oblast\'', 'RU', 'VLA');
INSERT INTO `subdivisions` VALUES ('3025', '0', '0', '0', 'EN', 'Vologodskaya oblast\'', 'RU', 'VLG');
INSERT INTO `subdivisions` VALUES ('3026', '0', '0', '0', 'EN', 'Voronezhskaya oblast\'', 'RU', 'VOR');
INSERT INTO `subdivisions` VALUES ('3027', '0', '0', '0', 'EN', 'Yamalo-Nenetskiy avtonomnyy okrug', 'RU', 'YAN');
INSERT INTO `subdivisions` VALUES ('3028', '0', '0', '0', 'EN', 'Yaroslavskaya oblast\'', 'RU', 'YAR');
INSERT INTO `subdivisions` VALUES ('3029', '0', '0', '0', 'EN', 'Yevreyskaya avtonomnaya oblast\'', 'RU', 'YEV');
INSERT INTO `subdivisions` VALUES ('3030', '0', '0', '0', 'EN', 'Zabaykal\'skiy kray', 'RU', 'ZAB');
INSERT INTO `subdivisions` VALUES ('2916', '0', '0', '0', 'EN', 'Beograd', 'RS', '00');
INSERT INTO `subdivisions` VALUES ('2917', '0', '0', '0', 'EN', 'Severnobački okrug', 'RS', '01');
INSERT INTO `subdivisions` VALUES ('2918', '0', '0', '0', 'EN', 'Srednjebanatski okrug', 'RS', '02');
INSERT INTO `subdivisions` VALUES ('2919', '0', '0', '0', 'EN', 'Severnobanatski okrug', 'RS', '03');
INSERT INTO `subdivisions` VALUES ('2920', '0', '0', '0', 'EN', 'Južnobanatski okrug', 'RS', '04');
INSERT INTO `subdivisions` VALUES ('2921', '0', '0', '0', 'EN', 'Zapadnobački okrug', 'RS', '05');
INSERT INTO `subdivisions` VALUES ('2922', '0', '0', '0', 'EN', 'Južnobački okrug', 'RS', '06');
INSERT INTO `subdivisions` VALUES ('2923', '0', '0', '0', 'EN', 'Sremski okrug', 'RS', '07');
INSERT INTO `subdivisions` VALUES ('2924', '0', '0', '0', 'EN', 'Mačvanski okrug', 'RS', '08');
INSERT INTO `subdivisions` VALUES ('2925', '0', '0', '0', 'EN', 'Kolubarski okrug', 'RS', '09');
INSERT INTO `subdivisions` VALUES ('2926', '0', '0', '0', 'EN', 'Podunavski okrug', 'RS', '10');
INSERT INTO `subdivisions` VALUES ('2927', '0', '0', '0', 'EN', 'Braničevski okrug', 'RS', '11');
INSERT INTO `subdivisions` VALUES ('2928', '0', '0', '0', 'EN', 'Šumadijski okrug', 'RS', '12');
INSERT INTO `subdivisions` VALUES ('2929', '0', '0', '0', 'EN', 'Pomoravski okrug', 'RS', '13');
INSERT INTO `subdivisions` VALUES ('2930', '0', '0', '0', 'EN', 'Borski okrug', 'RS', '14');
INSERT INTO `subdivisions` VALUES ('2931', '0', '0', '0', 'EN', 'Zaječarski okrug', 'RS', '15');
INSERT INTO `subdivisions` VALUES ('2932', '0', '0', '0', 'EN', 'Zlatiborski okrug', 'RS', '16');
INSERT INTO `subdivisions` VALUES ('2933', '0', '0', '0', 'EN', 'Moravički okrug', 'RS', '17');
INSERT INTO `subdivisions` VALUES ('2934', '0', '0', '0', 'EN', 'Raški okrug', 'RS', '18');
INSERT INTO `subdivisions` VALUES ('2935', '0', '0', '0', 'EN', 'Rasinski okrug', 'RS', '19');
INSERT INTO `subdivisions` VALUES ('2936', '0', '0', '0', 'EN', 'Nišavski okrug', 'RS', '20');
INSERT INTO `subdivisions` VALUES ('2937', '0', '0', '0', 'EN', 'Toplički okrug', 'RS', '21');
INSERT INTO `subdivisions` VALUES ('2938', '0', '0', '0', 'EN', 'Pirotski okrug', 'RS', '22');
INSERT INTO `subdivisions` VALUES ('2939', '0', '0', '0', 'EN', 'Jablanički okrug', 'RS', '23');
INSERT INTO `subdivisions` VALUES ('2940', '0', '0', '0', 'EN', 'Pčinjski okrug', 'RS', '24');
INSERT INTO `subdivisions` VALUES ('2941', '0', '0', '0', 'EN', 'Kosovski okrug', 'RS', '25');
INSERT INTO `subdivisions` VALUES ('2942', '0', '0', '0', 'EN', 'Pećki okrug', 'RS', '26');
INSERT INTO `subdivisions` VALUES ('2943', '0', '0', '0', 'EN', 'Prizrenski okrug', 'RS', '27');
INSERT INTO `subdivisions` VALUES ('2944', '0', '0', '0', 'EN', 'Kosovsko-Mitrovački okrug', 'RS', '28');
INSERT INTO `subdivisions` VALUES ('2945', '0', '0', '0', 'EN', 'Kosovsko-Pomoravski okrug', 'RS', '29');
INSERT INTO `subdivisions` VALUES ('2946', '0', '0', '0', 'EN', 'Kosovo-Metohija', 'RS', 'KM');
INSERT INTO `subdivisions` VALUES ('2947', '0', '0', '0', 'EN', 'Vojvodina', 'RS', 'VO');
INSERT INTO `subdivisions` VALUES ('2874', '0', '0', '0', 'EN', 'Alba', 'RO', 'AB');
INSERT INTO `subdivisions` VALUES ('2875', '0', '0', '0', 'EN', 'Argeș', 'RO', 'AG');
INSERT INTO `subdivisions` VALUES ('2876', '0', '0', '0', 'EN', 'Arad', 'RO', 'AR');
INSERT INTO `subdivisions` VALUES ('2877', '0', '0', '0', 'EN', 'București', 'RO', 'B');
INSERT INTO `subdivisions` VALUES ('2878', '0', '0', '0', 'EN', 'Bacău', 'RO', 'BC');
INSERT INTO `subdivisions` VALUES ('2879', '0', '0', '0', 'EN', 'Bihor', 'RO', 'BH');
INSERT INTO `subdivisions` VALUES ('2880', '0', '0', '0', 'EN', 'Bistrița-Năsăud', 'RO', 'BN');
INSERT INTO `subdivisions` VALUES ('2881', '0', '0', '0', 'EN', 'Brăila', 'RO', 'BR');
INSERT INTO `subdivisions` VALUES ('2882', '0', '0', '0', 'EN', 'Botoșani', 'RO', 'BT');
INSERT INTO `subdivisions` VALUES ('2883', '0', '0', '0', 'EN', 'Brașov', 'RO', 'BV');
INSERT INTO `subdivisions` VALUES ('2884', '0', '0', '0', 'EN', 'Buzău', 'RO', 'BZ');
INSERT INTO `subdivisions` VALUES ('2885', '0', '0', '0', 'EN', 'Cluj', 'RO', 'CJ');
INSERT INTO `subdivisions` VALUES ('2886', '0', '0', '0', 'EN', 'Călărași', 'RO', 'CL');
INSERT INTO `subdivisions` VALUES ('2887', '0', '0', '0', 'EN', 'Caraș-Severin', 'RO', 'CS');
INSERT INTO `subdivisions` VALUES ('2888', '0', '0', '0', 'EN', 'Constanța', 'RO', 'CT');
INSERT INTO `subdivisions` VALUES ('2889', '0', '0', '0', 'EN', 'Covasna', 'RO', 'CV');
INSERT INTO `subdivisions` VALUES ('2890', '0', '0', '0', 'EN', 'Dâmbovița', 'RO', 'DB');
INSERT INTO `subdivisions` VALUES ('2891', '0', '0', '0', 'EN', 'Dolj', 'RO', 'DJ');
INSERT INTO `subdivisions` VALUES ('2892', '0', '0', '0', 'EN', 'Gorj', 'RO', 'GJ');
INSERT INTO `subdivisions` VALUES ('2893', '0', '0', '0', 'EN', 'Galați', 'RO', 'GL');
INSERT INTO `subdivisions` VALUES ('2894', '0', '0', '0', 'EN', 'Giurgiu', 'RO', 'GR');
INSERT INTO `subdivisions` VALUES ('2895', '0', '0', '0', 'EN', 'Hunedoara', 'RO', 'HD');
INSERT INTO `subdivisions` VALUES ('2896', '0', '0', '0', 'EN', 'Harghita', 'RO', 'HR');
INSERT INTO `subdivisions` VALUES ('2897', '0', '0', '0', 'EN', 'Ilfov', 'RO', 'IF');
INSERT INTO `subdivisions` VALUES ('2898', '0', '0', '0', 'EN', 'Ialomița', 'RO', 'IL');
INSERT INTO `subdivisions` VALUES ('2899', '0', '0', '0', 'EN', 'Iași', 'RO', 'IS');
INSERT INTO `subdivisions` VALUES ('2900', '0', '0', '0', 'EN', 'Mehedinți', 'RO', 'MH');
INSERT INTO `subdivisions` VALUES ('2901', '0', '0', '0', 'EN', 'Maramureș', 'RO', 'MM');
INSERT INTO `subdivisions` VALUES ('2902', '0', '0', '0', 'EN', 'Mureș', 'RO', 'MS');
INSERT INTO `subdivisions` VALUES ('2903', '0', '0', '0', 'EN', 'Neamț', 'RO', 'NT');
INSERT INTO `subdivisions` VALUES ('2904', '0', '0', '0', 'EN', 'Olt', 'RO', 'OT');
INSERT INTO `subdivisions` VALUES ('2905', '0', '0', '0', 'EN', 'Prahova', 'RO', 'PH');
INSERT INTO `subdivisions` VALUES ('2906', '0', '0', '0', 'EN', 'Sibiu', 'RO', 'SB');
INSERT INTO `subdivisions` VALUES ('2907', '0', '0', '0', 'EN', 'Sălaj', 'RO', 'SJ');
INSERT INTO `subdivisions` VALUES ('2908', '0', '0', '0', 'EN', 'Satu Mare', 'RO', 'SM');
INSERT INTO `subdivisions` VALUES ('2909', '0', '0', '0', 'EN', 'Suceava', 'RO', 'SV');
INSERT INTO `subdivisions` VALUES ('2910', '0', '0', '0', 'EN', 'Tulcea', 'RO', 'TL');
INSERT INTO `subdivisions` VALUES ('2911', '0', '0', '0', 'EN', 'Timiș', 'RO', 'TM');
INSERT INTO `subdivisions` VALUES ('2912', '0', '0', '0', 'EN', 'Teleorman', 'RO', 'TR');
INSERT INTO `subdivisions` VALUES ('2913', '0', '0', '0', 'EN', 'Vâlcea', 'RO', 'VL');
INSERT INTO `subdivisions` VALUES ('2914', '0', '0', '0', 'EN', 'Vrancea', 'RO', 'VN');
INSERT INTO `subdivisions` VALUES ('2915', '0', '0', '0', 'EN', 'Vaslui', 'RO', 'VS');
INSERT INTO `subdivisions` VALUES ('2867', '0', '0', '0', 'EN', 'Ad Dawḩah', 'QA', 'DA');
INSERT INTO `subdivisions` VALUES ('2868', '0', '0', '0', 'EN', 'Al Khawr wa adh Dhakhīrah', 'QA', 'KH');
INSERT INTO `subdivisions` VALUES ('2869', '0', '0', '0', 'EN', 'Ash Shamāl', 'QA', 'MS');
INSERT INTO `subdivisions` VALUES ('2870', '0', '0', '0', 'EN', 'Ar Rayyān', 'QA', 'RA');
INSERT INTO `subdivisions` VALUES ('2871', '0', '0', '0', 'EN', 'Umm Şalāl', 'QA', 'US');
INSERT INTO `subdivisions` VALUES ('2872', '0', '0', '0', 'EN', 'Al Wakrah', 'QA', 'WA');
INSERT INTO `subdivisions` VALUES ('2873', '0', '0', '0', 'EN', 'Az̧ Za̧`āyin', 'QA', 'ZA');
INSERT INTO `subdivisions` VALUES ('2849', '0', '0', '0', 'EN', 'Concepción', 'PY', '1');
INSERT INTO `subdivisions` VALUES ('2850', '0', '0', '0', 'EN', 'San Pedro', 'PY', '2');
INSERT INTO `subdivisions` VALUES ('2851', '0', '0', '0', 'EN', 'Cordillera', 'PY', '3');
INSERT INTO `subdivisions` VALUES ('2852', '0', '0', '0', 'EN', 'Guairá', 'PY', '4');
INSERT INTO `subdivisions` VALUES ('2853', '0', '0', '0', 'EN', 'Caaguazú', 'PY', '5');
INSERT INTO `subdivisions` VALUES ('2854', '0', '0', '0', 'EN', 'Caazapá', 'PY', '6');
INSERT INTO `subdivisions` VALUES ('2855', '0', '0', '0', 'EN', 'Itapúa', 'PY', '7');
INSERT INTO `subdivisions` VALUES ('2856', '0', '0', '0', 'EN', 'Misiones', 'PY', '8');
INSERT INTO `subdivisions` VALUES ('2857', '0', '0', '0', 'EN', 'Paraguarí', 'PY', '9');
INSERT INTO `subdivisions` VALUES ('2858', '0', '0', '0', 'EN', 'Alto Paraná', 'PY', '10');
INSERT INTO `subdivisions` VALUES ('2859', '0', '0', '0', 'EN', 'Central', 'PY', '11');
INSERT INTO `subdivisions` VALUES ('2860', '0', '0', '0', 'EN', 'Ñeembucú', 'PY', '12');
INSERT INTO `subdivisions` VALUES ('2861', '0', '0', '0', 'EN', 'Amambay', 'PY', '13');
INSERT INTO `subdivisions` VALUES ('2862', '0', '0', '0', 'EN', 'Canindeyú', 'PY', '14');
INSERT INTO `subdivisions` VALUES ('2863', '0', '0', '0', 'EN', 'Presidente Hayes', 'PY', '15');
INSERT INTO `subdivisions` VALUES ('2864', '0', '0', '0', 'EN', 'Alto Paraguay', 'PY', '16');
INSERT INTO `subdivisions` VALUES ('2865', '0', '0', '0', 'EN', 'Boquerón', 'PY', '19');
INSERT INTO `subdivisions` VALUES ('2866', '0', '0', '0', 'EN', 'Asunción', 'PY', 'ASU');
INSERT INTO `subdivisions` VALUES ('2833', '0', '0', '0', 'EN', 'Aimeliik', 'PW', '002');
INSERT INTO `subdivisions` VALUES ('2834', '0', '0', '0', 'EN', 'Airai', 'PW', '004');
INSERT INTO `subdivisions` VALUES ('2835', '0', '0', '0', 'EN', 'Angaur', 'PW', '010');
INSERT INTO `subdivisions` VALUES ('2836', '0', '0', '0', 'EN', 'Hatobohei', 'PW', '050');
INSERT INTO `subdivisions` VALUES ('2837', '0', '0', '0', 'EN', 'Kayangel', 'PW', '100');
INSERT INTO `subdivisions` VALUES ('2838', '0', '0', '0', 'EN', 'Koror', 'PW', '150');
INSERT INTO `subdivisions` VALUES ('2839', '0', '0', '0', 'EN', 'Melekeok', 'PW', '212');
INSERT INTO `subdivisions` VALUES ('2840', '0', '0', '0', 'EN', 'Ngaraard', 'PW', '214');
INSERT INTO `subdivisions` VALUES ('2841', '0', '0', '0', 'EN', 'Ngarchelong', 'PW', '218');
INSERT INTO `subdivisions` VALUES ('2842', '0', '0', '0', 'EN', 'Ngardmau', 'PW', '222');
INSERT INTO `subdivisions` VALUES ('2843', '0', '0', '0', 'EN', 'Ngatpang', 'PW', '224');
INSERT INTO `subdivisions` VALUES ('2844', '0', '0', '0', 'EN', 'Ngchesar', 'PW', '226');
INSERT INTO `subdivisions` VALUES ('2845', '0', '0', '0', 'EN', 'Ngeremlengui', 'PW', '227');
INSERT INTO `subdivisions` VALUES ('2846', '0', '0', '0', 'EN', 'Ngiwal', 'PW', '228');
INSERT INTO `subdivisions` VALUES ('2847', '0', '0', '0', 'EN', 'Peleliu', 'PW', '350');
INSERT INTO `subdivisions` VALUES ('2848', '0', '0', '0', 'EN', 'Sonsorol', 'PW', '370');
INSERT INTO `subdivisions` VALUES ('2813', '0', '0', '0', 'EN', 'Aveiro', 'PT', '01');
INSERT INTO `subdivisions` VALUES ('2814', '0', '0', '0', 'EN', 'Beja', 'PT', '02');
INSERT INTO `subdivisions` VALUES ('2815', '0', '0', '0', 'EN', 'Braga', 'PT', '03');
INSERT INTO `subdivisions` VALUES ('2816', '0', '0', '0', 'EN', 'Bragança', 'PT', '04');
INSERT INTO `subdivisions` VALUES ('2817', '0', '0', '0', 'EN', 'Castelo Branco', 'PT', '05');
INSERT INTO `subdivisions` VALUES ('2818', '0', '0', '0', 'EN', 'Coimbra', 'PT', '06');
INSERT INTO `subdivisions` VALUES ('2819', '0', '0', '0', 'EN', 'Évora', 'PT', '07');
INSERT INTO `subdivisions` VALUES ('2820', '0', '0', '0', 'EN', 'Faro', 'PT', '08');
INSERT INTO `subdivisions` VALUES ('2821', '0', '0', '0', 'EN', 'Guarda', 'PT', '09');
INSERT INTO `subdivisions` VALUES ('2822', '0', '0', '0', 'EN', 'Leiria', 'PT', '10');
INSERT INTO `subdivisions` VALUES ('2823', '0', '0', '0', 'EN', 'Lisboa', 'PT', '11');
INSERT INTO `subdivisions` VALUES ('2824', '0', '0', '0', 'EN', 'Portalegre', 'PT', '12');
INSERT INTO `subdivisions` VALUES ('2825', '0', '0', '0', 'EN', 'Porto', 'PT', '13');
INSERT INTO `subdivisions` VALUES ('2826', '0', '0', '0', 'EN', 'Santarém', 'PT', '14');
INSERT INTO `subdivisions` VALUES ('2827', '0', '0', '0', 'EN', 'Setúbal', 'PT', '15');
INSERT INTO `subdivisions` VALUES ('2828', '0', '0', '0', 'EN', 'Viana do Castelo', 'PT', '16');
INSERT INTO `subdivisions` VALUES ('2829', '0', '0', '0', 'EN', 'Vila Real', 'PT', '17');
INSERT INTO `subdivisions` VALUES ('2830', '0', '0', '0', 'EN', 'Viseu', 'PT', '18');
INSERT INTO `subdivisions` VALUES ('2831', '0', '0', '0', 'EN', 'Região Autónoma dos Açores', 'PT', '20');
INSERT INTO `subdivisions` VALUES ('2832', '0', '0', '0', 'EN', 'Região Autónoma da Madeira', 'PT', '30');
INSERT INTO `subdivisions` VALUES ('2797', '0', '0', '0', 'EN', 'Dolnośląskie', 'PL', 'DS');
INSERT INTO `subdivisions` VALUES ('2798', '0', '0', '0', 'EN', 'Kujawsko-pomorskie', 'PL', 'KP');
INSERT INTO `subdivisions` VALUES ('2799', '0', '0', '0', 'EN', 'Lubuskie', 'PL', 'LB');
INSERT INTO `subdivisions` VALUES ('2800', '0', '0', '0', 'EN', 'Łódzkie', 'PL', 'LD');
INSERT INTO `subdivisions` VALUES ('2801', '0', '0', '0', 'EN', 'Lubelskie', 'PL', 'LU');
INSERT INTO `subdivisions` VALUES ('2802', '0', '0', '0', 'EN', 'Małopolskie', 'PL', 'MA');
INSERT INTO `subdivisions` VALUES ('2803', '0', '0', '0', 'EN', 'Mazowieckie', 'PL', 'MZ');
INSERT INTO `subdivisions` VALUES ('2804', '0', '0', '0', 'EN', 'Opolskie', 'PL', 'OP');
INSERT INTO `subdivisions` VALUES ('2805', '0', '0', '0', 'EN', 'Podlaskie', 'PL', 'PD');
INSERT INTO `subdivisions` VALUES ('2806', '0', '0', '0', 'EN', 'Podkarpackie', 'PL', 'PK');
INSERT INTO `subdivisions` VALUES ('2807', '0', '0', '0', 'EN', 'Pomorskie', 'PL', 'PM');
INSERT INTO `subdivisions` VALUES ('2808', '0', '0', '0', 'EN', 'Świętokrzyskie', 'PL', 'SK');
INSERT INTO `subdivisions` VALUES ('2809', '0', '0', '0', 'EN', 'Śląskie', 'PL', 'SL');
INSERT INTO `subdivisions` VALUES ('2810', '0', '0', '0', 'EN', 'Warmińsko-mazurskie', 'PL', 'WN');
INSERT INTO `subdivisions` VALUES ('2811', '0', '0', '0', 'EN', 'Wielkopolskie', 'PL', 'WP');
INSERT INTO `subdivisions` VALUES ('2812', '0', '0', '0', 'EN', 'Zachodniopomorskie', 'PL', 'ZP');
INSERT INTO `subdivisions` VALUES ('2789', '0', '0', '0', 'EN', 'Balochistan', 'PK', 'BA');
INSERT INTO `subdivisions` VALUES ('2790', '0', '0', '0', 'EN', 'Gilgit-Baltistan', 'PK', 'GB');
INSERT INTO `subdivisions` VALUES ('2791', '0', '0', '0', 'EN', 'Islamabad', 'PK', 'IS');
INSERT INTO `subdivisions` VALUES ('2792', '0', '0', '0', 'EN', 'Azad Kashmir', 'PK', 'JK');
INSERT INTO `subdivisions` VALUES ('2793', '0', '0', '0', 'EN', 'Khyber Pakhtunkhwa', 'PK', 'KP');
INSERT INTO `subdivisions` VALUES ('2794', '0', '0', '0', 'EN', 'Punjab', 'PK', 'PB');
INSERT INTO `subdivisions` VALUES ('2795', '0', '0', '0', 'EN', 'Sindh', 'PK', 'SD');
INSERT INTO `subdivisions` VALUES ('2796', '0', '0', '0', 'EN', 'Federally Administered Tribal Areas', 'PK', 'TA');
INSERT INTO `subdivisions` VALUES ('2772', '0', '0', '0', 'EN', 'National Capital Region', 'PH', '00');
INSERT INTO `subdivisions` VALUES ('2773', '0', '0', '0', 'EN', 'Ilocos', 'PH', '01');
INSERT INTO `subdivisions` VALUES ('2774', '0', '0', '0', 'EN', 'Cagayan Valley', 'PH', '02');
INSERT INTO `subdivisions` VALUES ('2775', '0', '0', '0', 'EN', 'Central Luzon', 'PH', '03');
INSERT INTO `subdivisions` VALUES ('2776', '0', '0', '0', 'EN', 'Bicol', 'PH', '05');
INSERT INTO `subdivisions` VALUES ('2777', '0', '0', '0', 'EN', 'Western Visayas', 'PH', '06');
INSERT INTO `subdivisions` VALUES ('2778', '0', '0', '0', 'EN', 'Central Visayas', 'PH', '07');
INSERT INTO `subdivisions` VALUES ('2779', '0', '0', '0', 'EN', 'Eastern Visayas', 'PH', '08');
INSERT INTO `subdivisions` VALUES ('2780', '0', '0', '0', 'EN', 'Zamboanga Peninsula', 'PH', '09');
INSERT INTO `subdivisions` VALUES ('2781', '0', '0', '0', 'EN', 'Northern Mindanao', 'PH', '10');
INSERT INTO `subdivisions` VALUES ('2782', '0', '0', '0', 'EN', 'Davao', 'PH', '11');
INSERT INTO `subdivisions` VALUES ('2783', '0', '0', '0', 'EN', 'Soccsksargen', 'PH', '12');
INSERT INTO `subdivisions` VALUES ('2784', '0', '0', '0', 'EN', 'Caraga', 'PH', '13');
INSERT INTO `subdivisions` VALUES ('2785', '0', '0', '0', 'EN', 'Autonomous Region in Muslim Mindanao', 'PH', '14');
INSERT INTO `subdivisions` VALUES ('2786', '0', '0', '0', 'EN', 'Cordillera Administrative Region', 'PH', '15');
INSERT INTO `subdivisions` VALUES ('2787', '0', '0', '0', 'EN', 'CALABARZON', 'PH', '40');
INSERT INTO `subdivisions` VALUES ('2788', '0', '0', '0', 'EN', 'MIMAROPA', 'PH', '41');
INSERT INTO `subdivisions` VALUES ('2752', '0', '0', '0', 'EN', 'Chimbu', 'PG', 'CPK');
INSERT INTO `subdivisions` VALUES ('2753', '0', '0', '0', 'EN', 'Central', 'PG', 'CPM');
INSERT INTO `subdivisions` VALUES ('2754', '0', '0', '0', 'EN', 'East New Britain', 'PG', 'EBR');
INSERT INTO `subdivisions` VALUES ('2755', '0', '0', '0', 'EN', 'Eastern Highlands', 'PG', 'EHG');
INSERT INTO `subdivisions` VALUES ('2756', '0', '0', '0', 'EN', 'Enga', 'PG', 'EPW');
INSERT INTO `subdivisions` VALUES ('2757', '0', '0', '0', 'EN', 'East Sepik', 'PG', 'ESW');
INSERT INTO `subdivisions` VALUES ('2758', '0', '0', '0', 'EN', 'Gulf', 'PG', 'GPK');
INSERT INTO `subdivisions` VALUES ('2759', '0', '0', '0', 'EN', 'Milne Bay', 'PG', 'MBA');
INSERT INTO `subdivisions` VALUES ('2760', '0', '0', '0', 'EN', 'Morobe', 'PG', 'MPL');
INSERT INTO `subdivisions` VALUES ('2761', '0', '0', '0', 'EN', 'Madang', 'PG', 'MPM');
INSERT INTO `subdivisions` VALUES ('2762', '0', '0', '0', 'EN', 'Manus', 'PG', 'MRL');
INSERT INTO `subdivisions` VALUES ('2763', '0', '0', '0', 'EN', 'National Capital District (Port Moresby)', 'PG', 'NCD');
INSERT INTO `subdivisions` VALUES ('2764', '0', '0', '0', 'EN', 'New Ireland', 'PG', 'NIK');
INSERT INTO `subdivisions` VALUES ('2765', '0', '0', '0', 'EN', 'Northern', 'PG', 'NPP');
INSERT INTO `subdivisions` VALUES ('2766', '0', '0', '0', 'EN', 'Bougainville', 'PG', 'NSB');
INSERT INTO `subdivisions` VALUES ('2767', '0', '0', '0', 'EN', 'Sandaun [West Sepik]', 'PG', 'SAN');
INSERT INTO `subdivisions` VALUES ('2768', '0', '0', '0', 'EN', 'Southern Highlands', 'PG', 'SHM');
INSERT INTO `subdivisions` VALUES ('2769', '0', '0', '0', 'EN', 'West New Britain', 'PG', 'WBK');
INSERT INTO `subdivisions` VALUES ('2770', '0', '0', '0', 'EN', 'Western Highlands', 'PG', 'WHM');
INSERT INTO `subdivisions` VALUES ('2771', '0', '0', '0', 'EN', 'Western', 'PG', 'WPD');
INSERT INTO `subdivisions` VALUES ('2726', '0', '0', '0', 'EN', 'Amazonas', 'PE', 'AMA');
INSERT INTO `subdivisions` VALUES ('2727', '0', '0', '0', 'EN', 'Ancash', 'PE', 'ANC');
INSERT INTO `subdivisions` VALUES ('2728', '0', '0', '0', 'EN', 'Apurímac', 'PE', 'APU');
INSERT INTO `subdivisions` VALUES ('2729', '0', '0', '0', 'EN', 'Arequipa', 'PE', 'ARE');
INSERT INTO `subdivisions` VALUES ('2730', '0', '0', '0', 'EN', 'Ayacucho', 'PE', 'AYA');
INSERT INTO `subdivisions` VALUES ('2731', '0', '0', '0', 'EN', 'Cajamarca', 'PE', 'CAJ');
INSERT INTO `subdivisions` VALUES ('2732', '0', '0', '0', 'EN', 'El Callao', 'PE', 'CAL');
INSERT INTO `subdivisions` VALUES ('2733', '0', '0', '0', 'EN', 'Cusco [Cuzco]', 'PE', 'CUS');
INSERT INTO `subdivisions` VALUES ('2734', '0', '0', '0', 'EN', 'Huánuco', 'PE', 'HUC');
INSERT INTO `subdivisions` VALUES ('2735', '0', '0', '0', 'EN', 'Huancavelica', 'PE', 'HUV');
INSERT INTO `subdivisions` VALUES ('2736', '0', '0', '0', 'EN', 'Ica', 'PE', 'ICA');
INSERT INTO `subdivisions` VALUES ('2737', '0', '0', '0', 'EN', 'Junín', 'PE', 'JUN');
INSERT INTO `subdivisions` VALUES ('2738', '0', '0', '0', 'EN', 'La Libertad', 'PE', 'LAL');
INSERT INTO `subdivisions` VALUES ('2739', '0', '0', '0', 'EN', 'Lambayeque', 'PE', 'LAM');
INSERT INTO `subdivisions` VALUES ('2740', '0', '0', '0', 'EN', 'Lima', 'PE', 'LIM');
INSERT INTO `subdivisions` VALUES ('2741', '0', '0', '0', 'EN', 'Municipalidad Metropolitana de Lima', 'PE', 'LMA');
INSERT INTO `subdivisions` VALUES ('2742', '0', '0', '0', 'EN', 'Loreto', 'PE', 'LOR');
INSERT INTO `subdivisions` VALUES ('2743', '0', '0', '0', 'EN', 'Madre de Dios', 'PE', 'MDD');
INSERT INTO `subdivisions` VALUES ('2744', '0', '0', '0', 'EN', 'Moquegua', 'PE', 'MOQ');
INSERT INTO `subdivisions` VALUES ('2745', '0', '0', '0', 'EN', 'Pasco', 'PE', 'PAS');
INSERT INTO `subdivisions` VALUES ('2746', '0', '0', '0', 'EN', 'Piura', 'PE', 'PIU');
INSERT INTO `subdivisions` VALUES ('2747', '0', '0', '0', 'EN', 'Puno', 'PE', 'PUN');
INSERT INTO `subdivisions` VALUES ('2748', '0', '0', '0', 'EN', 'San Martín', 'PE', 'SAM');
INSERT INTO `subdivisions` VALUES ('2749', '0', '0', '0', 'EN', 'Tacna', 'PE', 'TAC');
INSERT INTO `subdivisions` VALUES ('2750', '0', '0', '0', 'EN', 'Tumbes', 'PE', 'TUM');
INSERT INTO `subdivisions` VALUES ('2751', '0', '0', '0', 'EN', 'Ucayali', 'PE', 'UCA');
INSERT INTO `subdivisions` VALUES ('2714', '0', '0', '0', 'EN', 'Bocas del Toro', 'PA', '1');
INSERT INTO `subdivisions` VALUES ('2715', '0', '0', '0', 'EN', 'Coclé', 'PA', '2');
INSERT INTO `subdivisions` VALUES ('2716', '0', '0', '0', 'EN', 'Colón', 'PA', '3');
INSERT INTO `subdivisions` VALUES ('2717', '0', '0', '0', 'EN', 'Chiriquí', 'PA', '4');
INSERT INTO `subdivisions` VALUES ('2718', '0', '0', '0', 'EN', 'Darién', 'PA', '5');
INSERT INTO `subdivisions` VALUES ('2719', '0', '0', '0', 'EN', 'Herrera', 'PA', '6');
INSERT INTO `subdivisions` VALUES ('2720', '0', '0', '0', 'EN', 'Los Santos', 'PA', '7');
INSERT INTO `subdivisions` VALUES ('2721', '0', '0', '0', 'EN', 'Panamá', 'PA', '8');
INSERT INTO `subdivisions` VALUES ('2722', '0', '0', '0', 'EN', 'Veraguas', 'PA', '9');
INSERT INTO `subdivisions` VALUES ('2723', '0', '0', '0', 'EN', 'Emberá', 'PA', 'EM');
INSERT INTO `subdivisions` VALUES ('2724', '0', '0', '0', 'EN', 'Kuna Yala', 'PA', 'KY');
INSERT INTO `subdivisions` VALUES ('2725', '0', '0', '0', 'EN', 'Ngöbe-Buglé', 'PA', 'NB');
INSERT INTO `subdivisions` VALUES ('2705', '0', '0', '0', 'EN', 'Al Bāţinah', 'OM', 'BA');
INSERT INTO `subdivisions` VALUES ('2706', '0', '0', '0', 'EN', 'Al Buraymī', 'OM', 'BU');
INSERT INTO `subdivisions` VALUES ('2707', '0', '0', '0', 'EN', 'Ad Dākhilīyah', 'OM', 'DA');
INSERT INTO `subdivisions` VALUES ('2708', '0', '0', '0', 'EN', 'Masqaţ', 'OM', 'MA');
INSERT INTO `subdivisions` VALUES ('2709', '0', '0', '0', 'EN', 'Musandam', 'OM', 'MU');
INSERT INTO `subdivisions` VALUES ('2710', '0', '0', '0', 'EN', 'Ash Sharqīyah', 'OM', 'SH');
INSERT INTO `subdivisions` VALUES ('2711', '0', '0', '0', 'EN', 'Al Wusţá', 'OM', 'WU');
INSERT INTO `subdivisions` VALUES ('2712', '0', '0', '0', 'EN', 'Az̧ Z̧āhirah', 'OM', 'ZA');
INSERT INTO `subdivisions` VALUES ('2713', '0', '0', '0', 'EN', 'Z̧ufār', 'OM', 'ZU');
INSERT INTO `subdivisions` VALUES ('2686', '0', '0', '0', 'EN', 'Auckland', 'NZ', 'AUK');
INSERT INTO `subdivisions` VALUES ('2687', '0', '0', '0', 'EN', 'Bay of Plenty', 'NZ', 'BOP');
INSERT INTO `subdivisions` VALUES ('2688', '0', '0', '0', 'EN', 'Canterbury', 'NZ', 'CAN');
INSERT INTO `subdivisions` VALUES ('2689', '0', '0', '0', 'EN', 'Chatham Islands Territory', 'NZ', 'CIT');
INSERT INTO `subdivisions` VALUES ('2690', '0', '0', '0', 'EN', 'Gisborne District', 'NZ', 'GIS');
INSERT INTO `subdivisions` VALUES ('2691', '0', '0', '0', 'EN', 'Hawke\'s Bay', 'NZ', 'HKB');
INSERT INTO `subdivisions` VALUES ('2692', '0', '0', '0', 'EN', 'Marlborough District', 'NZ', 'MBH');
INSERT INTO `subdivisions` VALUES ('2693', '0', '0', '0', 'EN', 'Manawatu-Wanganui', 'NZ', 'MWT');
INSERT INTO `subdivisions` VALUES ('2694', '0', '0', '0', 'EN', 'North Island', 'NZ', 'N');
INSERT INTO `subdivisions` VALUES ('2695', '0', '0', '0', 'EN', 'Nelson City', 'NZ', 'NSN');
INSERT INTO `subdivisions` VALUES ('2696', '0', '0', '0', 'EN', 'Northland', 'NZ', 'NTL');
INSERT INTO `subdivisions` VALUES ('2697', '0', '0', '0', 'EN', 'Otago', 'NZ', 'OTA');
INSERT INTO `subdivisions` VALUES ('2698', '0', '0', '0', 'EN', 'South Island', 'NZ', 'S');
INSERT INTO `subdivisions` VALUES ('2699', '0', '0', '0', 'EN', 'Southland', 'NZ', 'STL');
INSERT INTO `subdivisions` VALUES ('2700', '0', '0', '0', 'EN', 'Tasman District', 'NZ', 'TAS');
INSERT INTO `subdivisions` VALUES ('2701', '0', '0', '0', 'EN', 'Taranaki', 'NZ', 'TKI');
INSERT INTO `subdivisions` VALUES ('2702', '0', '0', '0', 'EN', 'Wellington', 'NZ', 'WGN');
INSERT INTO `subdivisions` VALUES ('2703', '0', '0', '0', 'EN', 'Waikato', 'NZ', 'WKO');
INSERT INTO `subdivisions` VALUES ('2704', '0', '0', '0', 'EN', 'West Coast', 'NZ', 'WTC');
INSERT INTO `subdivisions` VALUES ('2672', '0', '0', '0', 'EN', 'Aiwo', 'NR', '01');
INSERT INTO `subdivisions` VALUES ('2673', '0', '0', '0', 'EN', 'Anabar', 'NR', '02');
INSERT INTO `subdivisions` VALUES ('2674', '0', '0', '0', 'EN', 'Anetan', 'NR', '03');
INSERT INTO `subdivisions` VALUES ('2675', '0', '0', '0', 'EN', 'Anibare', 'NR', '04');
INSERT INTO `subdivisions` VALUES ('2676', '0', '0', '0', 'EN', 'Baiti', 'NR', '05');
INSERT INTO `subdivisions` VALUES ('2677', '0', '0', '0', 'EN', 'Boe', 'NR', '06');
INSERT INTO `subdivisions` VALUES ('2678', '0', '0', '0', 'EN', 'Buada', 'NR', '07');
INSERT INTO `subdivisions` VALUES ('2679', '0', '0', '0', 'EN', 'Denigomodu', 'NR', '08');
INSERT INTO `subdivisions` VALUES ('2680', '0', '0', '0', 'EN', 'Ewa', 'NR', '09');
INSERT INTO `subdivisions` VALUES ('2681', '0', '0', '0', 'EN', 'Ijuw', 'NR', '10');
INSERT INTO `subdivisions` VALUES ('2682', '0', '0', '0', 'EN', 'Meneng', 'NR', '11');
INSERT INTO `subdivisions` VALUES ('2683', '0', '0', '0', 'EN', 'Nibok', 'NR', '12');
INSERT INTO `subdivisions` VALUES ('2684', '0', '0', '0', 'EN', 'Uaboe', 'NR', '13');
INSERT INTO `subdivisions` VALUES ('2685', '0', '0', '0', 'EN', 'Yaren', 'NR', '14');
INSERT INTO `subdivisions` VALUES ('2653', '0', '0', '0', 'EN', 'Madhyamanchal', 'NP', '1');
INSERT INTO `subdivisions` VALUES ('2654', '0', '0', '0', 'EN', 'Madhya Pashchimanchal', 'NP', '2');
INSERT INTO `subdivisions` VALUES ('2655', '0', '0', '0', 'EN', 'Pashchimanchal', 'NP', '3');
INSERT INTO `subdivisions` VALUES ('2656', '0', '0', '0', 'EN', 'Purwanchal', 'NP', '4');
INSERT INTO `subdivisions` VALUES ('2657', '0', '0', '0', 'EN', 'Sudur Pashchimanchal', 'NP', '5');
INSERT INTO `subdivisions` VALUES ('2658', '0', '0', '0', 'EN', 'Bagmati', 'NP', 'BA');
INSERT INTO `subdivisions` VALUES ('2659', '0', '0', '0', 'EN', 'Bheri', 'NP', 'BH');
INSERT INTO `subdivisions` VALUES ('2660', '0', '0', '0', 'EN', 'Dhawalagiri', 'NP', 'DH');
INSERT INTO `subdivisions` VALUES ('2661', '0', '0', '0', 'EN', 'Gandaki', 'NP', 'GA');
INSERT INTO `subdivisions` VALUES ('2662', '0', '0', '0', 'EN', 'Janakpur', 'NP', 'JA');
INSERT INTO `subdivisions` VALUES ('2663', '0', '0', '0', 'EN', 'Karnali', 'NP', 'KA');
INSERT INTO `subdivisions` VALUES ('2664', '0', '0', '0', 'EN', 'Kosi [Koshi]', 'NP', 'KO');
INSERT INTO `subdivisions` VALUES ('2665', '0', '0', '0', 'EN', 'Lumbini', 'NP', 'LU');
INSERT INTO `subdivisions` VALUES ('2666', '0', '0', '0', 'EN', 'Mahakali', 'NP', 'MA');
INSERT INTO `subdivisions` VALUES ('2667', '0', '0', '0', 'EN', 'Mechi', 'NP', 'ME');
INSERT INTO `subdivisions` VALUES ('2668', '0', '0', '0', 'EN', 'Narayani', 'NP', 'NA');
INSERT INTO `subdivisions` VALUES ('2669', '0', '0', '0', 'EN', 'Rapti', 'NP', 'RA');
INSERT INTO `subdivisions` VALUES ('2670', '0', '0', '0', 'EN', 'Sagarmatha', 'NP', 'SA');
INSERT INTO `subdivisions` VALUES ('2671', '0', '0', '0', 'EN', 'Seti', 'NP', 'SE');
INSERT INTO `subdivisions` VALUES ('2632', '0', '0', '0', 'EN', 'Østfold', 'NO', '01');
INSERT INTO `subdivisions` VALUES ('2633', '0', '0', '0', 'EN', 'Akershus', 'NO', '02');
INSERT INTO `subdivisions` VALUES ('2634', '0', '0', '0', 'EN', 'Oslo', 'NO', '03');
INSERT INTO `subdivisions` VALUES ('2635', '0', '0', '0', 'EN', 'Hedmark', 'NO', '04');
INSERT INTO `subdivisions` VALUES ('2636', '0', '0', '0', 'EN', 'Oppland', 'NO', '05');
INSERT INTO `subdivisions` VALUES ('2637', '0', '0', '0', 'EN', 'Buskerud', 'NO', '06');
INSERT INTO `subdivisions` VALUES ('2638', '0', '0', '0', 'EN', 'Vestfold', 'NO', '07');
INSERT INTO `subdivisions` VALUES ('2639', '0', '0', '0', 'EN', 'Telemark', 'NO', '08');
INSERT INTO `subdivisions` VALUES ('2640', '0', '0', '0', 'EN', 'Aust-Agder', 'NO', '09');
INSERT INTO `subdivisions` VALUES ('2641', '0', '0', '0', 'EN', 'Vest-Agder', 'NO', '10');
INSERT INTO `subdivisions` VALUES ('2642', '0', '0', '0', 'EN', 'Rogaland', 'NO', '11');
INSERT INTO `subdivisions` VALUES ('2643', '0', '0', '0', 'EN', 'Hordaland', 'NO', '12');
INSERT INTO `subdivisions` VALUES ('2644', '0', '0', '0', 'EN', 'Sogn og Fjordane', 'NO', '14');
INSERT INTO `subdivisions` VALUES ('2645', '0', '0', '0', 'EN', 'Møre og Romsdal', 'NO', '15');
INSERT INTO `subdivisions` VALUES ('2646', '0', '0', '0', 'EN', 'Sør-Trøndelag', 'NO', '16');
INSERT INTO `subdivisions` VALUES ('2647', '0', '0', '0', 'EN', 'Nord-Trøndelag', 'NO', '17');
INSERT INTO `subdivisions` VALUES ('2648', '0', '0', '0', 'EN', 'Nordland', 'NO', '18');
INSERT INTO `subdivisions` VALUES ('2649', '0', '0', '0', 'EN', 'Troms', 'NO', '19');
INSERT INTO `subdivisions` VALUES ('2650', '0', '0', '0', 'EN', 'Finnmark', 'NO', '20');
INSERT INTO `subdivisions` VALUES ('2651', '0', '0', '0', 'EN', 'Svalbard', 'NO', '21');
INSERT INTO `subdivisions` VALUES ('2652', '0', '0', '0', 'EN', 'Jan Mayen', 'NO', '22');
INSERT INTO `subdivisions` VALUES ('2620', '0', '0', '0', 'EN', 'Drenthe', 'NL', 'DR');
INSERT INTO `subdivisions` VALUES ('2621', '0', '0', '0', 'EN', 'Flevoland', 'NL', 'FL');
INSERT INTO `subdivisions` VALUES ('2622', '0', '0', '0', 'EN', 'Fryslân', 'NL', 'FR');
INSERT INTO `subdivisions` VALUES ('2623', '0', '0', '0', 'EN', 'Gelderland', 'NL', 'GE');
INSERT INTO `subdivisions` VALUES ('2624', '0', '0', '0', 'EN', 'Groningen', 'NL', 'GR');
INSERT INTO `subdivisions` VALUES ('2625', '0', '0', '0', 'EN', 'Limburg', 'NL', 'LI');
INSERT INTO `subdivisions` VALUES ('2626', '0', '0', '0', 'EN', 'Noord-Brabant', 'NL', 'NB');
INSERT INTO `subdivisions` VALUES ('2627', '0', '0', '0', 'EN', 'Noord-Holland', 'NL', 'NH');
INSERT INTO `subdivisions` VALUES ('2628', '0', '0', '0', 'EN', 'Overijssel', 'NL', 'OV');
INSERT INTO `subdivisions` VALUES ('2629', '0', '0', '0', 'EN', 'Utrecht', 'NL', 'UT');
INSERT INTO `subdivisions` VALUES ('2630', '0', '0', '0', 'EN', 'Zeeland', 'NL', 'ZE');
INSERT INTO `subdivisions` VALUES ('2631', '0', '0', '0', 'EN', 'Zuid-Holland', 'NL', 'ZH');
INSERT INTO `subdivisions` VALUES ('2603', '0', '0', '0', 'EN', 'Atlántico Norte', 'NI', 'AN');
INSERT INTO `subdivisions` VALUES ('2604', '0', '0', '0', 'EN', 'Atlántico Sur', 'NI', 'AS');
INSERT INTO `subdivisions` VALUES ('2605', '0', '0', '0', 'EN', 'Boaco', 'NI', 'BO');
INSERT INTO `subdivisions` VALUES ('2606', '0', '0', '0', 'EN', 'Carazo', 'NI', 'CA');
INSERT INTO `subdivisions` VALUES ('2607', '0', '0', '0', 'EN', 'Chinandega', 'NI', 'CI');
INSERT INTO `subdivisions` VALUES ('2608', '0', '0', '0', 'EN', 'Chontales', 'NI', 'CO');
INSERT INTO `subdivisions` VALUES ('2609', '0', '0', '0', 'EN', 'Estelí', 'NI', 'ES');
INSERT INTO `subdivisions` VALUES ('2610', '0', '0', '0', 'EN', 'Granada', 'NI', 'GR');
INSERT INTO `subdivisions` VALUES ('2611', '0', '0', '0', 'EN', 'Jinotega', 'NI', 'JI');
INSERT INTO `subdivisions` VALUES ('2612', '0', '0', '0', 'EN', 'León', 'NI', 'LE');
INSERT INTO `subdivisions` VALUES ('2613', '0', '0', '0', 'EN', 'Madriz', 'NI', 'MD');
INSERT INTO `subdivisions` VALUES ('2614', '0', '0', '0', 'EN', 'Managua', 'NI', 'MN');
INSERT INTO `subdivisions` VALUES ('2615', '0', '0', '0', 'EN', 'Masaya', 'NI', 'MS');
INSERT INTO `subdivisions` VALUES ('2616', '0', '0', '0', 'EN', 'Matagalpa', 'NI', 'MT');
INSERT INTO `subdivisions` VALUES ('2617', '0', '0', '0', 'EN', 'Nueva Segovia', 'NI', 'NS');
INSERT INTO `subdivisions` VALUES ('2618', '0', '0', '0', 'EN', 'Rivas', 'NI', 'RI');
INSERT INTO `subdivisions` VALUES ('2619', '0', '0', '0', 'EN', 'Río San Juan', 'NI', 'SJ');
INSERT INTO `subdivisions` VALUES ('2566', '0', '0', '0', 'EN', 'Abia', 'NG', 'AB');
INSERT INTO `subdivisions` VALUES ('2567', '0', '0', '0', 'EN', 'Adamawa', 'NG', 'AD');
INSERT INTO `subdivisions` VALUES ('2568', '0', '0', '0', 'EN', 'Akwa Ibom', 'NG', 'AK');
INSERT INTO `subdivisions` VALUES ('2569', '0', '0', '0', 'EN', 'Anambra', 'NG', 'AN');
INSERT INTO `subdivisions` VALUES ('2570', '0', '0', '0', 'EN', 'Bauchi', 'NG', 'BA');
INSERT INTO `subdivisions` VALUES ('2571', '0', '0', '0', 'EN', 'Benue', 'NG', 'BE');
INSERT INTO `subdivisions` VALUES ('2572', '0', '0', '0', 'EN', 'Borno', 'NG', 'BO');
INSERT INTO `subdivisions` VALUES ('2573', '0', '0', '0', 'EN', 'Bayelsa', 'NG', 'BY');
INSERT INTO `subdivisions` VALUES ('2574', '0', '0', '0', 'EN', 'Cross River', 'NG', 'CR');
INSERT INTO `subdivisions` VALUES ('2575', '0', '0', '0', 'EN', 'Delta', 'NG', 'DE');
INSERT INTO `subdivisions` VALUES ('2576', '0', '0', '0', 'EN', 'Ebonyi', 'NG', 'EB');
INSERT INTO `subdivisions` VALUES ('2577', '0', '0', '0', 'EN', 'Edo', 'NG', 'ED');
INSERT INTO `subdivisions` VALUES ('2578', '0', '0', '0', 'EN', 'Ekiti', 'NG', 'EK');
INSERT INTO `subdivisions` VALUES ('2579', '0', '0', '0', 'EN', 'Enugu', 'NG', 'EN');
INSERT INTO `subdivisions` VALUES ('2580', '0', '0', '0', 'EN', 'Abuja Federal Capital Territory', 'NG', 'FC');
INSERT INTO `subdivisions` VALUES ('2581', '0', '0', '0', 'EN', 'Gombe', 'NG', 'GO');
INSERT INTO `subdivisions` VALUES ('2582', '0', '0', '0', 'EN', 'Imo', 'NG', 'IM');
INSERT INTO `subdivisions` VALUES ('2583', '0', '0', '0', 'EN', 'Jigawa', 'NG', 'JI');
INSERT INTO `subdivisions` VALUES ('2584', '0', '0', '0', 'EN', 'Kaduna', 'NG', 'KD');
INSERT INTO `subdivisions` VALUES ('2585', '0', '0', '0', 'EN', 'Kebbi', 'NG', 'KE');
INSERT INTO `subdivisions` VALUES ('2586', '0', '0', '0', 'EN', 'Kano', 'NG', 'KN');
INSERT INTO `subdivisions` VALUES ('2587', '0', '0', '0', 'EN', 'Kogi', 'NG', 'KO');
INSERT INTO `subdivisions` VALUES ('2588', '0', '0', '0', 'EN', 'Katsina', 'NG', 'KT');
INSERT INTO `subdivisions` VALUES ('2589', '0', '0', '0', 'EN', 'Kwara', 'NG', 'KW');
INSERT INTO `subdivisions` VALUES ('2590', '0', '0', '0', 'EN', 'Lagos', 'NG', 'LA');
INSERT INTO `subdivisions` VALUES ('2591', '0', '0', '0', 'EN', 'Nassarawa', 'NG', 'NA');
INSERT INTO `subdivisions` VALUES ('2592', '0', '0', '0', 'EN', 'Niger', 'NG', 'NI');
INSERT INTO `subdivisions` VALUES ('2593', '0', '0', '0', 'EN', 'Ogun', 'NG', 'OG');
INSERT INTO `subdivisions` VALUES ('2594', '0', '0', '0', 'EN', 'Ondo', 'NG', 'ON');
INSERT INTO `subdivisions` VALUES ('2595', '0', '0', '0', 'EN', 'Osun', 'NG', 'OS');
INSERT INTO `subdivisions` VALUES ('2596', '0', '0', '0', 'EN', 'Oyo', 'NG', 'OY');
INSERT INTO `subdivisions` VALUES ('2597', '0', '0', '0', 'EN', 'Plateau', 'NG', 'PL');
INSERT INTO `subdivisions` VALUES ('2598', '0', '0', '0', 'EN', 'Rivers', 'NG', 'RI');
INSERT INTO `subdivisions` VALUES ('2599', '0', '0', '0', 'EN', 'Sokoto', 'NG', 'SO');
INSERT INTO `subdivisions` VALUES ('2600', '0', '0', '0', 'EN', 'Taraba', 'NG', 'TA');
INSERT INTO `subdivisions` VALUES ('2601', '0', '0', '0', 'EN', 'Yobe', 'NG', 'YO');
INSERT INTO `subdivisions` VALUES ('2602', '0', '0', '0', 'EN', 'Zamfara', 'NG', 'ZA');
INSERT INTO `subdivisions` VALUES ('2558', '0', '0', '0', 'EN', 'Agadez', 'NE', '1');
INSERT INTO `subdivisions` VALUES ('2559', '0', '0', '0', 'EN', 'Diffa', 'NE', '2');
INSERT INTO `subdivisions` VALUES ('2560', '0', '0', '0', 'EN', 'Dosso', 'NE', '3');
INSERT INTO `subdivisions` VALUES ('2561', '0', '0', '0', 'EN', 'Maradi', 'NE', '4');
INSERT INTO `subdivisions` VALUES ('2562', '0', '0', '0', 'EN', 'Tahoua', 'NE', '5');
INSERT INTO `subdivisions` VALUES ('2563', '0', '0', '0', 'EN', 'Tillabéri', 'NE', '6');
INSERT INTO `subdivisions` VALUES ('2564', '0', '0', '0', 'EN', 'Zinder', 'NE', '7');
INSERT INTO `subdivisions` VALUES ('2565', '0', '0', '0', 'EN', 'Niamey', 'NE', '8');
INSERT INTO `subdivisions` VALUES ('2545', '0', '0', '0', 'EN', 'Caprivi', 'NA', 'CA');
INSERT INTO `subdivisions` VALUES ('2546', '0', '0', '0', 'EN', 'Erongo', 'NA', 'ER');
INSERT INTO `subdivisions` VALUES ('2547', '0', '0', '0', 'EN', 'Hardap', 'NA', 'HA');
INSERT INTO `subdivisions` VALUES ('2548', '0', '0', '0', 'EN', 'Karas', 'NA', 'KA');
INSERT INTO `subdivisions` VALUES ('2549', '0', '0', '0', 'EN', 'Khomas', 'NA', 'KH');
INSERT INTO `subdivisions` VALUES ('2550', '0', '0', '0', 'EN', 'Kunene', 'NA', 'KU');
INSERT INTO `subdivisions` VALUES ('2551', '0', '0', '0', 'EN', 'Otjozondjupa', 'NA', 'OD');
INSERT INTO `subdivisions` VALUES ('2552', '0', '0', '0', 'EN', 'Omaheke', 'NA', 'OH');
INSERT INTO `subdivisions` VALUES ('2553', '0', '0', '0', 'EN', 'Okavango', 'NA', 'OK');
INSERT INTO `subdivisions` VALUES ('2554', '0', '0', '0', 'EN', 'Oshana', 'NA', 'ON');
INSERT INTO `subdivisions` VALUES ('2555', '0', '0', '0', 'EN', 'Omusati', 'NA', 'OS');
INSERT INTO `subdivisions` VALUES ('2556', '0', '0', '0', 'EN', 'Oshikoto', 'NA', 'OT');
INSERT INTO `subdivisions` VALUES ('2557', '0', '0', '0', 'EN', 'Ohangwena', 'NA', 'OW');
INSERT INTO `subdivisions` VALUES ('2534', '0', '0', '0', 'EN', 'Niassa', 'MZ', 'A');
INSERT INTO `subdivisions` VALUES ('2535', '0', '0', '0', 'EN', 'Manica', 'MZ', 'B');
INSERT INTO `subdivisions` VALUES ('2536', '0', '0', '0', 'EN', 'Gaza', 'MZ', 'G');
INSERT INTO `subdivisions` VALUES ('2537', '0', '0', '0', 'EN', 'Inhambane', 'MZ', 'I');
INSERT INTO `subdivisions` VALUES ('2538', '0', '0', '0', 'EN', 'Maputo', 'MZ', 'L');
INSERT INTO `subdivisions` VALUES ('2539', '0', '0', '0', 'EN', 'Maputo', 'MZ', 'MPM');
INSERT INTO `subdivisions` VALUES ('2540', '0', '0', '0', 'EN', 'Nampula', 'MZ', 'N');
INSERT INTO `subdivisions` VALUES ('2541', '0', '0', '0', 'EN', 'Cabo Delgado', 'MZ', 'P');
INSERT INTO `subdivisions` VALUES ('2542', '0', '0', '0', 'EN', 'Zambézia', 'MZ', 'Q');
INSERT INTO `subdivisions` VALUES ('2543', '0', '0', '0', 'EN', 'Sofala', 'MZ', 'S');
INSERT INTO `subdivisions` VALUES ('2544', '0', '0', '0', 'EN', 'Tete', 'MZ', 'T');
INSERT INTO `subdivisions` VALUES ('2518', '0', '0', '0', 'EN', 'Johor', 'MY', '01');
INSERT INTO `subdivisions` VALUES ('2519', '0', '0', '0', 'EN', 'Kedah', 'MY', '02');
INSERT INTO `subdivisions` VALUES ('2520', '0', '0', '0', 'EN', 'Kelantan', 'MY', '03');
INSERT INTO `subdivisions` VALUES ('2521', '0', '0', '0', 'EN', 'Melaka', 'MY', '04');
INSERT INTO `subdivisions` VALUES ('2522', '0', '0', '0', 'EN', 'Negeri Sembilan', 'MY', '05');
INSERT INTO `subdivisions` VALUES ('2523', '0', '0', '0', 'EN', 'Pahang', 'MY', '06');
INSERT INTO `subdivisions` VALUES ('2524', '0', '0', '0', 'EN', 'Pulau Pinang', 'MY', '07');
INSERT INTO `subdivisions` VALUES ('2525', '0', '0', '0', 'EN', 'Perak', 'MY', '08');
INSERT INTO `subdivisions` VALUES ('2526', '0', '0', '0', 'EN', 'Perlis', 'MY', '09');
INSERT INTO `subdivisions` VALUES ('2527', '0', '0', '0', 'EN', 'Selangor', 'MY', '10');
INSERT INTO `subdivisions` VALUES ('2528', '0', '0', '0', 'EN', 'Terengganu', 'MY', '11');
INSERT INTO `subdivisions` VALUES ('2529', '0', '0', '0', 'EN', 'Sabah', 'MY', '12');
INSERT INTO `subdivisions` VALUES ('2530', '0', '0', '0', 'EN', 'Sarawak', 'MY', '13');
INSERT INTO `subdivisions` VALUES ('2531', '0', '0', '0', 'EN', 'Wilayah Persekutuan Kuala Lumpur', 'MY', '14');
INSERT INTO `subdivisions` VALUES ('2532', '0', '0', '0', 'EN', 'Wilayah Persekutuan Labuan', 'MY', '15');
INSERT INTO `subdivisions` VALUES ('2533', '0', '0', '0', 'EN', 'Wilayah Persekutuan Putrajaya', 'MY', '16');
INSERT INTO `subdivisions` VALUES ('2486', '0', '0', '0', 'EN', 'Aguascalientes', 'MX', 'AGU');
INSERT INTO `subdivisions` VALUES ('2487', '0', '0', '0', 'EN', 'Baja California', 'MX', 'BCN');
INSERT INTO `subdivisions` VALUES ('2488', '0', '0', '0', 'EN', 'Baja California Sur', 'MX', 'BCS');
INSERT INTO `subdivisions` VALUES ('2489', '0', '0', '0', 'EN', 'Campeche', 'MX', 'CAM');
INSERT INTO `subdivisions` VALUES ('2490', '0', '0', '0', 'EN', 'Chihuahua', 'MX', 'CHH');
INSERT INTO `subdivisions` VALUES ('2491', '0', '0', '0', 'EN', 'Chiapas', 'MX', 'CHP');
INSERT INTO `subdivisions` VALUES ('2492', '0', '0', '0', 'EN', 'Coahuila', 'MX', 'COA');
INSERT INTO `subdivisions` VALUES ('2493', '0', '0', '0', 'EN', 'Colima', 'MX', 'COL');
INSERT INTO `subdivisions` VALUES ('2494', '0', '0', '0', 'EN', 'Distrito Federal', 'MX', 'DIF');
INSERT INTO `subdivisions` VALUES ('2495', '0', '0', '0', 'EN', 'Durango', 'MX', 'DUR');
INSERT INTO `subdivisions` VALUES ('2496', '0', '0', '0', 'EN', 'Guerrero', 'MX', 'GRO');
INSERT INTO `subdivisions` VALUES ('2497', '0', '0', '0', 'EN', 'Guanajuato', 'MX', 'GUA');
INSERT INTO `subdivisions` VALUES ('2498', '0', '0', '0', 'EN', 'Hidalgo', 'MX', 'HID');
INSERT INTO `subdivisions` VALUES ('2499', '0', '0', '0', 'EN', 'Jalisco', 'MX', 'JAL');
INSERT INTO `subdivisions` VALUES ('2500', '0', '0', '0', 'EN', 'México', 'MX', 'MEX');
INSERT INTO `subdivisions` VALUES ('2501', '0', '0', '0', 'EN', 'Michoacán', 'MX', 'MIC');
INSERT INTO `subdivisions` VALUES ('2502', '0', '0', '0', 'EN', 'Morelos', 'MX', 'MOR');
INSERT INTO `subdivisions` VALUES ('2503', '0', '0', '0', 'EN', 'Nayarit', 'MX', 'NAY');
INSERT INTO `subdivisions` VALUES ('2504', '0', '0', '0', 'EN', 'Nuevo León', 'MX', 'NLE');
INSERT INTO `subdivisions` VALUES ('2505', '0', '0', '0', 'EN', 'Oaxaca', 'MX', 'OAX');
INSERT INTO `subdivisions` VALUES ('2506', '0', '0', '0', 'EN', 'Puebla', 'MX', 'PUE');
INSERT INTO `subdivisions` VALUES ('2507', '0', '0', '0', 'EN', 'Querétaro', 'MX', 'QUE');
INSERT INTO `subdivisions` VALUES ('2508', '0', '0', '0', 'EN', 'Quintana Roo', 'MX', 'ROO');
INSERT INTO `subdivisions` VALUES ('2509', '0', '0', '0', 'EN', 'Sinaloa', 'MX', 'SIN');
INSERT INTO `subdivisions` VALUES ('2510', '0', '0', '0', 'EN', 'San Luis Potosí', 'MX', 'SLP');
INSERT INTO `subdivisions` VALUES ('2511', '0', '0', '0', 'EN', 'Sonora', 'MX', 'SON');
INSERT INTO `subdivisions` VALUES ('2512', '0', '0', '0', 'EN', 'Tabasco', 'MX', 'TAB');
INSERT INTO `subdivisions` VALUES ('2513', '0', '0', '0', 'EN', 'Tamaulipas', 'MX', 'TAM');
INSERT INTO `subdivisions` VALUES ('2514', '0', '0', '0', 'EN', 'Tlaxcala', 'MX', 'TLA');
INSERT INTO `subdivisions` VALUES ('2515', '0', '0', '0', 'EN', 'Veracruz', 'MX', 'VER');
INSERT INTO `subdivisions` VALUES ('2516', '0', '0', '0', 'EN', 'Yucatán', 'MX', 'YUC');
INSERT INTO `subdivisions` VALUES ('2517', '0', '0', '0', 'EN', 'Zacatecas', 'MX', 'ZAC');
INSERT INTO `subdivisions` VALUES ('2455', '0', '0', '0', 'EN', 'Balaka', 'MW', 'BA');
INSERT INTO `subdivisions` VALUES ('2456', '0', '0', '0', 'EN', 'Blantyre', 'MW', 'BL');
INSERT INTO `subdivisions` VALUES ('2457', '0', '0', '0', 'EN', 'Chikwawa', 'MW', 'CK');
INSERT INTO `subdivisions` VALUES ('2458', '0', '0', '0', 'EN', 'Chiradzulu', 'MW', 'CR');
INSERT INTO `subdivisions` VALUES ('2459', '0', '0', '0', 'EN', 'Chitipa', 'MW', 'CT');
INSERT INTO `subdivisions` VALUES ('2460', '0', '0', '0', 'EN', 'Dedza', 'MW', 'DE');
INSERT INTO `subdivisions` VALUES ('2461', '0', '0', '0', 'EN', 'Dowa', 'MW', 'DO');
INSERT INTO `subdivisions` VALUES ('2462', '0', '0', '0', 'EN', 'Karonga', 'MW', 'KR');
INSERT INTO `subdivisions` VALUES ('2463', '0', '0', '0', 'EN', 'Kasungu', 'MW', 'KS');
INSERT INTO `subdivisions` VALUES ('2464', '0', '0', '0', 'EN', 'Lilongwe', 'MW', 'LI');
INSERT INTO `subdivisions` VALUES ('2465', '0', '0', '0', 'EN', 'Likoma', 'MW', 'LK');
INSERT INTO `subdivisions` VALUES ('2466', '0', '0', '0', 'EN', 'Mchinji', 'MW', 'MC');
INSERT INTO `subdivisions` VALUES ('2467', '0', '0', '0', 'EN', 'Mangochi', 'MW', 'MG');
INSERT INTO `subdivisions` VALUES ('2468', '0', '0', '0', 'EN', 'Machinga', 'MW', 'MH');
INSERT INTO `subdivisions` VALUES ('2469', '0', '0', '0', 'EN', 'Mulanje', 'MW', 'MU');
INSERT INTO `subdivisions` VALUES ('2470', '0', '0', '0', 'EN', 'Mwanza', 'MW', 'MW');
INSERT INTO `subdivisions` VALUES ('2471', '0', '0', '0', 'EN', 'Mzimba', 'MW', 'MZ');
INSERT INTO `subdivisions` VALUES ('2472', '0', '0', '0', 'EN', 'Nkhata Bay', 'MW', 'NB');
INSERT INTO `subdivisions` VALUES ('2473', '0', '0', '0', 'EN', 'Neno', 'MW', 'NE');
INSERT INTO `subdivisions` VALUES ('2474', '0', '0', '0', 'EN', 'Ntchisi', 'MW', 'NI');
INSERT INTO `subdivisions` VALUES ('2475', '0', '0', '0', 'EN', 'Nkhotakota', 'MW', 'NK');
INSERT INTO `subdivisions` VALUES ('2476', '0', '0', '0', 'EN', 'Nsanje', 'MW', 'NS');
INSERT INTO `subdivisions` VALUES ('2477', '0', '0', '0', 'EN', 'Ntcheu', 'MW', 'NU');
INSERT INTO `subdivisions` VALUES ('2478', '0', '0', '0', 'EN', 'Phalombe', 'MW', 'PH');
INSERT INTO `subdivisions` VALUES ('2479', '0', '0', '0', 'EN', 'Rumphi', 'MW', 'RU');
INSERT INTO `subdivisions` VALUES ('2480', '0', '0', '0', 'EN', 'Salima', 'MW', 'SA');
INSERT INTO `subdivisions` VALUES ('2481', '0', '0', '0', 'EN', 'Thyolo', 'MW', 'TH');
INSERT INTO `subdivisions` VALUES ('2482', '0', '0', '0', 'EN', 'Zomba', 'MW', 'ZO');
INSERT INTO `subdivisions` VALUES ('2483', '0', '0', '0', 'EN', 'Central Region', 'MW', 'C');
INSERT INTO `subdivisions` VALUES ('2484', '0', '0', '0', 'EN', 'Northern Region', 'MW', 'N');
INSERT INTO `subdivisions` VALUES ('2485', '0', '0', '0', 'EN', 'Southern Region', 'MW', 'S');
INSERT INTO `subdivisions` VALUES ('2435', '0', '0', '0', 'EN', 'Alifu Dhaalu', 'MV', '00');
INSERT INTO `subdivisions` VALUES ('2436', '0', '0', '0', 'EN', 'Seenu', 'MV', '01');
INSERT INTO `subdivisions` VALUES ('2437', '0', '0', '0', 'EN', 'Alifu Alifu', 'MV', '02');
INSERT INTO `subdivisions` VALUES ('2438', '0', '0', '0', 'EN', 'Lhaviyani', 'MV', '03');
INSERT INTO `subdivisions` VALUES ('2439', '0', '0', '0', 'EN', 'Vaavu', 'MV', '04');
INSERT INTO `subdivisions` VALUES ('2440', '0', '0', '0', 'EN', 'Laamu', 'MV', '05');
INSERT INTO `subdivisions` VALUES ('2441', '0', '0', '0', 'EN', 'Haa Alifu', 'MV', '07');
INSERT INTO `subdivisions` VALUES ('2442', '0', '0', '0', 'EN', 'Thaa', 'MV', '08');
INSERT INTO `subdivisions` VALUES ('2443', '0', '0', '0', 'EN', 'Meemu', 'MV', '12');
INSERT INTO `subdivisions` VALUES ('2444', '0', '0', '0', 'EN', 'Raa', 'MV', '13');
INSERT INTO `subdivisions` VALUES ('2445', '0', '0', '0', 'EN', 'Faafu', 'MV', '14');
INSERT INTO `subdivisions` VALUES ('2446', '0', '0', '0', 'EN', 'Dhaalu', 'MV', '17');
INSERT INTO `subdivisions` VALUES ('2447', '0', '0', '0', 'EN', 'Baa', 'MV', '20');
INSERT INTO `subdivisions` VALUES ('2448', '0', '0', '0', 'EN', 'Haa Dhaalu', 'MV', '23');
INSERT INTO `subdivisions` VALUES ('2449', '0', '0', '0', 'EN', 'Shaviyani', 'MV', '24');
INSERT INTO `subdivisions` VALUES ('2450', '0', '0', '0', 'EN', 'Noonu', 'MV', '25');
INSERT INTO `subdivisions` VALUES ('2451', '0', '0', '0', 'EN', 'Kaafu', 'MV', '26');
INSERT INTO `subdivisions` VALUES ('2452', '0', '0', '0', 'EN', 'Gaafu Alifu', 'MV', '27');
INSERT INTO `subdivisions` VALUES ('2453', '0', '0', '0', 'EN', 'Gaafu Dhaalu', 'MV', '28');
INSERT INTO `subdivisions` VALUES ('2454', '0', '0', '0', 'EN', 'Gnaviyani', 'MV', '29');
INSERT INTO `subdivisions` VALUES ('2418', '0', '0', '0', 'EN', 'Agalega Islands', 'MU', 'AG');
INSERT INTO `subdivisions` VALUES ('2419', '0', '0', '0', 'EN', 'Black River', 'MU', 'BL');
INSERT INTO `subdivisions` VALUES ('2420', '0', '0', '0', 'EN', 'Beau Bassin-Rose Hill', 'MU', 'BR');
INSERT INTO `subdivisions` VALUES ('2421', '0', '0', '0', 'EN', 'Saint Brandon Islands', 'MU', 'CC');
INSERT INTO `subdivisions` VALUES ('2422', '0', '0', '0', 'EN', 'Curepipe', 'MU', 'CU');
INSERT INTO `subdivisions` VALUES ('2423', '0', '0', '0', 'EN', 'Flacq', 'MU', 'FL');
INSERT INTO `subdivisions` VALUES ('2424', '0', '0', '0', 'EN', 'Grand Port', 'MU', 'GP');
INSERT INTO `subdivisions` VALUES ('2425', '0', '0', '0', 'EN', 'Moka', 'MU', 'MO');
INSERT INTO `subdivisions` VALUES ('2426', '0', '0', '0', 'EN', 'Pamplemousses', 'MU', 'PA');
INSERT INTO `subdivisions` VALUES ('2427', '0', '0', '0', 'EN', 'Port Louis', 'MU', 'PL');
INSERT INTO `subdivisions` VALUES ('2428', '0', '0', '0', 'EN', 'Port Louis', 'MU', 'PU');
INSERT INTO `subdivisions` VALUES ('2429', '0', '0', '0', 'EN', 'Plaines Wilhems', 'MU', 'PW');
INSERT INTO `subdivisions` VALUES ('2430', '0', '0', '0', 'EN', 'Quatre Bornes', 'MU', 'QB');
INSERT INTO `subdivisions` VALUES ('2431', '0', '0', '0', 'EN', 'Rodrigues Island', 'MU', 'RO');
INSERT INTO `subdivisions` VALUES ('2432', '0', '0', '0', 'EN', 'Rivière du Rempart', 'MU', 'RR');
INSERT INTO `subdivisions` VALUES ('2433', '0', '0', '0', 'EN', 'Savanne', 'MU', 'SA');
INSERT INTO `subdivisions` VALUES ('2434', '0', '0', '0', 'EN', 'Vacoas-Phoenix', 'MU', 'VP');
INSERT INTO `subdivisions` VALUES ('2350', '0', '0', '0', 'EN', 'Attard', 'MT', '01');
INSERT INTO `subdivisions` VALUES ('2351', '0', '0', '0', 'EN', 'Balzan', 'MT', '02');
INSERT INTO `subdivisions` VALUES ('2352', '0', '0', '0', 'EN', 'Birgu', 'MT', '03');
INSERT INTO `subdivisions` VALUES ('2353', '0', '0', '0', 'EN', 'Birkirkara', 'MT', '04');
INSERT INTO `subdivisions` VALUES ('2354', '0', '0', '0', 'EN', 'Birżebbuġa', 'MT', '05');
INSERT INTO `subdivisions` VALUES ('2355', '0', '0', '0', 'EN', 'Bormla', 'MT', '06');
INSERT INTO `subdivisions` VALUES ('2356', '0', '0', '0', 'EN', 'Dingli', 'MT', '07');
INSERT INTO `subdivisions` VALUES ('2357', '0', '0', '0', 'EN', 'Fgura', 'MT', '08');
INSERT INTO `subdivisions` VALUES ('2358', '0', '0', '0', 'EN', 'Floriana', 'MT', '09');
INSERT INTO `subdivisions` VALUES ('2359', '0', '0', '0', 'EN', 'Fontana', 'MT', '10');
INSERT INTO `subdivisions` VALUES ('2360', '0', '0', '0', 'EN', 'Gudja', 'MT', '11');
INSERT INTO `subdivisions` VALUES ('2361', '0', '0', '0', 'EN', 'Gżira', 'MT', '12');
INSERT INTO `subdivisions` VALUES ('2362', '0', '0', '0', 'EN', 'Għajnsielem', 'MT', '13');
INSERT INTO `subdivisions` VALUES ('2363', '0', '0', '0', 'EN', 'Għarb', 'MT', '14');
INSERT INTO `subdivisions` VALUES ('2364', '0', '0', '0', 'EN', 'Għargħur', 'MT', '15');
INSERT INTO `subdivisions` VALUES ('2365', '0', '0', '0', 'EN', 'Għasri', 'MT', '16');
INSERT INTO `subdivisions` VALUES ('2366', '0', '0', '0', 'EN', 'Għaxaq', 'MT', '17');
INSERT INTO `subdivisions` VALUES ('2367', '0', '0', '0', 'EN', 'Ħamrun', 'MT', '18');
INSERT INTO `subdivisions` VALUES ('2368', '0', '0', '0', 'EN', 'Iklin', 'MT', '19');
INSERT INTO `subdivisions` VALUES ('2369', '0', '0', '0', 'EN', 'Isla', 'MT', '20');
INSERT INTO `subdivisions` VALUES ('2370', '0', '0', '0', 'EN', 'Kalkara', 'MT', '21');
INSERT INTO `subdivisions` VALUES ('2371', '0', '0', '0', 'EN', 'Kerċem', 'MT', '22');
INSERT INTO `subdivisions` VALUES ('2372', '0', '0', '0', 'EN', 'Kirkop', 'MT', '23');
INSERT INTO `subdivisions` VALUES ('2373', '0', '0', '0', 'EN', 'Lija', 'MT', '24');
INSERT INTO `subdivisions` VALUES ('2374', '0', '0', '0', 'EN', 'Luqa', 'MT', '25');
INSERT INTO `subdivisions` VALUES ('2375', '0', '0', '0', 'EN', 'Marsa', 'MT', '26');
INSERT INTO `subdivisions` VALUES ('2376', '0', '0', '0', 'EN', 'Marsaskala', 'MT', '27');
INSERT INTO `subdivisions` VALUES ('2377', '0', '0', '0', 'EN', 'Marsaxlokk', 'MT', '28');
INSERT INTO `subdivisions` VALUES ('2378', '0', '0', '0', 'EN', 'Mdina', 'MT', '29');
INSERT INTO `subdivisions` VALUES ('2379', '0', '0', '0', 'EN', 'Mellieħa', 'MT', '30');
INSERT INTO `subdivisions` VALUES ('2380', '0', '0', '0', 'EN', 'Mġarr', 'MT', '31');
INSERT INTO `subdivisions` VALUES ('2381', '0', '0', '0', 'EN', 'Mosta', 'MT', '32');
INSERT INTO `subdivisions` VALUES ('2382', '0', '0', '0', 'EN', 'Mqabba', 'MT', '33');
INSERT INTO `subdivisions` VALUES ('2383', '0', '0', '0', 'EN', 'Msida', 'MT', '34');
INSERT INTO `subdivisions` VALUES ('2384', '0', '0', '0', 'EN', 'Mtarfa', 'MT', '35');
INSERT INTO `subdivisions` VALUES ('2385', '0', '0', '0', 'EN', 'Munxar', 'MT', '36');
INSERT INTO `subdivisions` VALUES ('2386', '0', '0', '0', 'EN', 'Nadur', 'MT', '37');
INSERT INTO `subdivisions` VALUES ('2387', '0', '0', '0', 'EN', 'Naxxar', 'MT', '38');
INSERT INTO `subdivisions` VALUES ('2388', '0', '0', '0', 'EN', 'Paola', 'MT', '39');
INSERT INTO `subdivisions` VALUES ('2389', '0', '0', '0', 'EN', 'Pembroke', 'MT', '40');
INSERT INTO `subdivisions` VALUES ('2390', '0', '0', '0', 'EN', 'Pietà', 'MT', '41');
INSERT INTO `subdivisions` VALUES ('2391', '0', '0', '0', 'EN', 'Qala', 'MT', '42');
INSERT INTO `subdivisions` VALUES ('2392', '0', '0', '0', 'EN', 'Qormi', 'MT', '43');
INSERT INTO `subdivisions` VALUES ('2393', '0', '0', '0', 'EN', 'Qrendi', 'MT', '44');
INSERT INTO `subdivisions` VALUES ('2394', '0', '0', '0', 'EN', 'Rabat Gozo', 'MT', '45');
INSERT INTO `subdivisions` VALUES ('2395', '0', '0', '0', 'EN', 'Rabat Malta', 'MT', '46');
INSERT INTO `subdivisions` VALUES ('2396', '0', '0', '0', 'EN', 'Safi', 'MT', '47');
INSERT INTO `subdivisions` VALUES ('2397', '0', '0', '0', 'EN', 'Saint Julian\'s', 'MT', '48');
INSERT INTO `subdivisions` VALUES ('2398', '0', '0', '0', 'EN', 'Saint John', 'MT', '49');
INSERT INTO `subdivisions` VALUES ('2399', '0', '0', '0', 'EN', 'Saint Lawrence', 'MT', '50');
INSERT INTO `subdivisions` VALUES ('2400', '0', '0', '0', 'EN', 'Saint Paul\'s Bay', 'MT', '51');
INSERT INTO `subdivisions` VALUES ('2401', '0', '0', '0', 'EN', 'Sannat', 'MT', '52');
INSERT INTO `subdivisions` VALUES ('2402', '0', '0', '0', 'EN', 'Saint Lucia\'s', 'MT', '53');
INSERT INTO `subdivisions` VALUES ('2403', '0', '0', '0', 'EN', 'Santa Venera', 'MT', '54');
INSERT INTO `subdivisions` VALUES ('2404', '0', '0', '0', 'EN', 'Siġġiewi', 'MT', '55');
INSERT INTO `subdivisions` VALUES ('2405', '0', '0', '0', 'EN', 'Sliema', 'MT', '56');
INSERT INTO `subdivisions` VALUES ('2406', '0', '0', '0', 'EN', 'Swieqi', 'MT', '57');
INSERT INTO `subdivisions` VALUES ('2407', '0', '0', '0', 'EN', 'Ta\' Xbiex', 'MT', '58');
INSERT INTO `subdivisions` VALUES ('2408', '0', '0', '0', 'EN', 'Tarxien', 'MT', '59');
INSERT INTO `subdivisions` VALUES ('2409', '0', '0', '0', 'EN', 'Valletta', 'MT', '60');
INSERT INTO `subdivisions` VALUES ('2410', '0', '0', '0', 'EN', 'Xagħra', 'MT', '61');
INSERT INTO `subdivisions` VALUES ('2411', '0', '0', '0', 'EN', 'Xewkija', 'MT', '62');
INSERT INTO `subdivisions` VALUES ('2412', '0', '0', '0', 'EN', 'Xgħajra', 'MT', '63');
INSERT INTO `subdivisions` VALUES ('2413', '0', '0', '0', 'EN', 'Żabbar', 'MT', '64');
INSERT INTO `subdivisions` VALUES ('2414', '0', '0', '0', 'EN', 'Żebbuġ Gozo', 'MT', '65');
INSERT INTO `subdivisions` VALUES ('2415', '0', '0', '0', 'EN', 'Żebbuġ Malta', 'MT', '66');
INSERT INTO `subdivisions` VALUES ('2416', '0', '0', '0', 'EN', 'Żejtun', 'MT', '67');
INSERT INTO `subdivisions` VALUES ('2417', '0', '0', '0', 'EN', 'Żurrieq', 'MT', '68');
INSERT INTO `subdivisions` VALUES ('2337', '0', '0', '0', 'EN', 'Hodh ech Chargui', 'MR', '01');
INSERT INTO `subdivisions` VALUES ('2338', '0', '0', '0', 'EN', 'Hodh el Gharbi', 'MR', '02');
INSERT INTO `subdivisions` VALUES ('2339', '0', '0', '0', 'EN', 'Assaba', 'MR', '03');
INSERT INTO `subdivisions` VALUES ('2340', '0', '0', '0', 'EN', 'Gorgol', 'MR', '04');
INSERT INTO `subdivisions` VALUES ('2341', '0', '0', '0', 'EN', 'Brakna', 'MR', '05');
INSERT INTO `subdivisions` VALUES ('2342', '0', '0', '0', 'EN', 'Trarza', 'MR', '06');
INSERT INTO `subdivisions` VALUES ('2343', '0', '0', '0', 'EN', 'Adrar', 'MR', '07');
INSERT INTO `subdivisions` VALUES ('2344', '0', '0', '0', 'EN', 'Dakhlet Nouâdhibou', 'MR', '08');
INSERT INTO `subdivisions` VALUES ('2345', '0', '0', '0', 'EN', 'Tagant', 'MR', '09');
INSERT INTO `subdivisions` VALUES ('2346', '0', '0', '0', 'EN', 'Guidimaka', 'MR', '10');
INSERT INTO `subdivisions` VALUES ('2347', '0', '0', '0', 'EN', 'Tiris Zemmour', 'MR', '11');
INSERT INTO `subdivisions` VALUES ('2348', '0', '0', '0', 'EN', 'Inchiri', 'MR', '12');
INSERT INTO `subdivisions` VALUES ('2349', '0', '0', '0', 'EN', 'Nouakchott', 'MR', 'NKC');
INSERT INTO `subdivisions` VALUES ('2315', '0', '0', '0', 'EN', 'Ulaanbaatar', 'MN', '1');
INSERT INTO `subdivisions` VALUES ('2316', '0', '0', '0', 'EN', 'Orhon', 'MN', '035');
INSERT INTO `subdivisions` VALUES ('2317', '0', '0', '0', 'EN', 'Darhan uul', 'MN', '037');
INSERT INTO `subdivisions` VALUES ('2318', '0', '0', '0', 'EN', 'Hentiy', 'MN', '039');
INSERT INTO `subdivisions` VALUES ('2319', '0', '0', '0', 'EN', 'Hövsgöl', 'MN', '041');
INSERT INTO `subdivisions` VALUES ('2320', '0', '0', '0', 'EN', 'Hovd', 'MN', '043');
INSERT INTO `subdivisions` VALUES ('2321', '0', '0', '0', 'EN', 'Uvs', 'MN', '046');
INSERT INTO `subdivisions` VALUES ('2322', '0', '0', '0', 'EN', 'Töv', 'MN', '047');
INSERT INTO `subdivisions` VALUES ('2323', '0', '0', '0', 'EN', 'Selenge', 'MN', '049');
INSERT INTO `subdivisions` VALUES ('2324', '0', '0', '0', 'EN', 'Sühbaatar', 'MN', '051');
INSERT INTO `subdivisions` VALUES ('2325', '0', '0', '0', 'EN', 'Ömnögovĭ', 'MN', '053');
INSERT INTO `subdivisions` VALUES ('2326', '0', '0', '0', 'EN', 'Övörhangay', 'MN', '055');
INSERT INTO `subdivisions` VALUES ('2327', '0', '0', '0', 'EN', 'Dzavhan', 'MN', '057');
INSERT INTO `subdivisions` VALUES ('2328', '0', '0', '0', 'EN', 'Dundgovĭ', 'MN', '059');
INSERT INTO `subdivisions` VALUES ('2329', '0', '0', '0', 'EN', 'Dornod', 'MN', '061');
INSERT INTO `subdivisions` VALUES ('2330', '0', '0', '0', 'EN', 'Dornogovĭ', 'MN', '063');
INSERT INTO `subdivisions` VALUES ('2331', '0', '0', '0', 'EN', 'Govĭ-Sümber', 'MN', '064');
INSERT INTO `subdivisions` VALUES ('2332', '0', '0', '0', 'EN', 'Govĭ-Altay', 'MN', '065');
INSERT INTO `subdivisions` VALUES ('2333', '0', '0', '0', 'EN', 'Bulgan', 'MN', '067');
INSERT INTO `subdivisions` VALUES ('2334', '0', '0', '0', 'EN', 'Bayanhongor', 'MN', '069');
INSERT INTO `subdivisions` VALUES ('2335', '0', '0', '0', 'EN', 'Bayan-Ölgiy', 'MN', '071');
INSERT INTO `subdivisions` VALUES ('2336', '0', '0', '0', 'EN', 'Arhangay', 'MN', '073');
INSERT INTO `subdivisions` VALUES ('2301', '0', '0', '0', 'EN', 'Sagaing', 'MM', '01');
INSERT INTO `subdivisions` VALUES ('2302', '0', '0', '0', 'EN', 'Bago', 'MM', '02');
INSERT INTO `subdivisions` VALUES ('2303', '0', '0', '0', 'EN', 'Magway', 'MM', '03');
INSERT INTO `subdivisions` VALUES ('2304', '0', '0', '0', 'EN', 'Mandalay', 'MM', '04');
INSERT INTO `subdivisions` VALUES ('2305', '0', '0', '0', 'EN', 'Tanintharyi', 'MM', '05');
INSERT INTO `subdivisions` VALUES ('2306', '0', '0', '0', 'EN', 'Yangon', 'MM', '06');
INSERT INTO `subdivisions` VALUES ('2307', '0', '0', '0', 'EN', 'Ayeyarwady', 'MM', '07');
INSERT INTO `subdivisions` VALUES ('2308', '0', '0', '0', 'EN', 'Kachin', 'MM', '11');
INSERT INTO `subdivisions` VALUES ('2309', '0', '0', '0', 'EN', 'Kayah', 'MM', '12');
INSERT INTO `subdivisions` VALUES ('2310', '0', '0', '0', 'EN', 'Kayin', 'MM', '13');
INSERT INTO `subdivisions` VALUES ('2311', '0', '0', '0', 'EN', 'Chin', 'MM', '14');
INSERT INTO `subdivisions` VALUES ('2312', '0', '0', '0', 'EN', 'Mon', 'MM', '15');
INSERT INTO `subdivisions` VALUES ('2313', '0', '0', '0', 'EN', 'Rakhine', 'MM', '16');
INSERT INTO `subdivisions` VALUES ('2314', '0', '0', '0', 'EN', 'Shan', 'MM', '17');
INSERT INTO `subdivisions` VALUES ('2292', '0', '0', '0', 'EN', 'Kayes', 'ML', '1');
INSERT INTO `subdivisions` VALUES ('2293', '0', '0', '0', 'EN', 'Koulikoro', 'ML', '2');
INSERT INTO `subdivisions` VALUES ('2294', '0', '0', '0', 'EN', 'Sikasso', 'ML', '3');
INSERT INTO `subdivisions` VALUES ('2295', '0', '0', '0', 'EN', 'Ségou', 'ML', '4');
INSERT INTO `subdivisions` VALUES ('2296', '0', '0', '0', 'EN', 'Mopti', 'ML', '5');
INSERT INTO `subdivisions` VALUES ('2297', '0', '0', '0', 'EN', 'Tombouctou', 'ML', '6');
INSERT INTO `subdivisions` VALUES ('2298', '0', '0', '0', 'EN', 'Gao', 'ML', '7');
INSERT INTO `subdivisions` VALUES ('2299', '0', '0', '0', 'EN', 'Kidal', 'ML', '8');
INSERT INTO `subdivisions` VALUES ('2300', '0', '0', '0', 'EN', 'Bamako', 'ML', 'BKO');
INSERT INTO `subdivisions` VALUES ('2208', '0', '0', '0', 'EN', 'Aerodrom', 'MK', '01');
INSERT INTO `subdivisions` VALUES ('2209', '0', '0', '0', 'EN', 'Aračinovo', 'MK', '02');
INSERT INTO `subdivisions` VALUES ('2210', '0', '0', '0', 'EN', 'Berovo', 'MK', '03');
INSERT INTO `subdivisions` VALUES ('2211', '0', '0', '0', 'EN', 'Bitola', 'MK', '04');
INSERT INTO `subdivisions` VALUES ('2212', '0', '0', '0', 'EN', 'Bogdanci', 'MK', '05');
INSERT INTO `subdivisions` VALUES ('2213', '0', '0', '0', 'EN', 'Bogovinje', 'MK', '06');
INSERT INTO `subdivisions` VALUES ('2214', '0', '0', '0', 'EN', 'Bosilovo', 'MK', '07');
INSERT INTO `subdivisions` VALUES ('2215', '0', '0', '0', 'EN', 'Brvenica', 'MK', '08');
INSERT INTO `subdivisions` VALUES ('2216', '0', '0', '0', 'EN', 'Butel', 'MK', '09');
INSERT INTO `subdivisions` VALUES ('2217', '0', '0', '0', 'EN', 'Valandovo', 'MK', '10');
INSERT INTO `subdivisions` VALUES ('2218', '0', '0', '0', 'EN', 'Vasilevo', 'MK', '11');
INSERT INTO `subdivisions` VALUES ('2219', '0', '0', '0', 'EN', 'Vevčani', 'MK', '12');
INSERT INTO `subdivisions` VALUES ('2220', '0', '0', '0', 'EN', 'Veles', 'MK', '13');
INSERT INTO `subdivisions` VALUES ('2221', '0', '0', '0', 'EN', 'Vinica', 'MK', '14');
INSERT INTO `subdivisions` VALUES ('2222', '0', '0', '0', 'EN', 'Vraneštica', 'MK', '15');
INSERT INTO `subdivisions` VALUES ('2223', '0', '0', '0', 'EN', 'Vrapčište', 'MK', '16');
INSERT INTO `subdivisions` VALUES ('2224', '0', '0', '0', 'EN', 'Gazi Baba', 'MK', '17');
INSERT INTO `subdivisions` VALUES ('2225', '0', '0', '0', 'EN', 'Gevgelija', 'MK', '18');
INSERT INTO `subdivisions` VALUES ('2226', '0', '0', '0', 'EN', 'Gostivar', 'MK', '19');
INSERT INTO `subdivisions` VALUES ('2227', '0', '0', '0', 'EN', 'Gradsko', 'MK', '20');
INSERT INTO `subdivisions` VALUES ('2228', '0', '0', '0', 'EN', 'Debar', 'MK', '21');
INSERT INTO `subdivisions` VALUES ('2229', '0', '0', '0', 'EN', 'Debarca', 'MK', '22');
INSERT INTO `subdivisions` VALUES ('2230', '0', '0', '0', 'EN', 'Delčevo', 'MK', '23');
INSERT INTO `subdivisions` VALUES ('2231', '0', '0', '0', 'EN', 'Demir Kapija', 'MK', '24');
INSERT INTO `subdivisions` VALUES ('2232', '0', '0', '0', 'EN', 'Demir Hisar', 'MK', '25');
INSERT INTO `subdivisions` VALUES ('2233', '0', '0', '0', 'EN', 'Dojran', 'MK', '26');
INSERT INTO `subdivisions` VALUES ('2234', '0', '0', '0', 'EN', 'Dolneni', 'MK', '27');
INSERT INTO `subdivisions` VALUES ('2235', '0', '0', '0', 'EN', 'Drugovo', 'MK', '28');
INSERT INTO `subdivisions` VALUES ('2236', '0', '0', '0', 'EN', 'Gjorče Petrov', 'MK', '29');
INSERT INTO `subdivisions` VALUES ('2237', '0', '0', '0', 'EN', 'Želino', 'MK', '30');
INSERT INTO `subdivisions` VALUES ('2238', '0', '0', '0', 'EN', 'Zajas', 'MK', '31');
INSERT INTO `subdivisions` VALUES ('2239', '0', '0', '0', 'EN', 'Zelenikovo', 'MK', '32');
INSERT INTO `subdivisions` VALUES ('2240', '0', '0', '0', 'EN', 'Zrnovci', 'MK', '33');
INSERT INTO `subdivisions` VALUES ('2241', '0', '0', '0', 'EN', 'Ilinden', 'MK', '34');
INSERT INTO `subdivisions` VALUES ('2242', '0', '0', '0', 'EN', 'Jegunovce', 'MK', '35');
INSERT INTO `subdivisions` VALUES ('2243', '0', '0', '0', 'EN', 'Kavadarci', 'MK', '36');
INSERT INTO `subdivisions` VALUES ('2244', '0', '0', '0', 'EN', 'Karbinci', 'MK', '37');
INSERT INTO `subdivisions` VALUES ('2245', '0', '0', '0', 'EN', 'Karpoš', 'MK', '38');
INSERT INTO `subdivisions` VALUES ('2246', '0', '0', '0', 'EN', 'Kisela Voda', 'MK', '39');
INSERT INTO `subdivisions` VALUES ('2247', '0', '0', '0', 'EN', 'Kičevo', 'MK', '40');
INSERT INTO `subdivisions` VALUES ('2248', '0', '0', '0', 'EN', 'Konče', 'MK', '41');
INSERT INTO `subdivisions` VALUES ('2249', '0', '0', '0', 'EN', 'Kočani', 'MK', '42');
INSERT INTO `subdivisions` VALUES ('2250', '0', '0', '0', 'EN', 'Kratovo', 'MK', '43');
INSERT INTO `subdivisions` VALUES ('2251', '0', '0', '0', 'EN', 'Kriva Palanka', 'MK', '44');
INSERT INTO `subdivisions` VALUES ('2252', '0', '0', '0', 'EN', 'Krivogaštani', 'MK', '45');
INSERT INTO `subdivisions` VALUES ('2253', '0', '0', '0', 'EN', 'Kruševo', 'MK', '46');
INSERT INTO `subdivisions` VALUES ('2254', '0', '0', '0', 'EN', 'Kumanovo', 'MK', '47');
INSERT INTO `subdivisions` VALUES ('2255', '0', '0', '0', 'EN', 'Lipkovo', 'MK', '48');
INSERT INTO `subdivisions` VALUES ('2256', '0', '0', '0', 'EN', 'Lozovo', 'MK', '49');
INSERT INTO `subdivisions` VALUES ('2257', '0', '0', '0', 'EN', 'Mavrovo i Rostuša', 'MK', '50');
INSERT INTO `subdivisions` VALUES ('2258', '0', '0', '0', 'EN', 'Makedonska Kamenica', 'MK', '51');
INSERT INTO `subdivisions` VALUES ('2259', '0', '0', '0', 'EN', 'Makedonski Brod', 'MK', '52');
INSERT INTO `subdivisions` VALUES ('2260', '0', '0', '0', 'EN', 'Mogila', 'MK', '53');
INSERT INTO `subdivisions` VALUES ('2261', '0', '0', '0', 'EN', 'Negotino', 'MK', '54');
INSERT INTO `subdivisions` VALUES ('2262', '0', '0', '0', 'EN', 'Novaci', 'MK', '55');
INSERT INTO `subdivisions` VALUES ('2263', '0', '0', '0', 'EN', 'Novo Selo', 'MK', '56');
INSERT INTO `subdivisions` VALUES ('2264', '0', '0', '0', 'EN', 'Oslomej', 'MK', '57');
INSERT INTO `subdivisions` VALUES ('2265', '0', '0', '0', 'EN', 'Ohrid', 'MK', '58');
INSERT INTO `subdivisions` VALUES ('2266', '0', '0', '0', 'EN', 'Petrovec', 'MK', '59');
INSERT INTO `subdivisions` VALUES ('2267', '0', '0', '0', 'EN', 'Pehčevo', 'MK', '60');
INSERT INTO `subdivisions` VALUES ('2268', '0', '0', '0', 'EN', 'Plasnica', 'MK', '61');
INSERT INTO `subdivisions` VALUES ('2269', '0', '0', '0', 'EN', 'Prilep', 'MK', '62');
INSERT INTO `subdivisions` VALUES ('2270', '0', '0', '0', 'EN', 'Probištip', 'MK', '63');
INSERT INTO `subdivisions` VALUES ('2271', '0', '0', '0', 'EN', 'Radoviš', 'MK', '64');
INSERT INTO `subdivisions` VALUES ('2272', '0', '0', '0', 'EN', 'Rankovce', 'MK', '65');
INSERT INTO `subdivisions` VALUES ('2273', '0', '0', '0', 'EN', 'Resen', 'MK', '66');
INSERT INTO `subdivisions` VALUES ('2274', '0', '0', '0', 'EN', 'Rosoman', 'MK', '67');
INSERT INTO `subdivisions` VALUES ('2275', '0', '0', '0', 'EN', 'Saraj', 'MK', '68');
INSERT INTO `subdivisions` VALUES ('2276', '0', '0', '0', 'EN', 'Sveti Nikole', 'MK', '69');
INSERT INTO `subdivisions` VALUES ('2277', '0', '0', '0', 'EN', 'Sopište', 'MK', '70');
INSERT INTO `subdivisions` VALUES ('2278', '0', '0', '0', 'EN', 'Staro Nagoričane', 'MK', '71');
INSERT INTO `subdivisions` VALUES ('2279', '0', '0', '0', 'EN', 'Struga', 'MK', '72');
INSERT INTO `subdivisions` VALUES ('2280', '0', '0', '0', 'EN', 'Strumica', 'MK', '73');
INSERT INTO `subdivisions` VALUES ('2281', '0', '0', '0', 'EN', 'Studeničani', 'MK', '74');
INSERT INTO `subdivisions` VALUES ('2282', '0', '0', '0', 'EN', 'Tearce', 'MK', '75');
INSERT INTO `subdivisions` VALUES ('2283', '0', '0', '0', 'EN', 'Tetovo', 'MK', '76');
INSERT INTO `subdivisions` VALUES ('2284', '0', '0', '0', 'EN', 'Centar', 'MK', '77');
INSERT INTO `subdivisions` VALUES ('2285', '0', '0', '0', 'EN', 'Centar Župa', 'MK', '78');
INSERT INTO `subdivisions` VALUES ('2286', '0', '0', '0', 'EN', 'Čair', 'MK', '79');
INSERT INTO `subdivisions` VALUES ('2287', '0', '0', '0', 'EN', 'Čaška', 'MK', '80');
INSERT INTO `subdivisions` VALUES ('2288', '0', '0', '0', 'EN', 'Češinovo-Obleševo', 'MK', '81');
INSERT INTO `subdivisions` VALUES ('2289', '0', '0', '0', 'EN', 'Čučer Sandevo', 'MK', '82');
INSERT INTO `subdivisions` VALUES ('2290', '0', '0', '0', 'EN', 'Štip', 'MK', '83');
INSERT INTO `subdivisions` VALUES ('2291', '0', '0', '0', 'EN', 'Šuto Orizari', 'MK', '84');
INSERT INTO `subdivisions` VALUES ('2184', '0', '0', '0', 'EN', 'Ailuk', 'MH', 'ALK');
INSERT INTO `subdivisions` VALUES ('2185', '0', '0', '0', 'EN', 'Ailinglaplap', 'MH', 'ALL');
INSERT INTO `subdivisions` VALUES ('2186', '0', '0', '0', 'EN', 'Arno', 'MH', 'ARN');
INSERT INTO `subdivisions` VALUES ('2187', '0', '0', '0', 'EN', 'Aur', 'MH', 'AUR');
INSERT INTO `subdivisions` VALUES ('2188', '0', '0', '0', 'EN', 'Ebon', 'MH', 'EBO');
INSERT INTO `subdivisions` VALUES ('2189', '0', '0', '0', 'EN', 'Enewetak', 'MH', 'ENI');
INSERT INTO `subdivisions` VALUES ('2190', '0', '0', '0', 'EN', 'Jabat', 'MH', 'JAB');
INSERT INTO `subdivisions` VALUES ('2191', '0', '0', '0', 'EN', 'Jaluit', 'MH', 'JAL');
INSERT INTO `subdivisions` VALUES ('2192', '0', '0', '0', 'EN', 'Kili', 'MH', 'KIL');
INSERT INTO `subdivisions` VALUES ('2193', '0', '0', '0', 'EN', 'Kwajalein', 'MH', 'KWA');
INSERT INTO `subdivisions` VALUES ('2194', '0', '0', '0', 'EN', 'Lae', 'MH', 'LAE');
INSERT INTO `subdivisions` VALUES ('2195', '0', '0', '0', 'EN', 'Lib', 'MH', 'LIB');
INSERT INTO `subdivisions` VALUES ('2196', '0', '0', '0', 'EN', 'Likiep', 'MH', 'LIK');
INSERT INTO `subdivisions` VALUES ('2197', '0', '0', '0', 'EN', 'Majuro', 'MH', 'MAJ');
INSERT INTO `subdivisions` VALUES ('2198', '0', '0', '0', 'EN', 'Maloelap', 'MH', 'MAL');
INSERT INTO `subdivisions` VALUES ('2199', '0', '0', '0', 'EN', 'Mejit', 'MH', 'MEJ');
INSERT INTO `subdivisions` VALUES ('2200', '0', '0', '0', 'EN', 'Mili', 'MH', 'MIL');
INSERT INTO `subdivisions` VALUES ('2201', '0', '0', '0', 'EN', 'Namdrik', 'MH', 'NMK');
INSERT INTO `subdivisions` VALUES ('2202', '0', '0', '0', 'EN', 'Namu', 'MH', 'NMU');
INSERT INTO `subdivisions` VALUES ('2203', '0', '0', '0', 'EN', 'Rongelap', 'MH', 'RON');
INSERT INTO `subdivisions` VALUES ('2204', '0', '0', '0', 'EN', 'Ujae', 'MH', 'UJA');
INSERT INTO `subdivisions` VALUES ('2205', '0', '0', '0', 'EN', 'Utirik', 'MH', 'UTI');
INSERT INTO `subdivisions` VALUES ('2206', '0', '0', '0', 'EN', 'Wotho', 'MH', 'WTH');
INSERT INTO `subdivisions` VALUES ('2207', '0', '0', '0', 'EN', 'Wotje', 'MH', 'WTJ');
INSERT INTO `subdivisions` VALUES ('2178', '0', '0', '0', 'EN', 'Toamasina', 'MG', 'A');
INSERT INTO `subdivisions` VALUES ('2179', '0', '0', '0', 'EN', 'Antsiranana', 'MG', 'D');
INSERT INTO `subdivisions` VALUES ('2180', '0', '0', '0', 'EN', 'Fianarantsoa', 'MG', 'F');
INSERT INTO `subdivisions` VALUES ('2181', '0', '0', '0', 'EN', 'Mahajanga', 'MG', 'M');
INSERT INTO `subdivisions` VALUES ('2182', '0', '0', '0', 'EN', 'Antananarivo', 'MG', 'T');
INSERT INTO `subdivisions` VALUES ('2183', '0', '0', '0', 'EN', 'Toliara', 'MG', 'U');
INSERT INTO `subdivisions` VALUES ('2157', '0', '0', '0', 'EN', 'Andrijevica', 'ME', '01');
INSERT INTO `subdivisions` VALUES ('2158', '0', '0', '0', 'EN', 'Bar', 'ME', '02');
INSERT INTO `subdivisions` VALUES ('2159', '0', '0', '0', 'EN', 'Berane', 'ME', '03');
INSERT INTO `subdivisions` VALUES ('2160', '0', '0', '0', 'EN', 'Bijelo Polje', 'ME', '04');
INSERT INTO `subdivisions` VALUES ('2161', '0', '0', '0', 'EN', 'Budva', 'ME', '05');
INSERT INTO `subdivisions` VALUES ('2162', '0', '0', '0', 'EN', 'Cetinje', 'ME', '06');
INSERT INTO `subdivisions` VALUES ('2163', '0', '0', '0', 'EN', 'Danilovgrad', 'ME', '07');
INSERT INTO `subdivisions` VALUES ('2164', '0', '0', '0', 'EN', 'Herceg-Novi', 'ME', '08');
INSERT INTO `subdivisions` VALUES ('2165', '0', '0', '0', 'EN', 'Kolašin', 'ME', '09');
INSERT INTO `subdivisions` VALUES ('2166', '0', '0', '0', 'EN', 'Kotor', 'ME', '10');
INSERT INTO `subdivisions` VALUES ('2167', '0', '0', '0', 'EN', 'Mojkovac', 'ME', '11');
INSERT INTO `subdivisions` VALUES ('2168', '0', '0', '0', 'EN', 'Nikšić', 'ME', '12');
INSERT INTO `subdivisions` VALUES ('2169', '0', '0', '0', 'EN', 'Plav', 'ME', '13');
INSERT INTO `subdivisions` VALUES ('2170', '0', '0', '0', 'EN', 'Pljevlja', 'ME', '14');
INSERT INTO `subdivisions` VALUES ('2171', '0', '0', '0', 'EN', 'Plužine', 'ME', '15');
INSERT INTO `subdivisions` VALUES ('2172', '0', '0', '0', 'EN', 'Podgorica', 'ME', '16');
INSERT INTO `subdivisions` VALUES ('2173', '0', '0', '0', 'EN', 'Rožaje', 'ME', '17');
INSERT INTO `subdivisions` VALUES ('2174', '0', '0', '0', 'EN', 'Šavnik', 'ME', '18');
INSERT INTO `subdivisions` VALUES ('2175', '0', '0', '0', 'EN', 'Tivat', 'ME', '19');
INSERT INTO `subdivisions` VALUES ('2176', '0', '0', '0', 'EN', 'Ulcinj', 'ME', '20');
INSERT INTO `subdivisions` VALUES ('2177', '0', '0', '0', 'EN', 'Žabljak', 'ME', '21');
INSERT INTO `subdivisions` VALUES ('2120', '0', '0', '0', 'EN', 'Anenii Noi', 'MD', 'AN');
INSERT INTO `subdivisions` VALUES ('2121', '0', '0', '0', 'EN', 'Bălţi', 'MD', 'BA');
INSERT INTO `subdivisions` VALUES ('2122', '0', '0', '0', 'EN', 'Tighina', 'MD', 'BD');
INSERT INTO `subdivisions` VALUES ('2123', '0', '0', '0', 'EN', 'Briceni', 'MD', 'BR');
INSERT INTO `subdivisions` VALUES ('2124', '0', '0', '0', 'EN', 'Basarabeasca', 'MD', 'BS');
INSERT INTO `subdivisions` VALUES ('2125', '0', '0', '0', 'EN', 'Cahul', 'MD', 'CA');
INSERT INTO `subdivisions` VALUES ('2126', '0', '0', '0', 'EN', 'Călăraşi', 'MD', 'CL');
INSERT INTO `subdivisions` VALUES ('2127', '0', '0', '0', 'EN', 'Cimişlia', 'MD', 'CM');
INSERT INTO `subdivisions` VALUES ('2128', '0', '0', '0', 'EN', 'Criuleni', 'MD', 'CR');
INSERT INTO `subdivisions` VALUES ('2129', '0', '0', '0', 'EN', 'Căuşeni', 'MD', 'CS');
INSERT INTO `subdivisions` VALUES ('2130', '0', '0', '0', 'EN', 'Cantemir', 'MD', 'CT');
INSERT INTO `subdivisions` VALUES ('2131', '0', '0', '0', 'EN', 'Chişinău', 'MD', 'CU');
INSERT INTO `subdivisions` VALUES ('2132', '0', '0', '0', 'EN', 'Donduşeni', 'MD', 'DO');
INSERT INTO `subdivisions` VALUES ('2133', '0', '0', '0', 'EN', 'Drochia', 'MD', 'DR');
INSERT INTO `subdivisions` VALUES ('2134', '0', '0', '0', 'EN', 'Dubăsari', 'MD', 'DU');
INSERT INTO `subdivisions` VALUES ('2135', '0', '0', '0', 'EN', 'Edineţ', 'MD', 'ED');
INSERT INTO `subdivisions` VALUES ('2136', '0', '0', '0', 'EN', 'Făleşti', 'MD', 'FA');
INSERT INTO `subdivisions` VALUES ('2137', '0', '0', '0', 'EN', 'Floreşti', 'MD', 'FL');
INSERT INTO `subdivisions` VALUES ('2138', '0', '0', '0', 'EN', 'Găgăuzia, Unitatea teritorială autonomă (UTAG)', 'MD', 'GA');
INSERT INTO `subdivisions` VALUES ('2139', '0', '0', '0', 'EN', 'Glodeni', 'MD', 'GL');
INSERT INTO `subdivisions` VALUES ('2140', '0', '0', '0', 'EN', 'Hînceşti', 'MD', 'HI');
INSERT INTO `subdivisions` VALUES ('2141', '0', '0', '0', 'EN', 'Ialoveni', 'MD', 'IA');
INSERT INTO `subdivisions` VALUES ('2142', '0', '0', '0', 'EN', 'Leova', 'MD', 'LE');
INSERT INTO `subdivisions` VALUES ('2143', '0', '0', '0', 'EN', 'Nisporeni', 'MD', 'NI');
INSERT INTO `subdivisions` VALUES ('2144', '0', '0', '0', 'EN', 'Ocniţa', 'MD', 'OC');
INSERT INTO `subdivisions` VALUES ('2145', '0', '0', '0', 'EN', 'Orhei', 'MD', 'OR');
INSERT INTO `subdivisions` VALUES ('2146', '0', '0', '0', 'EN', 'Rezina', 'MD', 'RE');
INSERT INTO `subdivisions` VALUES ('2147', '0', '0', '0', 'EN', 'Rîşcani', 'MD', 'RI');
INSERT INTO `subdivisions` VALUES ('2148', '0', '0', '0', 'EN', 'Şoldăneşti', 'MD', 'SD');
INSERT INTO `subdivisions` VALUES ('2149', '0', '0', '0', 'EN', 'Sîngerei', 'MD', 'SI');
INSERT INTO `subdivisions` VALUES ('2150', '0', '0', '0', 'EN', 'Stînga Nistrului, unitatea teritorială din', 'MD', 'SN');
INSERT INTO `subdivisions` VALUES ('2151', '0', '0', '0', 'EN', 'Soroca', 'MD', 'SO');
INSERT INTO `subdivisions` VALUES ('2152', '0', '0', '0', 'EN', 'Străşeni', 'MD', 'ST');
INSERT INTO `subdivisions` VALUES ('2153', '0', '0', '0', 'EN', 'Ştefan Vodă', 'MD', 'SV');
INSERT INTO `subdivisions` VALUES ('2154', '0', '0', '0', 'EN', 'Taraclia', 'MD', 'TA');
INSERT INTO `subdivisions` VALUES ('2155', '0', '0', '0', 'EN', 'Teleneşti', 'MD', 'TE');
INSERT INTO `subdivisions` VALUES ('2156', '0', '0', '0', 'EN', 'Ungheni', 'MD', 'UN');
INSERT INTO `subdivisions` VALUES ('2104', '0', '0', '0', 'EN', 'Tanger-Tétouan', 'MA', '01');
INSERT INTO `subdivisions` VALUES ('2105', '0', '0', '0', 'EN', 'Gharb-Chrarda-Beni Hssen', 'MA', '02');
INSERT INTO `subdivisions` VALUES ('2106', '0', '0', '0', 'EN', 'Taza-Al Hoceima-Taounate', 'MA', '03');
INSERT INTO `subdivisions` VALUES ('2107', '0', '0', '0', 'EN', 'L\'Oriental', 'MA', '04');
INSERT INTO `subdivisions` VALUES ('2108', '0', '0', '0', 'EN', 'Fès-Boulemane', 'MA', '05');
INSERT INTO `subdivisions` VALUES ('2109', '0', '0', '0', 'EN', 'Meknès-Tafilalet', 'MA', '06');
INSERT INTO `subdivisions` VALUES ('2110', '0', '0', '0', 'EN', 'Rabat-Salé-Zemmour-Zaer', 'MA', '07');
INSERT INTO `subdivisions` VALUES ('2111', '0', '0', '0', 'EN', 'Grand Casablanca', 'MA', '08');
INSERT INTO `subdivisions` VALUES ('2112', '0', '0', '0', 'EN', 'Chaouia-Ouardigha', 'MA', '09');
INSERT INTO `subdivisions` VALUES ('2113', '0', '0', '0', 'EN', 'Doukhala-Abda', 'MA', '10');
INSERT INTO `subdivisions` VALUES ('2114', '0', '0', '0', 'EN', 'Marrakech-Tensift-Al Haouz', 'MA', '11');
INSERT INTO `subdivisions` VALUES ('2115', '0', '0', '0', 'EN', 'Tadla-Azilal', 'MA', '12');
INSERT INTO `subdivisions` VALUES ('2116', '0', '0', '0', 'EN', 'Sous-Massa-Draa', 'MA', '13');
INSERT INTO `subdivisions` VALUES ('2117', '0', '0', '0', 'EN', 'Guelmim-Es Smara', 'MA', '14');
INSERT INTO `subdivisions` VALUES ('2118', '0', '0', '0', 'EN', 'Laâyoune-Boujdour-Sakia el Hamra', 'MA', '15');
INSERT INTO `subdivisions` VALUES ('2119', '0', '0', '0', 'EN', 'Oued ed Dahab-Lagouira', 'MA', '16');
INSERT INTO `subdivisions` VALUES ('2082', '0', '0', '0', 'EN', 'Banghāzī', 'LY', 'BA');
INSERT INTO `subdivisions` VALUES ('2083', '0', '0', '0', 'EN', 'Al Buţnān', 'LY', 'BU');
INSERT INTO `subdivisions` VALUES ('2084', '0', '0', '0', 'EN', 'Darnah', 'LY', 'DR');
INSERT INTO `subdivisions` VALUES ('2085', '0', '0', '0', 'EN', 'Ghāt', 'LY', 'GT');
INSERT INTO `subdivisions` VALUES ('2086', '0', '0', '0', 'EN', 'Al Jabal al Akhḑar', 'LY', 'JA');
INSERT INTO `subdivisions` VALUES ('2087', '0', '0', '0', 'EN', 'Al Jabal al Gharbī', 'LY', 'JG');
INSERT INTO `subdivisions` VALUES ('2088', '0', '0', '0', 'EN', 'Al Jifārah', 'LY', 'JI');
INSERT INTO `subdivisions` VALUES ('2089', '0', '0', '0', 'EN', 'Al Jufrah', 'LY', 'JU');
INSERT INTO `subdivisions` VALUES ('2090', '0', '0', '0', 'EN', 'Al Kufrah', 'LY', 'KF');
INSERT INTO `subdivisions` VALUES ('2091', '0', '0', '0', 'EN', 'Al Marqab', 'LY', 'MB');
INSERT INTO `subdivisions` VALUES ('2092', '0', '0', '0', 'EN', 'Mişrātah', 'LY', 'MI');
INSERT INTO `subdivisions` VALUES ('2093', '0', '0', '0', 'EN', 'Al Marj', 'LY', 'MJ');
INSERT INTO `subdivisions` VALUES ('2094', '0', '0', '0', 'EN', 'Murzuq', 'LY', 'MQ');
INSERT INTO `subdivisions` VALUES ('2095', '0', '0', '0', 'EN', 'Nālūt', 'LY', 'NL');
INSERT INTO `subdivisions` VALUES ('2096', '0', '0', '0', 'EN', 'An Nuqaţ al Khams', 'LY', 'NQ');
INSERT INTO `subdivisions` VALUES ('2097', '0', '0', '0', 'EN', 'Sabhā', 'LY', 'SB');
INSERT INTO `subdivisions` VALUES ('2098', '0', '0', '0', 'EN', 'Surt', 'LY', 'SR');
INSERT INTO `subdivisions` VALUES ('2099', '0', '0', '0', 'EN', 'Ţarābulus', 'LY', 'TB');
INSERT INTO `subdivisions` VALUES ('2100', '0', '0', '0', 'EN', 'Al Wāḩāt', 'LY', 'WA');
INSERT INTO `subdivisions` VALUES ('2101', '0', '0', '0', 'EN', 'Wādī al Ḩayāt', 'LY', 'WD');
INSERT INTO `subdivisions` VALUES ('2102', '0', '0', '0', 'EN', 'Wādī ash Shāţiʾ', 'LY', 'WS');
INSERT INTO `subdivisions` VALUES ('2103', '0', '0', '0', 'EN', 'Az Zāwiyah', 'LY', 'ZA');
INSERT INTO `subdivisions` VALUES ('2056', '0', '0', '0', 'EN', 'Aizkraukles Apriņķis', 'LV', 'AI');
INSERT INTO `subdivisions` VALUES ('2057', '0', '0', '0', 'EN', 'Alūksnes Apriņķis', 'LV', 'AL');
INSERT INTO `subdivisions` VALUES ('2058', '0', '0', '0', 'EN', 'Balvu Apriņķis', 'LV', 'BL');
INSERT INTO `subdivisions` VALUES ('2059', '0', '0', '0', 'EN', 'Bauskas Apriņķis', 'LV', 'BU');
INSERT INTO `subdivisions` VALUES ('2060', '0', '0', '0', 'EN', 'Cēsu Apriņķis', 'LV', 'CE');
INSERT INTO `subdivisions` VALUES ('2061', '0', '0', '0', 'EN', 'Daugavpils Apriņķis', 'LV', 'DA');
INSERT INTO `subdivisions` VALUES ('2062', '0', '0', '0', 'EN', 'Dobeles Apriņķis', 'LV', 'DO');
INSERT INTO `subdivisions` VALUES ('2063', '0', '0', '0', 'EN', 'Gulbenes Apriņķis', 'LV', 'GU');
INSERT INTO `subdivisions` VALUES ('2064', '0', '0', '0', 'EN', 'Jēkabpils Apriņķis', 'LV', 'JK');
INSERT INTO `subdivisions` VALUES ('2065', '0', '0', '0', 'EN', 'Jelgavas Apriņķis', 'LV', 'JL');
INSERT INTO `subdivisions` VALUES ('2066', '0', '0', '0', 'EN', 'Krāslavas Apriņķis', 'LV', 'KR');
INSERT INTO `subdivisions` VALUES ('2067', '0', '0', '0', 'EN', 'Kuldīgas Apriņķis', 'LV', 'KU');
INSERT INTO `subdivisions` VALUES ('2068', '0', '0', '0', 'EN', 'Liepājas Apriņķis', 'LV', 'LE');
INSERT INTO `subdivisions` VALUES ('2069', '0', '0', '0', 'EN', 'Limbažu Apriņķis', 'LV', 'LM');
INSERT INTO `subdivisions` VALUES ('2070', '0', '0', '0', 'EN', 'Ludzas Apriņķis', 'LV', 'LU');
INSERT INTO `subdivisions` VALUES ('2071', '0', '0', '0', 'EN', 'Madonas Apriņķis', 'LV', 'MA');
INSERT INTO `subdivisions` VALUES ('2072', '0', '0', '0', 'EN', 'Ogres Apriņķis', 'LV', 'OG');
INSERT INTO `subdivisions` VALUES ('2073', '0', '0', '0', 'EN', 'Preiļu Apriņķis', 'LV', 'PR');
INSERT INTO `subdivisions` VALUES ('2074', '0', '0', '0', 'EN', 'Rēzeknes Apriņķis', 'LV', 'RE');
INSERT INTO `subdivisions` VALUES ('2075', '0', '0', '0', 'EN', 'Rīgas Apriņķis', 'LV', 'RI');
INSERT INTO `subdivisions` VALUES ('2076', '0', '0', '0', 'EN', 'Saldus Apriņķis', 'LV', 'SA');
INSERT INTO `subdivisions` VALUES ('2077', '0', '0', '0', 'EN', 'Talsu Apriņķis', 'LV', 'TA');
INSERT INTO `subdivisions` VALUES ('2078', '0', '0', '0', 'EN', 'Tukuma Apriņķis', 'LV', 'TU');
INSERT INTO `subdivisions` VALUES ('2079', '0', '0', '0', 'EN', 'Ventspils Apriņķis', 'LV', 'VE');
INSERT INTO `subdivisions` VALUES ('2080', '0', '0', '0', 'EN', 'Valkas Apriņķis', 'LV', 'VK');
INSERT INTO `subdivisions` VALUES ('2081', '0', '0', '0', 'EN', 'Valmieras Apriņķis', 'LV', 'VM');
INSERT INTO `subdivisions` VALUES ('2053', '0', '0', '0', 'EN', 'Diekirch', 'LU', 'D');
INSERT INTO `subdivisions` VALUES ('2054', '0', '0', '0', 'EN', 'Grevenmacher', 'LU', 'G');
INSERT INTO `subdivisions` VALUES ('2055', '0', '0', '0', 'EN', 'Luxemburg', 'LU', 'L');
INSERT INTO `subdivisions` VALUES ('2043', '0', '0', '0', 'EN', 'Alytaus Apskritis', 'LT', 'AL');
INSERT INTO `subdivisions` VALUES ('2044', '0', '0', '0', 'EN', 'Klaipėdos Apskritis', 'LT', 'KL');
INSERT INTO `subdivisions` VALUES ('2045', '0', '0', '0', 'EN', 'Kauno Apskritis', 'LT', 'KU');
INSERT INTO `subdivisions` VALUES ('2046', '0', '0', '0', 'EN', 'Marijampolės Apskritis', 'LT', 'MR');
INSERT INTO `subdivisions` VALUES ('2047', '0', '0', '0', 'EN', 'Panevėžio Apskritis', 'LT', 'PN');
INSERT INTO `subdivisions` VALUES ('2048', '0', '0', '0', 'EN', 'Šiaulių Apskritis', 'LT', 'SA');
INSERT INTO `subdivisions` VALUES ('2049', '0', '0', '0', 'EN', 'Tauragės Apskritis', 'LT', 'TA');
INSERT INTO `subdivisions` VALUES ('2050', '0', '0', '0', 'EN', 'Telšių Apskritis', 'LT', 'TE');
INSERT INTO `subdivisions` VALUES ('2051', '0', '0', '0', 'EN', 'Utenos Apskritis', 'LT', 'UT');
INSERT INTO `subdivisions` VALUES ('2052', '0', '0', '0', 'EN', 'Vilniaus Apskritis', 'LT', 'VL');
INSERT INTO `subdivisions` VALUES ('2033', '0', '0', '0', 'EN', 'Maseru', 'LS', 'A');
INSERT INTO `subdivisions` VALUES ('2034', '0', '0', '0', 'EN', 'Butha-Buthe', 'LS', 'B');
INSERT INTO `subdivisions` VALUES ('2035', '0', '0', '0', 'EN', 'Leribe', 'LS', 'C');
INSERT INTO `subdivisions` VALUES ('2036', '0', '0', '0', 'EN', 'Berea', 'LS', 'D');
INSERT INTO `subdivisions` VALUES ('2037', '0', '0', '0', 'EN', 'Mafeteng', 'LS', 'E');
INSERT INTO `subdivisions` VALUES ('2038', '0', '0', '0', 'EN', 'Mohale\'s Hoek', 'LS', 'F');
INSERT INTO `subdivisions` VALUES ('2039', '0', '0', '0', 'EN', 'Quthing', 'LS', 'G');
INSERT INTO `subdivisions` VALUES ('2040', '0', '0', '0', 'EN', 'Qacha\'s Nek', 'LS', 'H');
INSERT INTO `subdivisions` VALUES ('2041', '0', '0', '0', 'EN', 'Mokhotlong', 'LS', 'J');
INSERT INTO `subdivisions` VALUES ('2042', '0', '0', '0', 'EN', 'Thaba-Tseka', 'LS', 'K');
INSERT INTO `subdivisions` VALUES ('2018', '0', '0', '0', 'EN', 'Bong', 'LR', 'BG');
INSERT INTO `subdivisions` VALUES ('2019', '0', '0', '0', 'EN', 'Bomi', 'LR', 'BM');
INSERT INTO `subdivisions` VALUES ('2020', '0', '0', '0', 'EN', 'Grand Cape Mount', 'LR', 'CM');
INSERT INTO `subdivisions` VALUES ('2021', '0', '0', '0', 'EN', 'Grand Bassa', 'LR', 'GB');
INSERT INTO `subdivisions` VALUES ('2022', '0', '0', '0', 'EN', 'Grand Gedeh', 'LR', 'GG');
INSERT INTO `subdivisions` VALUES ('2023', '0', '0', '0', 'EN', 'Grand Kru', 'LR', 'GK');
INSERT INTO `subdivisions` VALUES ('2024', '0', '0', '0', 'EN', 'Gbarpolu', 'LR', 'GP');
INSERT INTO `subdivisions` VALUES ('2025', '0', '0', '0', 'EN', 'Lofa', 'LR', 'LO');
INSERT INTO `subdivisions` VALUES ('2026', '0', '0', '0', 'EN', 'Margibi', 'LR', 'MG');
INSERT INTO `subdivisions` VALUES ('2027', '0', '0', '0', 'EN', 'Montserrado', 'LR', 'MO');
INSERT INTO `subdivisions` VALUES ('2028', '0', '0', '0', 'EN', 'Maryland', 'LR', 'MY');
INSERT INTO `subdivisions` VALUES ('2029', '0', '0', '0', 'EN', 'Nimba', 'LR', 'NI');
INSERT INTO `subdivisions` VALUES ('2030', '0', '0', '0', 'EN', 'River Gee', 'LR', 'RG');
INSERT INTO `subdivisions` VALUES ('2031', '0', '0', '0', 'EN', 'Rivercess', 'LR', 'RI');
INSERT INTO `subdivisions` VALUES ('2032', '0', '0', '0', 'EN', 'Sinoe', 'LR', 'SI');
INSERT INTO `subdivisions` VALUES ('1993', '0', '0', '0', 'EN', 'Kŏḷamba', 'LK', '11');
INSERT INTO `subdivisions` VALUES ('1994', '0', '0', '0', 'EN', 'Gampaha', 'LK', '12');
INSERT INTO `subdivisions` VALUES ('1995', '0', '0', '0', 'EN', 'Kaḷutara', 'LK', '13');
INSERT INTO `subdivisions` VALUES ('1996', '0', '0', '0', 'EN', 'Mahanuvara', 'LK', '21');
INSERT INTO `subdivisions` VALUES ('1997', '0', '0', '0', 'EN', 'Mātale', 'LK', '22');
INSERT INTO `subdivisions` VALUES ('1998', '0', '0', '0', 'EN', 'Nuvara Ĕliya', 'LK', '23');
INSERT INTO `subdivisions` VALUES ('1999', '0', '0', '0', 'EN', 'Gālla', 'LK', '31');
INSERT INTO `subdivisions` VALUES ('2000', '0', '0', '0', 'EN', 'Mātara', 'LK', '32');
INSERT INTO `subdivisions` VALUES ('2001', '0', '0', '0', 'EN', 'Hambantŏṭa', 'LK', '33');
INSERT INTO `subdivisions` VALUES ('2002', '0', '0', '0', 'EN', 'Yāpanaya', 'LK', '41');
INSERT INTO `subdivisions` VALUES ('2003', '0', '0', '0', 'EN', 'Kilinŏchchi', 'LK', '42');
INSERT INTO `subdivisions` VALUES ('2004', '0', '0', '0', 'EN', 'Mannārama', 'LK', '43');
INSERT INTO `subdivisions` VALUES ('2005', '0', '0', '0', 'EN', 'Vavuniyāva', 'LK', '44');
INSERT INTO `subdivisions` VALUES ('2006', '0', '0', '0', 'EN', 'Mulativ', 'LK', '45');
INSERT INTO `subdivisions` VALUES ('2007', '0', '0', '0', 'EN', 'Maḍakalapuva', 'LK', '51');
INSERT INTO `subdivisions` VALUES ('2008', '0', '0', '0', 'EN', 'Ampāra', 'LK', '52');
INSERT INTO `subdivisions` VALUES ('2009', '0', '0', '0', 'EN', 'Trikuṇāmalaya', 'LK', '53');
INSERT INTO `subdivisions` VALUES ('2010', '0', '0', '0', 'EN', 'Kuruṇægala', 'LK', '61');
INSERT INTO `subdivisions` VALUES ('2011', '0', '0', '0', 'EN', 'Puttalama', 'LK', '62');
INSERT INTO `subdivisions` VALUES ('2012', '0', '0', '0', 'EN', 'Anurādhapura', 'LK', '71');
INSERT INTO `subdivisions` VALUES ('2013', '0', '0', '0', 'EN', 'Pŏḷŏnnaruva', 'LK', '72');
INSERT INTO `subdivisions` VALUES ('2014', '0', '0', '0', 'EN', 'Badulla', 'LK', '81');
INSERT INTO `subdivisions` VALUES ('2015', '0', '0', '0', 'EN', 'Mŏṇarāgala', 'LK', '82');
INSERT INTO `subdivisions` VALUES ('2016', '0', '0', '0', 'EN', 'Ratnapura', 'LK', '91');
INSERT INTO `subdivisions` VALUES ('2017', '0', '0', '0', 'EN', 'Kægalla', 'LK', '92');
INSERT INTO `subdivisions` VALUES ('1982', '0', '0', '0', 'EN', 'Balzers', 'LI', '01');
INSERT INTO `subdivisions` VALUES ('1983', '0', '0', '0', 'EN', 'Eschen', 'LI', '02');
INSERT INTO `subdivisions` VALUES ('1984', '0', '0', '0', 'EN', 'Gamprin', 'LI', '03');
INSERT INTO `subdivisions` VALUES ('1985', '0', '0', '0', 'EN', 'Mauren', 'LI', '04');
INSERT INTO `subdivisions` VALUES ('1986', '0', '0', '0', 'EN', 'Planken', 'LI', '05');
INSERT INTO `subdivisions` VALUES ('1987', '0', '0', '0', 'EN', 'Ruggell', 'LI', '06');
INSERT INTO `subdivisions` VALUES ('1988', '0', '0', '0', 'EN', 'Schaan', 'LI', '07');
INSERT INTO `subdivisions` VALUES ('1989', '0', '0', '0', 'EN', 'Schellenberg', 'LI', '08');
INSERT INTO `subdivisions` VALUES ('1990', '0', '0', '0', 'EN', 'Triesen', 'LI', '09');
INSERT INTO `subdivisions` VALUES ('1991', '0', '0', '0', 'EN', 'Triesenberg', 'LI', '10');
INSERT INTO `subdivisions` VALUES ('1992', '0', '0', '0', 'EN', 'Vaduz', 'LI', '11');
INSERT INTO `subdivisions` VALUES ('1971', '0', '0', '0', 'EN', 'Anse la Raye', 'LC', '01');
INSERT INTO `subdivisions` VALUES ('1972', '0', '0', '0', 'EN', 'Castries', 'LC', '02');
INSERT INTO `subdivisions` VALUES ('1973', '0', '0', '0', 'EN', 'Choiseul', 'LC', '03');
INSERT INTO `subdivisions` VALUES ('1974', '0', '0', '0', 'EN', 'Dauphin', 'LC', '04');
INSERT INTO `subdivisions` VALUES ('1975', '0', '0', '0', 'EN', 'Dennery', 'LC', '05');
INSERT INTO `subdivisions` VALUES ('1976', '0', '0', '0', 'EN', 'Gros Islet', 'LC', '06');
INSERT INTO `subdivisions` VALUES ('1977', '0', '0', '0', 'EN', 'Laborie', 'LC', '07');
INSERT INTO `subdivisions` VALUES ('1978', '0', '0', '0', 'EN', 'Micoud', 'LC', '08');
INSERT INTO `subdivisions` VALUES ('1979', '0', '0', '0', 'EN', 'Praslin', 'LC', '09');
INSERT INTO `subdivisions` VALUES ('1980', '0', '0', '0', 'EN', 'Soufrière', 'LC', '10');
INSERT INTO `subdivisions` VALUES ('1981', '0', '0', '0', 'EN', 'Vieux Fort', 'LC', '11');
INSERT INTO `subdivisions` VALUES ('1963', '0', '0', '0', 'EN', 'Aakkâr', 'LB', 'AK');
INSERT INTO `subdivisions` VALUES ('1964', '0', '0', '0', 'EN', 'Liban-Nord', 'LB', 'AS');
INSERT INTO `subdivisions` VALUES ('1965', '0', '0', '0', 'EN', 'Beyrouth', 'LB', 'BA');
INSERT INTO `subdivisions` VALUES ('1966', '0', '0', '0', 'EN', 'Baalbek-Hermel', 'LB', 'BH');
INSERT INTO `subdivisions` VALUES ('1967', '0', '0', '0', 'EN', 'Béqaa', 'LB', 'BI');
INSERT INTO `subdivisions` VALUES ('1968', '0', '0', '0', 'EN', 'Liban-Sud', 'LB', 'JA');
INSERT INTO `subdivisions` VALUES ('1969', '0', '0', '0', 'EN', 'Mont-Liban', 'LB', 'JL');
INSERT INTO `subdivisions` VALUES ('1970', '0', '0', '0', 'EN', 'Nabatîyé', 'LB', 'NA');
INSERT INTO `subdivisions` VALUES ('1945', '0', '0', '0', 'EN', 'Vientiane', 'LA', 'VT');
INSERT INTO `subdivisions` VALUES ('1946', '0', '0', '0', 'EN', 'Attapu', 'LA', 'AT');
INSERT INTO `subdivisions` VALUES ('1947', '0', '0', '0', 'EN', 'Bokèo', 'LA', 'BK');
INSERT INTO `subdivisions` VALUES ('1948', '0', '0', '0', 'EN', 'Bolikhamxai', 'LA', 'BL');
INSERT INTO `subdivisions` VALUES ('1949', '0', '0', '0', 'EN', 'Champasak', 'LA', 'CH');
INSERT INTO `subdivisions` VALUES ('1950', '0', '0', '0', 'EN', 'Houaphan', 'LA', 'HO');
INSERT INTO `subdivisions` VALUES ('1951', '0', '0', '0', 'EN', 'Khammouan', 'LA', 'KH');
INSERT INTO `subdivisions` VALUES ('1952', '0', '0', '0', 'EN', 'Louang Namtha', 'LA', 'LM');
INSERT INTO `subdivisions` VALUES ('1953', '0', '0', '0', 'EN', 'Louangphabang', 'LA', 'LP');
INSERT INTO `subdivisions` VALUES ('1954', '0', '0', '0', 'EN', 'Oudômxai', 'LA', 'OU');
INSERT INTO `subdivisions` VALUES ('1955', '0', '0', '0', 'EN', 'Phôngsali', 'LA', 'PH');
INSERT INTO `subdivisions` VALUES ('1956', '0', '0', '0', 'EN', 'Salavan', 'LA', 'SL');
INSERT INTO `subdivisions` VALUES ('1957', '0', '0', '0', 'EN', 'Savannakhét', 'LA', 'SV');
INSERT INTO `subdivisions` VALUES ('1958', '0', '0', '0', 'EN', 'Vientiane', 'LA', 'VI');
INSERT INTO `subdivisions` VALUES ('1959', '0', '0', '0', 'EN', 'Xaignabouli', 'LA', 'XA');
INSERT INTO `subdivisions` VALUES ('1960', '0', '0', '0', 'EN', 'Xékong', 'LA', 'XE');
INSERT INTO `subdivisions` VALUES ('1961', '0', '0', '0', 'EN', 'Xiangkhoang', 'LA', 'XI');
INSERT INTO `subdivisions` VALUES ('1962', '0', '0', '0', 'EN', 'Xaisômboun', 'LA', 'XN');
INSERT INTO `subdivisions` VALUES ('1929', '0', '0', '0', 'EN', 'Almaty', 'KZ', 'ALA');
INSERT INTO `subdivisions` VALUES ('1930', '0', '0', '0', 'EN', 'Astana', 'KZ', 'AST');
INSERT INTO `subdivisions` VALUES ('1931', '0', '0', '0', 'EN', 'Almaty oblysy', 'KZ', 'ALM');
INSERT INTO `subdivisions` VALUES ('1932', '0', '0', '0', 'EN', 'Aqmola oblysy', 'KZ', 'AKM');
INSERT INTO `subdivisions` VALUES ('1933', '0', '0', '0', 'EN', 'Aqtöbe oblysy', 'KZ', 'AKT');
INSERT INTO `subdivisions` VALUES ('1934', '0', '0', '0', 'EN', 'Atyraū oblysy', 'KZ', 'ATY');
INSERT INTO `subdivisions` VALUES ('1935', '0', '0', '0', 'EN', 'Batys Qazaqstan oblysy', 'KZ', 'ZAP');
INSERT INTO `subdivisions` VALUES ('1936', '0', '0', '0', 'EN', 'Mangghystaū oblysy', 'KZ', 'MAN');
INSERT INTO `subdivisions` VALUES ('1937', '0', '0', '0', 'EN', 'Ongtüstik Qazaqstan oblysy', 'KZ', 'YUZ');
INSERT INTO `subdivisions` VALUES ('1938', '0', '0', '0', 'EN', 'Pavlodar oblysy', 'KZ', 'PAV');
INSERT INTO `subdivisions` VALUES ('1939', '0', '0', '0', 'EN', 'Qaraghandy oblysy', 'KZ', 'KAR');
INSERT INTO `subdivisions` VALUES ('1940', '0', '0', '0', 'EN', 'Qostanay oblysy', 'KZ', 'KUS');
INSERT INTO `subdivisions` VALUES ('1941', '0', '0', '0', 'EN', 'Qyzylorda oblysy', 'KZ', 'KZY');
INSERT INTO `subdivisions` VALUES ('1942', '0', '0', '0', 'EN', 'Shyghys Qazaqstan oblysy', 'KZ', 'VOS');
INSERT INTO `subdivisions` VALUES ('1943', '0', '0', '0', 'EN', 'Soltüstik Qazaqstan oblysy', 'KZ', 'SEV');
INSERT INTO `subdivisions` VALUES ('1944', '0', '0', '0', 'EN', 'Zhambyl oblysy', 'KZ', 'ZHA');
INSERT INTO `subdivisions` VALUES ('1923', '0', '0', '0', 'EN', 'Al Aḩmadi', 'KW', 'AH');
INSERT INTO `subdivisions` VALUES ('1924', '0', '0', '0', 'EN', 'Al Farwānīyah', 'KW', 'FA');
INSERT INTO `subdivisions` VALUES ('1925', '0', '0', '0', 'EN', 'Ḩawallī', 'KW', 'HA');
INSERT INTO `subdivisions` VALUES ('1926', '0', '0', '0', 'EN', 'Al Jahrā’', 'KW', 'JA');
INSERT INTO `subdivisions` VALUES ('1927', '0', '0', '0', 'EN', 'Al Kuwayt', 'KW', 'KU');
INSERT INTO `subdivisions` VALUES ('1928', '0', '0', '0', 'EN', 'Mubārak al Kabīr', 'KW', 'MU');
INSERT INTO `subdivisions` VALUES ('1907', '0', '0', '0', 'EN', 'Seoul Teugbyeolsi', 'KR', '11');
INSERT INTO `subdivisions` VALUES ('1908', '0', '0', '0', 'EN', 'Busan Gwang\'yeogsi', 'KR', '26');
INSERT INTO `subdivisions` VALUES ('1909', '0', '0', '0', 'EN', 'Daegu Gwang\'yeogsi', 'KR', '27');
INSERT INTO `subdivisions` VALUES ('1910', '0', '0', '0', 'EN', 'Incheon Gwang\'yeogsi', 'KR', '28');
INSERT INTO `subdivisions` VALUES ('1911', '0', '0', '0', 'EN', 'Gwangju Gwang\'yeogsi', 'KR', '29');
INSERT INTO `subdivisions` VALUES ('1912', '0', '0', '0', 'EN', 'Daejeon Gwang\'yeogsi', 'KR', '30');
INSERT INTO `subdivisions` VALUES ('1913', '0', '0', '0', 'EN', 'Ulsan Gwang\'yeogsi', 'KR', '31');
INSERT INTO `subdivisions` VALUES ('1914', '0', '0', '0', 'EN', 'Gyeonggido', 'KR', '41');
INSERT INTO `subdivisions` VALUES ('1915', '0', '0', '0', 'EN', 'Gang\'weondo', 'KR', '42');
INSERT INTO `subdivisions` VALUES ('1916', '0', '0', '0', 'EN', 'Chungcheongbugdo', 'KR', '43');
INSERT INTO `subdivisions` VALUES ('1917', '0', '0', '0', 'EN', 'Chungcheongnamdo', 'KR', '44');
INSERT INTO `subdivisions` VALUES ('1918', '0', '0', '0', 'EN', 'Jeonrabugdo', 'KR', '45');
INSERT INTO `subdivisions` VALUES ('1919', '0', '0', '0', 'EN', 'Jeonranamdo', 'KR', '46');
INSERT INTO `subdivisions` VALUES ('1920', '0', '0', '0', 'EN', 'Gyeongsangbugdo', 'KR', '47');
INSERT INTO `subdivisions` VALUES ('1921', '0', '0', '0', 'EN', 'Gyeongsangnamdo', 'KR', '48');
INSERT INTO `subdivisions` VALUES ('1922', '0', '0', '0', 'EN', 'Jejudo', 'KR', '49');
INSERT INTO `subdivisions` VALUES ('1896', '0', '0', '0', 'EN', 'P’yŏngyang', 'KP', '01');
INSERT INTO `subdivisions` VALUES ('1897', '0', '0', '0', 'EN', 'P’yŏngan-namdo', 'KP', '02');
INSERT INTO `subdivisions` VALUES ('1898', '0', '0', '0', 'EN', 'P’yŏngan-bukto', 'KP', '03');
INSERT INTO `subdivisions` VALUES ('1899', '0', '0', '0', 'EN', 'Chagang-do', 'KP', '04');
INSERT INTO `subdivisions` VALUES ('1900', '0', '0', '0', 'EN', 'Hwanghae-namdo', 'KP', '05');
INSERT INTO `subdivisions` VALUES ('1901', '0', '0', '0', 'EN', 'Hwanghae-bukto', 'KP', '06');
INSERT INTO `subdivisions` VALUES ('1902', '0', '0', '0', 'EN', 'Kangwŏn-do', 'KP', '07');
INSERT INTO `subdivisions` VALUES ('1903', '0', '0', '0', 'EN', 'Hamgyŏng-namdo', 'KP', '08');
INSERT INTO `subdivisions` VALUES ('1904', '0', '0', '0', 'EN', 'Hamgyŏng-bukto', 'KP', '09');
INSERT INTO `subdivisions` VALUES ('1905', '0', '0', '0', 'EN', 'Yanggang-do', 'KP', '10');
INSERT INTO `subdivisions` VALUES ('1906', '0', '0', '0', 'EN', 'Nasŏn', 'KP', '13');
INSERT INTO `subdivisions` VALUES ('1880', '0', '0', '0', 'EN', 'Christ Church Nichola Town', 'KN', '01');
INSERT INTO `subdivisions` VALUES ('1881', '0', '0', '0', 'EN', 'Saint Anne Sandy Point', 'KN', '02');
INSERT INTO `subdivisions` VALUES ('1882', '0', '0', '0', 'EN', 'Saint George Basseterre', 'KN', '03');
INSERT INTO `subdivisions` VALUES ('1883', '0', '0', '0', 'EN', 'Saint George Gingerland', 'KN', '04');
INSERT INTO `subdivisions` VALUES ('1884', '0', '0', '0', 'EN', 'Saint James Windward', 'KN', '05');
INSERT INTO `subdivisions` VALUES ('1885', '0', '0', '0', 'EN', 'Saint John Capisterre', 'KN', '06');
INSERT INTO `subdivisions` VALUES ('1886', '0', '0', '0', 'EN', 'Saint John Figtree', 'KN', '07');
INSERT INTO `subdivisions` VALUES ('1887', '0', '0', '0', 'EN', 'Saint Mary Cayon', 'KN', '08');
INSERT INTO `subdivisions` VALUES ('1888', '0', '0', '0', 'EN', 'Saint Paul Capisterre', 'KN', '09');
INSERT INTO `subdivisions` VALUES ('1889', '0', '0', '0', 'EN', 'Saint Paul Charlestown', 'KN', '10');
INSERT INTO `subdivisions` VALUES ('1890', '0', '0', '0', 'EN', 'Saint Peter Basseterre', 'KN', '11');
INSERT INTO `subdivisions` VALUES ('1891', '0', '0', '0', 'EN', 'Saint Thomas Lowland', 'KN', '12');
INSERT INTO `subdivisions` VALUES ('1892', '0', '0', '0', 'EN', 'Saint Thomas Middle Island', 'KN', '13');
INSERT INTO `subdivisions` VALUES ('1893', '0', '0', '0', 'EN', 'Trinity Palmetto Point', 'KN', '15');
INSERT INTO `subdivisions` VALUES ('1894', '0', '0', '0', 'EN', 'Saint Kitts', 'KN', 'K');
INSERT INTO `subdivisions` VALUES ('1895', '0', '0', '0', 'EN', 'Nevis', 'KN', 'N');
INSERT INTO `subdivisions` VALUES ('1877', '0', '0', '0', 'EN', 'Andjouân', 'KM', 'A');
INSERT INTO `subdivisions` VALUES ('1878', '0', '0', '0', 'EN', 'Andjazîdja', 'KM', 'G');
INSERT INTO `subdivisions` VALUES ('1879', '0', '0', '0', 'EN', 'Moûhîlî', 'KM', 'M');
INSERT INTO `subdivisions` VALUES ('1874', '0', '0', '0', 'EN', 'Gilbert Islands', 'KI', 'G');
INSERT INTO `subdivisions` VALUES ('1875', '0', '0', '0', 'EN', 'Line Islands', 'KI', 'L');
INSERT INTO `subdivisions` VALUES ('1876', '0', '0', '0', 'EN', 'Phoenix Islands', 'KI', 'P');
INSERT INTO `subdivisions` VALUES ('1850', '0', '0', '0', 'EN', 'Banteay Mean Chey', 'KH', '1');
INSERT INTO `subdivisions` VALUES ('1851', '0', '0', '0', 'EN', 'Baat Dambang', 'KH', '2');
INSERT INTO `subdivisions` VALUES ('1852', '0', '0', '0', 'EN', 'Kampong Chaam', 'KH', '3');
INSERT INTO `subdivisions` VALUES ('1853', '0', '0', '0', 'EN', 'Kampong Chhnang', 'KH', '4');
INSERT INTO `subdivisions` VALUES ('1854', '0', '0', '0', 'EN', 'Kampong Spueu', 'KH', '5');
INSERT INTO `subdivisions` VALUES ('1855', '0', '0', '0', 'EN', 'Kampong Thum', 'KH', '6');
INSERT INTO `subdivisions` VALUES ('1856', '0', '0', '0', 'EN', 'Kampot', 'KH', '7');
INSERT INTO `subdivisions` VALUES ('1857', '0', '0', '0', 'EN', 'Kandaal', 'KH', '8');
INSERT INTO `subdivisions` VALUES ('1858', '0', '0', '0', 'EN', 'Kaoh Kong', 'KH', '9');
INSERT INTO `subdivisions` VALUES ('1859', '0', '0', '0', 'EN', 'Kracheh', 'KH', '10');
INSERT INTO `subdivisions` VALUES ('1860', '0', '0', '0', 'EN', 'Mondol Kiri', 'KH', '11');
INSERT INTO `subdivisions` VALUES ('1861', '0', '0', '0', 'EN', 'Phnom Penh', 'KH', '12');
INSERT INTO `subdivisions` VALUES ('1862', '0', '0', '0', 'EN', 'Preah Vihear', 'KH', '13');
INSERT INTO `subdivisions` VALUES ('1863', '0', '0', '0', 'EN', 'Prey Veaeng', 'KH', '14');
INSERT INTO `subdivisions` VALUES ('1864', '0', '0', '0', 'EN', 'Pousaat', 'KH', '15');
INSERT INTO `subdivisions` VALUES ('1865', '0', '0', '0', 'EN', 'Rotanak Kiri', 'KH', '16');
INSERT INTO `subdivisions` VALUES ('1866', '0', '0', '0', 'EN', 'Siem Reab', 'KH', '17');
INSERT INTO `subdivisions` VALUES ('1867', '0', '0', '0', 'EN', 'Krong Preah Sihanouk', 'KH', '18');
INSERT INTO `subdivisions` VALUES ('1868', '0', '0', '0', 'EN', 'Stueng Traeng', 'KH', '19');
INSERT INTO `subdivisions` VALUES ('1869', '0', '0', '0', 'EN', 'Svaay Rieng', 'KH', '20');
INSERT INTO `subdivisions` VALUES ('1870', '0', '0', '0', 'EN', 'Taakaev', 'KH', '21');
INSERT INTO `subdivisions` VALUES ('1871', '0', '0', '0', 'EN', 'Otdar Mean Chey', 'KH', '22');
INSERT INTO `subdivisions` VALUES ('1872', '0', '0', '0', 'EN', 'Krong Kaeb', 'KH', '23');
INSERT INTO `subdivisions` VALUES ('1873', '0', '0', '0', 'EN', 'Krong Pailin', 'KH', '24');
INSERT INTO `subdivisions` VALUES ('1842', '0', '0', '0', 'EN', 'Batken', 'KG', 'B');
INSERT INTO `subdivisions` VALUES ('1843', '0', '0', '0', 'EN', 'Chü', 'KG', 'C');
INSERT INTO `subdivisions` VALUES ('1844', '0', '0', '0', 'EN', 'Bishkek', 'KG', 'GB');
INSERT INTO `subdivisions` VALUES ('1845', '0', '0', '0', 'EN', 'Jalal-Abad', 'KG', 'J');
INSERT INTO `subdivisions` VALUES ('1846', '0', '0', '0', 'EN', 'Naryn', 'KG', 'N');
INSERT INTO `subdivisions` VALUES ('1847', '0', '0', '0', 'EN', 'Osh', 'KG', 'O');
INSERT INTO `subdivisions` VALUES ('1848', '0', '0', '0', 'EN', 'Talas', 'KG', 'T');
INSERT INTO `subdivisions` VALUES ('1849', '0', '0', '0', 'EN', 'Ysyk-Köl', 'KG', 'Y');
INSERT INTO `subdivisions` VALUES ('1834', '0', '0', '0', 'EN', 'Nairobi', 'KE', '110');
INSERT INTO `subdivisions` VALUES ('1835', '0', '0', '0', 'EN', 'Central', 'KE', '200');
INSERT INTO `subdivisions` VALUES ('1836', '0', '0', '0', 'EN', 'Coast', 'KE', '300');
INSERT INTO `subdivisions` VALUES ('1837', '0', '0', '0', 'EN', 'Eastern', 'KE', '400');
INSERT INTO `subdivisions` VALUES ('1838', '0', '0', '0', 'EN', 'North-Eastern', 'KE', '500');
INSERT INTO `subdivisions` VALUES ('1839', '0', '0', '0', 'EN', 'Nyanza', 'KE', '600');
INSERT INTO `subdivisions` VALUES ('1840', '0', '0', '0', 'EN', 'Rift Valley', 'KE', '700');
INSERT INTO `subdivisions` VALUES ('1841', '0', '0', '0', 'EN', 'Western', 'KE', '800');
INSERT INTO `subdivisions` VALUES ('1787', '0', '0', '0', 'EN', 'Hokkaidô', 'JP', '01');
INSERT INTO `subdivisions` VALUES ('1788', '0', '0', '0', 'EN', 'Aomori', 'JP', '02');
INSERT INTO `subdivisions` VALUES ('1789', '0', '0', '0', 'EN', 'Iwate', 'JP', '03');
INSERT INTO `subdivisions` VALUES ('1790', '0', '0', '0', 'EN', 'Miyagi', 'JP', '04');
INSERT INTO `subdivisions` VALUES ('1791', '0', '0', '0', 'EN', 'Akita', 'JP', '05');
INSERT INTO `subdivisions` VALUES ('1792', '0', '0', '0', 'EN', 'Yamagata', 'JP', '06');
INSERT INTO `subdivisions` VALUES ('1793', '0', '0', '0', 'EN', 'Hukusima', 'JP', '07');
INSERT INTO `subdivisions` VALUES ('1794', '0', '0', '0', 'EN', 'Ibaraki', 'JP', '08');
INSERT INTO `subdivisions` VALUES ('1795', '0', '0', '0', 'EN', 'Totigi', 'JP', '09');
INSERT INTO `subdivisions` VALUES ('1796', '0', '0', '0', 'EN', 'Gunma', 'JP', '10');
INSERT INTO `subdivisions` VALUES ('1797', '0', '0', '0', 'EN', 'Saitama', 'JP', '11');
INSERT INTO `subdivisions` VALUES ('1798', '0', '0', '0', 'EN', 'Tiba', 'JP', '12');
INSERT INTO `subdivisions` VALUES ('1799', '0', '0', '0', 'EN', 'Tôkyô', 'JP', '13');
INSERT INTO `subdivisions` VALUES ('1800', '0', '0', '0', 'EN', 'Kanagawa', 'JP', '14');
INSERT INTO `subdivisions` VALUES ('1801', '0', '0', '0', 'EN', 'Niigata', 'JP', '15');
INSERT INTO `subdivisions` VALUES ('1802', '0', '0', '0', 'EN', 'Toyama', 'JP', '16');
INSERT INTO `subdivisions` VALUES ('1803', '0', '0', '0', 'EN', 'Isikawa', 'JP', '17');
INSERT INTO `subdivisions` VALUES ('1804', '0', '0', '0', 'EN', 'Hukui', 'JP', '18');
INSERT INTO `subdivisions` VALUES ('1805', '0', '0', '0', 'EN', 'Yamanasi', 'JP', '19');
INSERT INTO `subdivisions` VALUES ('1806', '0', '0', '0', 'EN', 'Nagano', 'JP', '20');
INSERT INTO `subdivisions` VALUES ('1807', '0', '0', '0', 'EN', 'Gihu', 'JP', '21');
INSERT INTO `subdivisions` VALUES ('1808', '0', '0', '0', 'EN', 'Sizuoka', 'JP', '22');
INSERT INTO `subdivisions` VALUES ('1809', '0', '0', '0', 'EN', 'Aiti', 'JP', '23');
INSERT INTO `subdivisions` VALUES ('1810', '0', '0', '0', 'EN', 'Mie', 'JP', '24');
INSERT INTO `subdivisions` VALUES ('1811', '0', '0', '0', 'EN', 'Siga', 'JP', '25');
INSERT INTO `subdivisions` VALUES ('1812', '0', '0', '0', 'EN', 'Kyôto', 'JP', '26');
INSERT INTO `subdivisions` VALUES ('1813', '0', '0', '0', 'EN', 'Ôsaka', 'JP', '27');
INSERT INTO `subdivisions` VALUES ('1814', '0', '0', '0', 'EN', 'Hyôgo', 'JP', '28');
INSERT INTO `subdivisions` VALUES ('1815', '0', '0', '0', 'EN', 'Nara', 'JP', '29');
INSERT INTO `subdivisions` VALUES ('1816', '0', '0', '0', 'EN', 'Wakayama', 'JP', '30');
INSERT INTO `subdivisions` VALUES ('1817', '0', '0', '0', 'EN', 'Tottori', 'JP', '31');
INSERT INTO `subdivisions` VALUES ('1818', '0', '0', '0', 'EN', 'Simane', 'JP', '32');
INSERT INTO `subdivisions` VALUES ('1819', '0', '0', '0', 'EN', 'Okayama', 'JP', '33');
INSERT INTO `subdivisions` VALUES ('1820', '0', '0', '0', 'EN', 'Hirosima', 'JP', '34');
INSERT INTO `subdivisions` VALUES ('1821', '0', '0', '0', 'EN', 'Yamaguti', 'JP', '35');
INSERT INTO `subdivisions` VALUES ('1822', '0', '0', '0', 'EN', 'Tokusima', 'JP', '36');
INSERT INTO `subdivisions` VALUES ('1823', '0', '0', '0', 'EN', 'Kagawa', 'JP', '37');
INSERT INTO `subdivisions` VALUES ('1824', '0', '0', '0', 'EN', 'Ehime', 'JP', '38');
INSERT INTO `subdivisions` VALUES ('1825', '0', '0', '0', 'EN', 'Kôti', 'JP', '39');
INSERT INTO `subdivisions` VALUES ('1826', '0', '0', '0', 'EN', 'Hukuoka', 'JP', '40');
INSERT INTO `subdivisions` VALUES ('1827', '0', '0', '0', 'EN', 'Saga', 'JP', '41');
INSERT INTO `subdivisions` VALUES ('1828', '0', '0', '0', 'EN', 'Nagasaki', 'JP', '42');
INSERT INTO `subdivisions` VALUES ('1829', '0', '0', '0', 'EN', 'Kumamoto', 'JP', '43');
INSERT INTO `subdivisions` VALUES ('1830', '0', '0', '0', 'EN', 'Ôita', 'JP', '44');
INSERT INTO `subdivisions` VALUES ('1831', '0', '0', '0', 'EN', 'Miyazaki', 'JP', '45');
INSERT INTO `subdivisions` VALUES ('1832', '0', '0', '0', 'EN', 'Kagosima', 'JP', '46');
INSERT INTO `subdivisions` VALUES ('1833', '0', '0', '0', 'EN', 'Okinawa', 'JP', '47');
INSERT INTO `subdivisions` VALUES ('1775', '0', '0', '0', 'EN', 'Ājlūn', 'JO', 'AJ');
INSERT INTO `subdivisions` VALUES ('1776', '0', '0', '0', 'EN', 'Āmmān', 'JO', 'AM');
INSERT INTO `subdivisions` VALUES ('1777', '0', '0', '0', 'EN', 'Al\' Āqabah', 'JO', 'AQ');
INSERT INTO `subdivisions` VALUES ('1778', '0', '0', '0', 'EN', 'Aţ Ţafīlah', 'JO', 'AT');
INSERT INTO `subdivisions` VALUES ('1779', '0', '0', '0', 'EN', 'Az Zarqā\'', 'JO', 'AZ');
INSERT INTO `subdivisions` VALUES ('1780', '0', '0', '0', 'EN', 'Al Balqā\'', 'JO', 'BA');
INSERT INTO `subdivisions` VALUES ('1781', '0', '0', '0', 'EN', 'Irbid', 'JO', 'IR');
INSERT INTO `subdivisions` VALUES ('1782', '0', '0', '0', 'EN', 'Jarash', 'JO', 'JA');
INSERT INTO `subdivisions` VALUES ('1783', '0', '0', '0', 'EN', 'Al Karak', 'JO', 'KA');
INSERT INTO `subdivisions` VALUES ('1784', '0', '0', '0', 'EN', 'Al Mafraq', 'JO', 'MA');
INSERT INTO `subdivisions` VALUES ('1785', '0', '0', '0', 'EN', 'Mādabā', 'JO', 'MD');
INSERT INTO `subdivisions` VALUES ('1786', '0', '0', '0', 'EN', 'Maٰān', 'JO', 'MN');
INSERT INTO `subdivisions` VALUES ('1761', '0', '0', '0', 'EN', 'Kingston', 'JM', '01');
INSERT INTO `subdivisions` VALUES ('1762', '0', '0', '0', 'EN', 'Saint Andrew', 'JM', '02');
INSERT INTO `subdivisions` VALUES ('1763', '0', '0', '0', 'EN', 'Saint Thomas', 'JM', '03');
INSERT INTO `subdivisions` VALUES ('1764', '0', '0', '0', 'EN', 'Portland', 'JM', '04');
INSERT INTO `subdivisions` VALUES ('1765', '0', '0', '0', 'EN', 'Saint Mary', 'JM', '05');
INSERT INTO `subdivisions` VALUES ('1766', '0', '0', '0', 'EN', 'Saint Ann', 'JM', '06');
INSERT INTO `subdivisions` VALUES ('1767', '0', '0', '0', 'EN', 'Trelawny', 'JM', '07');
INSERT INTO `subdivisions` VALUES ('1768', '0', '0', '0', 'EN', 'Saint James', 'JM', '08');
INSERT INTO `subdivisions` VALUES ('1769', '0', '0', '0', 'EN', 'Hanover', 'JM', '09');
INSERT INTO `subdivisions` VALUES ('1770', '0', '0', '0', 'EN', 'Westmoreland', 'JM', '10');
INSERT INTO `subdivisions` VALUES ('1771', '0', '0', '0', 'EN', 'Saint Elizabeth', 'JM', '11');
INSERT INTO `subdivisions` VALUES ('1772', '0', '0', '0', 'EN', 'Manchester', 'JM', '12');
INSERT INTO `subdivisions` VALUES ('1773', '0', '0', '0', 'EN', 'Clarendon', 'JM', '13');
INSERT INTO `subdivisions` VALUES ('1774', '0', '0', '0', 'EN', 'Saint Catherine', 'JM', '14');
INSERT INTO `subdivisions` VALUES ('1741', '0', '0', '0', 'EN', 'Piemonte', 'IT', '21');
INSERT INTO `subdivisions` VALUES ('1742', '0', '0', '0', 'EN', 'Valle d\'Aosta', 'IT', '23');
INSERT INTO `subdivisions` VALUES ('1743', '0', '0', '0', 'EN', 'Lombardia', 'IT', '25');
INSERT INTO `subdivisions` VALUES ('1744', '0', '0', '0', 'EN', 'Trentino-Alto Adige', 'IT', '32');
INSERT INTO `subdivisions` VALUES ('1745', '0', '0', '0', 'EN', 'Veneto', 'IT', '34');
INSERT INTO `subdivisions` VALUES ('1746', '0', '0', '0', 'EN', 'Friuli-Venezia Giulia', 'IT', '36');
INSERT INTO `subdivisions` VALUES ('1747', '0', '0', '0', 'EN', 'Liguria', 'IT', '42');
INSERT INTO `subdivisions` VALUES ('1748', '0', '0', '0', 'EN', 'Emilia-Romagna', 'IT', '45');
INSERT INTO `subdivisions` VALUES ('1749', '0', '0', '0', 'EN', 'Toscana', 'IT', '52');
INSERT INTO `subdivisions` VALUES ('1750', '0', '0', '0', 'EN', 'Umbria', 'IT', '55');
INSERT INTO `subdivisions` VALUES ('1751', '0', '0', '0', 'EN', 'Marche', 'IT', '57');
INSERT INTO `subdivisions` VALUES ('1752', '0', '0', '0', 'EN', 'Lazio', 'IT', '62');
INSERT INTO `subdivisions` VALUES ('1753', '0', '0', '0', 'EN', 'Abruzzo', 'IT', '65');
INSERT INTO `subdivisions` VALUES ('1754', '0', '0', '0', 'EN', 'Molise', 'IT', '67');
INSERT INTO `subdivisions` VALUES ('1755', '0', '0', '0', 'EN', 'Campania', 'IT', '72');
INSERT INTO `subdivisions` VALUES ('1756', '0', '0', '0', 'EN', 'Puglia', 'IT', '75');
INSERT INTO `subdivisions` VALUES ('1757', '0', '0', '0', 'EN', 'Basilicata', 'IT', '77');
INSERT INTO `subdivisions` VALUES ('1758', '0', '0', '0', 'EN', 'Calabria', 'IT', '78');
INSERT INTO `subdivisions` VALUES ('1759', '0', '0', '0', 'EN', 'Sicilia', 'IT', '82');
INSERT INTO `subdivisions` VALUES ('1760', '0', '0', '0', 'EN', 'Sardegna', 'IT', '88');
INSERT INTO `subdivisions` VALUES ('1732', '0', '0', '0', 'EN', 'Reykjavík', 'IS', '0');
INSERT INTO `subdivisions` VALUES ('1733', '0', '0', '0', 'EN', 'Höfuðborgarsvæði utan Reykjavíkur', 'IS', '1');
INSERT INTO `subdivisions` VALUES ('1734', '0', '0', '0', 'EN', 'Suðurnes', 'IS', '2');
INSERT INTO `subdivisions` VALUES ('1735', '0', '0', '0', 'EN', 'Vesturland', 'IS', '3');
INSERT INTO `subdivisions` VALUES ('1736', '0', '0', '0', 'EN', 'Vestfirðir', 'IS', '4');
INSERT INTO `subdivisions` VALUES ('1737', '0', '0', '0', 'EN', 'Norðurland vestra', 'IS', '5');
INSERT INTO `subdivisions` VALUES ('1738', '0', '0', '0', 'EN', 'Norðurland eystra', 'IS', '6');
INSERT INTO `subdivisions` VALUES ('1739', '0', '0', '0', 'EN', 'Austurland', 'IS', '7');
INSERT INTO `subdivisions` VALUES ('1740', '0', '0', '0', 'EN', 'Suðurland', 'IS', '8');
INSERT INTO `subdivisions` VALUES ('1702', '0', '0', '0', 'EN', 'Āz̄arbāyjān-e Sharqī', 'IR', '01');
INSERT INTO `subdivisions` VALUES ('1703', '0', '0', '0', 'EN', 'Āz̄arbāyjān-e Gharbī', 'IR', '02');
INSERT INTO `subdivisions` VALUES ('1704', '0', '0', '0', 'EN', 'Ardabīl', 'IR', '03');
INSERT INTO `subdivisions` VALUES ('1705', '0', '0', '0', 'EN', 'Eşfahān', 'IR', '04');
INSERT INTO `subdivisions` VALUES ('1706', '0', '0', '0', 'EN', 'Īlām', 'IR', '05');
INSERT INTO `subdivisions` VALUES ('1707', '0', '0', '0', 'EN', 'Būshehr', 'IR', '06');
INSERT INTO `subdivisions` VALUES ('1708', '0', '0', '0', 'EN', 'Tehrān', 'IR', '07');
INSERT INTO `subdivisions` VALUES ('1709', '0', '0', '0', 'EN', 'Chahār Maḩāll va Bakhtīārī', 'IR', '08');
INSERT INTO `subdivisions` VALUES ('1710', '0', '0', '0', 'EN', 'Khūzestān', 'IR', '10');
INSERT INTO `subdivisions` VALUES ('1711', '0', '0', '0', 'EN', 'Zanjān', 'IR', '11');
INSERT INTO `subdivisions` VALUES ('1712', '0', '0', '0', 'EN', 'Semnān', 'IR', '12');
INSERT INTO `subdivisions` VALUES ('1713', '0', '0', '0', 'EN', 'Sīstān va Balūchestān', 'IR', '13');
INSERT INTO `subdivisions` VALUES ('1714', '0', '0', '0', 'EN', 'Fārs', 'IR', '14');
INSERT INTO `subdivisions` VALUES ('1715', '0', '0', '0', 'EN', 'Kermān', 'IR', '15');
INSERT INTO `subdivisions` VALUES ('1716', '0', '0', '0', 'EN', 'Kordestān', 'IR', '16');
INSERT INTO `subdivisions` VALUES ('1717', '0', '0', '0', 'EN', 'Kermānshāh', 'IR', '17');
INSERT INTO `subdivisions` VALUES ('1718', '0', '0', '0', 'EN', 'Kohgīlūyeh va Būyer Aḩmad', 'IR', '18');
INSERT INTO `subdivisions` VALUES ('1719', '0', '0', '0', 'EN', 'Gīlān', 'IR', '19');
INSERT INTO `subdivisions` VALUES ('1720', '0', '0', '0', 'EN', 'Lorestān', 'IR', '20');
INSERT INTO `subdivisions` VALUES ('1721', '0', '0', '0', 'EN', 'Māzandarān', 'IR', '21');
INSERT INTO `subdivisions` VALUES ('1722', '0', '0', '0', 'EN', 'Markazī', 'IR', '22');
INSERT INTO `subdivisions` VALUES ('1723', '0', '0', '0', 'EN', 'Hormozgān', 'IR', '23');
INSERT INTO `subdivisions` VALUES ('1724', '0', '0', '0', 'EN', 'Hamadān', 'IR', '24');
INSERT INTO `subdivisions` VALUES ('1725', '0', '0', '0', 'EN', 'Yazd', 'IR', '25');
INSERT INTO `subdivisions` VALUES ('1726', '0', '0', '0', 'EN', 'Qom', 'IR', '26');
INSERT INTO `subdivisions` VALUES ('1727', '0', '0', '0', 'EN', 'Golestān', 'IR', '27');
INSERT INTO `subdivisions` VALUES ('1728', '0', '0', '0', 'EN', 'Qazvīn', 'IR', '28');
INSERT INTO `subdivisions` VALUES ('1729', '0', '0', '0', 'EN', 'Khorāsān-e Janūbī', 'IR', '29');
INSERT INTO `subdivisions` VALUES ('1730', '0', '0', '0', 'EN', 'Khorāsān-e Razavī', 'IR', '30');
INSERT INTO `subdivisions` VALUES ('1731', '0', '0', '0', 'EN', 'Khorāsān-e Shemālī', 'IR', '31');
INSERT INTO `subdivisions` VALUES ('1684', '0', '0', '0', 'EN', 'Al Anbār', 'IQ', 'AN');
INSERT INTO `subdivisions` VALUES ('1685', '0', '0', '0', 'EN', 'Arbīl', 'IQ', 'AR');
INSERT INTO `subdivisions` VALUES ('1686', '0', '0', '0', 'EN', 'Al Başrah', 'IQ', 'BA');
INSERT INTO `subdivisions` VALUES ('1687', '0', '0', '0', 'EN', 'Bābil', 'IQ', 'BB');
INSERT INTO `subdivisions` VALUES ('1688', '0', '0', '0', 'EN', 'Baghdād', 'IQ', 'BG');
INSERT INTO `subdivisions` VALUES ('1689', '0', '0', '0', 'EN', 'Dahūk', 'IQ', 'DA');
INSERT INTO `subdivisions` VALUES ('1690', '0', '0', '0', 'EN', 'Diyālá', 'IQ', 'DI');
INSERT INTO `subdivisions` VALUES ('1691', '0', '0', '0', 'EN', 'Dhī Qār', 'IQ', 'DQ');
INSERT INTO `subdivisions` VALUES ('1692', '0', '0', '0', 'EN', 'Karbalā\'', 'IQ', 'KA');
INSERT INTO `subdivisions` VALUES ('1693', '0', '0', '0', 'EN', 'Maysān', 'IQ', 'MA');
INSERT INTO `subdivisions` VALUES ('1694', '0', '0', '0', 'EN', 'Al Muthanná', 'IQ', 'MU');
INSERT INTO `subdivisions` VALUES ('1695', '0', '0', '0', 'EN', 'An Najaf', 'IQ', 'NA');
INSERT INTO `subdivisions` VALUES ('1696', '0', '0', '0', 'EN', 'Nīnawá', 'IQ', 'NI');
INSERT INTO `subdivisions` VALUES ('1697', '0', '0', '0', 'EN', 'Al Qādisīyah', 'IQ', 'QA');
INSERT INTO `subdivisions` VALUES ('1698', '0', '0', '0', 'EN', 'Şalāḩ ad Dīn', 'IQ', 'SD');
INSERT INTO `subdivisions` VALUES ('1699', '0', '0', '0', 'EN', 'As Sulaymānīyah', 'IQ', 'SU');
INSERT INTO `subdivisions` VALUES ('1700', '0', '0', '0', 'EN', 'At Ta\'mīm [note 1]', 'IQ', 'TS');
INSERT INTO `subdivisions` VALUES ('1701', '0', '0', '0', 'EN', 'Wāsiţ', 'IQ', 'WA');
INSERT INTO `subdivisions` VALUES ('1649', '0', '0', '0', 'EN', 'Andaman and Nicobar Islands', 'IN', 'AN');
INSERT INTO `subdivisions` VALUES ('1650', '0', '0', '0', 'EN', 'Andhra Pradesh', 'IN', 'AP');
INSERT INTO `subdivisions` VALUES ('1651', '0', '0', '0', 'EN', 'Arunachal Pradesh', 'IN', 'AR');
INSERT INTO `subdivisions` VALUES ('1652', '0', '0', '0', 'EN', 'Assam', 'IN', 'AS');
INSERT INTO `subdivisions` VALUES ('1653', '0', '0', '0', 'EN', 'Bihar', 'IN', 'BR');
INSERT INTO `subdivisions` VALUES ('1654', '0', '0', '0', 'EN', 'Chandigarh', 'IN', 'CH');
INSERT INTO `subdivisions` VALUES ('1655', '0', '0', '0', 'EN', 'Chhattisgarh', 'IN', 'CT');
INSERT INTO `subdivisions` VALUES ('1656', '0', '0', '0', 'EN', 'Daman and Diu', 'IN', 'DD');
INSERT INTO `subdivisions` VALUES ('1657', '0', '0', '0', 'EN', 'Delhi', 'IN', 'DL');
INSERT INTO `subdivisions` VALUES ('1658', '0', '0', '0', 'EN', 'Dadra and Nagar Haveli', 'IN', 'DN');
INSERT INTO `subdivisions` VALUES ('1659', '0', '0', '0', 'EN', 'Goa', 'IN', 'GA');
INSERT INTO `subdivisions` VALUES ('1660', '0', '0', '0', 'EN', 'Gujarat', 'IN', 'GJ');
INSERT INTO `subdivisions` VALUES ('1661', '0', '0', '0', 'EN', 'Himachal Pradesh', 'IN', 'HP');
INSERT INTO `subdivisions` VALUES ('1662', '0', '0', '0', 'EN', 'Haryana', 'IN', 'HR');
INSERT INTO `subdivisions` VALUES ('1663', '0', '0', '0', 'EN', 'Jharkhand', 'IN', 'JH');
INSERT INTO `subdivisions` VALUES ('1664', '0', '0', '0', 'EN', 'Jammu and Kashmir', 'IN', 'JK');
INSERT INTO `subdivisions` VALUES ('1665', '0', '0', '0', 'EN', 'Karnataka', 'IN', 'KA');
INSERT INTO `subdivisions` VALUES ('1666', '0', '0', '0', 'EN', 'Kerala', 'IN', 'KL');
INSERT INTO `subdivisions` VALUES ('1667', '0', '0', '0', 'EN', 'Lakshadweep', 'IN', 'LD');
INSERT INTO `subdivisions` VALUES ('1668', '0', '0', '0', 'EN', 'Maharashtra', 'IN', 'MH');
INSERT INTO `subdivisions` VALUES ('1669', '0', '0', '0', 'EN', 'Meghalaya', 'IN', 'ML');
INSERT INTO `subdivisions` VALUES ('1670', '0', '0', '0', 'EN', 'Manipur', 'IN', 'MN');
INSERT INTO `subdivisions` VALUES ('1671', '0', '0', '0', 'EN', 'Madhya Pradesh', 'IN', 'MP');
INSERT INTO `subdivisions` VALUES ('1672', '0', '0', '0', 'EN', 'Mizoram', 'IN', 'MZ');
INSERT INTO `subdivisions` VALUES ('1673', '0', '0', '0', 'EN', 'Nagaland', 'IN', 'NL');
INSERT INTO `subdivisions` VALUES ('1674', '0', '0', '0', 'EN', 'Odisha', 'IN', 'OR');
INSERT INTO `subdivisions` VALUES ('1675', '0', '0', '0', 'EN', 'Punjab', 'IN', 'PB');
INSERT INTO `subdivisions` VALUES ('1676', '0', '0', '0', 'EN', 'Pondicherry', 'IN', 'PY');
INSERT INTO `subdivisions` VALUES ('1677', '0', '0', '0', 'EN', 'Rajasthan', 'IN', 'RJ');
INSERT INTO `subdivisions` VALUES ('1678', '0', '0', '0', 'EN', 'Sikkim', 'IN', 'SK');
INSERT INTO `subdivisions` VALUES ('1679', '0', '0', '0', 'EN', 'Tamil Nadu', 'IN', 'TN');
INSERT INTO `subdivisions` VALUES ('1680', '0', '0', '0', 'EN', 'Tripura', 'IN', 'TR');
INSERT INTO `subdivisions` VALUES ('1681', '0', '0', '0', 'EN', 'Uttar Pradesh', 'IN', 'UP');
INSERT INTO `subdivisions` VALUES ('1682', '0', '0', '0', 'EN', 'Uttarakhand', 'IN', 'UT');
INSERT INTO `subdivisions` VALUES ('1683', '0', '0', '0', 'EN', 'West Bengal', 'IN', 'WB');
INSERT INTO `subdivisions` VALUES ('1643', '0', '0', '0', 'EN', 'HaDarom', 'IL', 'D');
INSERT INTO `subdivisions` VALUES ('1644', '0', '0', '0', 'EN', 'H̱efa', 'IL', 'HA');
INSERT INTO `subdivisions` VALUES ('1645', '0', '0', '0', 'EN', 'Yerushalayim', 'IL', 'JM');
INSERT INTO `subdivisions` VALUES ('1646', '0', '0', '0', 'EN', 'HaMerkaz', 'IL', 'M');
INSERT INTO `subdivisions` VALUES ('1647', '0', '0', '0', 'EN', 'Tel-Aviv', 'IL', 'TA');
INSERT INTO `subdivisions` VALUES ('1648', '0', '0', '0', 'EN', 'HaẔafon', 'IL', 'Z');
INSERT INTO `subdivisions` VALUES ('1617', '0', '0', '0', 'EN', 'Clare', 'IE', 'CE');
INSERT INTO `subdivisions` VALUES ('1618', '0', '0', '0', 'EN', 'Cavan', 'IE', 'CN');
INSERT INTO `subdivisions` VALUES ('1619', '0', '0', '0', 'EN', 'Cork', 'IE', 'CO');
INSERT INTO `subdivisions` VALUES ('1620', '0', '0', '0', 'EN', 'Carlow', 'IE', 'CW');
INSERT INTO `subdivisions` VALUES ('1621', '0', '0', '0', 'EN', 'Dublin', 'IE', 'D');
INSERT INTO `subdivisions` VALUES ('1622', '0', '0', '0', 'EN', 'Donegal', 'IE', 'DL');
INSERT INTO `subdivisions` VALUES ('1623', '0', '0', '0', 'EN', 'Galway', 'IE', 'G');
INSERT INTO `subdivisions` VALUES ('1624', '0', '0', '0', 'EN', 'Kildare', 'IE', 'KE');
INSERT INTO `subdivisions` VALUES ('1625', '0', '0', '0', 'EN', 'Kilkenny', 'IE', 'KK');
INSERT INTO `subdivisions` VALUES ('1626', '0', '0', '0', 'EN', 'Kerry', 'IE', 'KY');
INSERT INTO `subdivisions` VALUES ('1627', '0', '0', '0', 'EN', 'Longford', 'IE', 'LD');
INSERT INTO `subdivisions` VALUES ('1628', '0', '0', '0', 'EN', 'Louth', 'IE', 'LH');
INSERT INTO `subdivisions` VALUES ('1629', '0', '0', '0', 'EN', 'Limerick', 'IE', 'LK');
INSERT INTO `subdivisions` VALUES ('1630', '0', '0', '0', 'EN', 'Leitrim', 'IE', 'LM');
INSERT INTO `subdivisions` VALUES ('1631', '0', '0', '0', 'EN', 'Laois', 'IE', 'LS');
INSERT INTO `subdivisions` VALUES ('1632', '0', '0', '0', 'EN', 'Meath', 'IE', 'MH');
INSERT INTO `subdivisions` VALUES ('1633', '0', '0', '0', 'EN', 'Monaghan', 'IE', 'MN');
INSERT INTO `subdivisions` VALUES ('1634', '0', '0', '0', 'EN', 'Mayo', 'IE', 'MO');
INSERT INTO `subdivisions` VALUES ('1635', '0', '0', '0', 'EN', 'Offaly', 'IE', 'OY');
INSERT INTO `subdivisions` VALUES ('1636', '0', '0', '0', 'EN', 'Roscommon', 'IE', 'RN');
INSERT INTO `subdivisions` VALUES ('1637', '0', '0', '0', 'EN', 'Sligo', 'IE', 'SO');
INSERT INTO `subdivisions` VALUES ('1638', '0', '0', '0', 'EN', 'Tipperary', 'IE', 'TA');
INSERT INTO `subdivisions` VALUES ('1639', '0', '0', '0', 'EN', 'Waterford', 'IE', 'WD');
INSERT INTO `subdivisions` VALUES ('1640', '0', '0', '0', 'EN', 'Westmeath', 'IE', 'WH');
INSERT INTO `subdivisions` VALUES ('1641', '0', '0', '0', 'EN', 'Wicklow', 'IE', 'WW');
INSERT INTO `subdivisions` VALUES ('1642', '0', '0', '0', 'EN', 'Wexford', 'IE', 'WX');
INSERT INTO `subdivisions` VALUES ('1584', '0', '0', '0', 'EN', 'Aceh', 'ID', 'AC');
INSERT INTO `subdivisions` VALUES ('1585', '0', '0', '0', 'EN', 'Bali', 'ID', 'BA');
INSERT INTO `subdivisions` VALUES ('1586', '0', '0', '0', 'EN', 'Bangka Belitung', 'ID', 'BB');
INSERT INTO `subdivisions` VALUES ('1587', '0', '0', '0', 'EN', 'Bengkulu', 'ID', 'BE');
INSERT INTO `subdivisions` VALUES ('1588', '0', '0', '0', 'EN', 'Banten', 'ID', 'BT');
INSERT INTO `subdivisions` VALUES ('1589', '0', '0', '0', 'EN', 'Gorontalo', 'ID', 'GO');
INSERT INTO `subdivisions` VALUES ('1590', '0', '0', '0', 'EN', 'Jambi', 'ID', 'JA');
INSERT INTO `subdivisions` VALUES ('1591', '0', '0', '0', 'EN', 'Jawa Barat', 'ID', 'JB');
INSERT INTO `subdivisions` VALUES ('1592', '0', '0', '0', 'EN', 'Jawa Timur', 'ID', 'JI');
INSERT INTO `subdivisions` VALUES ('1593', '0', '0', '0', 'EN', 'Jakarta Raya', 'ID', 'JK');
INSERT INTO `subdivisions` VALUES ('1594', '0', '0', '0', 'EN', 'Jawa Tengah', 'ID', 'JT');
INSERT INTO `subdivisions` VALUES ('1595', '0', '0', '0', 'EN', 'Kalimantan Barat', 'ID', 'KB');
INSERT INTO `subdivisions` VALUES ('1596', '0', '0', '0', 'EN', 'Kalimantan Timur', 'ID', 'KI');
INSERT INTO `subdivisions` VALUES ('1597', '0', '0', '0', 'EN', 'Kepulauan Riau', 'ID', 'KR');
INSERT INTO `subdivisions` VALUES ('1598', '0', '0', '0', 'EN', 'Kalimantan Selatan', 'ID', 'KS');
INSERT INTO `subdivisions` VALUES ('1599', '0', '0', '0', 'EN', 'Kalimantan Tengah', 'ID', 'KT');
INSERT INTO `subdivisions` VALUES ('1600', '0', '0', '0', 'EN', 'Lampung', 'ID', 'LA');
INSERT INTO `subdivisions` VALUES ('1601', '0', '0', '0', 'EN', 'Maluku', 'ID', 'MA');
INSERT INTO `subdivisions` VALUES ('1602', '0', '0', '0', 'EN', 'Maluku Utara', 'ID', 'MU');
INSERT INTO `subdivisions` VALUES ('1603', '0', '0', '0', 'EN', 'Nusa Tenggara Barat', 'ID', 'NB');
INSERT INTO `subdivisions` VALUES ('1604', '0', '0', '0', 'EN', 'Nusa Tenggara Timur', 'ID', 'NT');
INSERT INTO `subdivisions` VALUES ('1605', '0', '0', '0', 'EN', 'Papua', 'ID', 'PA');
INSERT INTO `subdivisions` VALUES ('1606', '0', '0', '0', 'EN', 'Papua Barat', 'ID', 'PB');
INSERT INTO `subdivisions` VALUES ('1607', '0', '0', '0', 'EN', 'Riau', 'ID', 'RI');
INSERT INTO `subdivisions` VALUES ('1608', '0', '0', '0', 'EN', 'Sulawesi Utara', 'ID', 'SA');
INSERT INTO `subdivisions` VALUES ('1609', '0', '0', '0', 'EN', 'Sumatera Barat', 'ID', 'SB');
INSERT INTO `subdivisions` VALUES ('1610', '0', '0', '0', 'EN', 'Sulawesi Tenggara', 'ID', 'SG');
INSERT INTO `subdivisions` VALUES ('1611', '0', '0', '0', 'EN', 'Sulawesi Selatan', 'ID', 'SN');
INSERT INTO `subdivisions` VALUES ('1612', '0', '0', '0', 'EN', 'Sulawesi Barat', 'ID', 'SR');
INSERT INTO `subdivisions` VALUES ('1613', '0', '0', '0', 'EN', 'Sumatera Selatan', 'ID', 'SS');
INSERT INTO `subdivisions` VALUES ('1614', '0', '0', '0', 'EN', 'Sulawesi Tengah', 'ID', 'ST');
INSERT INTO `subdivisions` VALUES ('1615', '0', '0', '0', 'EN', 'Sumatera Utara', 'ID', 'SU');
INSERT INTO `subdivisions` VALUES ('1616', '0', '0', '0', 'EN', 'Yogyakarta', 'ID', 'YO');
INSERT INTO `subdivisions` VALUES ('1541', '0', '0', '0', 'EN', 'Baranya', 'HU', 'BA');
INSERT INTO `subdivisions` VALUES ('1542', '0', '0', '0', 'EN', 'Békéscsaba', 'HU', 'BC');
INSERT INTO `subdivisions` VALUES ('1543', '0', '0', '0', 'EN', 'Békés', 'HU', 'BE');
INSERT INTO `subdivisions` VALUES ('1544', '0', '0', '0', 'EN', 'Bács-Kiskun', 'HU', 'BK');
INSERT INTO `subdivisions` VALUES ('1545', '0', '0', '0', 'EN', 'Budapest', 'HU', 'BU');
INSERT INTO `subdivisions` VALUES ('1546', '0', '0', '0', 'EN', 'Borsod-Abaúj-Zemplén', 'HU', 'BZ');
INSERT INTO `subdivisions` VALUES ('1547', '0', '0', '0', 'EN', 'Csongrád', 'HU', 'CS');
INSERT INTO `subdivisions` VALUES ('1548', '0', '0', '0', 'EN', 'Debrecen', 'HU', 'DE');
INSERT INTO `subdivisions` VALUES ('1549', '0', '0', '0', 'EN', 'Dunaújváros', 'HU', 'DU');
INSERT INTO `subdivisions` VALUES ('1550', '0', '0', '0', 'EN', 'Eger', 'HU', 'EG');
INSERT INTO `subdivisions` VALUES ('1551', '0', '0', '0', 'EN', 'Érd', 'HU', 'ER');
INSERT INTO `subdivisions` VALUES ('1552', '0', '0', '0', 'EN', 'Fejér', 'HU', 'FE');
INSERT INTO `subdivisions` VALUES ('1553', '0', '0', '0', 'EN', 'Győr-Moson-Sopron', 'HU', 'GS');
INSERT INTO `subdivisions` VALUES ('1554', '0', '0', '0', 'EN', 'Győr', 'HU', 'GY');
INSERT INTO `subdivisions` VALUES ('1555', '0', '0', '0', 'EN', 'Hajdú-Bihar', 'HU', 'HB');
INSERT INTO `subdivisions` VALUES ('1556', '0', '0', '0', 'EN', 'Heves', 'HU', 'HE');
INSERT INTO `subdivisions` VALUES ('1557', '0', '0', '0', 'EN', 'Hódmezővásárhely', 'HU', 'HV');
INSERT INTO `subdivisions` VALUES ('1558', '0', '0', '0', 'EN', 'Jász-Nagykun-Szolnok', 'HU', 'JN');
INSERT INTO `subdivisions` VALUES ('1559', '0', '0', '0', 'EN', 'Komárom-Esztergom', 'HU', 'KE');
INSERT INTO `subdivisions` VALUES ('1560', '0', '0', '0', 'EN', 'Kecskemét', 'HU', 'KM');
INSERT INTO `subdivisions` VALUES ('1561', '0', '0', '0', 'EN', 'Kaposvár', 'HU', 'KV');
INSERT INTO `subdivisions` VALUES ('1562', '0', '0', '0', 'EN', 'Miskolc', 'HU', 'MI');
INSERT INTO `subdivisions` VALUES ('1563', '0', '0', '0', 'EN', 'Nagykanizsa', 'HU', 'NK');
INSERT INTO `subdivisions` VALUES ('1564', '0', '0', '0', 'EN', 'Nógrád', 'HU', 'NO');
INSERT INTO `subdivisions` VALUES ('1565', '0', '0', '0', 'EN', 'Nyíregyháza', 'HU', 'NY');
INSERT INTO `subdivisions` VALUES ('1566', '0', '0', '0', 'EN', 'Pest', 'HU', 'PE');
INSERT INTO `subdivisions` VALUES ('1567', '0', '0', '0', 'EN', 'Pécs', 'HU', 'PS');
INSERT INTO `subdivisions` VALUES ('1568', '0', '0', '0', 'EN', 'Szeged', 'HU', 'SD');
INSERT INTO `subdivisions` VALUES ('1569', '0', '0', '0', 'EN', 'Székesfehérvár', 'HU', 'SF');
INSERT INTO `subdivisions` VALUES ('1570', '0', '0', '0', 'EN', 'Szombathely', 'HU', 'SH');
INSERT INTO `subdivisions` VALUES ('1571', '0', '0', '0', 'EN', 'Szolnok', 'HU', 'SK');
INSERT INTO `subdivisions` VALUES ('1572', '0', '0', '0', 'EN', 'Sopron', 'HU', 'SN');
INSERT INTO `subdivisions` VALUES ('1573', '0', '0', '0', 'EN', 'Somogy', 'HU', 'SO');
INSERT INTO `subdivisions` VALUES ('1574', '0', '0', '0', 'EN', 'Szekszárd', 'HU', 'SS');
INSERT INTO `subdivisions` VALUES ('1575', '0', '0', '0', 'EN', 'Salgótarján', 'HU', 'ST');
INSERT INTO `subdivisions` VALUES ('1576', '0', '0', '0', 'EN', 'Szabolcs-Szatmár-Bereg', 'HU', 'SZ');
INSERT INTO `subdivisions` VALUES ('1577', '0', '0', '0', 'EN', 'Tatabánya', 'HU', 'TB');
INSERT INTO `subdivisions` VALUES ('1578', '0', '0', '0', 'EN', 'Tolna', 'HU', 'TO');
INSERT INTO `subdivisions` VALUES ('1579', '0', '0', '0', 'EN', 'Vas', 'HU', 'VA');
INSERT INTO `subdivisions` VALUES ('1580', '0', '0', '0', 'EN', 'Veszprém', 'HU', 'VE');
INSERT INTO `subdivisions` VALUES ('1581', '0', '0', '0', 'EN', 'Veszprém', 'HU', 'VM');
INSERT INTO `subdivisions` VALUES ('1582', '0', '0', '0', 'EN', 'Zala', 'HU', 'ZA');
INSERT INTO `subdivisions` VALUES ('1583', '0', '0', '0', 'EN', 'Zalaegerszeg', 'HU', 'ZE');
INSERT INTO `subdivisions` VALUES ('1531', '0', '0', '0', 'EN', 'Artibonite', 'HT', 'AR');
INSERT INTO `subdivisions` VALUES ('1532', '0', '0', '0', 'EN', 'Centre', 'HT', 'CE');
INSERT INTO `subdivisions` VALUES ('1533', '0', '0', '0', 'EN', 'Grande-Anse', 'HT', 'GA');
INSERT INTO `subdivisions` VALUES ('1534', '0', '0', '0', 'EN', 'Nord', 'HT', 'ND');
INSERT INTO `subdivisions` VALUES ('1535', '0', '0', '0', 'EN', 'Nord-Est', 'HT', 'NE');
INSERT INTO `subdivisions` VALUES ('1536', '0', '0', '0', 'EN', 'Nippes', 'HT', 'NI');
INSERT INTO `subdivisions` VALUES ('1537', '0', '0', '0', 'EN', 'Nord-Ouest', 'HT', 'NO');
INSERT INTO `subdivisions` VALUES ('1538', '0', '0', '0', 'EN', 'Ouest', 'HT', 'OU');
INSERT INTO `subdivisions` VALUES ('1539', '0', '0', '0', 'EN', 'Sud', 'HT', 'SD');
INSERT INTO `subdivisions` VALUES ('1540', '0', '0', '0', 'EN', 'Sud-Est', 'HT', 'SE');
INSERT INTO `subdivisions` VALUES ('1510', '0', '0', '0', 'EN', 'Zagrebačka županija', 'HR', '01');
INSERT INTO `subdivisions` VALUES ('1511', '0', '0', '0', 'EN', 'Krapinsko-zagorska županija', 'HR', '02');
INSERT INTO `subdivisions` VALUES ('1512', '0', '0', '0', 'EN', 'Sisačko-moslavačka županija', 'HR', '03');
INSERT INTO `subdivisions` VALUES ('1513', '0', '0', '0', 'EN', 'Karlovačka županija', 'HR', '04');
INSERT INTO `subdivisions` VALUES ('1514', '0', '0', '0', 'EN', 'Varaždinska županija', 'HR', '05');
INSERT INTO `subdivisions` VALUES ('1515', '0', '0', '0', 'EN', 'Koprivničko-križevačka županija', 'HR', '06');
INSERT INTO `subdivisions` VALUES ('1516', '0', '0', '0', 'EN', 'Bjelovarsko-bilogorska županija', 'HR', '07');
INSERT INTO `subdivisions` VALUES ('1517', '0', '0', '0', 'EN', 'Primorsko-goranska županija', 'HR', '08');
INSERT INTO `subdivisions` VALUES ('1518', '0', '0', '0', 'EN', 'Ličko-senjska županija', 'HR', '09');
INSERT INTO `subdivisions` VALUES ('1519', '0', '0', '0', 'EN', 'Virovitičko-podravska županija', 'HR', '10');
INSERT INTO `subdivisions` VALUES ('1520', '0', '0', '0', 'EN', 'Požeško-slavonska županija', 'HR', '11');
INSERT INTO `subdivisions` VALUES ('1521', '0', '0', '0', 'EN', 'Brodsko-posavska županija', 'HR', '12');
INSERT INTO `subdivisions` VALUES ('1522', '0', '0', '0', 'EN', 'Zadarska županija', 'HR', '13');
INSERT INTO `subdivisions` VALUES ('1523', '0', '0', '0', 'EN', 'Osječko-baranjska županija', 'HR', '14');
INSERT INTO `subdivisions` VALUES ('1524', '0', '0', '0', 'EN', 'Šibensko-kninska županija', 'HR', '15');
INSERT INTO `subdivisions` VALUES ('1525', '0', '0', '0', 'EN', 'Vukovarsko-srijemska županija', 'HR', '16');
INSERT INTO `subdivisions` VALUES ('1526', '0', '0', '0', 'EN', 'Splitsko-dalmatinska županija', 'HR', '17');
INSERT INTO `subdivisions` VALUES ('1527', '0', '0', '0', 'EN', 'Istarska županija', 'HR', '18');
INSERT INTO `subdivisions` VALUES ('1528', '0', '0', '0', 'EN', 'Dubrovačko-neretvanska županija', 'HR', '19');
INSERT INTO `subdivisions` VALUES ('1529', '0', '0', '0', 'EN', 'Međimurska županija', 'HR', '20');
INSERT INTO `subdivisions` VALUES ('1530', '0', '0', '0', 'EN', 'Grad Zagreb', 'HR', '21');
INSERT INTO `subdivisions` VALUES ('1492', '0', '0', '0', 'EN', 'Atlántida', 'HN', 'AT');
INSERT INTO `subdivisions` VALUES ('1493', '0', '0', '0', 'EN', 'Choluteca', 'HN', 'CH');
INSERT INTO `subdivisions` VALUES ('1494', '0', '0', '0', 'EN', 'Colón', 'HN', 'CL');
INSERT INTO `subdivisions` VALUES ('1495', '0', '0', '0', 'EN', 'Comayagua', 'HN', 'CM');
INSERT INTO `subdivisions` VALUES ('1496', '0', '0', '0', 'EN', 'Copán', 'HN', 'CP');
INSERT INTO `subdivisions` VALUES ('1497', '0', '0', '0', 'EN', 'Cortés', 'HN', 'CR');
INSERT INTO `subdivisions` VALUES ('1498', '0', '0', '0', 'EN', 'El Paraíso', 'HN', 'EP');
INSERT INTO `subdivisions` VALUES ('1499', '0', '0', '0', 'EN', 'Francisco Morazán', 'HN', 'FM');
INSERT INTO `subdivisions` VALUES ('1500', '0', '0', '0', 'EN', 'Gracias a Dios', 'HN', 'GD');
INSERT INTO `subdivisions` VALUES ('1501', '0', '0', '0', 'EN', 'Islas de la Bahía', 'HN', 'IB');
INSERT INTO `subdivisions` VALUES ('1502', '0', '0', '0', 'EN', 'Intibucá', 'HN', 'IN');
INSERT INTO `subdivisions` VALUES ('1503', '0', '0', '0', 'EN', 'Lempira', 'HN', 'LE');
INSERT INTO `subdivisions` VALUES ('1504', '0', '0', '0', 'EN', 'La Paz', 'HN', 'LP');
INSERT INTO `subdivisions` VALUES ('1505', '0', '0', '0', 'EN', 'Ocotepeque', 'HN', 'OC');
INSERT INTO `subdivisions` VALUES ('1506', '0', '0', '0', 'EN', 'Olancho', 'HN', 'OL');
INSERT INTO `subdivisions` VALUES ('1507', '0', '0', '0', 'EN', 'Santa Bárbara', 'HN', 'SB');
INSERT INTO `subdivisions` VALUES ('1508', '0', '0', '0', 'EN', 'Valle', 'HN', 'VA');
INSERT INTO `subdivisions` VALUES ('1509', '0', '0', '0', 'EN', 'Yoro', 'HN', 'YO');
INSERT INTO `subdivisions` VALUES ('1482', '0', '0', '0', 'EN', 'Barima-Waini', 'GY', 'BA');
INSERT INTO `subdivisions` VALUES ('1483', '0', '0', '0', 'EN', 'Cuyuni-Mazaruni', 'GY', 'CU');
INSERT INTO `subdivisions` VALUES ('1484', '0', '0', '0', 'EN', 'Demerara-Mahaica', 'GY', 'DE');
INSERT INTO `subdivisions` VALUES ('1485', '0', '0', '0', 'EN', 'East Berbice-Corentyne', 'GY', 'EB');
INSERT INTO `subdivisions` VALUES ('1486', '0', '0', '0', 'EN', 'Essequibo Islands-West Demerara', 'GY', 'ES');
INSERT INTO `subdivisions` VALUES ('1487', '0', '0', '0', 'EN', 'Mahaica-Berbice', 'GY', 'MA');
INSERT INTO `subdivisions` VALUES ('1488', '0', '0', '0', 'EN', 'Pomeroon-Supenaam', 'GY', 'PM');
INSERT INTO `subdivisions` VALUES ('1489', '0', '0', '0', 'EN', 'Potaro-Siparuni', 'GY', 'PT');
INSERT INTO `subdivisions` VALUES ('1490', '0', '0', '0', 'EN', 'Upper Demerara-Berbice', 'GY', 'UD');
INSERT INTO `subdivisions` VALUES ('1491', '0', '0', '0', 'EN', 'Upper Takutu-Upper Essequibo', 'GY', 'UT');
INSERT INTO `subdivisions` VALUES ('1473', '0', '0', '0', 'EN', 'Bafatá', 'GW', 'BA');
INSERT INTO `subdivisions` VALUES ('1474', '0', '0', '0', 'EN', 'Bolama', 'GW', 'BL');
INSERT INTO `subdivisions` VALUES ('1475', '0', '0', '0', 'EN', 'Biombo', 'GW', 'BM');
INSERT INTO `subdivisions` VALUES ('1476', '0', '0', '0', 'EN', 'Bissau', 'GW', 'BS');
INSERT INTO `subdivisions` VALUES ('1477', '0', '0', '0', 'EN', 'Cacheu', 'GW', 'CA');
INSERT INTO `subdivisions` VALUES ('1478', '0', '0', '0', 'EN', 'Gabú', 'GW', 'GA');
INSERT INTO `subdivisions` VALUES ('1479', '0', '0', '0', 'EN', 'Oio', 'GW', 'OI');
INSERT INTO `subdivisions` VALUES ('1480', '0', '0', '0', 'EN', 'Quinara', 'GW', 'QU');
INSERT INTO `subdivisions` VALUES ('1481', '0', '0', '0', 'EN', 'Tombali', 'GW', 'TO');
INSERT INTO `subdivisions` VALUES ('1451', '0', '0', '0', 'EN', 'Alta Verapaz', 'GT', 'AV');
INSERT INTO `subdivisions` VALUES ('1452', '0', '0', '0', 'EN', 'Baja Verapaz', 'GT', 'BV');
INSERT INTO `subdivisions` VALUES ('1453', '0', '0', '0', 'EN', 'Chimaltenango', 'GT', 'CM');
INSERT INTO `subdivisions` VALUES ('1454', '0', '0', '0', 'EN', 'Chiquimula', 'GT', 'CQ');
INSERT INTO `subdivisions` VALUES ('1455', '0', '0', '0', 'EN', 'Escuintla', 'GT', 'ES');
INSERT INTO `subdivisions` VALUES ('1456', '0', '0', '0', 'EN', 'Guatemala', 'GT', 'GU');
INSERT INTO `subdivisions` VALUES ('1457', '0', '0', '0', 'EN', 'Huehuetenango', 'GT', 'HU');
INSERT INTO `subdivisions` VALUES ('1458', '0', '0', '0', 'EN', 'Izabal', 'GT', 'IZ');
INSERT INTO `subdivisions` VALUES ('1459', '0', '0', '0', 'EN', 'Jalapa', 'GT', 'JA');
INSERT INTO `subdivisions` VALUES ('1460', '0', '0', '0', 'EN', 'Jutiapa', 'GT', 'JU');
INSERT INTO `subdivisions` VALUES ('1461', '0', '0', '0', 'EN', 'Petén', 'GT', 'PE');
INSERT INTO `subdivisions` VALUES ('1462', '0', '0', '0', 'EN', 'El Progreso', 'GT', 'PR');
INSERT INTO `subdivisions` VALUES ('1463', '0', '0', '0', 'EN', 'Quiché', 'GT', 'QC');
INSERT INTO `subdivisions` VALUES ('1464', '0', '0', '0', 'EN', 'Quetzaltenango', 'GT', 'QZ');
INSERT INTO `subdivisions` VALUES ('1465', '0', '0', '0', 'EN', 'Retalhuleu', 'GT', 'RE');
INSERT INTO `subdivisions` VALUES ('1466', '0', '0', '0', 'EN', 'Sacatepéquez', 'GT', 'SA');
INSERT INTO `subdivisions` VALUES ('1467', '0', '0', '0', 'EN', 'San Marcos', 'GT', 'SM');
INSERT INTO `subdivisions` VALUES ('1468', '0', '0', '0', 'EN', 'Sololá', 'GT', 'SO');
INSERT INTO `subdivisions` VALUES ('1469', '0', '0', '0', 'EN', 'Santa Rosa', 'GT', 'SR');
INSERT INTO `subdivisions` VALUES ('1470', '0', '0', '0', 'EN', 'Suchitepéquez', 'GT', 'SU');
INSERT INTO `subdivisions` VALUES ('1471', '0', '0', '0', 'EN', 'Totonicapán', 'GT', 'TO');
INSERT INTO `subdivisions` VALUES ('1472', '0', '0', '0', 'EN', 'Zacapa', 'GT', 'ZA');
INSERT INTO `subdivisions` VALUES ('1438', '0', '0', '0', 'EN', 'Anatoliki Makedonia kai Thraki', 'GR', 'A');
INSERT INTO `subdivisions` VALUES ('1439', '0', '0', '0', 'EN', 'Kentriki Makedonia', 'GR', 'B');
INSERT INTO `subdivisions` VALUES ('1440', '0', '0', '0', 'EN', 'Dytiki Makedonia', 'GR', 'C');
INSERT INTO `subdivisions` VALUES ('1441', '0', '0', '0', 'EN', 'Ipeiros', 'GR', 'D');
INSERT INTO `subdivisions` VALUES ('1442', '0', '0', '0', 'EN', 'Thessalia', 'GR', 'E');
INSERT INTO `subdivisions` VALUES ('1443', '0', '0', '0', 'EN', 'Ionia Nisia', 'GR', 'F');
INSERT INTO `subdivisions` VALUES ('1444', '0', '0', '0', 'EN', 'Dytiki Ellada', 'GR', 'G');
INSERT INTO `subdivisions` VALUES ('1445', '0', '0', '0', 'EN', 'Sterea Ellada', 'GR', 'H');
INSERT INTO `subdivisions` VALUES ('1446', '0', '0', '0', 'EN', 'Attiki', 'GR', 'I');
INSERT INTO `subdivisions` VALUES ('1447', '0', '0', '0', 'EN', 'Peloponnisos', 'GR', 'J');
INSERT INTO `subdivisions` VALUES ('1448', '0', '0', '0', 'EN', 'Voreio Aigaio', 'GR', 'K');
INSERT INTO `subdivisions` VALUES ('1449', '0', '0', '0', 'EN', 'Notio Aigaio', 'GR', 'L');
INSERT INTO `subdivisions` VALUES ('1450', '0', '0', '0', 'EN', 'Kriti', 'GR', 'M');
INSERT INTO `subdivisions` VALUES ('1431', '0', '0', '0', 'EN', 'Annobón', 'GQ', 'AN');
INSERT INTO `subdivisions` VALUES ('1432', '0', '0', '0', 'EN', 'Bioko Norte', 'GQ', 'BN');
INSERT INTO `subdivisions` VALUES ('1433', '0', '0', '0', 'EN', 'Bioko Sur', 'GQ', 'BS');
INSERT INTO `subdivisions` VALUES ('1434', '0', '0', '0', 'EN', 'Centro Sur', 'GQ', 'CS');
INSERT INTO `subdivisions` VALUES ('1435', '0', '0', '0', 'EN', 'Kié-Ntem', 'GQ', 'KN');
INSERT INTO `subdivisions` VALUES ('1436', '0', '0', '0', 'EN', 'Litoral', 'GQ', 'LI');
INSERT INTO `subdivisions` VALUES ('1437', '0', '0', '0', 'EN', 'Wele-Nzas', 'GQ', 'WN');
INSERT INTO `subdivisions` VALUES ('1423', '0', '0', '0', 'EN', 'Boké', 'GN', 'B');
INSERT INTO `subdivisions` VALUES ('1424', '0', '0', '0', 'EN', 'Conakry', 'GN', 'C');
INSERT INTO `subdivisions` VALUES ('1425', '0', '0', '0', 'EN', 'Kindia', 'GN', 'D');
INSERT INTO `subdivisions` VALUES ('1426', '0', '0', '0', 'EN', 'Faranah', 'GN', 'F');
INSERT INTO `subdivisions` VALUES ('1427', '0', '0', '0', 'EN', 'Kankan', 'GN', 'K');
INSERT INTO `subdivisions` VALUES ('1428', '0', '0', '0', 'EN', 'Labé', 'GN', 'L');
INSERT INTO `subdivisions` VALUES ('1429', '0', '0', '0', 'EN', 'Mamou', 'GN', 'M');
INSERT INTO `subdivisions` VALUES ('1430', '0', '0', '0', 'EN', 'Nzérékoré', 'GN', 'N');
INSERT INTO `subdivisions` VALUES ('1417', '0', '0', '0', 'EN', 'Banjul', 'GM', 'B');
INSERT INTO `subdivisions` VALUES ('1418', '0', '0', '0', 'EN', 'Lower River', 'GM', 'L');
INSERT INTO `subdivisions` VALUES ('1419', '0', '0', '0', 'EN', 'MacCarthy Island [note 1]', 'GM', 'M');
INSERT INTO `subdivisions` VALUES ('1420', '0', '0', '0', 'EN', 'North Bank', 'GM', 'N');
INSERT INTO `subdivisions` VALUES ('1421', '0', '0', '0', 'EN', 'Upper River', 'GM', 'U');
INSERT INTO `subdivisions` VALUES ('1422', '0', '0', '0', 'EN', 'Western', 'GM', 'W');
INSERT INTO `subdivisions` VALUES ('1413', '0', '0', '0', 'EN', 'Kommune Kujalleq', 'GL', 'KU');
INSERT INTO `subdivisions` VALUES ('1414', '0', '0', '0', 'EN', 'Qaasuitsup Kommunia', 'GL', 'QA');
INSERT INTO `subdivisions` VALUES ('1415', '0', '0', '0', 'EN', 'Qeqqata Kommunia', 'GL', 'QE');
INSERT INTO `subdivisions` VALUES ('1416', '0', '0', '0', 'EN', 'Kommuneqarfik Sermersooq', 'GL', 'SM');
INSERT INTO `subdivisions` VALUES ('1403', '0', '0', '0', 'EN', 'Greater Accra', 'GH', 'AA');
INSERT INTO `subdivisions` VALUES ('1404', '0', '0', '0', 'EN', 'Ashanti', 'GH', 'AH');
INSERT INTO `subdivisions` VALUES ('1405', '0', '0', '0', 'EN', 'Brong-Ahafo', 'GH', 'BA');
INSERT INTO `subdivisions` VALUES ('1406', '0', '0', '0', 'EN', 'Central', 'GH', 'CP');
INSERT INTO `subdivisions` VALUES ('1407', '0', '0', '0', 'EN', 'Eastern', 'GH', 'EP');
INSERT INTO `subdivisions` VALUES ('1408', '0', '0', '0', 'EN', 'Northern', 'GH', 'NP');
INSERT INTO `subdivisions` VALUES ('1409', '0', '0', '0', 'EN', 'Volta', 'GH', 'TV');
INSERT INTO `subdivisions` VALUES ('1410', '0', '0', '0', 'EN', 'Upper East', 'GH', 'UE');
INSERT INTO `subdivisions` VALUES ('1411', '0', '0', '0', 'EN', 'Upper West', 'GH', 'UW');
INSERT INTO `subdivisions` VALUES ('1412', '0', '0', '0', 'EN', 'Western', 'GH', 'WP');
INSERT INTO `subdivisions` VALUES ('1391', '0', '0', '0', 'EN', 'Abkhazia', 'GE', 'AB');
INSERT INTO `subdivisions` VALUES ('1392', '0', '0', '0', 'EN', 'Ajaria', 'GE', 'AJ');
INSERT INTO `subdivisions` VALUES ('1393', '0', '0', '0', 'EN', 'Guria', 'GE', 'GU');
INSERT INTO `subdivisions` VALUES ('1394', '0', '0', '0', 'EN', 'Imeret\'i', 'GE', 'IM');
INSERT INTO `subdivisions` VALUES ('1395', '0', '0', '0', 'EN', 'Kakhet\'i', 'GE', 'KA');
INSERT INTO `subdivisions` VALUES ('1396', '0', '0', '0', 'EN', 'K\'vemo K\'art\'li', 'GE', 'KK');
INSERT INTO `subdivisions` VALUES ('1397', '0', '0', '0', 'EN', 'Mts\'khet\'a-Mt\'ianet\'i', 'GE', 'MM');
INSERT INTO `subdivisions` VALUES ('1398', '0', '0', '0', 'EN', 'Racha-Lech\'khumi-K\'vemo Svanet\'i', 'GE', 'RL');
INSERT INTO `subdivisions` VALUES ('1399', '0', '0', '0', 'EN', 'Samts\'khe-Javakhet\'i', 'GE', 'SJ');
INSERT INTO `subdivisions` VALUES ('1400', '0', '0', '0', 'EN', 'Shida K\'art\'li', 'GE', 'SK');
INSERT INTO `subdivisions` VALUES ('1401', '0', '0', '0', 'EN', 'Samegrelo-Zemo Svanet\'i', 'GE', 'SZ');
INSERT INTO `subdivisions` VALUES ('1402', '0', '0', '0', 'EN', 'T\'bilisi', 'GE', 'TB');
INSERT INTO `subdivisions` VALUES ('1384', '0', '0', '0', 'EN', 'Saint Andrew', 'GD', '01');
INSERT INTO `subdivisions` VALUES ('1385', '0', '0', '0', 'EN', 'Saint David', 'GD', '02');
INSERT INTO `subdivisions` VALUES ('1386', '0', '0', '0', 'EN', 'Saint George', 'GD', '03');
INSERT INTO `subdivisions` VALUES ('1387', '0', '0', '0', 'EN', 'Saint John', 'GD', '04');
INSERT INTO `subdivisions` VALUES ('1388', '0', '0', '0', 'EN', 'Saint Mark', 'GD', '05');
INSERT INTO `subdivisions` VALUES ('1389', '0', '0', '0', 'EN', 'Saint Patrick', 'GD', '06');
INSERT INTO `subdivisions` VALUES ('1390', '0', '0', '0', 'EN', 'Southern Grenadine Islands', 'GD', '10');
INSERT INTO `subdivisions` VALUES ('1153', '0', '0', '0', 'EN', 'Aberdeenshire', 'GB', 'ABD');
INSERT INTO `subdivisions` VALUES ('1154', '0', '0', '0', 'EN', 'Aberdeen City', 'GB', 'ABE');
INSERT INTO `subdivisions` VALUES ('1155', '0', '0', '0', 'EN', 'Argyll and Bute', 'GB', 'AGB');
INSERT INTO `subdivisions` VALUES ('1156', '0', '0', '0', 'EN', 'Isle of Anglesey [Sir Ynys Môn GB-YNM]', 'GB', 'AGY');
INSERT INTO `subdivisions` VALUES ('1157', '0', '0', '0', 'EN', 'Angus', 'GB', 'ANS');
INSERT INTO `subdivisions` VALUES ('1158', '0', '0', '0', 'EN', 'Antrim', 'GB', 'ANT');
INSERT INTO `subdivisions` VALUES ('1159', '0', '0', '0', 'EN', 'Ards', 'GB', 'ARD');
INSERT INTO `subdivisions` VALUES ('1160', '0', '0', '0', 'EN', 'Armagh', 'GB', 'ARM');
INSERT INTO `subdivisions` VALUES ('1161', '0', '0', '0', 'EN', 'Bath and North East Somerset', 'GB', 'BAS');
INSERT INTO `subdivisions` VALUES ('1162', '0', '0', '0', 'EN', 'Blackburn with Darwen', 'GB', 'BBD');
INSERT INTO `subdivisions` VALUES ('1163', '0', '0', '0', 'EN', 'Bedford', 'GB', 'BDF');
INSERT INTO `subdivisions` VALUES ('1164', '0', '0', '0', 'EN', 'Barking and Dagenham', 'GB', 'BDG');
INSERT INTO `subdivisions` VALUES ('1165', '0', '0', '0', 'EN', 'Brent', 'GB', 'BEN');
INSERT INTO `subdivisions` VALUES ('1166', '0', '0', '0', 'EN', 'Bexley', 'GB', 'BEX');
INSERT INTO `subdivisions` VALUES ('1167', '0', '0', '0', 'EN', 'Belfast', 'GB', 'BFS');
INSERT INTO `subdivisions` VALUES ('1168', '0', '0', '0', 'EN', 'Bridgend [Pen-y-bont ar Ogwr GB-POG]', 'GB', 'BGE');
INSERT INTO `subdivisions` VALUES ('1169', '0', '0', '0', 'EN', 'Blaenau Gwent', 'GB', 'BGW');
INSERT INTO `subdivisions` VALUES ('1170', '0', '0', '0', 'EN', 'Birmingham', 'GB', 'BIR');
INSERT INTO `subdivisions` VALUES ('1171', '0', '0', '0', 'EN', 'Buckinghamshire', 'GB', 'BKM');
INSERT INTO `subdivisions` VALUES ('1172', '0', '0', '0', 'EN', 'Ballymena', 'GB', 'BLA');
INSERT INTO `subdivisions` VALUES ('1173', '0', '0', '0', 'EN', 'Ballymoney', 'GB', 'BLY');
INSERT INTO `subdivisions` VALUES ('1174', '0', '0', '0', 'EN', 'Bournemouth', 'GB', 'BMH');
INSERT INTO `subdivisions` VALUES ('1175', '0', '0', '0', 'EN', 'Banbridge', 'GB', 'BNB');
INSERT INTO `subdivisions` VALUES ('1176', '0', '0', '0', 'EN', 'Barnet', 'GB', 'BNE');
INSERT INTO `subdivisions` VALUES ('1177', '0', '0', '0', 'EN', 'Brighton and Hove', 'GB', 'BNH');
INSERT INTO `subdivisions` VALUES ('1178', '0', '0', '0', 'EN', 'Barnsley', 'GB', 'BNS');
INSERT INTO `subdivisions` VALUES ('1179', '0', '0', '0', 'EN', 'Bolton', 'GB', 'BOL');
INSERT INTO `subdivisions` VALUES ('1180', '0', '0', '0', 'EN', 'Blackpool', 'GB', 'BPL');
INSERT INTO `subdivisions` VALUES ('1181', '0', '0', '0', 'EN', 'Bracknell Forest', 'GB', 'BRC');
INSERT INTO `subdivisions` VALUES ('1182', '0', '0', '0', 'EN', 'Bradford', 'GB', 'BRD');
INSERT INTO `subdivisions` VALUES ('1183', '0', '0', '0', 'EN', 'Bromley', 'GB', 'BRY');
INSERT INTO `subdivisions` VALUES ('1184', '0', '0', '0', 'EN', 'Bristol, City of', 'GB', 'BST');
INSERT INTO `subdivisions` VALUES ('1185', '0', '0', '0', 'EN', 'Bury', 'GB', 'BUR');
INSERT INTO `subdivisions` VALUES ('1186', '0', '0', '0', 'EN', 'Cambridgeshire', 'GB', 'CAM');
INSERT INTO `subdivisions` VALUES ('1187', '0', '0', '0', 'EN', 'Caerphilly [Caerffili GB-CAF]', 'GB', 'CAY');
INSERT INTO `subdivisions` VALUES ('1188', '0', '0', '0', 'EN', 'Central Bedfordshire', 'GB', 'CBF');
INSERT INTO `subdivisions` VALUES ('1189', '0', '0', '0', 'EN', 'Ceredigion [Sir Ceredigion]', 'GB', 'CGN');
INSERT INTO `subdivisions` VALUES ('1190', '0', '0', '0', 'EN', 'Craigavon', 'GB', 'CGV');
INSERT INTO `subdivisions` VALUES ('1191', '0', '0', '0', 'EN', 'Cheshire East', 'GB', 'CHE');
INSERT INTO `subdivisions` VALUES ('1192', '0', '0', '0', 'EN', 'Cheshire West and Chester', 'GB', 'CHW');
INSERT INTO `subdivisions` VALUES ('1193', '0', '0', '0', 'EN', 'Carrickfergus', 'GB', 'CKF');
INSERT INTO `subdivisions` VALUES ('1194', '0', '0', '0', 'EN', 'Cookstown', 'GB', 'CKT');
INSERT INTO `subdivisions` VALUES ('1195', '0', '0', '0', 'EN', 'Calderdale', 'GB', 'CLD');
INSERT INTO `subdivisions` VALUES ('1196', '0', '0', '0', 'EN', 'Clackmannanshire', 'GB', 'CLK');
INSERT INTO `subdivisions` VALUES ('1197', '0', '0', '0', 'EN', 'Coleraine', 'GB', 'CLR');
INSERT INTO `subdivisions` VALUES ('1198', '0', '0', '0', 'EN', 'Cumbria', 'GB', 'CMA');
INSERT INTO `subdivisions` VALUES ('1199', '0', '0', '0', 'EN', 'Camden', 'GB', 'CMD');
INSERT INTO `subdivisions` VALUES ('1200', '0', '0', '0', 'EN', 'Carmarthenshire [Sir Gaerfyrddin GB-GFY]', 'GB', 'CMN');
INSERT INTO `subdivisions` VALUES ('1201', '0', '0', '0', 'EN', 'Cornwall', 'GB', 'CON');
INSERT INTO `subdivisions` VALUES ('1202', '0', '0', '0', 'EN', 'Coventry', 'GB', 'COV');
INSERT INTO `subdivisions` VALUES ('1203', '0', '0', '0', 'EN', 'Cardiff [Caerdydd GB-CRD]', 'GB', 'CRF');
INSERT INTO `subdivisions` VALUES ('1204', '0', '0', '0', 'EN', 'Croydon', 'GB', 'CRY');
INSERT INTO `subdivisions` VALUES ('1205', '0', '0', '0', 'EN', 'Castlereagh', 'GB', 'CSR');
INSERT INTO `subdivisions` VALUES ('1206', '0', '0', '0', 'EN', 'Conwy', 'GB', 'CWY');
INSERT INTO `subdivisions` VALUES ('1207', '0', '0', '0', 'EN', 'Darlington', 'GB', 'DAL');
INSERT INTO `subdivisions` VALUES ('1208', '0', '0', '0', 'EN', 'Derbyshire', 'GB', 'DBY');
INSERT INTO `subdivisions` VALUES ('1209', '0', '0', '0', 'EN', 'Denbighshire [Sir Ddinbych GB-DDB]', 'GB', 'DEN');
INSERT INTO `subdivisions` VALUES ('1210', '0', '0', '0', 'EN', 'Derby', 'GB', 'DER');
INSERT INTO `subdivisions` VALUES ('1211', '0', '0', '0', 'EN', 'Devon', 'GB', 'DEV');
INSERT INTO `subdivisions` VALUES ('1212', '0', '0', '0', 'EN', 'Dungannon and South Tyrone', 'GB', 'DGN');
INSERT INTO `subdivisions` VALUES ('1213', '0', '0', '0', 'EN', 'Dumfries and Galloway', 'GB', 'DGY');
INSERT INTO `subdivisions` VALUES ('1214', '0', '0', '0', 'EN', 'Doncaster', 'GB', 'DNC');
INSERT INTO `subdivisions` VALUES ('1215', '0', '0', '0', 'EN', 'Dundee City', 'GB', 'DND');
INSERT INTO `subdivisions` VALUES ('1216', '0', '0', '0', 'EN', 'Dorset', 'GB', 'DOR');
INSERT INTO `subdivisions` VALUES ('1217', '0', '0', '0', 'EN', 'Down', 'GB', 'DOW');
INSERT INTO `subdivisions` VALUES ('1218', '0', '0', '0', 'EN', 'Derry', 'GB', 'DRY');
INSERT INTO `subdivisions` VALUES ('1219', '0', '0', '0', 'EN', 'Dudley', 'GB', 'DUD');
INSERT INTO `subdivisions` VALUES ('1220', '0', '0', '0', 'EN', 'Durham, County', 'GB', 'DUR');
INSERT INTO `subdivisions` VALUES ('1221', '0', '0', '0', 'EN', 'Ealing', 'GB', 'EAL');
INSERT INTO `subdivisions` VALUES ('1222', '0', '0', '0', 'EN', 'East Ayrshire', 'GB', 'EAY');
INSERT INTO `subdivisions` VALUES ('1223', '0', '0', '0', 'EN', 'Edinburgh, City of', 'GB', 'EDH');
INSERT INTO `subdivisions` VALUES ('1224', '0', '0', '0', 'EN', 'East Dunbartonshire', 'GB', 'EDU');
INSERT INTO `subdivisions` VALUES ('1225', '0', '0', '0', 'EN', 'East Lothian', 'GB', 'ELN');
INSERT INTO `subdivisions` VALUES ('1226', '0', '0', '0', 'EN', 'Eilean Siar', 'GB', 'ELS');
INSERT INTO `subdivisions` VALUES ('1227', '0', '0', '0', 'EN', 'Enfield', 'GB', 'ENF');
INSERT INTO `subdivisions` VALUES ('1228', '0', '0', '0', 'EN', 'East Renfrewshire', 'GB', 'ERW');
INSERT INTO `subdivisions` VALUES ('1229', '0', '0', '0', 'EN', 'East Riding of Yorkshire', 'GB', 'ERY');
INSERT INTO `subdivisions` VALUES ('1230', '0', '0', '0', 'EN', 'Essex', 'GB', 'ESS');
INSERT INTO `subdivisions` VALUES ('1231', '0', '0', '0', 'EN', 'East Sussex', 'GB', 'ESX');
INSERT INTO `subdivisions` VALUES ('1232', '0', '0', '0', 'EN', 'Falkirk', 'GB', 'FAL');
INSERT INTO `subdivisions` VALUES ('1233', '0', '0', '0', 'EN', 'Fermanagh', 'GB', 'FER');
INSERT INTO `subdivisions` VALUES ('1234', '0', '0', '0', 'EN', 'Fife', 'GB', 'FIF');
INSERT INTO `subdivisions` VALUES ('1235', '0', '0', '0', 'EN', 'Flintshire [Sir y Fflint GB-FFL]', 'GB', 'FLN');
INSERT INTO `subdivisions` VALUES ('1236', '0', '0', '0', 'EN', 'Gateshead', 'GB', 'GAT');
INSERT INTO `subdivisions` VALUES ('1237', '0', '0', '0', 'EN', 'Glasgow City', 'GB', 'GLG');
INSERT INTO `subdivisions` VALUES ('1238', '0', '0', '0', 'EN', 'Gloucestershire', 'GB', 'GLS');
INSERT INTO `subdivisions` VALUES ('1239', '0', '0', '0', 'EN', 'Greenwich', 'GB', 'GRE');
INSERT INTO `subdivisions` VALUES ('1240', '0', '0', '0', 'EN', 'Gwynedd', 'GB', 'GWN');
INSERT INTO `subdivisions` VALUES ('1241', '0', '0', '0', 'EN', 'Halton', 'GB', 'HAL');
INSERT INTO `subdivisions` VALUES ('1242', '0', '0', '0', 'EN', 'Hampshire', 'GB', 'HAM');
INSERT INTO `subdivisions` VALUES ('1243', '0', '0', '0', 'EN', 'Havering', 'GB', 'HAV');
INSERT INTO `subdivisions` VALUES ('1244', '0', '0', '0', 'EN', 'Hackney', 'GB', 'HCK');
INSERT INTO `subdivisions` VALUES ('1245', '0', '0', '0', 'EN', 'Herefordshire', 'GB', 'HEF');
INSERT INTO `subdivisions` VALUES ('1246', '0', '0', '0', 'EN', 'Hillingdon', 'GB', 'HIL');
INSERT INTO `subdivisions` VALUES ('1247', '0', '0', '0', 'EN', 'Highland', 'GB', 'HLD');
INSERT INTO `subdivisions` VALUES ('1248', '0', '0', '0', 'EN', 'Hammersmith and Fulham', 'GB', 'HMF');
INSERT INTO `subdivisions` VALUES ('1249', '0', '0', '0', 'EN', 'Hounslow', 'GB', 'HNS');
INSERT INTO `subdivisions` VALUES ('1250', '0', '0', '0', 'EN', 'Hartlepool', 'GB', 'HPL');
INSERT INTO `subdivisions` VALUES ('1251', '0', '0', '0', 'EN', 'Hertfordshire', 'GB', 'HRT');
INSERT INTO `subdivisions` VALUES ('1252', '0', '0', '0', 'EN', 'Harrow', 'GB', 'HRW');
INSERT INTO `subdivisions` VALUES ('1253', '0', '0', '0', 'EN', 'Haringey', 'GB', 'HRY');
INSERT INTO `subdivisions` VALUES ('1254', '0', '0', '0', 'EN', 'Isle of Wight', 'GB', 'IOW');
INSERT INTO `subdivisions` VALUES ('1255', '0', '0', '0', 'EN', 'Islington', 'GB', 'ISL');
INSERT INTO `subdivisions` VALUES ('1256', '0', '0', '0', 'EN', 'Inverclyde', 'GB', 'IVC');
INSERT INTO `subdivisions` VALUES ('1257', '0', '0', '0', 'EN', 'Kensington and Chelsea', 'GB', 'KEC');
INSERT INTO `subdivisions` VALUES ('1258', '0', '0', '0', 'EN', 'Kent', 'GB', 'KEN');
INSERT INTO `subdivisions` VALUES ('1259', '0', '0', '0', 'EN', 'Kingston upon Hull', 'GB', 'KHL');
INSERT INTO `subdivisions` VALUES ('1260', '0', '0', '0', 'EN', 'Kirklees', 'GB', 'KIR');
INSERT INTO `subdivisions` VALUES ('1261', '0', '0', '0', 'EN', 'Kingston upon Thames', 'GB', 'KTT');
INSERT INTO `subdivisions` VALUES ('1262', '0', '0', '0', 'EN', 'Knowsley', 'GB', 'KWL');
INSERT INTO `subdivisions` VALUES ('1263', '0', '0', '0', 'EN', 'Lancashire', 'GB', 'LAN');
INSERT INTO `subdivisions` VALUES ('1264', '0', '0', '0', 'EN', 'Lambeth', 'GB', 'LBH');
INSERT INTO `subdivisions` VALUES ('1265', '0', '0', '0', 'EN', 'Leicester', 'GB', 'LCE');
INSERT INTO `subdivisions` VALUES ('1266', '0', '0', '0', 'EN', 'Leeds', 'GB', 'LDS');
INSERT INTO `subdivisions` VALUES ('1267', '0', '0', '0', 'EN', 'Leicestershire', 'GB', 'LEC');
INSERT INTO `subdivisions` VALUES ('1268', '0', '0', '0', 'EN', 'Lewisham', 'GB', 'LEW');
INSERT INTO `subdivisions` VALUES ('1269', '0', '0', '0', 'EN', 'Lincolnshire', 'GB', 'LIN');
INSERT INTO `subdivisions` VALUES ('1270', '0', '0', '0', 'EN', 'Liverpool', 'GB', 'LIV');
INSERT INTO `subdivisions` VALUES ('1271', '0', '0', '0', 'EN', 'Limavady', 'GB', 'LMV');
INSERT INTO `subdivisions` VALUES ('1272', '0', '0', '0', 'EN', 'London, City of', 'GB', 'LND');
INSERT INTO `subdivisions` VALUES ('1273', '0', '0', '0', 'EN', 'Larne', 'GB', 'LRN');
INSERT INTO `subdivisions` VALUES ('1274', '0', '0', '0', 'EN', 'Lisburn', 'GB', 'LSB');
INSERT INTO `subdivisions` VALUES ('1275', '0', '0', '0', 'EN', 'Luton', 'GB', 'LUT');
INSERT INTO `subdivisions` VALUES ('1276', '0', '0', '0', 'EN', 'Manchester', 'GB', 'MAN');
INSERT INTO `subdivisions` VALUES ('1277', '0', '0', '0', 'EN', 'Middlesbrough', 'GB', 'MDB');
INSERT INTO `subdivisions` VALUES ('1278', '0', '0', '0', 'EN', 'Medway', 'GB', 'MDW');
INSERT INTO `subdivisions` VALUES ('1279', '0', '0', '0', 'EN', 'Magherafelt', 'GB', 'MFT');
INSERT INTO `subdivisions` VALUES ('1280', '0', '0', '0', 'EN', 'Milton Keynes', 'GB', 'MIK');
INSERT INTO `subdivisions` VALUES ('1281', '0', '0', '0', 'EN', 'Midlothian', 'GB', 'MLN');
INSERT INTO `subdivisions` VALUES ('1282', '0', '0', '0', 'EN', 'Monmouthshire [Sir Fynwy GB-FYN]', 'GB', 'MON');
INSERT INTO `subdivisions` VALUES ('1283', '0', '0', '0', 'EN', 'Merton', 'GB', 'MRT');
INSERT INTO `subdivisions` VALUES ('1284', '0', '0', '0', 'EN', 'Moray', 'GB', 'MRY');
INSERT INTO `subdivisions` VALUES ('1285', '0', '0', '0', 'EN', 'Merthyr Tydfil [Merthyr Tudful GB-MTU]', 'GB', 'MTY');
INSERT INTO `subdivisions` VALUES ('1286', '0', '0', '0', 'EN', 'Moyle', 'GB', 'MYL');
INSERT INTO `subdivisions` VALUES ('1287', '0', '0', '0', 'EN', 'North Ayrshire', 'GB', 'NAY');
INSERT INTO `subdivisions` VALUES ('1288', '0', '0', '0', 'EN', 'Northumberland', 'GB', 'NBL');
INSERT INTO `subdivisions` VALUES ('1289', '0', '0', '0', 'EN', 'North Down', 'GB', 'NDN');
INSERT INTO `subdivisions` VALUES ('1290', '0', '0', '0', 'EN', 'North East Lincolnshire', 'GB', 'NEL');
INSERT INTO `subdivisions` VALUES ('1291', '0', '0', '0', 'EN', 'Newcastle upon Tyne', 'GB', 'NET');
INSERT INTO `subdivisions` VALUES ('1292', '0', '0', '0', 'EN', 'Norfolk', 'GB', 'NFK');
INSERT INTO `subdivisions` VALUES ('1293', '0', '0', '0', 'EN', 'Nottingham', 'GB', 'NGM');
INSERT INTO `subdivisions` VALUES ('1294', '0', '0', '0', 'EN', 'North Lanarkshire', 'GB', 'NLK');
INSERT INTO `subdivisions` VALUES ('1295', '0', '0', '0', 'EN', 'North Lincolnshire', 'GB', 'NLN');
INSERT INTO `subdivisions` VALUES ('1296', '0', '0', '0', 'EN', 'North Somerset', 'GB', 'NSM');
INSERT INTO `subdivisions` VALUES ('1297', '0', '0', '0', 'EN', 'Newtownabbey', 'GB', 'NTA');
INSERT INTO `subdivisions` VALUES ('1298', '0', '0', '0', 'EN', 'Northamptonshire', 'GB', 'NTH');
INSERT INTO `subdivisions` VALUES ('1299', '0', '0', '0', 'EN', 'Neath Port Talbot [Castell-nedd Port Talbot GB-CTL]', 'GB', 'NTL');
INSERT INTO `subdivisions` VALUES ('1300', '0', '0', '0', 'EN', 'Nottinghamshire', 'GB', 'NTT');
INSERT INTO `subdivisions` VALUES ('1301', '0', '0', '0', 'EN', 'North Tyneside', 'GB', 'NTY');
INSERT INTO `subdivisions` VALUES ('1302', '0', '0', '0', 'EN', 'Newham', 'GB', 'NWM');
INSERT INTO `subdivisions` VALUES ('1303', '0', '0', '0', 'EN', 'Newport [Casnewydd GB-CNW]', 'GB', 'NWP');
INSERT INTO `subdivisions` VALUES ('1304', '0', '0', '0', 'EN', 'North Yorkshire', 'GB', 'NYK');
INSERT INTO `subdivisions` VALUES ('1305', '0', '0', '0', 'EN', 'Newry and Mourne District', 'GB', 'NYM');
INSERT INTO `subdivisions` VALUES ('1306', '0', '0', '0', 'EN', 'Oldham', 'GB', 'OLD');
INSERT INTO `subdivisions` VALUES ('1307', '0', '0', '0', 'EN', 'Omagh', 'GB', 'OMH');
INSERT INTO `subdivisions` VALUES ('1308', '0', '0', '0', 'EN', 'Orkney Islands', 'GB', 'ORK');
INSERT INTO `subdivisions` VALUES ('1309', '0', '0', '0', 'EN', 'Oxfordshire', 'GB', 'OXF');
INSERT INTO `subdivisions` VALUES ('1310', '0', '0', '0', 'EN', 'Pembrokeshire [Sir Benfro GB-BNF]', 'GB', 'PEM');
INSERT INTO `subdivisions` VALUES ('1311', '0', '0', '0', 'EN', 'Perth and Kinross', 'GB', 'PKN');
INSERT INTO `subdivisions` VALUES ('1312', '0', '0', '0', 'EN', 'Plymouth', 'GB', 'PLY');
INSERT INTO `subdivisions` VALUES ('1313', '0', '0', '0', 'EN', 'Poole', 'GB', 'POL');
INSERT INTO `subdivisions` VALUES ('1314', '0', '0', '0', 'EN', 'Portsmouth', 'GB', 'POR');
INSERT INTO `subdivisions` VALUES ('1315', '0', '0', '0', 'EN', 'Powys', 'GB', 'POW');
INSERT INTO `subdivisions` VALUES ('1316', '0', '0', '0', 'EN', 'Peterborough', 'GB', 'PTE');
INSERT INTO `subdivisions` VALUES ('1317', '0', '0', '0', 'EN', 'Redcar and Cleveland', 'GB', 'RCC');
INSERT INTO `subdivisions` VALUES ('1318', '0', '0', '0', 'EN', 'Rochdale', 'GB', 'RCH');
INSERT INTO `subdivisions` VALUES ('1319', '0', '0', '0', 'EN', 'Rhondda, Cynon, Taff [Rhondda, Cynon, Taf]', 'GB', 'RCT');
INSERT INTO `subdivisions` VALUES ('1320', '0', '0', '0', 'EN', 'Redbridge', 'GB', 'RDB');
INSERT INTO `subdivisions` VALUES ('1321', '0', '0', '0', 'EN', 'Reading', 'GB', 'RDG');
INSERT INTO `subdivisions` VALUES ('1322', '0', '0', '0', 'EN', 'Renfrewshire', 'GB', 'RFW');
INSERT INTO `subdivisions` VALUES ('1323', '0', '0', '0', 'EN', 'Richmond upon Thames', 'GB', 'RIC');
INSERT INTO `subdivisions` VALUES ('1324', '0', '0', '0', 'EN', 'Rotherham', 'GB', 'ROT');
INSERT INTO `subdivisions` VALUES ('1325', '0', '0', '0', 'EN', 'Rutland', 'GB', 'RUT');
INSERT INTO `subdivisions` VALUES ('1326', '0', '0', '0', 'EN', 'Sandwell', 'GB', 'SAW');
INSERT INTO `subdivisions` VALUES ('1327', '0', '0', '0', 'EN', 'South Ayrshire', 'GB', 'SAY');
INSERT INTO `subdivisions` VALUES ('1328', '0', '0', '0', 'EN', 'Scottish Borders, The', 'GB', 'SCB');
INSERT INTO `subdivisions` VALUES ('1329', '0', '0', '0', 'EN', 'Suffolk', 'GB', 'SFK');
INSERT INTO `subdivisions` VALUES ('1330', '0', '0', '0', 'EN', 'Sefton', 'GB', 'SFT');
INSERT INTO `subdivisions` VALUES ('1331', '0', '0', '0', 'EN', 'South Gloucestershire', 'GB', 'SGC');
INSERT INTO `subdivisions` VALUES ('1332', '0', '0', '0', 'EN', 'Sheffield', 'GB', 'SHF');
INSERT INTO `subdivisions` VALUES ('1333', '0', '0', '0', 'EN', 'St. Helens', 'GB', 'SHN');
INSERT INTO `subdivisions` VALUES ('1334', '0', '0', '0', 'EN', 'Shropshire', 'GB', 'SHR');
INSERT INTO `subdivisions` VALUES ('1335', '0', '0', '0', 'EN', 'Stockport', 'GB', 'SKP');
INSERT INTO `subdivisions` VALUES ('1336', '0', '0', '0', 'EN', 'Salford', 'GB', 'SLF');
INSERT INTO `subdivisions` VALUES ('1337', '0', '0', '0', 'EN', 'Slough', 'GB', 'SLG');
INSERT INTO `subdivisions` VALUES ('1338', '0', '0', '0', 'EN', 'South Lanarkshire', 'GB', 'SLK');
INSERT INTO `subdivisions` VALUES ('1339', '0', '0', '0', 'EN', 'Sunderland', 'GB', 'SND');
INSERT INTO `subdivisions` VALUES ('1340', '0', '0', '0', 'EN', 'Solihull', 'GB', 'SOL');
INSERT INTO `subdivisions` VALUES ('1341', '0', '0', '0', 'EN', 'Somerset', 'GB', 'SOM');
INSERT INTO `subdivisions` VALUES ('1342', '0', '0', '0', 'EN', 'Southend-on-Sea', 'GB', 'SOS');
INSERT INTO `subdivisions` VALUES ('1343', '0', '0', '0', 'EN', 'Surrey', 'GB', 'SRY');
INSERT INTO `subdivisions` VALUES ('1344', '0', '0', '0', 'EN', 'Strabane', 'GB', 'STB');
INSERT INTO `subdivisions` VALUES ('1345', '0', '0', '0', 'EN', 'Stoke-on-Trent', 'GB', 'STE');
INSERT INTO `subdivisions` VALUES ('1346', '0', '0', '0', 'EN', 'Stirling', 'GB', 'STG');
INSERT INTO `subdivisions` VALUES ('1347', '0', '0', '0', 'EN', 'Southampton', 'GB', 'STH');
INSERT INTO `subdivisions` VALUES ('1348', '0', '0', '0', 'EN', 'Sutton', 'GB', 'STN');
INSERT INTO `subdivisions` VALUES ('1349', '0', '0', '0', 'EN', 'Staffordshire', 'GB', 'STS');
INSERT INTO `subdivisions` VALUES ('1350', '0', '0', '0', 'EN', 'Stockton-on-Tees', 'GB', 'STT');
INSERT INTO `subdivisions` VALUES ('1351', '0', '0', '0', 'EN', 'South Tyneside', 'GB', 'STY');
INSERT INTO `subdivisions` VALUES ('1352', '0', '0', '0', 'EN', 'Swansea [Abertawe GB-ATA]', 'GB', 'SWA');
INSERT INTO `subdivisions` VALUES ('1353', '0', '0', '0', 'EN', 'Swindon', 'GB', 'SWD');
INSERT INTO `subdivisions` VALUES ('1354', '0', '0', '0', 'EN', 'Southwark', 'GB', 'SWK');
INSERT INTO `subdivisions` VALUES ('1355', '0', '0', '0', 'EN', 'Tameside', 'GB', 'TAM');
INSERT INTO `subdivisions` VALUES ('1356', '0', '0', '0', 'EN', 'Telford and Wrekin', 'GB', 'TFW');
INSERT INTO `subdivisions` VALUES ('1357', '0', '0', '0', 'EN', 'Thurrock', 'GB', 'THR');
INSERT INTO `subdivisions` VALUES ('1358', '0', '0', '0', 'EN', 'Torbay', 'GB', 'TOB');
INSERT INTO `subdivisions` VALUES ('1359', '0', '0', '0', 'EN', 'Torfaen [Tor-faen]', 'GB', 'TOF');
INSERT INTO `subdivisions` VALUES ('1360', '0', '0', '0', 'EN', 'Trafford', 'GB', 'TRF');
INSERT INTO `subdivisions` VALUES ('1361', '0', '0', '0', 'EN', 'Tower Hamlets', 'GB', 'TWH');
INSERT INTO `subdivisions` VALUES ('1362', '0', '0', '0', 'EN', 'Vale of Glamorgan, The [Bro Morgannwg GB-BMG]', 'GB', 'VGL');
INSERT INTO `subdivisions` VALUES ('1363', '0', '0', '0', 'EN', 'Warwickshire', 'GB', 'WAR');
INSERT INTO `subdivisions` VALUES ('1364', '0', '0', '0', 'EN', 'West Berkshire', 'GB', 'WBK');
INSERT INTO `subdivisions` VALUES ('1365', '0', '0', '0', 'EN', 'West Dunbartonshire', 'GB', 'WDU');
INSERT INTO `subdivisions` VALUES ('1366', '0', '0', '0', 'EN', 'Waltham Forest', 'GB', 'WFT');
INSERT INTO `subdivisions` VALUES ('1367', '0', '0', '0', 'EN', 'Wigan', 'GB', 'WGN');
INSERT INTO `subdivisions` VALUES ('1368', '0', '0', '0', 'EN', 'Wiltshire', 'GB', 'WIL');
INSERT INTO `subdivisions` VALUES ('1369', '0', '0', '0', 'EN', 'Wakefield', 'GB', 'WKF');
INSERT INTO `subdivisions` VALUES ('1370', '0', '0', '0', 'EN', 'Walsall', 'GB', 'WLL');
INSERT INTO `subdivisions` VALUES ('1371', '0', '0', '0', 'EN', 'West Lothian', 'GB', 'WLN');
INSERT INTO `subdivisions` VALUES ('1372', '0', '0', '0', 'EN', 'Wolverhampton', 'GB', 'WLV');
INSERT INTO `subdivisions` VALUES ('1373', '0', '0', '0', 'EN', 'Wandsworth', 'GB', 'WND');
INSERT INTO `subdivisions` VALUES ('1374', '0', '0', '0', 'EN', 'Windsor and Maidenhead', 'GB', 'WNM');
INSERT INTO `subdivisions` VALUES ('1375', '0', '0', '0', 'EN', 'Wokingham', 'GB', 'WOK');
INSERT INTO `subdivisions` VALUES ('1376', '0', '0', '0', 'EN', 'Worcestershire', 'GB', 'WOR');
INSERT INTO `subdivisions` VALUES ('1377', '0', '0', '0', 'EN', 'Wirral', 'GB', 'WRL');
INSERT INTO `subdivisions` VALUES ('1378', '0', '0', '0', 'EN', 'Warrington', 'GB', 'WRT');
INSERT INTO `subdivisions` VALUES ('1379', '0', '0', '0', 'EN', 'Wrexham [Wrecsam GB-WRC]', 'GB', 'WRX');
INSERT INTO `subdivisions` VALUES ('1380', '0', '0', '0', 'EN', 'Westminster', 'GB', 'WSM');
INSERT INTO `subdivisions` VALUES ('1381', '0', '0', '0', 'EN', 'West Sussex', 'GB', 'WSX');
INSERT INTO `subdivisions` VALUES ('1382', '0', '0', '0', 'EN', 'York', 'GB', 'YOR');
INSERT INTO `subdivisions` VALUES ('1383', '0', '0', '0', 'EN', 'Shetland Islands', 'GB', 'ZET');
INSERT INTO `subdivisions` VALUES ('1144', '0', '0', '0', 'EN', 'Estuaire', 'GA', '1');
INSERT INTO `subdivisions` VALUES ('1145', '0', '0', '0', 'EN', 'Haut-Ogooué', 'GA', '2');
INSERT INTO `subdivisions` VALUES ('1146', '0', '0', '0', 'EN', 'Moyen-Ogooué', 'GA', '3');
INSERT INTO `subdivisions` VALUES ('1147', '0', '0', '0', 'EN', 'Ngounié', 'GA', '4');
INSERT INTO `subdivisions` VALUES ('1148', '0', '0', '0', 'EN', 'Nyanga', 'GA', '5');
INSERT INTO `subdivisions` VALUES ('1149', '0', '0', '0', 'EN', 'Ogooué-Ivindo', 'GA', '6');
INSERT INTO `subdivisions` VALUES ('1150', '0', '0', '0', 'EN', 'Ogooué-Lolo', 'GA', '7');
INSERT INTO `subdivisions` VALUES ('1151', '0', '0', '0', 'EN', 'Ogooué-Maritime', 'GA', '8');
INSERT INTO `subdivisions` VALUES ('1152', '0', '0', '0', 'EN', 'Woleu-Ntem', 'GA', '9');
INSERT INTO `subdivisions` VALUES ('1048', '0', '0', '0', 'EN', 'Ain', 'FR', '01');
INSERT INTO `subdivisions` VALUES ('1049', '0', '0', '0', 'EN', 'Aisne', 'FR', '02');
INSERT INTO `subdivisions` VALUES ('1050', '0', '0', '0', 'EN', 'Allier', 'FR', '03');
INSERT INTO `subdivisions` VALUES ('1051', '0', '0', '0', 'EN', 'Alpes-de-Haute-Provence', 'FR', '04');
INSERT INTO `subdivisions` VALUES ('1052', '0', '0', '0', 'EN', 'Hautes-Alpes', 'FR', '05');
INSERT INTO `subdivisions` VALUES ('1053', '0', '0', '0', 'EN', 'Alpes-Maritimes', 'FR', '06');
INSERT INTO `subdivisions` VALUES ('1054', '0', '0', '0', 'EN', 'Ardèche', 'FR', '07');
INSERT INTO `subdivisions` VALUES ('1055', '0', '0', '0', 'EN', 'Ardennes', 'FR', '08');
INSERT INTO `subdivisions` VALUES ('1056', '0', '0', '0', 'EN', 'Ariège', 'FR', '09');
INSERT INTO `subdivisions` VALUES ('1057', '0', '0', '0', 'EN', 'Aube', 'FR', '10');
INSERT INTO `subdivisions` VALUES ('1058', '0', '0', '0', 'EN', 'Aude', 'FR', '11');
INSERT INTO `subdivisions` VALUES ('1059', '0', '0', '0', 'EN', 'Aveyron', 'FR', '12');
INSERT INTO `subdivisions` VALUES ('1060', '0', '0', '0', 'EN', 'Bouches-du-Rhône', 'FR', '13');
INSERT INTO `subdivisions` VALUES ('1061', '0', '0', '0', 'EN', 'Calvados', 'FR', '14');
INSERT INTO `subdivisions` VALUES ('1062', '0', '0', '0', 'EN', 'Cantal', 'FR', '15');
INSERT INTO `subdivisions` VALUES ('1063', '0', '0', '0', 'EN', 'Charente', 'FR', '16');
INSERT INTO `subdivisions` VALUES ('1064', '0', '0', '0', 'EN', 'Charente-Maritime', 'FR', '17');
INSERT INTO `subdivisions` VALUES ('1065', '0', '0', '0', 'EN', 'Cher', 'FR', '18');
INSERT INTO `subdivisions` VALUES ('1066', '0', '0', '0', 'EN', 'Corrèze', 'FR', '19');
INSERT INTO `subdivisions` VALUES ('1067', '0', '0', '0', 'EN', 'Corse-du-Sud', 'FR', '20A');
INSERT INTO `subdivisions` VALUES ('1068', '0', '0', '0', 'EN', 'Haute-Corse', 'FR', '20B');
INSERT INTO `subdivisions` VALUES ('1069', '0', '0', '0', 'EN', 'Côte-d\'Or', 'FR', '21');
INSERT INTO `subdivisions` VALUES ('1070', '0', '0', '0', 'EN', 'Côtes-d\'Armor', 'FR', '22');
INSERT INTO `subdivisions` VALUES ('1071', '0', '0', '0', 'EN', 'Creuse', 'FR', '23');
INSERT INTO `subdivisions` VALUES ('1072', '0', '0', '0', 'EN', 'Dordogne', 'FR', '24');
INSERT INTO `subdivisions` VALUES ('1073', '0', '0', '0', 'EN', 'Doubs', 'FR', '25');
INSERT INTO `subdivisions` VALUES ('1074', '0', '0', '0', 'EN', 'Drôme', 'FR', '26');
INSERT INTO `subdivisions` VALUES ('1075', '0', '0', '0', 'EN', 'Eure', 'FR', '27');
INSERT INTO `subdivisions` VALUES ('1076', '0', '0', '0', 'EN', 'Eure-et-Loir', 'FR', '28');
INSERT INTO `subdivisions` VALUES ('1077', '0', '0', '0', 'EN', 'Finistère', 'FR', '29');
INSERT INTO `subdivisions` VALUES ('1078', '0', '0', '0', 'EN', 'Gard', 'FR', '30');
INSERT INTO `subdivisions` VALUES ('1079', '0', '0', '0', 'EN', 'Haute-Garonne', 'FR', '31');
INSERT INTO `subdivisions` VALUES ('1080', '0', '0', '0', 'EN', 'Gers', 'FR', '32');
INSERT INTO `subdivisions` VALUES ('1081', '0', '0', '0', 'EN', 'Gironde', 'FR', '33');
INSERT INTO `subdivisions` VALUES ('1082', '0', '0', '0', 'EN', 'Hérault', 'FR', '34');
INSERT INTO `subdivisions` VALUES ('1083', '0', '0', '0', 'EN', 'Ille-et-Vilaine', 'FR', '35');
INSERT INTO `subdivisions` VALUES ('1084', '0', '0', '0', 'EN', 'Indre', 'FR', '36');
INSERT INTO `subdivisions` VALUES ('1085', '0', '0', '0', 'EN', 'Indre-et-Loire', 'FR', '37');
INSERT INTO `subdivisions` VALUES ('1086', '0', '0', '0', 'EN', 'Isère', 'FR', '38');
INSERT INTO `subdivisions` VALUES ('1087', '0', '0', '0', 'EN', 'Jura', 'FR', '39');
INSERT INTO `subdivisions` VALUES ('1088', '0', '0', '0', 'EN', 'Landes', 'FR', '40');
INSERT INTO `subdivisions` VALUES ('1089', '0', '0', '0', 'EN', 'Loir-et-Cher', 'FR', '41');
INSERT INTO `subdivisions` VALUES ('1090', '0', '0', '0', 'EN', 'Loire', 'FR', '42');
INSERT INTO `subdivisions` VALUES ('1091', '0', '0', '0', 'EN', 'Haute-Loire', 'FR', '43');
INSERT INTO `subdivisions` VALUES ('1092', '0', '0', '0', 'EN', 'Loire-Atlantique', 'FR', '44');
INSERT INTO `subdivisions` VALUES ('1093', '0', '0', '0', 'EN', 'Loiret', 'FR', '45');
INSERT INTO `subdivisions` VALUES ('1094', '0', '0', '0', 'EN', 'Lot', 'FR', '46');
INSERT INTO `subdivisions` VALUES ('1095', '0', '0', '0', 'EN', 'Lot-et-Garonne', 'FR', '47');
INSERT INTO `subdivisions` VALUES ('1096', '0', '0', '0', 'EN', 'Lozère', 'FR', '48');
INSERT INTO `subdivisions` VALUES ('1097', '0', '0', '0', 'EN', 'Maine-et-Loire', 'FR', '49');
INSERT INTO `subdivisions` VALUES ('1098', '0', '0', '0', 'EN', 'Manche', 'FR', '50');
INSERT INTO `subdivisions` VALUES ('1099', '0', '0', '0', 'EN', 'Marne', 'FR', '51');
INSERT INTO `subdivisions` VALUES ('1100', '0', '0', '0', 'EN', 'Haute-Marne', 'FR', '52');
INSERT INTO `subdivisions` VALUES ('1101', '0', '0', '0', 'EN', 'Mayenne', 'FR', '53');
INSERT INTO `subdivisions` VALUES ('1102', '0', '0', '0', 'EN', 'Meurthe-et-Moselle', 'FR', '54');
INSERT INTO `subdivisions` VALUES ('1103', '0', '0', '0', 'EN', 'Meuse', 'FR', '55');
INSERT INTO `subdivisions` VALUES ('1104', '0', '0', '0', 'EN', 'Morbihan', 'FR', '56');
INSERT INTO `subdivisions` VALUES ('1105', '0', '0', '0', 'EN', 'Moselle', 'FR', '57');
INSERT INTO `subdivisions` VALUES ('1106', '0', '0', '0', 'EN', 'Nièvre', 'FR', '58');
INSERT INTO `subdivisions` VALUES ('1107', '0', '0', '0', 'EN', 'Nord', 'FR', '59');
INSERT INTO `subdivisions` VALUES ('1108', '0', '0', '0', 'EN', 'Oise', 'FR', '60');
INSERT INTO `subdivisions` VALUES ('1109', '0', '0', '0', 'EN', 'Orne', 'FR', '61');
INSERT INTO `subdivisions` VALUES ('1110', '0', '0', '0', 'EN', 'Pas-de-Calais', 'FR', '62');
INSERT INTO `subdivisions` VALUES ('1111', '0', '0', '0', 'EN', 'Puy-de-Dôme', 'FR', '63');
INSERT INTO `subdivisions` VALUES ('1112', '0', '0', '0', 'EN', 'Pyrénées-Atlantiques', 'FR', '64');
INSERT INTO `subdivisions` VALUES ('1113', '0', '0', '0', 'EN', 'Hautes-Pyrénées', 'FR', '65');
INSERT INTO `subdivisions` VALUES ('1114', '0', '0', '0', 'EN', 'Pyrénées-Orientales', 'FR', '66');
INSERT INTO `subdivisions` VALUES ('1115', '0', '0', '0', 'EN', 'Bas-Rhin', 'FR', '67');
INSERT INTO `subdivisions` VALUES ('1116', '0', '0', '0', 'EN', 'Haut-Rhin', 'FR', '68');
INSERT INTO `subdivisions` VALUES ('1117', '0', '0', '0', 'EN', 'Rhône', 'FR', '69');
INSERT INTO `subdivisions` VALUES ('1118', '0', '0', '0', 'EN', 'Haute-Saône', 'FR', '70');
INSERT INTO `subdivisions` VALUES ('1119', '0', '0', '0', 'EN', 'Saône-et-Loire', 'FR', '71');
INSERT INTO `subdivisions` VALUES ('1120', '0', '0', '0', 'EN', 'Sarthe', 'FR', '72');
INSERT INTO `subdivisions` VALUES ('1121', '0', '0', '0', 'EN', 'Savoie', 'FR', '73');
INSERT INTO `subdivisions` VALUES ('1122', '0', '0', '0', 'EN', 'Haute-Savoie', 'FR', '74');
INSERT INTO `subdivisions` VALUES ('1123', '0', '0', '0', 'EN', 'Paris', 'FR', '75');
INSERT INTO `subdivisions` VALUES ('1124', '0', '0', '0', 'EN', 'Seine-Maritime', 'FR', '76');
INSERT INTO `subdivisions` VALUES ('1125', '0', '0', '0', 'EN', 'Seine-et-Marne', 'FR', '77');
INSERT INTO `subdivisions` VALUES ('1126', '0', '0', '0', 'EN', 'Yvelines', 'FR', '78');
INSERT INTO `subdivisions` VALUES ('1127', '0', '0', '0', 'EN', 'Deux-Sèvres', 'FR', '79');
INSERT INTO `subdivisions` VALUES ('1128', '0', '0', '0', 'EN', 'Somme', 'FR', '80');
INSERT INTO `subdivisions` VALUES ('1129', '0', '0', '0', 'EN', 'Tarn', 'FR', '81');
INSERT INTO `subdivisions` VALUES ('1130', '0', '0', '0', 'EN', 'Tarn-et-Garonne', 'FR', '82');
INSERT INTO `subdivisions` VALUES ('1131', '0', '0', '0', 'EN', 'Var', 'FR', '83');
INSERT INTO `subdivisions` VALUES ('1132', '0', '0', '0', 'EN', 'Vaucluse', 'FR', '84');
INSERT INTO `subdivisions` VALUES ('1133', '0', '0', '0', 'EN', 'Vendée', 'FR', '85');
INSERT INTO `subdivisions` VALUES ('1134', '0', '0', '0', 'EN', 'Vienne', 'FR', '86');
INSERT INTO `subdivisions` VALUES ('1135', '0', '0', '0', 'EN', 'Haute-Vienne', 'FR', '87');
INSERT INTO `subdivisions` VALUES ('1136', '0', '0', '0', 'EN', 'Vosges', 'FR', '88');
INSERT INTO `subdivisions` VALUES ('1137', '0', '0', '0', 'EN', 'Yonne', 'FR', '89');
INSERT INTO `subdivisions` VALUES ('1138', '0', '0', '0', 'EN', 'Territoire de Belfort', 'FR', '90');
INSERT INTO `subdivisions` VALUES ('1139', '0', '0', '0', 'EN', 'Essonne', 'FR', '91');
INSERT INTO `subdivisions` VALUES ('1140', '0', '0', '0', 'EN', 'Hauts-de-Seine', 'FR', '92');
INSERT INTO `subdivisions` VALUES ('1141', '0', '0', '0', 'EN', 'Seine-Saint-Denis', 'FR', '93');
INSERT INTO `subdivisions` VALUES ('1142', '0', '0', '0', 'EN', 'Val-de-Marne', 'FR', '94');
INSERT INTO `subdivisions` VALUES ('1143', '0', '0', '0', 'EN', 'Val-d\'Oise', 'FR', '95');
INSERT INTO `subdivisions` VALUES ('1044', '0', '0', '0', 'EN', 'Kosrae', 'FM', 'KSA');
INSERT INTO `subdivisions` VALUES ('1045', '0', '0', '0', 'EN', 'Pohnpei', 'FM', 'PNI');
INSERT INTO `subdivisions` VALUES ('1046', '0', '0', '0', 'EN', 'Chuuk', 'FM', 'TRK');
INSERT INTO `subdivisions` VALUES ('1047', '0', '0', '0', 'EN', 'Yap', 'FM', 'YAP');
INSERT INTO `subdivisions` VALUES ('1039', '0', '0', '0', 'EN', 'Central', 'FJ', 'C');
INSERT INTO `subdivisions` VALUES ('1040', '0', '0', '0', 'EN', 'Eastern', 'FJ', 'E');
INSERT INTO `subdivisions` VALUES ('1041', '0', '0', '0', 'EN', 'Northern', 'FJ', 'N');
INSERT INTO `subdivisions` VALUES ('1042', '0', '0', '0', 'EN', 'Rotuma', 'FJ', 'R');
INSERT INTO `subdivisions` VALUES ('1043', '0', '0', '0', 'EN', 'Western', 'FJ', 'W');
INSERT INTO `subdivisions` VALUES ('1033', '0', '0', '0', 'EN', 'Ahvenanmaan lääni', 'FI', 'AL');
INSERT INTO `subdivisions` VALUES ('1034', '0', '0', '0', 'EN', 'Etelä-Suomen lääni', 'FI', 'ES');
INSERT INTO `subdivisions` VALUES ('1035', '0', '0', '0', 'EN', 'Itä-Suomen lääni', 'FI', 'IS');
INSERT INTO `subdivisions` VALUES ('1036', '0', '0', '0', 'EN', 'Lapin lääni', 'FI', 'LL');
INSERT INTO `subdivisions` VALUES ('1037', '0', '0', '0', 'EN', 'Länsi-Suomen lääni', 'FI', 'LS');
INSERT INTO `subdivisions` VALUES ('1038', '0', '0', '0', 'EN', 'Oulun lääni', 'FI', 'OL');
INSERT INTO `subdivisions` VALUES ('1022', '0', '0', '0', 'EN', 'Addis Ababa', 'ET', 'AA');
INSERT INTO `subdivisions` VALUES ('1023', '0', '0', '0', 'EN', 'Afar', 'ET', 'AF');
INSERT INTO `subdivisions` VALUES ('1024', '0', '0', '0', 'EN', 'Amara', 'ET', 'AM');
INSERT INTO `subdivisions` VALUES ('1025', '0', '0', '0', 'EN', 'Benshangul-Gumaz', 'ET', 'BE');
INSERT INTO `subdivisions` VALUES ('1026', '0', '0', '0', 'EN', 'Dire Dawa', 'ET', 'DD');
INSERT INTO `subdivisions` VALUES ('1027', '0', '0', '0', 'EN', 'Gambela Peoples', 'ET', 'GA');
INSERT INTO `subdivisions` VALUES ('1028', '0', '0', '0', 'EN', 'Harari People', 'ET', 'HA');
INSERT INTO `subdivisions` VALUES ('1029', '0', '0', '0', 'EN', 'Oromia', 'ET', 'OR');
INSERT INTO `subdivisions` VALUES ('1030', '0', '0', '0', 'EN', 'Southern Nations, Nationalities and Peoples', 'ET', 'SN');
INSERT INTO `subdivisions` VALUES ('1031', '0', '0', '0', 'EN', 'Somali', 'ET', 'SO');
INSERT INTO `subdivisions` VALUES ('1032', '0', '0', '0', 'EN', 'Tigrai', 'ET', 'TI');
INSERT INTO `subdivisions` VALUES ('1003', '0', '0', '0', 'EN', 'Andalucía', 'ES', 'AN');
INSERT INTO `subdivisions` VALUES ('1004', '0', '0', '0', 'EN', 'Aragón', 'ES', 'AR');
INSERT INTO `subdivisions` VALUES ('1005', '0', '0', '0', 'EN', 'Asturias, Principado de', 'ES', 'AS');
INSERT INTO `subdivisions` VALUES ('1006', '0', '0', '0', 'EN', 'Cantabria', 'ES', 'CB');
INSERT INTO `subdivisions` VALUES ('1007', '0', '0', '0', 'EN', 'Ceuta', 'ES', 'CE');
INSERT INTO `subdivisions` VALUES ('1008', '0', '0', '0', 'EN', 'Castilla y León', 'ES', 'CL');
INSERT INTO `subdivisions` VALUES ('1009', '0', '0', '0', 'EN', 'Castilla-La Mancha', 'ES', 'CM');
INSERT INTO `subdivisions` VALUES ('1010', '0', '0', '0', 'EN', 'Canarias', 'ES', 'CN');
INSERT INTO `subdivisions` VALUES ('1011', '0', '0', '0', 'EN', 'Catalunya', 'ES', 'CT');
INSERT INTO `subdivisions` VALUES ('1012', '0', '0', '0', 'EN', 'Extremadura', 'ES', 'EX');
INSERT INTO `subdivisions` VALUES ('1013', '0', '0', '0', 'EN', 'Galicia', 'ES', 'GA');
INSERT INTO `subdivisions` VALUES ('1014', '0', '0', '0', 'EN', 'Illes Balears', 'ES', 'IB');
INSERT INTO `subdivisions` VALUES ('1015', '0', '0', '0', 'EN', 'Murcia, Región de', 'ES', 'MC');
INSERT INTO `subdivisions` VALUES ('1016', '0', '0', '0', 'EN', 'Madrid, Comunidad de', 'ES', 'MD');
INSERT INTO `subdivisions` VALUES ('1017', '0', '0', '0', 'EN', 'Melilla', 'ES', 'ML');
INSERT INTO `subdivisions` VALUES ('1018', '0', '0', '0', 'EN', 'Navarra, Comunidad Foral de', 'ES', 'NC');
INSERT INTO `subdivisions` VALUES ('1019', '0', '0', '0', 'EN', 'País Vasco', 'ES', 'PV');
INSERT INTO `subdivisions` VALUES ('1020', '0', '0', '0', 'EN', 'La Rioja', 'ES', 'RI');
INSERT INTO `subdivisions` VALUES ('1021', '0', '0', '0', 'EN', 'Valenciana, Comunidad', 'ES', 'VC');
INSERT INTO `subdivisions` VALUES ('997', '0', '0', '0', 'EN', 'Anseba', 'ER', 'AN');
INSERT INTO `subdivisions` VALUES ('998', '0', '0', '0', 'EN', 'Debubawi Keyih Bahri [Debub-Keih-Bahri]', 'ER', 'DK');
INSERT INTO `subdivisions` VALUES ('999', '0', '0', '0', 'EN', 'Debub', 'ER', 'DU');
INSERT INTO `subdivisions` VALUES ('1000', '0', '0', '0', 'EN', 'Gash-Barka', 'ER', 'GB');
INSERT INTO `subdivisions` VALUES ('1001', '0', '0', '0', 'EN', 'Maakel [Maekel]', 'ER', 'MA');
INSERT INTO `subdivisions` VALUES ('1002', '0', '0', '0', 'EN', 'Semenawi Keyih Bahri [Semien-Keih-Bahri]', 'ER', 'SK');
INSERT INTO `subdivisions` VALUES ('968', '0', '0', '0', 'EN', 'Al Iskandarīyah', 'EG', 'ALX');
INSERT INTO `subdivisions` VALUES ('969', '0', '0', '0', 'EN', 'Aswān', 'EG', 'ASN');
INSERT INTO `subdivisions` VALUES ('970', '0', '0', '0', 'EN', 'Asyūţ', 'EG', 'AST');
INSERT INTO `subdivisions` VALUES ('971', '0', '0', '0', 'EN', 'Al Baḩr al Aḩmar', 'EG', 'BA');
INSERT INTO `subdivisions` VALUES ('972', '0', '0', '0', 'EN', 'Al Buḩayrah', 'EG', 'BH');
INSERT INTO `subdivisions` VALUES ('973', '0', '0', '0', 'EN', 'Banī Suwayf', 'EG', 'BNS');
INSERT INTO `subdivisions` VALUES ('974', '0', '0', '0', 'EN', 'Al Qāhirah', 'EG', 'C');
INSERT INTO `subdivisions` VALUES ('975', '0', '0', '0', 'EN', 'Ad Daqahlīyah', 'EG', 'DK');
INSERT INTO `subdivisions` VALUES ('976', '0', '0', '0', 'EN', 'Dumyāţ', 'EG', 'DT');
INSERT INTO `subdivisions` VALUES ('977', '0', '0', '0', 'EN', 'Al Fayyūm', 'EG', 'FYM');
INSERT INTO `subdivisions` VALUES ('978', '0', '0', '0', 'EN', 'Al Gharbīyah', 'EG', 'GH');
INSERT INTO `subdivisions` VALUES ('979', '0', '0', '0', 'EN', 'Al Jīzah', 'EG', 'GZ');
INSERT INTO `subdivisions` VALUES ('980', '0', '0', '0', 'EN', 'Ḩulwān', 'EG', 'HU');
INSERT INTO `subdivisions` VALUES ('981', '0', '0', '0', 'EN', 'Al Ismāٰīlīyah', 'EG', 'IS');
INSERT INTO `subdivisions` VALUES ('982', '0', '0', '0', 'EN', 'Janūb Sīnā\'', 'EG', 'JS');
INSERT INTO `subdivisions` VALUES ('983', '0', '0', '0', 'EN', 'Al Qalyūbīyah', 'EG', 'KB');
INSERT INTO `subdivisions` VALUES ('984', '0', '0', '0', 'EN', 'Kafr ash Shaykh', 'EG', 'KFS');
INSERT INTO `subdivisions` VALUES ('985', '0', '0', '0', 'EN', 'Qinā', 'EG', 'KN');
INSERT INTO `subdivisions` VALUES ('986', '0', '0', '0', 'EN', 'Al Uqşur', 'EG', 'LX');
INSERT INTO `subdivisions` VALUES ('987', '0', '0', '0', 'EN', 'Al Minyā', 'EG', 'MN');
INSERT INTO `subdivisions` VALUES ('988', '0', '0', '0', 'EN', 'Al Minūfīyah', 'EG', 'MNF');
INSERT INTO `subdivisions` VALUES ('989', '0', '0', '0', 'EN', 'Maţrūḩ', 'EG', 'MT');
INSERT INTO `subdivisions` VALUES ('990', '0', '0', '0', 'EN', 'Būr Saٰīd', 'EG', 'PTS');
INSERT INTO `subdivisions` VALUES ('991', '0', '0', '0', 'EN', 'Sūhāj', 'EG', 'SHG');
INSERT INTO `subdivisions` VALUES ('992', '0', '0', '0', 'EN', 'Ash Sharqīyah', 'EG', 'SHR');
INSERT INTO `subdivisions` VALUES ('993', '0', '0', '0', 'EN', 'Shamāl Sīnā\'', 'EG', 'SIN');
INSERT INTO `subdivisions` VALUES ('994', '0', '0', '0', 'EN', 'As Sādis min Uktūbar', 'EG', 'SU');
INSERT INTO `subdivisions` VALUES ('995', '0', '0', '0', 'EN', 'As Suways', 'EG', 'SUZ');
INSERT INTO `subdivisions` VALUES ('996', '0', '0', '0', 'EN', 'Al Wādī al Jadīd', 'EG', 'WAD');
INSERT INTO `subdivisions` VALUES ('953', '0', '0', '0', 'EN', 'Harjumaa', 'EE', '37');
INSERT INTO `subdivisions` VALUES ('954', '0', '0', '0', 'EN', 'Hiiumaa', 'EE', '39');
INSERT INTO `subdivisions` VALUES ('955', '0', '0', '0', 'EN', 'Ida-Virumaa', 'EE', '44');
INSERT INTO `subdivisions` VALUES ('956', '0', '0', '0', 'EN', 'Jõgevamaa', 'EE', '49');
INSERT INTO `subdivisions` VALUES ('957', '0', '0', '0', 'EN', 'Järvamaa', 'EE', '51');
INSERT INTO `subdivisions` VALUES ('958', '0', '0', '0', 'EN', 'Läänemaa', 'EE', '57');
INSERT INTO `subdivisions` VALUES ('959', '0', '0', '0', 'EN', 'Lääne-Virumaa', 'EE', '59');
INSERT INTO `subdivisions` VALUES ('960', '0', '0', '0', 'EN', 'Põlvamaa', 'EE', '65');
INSERT INTO `subdivisions` VALUES ('961', '0', '0', '0', 'EN', 'Pärnumaa', 'EE', '67');
INSERT INTO `subdivisions` VALUES ('962', '0', '0', '0', 'EN', 'Raplamaa', 'EE', '70');
INSERT INTO `subdivisions` VALUES ('963', '0', '0', '0', 'EN', 'Saaremaa', 'EE', '74');
INSERT INTO `subdivisions` VALUES ('964', '0', '0', '0', 'EN', 'Tartumaa', 'EE', '78');
INSERT INTO `subdivisions` VALUES ('965', '0', '0', '0', 'EN', 'Valgamaa', 'EE', '82');
INSERT INTO `subdivisions` VALUES ('966', '0', '0', '0', 'EN', 'Viljandimaa', 'EE', '84');
INSERT INTO `subdivisions` VALUES ('967', '0', '0', '0', 'EN', 'Võrumaa', 'EE', '86');
INSERT INTO `subdivisions` VALUES ('929', '0', '0', '0', 'EN', 'Azuay', 'EC', 'A');
INSERT INTO `subdivisions` VALUES ('930', '0', '0', '0', 'EN', 'Bolívar', 'EC', 'B');
INSERT INTO `subdivisions` VALUES ('931', '0', '0', '0', 'EN', 'Carchi', 'EC', 'C');
INSERT INTO `subdivisions` VALUES ('932', '0', '0', '0', 'EN', 'Orellana', 'EC', 'D');
INSERT INTO `subdivisions` VALUES ('933', '0', '0', '0', 'EN', 'Esmeraldas', 'EC', 'E');
INSERT INTO `subdivisions` VALUES ('934', '0', '0', '0', 'EN', 'Cañar', 'EC', 'F');
INSERT INTO `subdivisions` VALUES ('935', '0', '0', '0', 'EN', 'Guayas', 'EC', 'G');
INSERT INTO `subdivisions` VALUES ('936', '0', '0', '0', 'EN', 'Chimborazo', 'EC', 'H');
INSERT INTO `subdivisions` VALUES ('937', '0', '0', '0', 'EN', 'Imbabura', 'EC', 'I');
INSERT INTO `subdivisions` VALUES ('938', '0', '0', '0', 'EN', 'Loja', 'EC', 'L');
INSERT INTO `subdivisions` VALUES ('939', '0', '0', '0', 'EN', 'Manabí', 'EC', 'M');
INSERT INTO `subdivisions` VALUES ('940', '0', '0', '0', 'EN', 'Napo', 'EC', 'N');
INSERT INTO `subdivisions` VALUES ('941', '0', '0', '0', 'EN', 'El Oro', 'EC', 'O');
INSERT INTO `subdivisions` VALUES ('942', '0', '0', '0', 'EN', 'Pichincha', 'EC', 'P');
INSERT INTO `subdivisions` VALUES ('943', '0', '0', '0', 'EN', 'Los Ríos', 'EC', 'R');
INSERT INTO `subdivisions` VALUES ('944', '0', '0', '0', 'EN', 'Morona-Santiago', 'EC', 'S');
INSERT INTO `subdivisions` VALUES ('945', '0', '0', '0', 'EN', 'Santo Domingo de los Tsáchilas', 'EC', 'SD');
INSERT INTO `subdivisions` VALUES ('946', '0', '0', '0', 'EN', 'Santa Elena', 'EC', 'SE');
INSERT INTO `subdivisions` VALUES ('947', '0', '0', '0', 'EN', 'Tungurahua', 'EC', 'T');
INSERT INTO `subdivisions` VALUES ('948', '0', '0', '0', 'EN', 'Sucumbíos', 'EC', 'U');
INSERT INTO `subdivisions` VALUES ('949', '0', '0', '0', 'EN', 'Galápagos', 'EC', 'W');
INSERT INTO `subdivisions` VALUES ('950', '0', '0', '0', 'EN', 'Cotopaxi', 'EC', 'X');
INSERT INTO `subdivisions` VALUES ('951', '0', '0', '0', 'EN', 'Pastaza', 'EC', 'Y');
INSERT INTO `subdivisions` VALUES ('952', '0', '0', '0', 'EN', 'Zamora-Chinchipe', 'EC', 'Z');
INSERT INTO `subdivisions` VALUES ('881', '0', '0', '0', 'EN', 'Adrar', 'DZ', '01');
INSERT INTO `subdivisions` VALUES ('882', '0', '0', '0', 'EN', 'Chlef', 'DZ', '02');
INSERT INTO `subdivisions` VALUES ('883', '0', '0', '0', 'EN', 'Laghouat', 'DZ', '03');
INSERT INTO `subdivisions` VALUES ('884', '0', '0', '0', 'EN', 'Oum el Bouaghi', 'DZ', '04');
INSERT INTO `subdivisions` VALUES ('885', '0', '0', '0', 'EN', 'Batna', 'DZ', '05');
INSERT INTO `subdivisions` VALUES ('886', '0', '0', '0', 'EN', 'Béjaïa', 'DZ', '06');
INSERT INTO `subdivisions` VALUES ('887', '0', '0', '0', 'EN', 'Biskra', 'DZ', '07');
INSERT INTO `subdivisions` VALUES ('888', '0', '0', '0', 'EN', 'Béchar', 'DZ', '08');
INSERT INTO `subdivisions` VALUES ('889', '0', '0', '0', 'EN', 'Blida', 'DZ', '09');
INSERT INTO `subdivisions` VALUES ('890', '0', '0', '0', 'EN', 'Bouira', 'DZ', '10');
INSERT INTO `subdivisions` VALUES ('891', '0', '0', '0', 'EN', 'Tamanghasset', 'DZ', '11');
INSERT INTO `subdivisions` VALUES ('892', '0', '0', '0', 'EN', 'ébessa', 'DZ', '12');
INSERT INTO `subdivisions` VALUES ('893', '0', '0', '0', 'EN', 'Tlemcen', 'DZ', '13');
INSERT INTO `subdivisions` VALUES ('894', '0', '0', '0', 'EN', 'Tiaret', 'DZ', '14');
INSERT INTO `subdivisions` VALUES ('895', '0', '0', '0', 'EN', 'Tizi Ouzou', 'DZ', '15');
INSERT INTO `subdivisions` VALUES ('896', '0', '0', '0', 'EN', 'Alger', 'DZ', '16');
INSERT INTO `subdivisions` VALUES ('897', '0', '0', '0', 'EN', 'Djelfa', 'DZ', '17');
INSERT INTO `subdivisions` VALUES ('898', '0', '0', '0', 'EN', 'Jijel', 'DZ', '18');
INSERT INTO `subdivisions` VALUES ('899', '0', '0', '0', 'EN', 'Setif !Sétif', 'DZ', '19');
INSERT INTO `subdivisions` VALUES ('900', '0', '0', '0', 'EN', 'Saïda', 'DZ', '20');
INSERT INTO `subdivisions` VALUES ('901', '0', '0', '0', 'EN', 'Skikda', 'DZ', '21');
INSERT INTO `subdivisions` VALUES ('902', '0', '0', '0', 'EN', 'Sidi Bel Abbès', 'DZ', '22');
INSERT INTO `subdivisions` VALUES ('903', '0', '0', '0', 'EN', 'Annaba', 'DZ', '23');
INSERT INTO `subdivisions` VALUES ('904', '0', '0', '0', 'EN', 'Guelma', 'DZ', '24');
INSERT INTO `subdivisions` VALUES ('905', '0', '0', '0', 'EN', 'Constantine', 'DZ', '25');
INSERT INTO `subdivisions` VALUES ('906', '0', '0', '0', 'EN', 'Medéa !Médéa', 'DZ', '26');
INSERT INTO `subdivisions` VALUES ('907', '0', '0', '0', 'EN', 'Mostaganem', 'DZ', '27');
INSERT INTO `subdivisions` VALUES ('908', '0', '0', '0', 'EN', 'Msila', 'DZ', '28');
INSERT INTO `subdivisions` VALUES ('909', '0', '0', '0', 'EN', 'Mascara', 'DZ', '29');
INSERT INTO `subdivisions` VALUES ('910', '0', '0', '0', 'EN', 'Ouargla', 'DZ', '30');
INSERT INTO `subdivisions` VALUES ('911', '0', '0', '0', 'EN', 'Oran', 'DZ', '31');
INSERT INTO `subdivisions` VALUES ('912', '0', '0', '0', 'EN', 'El Bayadh', 'DZ', '32');
INSERT INTO `subdivisions` VALUES ('913', '0', '0', '0', 'EN', 'Illizi', 'DZ', '33');
INSERT INTO `subdivisions` VALUES ('914', '0', '0', '0', 'EN', 'Bordj Bou Arréridj', 'DZ', '34');
INSERT INTO `subdivisions` VALUES ('915', '0', '0', '0', 'EN', 'Boumerdès', 'DZ', '35');
INSERT INTO `subdivisions` VALUES ('916', '0', '0', '0', 'EN', 'El Tarf', 'DZ', '36');
INSERT INTO `subdivisions` VALUES ('917', '0', '0', '0', 'EN', 'Tindouf', 'DZ', '37');
INSERT INTO `subdivisions` VALUES ('918', '0', '0', '0', 'EN', 'Tissemsilt', 'DZ', '38');
INSERT INTO `subdivisions` VALUES ('919', '0', '0', '0', 'EN', 'El Oued', 'DZ', '39');
INSERT INTO `subdivisions` VALUES ('920', '0', '0', '0', 'EN', 'Khenchela', 'DZ', '40');
INSERT INTO `subdivisions` VALUES ('921', '0', '0', '0', 'EN', 'Souk Ahras', 'DZ', '41');
INSERT INTO `subdivisions` VALUES ('922', '0', '0', '0', 'EN', 'Tipaza', 'DZ', '42');
INSERT INTO `subdivisions` VALUES ('923', '0', '0', '0', 'EN', 'Mila', 'DZ', '43');
INSERT INTO `subdivisions` VALUES ('924', '0', '0', '0', 'EN', 'Ain Defla !Aïn Defla', 'DZ', '44');
INSERT INTO `subdivisions` VALUES ('925', '0', '0', '0', 'EN', 'Naama', 'DZ', '45');
INSERT INTO `subdivisions` VALUES ('926', '0', '0', '0', 'EN', 'Ain Témouchent !Aïn Témouchent', 'DZ', '46');
INSERT INTO `subdivisions` VALUES ('927', '0', '0', '0', 'EN', 'Ghardaïa', 'DZ', '47');
INSERT INTO `subdivisions` VALUES ('928', '0', '0', '0', 'EN', 'Relizane', 'DZ', '48');
INSERT INTO `subdivisions` VALUES ('849', '0', '0', '0', 'EN', 'Santo Domingo', 'DO', '01');
INSERT INTO `subdivisions` VALUES ('850', '0', '0', '0', 'EN', 'Azua', 'DO', '02');
INSERT INTO `subdivisions` VALUES ('851', '0', '0', '0', 'EN', 'Bahoruco', 'DO', '03');
INSERT INTO `subdivisions` VALUES ('852', '0', '0', '0', 'EN', 'Barahona', 'DO', '04');
INSERT INTO `subdivisions` VALUES ('853', '0', '0', '0', 'EN', 'Dajabón', 'DO', '05');
INSERT INTO `subdivisions` VALUES ('854', '0', '0', '0', 'EN', 'Duarte', 'DO', '06');
INSERT INTO `subdivisions` VALUES ('855', '0', '0', '0', 'EN', 'Elías Piña', 'DO', '07');
INSERT INTO `subdivisions` VALUES ('856', '0', '0', '0', 'EN', 'El Seibo', 'DO', '08');
INSERT INTO `subdivisions` VALUES ('857', '0', '0', '0', 'EN', 'Espaillat', 'DO', '09');
INSERT INTO `subdivisions` VALUES ('858', '0', '0', '0', 'EN', 'Independencia', 'DO', '10');
INSERT INTO `subdivisions` VALUES ('859', '0', '0', '0', 'EN', 'La Altagracia', 'DO', '11');
INSERT INTO `subdivisions` VALUES ('860', '0', '0', '0', 'EN', 'La Romana', 'DO', '12');
INSERT INTO `subdivisions` VALUES ('861', '0', '0', '0', 'EN', 'La Vega', 'DO', '13');
INSERT INTO `subdivisions` VALUES ('862', '0', '0', '0', 'EN', 'María Trinidad Sánchez', 'DO', '14');
INSERT INTO `subdivisions` VALUES ('863', '0', '0', '0', 'EN', 'Monte Cristi', 'DO', '15');
INSERT INTO `subdivisions` VALUES ('864', '0', '0', '0', 'EN', 'Pedernales', 'DO', '16');
INSERT INTO `subdivisions` VALUES ('865', '0', '0', '0', 'EN', 'Peravia', 'DO', '17');
INSERT INTO `subdivisions` VALUES ('866', '0', '0', '0', 'EN', 'Puerto Plata', 'DO', '18');
INSERT INTO `subdivisions` VALUES ('867', '0', '0', '0', 'EN', 'Salcedo', 'DO', '19');
INSERT INTO `subdivisions` VALUES ('868', '0', '0', '0', 'EN', 'Samaná', 'DO', '20');
INSERT INTO `subdivisions` VALUES ('869', '0', '0', '0', 'EN', 'San Cristóbal', 'DO', '21');
INSERT INTO `subdivisions` VALUES ('870', '0', '0', '0', 'EN', 'San Juan', 'DO', '22');
INSERT INTO `subdivisions` VALUES ('871', '0', '0', '0', 'EN', 'San Pedro de Macorís', 'DO', '23');
INSERT INTO `subdivisions` VALUES ('872', '0', '0', '0', 'EN', 'Sánchez Ramírez', 'DO', '24');
INSERT INTO `subdivisions` VALUES ('873', '0', '0', '0', 'EN', 'Santiago', 'DO', '25');
INSERT INTO `subdivisions` VALUES ('874', '0', '0', '0', 'EN', 'Santiago Rodríguez', 'DO', '26');
INSERT INTO `subdivisions` VALUES ('875', '0', '0', '0', 'EN', 'Valverde', 'DO', '27');
INSERT INTO `subdivisions` VALUES ('876', '0', '0', '0', 'EN', 'Monseñor Nouel', 'DO', '28');
INSERT INTO `subdivisions` VALUES ('877', '0', '0', '0', 'EN', 'Monte Plata', 'DO', '29');
INSERT INTO `subdivisions` VALUES ('878', '0', '0', '0', 'EN', 'Hato Mayor', 'DO', '30');
INSERT INTO `subdivisions` VALUES ('879', '0', '0', '0', 'EN', 'San José de Ocoa', 'DO', '31');
INSERT INTO `subdivisions` VALUES ('880', '0', '0', '0', 'EN', 'Santo Domingo', 'DO', '32');
INSERT INTO `subdivisions` VALUES ('839', '0', '0', '0', 'EN', 'Saint Andrew', 'DM', '02');
INSERT INTO `subdivisions` VALUES ('840', '0', '0', '0', 'EN', 'Saint David', 'DM', '03');
INSERT INTO `subdivisions` VALUES ('841', '0', '0', '0', 'EN', 'Saint George', 'DM', '04');
INSERT INTO `subdivisions` VALUES ('842', '0', '0', '0', 'EN', 'Saint John', 'DM', '05');
INSERT INTO `subdivisions` VALUES ('843', '0', '0', '0', 'EN', 'Saint Joseph', 'DM', '06');
INSERT INTO `subdivisions` VALUES ('844', '0', '0', '0', 'EN', 'Saint Luke', 'DM', '07');
INSERT INTO `subdivisions` VALUES ('845', '0', '0', '0', 'EN', 'Saint Mark', 'DM', '08');
INSERT INTO `subdivisions` VALUES ('846', '0', '0', '0', 'EN', 'Saint Patrick', 'DM', '09');
INSERT INTO `subdivisions` VALUES ('847', '0', '0', '0', 'EN', 'Saint Paul', 'DM', '10');
INSERT INTO `subdivisions` VALUES ('848', '0', '0', '0', 'EN', 'Saint Peter', 'DM', '11');
INSERT INTO `subdivisions` VALUES ('834', '0', '0', '0', 'EN', 'Nordjylland', 'DK', '81');
INSERT INTO `subdivisions` VALUES ('835', '0', '0', '0', 'EN', 'Midtjylland', 'DK', '82');
INSERT INTO `subdivisions` VALUES ('836', '0', '0', '0', 'EN', 'Syddanmark', 'DK', '83');
INSERT INTO `subdivisions` VALUES ('837', '0', '0', '0', 'EN', 'Hovedstaden', 'DK', '84');
INSERT INTO `subdivisions` VALUES ('838', '0', '0', '0', 'EN', 'Sjælland', 'DK', '85');
INSERT INTO `subdivisions` VALUES ('828', '0', '0', '0', 'EN', 'Arta', 'DJ', 'AR');
INSERT INTO `subdivisions` VALUES ('829', '0', '0', '0', 'EN', 'Ali Sabieh', 'DJ', 'AS');
INSERT INTO `subdivisions` VALUES ('830', '0', '0', '0', 'EN', 'Dikhil', 'DJ', 'DI');
INSERT INTO `subdivisions` VALUES ('831', '0', '0', '0', 'EN', 'Djibouti', 'DJ', 'DJ');
INSERT INTO `subdivisions` VALUES ('832', '0', '0', '0', 'EN', 'Obock', 'DJ', 'OB');
INSERT INTO `subdivisions` VALUES ('833', '0', '0', '0', 'EN', 'Tadjourah', 'DJ', 'TA');
INSERT INTO `subdivisions` VALUES ('812', '0', '0', '0', 'EN', 'Brandenburg', 'DE', 'BB');
INSERT INTO `subdivisions` VALUES ('813', '0', '0', '0', 'EN', 'Berlin', 'DE', 'BE');
INSERT INTO `subdivisions` VALUES ('814', '0', '0', '0', 'EN', 'Baden-Württemberg', 'DE', 'BW');
INSERT INTO `subdivisions` VALUES ('815', '0', '0', '0', 'EN', 'Bavaria', 'DE', 'BY');
INSERT INTO `subdivisions` VALUES ('816', '0', '0', '0', 'EN', 'Bremen', 'DE', 'HB');
INSERT INTO `subdivisions` VALUES ('817', '0', '0', '0', 'EN', 'Hesse', 'DE', 'HE');
INSERT INTO `subdivisions` VALUES ('818', '0', '0', '0', 'EN', 'Hamburg', 'DE', 'HH');
INSERT INTO `subdivisions` VALUES ('819', '0', '0', '0', 'EN', 'Mecklenburg-Vorpommern', 'DE', 'MV');
INSERT INTO `subdivisions` VALUES ('820', '0', '0', '0', 'EN', 'Lower Saxony', 'DE', 'NI');
INSERT INTO `subdivisions` VALUES ('821', '0', '0', '0', 'EN', 'North Rhine-Westphalia', 'DE', 'NW');
INSERT INTO `subdivisions` VALUES ('822', '0', '0', '0', 'EN', 'Rhineland-Palatinate', 'DE', 'RP');
INSERT INTO `subdivisions` VALUES ('823', '0', '0', '0', 'EN', 'Schleswig-Holstein', 'DE', 'SH');
INSERT INTO `subdivisions` VALUES ('824', '0', '0', '0', 'EN', 'Saarland', 'DE', 'SL');
INSERT INTO `subdivisions` VALUES ('825', '0', '0', '0', 'EN', 'Saxony', 'DE', 'SN');
INSERT INTO `subdivisions` VALUES ('826', '0', '0', '0', 'EN', 'Saxony-Anhalt', 'DE', 'ST');
INSERT INTO `subdivisions` VALUES ('827', '0', '0', '0', 'EN', 'Thuringia', 'DE', 'TH');
INSERT INTO `subdivisions` VALUES ('798', '0', '0', '0', 'EN', 'Prague', 'CZ', '10');
INSERT INTO `subdivisions` VALUES ('799', '0', '0', '0', 'EN', 'Central Bohemian Region', 'CZ', '20');
INSERT INTO `subdivisions` VALUES ('800', '0', '0', '0', 'EN', 'South Bohemian Region', 'CZ', '31');
INSERT INTO `subdivisions` VALUES ('801', '0', '0', '0', 'EN', 'Plzeň Region', 'CZ', '32');
INSERT INTO `subdivisions` VALUES ('802', '0', '0', '0', 'EN', 'Karlovy Vary Region', 'CZ', '41');
INSERT INTO `subdivisions` VALUES ('803', '0', '0', '0', 'EN', 'Ústí nad Labem Region', 'CZ', '42');
INSERT INTO `subdivisions` VALUES ('804', '0', '0', '0', 'EN', 'Liberec Region', 'CZ', '51');
INSERT INTO `subdivisions` VALUES ('805', '0', '0', '0', 'EN', 'Hradec Králové Region', 'CZ', '52');
INSERT INTO `subdivisions` VALUES ('806', '0', '0', '0', 'EN', 'Pardubice Region', 'CZ', '53');
INSERT INTO `subdivisions` VALUES ('807', '0', '0', '0', 'EN', 'Vysočina Region', 'CZ', '61');
INSERT INTO `subdivisions` VALUES ('808', '0', '0', '0', 'EN', 'South Moravian Region', 'CZ', '62');
INSERT INTO `subdivisions` VALUES ('809', '0', '0', '0', 'EN', 'Olomouc Region', 'CZ', '71');
INSERT INTO `subdivisions` VALUES ('810', '0', '0', '0', 'EN', 'Zlín Region', 'CZ', '72');
INSERT INTO `subdivisions` VALUES ('811', '0', '0', '0', 'EN', 'Moravian-Silesian Region', 'CZ', '80');
INSERT INTO `subdivisions` VALUES ('792', '0', '0', '0', 'EN', 'Lefkosia', 'CY', '01');
INSERT INTO `subdivisions` VALUES ('793', '0', '0', '0', 'EN', 'Lemesos', 'CY', '02');
INSERT INTO `subdivisions` VALUES ('794', '0', '0', '0', 'EN', 'Larnaka', 'CY', '03');
INSERT INTO `subdivisions` VALUES ('795', '0', '0', '0', 'EN', 'Ammochostos', 'CY', '04');
INSERT INTO `subdivisions` VALUES ('796', '0', '0', '0', 'EN', 'Pafos', 'CY', '05');
INSERT INTO `subdivisions` VALUES ('797', '0', '0', '0', 'EN', 'Keryneia', 'CY', '06');
INSERT INTO `subdivisions` VALUES ('770', '0', '0', '0', 'EN', 'Brava', 'CV', 'BR');
INSERT INTO `subdivisions` VALUES ('771', '0', '0', '0', 'EN', 'Boa Vista', 'CV', 'BV');
INSERT INTO `subdivisions` VALUES ('772', '0', '0', '0', 'EN', 'Santa Catarina', 'CV', 'CA');
INSERT INTO `subdivisions` VALUES ('773', '0', '0', '0', 'EN', 'Santa Catarina do Fogo', 'CV', 'CF');
INSERT INTO `subdivisions` VALUES ('774', '0', '0', '0', 'EN', 'Santa Cruz', 'CV', 'CR');
INSERT INTO `subdivisions` VALUES ('775', '0', '0', '0', 'EN', 'Maio', 'CV', 'MA');
INSERT INTO `subdivisions` VALUES ('776', '0', '0', '0', 'EN', 'Mosteiros', 'CV', 'MO');
INSERT INTO `subdivisions` VALUES ('777', '0', '0', '0', 'EN', 'Paul', 'CV', 'PA');
INSERT INTO `subdivisions` VALUES ('778', '0', '0', '0', 'EN', 'Porto Novo', 'CV', 'PN');
INSERT INTO `subdivisions` VALUES ('779', '0', '0', '0', 'EN', 'Praia', 'CV', 'PR');
INSERT INTO `subdivisions` VALUES ('780', '0', '0', '0', 'EN', 'Ribeira Brava', 'CV', 'RB');
INSERT INTO `subdivisions` VALUES ('781', '0', '0', '0', 'EN', 'Ribeira Grande', 'CV', 'RG');
INSERT INTO `subdivisions` VALUES ('782', '0', '0', '0', 'EN', 'Ribeira Grande de Santiago', 'CV', 'RS');
INSERT INTO `subdivisions` VALUES ('783', '0', '0', '0', 'EN', 'São Domingos', 'CV', 'SD');
INSERT INTO `subdivisions` VALUES ('784', '0', '0', '0', 'EN', 'São Filipe', 'CV', 'SF');
INSERT INTO `subdivisions` VALUES ('785', '0', '0', '0', 'EN', 'Sal', 'CV', 'SL');
INSERT INTO `subdivisions` VALUES ('786', '0', '0', '0', 'EN', 'São Lourenço dos Órgãos', 'CV', 'SL');
INSERT INTO `subdivisions` VALUES ('787', '0', '0', '0', 'EN', 'São Miguel', 'CV', 'SM');
INSERT INTO `subdivisions` VALUES ('788', '0', '0', '0', 'EN', 'São Salvador do Mundo', 'CV', 'SS');
INSERT INTO `subdivisions` VALUES ('789', '0', '0', '0', 'EN', 'São Vicente', 'CV', 'SV');
INSERT INTO `subdivisions` VALUES ('790', '0', '0', '0', 'EN', 'Tarrafal', 'CV', 'TA');
INSERT INTO `subdivisions` VALUES ('791', '0', '0', '0', 'EN', 'Tarrafal de São Nicolau', 'CV', 'TS');
INSERT INTO `subdivisions` VALUES ('755', '0', '0', '0', 'EN', 'Pinar del Río', 'CU', '01');
INSERT INTO `subdivisions` VALUES ('756', '0', '0', '0', 'EN', 'La Habana', 'CU', '02');
INSERT INTO `subdivisions` VALUES ('757', '0', '0', '0', 'EN', 'Ciudad de La Habana', 'CU', '03');
INSERT INTO `subdivisions` VALUES ('758', '0', '0', '0', 'EN', 'Matanzas', 'CU', '04');
INSERT INTO `subdivisions` VALUES ('759', '0', '0', '0', 'EN', 'Villa Clara', 'CU', '05');
INSERT INTO `subdivisions` VALUES ('760', '0', '0', '0', 'EN', 'Cienfuegos', 'CU', '06');
INSERT INTO `subdivisions` VALUES ('761', '0', '0', '0', 'EN', 'Sancti Spíritus', 'CU', '07');
INSERT INTO `subdivisions` VALUES ('762', '0', '0', '0', 'EN', 'Ciego de Ávila', 'CU', '08');
INSERT INTO `subdivisions` VALUES ('763', '0', '0', '0', 'EN', 'Camagüey', 'CU', '09');
INSERT INTO `subdivisions` VALUES ('764', '0', '0', '0', 'EN', 'Las Tunas', 'CU', '10');
INSERT INTO `subdivisions` VALUES ('765', '0', '0', '0', 'EN', 'Holguín', 'CU', '11');
INSERT INTO `subdivisions` VALUES ('766', '0', '0', '0', 'EN', 'Granma', 'CU', '12');
INSERT INTO `subdivisions` VALUES ('767', '0', '0', '0', 'EN', 'Santiago de Cuba', 'CU', '13');
INSERT INTO `subdivisions` VALUES ('768', '0', '0', '0', 'EN', 'Guantánamo', 'CU', '14');
INSERT INTO `subdivisions` VALUES ('769', '0', '0', '0', 'EN', 'Isla de la Juventud', 'CU', '99');
INSERT INTO `subdivisions` VALUES ('748', '0', '0', '0', 'EN', 'Alajuela', 'CR', 'A');
INSERT INTO `subdivisions` VALUES ('749', '0', '0', '0', 'EN', 'Cartago', 'CR', 'C');
INSERT INTO `subdivisions` VALUES ('750', '0', '0', '0', 'EN', 'Guanacaste', 'CR', 'G');
INSERT INTO `subdivisions` VALUES ('751', '0', '0', '0', 'EN', 'Heredia', 'CR', 'H');
INSERT INTO `subdivisions` VALUES ('752', '0', '0', '0', 'EN', 'Limón', 'CR', 'L');
INSERT INTO `subdivisions` VALUES ('753', '0', '0', '0', 'EN', 'Puntarenas', 'CR', 'P');
INSERT INTO `subdivisions` VALUES ('754', '0', '0', '0', 'EN', 'San José', 'CR', 'SJ');
INSERT INTO `subdivisions` VALUES ('715', '0', '0', '0', 'EN', 'Amazonas', 'CO', 'AMA');
INSERT INTO `subdivisions` VALUES ('716', '0', '0', '0', 'EN', 'Antioquia', 'CO', 'ANT');
INSERT INTO `subdivisions` VALUES ('717', '0', '0', '0', 'EN', 'Arauca', 'CO', 'ARA');
INSERT INTO `subdivisions` VALUES ('718', '0', '0', '0', 'EN', 'Atlántico', 'CO', 'ATL');
INSERT INTO `subdivisions` VALUES ('719', '0', '0', '0', 'EN', 'Bolívar', 'CO', 'BOL');
INSERT INTO `subdivisions` VALUES ('720', '0', '0', '0', 'EN', 'Boyacá', 'CO', 'BOY');
INSERT INTO `subdivisions` VALUES ('721', '0', '0', '0', 'EN', 'Caldas', 'CO', 'CAL');
INSERT INTO `subdivisions` VALUES ('722', '0', '0', '0', 'EN', 'Caquetá', 'CO', 'CAQ');
INSERT INTO `subdivisions` VALUES ('723', '0', '0', '0', 'EN', 'Casanare', 'CO', 'CAS');
INSERT INTO `subdivisions` VALUES ('724', '0', '0', '0', 'EN', 'Cauca', 'CO', 'CAU');
INSERT INTO `subdivisions` VALUES ('725', '0', '0', '0', 'EN', 'Cesar', 'CO', 'CES');
INSERT INTO `subdivisions` VALUES ('726', '0', '0', '0', 'EN', 'Chocó', 'CO', 'CHO');
INSERT INTO `subdivisions` VALUES ('727', '0', '0', '0', 'EN', 'Córdoba', 'CO', 'COR');
INSERT INTO `subdivisions` VALUES ('728', '0', '0', '0', 'EN', 'Cundinamarca', 'CO', 'CUN');
INSERT INTO `subdivisions` VALUES ('729', '0', '0', '0', 'EN', 'Distrito Capital de Bogotá', 'CO', 'DC');
INSERT INTO `subdivisions` VALUES ('730', '0', '0', '0', 'EN', 'Guainía', 'CO', 'GUA');
INSERT INTO `subdivisions` VALUES ('731', '0', '0', '0', 'EN', 'Guaviare', 'CO', 'GUV');
INSERT INTO `subdivisions` VALUES ('732', '0', '0', '0', 'EN', 'Huila', 'CO', 'HUI');
INSERT INTO `subdivisions` VALUES ('733', '0', '0', '0', 'EN', 'La Guajira', 'CO', 'LAG');
INSERT INTO `subdivisions` VALUES ('734', '0', '0', '0', 'EN', 'Magdalena', 'CO', 'MAG');
INSERT INTO `subdivisions` VALUES ('735', '0', '0', '0', 'EN', 'Meta', 'CO', 'MET');
INSERT INTO `subdivisions` VALUES ('736', '0', '0', '0', 'EN', 'Nariño', 'CO', 'NAR');
INSERT INTO `subdivisions` VALUES ('737', '0', '0', '0', 'EN', 'Norte de Santander', 'CO', 'NSA');
INSERT INTO `subdivisions` VALUES ('738', '0', '0', '0', 'EN', 'Putumayo', 'CO', 'PUT');
INSERT INTO `subdivisions` VALUES ('739', '0', '0', '0', 'EN', 'Quindío', 'CO', 'QUI');
INSERT INTO `subdivisions` VALUES ('740', '0', '0', '0', 'EN', 'Risaralda', 'CO', 'RIS');
INSERT INTO `subdivisions` VALUES ('741', '0', '0', '0', 'EN', 'Santander', 'CO', 'SAN');
INSERT INTO `subdivisions` VALUES ('742', '0', '0', '0', 'EN', 'San Andrés, Providencia y Santa Catalina', 'CO', 'SAP');
INSERT INTO `subdivisions` VALUES ('743', '0', '0', '0', 'EN', 'Sucre', 'CO', 'SUC');
INSERT INTO `subdivisions` VALUES ('744', '0', '0', '0', 'EN', 'Tolima', 'CO', 'TOL');
INSERT INTO `subdivisions` VALUES ('745', '0', '0', '0', 'EN', 'Valle del Cauca', 'CO', 'VAC');
INSERT INTO `subdivisions` VALUES ('746', '0', '0', '0', 'EN', 'Vaupés', 'CO', 'VAU');
INSERT INTO `subdivisions` VALUES ('747', '0', '0', '0', 'EN', 'Vichada', 'CO', 'VID');
INSERT INTO `subdivisions` VALUES ('681', '0', '0', '0', 'EN', 'Beijing', 'CN', '11');
INSERT INTO `subdivisions` VALUES ('682', '0', '0', '0', 'EN', 'Tianjin', 'CN', '12');
INSERT INTO `subdivisions` VALUES ('683', '0', '0', '0', 'EN', 'Hebei', 'CN', '13');
INSERT INTO `subdivisions` VALUES ('684', '0', '0', '0', 'EN', 'Shanxi', 'CN', '14');
INSERT INTO `subdivisions` VALUES ('685', '0', '0', '0', 'EN', 'Nei Mongol', 'CN', '15');
INSERT INTO `subdivisions` VALUES ('686', '0', '0', '0', 'EN', 'Liaoning', 'CN', '21');
INSERT INTO `subdivisions` VALUES ('687', '0', '0', '0', 'EN', 'Jilin', 'CN', '22');
INSERT INTO `subdivisions` VALUES ('688', '0', '0', '0', 'EN', 'Heilongjiang', 'CN', '23');
INSERT INTO `subdivisions` VALUES ('689', '0', '0', '0', 'EN', 'Shanghai', 'CN', '31');
INSERT INTO `subdivisions` VALUES ('690', '0', '0', '0', 'EN', 'Jiangsu', 'CN', '32');
INSERT INTO `subdivisions` VALUES ('691', '0', '0', '0', 'EN', 'Zhejiang', 'CN', '33');
INSERT INTO `subdivisions` VALUES ('692', '0', '0', '0', 'EN', 'Anhui', 'CN', '34');
INSERT INTO `subdivisions` VALUES ('693', '0', '0', '0', 'EN', 'Fujian', 'CN', '35');
INSERT INTO `subdivisions` VALUES ('694', '0', '0', '0', 'EN', 'Jiangxi', 'CN', '36');
INSERT INTO `subdivisions` VALUES ('695', '0', '0', '0', 'EN', 'Shandong', 'CN', '37');
INSERT INTO `subdivisions` VALUES ('696', '0', '0', '0', 'EN', 'Henan', 'CN', '41');
INSERT INTO `subdivisions` VALUES ('697', '0', '0', '0', 'EN', 'Hubei', 'CN', '42');
INSERT INTO `subdivisions` VALUES ('698', '0', '0', '0', 'EN', 'Hunan', 'CN', '43');
INSERT INTO `subdivisions` VALUES ('699', '0', '0', '0', 'EN', 'Guangdong', 'CN', '44');
INSERT INTO `subdivisions` VALUES ('700', '0', '0', '0', 'EN', 'Guangxi', 'CN', '45');
INSERT INTO `subdivisions` VALUES ('701', '0', '0', '0', 'EN', 'Hainan', 'CN', '46');
INSERT INTO `subdivisions` VALUES ('702', '0', '0', '0', 'EN', 'Chongqing', 'CN', '50');
INSERT INTO `subdivisions` VALUES ('703', '0', '0', '0', 'EN', 'Sichuan', 'CN', '51');
INSERT INTO `subdivisions` VALUES ('704', '0', '0', '0', 'EN', 'Guizhou', 'CN', '52');
INSERT INTO `subdivisions` VALUES ('705', '0', '0', '0', 'EN', 'Yunnan', 'CN', '53');
INSERT INTO `subdivisions` VALUES ('706', '0', '0', '0', 'EN', 'Xizang', 'CN', '54');
INSERT INTO `subdivisions` VALUES ('707', '0', '0', '0', 'EN', 'Shaanxi', 'CN', '61');
INSERT INTO `subdivisions` VALUES ('708', '0', '0', '0', 'EN', 'Gansu', 'CN', '62');
INSERT INTO `subdivisions` VALUES ('709', '0', '0', '0', 'EN', 'Qinghai', 'CN', '63');
INSERT INTO `subdivisions` VALUES ('710', '0', '0', '0', 'EN', 'Ningxia', 'CN', '64');
INSERT INTO `subdivisions` VALUES ('711', '0', '0', '0', 'EN', 'Xinjiang', 'CN', '65');
INSERT INTO `subdivisions` VALUES ('712', '0', '0', '0', 'EN', 'Taiwan', 'CN', '71');
INSERT INTO `subdivisions` VALUES ('713', '0', '0', '0', 'EN', 'Hong Kong', 'CN', '91');
INSERT INTO `subdivisions` VALUES ('714', '0', '0', '0', 'EN', 'Macao', 'CN', '92');
INSERT INTO `subdivisions` VALUES ('671', '0', '0', '0', 'EN', 'Adamaoua', 'CM', 'AD');
INSERT INTO `subdivisions` VALUES ('672', '0', '0', '0', 'EN', 'Centre', 'CM', 'CE');
INSERT INTO `subdivisions` VALUES ('673', '0', '0', '0', 'EN', 'Far North', 'CM', 'EN');
INSERT INTO `subdivisions` VALUES ('674', '0', '0', '0', 'EN', 'East', 'CM', 'ES');
INSERT INTO `subdivisions` VALUES ('675', '0', '0', '0', 'EN', 'Littoral', 'CM', 'LT');
INSERT INTO `subdivisions` VALUES ('676', '0', '0', '0', 'EN', 'North', 'CM', 'NO');
INSERT INTO `subdivisions` VALUES ('677', '0', '0', '0', 'EN', 'North-West', 'CM', 'NW');
INSERT INTO `subdivisions` VALUES ('678', '0', '0', '0', 'EN', 'West', 'CM', 'OU');
INSERT INTO `subdivisions` VALUES ('679', '0', '0', '0', 'EN', 'South', 'CM', 'SU');
INSERT INTO `subdivisions` VALUES ('680', '0', '0', '0', 'EN', 'South-West', 'CM', 'SW');
INSERT INTO `subdivisions` VALUES ('656', '0', '0', '0', 'EN', 'Aisén del General Carlos Ibañez del Campo', 'CL', 'AI');
INSERT INTO `subdivisions` VALUES ('657', '0', '0', '0', 'EN', 'Antofagasta', 'CL', 'AN');
INSERT INTO `subdivisions` VALUES ('658', '0', '0', '0', 'EN', 'Arica y Parinacota', 'CL', 'AP');
INSERT INTO `subdivisions` VALUES ('659', '0', '0', '0', 'EN', 'Araucanía', 'CL', 'AR');
INSERT INTO `subdivisions` VALUES ('660', '0', '0', '0', 'EN', 'Atacama', 'CL', 'AT');
INSERT INTO `subdivisions` VALUES ('661', '0', '0', '0', 'EN', 'Bío-Bío', 'CL', 'BI');
INSERT INTO `subdivisions` VALUES ('662', '0', '0', '0', 'EN', 'Coquimbo', 'CL', 'CO');
INSERT INTO `subdivisions` VALUES ('663', '0', '0', '0', 'EN', 'Libertador General Bernardo O\'Higgins', 'CL', 'LI');
INSERT INTO `subdivisions` VALUES ('664', '0', '0', '0', 'EN', 'Los Lagos', 'CL', 'LL');
INSERT INTO `subdivisions` VALUES ('665', '0', '0', '0', 'EN', 'Los Ríos', 'CL', 'LR');
INSERT INTO `subdivisions` VALUES ('666', '0', '0', '0', 'EN', 'Magallanes', 'CL', 'MA');
INSERT INTO `subdivisions` VALUES ('667', '0', '0', '0', 'EN', 'Maule', 'CL', 'ML');
INSERT INTO `subdivisions` VALUES ('668', '0', '0', '0', 'EN', 'Región Metropolitana de Santiago', 'CL', 'RM');
INSERT INTO `subdivisions` VALUES ('669', '0', '0', '0', 'EN', 'Tarapacá', 'CL', 'TA');
INSERT INTO `subdivisions` VALUES ('670', '0', '0', '0', 'EN', 'Valparaíso', 'CL', 'VS');
INSERT INTO `subdivisions` VALUES ('637', '0', '0', '0', 'EN', 'Lagunes', 'CI', '01');
INSERT INTO `subdivisions` VALUES ('638', '0', '0', '0', 'EN', 'Haut-Sassandra', 'CI', '02');
INSERT INTO `subdivisions` VALUES ('639', '0', '0', '0', 'EN', 'Savanes', 'CI', '03');
INSERT INTO `subdivisions` VALUES ('640', '0', '0', '0', 'EN', 'Vallée du Bandama', 'CI', '04');
INSERT INTO `subdivisions` VALUES ('641', '0', '0', '0', 'EN', 'Moyen-Comoé', 'CI', '05');
INSERT INTO `subdivisions` VALUES ('642', '0', '0', '0', 'EN', '18 Montagnes', 'CI', '06');
INSERT INTO `subdivisions` VALUES ('643', '0', '0', '0', 'EN', 'Lacs', 'CI', '07');
INSERT INTO `subdivisions` VALUES ('644', '0', '0', '0', 'EN', 'Zanzan', 'CI', '08');
INSERT INTO `subdivisions` VALUES ('645', '0', '0', '0', 'EN', 'Bas-Sassandra', 'CI', '09');
INSERT INTO `subdivisions` VALUES ('646', '0', '0', '0', 'EN', 'Denguélé', 'CI', '10');
INSERT INTO `subdivisions` VALUES ('647', '0', '0', '0', 'EN', 'Nzi-Comoé', 'CI', '11');
INSERT INTO `subdivisions` VALUES ('648', '0', '0', '0', 'EN', 'Marahoué', 'CI', '12');
INSERT INTO `subdivisions` VALUES ('649', '0', '0', '0', 'EN', 'Sud-Comoé', 'CI', '13');
INSERT INTO `subdivisions` VALUES ('650', '0', '0', '0', 'EN', 'Worodougou', 'CI', '14');
INSERT INTO `subdivisions` VALUES ('651', '0', '0', '0', 'EN', 'Sud-Bandama', 'CI', '15');
INSERT INTO `subdivisions` VALUES ('652', '0', '0', '0', 'EN', 'Agnébi', 'CI', '16');
INSERT INTO `subdivisions` VALUES ('653', '0', '0', '0', 'EN', 'Bafing', 'CI', '17');
INSERT INTO `subdivisions` VALUES ('654', '0', '0', '0', 'EN', 'Fromager', 'CI', '18');
INSERT INTO `subdivisions` VALUES ('655', '0', '0', '0', 'EN', 'Moyen-Cavally', 'CI', '19');
INSERT INTO `subdivisions` VALUES ('611', '0', '0', '0', 'EN', 'Aargau', 'CH', 'AG');
INSERT INTO `subdivisions` VALUES ('612', '0', '0', '0', 'EN', 'Appenzell Innerrhoden', 'CH', 'AI');
INSERT INTO `subdivisions` VALUES ('613', '0', '0', '0', 'EN', 'Appenzell Ausserrhoden', 'CH', 'AR');
INSERT INTO `subdivisions` VALUES ('614', '0', '0', '0', 'EN', 'Canton of Bern', 'CH', 'BE');
INSERT INTO `subdivisions` VALUES ('615', '0', '0', '0', 'EN', 'Basel-Landschaft', 'CH', 'BL');
INSERT INTO `subdivisions` VALUES ('616', '0', '0', '0', 'EN', 'Basel-Stadt', 'CH', 'BS');
INSERT INTO `subdivisions` VALUES ('617', '0', '0', '0', 'EN', 'Canton of Fribourg', 'CH', 'FR');
INSERT INTO `subdivisions` VALUES ('618', '0', '0', '0', 'EN', 'Canton of Geneva', 'CH', 'GE');
INSERT INTO `subdivisions` VALUES ('619', '0', '0', '0', 'EN', 'Canton of Glarus', 'CH', 'GL');
INSERT INTO `subdivisions` VALUES ('620', '0', '0', '0', 'EN', 'Graubünden', 'CH', 'GR');
INSERT INTO `subdivisions` VALUES ('621', '0', '0', '0', 'EN', 'Canton of Jura', 'CH', 'JU');
INSERT INTO `subdivisions` VALUES ('622', '0', '0', '0', 'EN', 'Canton of Lucerne', 'CH', 'LU');
INSERT INTO `subdivisions` VALUES ('623', '0', '0', '0', 'EN', 'Canton of Neuchâtel', 'CH', 'NE');
INSERT INTO `subdivisions` VALUES ('624', '0', '0', '0', 'EN', 'Nidwalden', 'CH', 'NW');
INSERT INTO `subdivisions` VALUES ('625', '0', '0', '0', 'EN', 'Obwalden', 'CH', 'OW');
INSERT INTO `subdivisions` VALUES ('626', '0', '0', '0', 'EN', 'Canton of St. Gallen', 'CH', 'SG');
INSERT INTO `subdivisions` VALUES ('627', '0', '0', '0', 'EN', 'Canton of Schaffhausen', 'CH', 'SH');
INSERT INTO `subdivisions` VALUES ('628', '0', '0', '0', 'EN', 'Canton of Solothurn', 'CH', 'SO');
INSERT INTO `subdivisions` VALUES ('629', '0', '0', '0', 'EN', 'Canton of Schwyz', 'CH', 'SZ');
INSERT INTO `subdivisions` VALUES ('630', '0', '0', '0', 'EN', 'Thurgau', 'CH', 'TG');
INSERT INTO `subdivisions` VALUES ('631', '0', '0', '0', 'EN', 'Ticino', 'CH', 'TI');
INSERT INTO `subdivisions` VALUES ('632', '0', '0', '0', 'EN', 'Canton of Uri', 'CH', 'UR');
INSERT INTO `subdivisions` VALUES ('633', '0', '0', '0', 'EN', 'Vaud', 'CH', 'VD');
INSERT INTO `subdivisions` VALUES ('634', '0', '0', '0', 'EN', 'Valais', 'CH', 'VS');
INSERT INTO `subdivisions` VALUES ('635', '0', '0', '0', 'EN', 'Canton of Zug', 'CH', 'ZG');
INSERT INTO `subdivisions` VALUES ('636', '0', '0', '0', 'EN', 'Canton of Zurich', 'CH', 'ZH');
INSERT INTO `subdivisions` VALUES ('600', '0', '0', '0', 'EN', 'Lékoumou', 'CG', '2');
INSERT INTO `subdivisions` VALUES ('601', '0', '0', '0', 'EN', 'Kouilou', 'CG', '5');
INSERT INTO `subdivisions` VALUES ('602', '0', '0', '0', 'EN', 'Likouala', 'CG', '7');
INSERT INTO `subdivisions` VALUES ('603', '0', '0', '0', 'EN', 'Cuvette', 'CG', '8');
INSERT INTO `subdivisions` VALUES ('604', '0', '0', '0', 'EN', 'Niari', 'CG', '9');
INSERT INTO `subdivisions` VALUES ('605', '0', '0', '0', 'EN', 'Bouenza', 'CG', '11');
INSERT INTO `subdivisions` VALUES ('606', '0', '0', '0', 'EN', 'Pool', 'CG', '12');
INSERT INTO `subdivisions` VALUES ('607', '0', '0', '0', 'EN', 'Sangha', 'CG', '13');
INSERT INTO `subdivisions` VALUES ('608', '0', '0', '0', 'EN', 'Plateaux', 'CG', '14');
INSERT INTO `subdivisions` VALUES ('609', '0', '0', '0', 'EN', 'Cuvette-Ouest', 'CG', '15');
INSERT INTO `subdivisions` VALUES ('610', '0', '0', '0', 'EN', 'Brazzaville', 'CG', 'BZV');
INSERT INTO `subdivisions` VALUES ('583', '0', '0', '0', 'EN', 'Ouham', 'CF', 'AC');
INSERT INTO `subdivisions` VALUES ('584', '0', '0', '0', 'EN', 'Bamingui-Bangoran', 'CF', 'BB');
INSERT INTO `subdivisions` VALUES ('585', '0', '0', '0', 'EN', 'Bangui', 'CF', 'BGF');
INSERT INTO `subdivisions` VALUES ('586', '0', '0', '0', 'EN', 'Basse-Kotto', 'CF', 'BK');
INSERT INTO `subdivisions` VALUES ('587', '0', '0', '0', 'EN', 'Haute-Kotto', 'CF', 'HK');
INSERT INTO `subdivisions` VALUES ('588', '0', '0', '0', 'EN', 'Haut-Mbomou', 'CF', 'HM');
INSERT INTO `subdivisions` VALUES ('589', '0', '0', '0', 'EN', 'Haute-Sangha / Mambéré-Kadéï', 'CF', 'HS');
INSERT INTO `subdivisions` VALUES ('590', '0', '0', '0', 'EN', 'Gribingui', 'CF', 'KB');
INSERT INTO `subdivisions` VALUES ('591', '0', '0', '0', 'EN', 'Kémo-Gribingui', 'CF', 'KG');
INSERT INTO `subdivisions` VALUES ('592', '0', '0', '0', 'EN', 'Lobaye', 'CF', 'LB');
INSERT INTO `subdivisions` VALUES ('593', '0', '0', '0', 'EN', 'Mbomou', 'CF', 'MB');
INSERT INTO `subdivisions` VALUES ('594', '0', '0', '0', 'EN', 'Ombella-Mpoko', 'CF', 'MP');
INSERT INTO `subdivisions` VALUES ('595', '0', '0', '0', 'EN', 'Nana-Mambéré', 'CF', 'NM');
INSERT INTO `subdivisions` VALUES ('596', '0', '0', '0', 'EN', 'Ouham-Pendé', 'CF', 'OP');
INSERT INTO `subdivisions` VALUES ('597', '0', '0', '0', 'EN', 'Sangha', 'CF', 'SE');
INSERT INTO `subdivisions` VALUES ('598', '0', '0', '0', 'EN', 'Ouaka', 'CF', 'UK');
INSERT INTO `subdivisions` VALUES ('599', '0', '0', '0', 'EN', 'Vakaga', 'CF', 'VK');
INSERT INTO `subdivisions` VALUES ('572', '0', '0', '0', 'EN', 'Bas-Congo', 'CD', 'BC');
INSERT INTO `subdivisions` VALUES ('573', '0', '0', '0', 'EN', 'Bandundu', 'CD', 'BN');
INSERT INTO `subdivisions` VALUES ('574', '0', '0', '0', 'EN', 'Équateur', 'CD', 'EQ');
INSERT INTO `subdivisions` VALUES ('575', '0', '0', '0', 'EN', 'Katanga', 'CD', 'KA');
INSERT INTO `subdivisions` VALUES ('576', '0', '0', '0', 'EN', 'Kasai-Oriental', 'CD', 'KE');
INSERT INTO `subdivisions` VALUES ('577', '0', '0', '0', 'EN', 'Kinshasa', 'CD', 'KN');
INSERT INTO `subdivisions` VALUES ('578', '0', '0', '0', 'EN', 'Kasai-Occidental', 'CD', 'KW');
INSERT INTO `subdivisions` VALUES ('579', '0', '0', '0', 'EN', 'Maniema', 'CD', 'MA');
INSERT INTO `subdivisions` VALUES ('580', '0', '0', '0', 'EN', 'Nord-Kivu', 'CD', 'NK');
INSERT INTO `subdivisions` VALUES ('581', '0', '0', '0', 'EN', 'Orientale', 'CD', 'OR');
INSERT INTO `subdivisions` VALUES ('582', '0', '0', '0', 'EN', 'Sud-Kivu', 'CD', 'SK');
INSERT INTO `subdivisions` VALUES ('559', '0', '0', '0', 'EN', 'Alberta', 'CA', 'AB');
INSERT INTO `subdivisions` VALUES ('560', '0', '0', '0', 'EN', 'British Columbia', 'CA', 'BC');
INSERT INTO `subdivisions` VALUES ('561', '0', '0', '0', 'EN', 'Manitoba', 'CA', 'MB');
INSERT INTO `subdivisions` VALUES ('562', '0', '0', '0', 'EN', 'New Brunswick', 'CA', 'NB');
INSERT INTO `subdivisions` VALUES ('563', '0', '0', '0', 'EN', 'Newfoundland and Labrador', 'CA', 'NL');
INSERT INTO `subdivisions` VALUES ('564', '0', '0', '0', 'EN', 'Nova Scotia', 'CA', 'NS');
INSERT INTO `subdivisions` VALUES ('565', '0', '0', '0', 'EN', 'Northwest Territories', 'CA', 'NT');
INSERT INTO `subdivisions` VALUES ('566', '0', '0', '0', 'EN', 'Nunavut', 'CA', 'NU');
INSERT INTO `subdivisions` VALUES ('567', '0', '0', '0', 'EN', 'Ontario', 'CA', 'ON');
INSERT INTO `subdivisions` VALUES ('568', '0', '0', '0', 'EN', 'Prince Edward Island', 'CA', 'PE');
INSERT INTO `subdivisions` VALUES ('569', '0', '0', '0', 'EN', 'Quebec', 'CA', 'QC');
INSERT INTO `subdivisions` VALUES ('570', '0', '0', '0', 'EN', 'Saskatchewan', 'CA', 'SK');
INSERT INTO `subdivisions` VALUES ('571', '0', '0', '0', 'EN', 'Yukon Territory', 'CA', 'YT');
INSERT INTO `subdivisions` VALUES ('553', '0', '0', '0', 'EN', 'Belize', 'BZ', 'BZ');
INSERT INTO `subdivisions` VALUES ('554', '0', '0', '0', 'EN', 'Cayo', 'BZ', 'CY');
INSERT INTO `subdivisions` VALUES ('555', '0', '0', '0', 'EN', 'Corozal', 'BZ', 'CZL');
INSERT INTO `subdivisions` VALUES ('556', '0', '0', '0', 'EN', 'Orange Walk', 'BZ', 'OW');
INSERT INTO `subdivisions` VALUES ('557', '0', '0', '0', 'EN', 'Stann Creek', 'BZ', 'SC');
INSERT INTO `subdivisions` VALUES ('558', '0', '0', '0', 'EN', 'Toledo', 'BZ', 'TOL');
INSERT INTO `subdivisions` VALUES ('546', '0', '0', '0', 'EN', 'Brestskaya voblasts\'', 'BY', 'BR');
INSERT INTO `subdivisions` VALUES ('547', '0', '0', '0', 'EN', 'Horad Minsk', 'BY', 'HM');
INSERT INTO `subdivisions` VALUES ('548', '0', '0', '0', 'EN', 'Homyel\'skaya voblasts\'', 'BY', 'HO');
INSERT INTO `subdivisions` VALUES ('549', '0', '0', '0', 'EN', 'Hrodzenskaya voblasts\'', 'BY', 'HR');
INSERT INTO `subdivisions` VALUES ('550', '0', '0', '0', 'EN', 'Mahilyowskaya voblasts\'', 'BY', 'MA');
INSERT INTO `subdivisions` VALUES ('551', '0', '0', '0', 'EN', 'Minskaya voblasts\'', 'BY', 'MI');
INSERT INTO `subdivisions` VALUES ('552', '0', '0', '0', 'EN', 'Vitsyebskaya voblasts\'', 'BY', 'VI');
INSERT INTO `subdivisions` VALUES ('537', '0', '0', '0', 'EN', 'Central', 'BW', 'CE');
INSERT INTO `subdivisions` VALUES ('538', '0', '0', '0', 'EN', 'Ghanzi', 'BW', 'GH');
INSERT INTO `subdivisions` VALUES ('539', '0', '0', '0', 'EN', 'Kgalagadi', 'BW', 'KG');
INSERT INTO `subdivisions` VALUES ('540', '0', '0', '0', 'EN', 'Kgatleng', 'BW', 'KL');
INSERT INTO `subdivisions` VALUES ('541', '0', '0', '0', 'EN', 'Kweneng', 'BW', 'KW');
INSERT INTO `subdivisions` VALUES ('542', '0', '0', '0', 'EN', 'North-East', 'BW', 'NE');
INSERT INTO `subdivisions` VALUES ('543', '0', '0', '0', 'EN', 'North-West', 'BW', 'NW');
INSERT INTO `subdivisions` VALUES ('544', '0', '0', '0', 'EN', 'South-East', 'BW', 'SE');
INSERT INTO `subdivisions` VALUES ('545', '0', '0', '0', 'EN', 'Southern', 'BW', 'SO');
INSERT INTO `subdivisions` VALUES ('517', '0', '0', '0', 'EN', 'Paro', 'BT', '11');
INSERT INTO `subdivisions` VALUES ('518', '0', '0', '0', 'EN', 'Chhukha', 'BT', '12');
INSERT INTO `subdivisions` VALUES ('519', '0', '0', '0', 'EN', 'Ha', 'BT', '13');
INSERT INTO `subdivisions` VALUES ('520', '0', '0', '0', 'EN', 'Samtse', 'BT', '14');
INSERT INTO `subdivisions` VALUES ('521', '0', '0', '0', 'EN', 'Thimphu', 'BT', '15');
INSERT INTO `subdivisions` VALUES ('522', '0', '0', '0', 'EN', 'Tsirang', 'BT', '21');
INSERT INTO `subdivisions` VALUES ('523', '0', '0', '0', 'EN', 'Dagana', 'BT', '22');
INSERT INTO `subdivisions` VALUES ('524', '0', '0', '0', 'EN', 'Punakha', 'BT', '23');
INSERT INTO `subdivisions` VALUES ('525', '0', '0', '0', 'EN', 'Wangdue Phodrang', 'BT', '24');
INSERT INTO `subdivisions` VALUES ('526', '0', '0', '0', 'EN', 'Sarpang', 'BT', '31');
INSERT INTO `subdivisions` VALUES ('527', '0', '0', '0', 'EN', 'Trongsa', 'BT', '32');
INSERT INTO `subdivisions` VALUES ('528', '0', '0', '0', 'EN', 'Bumthang', 'BT', '33');
INSERT INTO `subdivisions` VALUES ('529', '0', '0', '0', 'EN', 'Zhemgang', 'BT', '34');
INSERT INTO `subdivisions` VALUES ('530', '0', '0', '0', 'EN', 'Trashigang', 'BT', '41');
INSERT INTO `subdivisions` VALUES ('531', '0', '0', '0', 'EN', 'Monggar', 'BT', '42');
INSERT INTO `subdivisions` VALUES ('532', '0', '0', '0', 'EN', 'Pemagatshel', 'BT', '43');
INSERT INTO `subdivisions` VALUES ('533', '0', '0', '0', 'EN', 'Lhuentse', 'BT', '44');
INSERT INTO `subdivisions` VALUES ('534', '0', '0', '0', 'EN', 'Samdrup Jongkha', 'BT', '45');
INSERT INTO `subdivisions` VALUES ('535', '0', '0', '0', 'EN', 'Gasa', 'BT', 'GA');
INSERT INTO `subdivisions` VALUES ('536', '0', '0', '0', 'EN', 'Trashi Yangtse', 'BT', 'TY');
INSERT INTO `subdivisions` VALUES ('485', '0', '0', '0', 'EN', 'Acklins Island', 'BS', 'AK');
INSERT INTO `subdivisions` VALUES ('486', '0', '0', '0', 'EN', 'Bimini and Cat Cay', 'BS', 'BI');
INSERT INTO `subdivisions` VALUES ('487', '0', '0', '0', 'EN', 'Black Point', 'BS', 'BP');
INSERT INTO `subdivisions` VALUES ('488', '0', '0', '0', 'EN', 'Berry Islands', 'BS', 'BY');
INSERT INTO `subdivisions` VALUES ('489', '0', '0', '0', 'EN', 'Central Eleuthera', 'BS', 'CE');
INSERT INTO `subdivisions` VALUES ('490', '0', '0', '0', 'EN', 'Cat Island', 'BS', 'CI');
INSERT INTO `subdivisions` VALUES ('491', '0', '0', '0', 'EN', 'Crooked Island and Long Cay', 'BS', 'CK');
INSERT INTO `subdivisions` VALUES ('492', '0', '0', '0', 'EN', 'Central Abaco', 'BS', 'CO');
INSERT INTO `subdivisions` VALUES ('493', '0', '0', '0', 'EN', 'Central Andros', 'BS', 'CS');
INSERT INTO `subdivisions` VALUES ('494', '0', '0', '0', 'EN', 'East Grand Bahama', 'BS', 'EG');
INSERT INTO `subdivisions` VALUES ('495', '0', '0', '0', 'EN', 'Exuma', 'BS', 'EX');
INSERT INTO `subdivisions` VALUES ('496', '0', '0', '0', 'EN', 'City of Freeport', 'BS', 'FP');
INSERT INTO `subdivisions` VALUES ('497', '0', '0', '0', 'EN', 'Grand Cay', 'BS', 'GC');
INSERT INTO `subdivisions` VALUES ('498', '0', '0', '0', 'EN', 'Green Turtle Cay', 'BS', 'GT');
INSERT INTO `subdivisions` VALUES ('499', '0', '0', '0', 'EN', 'Harbour Island', 'BS', 'HI');
INSERT INTO `subdivisions` VALUES ('500', '0', '0', '0', 'EN', 'Hope Town', 'BS', 'HT');
INSERT INTO `subdivisions` VALUES ('501', '0', '0', '0', 'EN', 'Inagua', 'BS', 'IN');
INSERT INTO `subdivisions` VALUES ('502', '0', '0', '0', 'EN', 'Long Island', 'BS', 'LI');
INSERT INTO `subdivisions` VALUES ('503', '0', '0', '0', 'EN', 'Mangrove Cay', 'BS', 'MC');
INSERT INTO `subdivisions` VALUES ('504', '0', '0', '0', 'EN', 'Mayaguana', 'BS', 'MG');
INSERT INTO `subdivisions` VALUES ('505', '0', '0', '0', 'EN', 'Moore\'s Island', 'BS', 'MI');
INSERT INTO `subdivisions` VALUES ('506', '0', '0', '0', 'EN', 'North Eleuthera', 'BS', 'NE');
INSERT INTO `subdivisions` VALUES ('507', '0', '0', '0', 'EN', 'North Abaco', 'BS', 'NO');
INSERT INTO `subdivisions` VALUES ('508', '0', '0', '0', 'EN', 'North Andros', 'BS', 'NS');
INSERT INTO `subdivisions` VALUES ('509', '0', '0', '0', 'EN', 'Rum Cay', 'BS', 'RC');
INSERT INTO `subdivisions` VALUES ('510', '0', '0', '0', 'EN', 'Ragged Island', 'BS', 'RI');
INSERT INTO `subdivisions` VALUES ('511', '0', '0', '0', 'EN', 'South Andros', 'BS', 'SA');
INSERT INTO `subdivisions` VALUES ('512', '0', '0', '0', 'EN', 'South Eleuthera', 'BS', 'SE');
INSERT INTO `subdivisions` VALUES ('513', '0', '0', '0', 'EN', 'South Abaco', 'BS', 'SO');
INSERT INTO `subdivisions` VALUES ('514', '0', '0', '0', 'EN', 'San Salvador', 'BS', 'SS');
INSERT INTO `subdivisions` VALUES ('515', '0', '0', '0', 'EN', 'Spanish Wells', 'BS', 'SW');
INSERT INTO `subdivisions` VALUES ('516', '0', '0', '0', 'EN', 'West Grand Bahama', 'BS', 'WG');
INSERT INTO `subdivisions` VALUES ('458', '0', '0', '0', 'EN', 'Acre', 'BR', 'AC');
INSERT INTO `subdivisions` VALUES ('459', '0', '0', '0', 'EN', 'Alagoas', 'BR', 'AL');
INSERT INTO `subdivisions` VALUES ('460', '0', '0', '0', 'EN', 'Amazonas', 'BR', 'AM');
INSERT INTO `subdivisions` VALUES ('461', '0', '0', '0', 'EN', 'Amapá', 'BR', 'AP');
INSERT INTO `subdivisions` VALUES ('462', '0', '0', '0', 'EN', 'Bahia', 'BR', 'BA');
INSERT INTO `subdivisions` VALUES ('463', '0', '0', '0', 'EN', 'Ceará', 'BR', 'CE');
INSERT INTO `subdivisions` VALUES ('464', '0', '0', '0', 'EN', 'Distrito Federal', 'BR', 'DF');
INSERT INTO `subdivisions` VALUES ('465', '0', '0', '0', 'EN', 'Espírito Santo', 'BR', 'ES');
INSERT INTO `subdivisions` VALUES ('466', '0', '0', '0', 'EN', 'Goiás', 'BR', 'GO');
INSERT INTO `subdivisions` VALUES ('467', '0', '0', '0', 'EN', 'Maranhão', 'BR', 'MA');
INSERT INTO `subdivisions` VALUES ('468', '0', '0', '0', 'EN', 'Minas Gerais', 'BR', 'MG');
INSERT INTO `subdivisions` VALUES ('469', '0', '0', '0', 'EN', 'Mato Grosso do Sul', 'BR', 'MS');
INSERT INTO `subdivisions` VALUES ('470', '0', '0', '0', 'EN', 'Mato Grosso', 'BR', 'MT');
INSERT INTO `subdivisions` VALUES ('471', '0', '0', '0', 'EN', 'Pará', 'BR', 'PA');
INSERT INTO `subdivisions` VALUES ('472', '0', '0', '0', 'EN', 'Paraíba', 'BR', 'PB');
INSERT INTO `subdivisions` VALUES ('473', '0', '0', '0', 'EN', 'Pernambuco', 'BR', 'PE');
INSERT INTO `subdivisions` VALUES ('474', '0', '0', '0', 'EN', 'Piauí', 'BR', 'PI');
INSERT INTO `subdivisions` VALUES ('475', '0', '0', '0', 'EN', 'Paraná', 'BR', 'PR');
INSERT INTO `subdivisions` VALUES ('476', '0', '0', '0', 'EN', 'Rio de Janeiro', 'BR', 'RJ');
INSERT INTO `subdivisions` VALUES ('477', '0', '0', '0', 'EN', 'Rio Grande do Norte', 'BR', 'RN');
INSERT INTO `subdivisions` VALUES ('478', '0', '0', '0', 'EN', 'Rondônia', 'BR', 'RO');
INSERT INTO `subdivisions` VALUES ('479', '0', '0', '0', 'EN', 'Roraima', 'BR', 'RR');
INSERT INTO `subdivisions` VALUES ('480', '0', '0', '0', 'EN', 'Rio Grande do Sul', 'BR', 'RS');
INSERT INTO `subdivisions` VALUES ('481', '0', '0', '0', 'EN', 'Santa Catarina', 'BR', 'SC');
INSERT INTO `subdivisions` VALUES ('482', '0', '0', '0', 'EN', 'Sergipe', 'BR', 'SE');
INSERT INTO `subdivisions` VALUES ('483', '0', '0', '0', 'EN', 'São Paulo', 'BR', 'SP');
INSERT INTO `subdivisions` VALUES ('484', '0', '0', '0', 'EN', 'Tocantins', 'BR', 'TO');
INSERT INTO `subdivisions` VALUES ('449', '0', '0', '0', 'EN', 'El Beni', 'BO', 'B');
INSERT INTO `subdivisions` VALUES ('450', '0', '0', '0', 'EN', 'Cochabamba', 'BO', 'C');
INSERT INTO `subdivisions` VALUES ('451', '0', '0', '0', 'EN', 'Chuquisaca', 'BO', 'H');
INSERT INTO `subdivisions` VALUES ('452', '0', '0', '0', 'EN', 'La Paz', 'BO', 'L');
INSERT INTO `subdivisions` VALUES ('453', '0', '0', '0', 'EN', 'Pando', 'BO', 'N');
INSERT INTO `subdivisions` VALUES ('454', '0', '0', '0', 'EN', 'Oruro', 'BO', 'O');
INSERT INTO `subdivisions` VALUES ('455', '0', '0', '0', 'EN', 'Potosí', 'BO', 'P');
INSERT INTO `subdivisions` VALUES ('456', '0', '0', '0', 'EN', 'Santa Cruz', 'BO', 'S');
INSERT INTO `subdivisions` VALUES ('457', '0', '0', '0', 'EN', 'Tarija', 'BO', 'T');
INSERT INTO `subdivisions` VALUES ('445', '0', '0', '0', 'EN', 'Belait', 'BN', 'BE');
INSERT INTO `subdivisions` VALUES ('446', '0', '0', '0', 'EN', 'Brunei-Muara', 'BN', 'BM');
INSERT INTO `subdivisions` VALUES ('447', '0', '0', '0', 'EN', 'Temburong', 'BN', 'TE');
INSERT INTO `subdivisions` VALUES ('448', '0', '0', '0', 'EN', 'Tutong', 'BN', 'TU');
INSERT INTO `subdivisions` VALUES ('433', '0', '0', '0', 'EN', 'Atakora', 'BJ', 'AK');
INSERT INTO `subdivisions` VALUES ('434', '0', '0', '0', 'EN', 'Alibori', 'BJ', 'AL');
INSERT INTO `subdivisions` VALUES ('435', '0', '0', '0', 'EN', 'Atlantique', 'BJ', 'AQ');
INSERT INTO `subdivisions` VALUES ('436', '0', '0', '0', 'EN', 'Borgou', 'BJ', 'BO');
INSERT INTO `subdivisions` VALUES ('437', '0', '0', '0', 'EN', 'Collines', 'BJ', 'CO');
INSERT INTO `subdivisions` VALUES ('438', '0', '0', '0', 'EN', 'Donga', 'BJ', 'DO');
INSERT INTO `subdivisions` VALUES ('439', '0', '0', '0', 'EN', 'Kouffo', 'BJ', 'KO');
INSERT INTO `subdivisions` VALUES ('440', '0', '0', '0', 'EN', 'Littoral', 'BJ', 'LI');
INSERT INTO `subdivisions` VALUES ('441', '0', '0', '0', 'EN', 'Mono', 'BJ', 'MO');
INSERT INTO `subdivisions` VALUES ('442', '0', '0', '0', 'EN', 'Ouémé', 'BJ', 'OU');
INSERT INTO `subdivisions` VALUES ('443', '0', '0', '0', 'EN', 'Plateau', 'BJ', 'PL');
INSERT INTO `subdivisions` VALUES ('444', '0', '0', '0', 'EN', 'Zou', 'BJ', 'ZO');
INSERT INTO `subdivisions` VALUES ('416', '0', '0', '0', 'EN', 'Bubanza', 'BI', 'BB');
INSERT INTO `subdivisions` VALUES ('417', '0', '0', '0', 'EN', 'Bujumbura Rural', 'BI', 'BL');
INSERT INTO `subdivisions` VALUES ('418', '0', '0', '0', 'EN', 'Bujumbura Mairie', 'BI', 'BM');
INSERT INTO `subdivisions` VALUES ('419', '0', '0', '0', 'EN', 'Bururi', 'BI', 'BR');
INSERT INTO `subdivisions` VALUES ('420', '0', '0', '0', 'EN', 'Cankuzo', 'BI', 'CA');
INSERT INTO `subdivisions` VALUES ('421', '0', '0', '0', 'EN', 'Cibitoke', 'BI', 'CI');
INSERT INTO `subdivisions` VALUES ('422', '0', '0', '0', 'EN', 'Gitega', 'BI', 'GI');
INSERT INTO `subdivisions` VALUES ('423', '0', '0', '0', 'EN', 'Kirundo', 'BI', 'KI');
INSERT INTO `subdivisions` VALUES ('424', '0', '0', '0', 'EN', 'Karuzi', 'BI', 'KR');
INSERT INTO `subdivisions` VALUES ('425', '0', '0', '0', 'EN', 'Kayanza', 'BI', 'KY');
INSERT INTO `subdivisions` VALUES ('426', '0', '0', '0', 'EN', 'Makamba', 'BI', 'MA');
INSERT INTO `subdivisions` VALUES ('427', '0', '0', '0', 'EN', 'Muramvya', 'BI', 'MU');
INSERT INTO `subdivisions` VALUES ('428', '0', '0', '0', 'EN', 'Mwaro', 'BI', 'MW');
INSERT INTO `subdivisions` VALUES ('429', '0', '0', '0', 'EN', 'Muyinga', 'BI', 'MY');
INSERT INTO `subdivisions` VALUES ('430', '0', '0', '0', 'EN', 'Ngozi', 'BI', 'NG');
INSERT INTO `subdivisions` VALUES ('431', '0', '0', '0', 'EN', 'Rutana', 'BI', 'RT');
INSERT INTO `subdivisions` VALUES ('432', '0', '0', '0', 'EN', 'Ruyigi', 'BI', 'RY');
INSERT INTO `subdivisions` VALUES ('411', '0', '0', '0', 'EN', 'Al Manāmah (Al ‘Āşimah)', 'BH', '13');
INSERT INTO `subdivisions` VALUES ('412', '0', '0', '0', 'EN', 'Al Janūbīyah', 'BH', '14');
INSERT INTO `subdivisions` VALUES ('413', '0', '0', '0', 'EN', 'Al Muḩarraq', 'BH', '15');
INSERT INTO `subdivisions` VALUES ('414', '0', '0', '0', 'EN', 'Al Wusţá', 'BH', '16');
INSERT INTO `subdivisions` VALUES ('415', '0', '0', '0', 'EN', 'Ash Shamālīyah', 'BH', '17');
INSERT INTO `subdivisions` VALUES ('383', '0', '0', '0', 'EN', 'Blagoevgrad', 'BG', '01');
INSERT INTO `subdivisions` VALUES ('384', '0', '0', '0', 'EN', 'Burgas', 'BG', '02');
INSERT INTO `subdivisions` VALUES ('385', '0', '0', '0', 'EN', 'Varna', 'BG', '03');
INSERT INTO `subdivisions` VALUES ('386', '0', '0', '0', 'EN', 'Veliko Tarnovo', 'BG', '04');
INSERT INTO `subdivisions` VALUES ('387', '0', '0', '0', 'EN', 'Vidin', 'BG', '05');
INSERT INTO `subdivisions` VALUES ('388', '0', '0', '0', 'EN', 'Vratsa', 'BG', '06');
INSERT INTO `subdivisions` VALUES ('389', '0', '0', '0', 'EN', 'Gabrovo', 'BG', '07');
INSERT INTO `subdivisions` VALUES ('390', '0', '0', '0', 'EN', 'Dobrich', 'BG', '08');
INSERT INTO `subdivisions` VALUES ('391', '0', '0', '0', 'EN', 'Kardzhali', 'BG', '09');
INSERT INTO `subdivisions` VALUES ('392', '0', '0', '0', 'EN', 'Kyustendil', 'BG', '10');
INSERT INTO `subdivisions` VALUES ('393', '0', '0', '0', 'EN', 'Lovech', 'BG', '11');
INSERT INTO `subdivisions` VALUES ('394', '0', '0', '0', 'EN', 'Montana', 'BG', '12');
INSERT INTO `subdivisions` VALUES ('395', '0', '0', '0', 'EN', 'Pazardzhik', 'BG', '13');
INSERT INTO `subdivisions` VALUES ('396', '0', '0', '0', 'EN', 'Pernik', 'BG', '14');
INSERT INTO `subdivisions` VALUES ('397', '0', '0', '0', 'EN', 'Pleven', 'BG', '15');
INSERT INTO `subdivisions` VALUES ('398', '0', '0', '0', 'EN', 'Plovdiv', 'BG', '16');
INSERT INTO `subdivisions` VALUES ('399', '0', '0', '0', 'EN', 'Razgrad', 'BG', '17');
INSERT INTO `subdivisions` VALUES ('400', '0', '0', '0', 'EN', 'Ruse', 'BG', '18');
INSERT INTO `subdivisions` VALUES ('401', '0', '0', '0', 'EN', 'Silistra', 'BG', '19');
INSERT INTO `subdivisions` VALUES ('402', '0', '0', '0', 'EN', 'Sliven', 'BG', '20');
INSERT INTO `subdivisions` VALUES ('403', '0', '0', '0', 'EN', 'Smolyan', 'BG', '21');
INSERT INTO `subdivisions` VALUES ('404', '0', '0', '0', 'EN', 'Sofia-Grad', 'BG', '22');
INSERT INTO `subdivisions` VALUES ('405', '0', '0', '0', 'EN', 'Sofia', 'BG', '23');
INSERT INTO `subdivisions` VALUES ('406', '0', '0', '0', 'EN', 'Stara Zagora', 'BG', '24');
INSERT INTO `subdivisions` VALUES ('407', '0', '0', '0', 'EN', 'Targovishte', 'BG', '25');
INSERT INTO `subdivisions` VALUES ('408', '0', '0', '0', 'EN', 'Haskovo', 'BG', '26');
INSERT INTO `subdivisions` VALUES ('409', '0', '0', '0', 'EN', 'Shumen', 'BG', '27');
INSERT INTO `subdivisions` VALUES ('410', '0', '0', '0', 'EN', 'Yambol', 'BG', '28');
INSERT INTO `subdivisions` VALUES ('338', '0', '0', '0', 'EN', 'Balé', 'BF', 'BAL');
INSERT INTO `subdivisions` VALUES ('339', '0', '0', '0', 'EN', 'Bam', 'BF', 'BAM');
INSERT INTO `subdivisions` VALUES ('340', '0', '0', '0', 'EN', 'Banwa', 'BF', 'BAN');
INSERT INTO `subdivisions` VALUES ('341', '0', '0', '0', 'EN', 'Bazèga', 'BF', 'BAZ');
INSERT INTO `subdivisions` VALUES ('342', '0', '0', '0', 'EN', 'Bougouriba', 'BF', 'BGR');
INSERT INTO `subdivisions` VALUES ('343', '0', '0', '0', 'EN', 'Boulgou', 'BF', 'BLG');
INSERT INTO `subdivisions` VALUES ('344', '0', '0', '0', 'EN', 'Boulkiemdé', 'BF', 'BLK');
INSERT INTO `subdivisions` VALUES ('345', '0', '0', '0', 'EN', 'Comoé', 'BF', 'COM');
INSERT INTO `subdivisions` VALUES ('346', '0', '0', '0', 'EN', 'Ganzourgou', 'BF', 'GAN');
INSERT INTO `subdivisions` VALUES ('347', '0', '0', '0', 'EN', 'Gnagna', 'BF', 'GNA');
INSERT INTO `subdivisions` VALUES ('348', '0', '0', '0', 'EN', 'Gourma', 'BF', 'GOU');
INSERT INTO `subdivisions` VALUES ('349', '0', '0', '0', 'EN', 'Houet', 'BF', 'HOU');
INSERT INTO `subdivisions` VALUES ('350', '0', '0', '0', 'EN', 'Ioba', 'BF', 'IOB');
INSERT INTO `subdivisions` VALUES ('351', '0', '0', '0', 'EN', 'Kadiogo', 'BF', 'KAD');
INSERT INTO `subdivisions` VALUES ('352', '0', '0', '0', 'EN', 'Kénédougou', 'BF', 'KEN');
INSERT INTO `subdivisions` VALUES ('353', '0', '0', '0', 'EN', 'Komondjari', 'BF', 'KMD');
INSERT INTO `subdivisions` VALUES ('354', '0', '0', '0', 'EN', 'Kompienga', 'BF', 'KMP');
INSERT INTO `subdivisions` VALUES ('355', '0', '0', '0', 'EN', 'Koulpélogo', 'BF', 'KOP');
INSERT INTO `subdivisions` VALUES ('356', '0', '0', '0', 'EN', 'Kossi', 'BF', 'KOS');
INSERT INTO `subdivisions` VALUES ('357', '0', '0', '0', 'EN', 'Kouritenga', 'BF', 'KOT');
INSERT INTO `subdivisions` VALUES ('358', '0', '0', '0', 'EN', 'Kourwéogo', 'BF', 'KOW');
INSERT INTO `subdivisions` VALUES ('359', '0', '0', '0', 'EN', 'Léraba', 'BF', 'LER');
INSERT INTO `subdivisions` VALUES ('360', '0', '0', '0', 'EN', 'Loroum', 'BF', 'LOR');
INSERT INTO `subdivisions` VALUES ('361', '0', '0', '0', 'EN', 'Mouhoun', 'BF', 'MOU');
INSERT INTO `subdivisions` VALUES ('362', '0', '0', '0', 'EN', 'Namentenga', 'BF', 'NAM');
INSERT INTO `subdivisions` VALUES ('363', '0', '0', '0', 'EN', 'Nahouri', 'BF', 'NAO');
INSERT INTO `subdivisions` VALUES ('364', '0', '0', '0', 'EN', 'Nayala', 'BF', 'NAY');
INSERT INTO `subdivisions` VALUES ('365', '0', '0', '0', 'EN', 'Noumbiel', 'BF', 'NOU');
INSERT INTO `subdivisions` VALUES ('366', '0', '0', '0', 'EN', 'Oubritenga', 'BF', 'OUB');
INSERT INTO `subdivisions` VALUES ('367', '0', '0', '0', 'EN', 'Oudalan', 'BF', 'OUD');
INSERT INTO `subdivisions` VALUES ('368', '0', '0', '0', 'EN', 'Passoré', 'BF', 'PAS');
INSERT INTO `subdivisions` VALUES ('369', '0', '0', '0', 'EN', 'Poni', 'BF', 'PON');
INSERT INTO `subdivisions` VALUES ('370', '0', '0', '0', 'EN', 'Séno', 'BF', 'SEN');
INSERT INTO `subdivisions` VALUES ('371', '0', '0', '0', 'EN', 'Sissili', 'BF', 'SIS');
INSERT INTO `subdivisions` VALUES ('372', '0', '0', '0', 'EN', 'Sanmatenga', 'BF', 'SMT');
INSERT INTO `subdivisions` VALUES ('373', '0', '0', '0', 'EN', 'Sanguié', 'BF', 'SNG');
INSERT INTO `subdivisions` VALUES ('374', '0', '0', '0', 'EN', 'Soum', 'BF', 'SOM');
INSERT INTO `subdivisions` VALUES ('375', '0', '0', '0', 'EN', 'Sourou', 'BF', 'SOR');
INSERT INTO `subdivisions` VALUES ('376', '0', '0', '0', 'EN', 'Tapoa', 'BF', 'TAP');
INSERT INTO `subdivisions` VALUES ('377', '0', '0', '0', 'EN', 'Tui', 'BF', 'TUI');
INSERT INTO `subdivisions` VALUES ('378', '0', '0', '0', 'EN', 'Yagha', 'BF', 'YAG');
INSERT INTO `subdivisions` VALUES ('379', '0', '0', '0', 'EN', 'Yatenga', 'BF', 'YAT');
INSERT INTO `subdivisions` VALUES ('380', '0', '0', '0', 'EN', 'Ziro', 'BF', 'ZIR');
INSERT INTO `subdivisions` VALUES ('381', '0', '0', '0', 'EN', 'Zondoma', 'BF', 'ZON');
INSERT INTO `subdivisions` VALUES ('382', '0', '0', '0', 'EN', 'Zoundwéogo', 'BF', 'ZOU');
INSERT INTO `subdivisions` VALUES ('328', '0', '0', '0', 'EN', 'Antwerp', 'BE', 'VAN');
INSERT INTO `subdivisions` VALUES ('329', '0', '0', '0', 'EN', 'Flemish Brabant', 'BE', 'VBR');
INSERT INTO `subdivisions` VALUES ('330', '0', '0', '0', 'EN', 'Limburg', 'BE', 'VLI');
INSERT INTO `subdivisions` VALUES ('331', '0', '0', '0', 'EN', 'East Flanders', 'BE', 'VOV');
INSERT INTO `subdivisions` VALUES ('332', '0', '0', '0', 'EN', 'West Flanders', 'BE', 'VWV');
INSERT INTO `subdivisions` VALUES ('333', '0', '0', '0', 'EN', 'Walloon Brabant', 'BE', 'WBR');
INSERT INTO `subdivisions` VALUES ('334', '0', '0', '0', 'EN', 'Hainaut', 'BE', 'WHT');
INSERT INTO `subdivisions` VALUES ('335', '0', '0', '0', 'EN', 'Liège', 'BE', 'WLG');
INSERT INTO `subdivisions` VALUES ('336', '0', '0', '0', 'EN', 'Luxembourg', 'BE', 'WLX');
INSERT INTO `subdivisions` VALUES ('337', '0', '0', '0', 'EN', 'Namur', 'BE', 'WNA');
INSERT INTO `subdivisions` VALUES ('264', '0', '0', '0', 'EN', 'Bandarban zila', 'BD', '01');
INSERT INTO `subdivisions` VALUES ('265', '0', '0', '0', 'EN', 'Barguna zila', 'BD', '02');
INSERT INTO `subdivisions` VALUES ('266', '0', '0', '0', 'EN', 'Bogra zila', 'BD', '03');
INSERT INTO `subdivisions` VALUES ('267', '0', '0', '0', 'EN', 'Brahmanbaria zila', 'BD', '04');
INSERT INTO `subdivisions` VALUES ('268', '0', '0', '0', 'EN', 'Bagerhat zila', 'BD', '05');
INSERT INTO `subdivisions` VALUES ('269', '0', '0', '0', 'EN', 'Barisal zila', 'BD', '06');
INSERT INTO `subdivisions` VALUES ('270', '0', '0', '0', 'EN', 'Bhola zila', 'BD', '07');
INSERT INTO `subdivisions` VALUES ('271', '0', '0', '0', 'EN', 'Comilla zila', 'BD', '08');
INSERT INTO `subdivisions` VALUES ('272', '0', '0', '0', 'EN', 'Chandpur zila', 'BD', '09');
INSERT INTO `subdivisions` VALUES ('273', '0', '0', '0', 'EN', 'Chittagong zila', 'BD', '10');
INSERT INTO `subdivisions` VALUES ('274', '0', '0', '0', 'EN', 'Cox\'s Bazar zila', 'BD', '11');
INSERT INTO `subdivisions` VALUES ('275', '0', '0', '0', 'EN', 'Chuadanga zila', 'BD', '12');
INSERT INTO `subdivisions` VALUES ('276', '0', '0', '0', 'EN', 'Dhaka zila', 'BD', '13');
INSERT INTO `subdivisions` VALUES ('277', '0', '0', '0', 'EN', 'Dinajpur zila', 'BD', '14');
INSERT INTO `subdivisions` VALUES ('278', '0', '0', '0', 'EN', 'Faridpur zila', 'BD', '15');
INSERT INTO `subdivisions` VALUES ('279', '0', '0', '0', 'EN', 'Feni zila', 'BD', '16');
INSERT INTO `subdivisions` VALUES ('280', '0', '0', '0', 'EN', 'Gopalganj zila', 'BD', '17');
INSERT INTO `subdivisions` VALUES ('281', '0', '0', '0', 'EN', 'Gazipur zila', 'BD', '18');
INSERT INTO `subdivisions` VALUES ('282', '0', '0', '0', 'EN', 'Gaibandha zila', 'BD', '19');
INSERT INTO `subdivisions` VALUES ('283', '0', '0', '0', 'EN', 'Habiganj zila', 'BD', '20');
INSERT INTO `subdivisions` VALUES ('284', '0', '0', '0', 'EN', 'Jamalpur zila', 'BD', '21');
INSERT INTO `subdivisions` VALUES ('285', '0', '0', '0', 'EN', 'Jessore zila', 'BD', '22');
INSERT INTO `subdivisions` VALUES ('286', '0', '0', '0', 'EN', 'Jhenaidah zila', 'BD', '23');
INSERT INTO `subdivisions` VALUES ('287', '0', '0', '0', 'EN', 'Jaipurhat zila', 'BD', '24');
INSERT INTO `subdivisions` VALUES ('288', '0', '0', '0', 'EN', 'Jhalakati zila', 'BD', '25');
INSERT INTO `subdivisions` VALUES ('289', '0', '0', '0', 'EN', 'Kishoreganj zila', 'BD', '26');
INSERT INTO `subdivisions` VALUES ('290', '0', '0', '0', 'EN', 'Khulna zila', 'BD', '27');
INSERT INTO `subdivisions` VALUES ('291', '0', '0', '0', 'EN', 'Kurigram zila', 'BD', '28');
INSERT INTO `subdivisions` VALUES ('292', '0', '0', '0', 'EN', 'Khagrachari zila', 'BD', '29');
INSERT INTO `subdivisions` VALUES ('293', '0', '0', '0', 'EN', 'Kushtia zila', 'BD', '30');
INSERT INTO `subdivisions` VALUES ('294', '0', '0', '0', 'EN', 'Lakshmipur zila', 'BD', '31');
INSERT INTO `subdivisions` VALUES ('295', '0', '0', '0', 'EN', 'Lalmonirhat zila', 'BD', '32');
INSERT INTO `subdivisions` VALUES ('296', '0', '0', '0', 'EN', 'Manikganj zila', 'BD', '33');
INSERT INTO `subdivisions` VALUES ('297', '0', '0', '0', 'EN', 'Mymensingh zila', 'BD', '34');
INSERT INTO `subdivisions` VALUES ('298', '0', '0', '0', 'EN', 'Munshiganj zila', 'BD', '35');
INSERT INTO `subdivisions` VALUES ('299', '0', '0', '0', 'EN', 'Madaripur zila', 'BD', '36');
INSERT INTO `subdivisions` VALUES ('300', '0', '0', '0', 'EN', 'Magura zila', 'BD', '37');
INSERT INTO `subdivisions` VALUES ('301', '0', '0', '0', 'EN', 'Moulvibazar zila', 'BD', '38');
INSERT INTO `subdivisions` VALUES ('302', '0', '0', '0', 'EN', 'Meherpur zila', 'BD', '39');
INSERT INTO `subdivisions` VALUES ('303', '0', '0', '0', 'EN', 'Narayanganj zila', 'BD', '40');
INSERT INTO `subdivisions` VALUES ('304', '0', '0', '0', 'EN', 'Netrakona zila', 'BD', '41');
INSERT INTO `subdivisions` VALUES ('305', '0', '0', '0', 'EN', 'Narsingdi zila', 'BD', '42');
INSERT INTO `subdivisions` VALUES ('306', '0', '0', '0', 'EN', 'Narail zila', 'BD', '43');
INSERT INTO `subdivisions` VALUES ('307', '0', '0', '0', 'EN', 'Natore zila', 'BD', '44');
INSERT INTO `subdivisions` VALUES ('308', '0', '0', '0', 'EN', 'Nawabganj zila', 'BD', '45');
INSERT INTO `subdivisions` VALUES ('309', '0', '0', '0', 'EN', 'Nilphamari zila', 'BD', '46');
INSERT INTO `subdivisions` VALUES ('310', '0', '0', '0', 'EN', 'Noakhali zila', 'BD', '47');
INSERT INTO `subdivisions` VALUES ('311', '0', '0', '0', 'EN', 'Naogaon zila', 'BD', '48');
INSERT INTO `subdivisions` VALUES ('312', '0', '0', '0', 'EN', 'Pabna zila', 'BD', '49');
INSERT INTO `subdivisions` VALUES ('313', '0', '0', '0', 'EN', 'Pirojpur zila', 'BD', '50');
INSERT INTO `subdivisions` VALUES ('314', '0', '0', '0', 'EN', 'Patuakhali zila', 'BD', '51');
INSERT INTO `subdivisions` VALUES ('315', '0', '0', '0', 'EN', 'Panchagarh zila', 'BD', '52');
INSERT INTO `subdivisions` VALUES ('316', '0', '0', '0', 'EN', 'Rajbari zila', 'BD', '53');
INSERT INTO `subdivisions` VALUES ('317', '0', '0', '0', 'EN', 'Rajshahi zila', 'BD', '54');
INSERT INTO `subdivisions` VALUES ('318', '0', '0', '0', 'EN', 'Rangpur zila', 'BD', '55');
INSERT INTO `subdivisions` VALUES ('319', '0', '0', '0', 'EN', 'Rangamati zila', 'BD', '56');
INSERT INTO `subdivisions` VALUES ('320', '0', '0', '0', 'EN', 'Sherpur zila', 'BD', '57');
INSERT INTO `subdivisions` VALUES ('321', '0', '0', '0', 'EN', 'Satkhira zila', 'BD', '58');
INSERT INTO `subdivisions` VALUES ('322', '0', '0', '0', 'EN', 'Sirajganj zila', 'BD', '59');
INSERT INTO `subdivisions` VALUES ('323', '0', '0', '0', 'EN', 'Sylhet zila', 'BD', '60');
INSERT INTO `subdivisions` VALUES ('324', '0', '0', '0', 'EN', 'Sunamganj zila', 'BD', '61');
INSERT INTO `subdivisions` VALUES ('325', '0', '0', '0', 'EN', 'Shariatpur zila', 'BD', '62');
INSERT INTO `subdivisions` VALUES ('326', '0', '0', '0', 'EN', 'Tangail zila', 'BD', '63');
INSERT INTO `subdivisions` VALUES ('327', '0', '0', '0', 'EN', 'Thakurgaon zila', 'BD', '64');
INSERT INTO `subdivisions` VALUES ('253', '0', '0', '0', 'EN', 'Christ Church', 'BB', '01');
INSERT INTO `subdivisions` VALUES ('254', '0', '0', '0', 'EN', 'Saint Andrew', 'BB', '02');
INSERT INTO `subdivisions` VALUES ('255', '0', '0', '0', 'EN', 'Saint George', 'BB', '03');
INSERT INTO `subdivisions` VALUES ('256', '0', '0', '0', 'EN', 'Saint James', 'BB', '04');
INSERT INTO `subdivisions` VALUES ('257', '0', '0', '0', 'EN', 'Saint John', 'BB', '05');
INSERT INTO `subdivisions` VALUES ('258', '0', '0', '0', 'EN', 'Saint Joseph', 'BB', '06');
INSERT INTO `subdivisions` VALUES ('259', '0', '0', '0', 'EN', 'Saint Lucy', 'BB', '07');
INSERT INTO `subdivisions` VALUES ('260', '0', '0', '0', 'EN', 'Saint Michael', 'BB', '08');
INSERT INTO `subdivisions` VALUES ('261', '0', '0', '0', 'EN', 'Saint Peter', 'BB', '09');
INSERT INTO `subdivisions` VALUES ('262', '0', '0', '0', 'EN', 'Saint Philip', 'BB', '10');
INSERT INTO `subdivisions` VALUES ('263', '0', '0', '0', 'EN', 'Saint Thomas', 'BB', '11');
INSERT INTO `subdivisions` VALUES ('240', '0', '0', '0', 'EN', 'Unsko-sanski kanton', 'BA', '01');
INSERT INTO `subdivisions` VALUES ('241', '0', '0', '0', 'EN', 'Posavski kanton', 'BA', '02');
INSERT INTO `subdivisions` VALUES ('242', '0', '0', '0', 'EN', 'Tuzlanski kanton', 'BA', '03');
INSERT INTO `subdivisions` VALUES ('243', '0', '0', '0', 'EN', 'Zeničko-dobojski kanton', 'BA', '04');
INSERT INTO `subdivisions` VALUES ('244', '0', '0', '0', 'EN', 'Bosansko-podrinjski kanton', 'BA', '05');
INSERT INTO `subdivisions` VALUES ('245', '0', '0', '0', 'EN', 'Srednjobosanski kanton', 'BA', '06');
INSERT INTO `subdivisions` VALUES ('246', '0', '0', '0', 'EN', 'Hercegovačko-neretvanski kanton', 'BA', '07');
INSERT INTO `subdivisions` VALUES ('247', '0', '0', '0', 'EN', 'Zapadnohercegovački kanton', 'BA', '08');
INSERT INTO `subdivisions` VALUES ('248', '0', '0', '0', 'EN', 'Kanton Sarajevo', 'BA', '09');
INSERT INTO `subdivisions` VALUES ('249', '0', '0', '0', 'EN', 'Kanton br. 10 (Livanjski kanton)', 'BA', '10');
INSERT INTO `subdivisions` VALUES ('250', '0', '0', '0', 'EN', 'Federacija Bosna i Hercegovina', 'BA', 'BIH');
INSERT INTO `subdivisions` VALUES ('251', '0', '0', '0', 'EN', 'Brčko distrikt', 'BA', 'BRC');
INSERT INTO `subdivisions` VALUES ('252', '0', '0', '0', 'EN', 'Republika Srpska', 'BA', 'SRP');
INSERT INTO `subdivisions` VALUES ('163', '0', '0', '0', 'EN', 'Əli Bayramlı', 'AZ', 'AB');
INSERT INTO `subdivisions` VALUES ('164', '0', '0', '0', 'EN', 'Abşeron', 'AZ', 'ABS');
INSERT INTO `subdivisions` VALUES ('165', '0', '0', '0', 'EN', 'Ağstafa', 'AZ', 'AGA');
INSERT INTO `subdivisions` VALUES ('166', '0', '0', '0', 'EN', 'Ağcabədi', 'AZ', 'AGC');
INSERT INTO `subdivisions` VALUES ('167', '0', '0', '0', 'EN', 'Ağdam', 'AZ', 'AGM');
INSERT INTO `subdivisions` VALUES ('168', '0', '0', '0', 'EN', 'Ağdaş', 'AZ', 'AGS');
INSERT INTO `subdivisions` VALUES ('169', '0', '0', '0', 'EN', 'Ağsu', 'AZ', 'AGU');
INSERT INTO `subdivisions` VALUES ('170', '0', '0', '0', 'EN', 'Astara', 'AZ', 'AST');
INSERT INTO `subdivisions` VALUES ('171', '0', '0', '0', 'EN', 'Bakı', 'AZ', 'BA');
INSERT INTO `subdivisions` VALUES ('172', '0', '0', '0', 'EN', 'Babək', 'AZ', 'BAB');
INSERT INTO `subdivisions` VALUES ('173', '0', '0', '0', 'EN', 'Balakən', 'AZ', 'BAL');
INSERT INTO `subdivisions` VALUES ('174', '0', '0', '0', 'EN', 'Bərdə', 'AZ', 'BAR');
INSERT INTO `subdivisions` VALUES ('175', '0', '0', '0', 'EN', 'Beyləqan', 'AZ', 'BEY');
INSERT INTO `subdivisions` VALUES ('176', '0', '0', '0', 'EN', 'Biləsuvar', 'AZ', 'BIL');
INSERT INTO `subdivisions` VALUES ('177', '0', '0', '0', 'EN', 'Cəbrayıl', 'AZ', 'CAB');
INSERT INTO `subdivisions` VALUES ('178', '0', '0', '0', 'EN', 'Cəlilabab', 'AZ', 'CAL');
INSERT INTO `subdivisions` VALUES ('179', '0', '0', '0', 'EN', 'Culfa', 'AZ', 'CUL');
INSERT INTO `subdivisions` VALUES ('180', '0', '0', '0', 'EN', 'Daşkəsən', 'AZ', 'DAS');
INSERT INTO `subdivisions` VALUES ('181', '0', '0', '0', 'EN', 'Dəvəçi', 'AZ', 'DAV');
INSERT INTO `subdivisions` VALUES ('182', '0', '0', '0', 'EN', 'Füzuli', 'AZ', 'FUZ');
INSERT INTO `subdivisions` VALUES ('183', '0', '0', '0', 'EN', 'Gəncə', 'AZ', 'GA');
INSERT INTO `subdivisions` VALUES ('184', '0', '0', '0', 'EN', 'Gədəbəy', 'AZ', 'GAD');
INSERT INTO `subdivisions` VALUES ('185', '0', '0', '0', 'EN', 'Goranboy', 'AZ', 'GOR');
INSERT INTO `subdivisions` VALUES ('186', '0', '0', '0', 'EN', 'Göyçay', 'AZ', 'GOY');
INSERT INTO `subdivisions` VALUES ('187', '0', '0', '0', 'EN', 'Hacıqabul', 'AZ', 'HAC');
INSERT INTO `subdivisions` VALUES ('188', '0', '0', '0', 'EN', 'İmişli', 'AZ', 'IMI');
INSERT INTO `subdivisions` VALUES ('189', '0', '0', '0', 'EN', 'İsmayıllı', 'AZ', 'ISM');
INSERT INTO `subdivisions` VALUES ('190', '0', '0', '0', 'EN', 'Kəlbəcər', 'AZ', 'KAL');
INSERT INTO `subdivisions` VALUES ('191', '0', '0', '0', 'EN', 'Kürdəmir', 'AZ', 'KUR');
INSERT INTO `subdivisions` VALUES ('192', '0', '0', '0', 'EN', 'Lənkəran', 'AZ', 'LA');
INSERT INTO `subdivisions` VALUES ('193', '0', '0', '0', 'EN', 'Laçın', 'AZ', 'LAC');
INSERT INTO `subdivisions` VALUES ('194', '0', '0', '0', 'EN', 'Lənkəran', 'AZ', 'LAN');
INSERT INTO `subdivisions` VALUES ('195', '0', '0', '0', 'EN', 'Lerik', 'AZ', 'LER');
INSERT INTO `subdivisions` VALUES ('196', '0', '0', '0', 'EN', 'Masallı', 'AZ', 'MAS');
INSERT INTO `subdivisions` VALUES ('197', '0', '0', '0', 'EN', 'Mingəçevir', 'AZ', 'MI');
INSERT INTO `subdivisions` VALUES ('198', '0', '0', '0', 'EN', 'Naftalan', 'AZ', 'NA');
INSERT INTO `subdivisions` VALUES ('199', '0', '0', '0', 'EN', 'Neftçala', 'AZ', 'NEF');
INSERT INTO `subdivisions` VALUES ('200', '0', '0', '0', 'EN', 'Naxçıvan', 'AZ', 'NX');
INSERT INTO `subdivisions` VALUES ('201', '0', '0', '0', 'EN', 'Oğuz', 'AZ', 'OGU');
INSERT INTO `subdivisions` VALUES ('202', '0', '0', '0', 'EN', 'Ordubad', 'AZ', 'ORD');
INSERT INTO `subdivisions` VALUES ('203', '0', '0', '0', 'EN', 'Qəbələ', 'AZ', 'QAB');
INSERT INTO `subdivisions` VALUES ('204', '0', '0', '0', 'EN', 'Qax', 'AZ', 'QAX');
INSERT INTO `subdivisions` VALUES ('205', '0', '0', '0', 'EN', 'Qazax', 'AZ', 'QAZ');
INSERT INTO `subdivisions` VALUES ('206', '0', '0', '0', 'EN', 'Quba', 'AZ', 'QBA');
INSERT INTO `subdivisions` VALUES ('207', '0', '0', '0', 'EN', 'Qubadlı', 'AZ', 'QBI');
INSERT INTO `subdivisions` VALUES ('208', '0', '0', '0', 'EN', 'Qobustan', 'AZ', 'QOB');
INSERT INTO `subdivisions` VALUES ('209', '0', '0', '0', 'EN', 'Qusar', 'AZ', 'QUS');
INSERT INTO `subdivisions` VALUES ('210', '0', '0', '0', 'EN', 'Şəki', 'AZ', 'SA');
INSERT INTO `subdivisions` VALUES ('211', '0', '0', '0', 'EN', 'Sabirabad', 'AZ', 'SAB');
INSERT INTO `subdivisions` VALUES ('212', '0', '0', '0', 'EN', 'Sədərək', 'AZ', 'SAD');
INSERT INTO `subdivisions` VALUES ('213', '0', '0', '0', 'EN', 'Şahbuz', 'AZ', 'SAH');
INSERT INTO `subdivisions` VALUES ('214', '0', '0', '0', 'EN', 'Şəki', 'AZ', 'SAK');
INSERT INTO `subdivisions` VALUES ('215', '0', '0', '0', 'EN', 'Salyan', 'AZ', 'SAL');
INSERT INTO `subdivisions` VALUES ('216', '0', '0', '0', 'EN', 'Şərur', 'AZ', 'SAR');
INSERT INTO `subdivisions` VALUES ('217', '0', '0', '0', 'EN', 'Saatlı', 'AZ', 'SAT');
INSERT INTO `subdivisions` VALUES ('218', '0', '0', '0', 'EN', 'Siyəzən', 'AZ', 'SIY');
INSERT INTO `subdivisions` VALUES ('219', '0', '0', '0', 'EN', 'Şəmkir', 'AZ', 'SKR');
INSERT INTO `subdivisions` VALUES ('220', '0', '0', '0', 'EN', 'Sumqayıt', 'AZ', 'SM');
INSERT INTO `subdivisions` VALUES ('221', '0', '0', '0', 'EN', 'Şamaxı', 'AZ', 'SMI');
INSERT INTO `subdivisions` VALUES ('222', '0', '0', '0', 'EN', 'Samux', 'AZ', 'SMX');
INSERT INTO `subdivisions` VALUES ('223', '0', '0', '0', 'EN', 'Şuşa', 'AZ', 'SS');
INSERT INTO `subdivisions` VALUES ('224', '0', '0', '0', 'EN', 'Şuşa', 'AZ', 'SUS');
INSERT INTO `subdivisions` VALUES ('225', '0', '0', '0', 'EN', 'Tərtər', 'AZ', 'TAR');
INSERT INTO `subdivisions` VALUES ('226', '0', '0', '0', 'EN', 'Tovuz', 'AZ', 'TOV');
INSERT INTO `subdivisions` VALUES ('227', '0', '0', '0', 'EN', 'Ucar', 'AZ', 'UCA');
INSERT INTO `subdivisions` VALUES ('228', '0', '0', '0', 'EN', 'Xankəndi', 'AZ', 'XA');
INSERT INTO `subdivisions` VALUES ('229', '0', '0', '0', 'EN', 'Xaçmaz', 'AZ', 'XAC');
INSERT INTO `subdivisions` VALUES ('230', '0', '0', '0', 'EN', 'Xanlar', 'AZ', 'XAN');
INSERT INTO `subdivisions` VALUES ('231', '0', '0', '0', 'EN', 'Xocalı', 'AZ', 'XCI');
INSERT INTO `subdivisions` VALUES ('232', '0', '0', '0', 'EN', 'Xızı', 'AZ', 'XIZ');
INSERT INTO `subdivisions` VALUES ('233', '0', '0', '0', 'EN', 'Xocavənd', 'AZ', 'XVD');
INSERT INTO `subdivisions` VALUES ('234', '0', '0', '0', 'EN', 'Yardımlı', 'AZ', 'YAR');
INSERT INTO `subdivisions` VALUES ('235', '0', '0', '0', 'EN', 'Yevlax', 'AZ', 'YE');
INSERT INTO `subdivisions` VALUES ('236', '0', '0', '0', 'EN', 'Yevlax', 'AZ', 'YEV');
INSERT INTO `subdivisions` VALUES ('237', '0', '0', '0', 'EN', 'Zəngilan', 'AZ', 'ZAN');
INSERT INTO `subdivisions` VALUES ('238', '0', '0', '0', 'EN', 'Zaqatala', 'AZ', 'ZAQ');
INSERT INTO `subdivisions` VALUES ('239', '0', '0', '0', 'EN', 'Zərdab', 'AZ', 'ZAR');
INSERT INTO `subdivisions` VALUES ('155', '0', '0', '0', 'EN', 'Australian Capital Territory', 'AU', 'ACT');
INSERT INTO `subdivisions` VALUES ('156', '0', '0', '0', 'EN', 'New South Wales', 'AU', 'NSW');
INSERT INTO `subdivisions` VALUES ('157', '0', '0', '0', 'EN', 'Northern Territory', 'AU', 'NT');
INSERT INTO `subdivisions` VALUES ('158', '0', '0', '0', 'EN', 'Queensland', 'AU', 'QLD');
INSERT INTO `subdivisions` VALUES ('159', '0', '0', '0', 'EN', 'South Australia', 'AU', 'SA');
INSERT INTO `subdivisions` VALUES ('160', '0', '0', '0', 'EN', 'Tasmania', 'AU', 'TAS');
INSERT INTO `subdivisions` VALUES ('161', '0', '0', '0', 'EN', 'Victoria', 'AU', 'VIC');
INSERT INTO `subdivisions` VALUES ('162', '0', '0', '0', 'EN', 'Western Australia', 'AU', 'WA');
INSERT INTO `subdivisions` VALUES ('146', '0', '0', '0', 'EN', 'Burgenland', 'AT', '1');
INSERT INTO `subdivisions` VALUES ('147', '0', '0', '0', 'EN', 'Kärnten', 'AT', '2');
INSERT INTO `subdivisions` VALUES ('148', '0', '0', '0', 'EN', 'Niederösterreich', 'AT', '3');
INSERT INTO `subdivisions` VALUES ('149', '0', '0', '0', 'EN', 'Oberösterreich', 'AT', '4');
INSERT INTO `subdivisions` VALUES ('150', '0', '0', '0', 'EN', 'Salzburg', 'AT', '5');
INSERT INTO `subdivisions` VALUES ('151', '0', '0', '0', 'EN', 'Steiermark', 'AT', '6');
INSERT INTO `subdivisions` VALUES ('152', '0', '0', '0', 'EN', 'Tirol', 'AT', '7');
INSERT INTO `subdivisions` VALUES ('153', '0', '0', '0', 'EN', 'Vorarlberg', 'AT', '8');
INSERT INTO `subdivisions` VALUES ('154', '0', '0', '0', 'EN', 'Wien', 'AT', '9');
INSERT INTO `subdivisions` VALUES ('122', '0', '0', '0', 'EN', 'Salta', 'AR', 'A');
INSERT INTO `subdivisions` VALUES ('123', '0', '0', '0', 'EN', 'Buenos Aires', 'AR', 'B');
INSERT INTO `subdivisions` VALUES ('124', '0', '0', '0', 'EN', 'Ciudad Autónoma de Buenos Aires', 'AR', 'C');
INSERT INTO `subdivisions` VALUES ('125', '0', '0', '0', 'EN', 'San Luis', 'AR', 'D');
INSERT INTO `subdivisions` VALUES ('126', '0', '0', '0', 'EN', 'Entre Ríos', 'AR', 'E');
INSERT INTO `subdivisions` VALUES ('127', '0', '0', '0', 'EN', 'La Rioja', 'AR', 'F');
INSERT INTO `subdivisions` VALUES ('128', '0', '0', '0', 'EN', 'Santiago del Estero', 'AR', 'G');
INSERT INTO `subdivisions` VALUES ('129', '0', '0', '0', 'EN', 'Chaco', 'AR', 'H');
INSERT INTO `subdivisions` VALUES ('130', '0', '0', '0', 'EN', 'San Juan', 'AR', 'J');
INSERT INTO `subdivisions` VALUES ('131', '0', '0', '0', 'EN', 'Catamarca', 'AR', 'K');
INSERT INTO `subdivisions` VALUES ('132', '0', '0', '0', 'EN', 'La Pampa', 'AR', 'L');
INSERT INTO `subdivisions` VALUES ('133', '0', '0', '0', 'EN', 'Mendoza', 'AR', 'M');
INSERT INTO `subdivisions` VALUES ('134', '0', '0', '0', 'EN', 'Misiones', 'AR', 'N');
INSERT INTO `subdivisions` VALUES ('135', '0', '0', '0', 'EN', 'Formosa', 'AR', 'P');
INSERT INTO `subdivisions` VALUES ('136', '0', '0', '0', 'EN', 'Neuquén', 'AR', 'Q');
INSERT INTO `subdivisions` VALUES ('137', '0', '0', '0', 'EN', 'Río Negro', 'AR', 'R');
INSERT INTO `subdivisions` VALUES ('138', '0', '0', '0', 'EN', 'Santa Fe', 'AR', 'S');
INSERT INTO `subdivisions` VALUES ('139', '0', '0', '0', 'EN', 'Tucumán', 'AR', 'T');
INSERT INTO `subdivisions` VALUES ('140', '0', '0', '0', 'EN', 'Chubut', 'AR', 'U');
INSERT INTO `subdivisions` VALUES ('141', '0', '0', '0', 'EN', 'Tierra del Fuego', 'AR', 'V');
INSERT INTO `subdivisions` VALUES ('142', '0', '0', '0', 'EN', 'Corrientes', 'AR', 'W');
INSERT INTO `subdivisions` VALUES ('143', '0', '0', '0', 'EN', 'Cordoba', 'AR', 'X');
INSERT INTO `subdivisions` VALUES ('144', '0', '0', '0', 'EN', 'Jujuy', 'AR', 'Y');
INSERT INTO `subdivisions` VALUES ('145', '0', '0', '0', 'EN', 'Santa Cruz', 'AR', 'Z');
INSERT INTO `subdivisions` VALUES ('104', '0', '0', '0', 'EN', 'Bengo', 'AO', 'BGO');
INSERT INTO `subdivisions` VALUES ('105', '0', '0', '0', 'EN', 'Benguela', 'AO', 'BGU');
INSERT INTO `subdivisions` VALUES ('106', '0', '0', '0', 'EN', 'Bié', 'AO', 'BIE');
INSERT INTO `subdivisions` VALUES ('107', '0', '0', '0', 'EN', 'Cabinda', 'AO', 'CAB');
INSERT INTO `subdivisions` VALUES ('108', '0', '0', '0', 'EN', 'Cuando-Cubango', 'AO', 'CCU');
INSERT INTO `subdivisions` VALUES ('109', '0', '0', '0', 'EN', 'Cunene', 'AO', 'CNN');
INSERT INTO `subdivisions` VALUES ('110', '0', '0', '0', 'EN', 'Cuanza Norte', 'AO', 'CNO');
INSERT INTO `subdivisions` VALUES ('111', '0', '0', '0', 'EN', 'Cuanza Sul', 'AO', 'CUS');
INSERT INTO `subdivisions` VALUES ('112', '0', '0', '0', 'EN', 'Huambo', 'AO', 'HUA');
INSERT INTO `subdivisions` VALUES ('113', '0', '0', '0', 'EN', 'Huíla', 'AO', 'HUI');
INSERT INTO `subdivisions` VALUES ('114', '0', '0', '0', 'EN', 'Lunda Norte', 'AO', 'LNO');
INSERT INTO `subdivisions` VALUES ('115', '0', '0', '0', 'EN', 'Lunda Sul', 'AO', 'LSU');
INSERT INTO `subdivisions` VALUES ('116', '0', '0', '0', 'EN', 'Luanda', 'AO', 'LUA');
INSERT INTO `subdivisions` VALUES ('117', '0', '0', '0', 'EN', 'Malange', 'AO', 'MAL');
INSERT INTO `subdivisions` VALUES ('118', '0', '0', '0', 'EN', 'Moxico', 'AO', 'MOX');
INSERT INTO `subdivisions` VALUES ('119', '0', '0', '0', 'EN', 'Namibe', 'AO', 'NAM');
INSERT INTO `subdivisions` VALUES ('120', '0', '0', '0', 'EN', 'Uíge', 'AO', 'UIG');
INSERT INTO `subdivisions` VALUES ('121', '0', '0', '0', 'EN', 'Zaire', 'AO', 'ZAI');
INSERT INTO `subdivisions` VALUES ('93', '0', '0', '0', 'EN', 'Aragac̣otn', 'AM', 'AG');
INSERT INTO `subdivisions` VALUES ('94', '0', '0', '0', 'EN', 'Ararat', 'AM', 'AR');
INSERT INTO `subdivisions` VALUES ('95', '0', '0', '0', 'EN', 'Armavir', 'AM', 'AV');
INSERT INTO `subdivisions` VALUES ('96', '0', '0', '0', 'EN', 'Erevan', 'AM', 'ER');
INSERT INTO `subdivisions` VALUES ('97', '0', '0', '0', 'EN', 'Geġark\'unik\'', 'AM', 'GR');
INSERT INTO `subdivisions` VALUES ('98', '0', '0', '0', 'EN', 'Kotayk\'', 'AM', 'KT');
INSERT INTO `subdivisions` VALUES ('99', '0', '0', '0', 'EN', 'Loṙy', 'AM', 'LO');
INSERT INTO `subdivisions` VALUES ('100', '0', '0', '0', 'EN', 'Sirak', 'AM', 'SH');
INSERT INTO `subdivisions` VALUES ('101', '0', '0', '0', 'EN', 'Syunik\'', 'AM', 'SU');
INSERT INTO `subdivisions` VALUES ('102', '0', '0', '0', 'EN', 'Tavuš', 'AM', 'TV');
INSERT INTO `subdivisions` VALUES ('103', '0', '0', '0', 'EN', 'Vayoc Jor', 'AM', 'VD');
INSERT INTO `subdivisions` VALUES ('57', '0', '0', '0', 'EN', 'Berat', 'AL', 'BR');
INSERT INTO `subdivisions` VALUES ('58', '0', '0', '0', 'EN', 'Bulqizë', 'AL', 'BU');
INSERT INTO `subdivisions` VALUES ('59', '0', '0', '0', 'EN', 'Dibër', 'AL', 'DI');
INSERT INTO `subdivisions` VALUES ('60', '0', '0', '0', 'EN', 'Delvinë', 'AL', 'DL');
INSERT INTO `subdivisions` VALUES ('61', '0', '0', '0', 'EN', 'Durrës', 'AL', 'DR');
INSERT INTO `subdivisions` VALUES ('62', '0', '0', '0', 'EN', 'Devoll', 'AL', 'DV');
INSERT INTO `subdivisions` VALUES ('63', '0', '0', '0', 'EN', 'Elbasan', 'AL', 'EL');
INSERT INTO `subdivisions` VALUES ('64', '0', '0', '0', 'EN', 'Kolonjë', 'AL', 'ER');
INSERT INTO `subdivisions` VALUES ('65', '0', '0', '0', 'EN', 'Fier', 'AL', 'FR');
INSERT INTO `subdivisions` VALUES ('66', '0', '0', '0', 'EN', 'Gjirokastër', 'AL', 'GJ');
INSERT INTO `subdivisions` VALUES ('67', '0', '0', '0', 'EN', 'Gramsh', 'AL', 'GR');
INSERT INTO `subdivisions` VALUES ('68', '0', '0', '0', 'EN', 'Has', 'AL', 'HA');
INSERT INTO `subdivisions` VALUES ('69', '0', '0', '0', 'EN', 'Kavajë', 'AL', 'KA');
INSERT INTO `subdivisions` VALUES ('70', '0', '0', '0', 'EN', 'Kurbin', 'AL', 'KB');
INSERT INTO `subdivisions` VALUES ('71', '0', '0', '0', 'EN', 'Kuçovë', 'AL', 'KC');
INSERT INTO `subdivisions` VALUES ('72', '0', '0', '0', 'EN', 'Korçë', 'AL', 'KO');
INSERT INTO `subdivisions` VALUES ('73', '0', '0', '0', 'EN', 'Krujë', 'AL', 'KR');
INSERT INTO `subdivisions` VALUES ('74', '0', '0', '0', 'EN', 'Kukës', 'AL', 'KU');
INSERT INTO `subdivisions` VALUES ('75', '0', '0', '0', 'EN', 'Librazhd', 'AL', 'LB');
INSERT INTO `subdivisions` VALUES ('76', '0', '0', '0', 'EN', 'Lezhë', 'AL', 'LE');
INSERT INTO `subdivisions` VALUES ('77', '0', '0', '0', 'EN', 'Lushnjë', 'AL', 'LU');
INSERT INTO `subdivisions` VALUES ('78', '0', '0', '0', 'EN', 'Mallakastër', 'AL', 'MK');
INSERT INTO `subdivisions` VALUES ('79', '0', '0', '0', 'EN', 'Malësi e Madhe', 'AL', 'MM');
INSERT INTO `subdivisions` VALUES ('80', '0', '0', '0', 'EN', 'Mirditë', 'AL', 'MR');
INSERT INTO `subdivisions` VALUES ('81', '0', '0', '0', 'EN', 'Mat', 'AL', 'MT');
INSERT INTO `subdivisions` VALUES ('82', '0', '0', '0', 'EN', 'Pogradec', 'AL', 'PG');
INSERT INTO `subdivisions` VALUES ('83', '0', '0', '0', 'EN', 'Peqin', 'AL', 'PQ');
INSERT INTO `subdivisions` VALUES ('84', '0', '0', '0', 'EN', 'Përmet', 'AL', 'PR');
INSERT INTO `subdivisions` VALUES ('85', '0', '0', '0', 'EN', 'Pukë', 'AL', 'PU');
INSERT INTO `subdivisions` VALUES ('86', '0', '0', '0', 'EN', 'Shkodër', 'AL', 'SH');
INSERT INTO `subdivisions` VALUES ('87', '0', '0', '0', 'EN', 'Skrapar', 'AL', 'SK');
INSERT INTO `subdivisions` VALUES ('88', '0', '0', '0', 'EN', 'Sarandë', 'AL', 'SR');
INSERT INTO `subdivisions` VALUES ('89', '0', '0', '0', 'EN', 'Tepelenë', 'AL', 'TE');
INSERT INTO `subdivisions` VALUES ('90', '0', '0', '0', 'EN', 'Tropojë', 'AL', 'TP');
INSERT INTO `subdivisions` VALUES ('91', '0', '0', '0', 'EN', 'Tiranë', 'AL', 'TR');
INSERT INTO `subdivisions` VALUES ('92', '0', '0', '0', 'EN', 'Vlorë', 'AL', 'VL');
INSERT INTO `subdivisions` VALUES ('49', '0', '0', '0', 'EN', 'Saint George', 'AG', '03');
INSERT INTO `subdivisions` VALUES ('50', '0', '0', '0', 'EN', 'Saint John', 'AG', '04');
INSERT INTO `subdivisions` VALUES ('51', '0', '0', '0', 'EN', 'Saint Mary', 'AG', '05');
INSERT INTO `subdivisions` VALUES ('52', '0', '0', '0', 'EN', 'Saint Paul', 'AG', '06');
INSERT INTO `subdivisions` VALUES ('53', '0', '0', '0', 'EN', 'Saint Peter', 'AG', '07');
INSERT INTO `subdivisions` VALUES ('54', '0', '0', '0', 'EN', 'Saint Philip', 'AG', '08');
INSERT INTO `subdivisions` VALUES ('55', '0', '0', '0', 'EN', 'Barbuda', 'AG', '10');
INSERT INTO `subdivisions` VALUES ('56', '0', '0', '0', 'EN', 'Redonda', 'AG', '11');
INSERT INTO `subdivisions` VALUES ('15', '0', '0', '0', 'EN', 'Balkh', 'AF', 'BAL');
INSERT INTO `subdivisions` VALUES ('16', '0', '0', '0', 'EN', 'Bāmīān', 'AF', 'BAM');
INSERT INTO `subdivisions` VALUES ('17', '0', '0', '0', 'EN', 'Badghīs', 'AF', 'BDG');
INSERT INTO `subdivisions` VALUES ('18', '0', '0', '0', 'EN', 'Badakhshān', 'AF', 'BDS');
INSERT INTO `subdivisions` VALUES ('19', '0', '0', '0', 'EN', 'Baghlān', 'AF', 'BGL');
INSERT INTO `subdivisions` VALUES ('20', '0', '0', '0', 'EN', 'Dāykondī', 'AF', 'DAY');
INSERT INTO `subdivisions` VALUES ('21', '0', '0', '0', 'EN', 'Farāh', 'AF', 'FRA');
INSERT INTO `subdivisions` VALUES ('22', '0', '0', '0', 'EN', 'Fāryāb', 'AF', 'FYB');
INSERT INTO `subdivisions` VALUES ('23', '0', '0', '0', 'EN', 'Ghaznī', 'AF', 'GHA');
INSERT INTO `subdivisions` VALUES ('24', '0', '0', '0', 'EN', 'Ghowr', 'AF', 'GHO');
INSERT INTO `subdivisions` VALUES ('25', '0', '0', '0', 'EN', 'Helmand', 'AF', 'HEL');
INSERT INTO `subdivisions` VALUES ('26', '0', '0', '0', 'EN', 'Herāt', 'AF', 'HER');
INSERT INTO `subdivisions` VALUES ('27', '0', '0', '0', 'EN', 'Jowzjān', 'AF', 'JOW');
INSERT INTO `subdivisions` VALUES ('28', '0', '0', '0', 'EN', 'Kabul', 'AF', 'KAB');
INSERT INTO `subdivisions` VALUES ('29', '0', '0', '0', 'EN', 'Kandahār', 'AF', 'KAN');
INSERT INTO `subdivisions` VALUES ('30', '0', '0', '0', 'EN', 'Kapīsā', 'AF', 'KAP');
INSERT INTO `subdivisions` VALUES ('31', '0', '0', '0', 'EN', 'Kondoz', 'AF', 'KDZ');
INSERT INTO `subdivisions` VALUES ('32', '0', '0', '0', 'EN', 'Khowst', 'AF', 'KHO');
INSERT INTO `subdivisions` VALUES ('33', '0', '0', '0', 'EN', 'Konar', 'AF', 'KNR');
INSERT INTO `subdivisions` VALUES ('34', '0', '0', '0', 'EN', 'Laghmān', 'AF', 'LAG');
INSERT INTO `subdivisions` VALUES ('35', '0', '0', '0', 'EN', 'Lowgar', 'AF', 'LOW');
INSERT INTO `subdivisions` VALUES ('36', '0', '0', '0', 'EN', 'Nangrahār', 'AF', 'NAN');
INSERT INTO `subdivisions` VALUES ('37', '0', '0', '0', 'EN', 'Nīmrūz', 'AF', 'NIM');
INSERT INTO `subdivisions` VALUES ('38', '0', '0', '0', 'EN', 'Nūrestān', 'AF', 'NUR');
INSERT INTO `subdivisions` VALUES ('39', '0', '0', '0', 'EN', 'Orūzgān', 'AF', 'ORU');
INSERT INTO `subdivisions` VALUES ('40', '0', '0', '0', 'EN', 'Panjshīr', 'AF', 'PAN');
INSERT INTO `subdivisions` VALUES ('41', '0', '0', '0', 'EN', 'Parwān', 'AF', 'PAR');
INSERT INTO `subdivisions` VALUES ('42', '0', '0', '0', 'EN', 'Paktīa', 'AF', 'PIA');
INSERT INTO `subdivisions` VALUES ('43', '0', '0', '0', 'EN', 'Paktīkā', 'AF', 'PKA');
INSERT INTO `subdivisions` VALUES ('44', '0', '0', '0', 'EN', 'Samangān', 'AF', 'SAM');
INSERT INTO `subdivisions` VALUES ('45', '0', '0', '0', 'EN', 'Sar-e Pol', 'AF', 'SAR');
INSERT INTO `subdivisions` VALUES ('46', '0', '0', '0', 'EN', 'Takhār', 'AF', 'TAK');
INSERT INTO `subdivisions` VALUES ('47', '0', '0', '0', 'EN', 'Wardak', 'AF', 'WAR');
INSERT INTO `subdivisions` VALUES ('48', '0', '0', '0', 'EN', 'Zābol', 'AF', 'ZAB');
INSERT INTO `subdivisions` VALUES ('8', '0', '0', '0', 'EN', 'Ajmān', 'AE', 'AJ');
INSERT INTO `subdivisions` VALUES ('9', '0', '0', '0', 'EN', 'Abū Z̧aby', 'AE', 'AZ');
INSERT INTO `subdivisions` VALUES ('10', '0', '0', '0', 'EN', 'Dubayy', 'AE', 'DU');
INSERT INTO `subdivisions` VALUES ('11', '0', '0', '0', 'EN', 'Al Fujayrah', 'AE', 'FU');
INSERT INTO `subdivisions` VALUES ('12', '0', '0', '0', 'EN', 'Ra’s al Khaymah', 'AE', 'RK');
INSERT INTO `subdivisions` VALUES ('13', '0', '0', '0', 'EN', 'Ash Shāriqah', 'AE', 'SH');
INSERT INTO `subdivisions` VALUES ('14', '0', '0', '0', 'EN', 'Umm al Qaywayn', 'AE', 'UQ');
INSERT INTO `subdivisions` VALUES ('1', '0', '0', '0', 'EN', 'Canillo', 'AD', '02');
INSERT INTO `subdivisions` VALUES ('2', '0', '0', '0', 'EN', 'Encamp', 'AD', '03');
INSERT INTO `subdivisions` VALUES ('3', '0', '0', '0', 'EN', 'La Massana', 'AD', '04');
INSERT INTO `subdivisions` VALUES ('4', '0', '0', '0', 'EN', 'Ordino', 'AD', '05');
INSERT INTO `subdivisions` VALUES ('5', '0', '0', '0', 'EN', 'Sant Julià de Lòria', 'AD', '06');
INSERT INTO `subdivisions` VALUES ('6', '0', '0', '0', 'EN', 'Andorra la Vella', 'AD', '07');
INSERT INTO `subdivisions` VALUES ('7', '0', '0', '0', 'EN', 'Escaldes-Engordany', 'AD', '08');
INSERT INTO `subdivisions` VALUES ('140374', '0', '0', '3886', 'DE', 'Alaska', 'US', 'AK');
INSERT INTO `subdivisions` VALUES ('140375', '0', '0', '3887', 'DE', 'Alabama', 'US', 'AL');
INSERT INTO `subdivisions` VALUES ('140376', '0', '0', '3888', 'DE', 'Arkansas', 'US', 'AR');
INSERT INTO `subdivisions` VALUES ('140377', '0', '0', '3889', 'DE', 'Amerikanisch-Samoa', 'US', 'AS');
INSERT INTO `subdivisions` VALUES ('140378', '0', '0', '3890', 'DE', 'Arizona', 'US', 'AZ');
INSERT INTO `subdivisions` VALUES ('140379', '0', '0', '3891', 'DE', 'Kalifornien', 'US', 'CA');
INSERT INTO `subdivisions` VALUES ('140380', '0', '0', '3892', 'DE', 'Colorado', 'US', 'CO');
INSERT INTO `subdivisions` VALUES ('140381', '0', '0', '3893', 'DE', 'Connecticut', 'US', 'CT');
INSERT INTO `subdivisions` VALUES ('140382', '0', '0', '3894', 'DE', 'District of Columbia', 'US', 'DC');
INSERT INTO `subdivisions` VALUES ('140383', '0', '0', '3895', 'DE', 'Delaware', 'US', 'DE');
INSERT INTO `subdivisions` VALUES ('140384', '0', '0', '3896', 'DE', 'Florida', 'US', 'FL');
INSERT INTO `subdivisions` VALUES ('140385', '0', '0', '3897', 'DE', 'Georgia', 'US', 'GA');
INSERT INTO `subdivisions` VALUES ('140386', '0', '0', '3898', 'DE', 'Guam Guam1', 'US', 'GU');
INSERT INTO `subdivisions` VALUES ('140387', '0', '0', '3899', 'DE', 'Hawaii', 'US', 'HI');
INSERT INTO `subdivisions` VALUES ('140388', '0', '0', '3900', 'DE', 'Iowa', 'US', 'IA');
INSERT INTO `subdivisions` VALUES ('140389', '0', '0', '3901', 'DE', 'Idaho', 'US', 'ID');
INSERT INTO `subdivisions` VALUES ('140390', '0', '0', '3902', 'DE', 'Illinois', 'US', 'IL');
INSERT INTO `subdivisions` VALUES ('140391', '0', '0', '3903', 'DE', 'Indiana', 'US', 'IN');
INSERT INTO `subdivisions` VALUES ('140392', '0', '0', '3904', 'DE', 'Kansas', 'US', 'KS');
INSERT INTO `subdivisions` VALUES ('140393', '0', '0', '3905', 'DE', 'Kentucky', 'US', 'KY');
INSERT INTO `subdivisions` VALUES ('140394', '0', '0', '3906', 'DE', 'Louisiana', 'US', 'LA');
INSERT INTO `subdivisions` VALUES ('140395', '0', '0', '3907', 'DE', 'Massachusetts', 'US', 'MA');
INSERT INTO `subdivisions` VALUES ('140396', '0', '0', '3908', 'DE', 'Maryland', 'US', 'MD');
INSERT INTO `subdivisions` VALUES ('140397', '0', '0', '3909', 'DE', 'Maine', 'US', 'ME');
INSERT INTO `subdivisions` VALUES ('140398', '0', '0', '3910', 'DE', 'Michigan', 'US', 'MI');
INSERT INTO `subdivisions` VALUES ('140399', '0', '0', '3911', 'DE', 'Minnesota', 'US', 'MN');
INSERT INTO `subdivisions` VALUES ('140400', '0', '0', '3912', 'DE', 'Missouri', 'US', 'MO');
INSERT INTO `subdivisions` VALUES ('140401', '0', '0', '3913', 'DE', 'Marianen Nordliche', 'US', 'MP');
INSERT INTO `subdivisions` VALUES ('140402', '0', '0', '3914', 'DE', 'Mississippi', 'US', 'MS');
INSERT INTO `subdivisions` VALUES ('140403', '0', '0', '3915', 'DE', 'Montana', 'US', 'MT');
INSERT INTO `subdivisions` VALUES ('140404', '0', '0', '3916', 'DE', 'North Carolina', 'US', 'NC');
INSERT INTO `subdivisions` VALUES ('140405', '0', '0', '3917', 'DE', 'North Dakota', 'US', 'ND');
INSERT INTO `subdivisions` VALUES ('140406', '0', '0', '3918', 'DE', 'Nebraska', 'US', 'NE');
INSERT INTO `subdivisions` VALUES ('140407', '0', '0', '3919', 'DE', 'New Hampshire', 'US', 'NH');
INSERT INTO `subdivisions` VALUES ('140408', '0', '0', '3920', 'DE', 'New Jersey', 'US', 'NJ');
INSERT INTO `subdivisions` VALUES ('140409', '0', '0', '3921', 'DE', 'New Mexico', 'US', 'NM');
INSERT INTO `subdivisions` VALUES ('140410', '0', '0', '3922', 'DE', 'Nevada', 'US', 'NV');
INSERT INTO `subdivisions` VALUES ('140411', '0', '0', '3923', 'DE', 'New York', 'US', 'NY');
INSERT INTO `subdivisions` VALUES ('140412', '0', '0', '3924', 'DE', 'Ohio', 'US', 'OH');
INSERT INTO `subdivisions` VALUES ('140413', '0', '0', '3925', 'DE', 'Oklahoma', 'US', 'OK');
INSERT INTO `subdivisions` VALUES ('140414', '0', '0', '3926', 'DE', 'Oregon', 'US', 'OR');
INSERT INTO `subdivisions` VALUES ('140415', '0', '0', '3927', 'DE', 'Pennsylvania', 'US', 'PA');
INSERT INTO `subdivisions` VALUES ('140416', '0', '0', '3928', 'DE', 'Puerto Rico Puerto Rico1', 'US', 'PR');
INSERT INTO `subdivisions` VALUES ('140417', '0', '0', '3929', 'DE', 'Rhode Island', 'US', 'RI');
INSERT INTO `subdivisions` VALUES ('140418', '0', '0', '3930', 'DE', 'South Carolina', 'US', 'SC');
INSERT INTO `subdivisions` VALUES ('140419', '0', '0', '3931', 'DE', 'South Dakota', 'US', 'SD');
INSERT INTO `subdivisions` VALUES ('140420', '0', '0', '3932', 'DE', 'Tennessee', 'US', 'TN');
INSERT INTO `subdivisions` VALUES ('140421', '0', '0', '3933', 'DE', 'Texas', 'US', 'TX');
INSERT INTO `subdivisions` VALUES ('140422', '0', '0', '3934', 'DE', 'USA-Minor Outlying Islands', 'US', 'UM');
INSERT INTO `subdivisions` VALUES ('140423', '0', '0', '3935', 'DE', 'Utah', 'US', 'UT');
INSERT INTO `subdivisions` VALUES ('140424', '0', '0', '3936', 'DE', 'Virginia', 'US', 'VA');
INSERT INTO `subdivisions` VALUES ('140425', '0', '0', '3937', 'DE', 'Jungferninseln Amerikanische', 'US', 'VI');
INSERT INTO `subdivisions` VALUES ('140426', '0', '0', '3938', 'DE', 'Vermont', 'US', 'VT');
INSERT INTO `subdivisions` VALUES ('140427', '0', '0', '3939', 'DE', 'Washington', 'US', 'WA');
INSERT INTO `subdivisions` VALUES ('140428', '0', '0', '3940', 'DE', 'Wisconsin', 'US', 'WI');
INSERT INTO `subdivisions` VALUES ('140429', '0', '0', '3941', 'DE', 'West Virginia', 'US', 'WV');
INSERT INTO `subdivisions` VALUES ('140430', '0', '0', '3942', 'DE', 'Wyoming', 'US', 'WY');
INSERT INTO `subdivisions` VALUES ('139828', '0', '0', '3340', 'DE', 'Banská Bystrica', 'SK', 'BC');
INSERT INTO `subdivisions` VALUES ('139829', '0', '0', '3341', 'DE', 'Bratislava', 'SK', 'BL');
INSERT INTO `subdivisions` VALUES ('139830', '0', '0', '3342', 'DE', 'Košice', 'SK', 'KI');
INSERT INTO `subdivisions` VALUES ('139831', '0', '0', '3343', 'DE', 'Nitra', 'SK', 'NI');
INSERT INTO `subdivisions` VALUES ('139832', '0', '0', '3344', 'DE', 'Prešov', 'SK', 'PV');
INSERT INTO `subdivisions` VALUES ('139833', '0', '0', '3345', 'DE', 'Trnava', 'SK', 'TA');
INSERT INTO `subdivisions` VALUES ('139834', '0', '0', '3346', 'DE', 'Trenčín', 'SK', 'TC');
INSERT INTO `subdivisions` VALUES ('139835', '0', '0', '3347', 'DE', 'Žilina', 'SK', 'ZI');
INSERT INTO `subdivisions` VALUES ('139436', '0', '0', '2948', 'DE', 'Adygeja', 'RU', 'AD');
INSERT INTO `subdivisions` VALUES ('139437', '0', '0', '2949', 'DE', 'Altai (Republik)', 'RU', 'AL');
INSERT INTO `subdivisions` VALUES ('139438', '0', '0', '2950', 'DE', 'Altai (Region)', 'RU', 'ALT');
INSERT INTO `subdivisions` VALUES ('139439', '0', '0', '2951', 'DE', 'Amur', 'RU', 'AMU');
INSERT INTO `subdivisions` VALUES ('139440', '0', '0', '2952', 'DE', 'Archangelsk', 'RU', 'ARK');
INSERT INTO `subdivisions` VALUES ('139441', '0', '0', '2953', 'DE', 'Astrachan', 'RU', 'AST');
INSERT INTO `subdivisions` VALUES ('139442', '0', '0', '2954', 'DE', 'Baschkortostan', 'RU', 'BA');
INSERT INTO `subdivisions` VALUES ('139443', '0', '0', '2955', 'DE', 'Belgorod', 'RU', 'BEL');
INSERT INTO `subdivisions` VALUES ('139444', '0', '0', '2956', 'DE', 'Brjansk', 'RU', 'BRY');
INSERT INTO `subdivisions` VALUES ('139445', '0', '0', '2957', 'DE', 'Burjatien', 'RU', 'BU');
INSERT INTO `subdivisions` VALUES ('139446', '0', '0', '2958', 'DE', 'Tschetschenien', 'RU', 'CE');
INSERT INTO `subdivisions` VALUES ('139447', '0', '0', '2959', 'DE', 'Tscheljabinsk', 'RU', 'CHE');
INSERT INTO `subdivisions` VALUES ('139448', '0', '0', '2960', 'DE', 'Tschuktschen', 'RU', 'CHU');
INSERT INTO `subdivisions` VALUES ('139449', '0', '0', '2961', 'DE', 'Tschuwaschien', 'RU', 'CU');
INSERT INTO `subdivisions` VALUES ('139450', '0', '0', '2962', 'DE', 'Dagestan', 'RU', 'DA');
INSERT INTO `subdivisions` VALUES ('139451', '0', '0', '2963', 'DE', 'Inguschetien', 'RU', 'IN');
INSERT INTO `subdivisions` VALUES ('139452', '0', '0', '2964', 'DE', 'Irkutsk', 'RU', 'IRK');
INSERT INTO `subdivisions` VALUES ('139453', '0', '0', '2965', 'DE', 'Iwanowo', 'RU', 'IVA');
INSERT INTO `subdivisions` VALUES ('139454', '0', '0', '2966', 'DE', 'Kamtschatka', 'RU', 'KAM');
INSERT INTO `subdivisions` VALUES ('139455', '0', '0', '2967', 'DE', 'Kabardino-Balkarien', 'RU', 'KB');
INSERT INTO `subdivisions` VALUES ('139456', '0', '0', '2968', 'DE', 'Karatschai-Tscherkessien', 'RU', 'KC');
INSERT INTO `subdivisions` VALUES ('139457', '0', '0', '2969', 'DE', 'Krasnodar', 'RU', 'KDA');
INSERT INTO `subdivisions` VALUES ('139458', '0', '0', '2970', 'DE', 'Kemerowo', 'RU', 'KEM');
INSERT INTO `subdivisions` VALUES ('139459', '0', '0', '2971', 'DE', 'Kaliningrad', 'RU', 'KGD');
INSERT INTO `subdivisions` VALUES ('139460', '0', '0', '2972', 'DE', 'Kurgan', 'RU', 'KGN');
INSERT INTO `subdivisions` VALUES ('139461', '0', '0', '2973', 'DE', 'Chabarowsk', 'RU', 'KHA');
INSERT INTO `subdivisions` VALUES ('139462', '0', '0', '2974', 'DE', 'Chanten und Mansen', 'RU', 'KHM');
INSERT INTO `subdivisions` VALUES ('139463', '0', '0', '2975', 'DE', 'Kirow', 'RU', 'KIR');
INSERT INTO `subdivisions` VALUES ('139464', '0', '0', '2976', 'DE', 'Chakassien', 'RU', 'KK');
INSERT INTO `subdivisions` VALUES ('139465', '0', '0', '2977', 'DE', 'Kalmückien', 'RU', 'KL');
INSERT INTO `subdivisions` VALUES ('139466', '0', '0', '2978', 'DE', 'Kaluga', 'RU', 'KLU');
INSERT INTO `subdivisions` VALUES ('139467', '0', '0', '2979', 'DE', 'Komi', 'RU', 'KO');
INSERT INTO `subdivisions` VALUES ('139468', '0', '0', '2980', 'DE', 'Kostroma', 'RU', 'KOS');
INSERT INTO `subdivisions` VALUES ('139469', '0', '0', '2981', 'DE', 'Karelien', 'RU', 'KR');
INSERT INTO `subdivisions` VALUES ('139470', '0', '0', '2982', 'DE', 'Kursk', 'RU', 'KRS');
INSERT INTO `subdivisions` VALUES ('139471', '0', '0', '2983', 'DE', 'Krasnojarsk', 'RU', 'KYA');
INSERT INTO `subdivisions` VALUES ('139472', '0', '0', '2984', 'DE', 'Leningrad', 'RU', 'LEN');
INSERT INTO `subdivisions` VALUES ('139473', '0', '0', '2985', 'DE', 'Lipezk', 'RU', 'LIP');
INSERT INTO `subdivisions` VALUES ('139474', '0', '0', '2986', 'DE', 'Magadan', 'RU', 'MAG');
INSERT INTO `subdivisions` VALUES ('139475', '0', '0', '2987', 'DE', 'Mari El', 'RU', 'ME');
INSERT INTO `subdivisions` VALUES ('139476', '0', '0', '2988', 'DE', 'Mordwinien', 'RU', 'MO');
INSERT INTO `subdivisions` VALUES ('139477', '0', '0', '2989', 'DE', 'Moskau (Oblast)', 'RU', 'MOS');
INSERT INTO `subdivisions` VALUES ('139478', '0', '0', '2990', 'DE', 'Moskau (Stadt)', 'RU', 'MOW');
INSERT INTO `subdivisions` VALUES ('139479', '0', '0', '2991', 'DE', 'Murmansk', 'RU', 'MUR');
INSERT INTO `subdivisions` VALUES ('139480', '0', '0', '2992', 'DE', 'Nenzen', 'RU', 'NEN');
INSERT INTO `subdivisions` VALUES ('139481', '0', '0', '2993', 'DE', 'Nowgorod', 'RU', 'NGR');
INSERT INTO `subdivisions` VALUES ('139482', '0', '0', '2994', 'DE', 'Nischni Nowgorod', 'RU', 'NIZ');
INSERT INTO `subdivisions` VALUES ('139483', '0', '0', '2995', 'DE', 'Nowosibirsk', 'RU', 'NVS');
INSERT INTO `subdivisions` VALUES ('139484', '0', '0', '2996', 'DE', 'Omsk', 'RU', 'OMS');
INSERT INTO `subdivisions` VALUES ('139485', '0', '0', '2997', 'DE', 'Orenburg', 'RU', 'ORE');
INSERT INTO `subdivisions` VALUES ('139486', '0', '0', '2998', 'DE', 'Orjol', 'RU', 'ORL');
INSERT INTO `subdivisions` VALUES ('139487', '0', '0', '2999', 'DE', 'Perm', 'RU', 'PER');
INSERT INTO `subdivisions` VALUES ('139488', '0', '0', '3000', 'DE', 'Pensa', 'RU', 'PNZ');
INSERT INTO `subdivisions` VALUES ('139489', '0', '0', '3001', 'DE', 'Primorje', 'RU', 'PRI');
INSERT INTO `subdivisions` VALUES ('139490', '0', '0', '3002', 'DE', 'Pskow', 'RU', 'PSK');
INSERT INTO `subdivisions` VALUES ('139491', '0', '0', '3003', 'DE', 'Rostow am Don', 'RU', 'ROS');
INSERT INTO `subdivisions` VALUES ('139492', '0', '0', '3004', 'DE', 'Rjasan', 'RU', 'RYA');
INSERT INTO `subdivisions` VALUES ('139493', '0', '0', '3005', 'DE', 'Sacha (Jakutien)', 'RU', 'SA');
INSERT INTO `subdivisions` VALUES ('139494', '0', '0', '3006', 'DE', 'Sachalin', 'RU', 'SAK');
INSERT INTO `subdivisions` VALUES ('139495', '0', '0', '3007', 'DE', 'Samara', 'RU', 'SAM');
INSERT INTO `subdivisions` VALUES ('139496', '0', '0', '3008', 'DE', 'Saratow', 'RU', 'SAR');
INSERT INTO `subdivisions` VALUES ('139497', '0', '0', '3009', 'DE', 'Nordossetien-Alanien', 'RU', 'SE');
INSERT INTO `subdivisions` VALUES ('139498', '0', '0', '3010', 'DE', 'Smolensk', 'RU', 'SMO');
INSERT INTO `subdivisions` VALUES ('139499', '0', '0', '3011', 'DE', 'Sankt Petersburg', 'RU', 'SPE');
INSERT INTO `subdivisions` VALUES ('139500', '0', '0', '3012', 'DE', 'Stawropol', 'RU', 'STA');
INSERT INTO `subdivisions` VALUES ('139501', '0', '0', '3013', 'DE', 'Swerdlowsk', 'RU', 'SVE');
INSERT INTO `subdivisions` VALUES ('139502', '0', '0', '3014', 'DE', 'Tatarstan', 'RU', 'TA');
INSERT INTO `subdivisions` VALUES ('139503', '0', '0', '3015', 'DE', 'Tambow', 'RU', 'TAM');
INSERT INTO `subdivisions` VALUES ('139504', '0', '0', '3016', 'DE', 'Tomsk', 'RU', 'TOM');
INSERT INTO `subdivisions` VALUES ('139505', '0', '0', '3017', 'DE', 'Tula', 'RU', 'TUL');
INSERT INTO `subdivisions` VALUES ('139506', '0', '0', '3018', 'DE', 'Twer', 'RU', 'TVE');
INSERT INTO `subdivisions` VALUES ('139507', '0', '0', '3019', 'DE', 'Tuwa', 'RU', 'TY');
INSERT INTO `subdivisions` VALUES ('139508', '0', '0', '3020', 'DE', 'Tjumen', 'RU', 'TYU');
INSERT INTO `subdivisions` VALUES ('139509', '0', '0', '3021', 'DE', 'Udmurtien', 'RU', 'UD');
INSERT INTO `subdivisions` VALUES ('139510', '0', '0', '3022', 'DE', 'Uljanowsk', 'RU', 'ULY');
INSERT INTO `subdivisions` VALUES ('139511', '0', '0', '3023', 'DE', 'Wolgograd', 'RU', 'VGG');
INSERT INTO `subdivisions` VALUES ('139512', '0', '0', '3024', 'DE', 'Wladimir', 'RU', 'VLA');
INSERT INTO `subdivisions` VALUES ('139513', '0', '0', '3025', 'DE', 'Wologda', 'RU', 'VLG');
INSERT INTO `subdivisions` VALUES ('139514', '0', '0', '3026', 'DE', 'Woronesch', 'RU', 'VOR');
INSERT INTO `subdivisions` VALUES ('139515', '0', '0', '3027', 'DE', 'Jamal-Nenzen', 'RU', 'YAN');
INSERT INTO `subdivisions` VALUES ('139516', '0', '0', '3028', 'DE', 'Jaroslawl', 'RU', 'YAR');
INSERT INTO `subdivisions` VALUES ('139517', '0', '0', '3029', 'DE', 'Jüdische Autonome Oblast', 'RU', 'YEV');
INSERT INTO `subdivisions` VALUES ('139518', '0', '0', '3030', 'DE', 'Transbaikalien', 'RU', 'ZAB');
INSERT INTO `subdivisions` VALUES ('139108', '0', '0', '2620', 'DE', 'Drenthe', 'NL', 'DR');
INSERT INTO `subdivisions` VALUES ('139109', '0', '0', '2621', 'DE', 'Flevoland', 'NL', 'FL');
INSERT INTO `subdivisions` VALUES ('139110', '0', '0', '2622', 'DE', 'Friesland', 'NL', 'FR');
INSERT INTO `subdivisions` VALUES ('139111', '0', '0', '2623', 'DE', 'Gelderland', 'NL', 'GE');
INSERT INTO `subdivisions` VALUES ('139112', '0', '0', '2624', 'DE', 'Groningen', 'NL', 'GR');
INSERT INTO `subdivisions` VALUES ('139113', '0', '0', '2625', 'DE', 'Limburg', 'NL', 'LI');
INSERT INTO `subdivisions` VALUES ('139114', '0', '0', '2626', 'DE', 'Nordbrabant', 'NL', 'NB');
INSERT INTO `subdivisions` VALUES ('139115', '0', '0', '2627', 'DE', 'Nordholland', 'NL', 'NH');
INSERT INTO `subdivisions` VALUES ('139116', '0', '0', '2628', 'DE', 'Overijssel', 'NL', 'OV');
INSERT INTO `subdivisions` VALUES ('139117', '0', '0', '2629', 'DE', 'Utrecht', 'NL', 'UT');
INSERT INTO `subdivisions` VALUES ('139118', '0', '0', '2630', 'DE', 'Zeeland', 'NL', 'ZE');
INSERT INTO `subdivisions` VALUES ('139119', '0', '0', '2631', 'DE', 'Südholland', 'NL', 'ZH');
INSERT INTO `subdivisions` VALUES ('138229', '0', '0', '1741', 'DE', 'Piemont', 'IT', '21');
INSERT INTO `subdivisions` VALUES ('138230', '0', '0', '1742', 'DE', 'Aostatal', 'IT', '23');
INSERT INTO `subdivisions` VALUES ('138231', '0', '0', '1743', 'DE', 'Lombardei', 'IT', '25');
INSERT INTO `subdivisions` VALUES ('138232', '0', '0', '1744', 'DE', 'Trentino-Südtirol', 'IT', '32');
INSERT INTO `subdivisions` VALUES ('138233', '0', '0', '1745', 'DE', 'Venetien', 'IT', '34');
INSERT INTO `subdivisions` VALUES ('138234', '0', '0', '1746', 'DE', 'Friaul-Julisch Venetien', 'IT', '36');
INSERT INTO `subdivisions` VALUES ('138235', '0', '0', '1747', 'DE', 'Ligurien', 'IT', '42');
INSERT INTO `subdivisions` VALUES ('138236', '0', '0', '1748', 'DE', 'Emilia-Romagna', 'IT', '45');
INSERT INTO `subdivisions` VALUES ('138237', '0', '0', '1749', 'DE', 'Toskana', 'IT', '52');
INSERT INTO `subdivisions` VALUES ('138238', '0', '0', '1750', 'DE', 'Umbrien', 'IT', '55');
INSERT INTO `subdivisions` VALUES ('138239', '0', '0', '1751', 'DE', 'Marken', 'IT', '57');
INSERT INTO `subdivisions` VALUES ('138240', '0', '0', '1752', 'DE', 'Latium', 'IT', '62');
INSERT INTO `subdivisions` VALUES ('138241', '0', '0', '1753', 'DE', 'Abruzzen', 'IT', '65');
INSERT INTO `subdivisions` VALUES ('138242', '0', '0', '1754', 'DE', 'Molise', 'IT', '67');
INSERT INTO `subdivisions` VALUES ('138243', '0', '0', '1755', 'DE', 'Kampanien', 'IT', '72');
INSERT INTO `subdivisions` VALUES ('138244', '0', '0', '1756', 'DE', 'Apulien', 'IT', '75');
INSERT INTO `subdivisions` VALUES ('138245', '0', '0', '1757', 'DE', 'Basilikata', 'IT', '77');
INSERT INTO `subdivisions` VALUES ('138246', '0', '0', '1758', 'DE', 'Kalabrien', 'IT', '78');
INSERT INTO `subdivisions` VALUES ('138247', '0', '0', '1759', 'DE', 'Sizilien', 'IT', '82');
INSERT INTO `subdivisions` VALUES ('138248', '0', '0', '1760', 'DE', 'Sardinien', 'IT', '88');
INSERT INTO `subdivisions` VALUES ('137536', '0', '0', '1048', 'DE', 'Ain', 'FR', '01');
INSERT INTO `subdivisions` VALUES ('137537', '0', '0', '1049', 'DE', 'Aisne', 'FR', '02');
INSERT INTO `subdivisions` VALUES ('137538', '0', '0', '1050', 'DE', 'Allier', 'FR', '03');
INSERT INTO `subdivisions` VALUES ('137539', '0', '0', '1051', 'DE', 'Alpes-de-Haute-Provence', 'FR', '04');
INSERT INTO `subdivisions` VALUES ('137540', '0', '0', '1052', 'DE', 'Hautes-Alpes', 'FR', '05');
INSERT INTO `subdivisions` VALUES ('137541', '0', '0', '1053', 'DE', 'Alpes-Maritimes', 'FR', '06');
INSERT INTO `subdivisions` VALUES ('137542', '0', '0', '1054', 'DE', 'ArdecheArdèche', 'FR', '07');
INSERT INTO `subdivisions` VALUES ('137543', '0', '0', '1055', 'DE', 'Ardennes', 'FR', '08');
INSERT INTO `subdivisions` VALUES ('137544', '0', '0', '1056', 'DE', 'Ariège', 'FR', '09');
INSERT INTO `subdivisions` VALUES ('137545', '0', '0', '1057', 'DE', 'Aube', 'FR', '10');
INSERT INTO `subdivisions` VALUES ('137546', '0', '0', '1058', 'DE', 'Aude', 'FR', '11');
INSERT INTO `subdivisions` VALUES ('137547', '0', '0', '1059', 'DE', 'Aveyron', 'FR', '12');
INSERT INTO `subdivisions` VALUES ('137548', '0', '0', '1060', 'DE', 'Bouches-du-Rhône', 'FR', '13');
INSERT INTO `subdivisions` VALUES ('137549', '0', '0', '1061', 'DE', 'Calvados', 'FR', '14');
INSERT INTO `subdivisions` VALUES ('137550', '0', '0', '1062', 'DE', 'Cantal', 'FR', '15');
INSERT INTO `subdivisions` VALUES ('137551', '0', '0', '1063', 'DE', 'Charente', 'FR', '16');
INSERT INTO `subdivisions` VALUES ('137552', '0', '0', '1064', 'DE', 'Charente-Maritime', 'FR', '17');
INSERT INTO `subdivisions` VALUES ('137553', '0', '0', '1065', 'DE', 'Cher', 'FR', '18');
INSERT INTO `subdivisions` VALUES ('137554', '0', '0', '1066', 'DE', 'Corrèze', 'FR', '19');
INSERT INTO `subdivisions` VALUES ('137555', '0', '0', '1067', 'DE', 'Corse-du-Sud', 'FR', '20A');
INSERT INTO `subdivisions` VALUES ('137556', '0', '0', '1068', 'DE', 'Haute-Corse', 'FR', '20B');
INSERT INTO `subdivisions` VALUES ('137557', '0', '0', '1069', 'DE', 'Cote-d\'OrCôte-d’Or', 'FR', '21');
INSERT INTO `subdivisions` VALUES ('137558', '0', '0', '1070', 'DE', 'Cotes-d\'ArmorCôtes-d’Armor', 'FR', '22');
INSERT INTO `subdivisions` VALUES ('137559', '0', '0', '1071', 'DE', 'Creuse', 'FR', '23');
INSERT INTO `subdivisions` VALUES ('137560', '0', '0', '1072', 'DE', 'Dordogne', 'FR', '24');
INSERT INTO `subdivisions` VALUES ('137561', '0', '0', '1073', 'DE', 'Doubs', 'FR', '25');
INSERT INTO `subdivisions` VALUES ('137562', '0', '0', '1074', 'DE', 'Drôme', 'FR', '26');
INSERT INTO `subdivisions` VALUES ('137563', '0', '0', '1075', 'DE', 'Eure', 'FR', '27');
INSERT INTO `subdivisions` VALUES ('137564', '0', '0', '1076', 'DE', 'Eure-et-Loir', 'FR', '28');
INSERT INTO `subdivisions` VALUES ('137565', '0', '0', '1077', 'DE', 'Finistère', 'FR', '29');
INSERT INTO `subdivisions` VALUES ('137566', '0', '0', '1078', 'DE', 'Gard', 'FR', '30');
INSERT INTO `subdivisions` VALUES ('137567', '0', '0', '1079', 'DE', 'Haute-Garonne', 'FR', '31');
INSERT INTO `subdivisions` VALUES ('137568', '0', '0', '1080', 'DE', 'Gers', 'FR', '32');
INSERT INTO `subdivisions` VALUES ('137569', '0', '0', '1081', 'DE', 'Gironde', 'FR', '33');
INSERT INTO `subdivisions` VALUES ('137570', '0', '0', '1082', 'DE', 'Hérault', 'FR', '34');
INSERT INTO `subdivisions` VALUES ('137571', '0', '0', '1083', 'DE', 'Ille-et-Vilaine', 'FR', '35');
INSERT INTO `subdivisions` VALUES ('137572', '0', '0', '1084', 'DE', 'Indre', 'FR', '36');
INSERT INTO `subdivisions` VALUES ('137573', '0', '0', '1085', 'DE', 'Indre-et-Loire', 'FR', '37');
INSERT INTO `subdivisions` VALUES ('137574', '0', '0', '1086', 'DE', 'Isère', 'FR', '38');
INSERT INTO `subdivisions` VALUES ('137575', '0', '0', '1087', 'DE', 'Jura', 'FR', '39');
INSERT INTO `subdivisions` VALUES ('137576', '0', '0', '1088', 'DE', 'Landes', 'FR', '40');
INSERT INTO `subdivisions` VALUES ('137577', '0', '0', '1089', 'DE', 'Loir-et-Cher', 'FR', '41');
INSERT INTO `subdivisions` VALUES ('137578', '0', '0', '1090', 'DE', 'Loire', 'FR', '42');
INSERT INTO `subdivisions` VALUES ('137579', '0', '0', '1091', 'DE', 'Haute-Loire', 'FR', '43');
INSERT INTO `subdivisions` VALUES ('137580', '0', '0', '1092', 'DE', 'Loire-Atlantique', 'FR', '44');
INSERT INTO `subdivisions` VALUES ('137581', '0', '0', '1093', 'DE', 'Loiret', 'FR', '45');
INSERT INTO `subdivisions` VALUES ('137582', '0', '0', '1094', 'DE', 'Lot', 'FR', '46');
INSERT INTO `subdivisions` VALUES ('137583', '0', '0', '1095', 'DE', 'Lot-et-Garonne', 'FR', '47');
INSERT INTO `subdivisions` VALUES ('137584', '0', '0', '1096', 'DE', 'Lozère', 'FR', '48');
INSERT INTO `subdivisions` VALUES ('137585', '0', '0', '1097', 'DE', 'Maine-et-Loire', 'FR', '49');
INSERT INTO `subdivisions` VALUES ('137586', '0', '0', '1098', 'DE', 'Manche', 'FR', '50');
INSERT INTO `subdivisions` VALUES ('137587', '0', '0', '1099', 'DE', 'Marne', 'FR', '51');
INSERT INTO `subdivisions` VALUES ('137588', '0', '0', '1100', 'DE', 'Haute-Marne', 'FR', '52');
INSERT INTO `subdivisions` VALUES ('137589', '0', '0', '1101', 'DE', 'Mayenne', 'FR', '53');
INSERT INTO `subdivisions` VALUES ('137590', '0', '0', '1102', 'DE', 'Meurthe-et-Moselle', 'FR', '54');
INSERT INTO `subdivisions` VALUES ('137591', '0', '0', '1103', 'DE', 'Meuse', 'FR', '55');
INSERT INTO `subdivisions` VALUES ('137592', '0', '0', '1104', 'DE', 'Morbihan', 'FR', '56');
INSERT INTO `subdivisions` VALUES ('137593', '0', '0', '1105', 'DE', 'Moselle', 'FR', '57');
INSERT INTO `subdivisions` VALUES ('137594', '0', '0', '1106', 'DE', 'Nièvre', 'FR', '58');
INSERT INTO `subdivisions` VALUES ('137595', '0', '0', '1107', 'DE', 'Nord', 'FR', '59');
INSERT INTO `subdivisions` VALUES ('137596', '0', '0', '1108', 'DE', 'Oise', 'FR', '60');
INSERT INTO `subdivisions` VALUES ('137597', '0', '0', '1109', 'DE', 'Orne', 'FR', '61');
INSERT INTO `subdivisions` VALUES ('137598', '0', '0', '1110', 'DE', 'Pas-de-Calais', 'FR', '62');
INSERT INTO `subdivisions` VALUES ('137599', '0', '0', '1111', 'DE', 'Puy-de-Dôme', 'FR', '63');
INSERT INTO `subdivisions` VALUES ('137600', '0', '0', '1112', 'DE', 'Pyrénées-Atlantiques', 'FR', '64');
INSERT INTO `subdivisions` VALUES ('137601', '0', '0', '1113', 'DE', 'Hautes-Pyrénées', 'FR', '65');
INSERT INTO `subdivisions` VALUES ('137602', '0', '0', '1114', 'DE', 'Pyrénées-Orientales', 'FR', '66');
INSERT INTO `subdivisions` VALUES ('137603', '0', '0', '1115', 'DE', 'Bas-Rhin', 'FR', '67');
INSERT INTO `subdivisions` VALUES ('137604', '0', '0', '1116', 'DE', 'Haut-Rhin', 'FR', '68');
INSERT INTO `subdivisions` VALUES ('137605', '0', '0', '1117', 'DE', 'Rhône', 'FR', '69');
INSERT INTO `subdivisions` VALUES ('137606', '0', '0', '1118', 'DE', 'Haute-SaoneHaute-Saône', 'FR', '70');
INSERT INTO `subdivisions` VALUES ('137607', '0', '0', '1119', 'DE', 'Saone-et-LoireSaône-et-Loire', 'FR', '71');
INSERT INTO `subdivisions` VALUES ('137608', '0', '0', '1120', 'DE', 'Sarthe', 'FR', '72');
INSERT INTO `subdivisions` VALUES ('137609', '0', '0', '1121', 'DE', 'Savoie', 'FR', '73');
INSERT INTO `subdivisions` VALUES ('137610', '0', '0', '1122', 'DE', 'Haute-Savoie', 'FR', '74');
INSERT INTO `subdivisions` VALUES ('137611', '0', '0', '1123', 'DE', 'Paris', 'FR', '75');
INSERT INTO `subdivisions` VALUES ('137612', '0', '0', '1124', 'DE', 'Seine-Maritime', 'FR', '76');
INSERT INTO `subdivisions` VALUES ('137613', '0', '0', '1125', 'DE', 'Seine-et-Marne', 'FR', '77');
INSERT INTO `subdivisions` VALUES ('137614', '0', '0', '1126', 'DE', 'Yvelines', 'FR', '78');
INSERT INTO `subdivisions` VALUES ('137615', '0', '0', '1127', 'DE', 'Deux-Sèvres', 'FR', '79');
INSERT INTO `subdivisions` VALUES ('137616', '0', '0', '1128', 'DE', 'Somme', 'FR', '80');
INSERT INTO `subdivisions` VALUES ('137617', '0', '0', '1129', 'DE', 'Tarn', 'FR', '81');
INSERT INTO `subdivisions` VALUES ('137618', '0', '0', '1130', 'DE', 'Tarn-et-Garonne', 'FR', '82');
INSERT INTO `subdivisions` VALUES ('137619', '0', '0', '1131', 'DE', 'Var', 'FR', '83');
INSERT INTO `subdivisions` VALUES ('137620', '0', '0', '1132', 'DE', 'Vaucluse', 'FR', '84');
INSERT INTO `subdivisions` VALUES ('137621', '0', '0', '1133', 'DE', 'Vendée', 'FR', '85');
INSERT INTO `subdivisions` VALUES ('137622', '0', '0', '1134', 'DE', 'Vienne', 'FR', '86');
INSERT INTO `subdivisions` VALUES ('137623', '0', '0', '1135', 'DE', 'Haute-Vienne', 'FR', '87');
INSERT INTO `subdivisions` VALUES ('137624', '0', '0', '1136', 'DE', 'Vosges', 'FR', '88');
INSERT INTO `subdivisions` VALUES ('137625', '0', '0', '1137', 'DE', 'Yonne', 'FR', '89');
INSERT INTO `subdivisions` VALUES ('137626', '0', '0', '1138', 'DE', 'Territoire de Belfort', 'FR', '90');
INSERT INTO `subdivisions` VALUES ('137627', '0', '0', '1139', 'DE', 'Essonne', 'FR', '91');
INSERT INTO `subdivisions` VALUES ('137628', '0', '0', '1140', 'DE', 'Hauts-de-Seine', 'FR', '92');
INSERT INTO `subdivisions` VALUES ('137629', '0', '0', '1141', 'DE', 'Seine-Saint-Denis', 'FR', '93');
INSERT INTO `subdivisions` VALUES ('137630', '0', '0', '1142', 'DE', 'Val-de-Marne', 'FR', '94');
INSERT INTO `subdivisions` VALUES ('137631', '0', '0', '1143', 'DE', 'Val-d’Oise', 'FR', '95');
INSERT INTO `subdivisions` VALUES ('137491', '0', '0', '1003', 'DE', 'Andalusien', 'ES', 'AN');
INSERT INTO `subdivisions` VALUES ('137492', '0', '0', '1004', 'DE', 'Aragonien', 'ES', 'AR');
INSERT INTO `subdivisions` VALUES ('137493', '0', '0', '1005', 'DE', 'Asturien', 'ES', 'AS');
INSERT INTO `subdivisions` VALUES ('137494', '0', '0', '1006', 'DE', 'Kantabrien', 'ES', 'CB');
INSERT INTO `subdivisions` VALUES ('137495', '0', '0', '1007', 'DE', 'Ceuta', 'ES', 'CE');
INSERT INTO `subdivisions` VALUES ('137496', '0', '0', '1008', 'DE', 'Kastilien und León', 'ES', 'CL');
INSERT INTO `subdivisions` VALUES ('137497', '0', '0', '1009', 'DE', 'Kastilien-La Mancha', 'ES', 'CM');
INSERT INTO `subdivisions` VALUES ('137498', '0', '0', '1010', 'DE', 'Kanaren', 'ES', 'CN');
INSERT INTO `subdivisions` VALUES ('137499', '0', '0', '1011', 'DE', 'Katalonien', 'ES', 'CT');
INSERT INTO `subdivisions` VALUES ('137500', '0', '0', '1012', 'DE', 'Extremadura', 'ES', 'EX');
INSERT INTO `subdivisions` VALUES ('137501', '0', '0', '1013', 'DE', 'Galicien', 'ES', 'GA');
INSERT INTO `subdivisions` VALUES ('137502', '0', '0', '1014', 'DE', 'Balearische Inseln', 'ES', 'IB');
INSERT INTO `subdivisions` VALUES ('137503', '0', '0', '1015', 'DE', 'Murcia', 'ES', 'MC');
INSERT INTO `subdivisions` VALUES ('137504', '0', '0', '1016', 'DE', 'Madrid', 'ES', 'MD');
INSERT INTO `subdivisions` VALUES ('137505', '0', '0', '1017', 'DE', 'Melilla', 'ES', 'ML');
INSERT INTO `subdivisions` VALUES ('137506', '0', '0', '1018', 'DE', 'Navarra', 'ES', 'NC');
INSERT INTO `subdivisions` VALUES ('137507', '0', '0', '1019', 'DE', 'Baskenland', 'ES', 'PV');
INSERT INTO `subdivisions` VALUES ('137508', '0', '0', '1020', 'DE', 'La Rioja', 'ES', 'RI');
INSERT INTO `subdivisions` VALUES ('137509', '0', '0', '1021', 'DE', 'Valencia', 'ES', 'VC');
INSERT INTO `subdivisions` VALUES ('137300', '0', '0', '812', 'DE', 'Brandenburg', 'DE', 'BB');
INSERT INTO `subdivisions` VALUES ('137301', '0', '0', '813', 'DE', 'Berlin', 'DE', 'BE');
INSERT INTO `subdivisions` VALUES ('137302', '0', '0', '814', 'DE', 'Baden-Württemberg', 'DE', 'BW');
INSERT INTO `subdivisions` VALUES ('137303', '0', '0', '815', 'DE', 'Bayern', 'DE', 'BY');
INSERT INTO `subdivisions` VALUES ('137304', '0', '0', '816', 'DE', 'Bremen', 'DE', 'HB');
INSERT INTO `subdivisions` VALUES ('137305', '0', '0', '817', 'DE', 'Hessen', 'DE', 'HE');
INSERT INTO `subdivisions` VALUES ('137306', '0', '0', '818', 'DE', 'Hamburg', 'DE', 'HH');
INSERT INTO `subdivisions` VALUES ('137307', '0', '0', '819', 'DE', 'Mecklenburg-Vorpommern', 'DE', 'MV');
INSERT INTO `subdivisions` VALUES ('137308', '0', '0', '820', 'DE', 'Niedersachsen', 'DE', 'NI');
INSERT INTO `subdivisions` VALUES ('137309', '0', '0', '821', 'DE', 'Nordrhein-Westfalen', 'DE', 'NW');
INSERT INTO `subdivisions` VALUES ('137310', '0', '0', '822', 'DE', 'Rheinland-Pfalz', 'DE', 'RP');
INSERT INTO `subdivisions` VALUES ('137311', '0', '0', '823', 'DE', 'Schleswig-Holstein', 'DE', 'SH');
INSERT INTO `subdivisions` VALUES ('137312', '0', '0', '824', 'DE', 'Saarland', 'DE', 'SL');
INSERT INTO `subdivisions` VALUES ('137313', '0', '0', '825', 'DE', 'Sachsen', 'DE', 'SN');
INSERT INTO `subdivisions` VALUES ('137314', '0', '0', '826', 'DE', 'Sachsen-Anhalt', 'DE', 'ST');
INSERT INTO `subdivisions` VALUES ('137315', '0', '0', '827', 'DE', 'Thüringen', 'DE', 'TH');
INSERT INTO `subdivisions` VALUES ('137169', '0', '0', '681', 'DE', 'Beijing', 'CN', '11');
INSERT INTO `subdivisions` VALUES ('137170', '0', '0', '682', 'DE', 'Tianjin', 'CN', '12');
INSERT INTO `subdivisions` VALUES ('137171', '0', '0', '683', 'DE', 'Hebei', 'CN', '13');
INSERT INTO `subdivisions` VALUES ('137172', '0', '0', '684', 'DE', 'Shanxi', 'CN', '14');
INSERT INTO `subdivisions` VALUES ('137173', '0', '0', '685', 'DE', 'Nei Mongol', 'CN', '15');
INSERT INTO `subdivisions` VALUES ('137174', '0', '0', '686', 'DE', 'Liaoning', 'CN', '21');
INSERT INTO `subdivisions` VALUES ('137175', '0', '0', '687', 'DE', 'Jilin', 'CN', '22');
INSERT INTO `subdivisions` VALUES ('137176', '0', '0', '688', 'DE', 'Heilongjiang', 'CN', '23');
INSERT INTO `subdivisions` VALUES ('137177', '0', '0', '689', 'DE', 'Shanghai', 'CN', '31');
INSERT INTO `subdivisions` VALUES ('137178', '0', '0', '690', 'DE', 'Jiangsu', 'CN', '32');
INSERT INTO `subdivisions` VALUES ('137179', '0', '0', '691', 'DE', 'Zhejiang', 'CN', '33');
INSERT INTO `subdivisions` VALUES ('137180', '0', '0', '692', 'DE', 'Anhui', 'CN', '34');
INSERT INTO `subdivisions` VALUES ('137181', '0', '0', '693', 'DE', 'Fujian', 'CN', '35');
INSERT INTO `subdivisions` VALUES ('137182', '0', '0', '694', 'DE', 'Jiangxi', 'CN', '36');
INSERT INTO `subdivisions` VALUES ('137183', '0', '0', '695', 'DE', 'Shandong', 'CN', '37');
INSERT INTO `subdivisions` VALUES ('137184', '0', '0', '696', 'DE', 'Henan', 'CN', '41');
INSERT INTO `subdivisions` VALUES ('137185', '0', '0', '697', 'DE', 'Hubei', 'CN', '42');
INSERT INTO `subdivisions` VALUES ('137186', '0', '0', '698', 'DE', 'Hunan', 'CN', '43');
INSERT INTO `subdivisions` VALUES ('137187', '0', '0', '699', 'DE', 'Guangdong', 'CN', '44');
INSERT INTO `subdivisions` VALUES ('137188', '0', '0', '700', 'DE', 'Guangxi', 'CN', '45');
INSERT INTO `subdivisions` VALUES ('137189', '0', '0', '701', 'DE', 'Hainan', 'CN', '46');
INSERT INTO `subdivisions` VALUES ('137190', '0', '0', '702', 'DE', 'Chongqing', 'CN', '50');
INSERT INTO `subdivisions` VALUES ('137191', '0', '0', '703', 'DE', 'Sichuan', 'CN', '51');
INSERT INTO `subdivisions` VALUES ('137192', '0', '0', '704', 'DE', 'Guizhou', 'CN', '52');
INSERT INTO `subdivisions` VALUES ('137193', '0', '0', '705', 'DE', 'Yunnan', 'CN', '53');
INSERT INTO `subdivisions` VALUES ('137194', '0', '0', '706', 'DE', 'Tibet', 'CN', '54');
INSERT INTO `subdivisions` VALUES ('137195', '0', '0', '707', 'DE', 'Shaanxi', 'CN', '61');
INSERT INTO `subdivisions` VALUES ('137196', '0', '0', '708', 'DE', 'Gansu', 'CN', '62');
INSERT INTO `subdivisions` VALUES ('137197', '0', '0', '709', 'DE', 'Qinghai', 'CN', '63');
INSERT INTO `subdivisions` VALUES ('137198', '0', '0', '710', 'DE', 'Ningxia', 'CN', '64');
INSERT INTO `subdivisions` VALUES ('137199', '0', '0', '711', 'DE', 'Xinjiang', 'CN', '65');
INSERT INTO `subdivisions` VALUES ('137200', '0', '0', '712', 'DE', 'Taiwan', 'CN', '71');
INSERT INTO `subdivisions` VALUES ('137201', '0', '0', '713', 'DE', 'Xianggang', 'CN', '91');
INSERT INTO `subdivisions` VALUES ('137202', '0', '0', '714', 'DE', 'Aomen', 'CN', '92');
INSERT INTO `subdivisions` VALUES ('137099', '0', '0', '611', 'DE', 'Kanton Aargau Aargau', 'CH', 'AG');
INSERT INTO `subdivisions` VALUES ('137100', '0', '0', '612', 'DE', 'Kanton Appenzell Innerrhoden', 'CH', 'AI');
INSERT INTO `subdivisions` VALUES ('137101', '0', '0', '613', 'DE', 'Kanton Appenzell Ausserrhoden', 'CH', 'AR');
INSERT INTO `subdivisions` VALUES ('137102', '0', '0', '614', 'DE', 'Kanton Bern', 'CH', 'BE');
INSERT INTO `subdivisions` VALUES ('137103', '0', '0', '615', 'DE', 'Kanton Basel-Landschaft', 'CH', 'BL');
INSERT INTO `subdivisions` VALUES ('137104', '0', '0', '616', 'DE', 'Kanton Basel-Stadt', 'CH', 'BS');
INSERT INTO `subdivisions` VALUES ('137105', '0', '0', '617', 'DE', 'Kanton Freiburg', 'CH', 'FR');
INSERT INTO `subdivisions` VALUES ('137106', '0', '0', '618', 'DE', 'Kanton Genf', 'CH', 'GE');
INSERT INTO `subdivisions` VALUES ('137107', '0', '0', '619', 'DE', 'Kanton Glarus', 'CH', 'GL');
INSERT INTO `subdivisions` VALUES ('137108', '0', '0', '620', 'DE', 'Kanton Graubünden', 'CH', 'GR');
INSERT INTO `subdivisions` VALUES ('137109', '0', '0', '621', 'DE', 'Kanton Jura', 'CH', 'JU');
INSERT INTO `subdivisions` VALUES ('137110', '0', '0', '622', 'DE', 'Kanton Luzern', 'CH', 'LU');
INSERT INTO `subdivisions` VALUES ('137111', '0', '0', '623', 'DE', 'Kanton Neuenburg', 'CH', 'NE');
INSERT INTO `subdivisions` VALUES ('137112', '0', '0', '624', 'DE', 'Kanton Nidwalden', 'CH', 'NW');
INSERT INTO `subdivisions` VALUES ('137113', '0', '0', '625', 'DE', 'Kanton Obwalden', 'CH', 'OW');
INSERT INTO `subdivisions` VALUES ('137114', '0', '0', '626', 'DE', 'Kanton St. Gallen', 'CH', 'SG');
INSERT INTO `subdivisions` VALUES ('137115', '0', '0', '627', 'DE', 'Kanton Schaffhausen', 'CH', 'SH');
INSERT INTO `subdivisions` VALUES ('137116', '0', '0', '628', 'DE', 'Kanton Solothurn', 'CH', 'SO');
INSERT INTO `subdivisions` VALUES ('137117', '0', '0', '629', 'DE', 'Kanton Schwyz', 'CH', 'SZ');
INSERT INTO `subdivisions` VALUES ('137118', '0', '0', '630', 'DE', 'Kanton Thurgau', 'CH', 'TG');
INSERT INTO `subdivisions` VALUES ('137119', '0', '0', '631', 'DE', 'Kanton Tessin', 'CH', 'TI');
INSERT INTO `subdivisions` VALUES ('137120', '0', '0', '632', 'DE', 'Kanton Uri', 'CH', 'UR');
INSERT INTO `subdivisions` VALUES ('137121', '0', '0', '633', 'DE', 'Kanton Waadt', 'CH', 'VD');
INSERT INTO `subdivisions` VALUES ('137122', '0', '0', '634', 'DE', 'Kanton Wallis', 'CH', 'VS');
INSERT INTO `subdivisions` VALUES ('137123', '0', '0', '635', 'DE', 'Kanton Zug', 'CH', 'ZG');
INSERT INTO `subdivisions` VALUES ('137124', '0', '0', '636', 'DE', 'Kanton Zürich', 'CH', 'ZH');
INSERT INTO `subdivisions` VALUES ('137047', '0', '0', '559', 'DE', 'Alberta Alberta', 'CA', 'AB');
INSERT INTO `subdivisions` VALUES ('137048', '0', '0', '560', 'DE', 'British Columbia British Columbia', 'CA', 'BC');
INSERT INTO `subdivisions` VALUES ('137049', '0', '0', '561', 'DE', 'Manitoba Manitoba', 'CA', 'MB');
INSERT INTO `subdivisions` VALUES ('137050', '0', '0', '562', 'DE', 'New Brunswick', 'CA', 'NB');
INSERT INTO `subdivisions` VALUES ('137051', '0', '0', '563', 'DE', 'Neufundland und Labrador Neufundland und Labrador', 'CA', 'NL');
INSERT INTO `subdivisions` VALUES ('137052', '0', '0', '564', 'DE', 'Nova Scotia Nova Scotia', 'CA', 'NS');
INSERT INTO `subdivisions` VALUES ('137053', '0', '0', '565', 'DE', 'Nordwest-Territorien', 'CA', 'NT');
INSERT INTO `subdivisions` VALUES ('137054', '0', '0', '566', 'DE', 'Nunavut', 'CA', 'NU');
INSERT INTO `subdivisions` VALUES ('137055', '0', '0', '567', 'DE', 'Ontario', 'CA', 'ON');
INSERT INTO `subdivisions` VALUES ('137056', '0', '0', '568', 'DE', 'Prince Edward Island Prince Edward Island', 'CA', 'PE');
INSERT INTO `subdivisions` VALUES ('137057', '0', '0', '569', 'DE', 'Québec', 'CA', 'QC');
INSERT INTO `subdivisions` VALUES ('137058', '0', '0', '570', 'DE', 'Saskatchewan Saskatchewan', 'CA', 'SK');
INSERT INTO `subdivisions` VALUES ('137059', '0', '0', '571', 'DE', 'Yukon', 'CA', 'YT');
INSERT INTO `subdivisions` VALUES ('136871', '0', '0', '383', 'DE', 'Blagoewgrad', 'BG', '01');
INSERT INTO `subdivisions` VALUES ('136872', '0', '0', '384', 'DE', 'Burgas', 'BG', '02');
INSERT INTO `subdivisions` VALUES ('136873', '0', '0', '385', 'DE', 'Warna', 'BG', '03');
INSERT INTO `subdivisions` VALUES ('136874', '0', '0', '386', 'DE', 'Weliko Tarnowo', 'BG', '04');
INSERT INTO `subdivisions` VALUES ('136875', '0', '0', '387', 'DE', 'Widin', 'BG', '05');
INSERT INTO `subdivisions` VALUES ('136876', '0', '0', '388', 'DE', 'Wraza', 'BG', '06');
INSERT INTO `subdivisions` VALUES ('136877', '0', '0', '389', 'DE', 'Gabrowo', 'BG', '07');
INSERT INTO `subdivisions` VALUES ('136878', '0', '0', '390', 'DE', 'Dobritsch', 'BG', '08');
INSERT INTO `subdivisions` VALUES ('136879', '0', '0', '391', 'DE', 'Kardschali', 'BG', '09');
INSERT INTO `subdivisions` VALUES ('136880', '0', '0', '392', 'DE', 'Kjustendil', 'BG', '10');
INSERT INTO `subdivisions` VALUES ('136881', '0', '0', '393', 'DE', 'Lowetsch', 'BG', '11');
INSERT INTO `subdivisions` VALUES ('136882', '0', '0', '394', 'DE', 'Montana', 'BG', '12');
INSERT INTO `subdivisions` VALUES ('136883', '0', '0', '395', 'DE', 'Pasardschik', 'BG', '13');
INSERT INTO `subdivisions` VALUES ('136884', '0', '0', '396', 'DE', 'Pernik', 'BG', '14');
INSERT INTO `subdivisions` VALUES ('136885', '0', '0', '397', 'DE', 'Plewen', 'BG', '15');
INSERT INTO `subdivisions` VALUES ('136886', '0', '0', '398', 'DE', 'Plowdiw', 'BG', '16');
INSERT INTO `subdivisions` VALUES ('136887', '0', '0', '399', 'DE', 'Rasgrad', 'BG', '17');
INSERT INTO `subdivisions` VALUES ('136888', '0', '0', '400', 'DE', 'Russe', 'BG', '18');
INSERT INTO `subdivisions` VALUES ('136889', '0', '0', '401', 'DE', 'Silistra', 'BG', '19');
INSERT INTO `subdivisions` VALUES ('136890', '0', '0', '402', 'DE', 'Sliwen', 'BG', '20');
INSERT INTO `subdivisions` VALUES ('136891', '0', '0', '403', 'DE', 'Smoljan', 'BG', '21');
INSERT INTO `subdivisions` VALUES ('136892', '0', '0', '404', 'DE', 'Sofia Region', 'BG', '22');
INSERT INTO `subdivisions` VALUES ('136893', '0', '0', '405', 'DE', 'Sofia Stadt', 'BG', '23');
INSERT INTO `subdivisions` VALUES ('136894', '0', '0', '406', 'DE', 'Stara Sagora', 'BG', '24');
INSERT INTO `subdivisions` VALUES ('136895', '0', '0', '407', 'DE', 'Targowischte', 'BG', '25');
INSERT INTO `subdivisions` VALUES ('136896', '0', '0', '408', 'DE', 'Chaskowo', 'BG', '26');
INSERT INTO `subdivisions` VALUES ('136897', '0', '0', '409', 'DE', 'Schumen', 'BG', '27');
INSERT INTO `subdivisions` VALUES ('136898', '0', '0', '410', 'DE', 'Jambol', 'BG', '28');
INSERT INTO `subdivisions` VALUES ('136634', '0', '0', '146', 'DE', 'Burgenland', 'AT', '1');
INSERT INTO `subdivisions` VALUES ('136635', '0', '0', '147', 'DE', 'Kärnten', 'AT', '2');
INSERT INTO `subdivisions` VALUES ('136636', '0', '0', '148', 'DE', 'Niederösterreich', 'AT', '3');
INSERT INTO `subdivisions` VALUES ('136637', '0', '0', '149', 'DE', 'Oberösterreich', 'AT', '4');
INSERT INTO `subdivisions` VALUES ('136638', '0', '0', '150', 'DE', 'Salzburg', 'AT', '5');
INSERT INTO `subdivisions` VALUES ('136639', '0', '0', '151', 'DE', 'Steiermark', 'AT', '6');
INSERT INTO `subdivisions` VALUES ('136640', '0', '0', '152', 'DE', 'Tirol', 'AT', '7');
INSERT INTO `subdivisions` VALUES ('136641', '0', '0', '153', 'DE', 'Vorarlberg', 'AT', '8');
INSERT INTO `subdivisions` VALUES ('136642', '0', '0', '154', 'DE', 'Wien', 'AT', '9');
INSERT INTO `subdivisions` VALUES ('62423', '0', '0', '383', 'BG', 'Област Благоевград', 'BG', '01');
INSERT INTO `subdivisions` VALUES ('62424', '0', '0', '384', 'BG', 'Област Бургас', 'BG', '02');
INSERT INTO `subdivisions` VALUES ('62425', '0', '0', '385', 'BG', 'Област Варна', 'BG', '03');
INSERT INTO `subdivisions` VALUES ('62426', '0', '0', '386', 'BG', 'Област Велико Търново', 'BG', '04');
INSERT INTO `subdivisions` VALUES ('62427', '0', '0', '387', 'BG', 'Област Видин', 'BG', '05');
INSERT INTO `subdivisions` VALUES ('62428', '0', '0', '388', 'BG', 'Област Враца', 'BG', '06');
INSERT INTO `subdivisions` VALUES ('62429', '0', '0', '389', 'BG', 'Област Габрово', 'BG', '07');
INSERT INTO `subdivisions` VALUES ('62430', '0', '0', '390', 'BG', 'Област Добрич', 'BG', '08');
INSERT INTO `subdivisions` VALUES ('62431', '0', '0', '391', 'BG', 'Област Кърджали', 'BG', '09');
INSERT INTO `subdivisions` VALUES ('62432', '0', '0', '392', 'BG', 'Област Кюстендил', 'BG', '10');
INSERT INTO `subdivisions` VALUES ('62433', '0', '0', '393', 'BG', 'Област Ловеч', 'BG', '11');
INSERT INTO `subdivisions` VALUES ('62434', '0', '0', '394', 'BG', 'Област Монтана', 'BG', '12');
INSERT INTO `subdivisions` VALUES ('62435', '0', '0', '395', 'BG', 'Област Пазарджик', 'BG', '13');
INSERT INTO `subdivisions` VALUES ('62436', '0', '0', '396', 'BG', 'Област Перник', 'BG', '14');
INSERT INTO `subdivisions` VALUES ('62437', '0', '0', '397', 'BG', 'Област Плевен', 'BG', '15');
INSERT INTO `subdivisions` VALUES ('62438', '0', '0', '398', 'BG', 'Област Пловдив', 'BG', '16');
INSERT INTO `subdivisions` VALUES ('62439', '0', '0', '399', 'BG', 'Област Разград', 'BG', '17');
INSERT INTO `subdivisions` VALUES ('62440', '0', '0', '400', 'BG', 'Област Русе', 'BG', '18');
INSERT INTO `subdivisions` VALUES ('62441', '0', '0', '401', 'BG', 'Област Силистра', 'BG', '19');
INSERT INTO `subdivisions` VALUES ('62442', '0', '0', '402', 'BG', 'Област Сливен', 'BG', '20');
INSERT INTO `subdivisions` VALUES ('62443', '0', '0', '403', 'BG', 'Област Смолян', 'BG', '21');
INSERT INTO `subdivisions` VALUES ('62444', '0', '0', '404', 'BG', 'Област София', 'BG', '22');
INSERT INTO `subdivisions` VALUES ('62445', '0', '0', '405', 'BG', 'София-град', 'BG', '23');
INSERT INTO `subdivisions` VALUES ('62446', '0', '0', '406', 'BG', 'Област Стара Загора', 'BG', '24');
INSERT INTO `subdivisions` VALUES ('62447', '0', '0', '407', 'BG', 'Област Търговище', 'BG', '25');
INSERT INTO `subdivisions` VALUES ('62448', '0', '0', '408', 'BG', 'Област Хасково', 'BG', '26');
INSERT INTO `subdivisions` VALUES ('62449', '0', '0', '409', 'BG', 'Област Шумен', 'BG', '27');
INSERT INTO `subdivisions` VALUES ('62450', '0', '0', '410', 'BG', 'Област Ямбол', 'BG', '28');
